#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_ddip(Libderiv_t *, prim_data *);

  /* Computes derivatives of (dd|ip) integrals */

void d1hrr_order_ddip(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[2][6][11] = int_stack + 0;
 Libderiv->deriv_classes[2][7][11] = int_stack + 168;
 Libderiv->deriv_classes[3][6][11] = int_stack + 384;
 Libderiv->deriv_classes[3][7][11] = int_stack + 664;
 Libderiv->deriv_classes[4][6][11] = int_stack + 1024;
 Libderiv->deriv_classes[4][7][11] = int_stack + 1444;
 Libderiv->deriv_classes[2][6][10] = int_stack + 1984;
 Libderiv->deriv_classes[2][7][10] = int_stack + 2152;
 Libderiv->deriv_classes[3][6][10] = int_stack + 2368;
 Libderiv->deriv_classes[3][7][10] = int_stack + 2648;
 Libderiv->deriv_classes[4][6][10] = int_stack + 3008;
 Libderiv->deriv_classes[4][7][10] = int_stack + 3428;
 Libderiv->deriv_classes[2][6][9] = int_stack + 3968;
 Libderiv->deriv_classes[2][7][9] = int_stack + 4136;
 Libderiv->deriv_classes[3][6][9] = int_stack + 4352;
 Libderiv->deriv_classes[3][7][9] = int_stack + 4632;
 Libderiv->deriv_classes[4][6][9] = int_stack + 4992;
 Libderiv->deriv_classes[4][7][9] = int_stack + 5412;
 Libderiv->deriv_classes[2][6][8] = int_stack + 5952;
 Libderiv->deriv_classes[2][7][8] = int_stack + 6120;
 Libderiv->deriv_classes[3][6][8] = int_stack + 6336;
 Libderiv->deriv_classes[3][7][8] = int_stack + 6616;
 Libderiv->deriv_classes[4][6][8] = int_stack + 6976;
 Libderiv->deriv_classes[4][7][8] = int_stack + 7396;
 Libderiv->deriv_classes[2][6][7] = int_stack + 7936;
 Libderiv->deriv_classes[2][7][7] = int_stack + 8104;
 Libderiv->deriv_classes[3][6][7] = int_stack + 8320;
 Libderiv->deriv_classes[3][7][7] = int_stack + 8600;
 Libderiv->deriv_classes[4][6][7] = int_stack + 8960;
 Libderiv->deriv_classes[4][7][7] = int_stack + 9380;
 Libderiv->deriv_classes[2][6][6] = int_stack + 9920;
 Libderiv->deriv_classes[2][7][6] = int_stack + 10088;
 Libderiv->deriv_classes[3][6][6] = int_stack + 10304;
 Libderiv->deriv_classes[3][7][6] = int_stack + 10584;
 Libderiv->dvrr_classes[4][6] = int_stack + 10944;
 Libderiv->deriv_classes[4][6][6] = int_stack + 11364;
 Libderiv->deriv_classes[4][7][6] = int_stack + 11784;
 Libderiv->deriv_classes[2][6][2] = int_stack + 12324;
 Libderiv->deriv_classes[2][7][2] = int_stack + 12492;
 Libderiv->deriv_classes[3][6][2] = int_stack + 12708;
 Libderiv->deriv_classes[3][7][2] = int_stack + 12988;
 Libderiv->deriv_classes[4][6][2] = int_stack + 13348;
 Libderiv->deriv_classes[4][7][2] = int_stack + 13768;
 Libderiv->deriv_classes[2][6][1] = int_stack + 14308;
 Libderiv->deriv_classes[2][7][1] = int_stack + 14476;
 Libderiv->deriv_classes[3][6][1] = int_stack + 14692;
 Libderiv->deriv_classes[3][7][1] = int_stack + 14972;
 Libderiv->deriv_classes[4][6][1] = int_stack + 15332;
 Libderiv->deriv_classes[4][7][1] = int_stack + 15752;
 Libderiv->dvrr_classes[2][6] = int_stack + 16292;
 Libderiv->dvrr_classes[2][7] = int_stack + 16460;
 Libderiv->deriv_classes[2][6][0] = int_stack + 16676;
 Libderiv->deriv_classes[2][7][0] = int_stack + 16844;
 Libderiv->dvrr_classes[3][6] = int_stack + 17060;
 Libderiv->dvrr_classes[3][7] = int_stack + 17340;
 Libderiv->deriv_classes[3][6][0] = int_stack + 17700;
 Libderiv->deriv_classes[3][7][0] = int_stack + 17980;
 Libderiv->deriv_classes[4][6][0] = int_stack + 18340;
 Libderiv->deriv_classes[4][7][0] = int_stack + 18760;
 memset(int_stack,0,154400);

 Libderiv->dvrr_stack = int_stack + 46348;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_ddip(Libderiv, Data);
   Data++;
 }

 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+19300,int_stack+168,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16292,6);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+19804,int_stack+664,int_stack+384, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17060,10);
 /*--- compute (dp|ip) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+20644,int_stack+19804,int_stack+19300,84);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+22156,int_stack+1444,int_stack+1024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10944,15);
 /*--- compute (fp|ip) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+23416,int_stack+22156,int_stack+19804,84);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+22156,int_stack+2152,int_stack+1984, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16292, 0.0, zero_stack,6);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+19300,int_stack+2648,int_stack+2368, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17060, 0.0, zero_stack,10);
 /*--- compute (dp|ip) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+0,int_stack+19300,int_stack+22156,84);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+22156,int_stack+3428,int_stack+3008, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10944, 0.0, zero_stack,15);
 /*--- compute (fp|ip) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+25936,int_stack+22156,int_stack+19300,84);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+19300,int_stack+4136,int_stack+3968, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16292, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+19804,int_stack+4632,int_stack+4352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17060, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|ip) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+1512,int_stack+19804,int_stack+19300,84);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+22156,int_stack+5412,int_stack+4992, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10944, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|ip) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+3024,int_stack+22156,int_stack+19804,84);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+22156,int_stack+6120,int_stack+5952, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16292, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+19300,int_stack+6616,int_stack+6336, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|ip) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+28456,int_stack+19300,int_stack+22156,84);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+22156,int_stack+7396,int_stack+6976, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|ip) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+29968,int_stack+22156,int_stack+19300,84);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+19300,int_stack+8104,int_stack+7936, 0.0, zero_stack, 1.0, int_stack+16292, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+19804,int_stack+8600,int_stack+8320, 0.0, zero_stack, 1.0, int_stack+17060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|ip) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+5544,int_stack+19804,int_stack+19300,84);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+22156,int_stack+9380,int_stack+8960, 0.0, zero_stack, 1.0, int_stack+10944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|ip) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+7056,int_stack+22156,int_stack+19804,84);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+22156,int_stack+10088,int_stack+9920, 1.0, int_stack+16292, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+19300,int_stack+10584,int_stack+10304, 1.0, int_stack+17060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|ip) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+32488,int_stack+19300,int_stack+22156,84);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+22156,int_stack+11784,int_stack+11364, 1.0, int_stack+10944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|ip) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+9576,int_stack+22156,int_stack+19300,84);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+19300,int_stack+16460,int_stack+16292,6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+19804,int_stack+17340,int_stack+17060,10);
 /*--- compute (dp|ip) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+34000,int_stack+19804,int_stack+19300,84);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+17060,int_stack+12492,int_stack+12324,6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+22156,int_stack+12988,int_stack+12708,10);
 /*--- compute (dp|ip) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+35512,int_stack+22156,int_stack+17060, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,84);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+37024,int_stack+13768,int_stack+13348,15);
 /*--- compute (fp|ip) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+38284,int_stack+37024,int_stack+22156, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19804, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,84);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+22156,int_stack+14476,int_stack+14308,6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+37024,int_stack+14972,int_stack+14692,10);
 /*--- compute (dp|ip) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+12096,int_stack+37024,int_stack+22156, 0.0, zero_stack, 1.0, int_stack+19300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,84);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+22156,int_stack+15752,int_stack+15332,15);
 /*--- compute (fp|ip) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+13608,int_stack+22156,int_stack+37024, 0.0, zero_stack, 1.0, int_stack+19804, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,84);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+37024,int_stack+16844,int_stack+16676,6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+22156,int_stack+17980,int_stack+17700,10);
 /*--- compute (dp|ip) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+16128,int_stack+22156,int_stack+37024, 1.0, int_stack+19300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,84);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+37024,int_stack+18760,int_stack+18340,15);
 /*--- compute (fp|ip) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+40804,int_stack+37024,int_stack+22156, 1.0, int_stack+19804, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,84);
 /*--- compute (dd|ip) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+43324,int_stack+23416,int_stack+20644,84);
     Libderiv->ABCD[11] = int_stack + 43324;
 /*--- compute (dd|ip) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+17640,int_stack+25936,int_stack+0,84);
     Libderiv->ABCD[10] = int_stack + 17640;
 /*--- compute (dd|ip) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+20664,int_stack+3024,int_stack+1512,84);
     Libderiv->ABCD[9] = int_stack + 20664;
 /*--- compute (dd|ip) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+0,int_stack+29968,int_stack+28456,84);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (dd|ip) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+23688,int_stack+7056,int_stack+5544,84);
     Libderiv->ABCD[7] = int_stack + 23688;
 /*--- compute (dd|ip) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+3024,int_stack+9576,int_stack+32488,84);
     Libderiv->ABCD[6] = int_stack + 3024;
 /*--- compute (dd|ip) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+6048,int_stack+38284,int_stack+35512, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,84);
     Libderiv->ABCD[2] = int_stack + 6048;
 /*--- compute (dd|ip) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+9072,int_stack+13608,int_stack+12096, 0.0, zero_stack, 1.0, int_stack+34000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,84);
     Libderiv->ABCD[1] = int_stack + 9072;
 /*--- compute (dd|ip) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+12096,int_stack+40804,int_stack+16128, 1.0, int_stack+34000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,84);
     Libderiv->ABCD[0] = int_stack + 12096;

}
