#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_fpi0(Libderiv_t *, prim_data *);

  /* Computes derivatives of (fp|i0) integrals */

void d1hrr_order_fpi0(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[3][6][11] = int_stack + 0;
 Libderiv->deriv_classes[4][6][11] = int_stack + 280;
 Libderiv->deriv_classes[3][6][10] = int_stack + 700;
 Libderiv->deriv_classes[4][6][10] = int_stack + 980;
 Libderiv->deriv_classes[3][6][9] = int_stack + 1400;
 Libderiv->deriv_classes[4][6][9] = int_stack + 1680;
 Libderiv->deriv_classes[3][6][8] = int_stack + 2100;
 Libderiv->deriv_classes[4][6][8] = int_stack + 2380;
 Libderiv->deriv_classes[3][6][7] = int_stack + 2800;
 Libderiv->deriv_classes[4][6][7] = int_stack + 3080;
 Libderiv->deriv_classes[3][6][6] = int_stack + 3500;
 Libderiv->deriv_classes[4][6][6] = int_stack + 3780;
 Libderiv->deriv_classes[3][6][2] = int_stack + 4200;
 Libderiv->deriv_classes[4][6][2] = int_stack + 4480;
 Libderiv->deriv_classes[3][6][1] = int_stack + 4900;
 Libderiv->deriv_classes[4][6][1] = int_stack + 5180;
 Libderiv->dvrr_classes[3][6] = int_stack + 5600;
 Libderiv->deriv_classes[3][6][0] = int_stack + 5880;
 Libderiv->deriv_classes[4][6][0] = int_stack + 6160;
 memset(int_stack,0,52640);

 Libderiv->dvrr_stack = int_stack + 9100;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_fpi0(Libderiv, Data);
   Data++;
 }

 /*--- compute (fp|i0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+6580,int_stack+280,int_stack+0,28);
     Libderiv->ABCD[11] = int_stack + 6580;
 /*--- compute (fp|i0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+7420,int_stack+980,int_stack+700,28);
     Libderiv->ABCD[10] = int_stack + 7420;
 /*--- compute (fp|i0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+0,int_stack+1680,int_stack+1400,28);
     Libderiv->ABCD[9] = int_stack + 0;
 /*--- compute (fp|i0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+840,int_stack+2380,int_stack+2100,28);
     Libderiv->ABCD[8] = int_stack + 840;
 /*--- compute (fp|i0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+1680,int_stack+3080,int_stack+2800,28);
     Libderiv->ABCD[7] = int_stack + 1680;
 /*--- compute (fp|i0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+2520,int_stack+3780,int_stack+3500,28);
     Libderiv->ABCD[6] = int_stack + 2520;
 /*--- compute (fp|i0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+3360,int_stack+4480,int_stack+4200, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[2] = int_stack + 3360;
 /*--- compute (fp|i0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+8260,int_stack+5180,int_stack+4900, 0.0, zero_stack, 1.0, int_stack+5600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[1] = int_stack + 8260;
 /*--- compute (fp|i0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+4200,int_stack+6160,int_stack+5880, 1.0, int_stack+5600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[0] = int_stack + 4200;

}
