#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_gdhp(Libderiv_t *, prim_data *);

  /* Computes derivatives of (gd|hp) integrals */

void d1hrr_order_gdhp(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[4][5][11] = int_stack + 0;
 Libderiv->deriv_classes[4][6][11] = int_stack + 315;
 Libderiv->deriv_classes[5][5][11] = int_stack + 735;
 Libderiv->deriv_classes[5][6][11] = int_stack + 1176;
 Libderiv->deriv_classes[6][5][11] = int_stack + 1764;
 Libderiv->deriv_classes[6][6][11] = int_stack + 2352;
 Libderiv->deriv_classes[4][5][10] = int_stack + 3136;
 Libderiv->deriv_classes[4][6][10] = int_stack + 3451;
 Libderiv->deriv_classes[5][5][10] = int_stack + 3871;
 Libderiv->deriv_classes[5][6][10] = int_stack + 4312;
 Libderiv->deriv_classes[6][5][10] = int_stack + 4900;
 Libderiv->deriv_classes[6][6][10] = int_stack + 5488;
 Libderiv->deriv_classes[4][5][9] = int_stack + 6272;
 Libderiv->deriv_classes[4][6][9] = int_stack + 6587;
 Libderiv->deriv_classes[5][5][9] = int_stack + 7007;
 Libderiv->deriv_classes[5][6][9] = int_stack + 7448;
 Libderiv->deriv_classes[6][5][9] = int_stack + 8036;
 Libderiv->deriv_classes[6][6][9] = int_stack + 8624;
 Libderiv->deriv_classes[4][5][8] = int_stack + 9408;
 Libderiv->deriv_classes[4][6][8] = int_stack + 9723;
 Libderiv->deriv_classes[5][5][8] = int_stack + 10143;
 Libderiv->deriv_classes[5][6][8] = int_stack + 10584;
 Libderiv->deriv_classes[6][5][8] = int_stack + 11172;
 Libderiv->deriv_classes[6][6][8] = int_stack + 11760;
 Libderiv->deriv_classes[4][5][7] = int_stack + 12544;
 Libderiv->deriv_classes[4][6][7] = int_stack + 12859;
 Libderiv->deriv_classes[5][5][7] = int_stack + 13279;
 Libderiv->deriv_classes[5][6][7] = int_stack + 13720;
 Libderiv->deriv_classes[6][5][7] = int_stack + 14308;
 Libderiv->deriv_classes[6][6][7] = int_stack + 14896;
 Libderiv->deriv_classes[4][5][6] = int_stack + 15680;
 Libderiv->deriv_classes[4][6][6] = int_stack + 15995;
 Libderiv->deriv_classes[5][5][6] = int_stack + 16415;
 Libderiv->deriv_classes[5][6][6] = int_stack + 16856;
 Libderiv->dvrr_classes[6][5] = int_stack + 17444;
 Libderiv->deriv_classes[6][5][6] = int_stack + 18032;
 Libderiv->deriv_classes[6][6][6] = int_stack + 18620;
 Libderiv->deriv_classes[4][5][2] = int_stack + 19404;
 Libderiv->deriv_classes[4][6][2] = int_stack + 19719;
 Libderiv->deriv_classes[5][5][2] = int_stack + 20139;
 Libderiv->deriv_classes[5][6][2] = int_stack + 20580;
 Libderiv->deriv_classes[6][5][2] = int_stack + 21168;
 Libderiv->deriv_classes[6][6][2] = int_stack + 21756;
 Libderiv->deriv_classes[4][5][1] = int_stack + 22540;
 Libderiv->deriv_classes[4][6][1] = int_stack + 22855;
 Libderiv->deriv_classes[5][5][1] = int_stack + 23275;
 Libderiv->deriv_classes[5][6][1] = int_stack + 23716;
 Libderiv->deriv_classes[6][5][1] = int_stack + 24304;
 Libderiv->deriv_classes[6][6][1] = int_stack + 24892;
 Libderiv->dvrr_classes[4][5] = int_stack + 25676;
 Libderiv->dvrr_classes[4][6] = int_stack + 25991;
 Libderiv->deriv_classes[4][5][0] = int_stack + 26411;
 Libderiv->deriv_classes[4][6][0] = int_stack + 26726;
 Libderiv->dvrr_classes[5][5] = int_stack + 27146;
 Libderiv->dvrr_classes[5][6] = int_stack + 27587;
 Libderiv->deriv_classes[5][5][0] = int_stack + 28175;
 Libderiv->deriv_classes[5][6][0] = int_stack + 28616;
 Libderiv->deriv_classes[6][5][0] = int_stack + 29204;
 Libderiv->deriv_classes[6][6][0] = int_stack + 29792;
 memset(int_stack,0,244608);

 Libderiv->dvrr_stack = int_stack + 78771;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_gdhp(Libderiv, Data);
   Data++;
 }

 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+30576,int_stack+315,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25676,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+31521,int_stack+1176,int_stack+735, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27146,21);
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+32844,int_stack+31521,int_stack+30576,63);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+2352,int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17444,28);
 /*--- compute (hp|hp) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+35679,int_stack+0,int_stack+31521,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+3451,int_stack+3136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25676, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+945,int_stack+4312,int_stack+3871, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27146, 0.0, zero_stack,21);
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+39648,int_stack+945,int_stack+0,63);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2268,int_stack+5488,int_stack+4900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17444, 0.0, zero_stack,28);
 /*--- compute (hp|hp) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+42483,int_stack+2268,int_stack+945,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+6587,int_stack+6272, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25676, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+945,int_stack+7448,int_stack+7007, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27146, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+2268,int_stack+945,int_stack+0,63);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5103,int_stack+8624,int_stack+8036, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17444, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hp) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+46452,int_stack+5103,int_stack+945,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5103,int_stack+9723,int_stack+9408, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25676, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6048,int_stack+10584,int_stack+10143, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27146, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+7371,int_stack+6048,int_stack+5103,63);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+11760,int_stack+11172, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17444, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hp) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+50421,int_stack+0,int_stack+6048,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+12859,int_stack+12544, 0.0, zero_stack, 1.0, int_stack+25676, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+945,int_stack+13720,int_stack+13279, 0.0, zero_stack, 1.0, int_stack+27146, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+10206,int_stack+945,int_stack+0,63);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5103,int_stack+14896,int_stack+14308, 0.0, zero_stack, 1.0, int_stack+17444, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hp) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+54390,int_stack+5103,int_stack+945,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5103,int_stack+15995,int_stack+15680, 1.0, int_stack+25676, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6048,int_stack+16856,int_stack+16415, 1.0, int_stack+27146, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+13041,int_stack+6048,int_stack+5103,63);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+18620,int_stack+18032, 1.0, int_stack+17444, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hp) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+58359,int_stack+0,int_stack+6048,63);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+25991,int_stack+25676,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+945,int_stack+27587,int_stack+27146,21);
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+15876,int_stack+945,int_stack+0,63);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+27146,int_stack+19719,int_stack+19404,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+5103,int_stack+20580,int_stack+20139,21);
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+62328,int_stack+5103,int_stack+27146, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+18711,int_stack+21756,int_stack+21168,28);
 /*--- compute (hp|hp) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+65163,int_stack+18711,int_stack+5103, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+5103,int_stack+22855,int_stack+22540,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+6048,int_stack+23716,int_stack+23275,21);
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+18711,int_stack+6048,int_stack+5103, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+21546,int_stack+24892,int_stack+24304,28);
 /*--- compute (hp|hp) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+69132,int_stack+21546,int_stack+6048, 0.0, zero_stack, 1.0, int_stack+945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+21546,int_stack+26726,int_stack+26411,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+22491,int_stack+28616,int_stack+28175,21);
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+23814,int_stack+22491,int_stack+21546, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+26649,int_stack+29792,int_stack+29204,28);
 /*--- compute (hp|hp) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+28413,int_stack+26649,int_stack+22491, 1.0, int_stack+945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (gd|hp) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+73101,int_stack+35679,int_stack+32844,63);
     Libderiv->ABCD[11] = int_stack + 73101;
 /*--- compute (gd|hp) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+32382,int_stack+42483,int_stack+39648,63);
     Libderiv->ABCD[10] = int_stack + 32382;
 /*--- compute (gd|hp) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+38052,int_stack+46452,int_stack+2268,63);
     Libderiv->ABCD[9] = int_stack + 38052;
 /*--- compute (gd|hp) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+0,int_stack+50421,int_stack+7371,63);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (gd|hp) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+43722,int_stack+54390,int_stack+10206,63);
     Libderiv->ABCD[7] = int_stack + 43722;
 /*--- compute (gd|hp) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+5670,int_stack+58359,int_stack+13041,63);
     Libderiv->ABCD[6] = int_stack + 5670;
 /*--- compute (gd|hp) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+49392,int_stack+65163,int_stack+62328, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15876, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[2] = int_stack + 49392;
 /*--- compute (gd|hp) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+55062,int_stack+69132,int_stack+18711, 0.0, zero_stack, 1.0, int_stack+15876, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[1] = int_stack + 55062;
 /*--- compute (gd|hp) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+60732,int_stack+28413,int_stack+23814, 1.0, int_stack+15876, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[0] = int_stack + 60732;

}
