#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_gpif(Libderiv_t *, prim_data *);

  /* Computes derivatives of (gp|if) integrals */

void d1hrr_order_gpif(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[4][6][11] = int_stack + 0;
 Libderiv->deriv_classes[4][7][11] = int_stack + 420;
 Libderiv->deriv_classes[4][8][11] = int_stack + 960;
 Libderiv->deriv_classes[4][9][11] = int_stack + 1635;
 Libderiv->deriv_classes[5][6][11] = int_stack + 2460;
 Libderiv->deriv_classes[5][7][11] = int_stack + 3048;
 Libderiv->deriv_classes[5][8][11] = int_stack + 3804;
 Libderiv->deriv_classes[5][9][11] = int_stack + 4749;
 Libderiv->deriv_classes[4][6][10] = int_stack + 5904;
 Libderiv->deriv_classes[4][7][10] = int_stack + 6324;
 Libderiv->deriv_classes[4][8][10] = int_stack + 6864;
 Libderiv->deriv_classes[4][9][10] = int_stack + 7539;
 Libderiv->deriv_classes[5][6][10] = int_stack + 8364;
 Libderiv->deriv_classes[5][7][10] = int_stack + 8952;
 Libderiv->deriv_classes[5][8][10] = int_stack + 9708;
 Libderiv->deriv_classes[5][9][10] = int_stack + 10653;
 Libderiv->deriv_classes[4][6][9] = int_stack + 11808;
 Libderiv->deriv_classes[4][7][9] = int_stack + 12228;
 Libderiv->deriv_classes[4][8][9] = int_stack + 12768;
 Libderiv->deriv_classes[4][9][9] = int_stack + 13443;
 Libderiv->deriv_classes[5][6][9] = int_stack + 14268;
 Libderiv->deriv_classes[5][7][9] = int_stack + 14856;
 Libderiv->deriv_classes[5][8][9] = int_stack + 15612;
 Libderiv->deriv_classes[5][9][9] = int_stack + 16557;
 Libderiv->deriv_classes[4][6][8] = int_stack + 17712;
 Libderiv->deriv_classes[4][7][8] = int_stack + 18132;
 Libderiv->deriv_classes[4][8][8] = int_stack + 18672;
 Libderiv->deriv_classes[4][9][8] = int_stack + 19347;
 Libderiv->deriv_classes[5][6][8] = int_stack + 20172;
 Libderiv->deriv_classes[5][7][8] = int_stack + 20760;
 Libderiv->deriv_classes[5][8][8] = int_stack + 21516;
 Libderiv->deriv_classes[5][9][8] = int_stack + 22461;
 Libderiv->deriv_classes[4][6][7] = int_stack + 23616;
 Libderiv->deriv_classes[4][7][7] = int_stack + 24036;
 Libderiv->deriv_classes[4][8][7] = int_stack + 24576;
 Libderiv->deriv_classes[4][9][7] = int_stack + 25251;
 Libderiv->deriv_classes[5][6][7] = int_stack + 26076;
 Libderiv->deriv_classes[5][7][7] = int_stack + 26664;
 Libderiv->deriv_classes[5][8][7] = int_stack + 27420;
 Libderiv->deriv_classes[5][9][7] = int_stack + 28365;
 Libderiv->deriv_classes[4][6][6] = int_stack + 29520;
 Libderiv->deriv_classes[4][7][6] = int_stack + 29940;
 Libderiv->deriv_classes[4][8][6] = int_stack + 30480;
 Libderiv->deriv_classes[4][9][6] = int_stack + 31155;
 Libderiv->dvrr_classes[5][6] = int_stack + 31980;
 Libderiv->deriv_classes[5][6][6] = int_stack + 32568;
 Libderiv->dvrr_classes[5][7] = int_stack + 33156;
 Libderiv->deriv_classes[5][7][6] = int_stack + 33912;
 Libderiv->dvrr_classes[5][8] = int_stack + 34668;
 Libderiv->deriv_classes[5][8][6] = int_stack + 35613;
 Libderiv->deriv_classes[5][9][6] = int_stack + 36558;
 Libderiv->deriv_classes[4][6][2] = int_stack + 37713;
 Libderiv->deriv_classes[4][7][2] = int_stack + 38133;
 Libderiv->deriv_classes[4][8][2] = int_stack + 38673;
 Libderiv->deriv_classes[4][9][2] = int_stack + 39348;
 Libderiv->deriv_classes[5][6][2] = int_stack + 40173;
 Libderiv->deriv_classes[5][7][2] = int_stack + 40761;
 Libderiv->deriv_classes[5][8][2] = int_stack + 41517;
 Libderiv->deriv_classes[5][9][2] = int_stack + 42462;
 Libderiv->deriv_classes[4][6][1] = int_stack + 43617;
 Libderiv->deriv_classes[4][7][1] = int_stack + 44037;
 Libderiv->deriv_classes[4][8][1] = int_stack + 44577;
 Libderiv->deriv_classes[4][9][1] = int_stack + 45252;
 Libderiv->deriv_classes[5][6][1] = int_stack + 46077;
 Libderiv->deriv_classes[5][7][1] = int_stack + 46665;
 Libderiv->deriv_classes[5][8][1] = int_stack + 47421;
 Libderiv->deriv_classes[5][9][1] = int_stack + 48366;
 Libderiv->dvrr_classes[4][6] = int_stack + 49521;
 Libderiv->dvrr_classes[4][7] = int_stack + 49941;
 Libderiv->dvrr_classes[4][8] = int_stack + 50481;
 Libderiv->dvrr_classes[4][9] = int_stack + 51156;
 Libderiv->deriv_classes[4][6][0] = int_stack + 51981;
 Libderiv->deriv_classes[4][7][0] = int_stack + 52401;
 Libderiv->deriv_classes[4][8][0] = int_stack + 52941;
 Libderiv->deriv_classes[4][9][0] = int_stack + 53616;
 Libderiv->deriv_classes[5][6][0] = int_stack + 54441;
 Libderiv->deriv_classes[5][7][0] = int_stack + 55029;
 Libderiv->deriv_classes[5][8][0] = int_stack + 55785;
 Libderiv->deriv_classes[5][9][0] = int_stack + 56730;
 memset(int_stack,0,463080);

 Libderiv->dvrr_stack = int_stack + 166095;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_gpif(Libderiv, Data);
   Data++;
 }

 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+57885,int_stack+49941,int_stack+49521,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+59145,int_stack+50481,int_stack+49941,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+60765,int_stack+59145,int_stack+57885,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+63285,int_stack+420,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49521,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+64545,int_stack+960,int_stack+420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49941,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+66165,int_stack+64545,int_stack+63285, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57885,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+68685,int_stack+1635,int_stack+960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50481,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+70710,int_stack+68685,int_stack+64545, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59145,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+73950,int_stack+70710,int_stack+66165, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+60765,15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+63285,int_stack+33156,int_stack+31980,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+65049,int_stack+34668,int_stack+33156,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+67317,int_stack+65049,int_stack+63285,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+70845,int_stack+3048,int_stack+2460, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31980,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+0,int_stack+3804,int_stack+3048, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33156,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+78150,int_stack+0,int_stack+70845, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63285,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+70845,int_stack+4749,int_stack+3804, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34668,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+81678,int_stack+70845,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65049,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+81678,int_stack+78150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67317,21);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+78150,int_stack+6324,int_stack+5904, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49521, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+79410,int_stack+6864,int_stack+6324, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49941, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+81030,int_stack+79410,int_stack+78150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57885, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+83550,int_stack+7539,int_stack+6864, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50481, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+85575,int_stack+83550,int_stack+79410, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59145, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+88815,int_stack+85575,int_stack+81030, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+60765, 0.0, zero_stack,15);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+78150,int_stack+8952,int_stack+8364, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31980, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+79914,int_stack+9708,int_stack+8952, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33156, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+82182,int_stack+79914,int_stack+78150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63285, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+85710,int_stack+10653,int_stack+9708, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34668, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+5880,int_stack+85710,int_stack+79914, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65049, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+93015,int_stack+5880,int_stack+82182, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67317, 0.0, zero_stack,21);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+5880,int_stack+12228,int_stack+11808, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49521, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+7140,int_stack+12768,int_stack+12228, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49941, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+8760,int_stack+7140,int_stack+5880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57885, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+78150,int_stack+13443,int_stack+12768, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50481, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+80175,int_stack+78150,int_stack+7140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59145, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+83415,int_stack+80175,int_stack+8760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+60765, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+78150,int_stack+14856,int_stack+14268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31980, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+79914,int_stack+15612,int_stack+14856, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33156, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+5880,int_stack+79914,int_stack+78150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63285, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+9408,int_stack+16557,int_stack+15612, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34668, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+12243,int_stack+9408,int_stack+79914, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65049, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+98895,int_stack+12243,int_stack+5880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67317, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+5880,int_stack+18132,int_stack+17712, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49521, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+7140,int_stack+18672,int_stack+18132, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49941, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+8760,int_stack+7140,int_stack+5880, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57885, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+11280,int_stack+19347,int_stack+18672, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50481, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+13305,int_stack+11280,int_stack+7140, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59145, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+78150,int_stack+13305,int_stack+8760, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+60765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+5880,int_stack+20760,int_stack+20172, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+7644,int_stack+21516,int_stack+20760, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33156, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+9912,int_stack+7644,int_stack+5880, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63285, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+13440,int_stack+22461,int_stack+21516, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34668, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+16275,int_stack+13440,int_stack+7644, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65049, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+104775,int_stack+16275,int_stack+9912, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67317, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+5880,int_stack+24036,int_stack+23616, 0.0, zero_stack, 1.0, int_stack+49521, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+7140,int_stack+24576,int_stack+24036, 0.0, zero_stack, 1.0, int_stack+49941, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+8760,int_stack+7140,int_stack+5880, 0.0, zero_stack, 1.0, int_stack+57885, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+11280,int_stack+25251,int_stack+24576, 0.0, zero_stack, 1.0, int_stack+50481, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+13305,int_stack+11280,int_stack+7140, 0.0, zero_stack, 1.0, int_stack+59145, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+16545,int_stack+13305,int_stack+8760, 0.0, zero_stack, 1.0, int_stack+60765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+5880,int_stack+26664,int_stack+26076, 0.0, zero_stack, 1.0, int_stack+31980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+7644,int_stack+27420,int_stack+26664, 0.0, zero_stack, 1.0, int_stack+33156, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+9912,int_stack+7644,int_stack+5880, 0.0, zero_stack, 1.0, int_stack+63285, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+13440,int_stack+28365,int_stack+27420, 0.0, zero_stack, 1.0, int_stack+34668, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+20745,int_stack+13440,int_stack+7644, 0.0, zero_stack, 1.0, int_stack+65049, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+110655,int_stack+20745,int_stack+9912, 0.0, zero_stack, 1.0, int_stack+67317, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+20745,int_stack+29940,int_stack+29520, 1.0, int_stack+49521, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+22005,int_stack+30480,int_stack+29940, 1.0, int_stack+49941, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+23625,int_stack+22005,int_stack+20745, 1.0, int_stack+57885, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+26145,int_stack+31155,int_stack+30480, 1.0, int_stack+50481, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+28170,int_stack+26145,int_stack+22005, 1.0, int_stack+59145, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+5880,int_stack+28170,int_stack+23625, 1.0, int_stack+60765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+20745,int_stack+33912,int_stack+32568, 1.0, int_stack+31980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+22509,int_stack+35613,int_stack+33912, 1.0, int_stack+33156, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+24777,int_stack+22509,int_stack+20745, 1.0, int_stack+63285, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+28305,int_stack+36558,int_stack+35613, 1.0, int_stack+34668, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+31140,int_stack+28305,int_stack+22509, 1.0, int_stack+65049, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+10080,int_stack+31140,int_stack+24777, 1.0, int_stack+67317, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+63285,int_stack+51156,int_stack+50481,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+65310,int_stack+63285,int_stack+59145,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+68550,int_stack+65310,int_stack+60765,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+20745,int_stack+38133,int_stack+37713,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+22005,int_stack+38673,int_stack+38133,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+23625,int_stack+22005,int_stack+20745,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+26145,int_stack+39348,int_stack+38673,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+28170,int_stack+26145,int_stack+22005,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+31410,int_stack+28170,int_stack+23625,15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+20745,int_stack+40761,int_stack+40173,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+22509,int_stack+41517,int_stack+40761,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+24777,int_stack+22509,int_stack+20745,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+28305,int_stack+42462,int_stack+41517,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+35610,int_stack+28305,int_stack+22509,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+57885,int_stack+35610,int_stack+24777,21);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+35610,int_stack+44037,int_stack+43617,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+36870,int_stack+44577,int_stack+44037,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+38490,int_stack+36870,int_stack+35610,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+41010,int_stack+45252,int_stack+44577,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+20745,int_stack+41010,int_stack+36870,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+41010,int_stack+20745,int_stack+38490,15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+20745,int_stack+46665,int_stack+46077,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+22509,int_stack+47421,int_stack+46665,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+24777,int_stack+22509,int_stack+20745,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+28305,int_stack+48366,int_stack+47421,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+45210,int_stack+28305,int_stack+22509,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+116535,int_stack+45210,int_stack+24777,21);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+45210,int_stack+52401,int_stack+51981,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+46470,int_stack+52941,int_stack+52401,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+48090,int_stack+46470,int_stack+45210,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+50610,int_stack+53616,int_stack+52941,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+20745,int_stack+50610,int_stack+46470,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+23985,int_stack+20745,int_stack+48090,15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+20745,int_stack+55029,int_stack+54441,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+45210,int_stack+55785,int_stack+55029,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+47478,int_stack+45210,int_stack+20745,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+20745,int_stack+56730,int_stack+55785,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+51006,int_stack+20745,int_stack+45210,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+122415,int_stack+51006,int_stack+47478,21);
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+45210,int_stack+0,int_stack+73950,280);
     Libderiv->ABCD[11] = int_stack + 45210;
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+128295,int_stack+93015,int_stack+88815,280);
     Libderiv->ABCD[10] = int_stack + 128295;
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+140895,int_stack+98895,int_stack+83415,280);
     Libderiv->ABCD[9] = int_stack + 140895;
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+82350,int_stack+104775,int_stack+78150,280);
     Libderiv->ABCD[8] = int_stack + 82350;
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+94950,int_stack+110655,int_stack+16545,280);
     Libderiv->ABCD[7] = int_stack + 94950;
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+153495,int_stack+10080,int_stack+5880,280);
     Libderiv->ABCD[6] = int_stack + 153495;
 /*--- compute (gp|if) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+0,int_stack+57885,int_stack+31410, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
     Libderiv->ABCD[2] = int_stack + 0;
 /*--- compute (gp|if) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+28185,int_stack+116535,int_stack+41010, 0.0, zero_stack, 1.0, int_stack+68550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
     Libderiv->ABCD[1] = int_stack + 28185;
 /*--- compute (gp|if) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+107550,int_stack+122415,int_stack+23985, 1.0, int_stack+68550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
     Libderiv->ABCD[0] = int_stack + 107550;

}
