#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_hghg(Libderiv_t *, prim_data *);

  /* Computes derivatives of (hg|hg) integrals */

void d1hrr_order_hghg(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[5][5][11] = int_stack + 0;
 Libderiv->deriv_classes[5][6][11] = int_stack + 441;
 Libderiv->deriv_classes[5][7][11] = int_stack + 1029;
 Libderiv->deriv_classes[5][8][11] = int_stack + 1785;
 Libderiv->deriv_classes[5][9][11] = int_stack + 2730;
 Libderiv->deriv_classes[6][5][11] = int_stack + 3885;
 Libderiv->deriv_classes[6][6][11] = int_stack + 4473;
 Libderiv->deriv_classes[6][7][11] = int_stack + 5257;
 Libderiv->deriv_classes[6][8][11] = int_stack + 6265;
 Libderiv->deriv_classes[6][9][11] = int_stack + 7525;
 Libderiv->deriv_classes[7][5][11] = int_stack + 9065;
 Libderiv->deriv_classes[7][6][11] = int_stack + 9821;
 Libderiv->deriv_classes[7][7][11] = int_stack + 10829;
 Libderiv->deriv_classes[7][8][11] = int_stack + 12125;
 Libderiv->deriv_classes[7][9][11] = int_stack + 13745;
 Libderiv->deriv_classes[8][5][11] = int_stack + 15725;
 Libderiv->deriv_classes[8][6][11] = int_stack + 16670;
 Libderiv->deriv_classes[8][7][11] = int_stack + 17930;
 Libderiv->deriv_classes[8][8][11] = int_stack + 19550;
 Libderiv->deriv_classes[8][9][11] = int_stack + 21575;
 Libderiv->deriv_classes[9][5][11] = int_stack + 24050;
 Libderiv->deriv_classes[9][6][11] = int_stack + 25205;
 Libderiv->deriv_classes[9][7][11] = int_stack + 26745;
 Libderiv->deriv_classes[9][8][11] = int_stack + 28725;
 Libderiv->deriv_classes[9][9][11] = int_stack + 31200;
 Libderiv->deriv_classes[5][5][10] = int_stack + 34225;
 Libderiv->deriv_classes[5][6][10] = int_stack + 34666;
 Libderiv->deriv_classes[5][7][10] = int_stack + 35254;
 Libderiv->deriv_classes[5][8][10] = int_stack + 36010;
 Libderiv->deriv_classes[5][9][10] = int_stack + 36955;
 Libderiv->deriv_classes[6][5][10] = int_stack + 38110;
 Libderiv->deriv_classes[6][6][10] = int_stack + 38698;
 Libderiv->deriv_classes[6][7][10] = int_stack + 39482;
 Libderiv->deriv_classes[6][8][10] = int_stack + 40490;
 Libderiv->deriv_classes[6][9][10] = int_stack + 41750;
 Libderiv->deriv_classes[7][5][10] = int_stack + 43290;
 Libderiv->deriv_classes[7][6][10] = int_stack + 44046;
 Libderiv->deriv_classes[7][7][10] = int_stack + 45054;
 Libderiv->deriv_classes[7][8][10] = int_stack + 46350;
 Libderiv->deriv_classes[7][9][10] = int_stack + 47970;
 Libderiv->deriv_classes[8][5][10] = int_stack + 49950;
 Libderiv->deriv_classes[8][6][10] = int_stack + 50895;
 Libderiv->deriv_classes[8][7][10] = int_stack + 52155;
 Libderiv->deriv_classes[8][8][10] = int_stack + 53775;
 Libderiv->deriv_classes[8][9][10] = int_stack + 55800;
 Libderiv->deriv_classes[9][5][10] = int_stack + 58275;
 Libderiv->deriv_classes[9][6][10] = int_stack + 59430;
 Libderiv->deriv_classes[9][7][10] = int_stack + 60970;
 Libderiv->deriv_classes[9][8][10] = int_stack + 62950;
 Libderiv->deriv_classes[9][9][10] = int_stack + 65425;
 Libderiv->deriv_classes[5][5][9] = int_stack + 68450;
 Libderiv->deriv_classes[5][6][9] = int_stack + 68891;
 Libderiv->deriv_classes[5][7][9] = int_stack + 69479;
 Libderiv->deriv_classes[5][8][9] = int_stack + 70235;
 Libderiv->deriv_classes[5][9][9] = int_stack + 71180;
 Libderiv->deriv_classes[6][5][9] = int_stack + 72335;
 Libderiv->deriv_classes[6][6][9] = int_stack + 72923;
 Libderiv->deriv_classes[6][7][9] = int_stack + 73707;
 Libderiv->deriv_classes[6][8][9] = int_stack + 74715;
 Libderiv->deriv_classes[6][9][9] = int_stack + 75975;
 Libderiv->deriv_classes[7][5][9] = int_stack + 77515;
 Libderiv->deriv_classes[7][6][9] = int_stack + 78271;
 Libderiv->deriv_classes[7][7][9] = int_stack + 79279;
 Libderiv->deriv_classes[7][8][9] = int_stack + 80575;
 Libderiv->deriv_classes[7][9][9] = int_stack + 82195;
 Libderiv->deriv_classes[8][5][9] = int_stack + 84175;
 Libderiv->deriv_classes[8][6][9] = int_stack + 85120;
 Libderiv->deriv_classes[8][7][9] = int_stack + 86380;
 Libderiv->deriv_classes[8][8][9] = int_stack + 88000;
 Libderiv->deriv_classes[8][9][9] = int_stack + 90025;
 Libderiv->deriv_classes[9][5][9] = int_stack + 92500;
 Libderiv->deriv_classes[9][6][9] = int_stack + 93655;
 Libderiv->deriv_classes[9][7][9] = int_stack + 95195;
 Libderiv->deriv_classes[9][8][9] = int_stack + 97175;
 Libderiv->deriv_classes[9][9][9] = int_stack + 99650;
 Libderiv->deriv_classes[5][5][8] = int_stack + 102675;
 Libderiv->deriv_classes[5][6][8] = int_stack + 103116;
 Libderiv->deriv_classes[5][7][8] = int_stack + 103704;
 Libderiv->deriv_classes[5][8][8] = int_stack + 104460;
 Libderiv->deriv_classes[5][9][8] = int_stack + 105405;
 Libderiv->deriv_classes[6][5][8] = int_stack + 106560;
 Libderiv->deriv_classes[6][6][8] = int_stack + 107148;
 Libderiv->deriv_classes[6][7][8] = int_stack + 107932;
 Libderiv->deriv_classes[6][8][8] = int_stack + 108940;
 Libderiv->deriv_classes[6][9][8] = int_stack + 110200;
 Libderiv->deriv_classes[7][5][8] = int_stack + 111740;
 Libderiv->deriv_classes[7][6][8] = int_stack + 112496;
 Libderiv->deriv_classes[7][7][8] = int_stack + 113504;
 Libderiv->deriv_classes[7][8][8] = int_stack + 114800;
 Libderiv->deriv_classes[7][9][8] = int_stack + 116420;
 Libderiv->deriv_classes[8][5][8] = int_stack + 118400;
 Libderiv->deriv_classes[8][6][8] = int_stack + 119345;
 Libderiv->deriv_classes[8][7][8] = int_stack + 120605;
 Libderiv->deriv_classes[8][8][8] = int_stack + 122225;
 Libderiv->deriv_classes[8][9][8] = int_stack + 124250;
 Libderiv->deriv_classes[9][5][8] = int_stack + 126725;
 Libderiv->deriv_classes[9][6][8] = int_stack + 127880;
 Libderiv->deriv_classes[9][7][8] = int_stack + 129420;
 Libderiv->deriv_classes[9][8][8] = int_stack + 131400;
 Libderiv->deriv_classes[9][9][8] = int_stack + 133875;
 Libderiv->deriv_classes[5][5][7] = int_stack + 136900;
 Libderiv->deriv_classes[5][6][7] = int_stack + 137341;
 Libderiv->deriv_classes[5][7][7] = int_stack + 137929;
 Libderiv->deriv_classes[5][8][7] = int_stack + 138685;
 Libderiv->deriv_classes[5][9][7] = int_stack + 139630;
 Libderiv->deriv_classes[6][5][7] = int_stack + 140785;
 Libderiv->deriv_classes[6][6][7] = int_stack + 141373;
 Libderiv->deriv_classes[6][7][7] = int_stack + 142157;
 Libderiv->deriv_classes[6][8][7] = int_stack + 143165;
 Libderiv->deriv_classes[6][9][7] = int_stack + 144425;
 Libderiv->deriv_classes[7][5][7] = int_stack + 145965;
 Libderiv->deriv_classes[7][6][7] = int_stack + 146721;
 Libderiv->deriv_classes[7][7][7] = int_stack + 147729;
 Libderiv->deriv_classes[7][8][7] = int_stack + 149025;
 Libderiv->deriv_classes[7][9][7] = int_stack + 150645;
 Libderiv->deriv_classes[8][5][7] = int_stack + 152625;
 Libderiv->deriv_classes[8][6][7] = int_stack + 153570;
 Libderiv->deriv_classes[8][7][7] = int_stack + 154830;
 Libderiv->deriv_classes[8][8][7] = int_stack + 156450;
 Libderiv->deriv_classes[8][9][7] = int_stack + 158475;
 Libderiv->deriv_classes[9][5][7] = int_stack + 160950;
 Libderiv->deriv_classes[9][6][7] = int_stack + 162105;
 Libderiv->deriv_classes[9][7][7] = int_stack + 163645;
 Libderiv->deriv_classes[9][8][7] = int_stack + 165625;
 Libderiv->deriv_classes[9][9][7] = int_stack + 168100;
 Libderiv->deriv_classes[5][5][6] = int_stack + 171125;
 Libderiv->deriv_classes[5][6][6] = int_stack + 171566;
 Libderiv->deriv_classes[5][7][6] = int_stack + 172154;
 Libderiv->deriv_classes[5][8][6] = int_stack + 172910;
 Libderiv->deriv_classes[5][9][6] = int_stack + 173855;
 Libderiv->deriv_classes[6][5][6] = int_stack + 175010;
 Libderiv->deriv_classes[6][6][6] = int_stack + 175598;
 Libderiv->deriv_classes[6][7][6] = int_stack + 176382;
 Libderiv->deriv_classes[6][8][6] = int_stack + 177390;
 Libderiv->deriv_classes[6][9][6] = int_stack + 178650;
 Libderiv->deriv_classes[7][5][6] = int_stack + 180190;
 Libderiv->deriv_classes[7][6][6] = int_stack + 180946;
 Libderiv->deriv_classes[7][7][6] = int_stack + 181954;
 Libderiv->deriv_classes[7][8][6] = int_stack + 183250;
 Libderiv->deriv_classes[7][9][6] = int_stack + 184870;
 Libderiv->deriv_classes[8][5][6] = int_stack + 186850;
 Libderiv->deriv_classes[8][6][6] = int_stack + 187795;
 Libderiv->deriv_classes[8][7][6] = int_stack + 189055;
 Libderiv->deriv_classes[8][8][6] = int_stack + 190675;
 Libderiv->deriv_classes[8][9][6] = int_stack + 192700;
 Libderiv->dvrr_classes[9][5] = int_stack + 195175;
 Libderiv->deriv_classes[9][5][6] = int_stack + 196330;
 Libderiv->dvrr_classes[9][6] = int_stack + 197485;
 Libderiv->deriv_classes[9][6][6] = int_stack + 199025;
 Libderiv->dvrr_classes[9][7] = int_stack + 200565;
 Libderiv->deriv_classes[9][7][6] = int_stack + 202545;
 Libderiv->dvrr_classes[9][8] = int_stack + 204525;
 Libderiv->deriv_classes[9][8][6] = int_stack + 207000;
 Libderiv->deriv_classes[9][9][6] = int_stack + 209475;
 Libderiv->deriv_classes[5][5][2] = int_stack + 212500;
 Libderiv->deriv_classes[5][6][2] = int_stack + 212941;
 Libderiv->deriv_classes[5][7][2] = int_stack + 213529;
 Libderiv->deriv_classes[5][8][2] = int_stack + 214285;
 Libderiv->deriv_classes[5][9][2] = int_stack + 215230;
 Libderiv->deriv_classes[6][5][2] = int_stack + 216385;
 Libderiv->deriv_classes[6][6][2] = int_stack + 216973;
 Libderiv->deriv_classes[6][7][2] = int_stack + 217757;
 Libderiv->deriv_classes[6][8][2] = int_stack + 218765;
 Libderiv->deriv_classes[6][9][2] = int_stack + 220025;
 Libderiv->deriv_classes[7][5][2] = int_stack + 221565;
 Libderiv->deriv_classes[7][6][2] = int_stack + 222321;
 Libderiv->deriv_classes[7][7][2] = int_stack + 223329;
 Libderiv->deriv_classes[7][8][2] = int_stack + 224625;
 Libderiv->deriv_classes[7][9][2] = int_stack + 226245;
 Libderiv->deriv_classes[8][5][2] = int_stack + 228225;
 Libderiv->deriv_classes[8][6][2] = int_stack + 229170;
 Libderiv->deriv_classes[8][7][2] = int_stack + 230430;
 Libderiv->deriv_classes[8][8][2] = int_stack + 232050;
 Libderiv->deriv_classes[8][9][2] = int_stack + 234075;
 Libderiv->deriv_classes[9][5][2] = int_stack + 236550;
 Libderiv->deriv_classes[9][6][2] = int_stack + 237705;
 Libderiv->deriv_classes[9][7][2] = int_stack + 239245;
 Libderiv->deriv_classes[9][8][2] = int_stack + 241225;
 Libderiv->deriv_classes[9][9][2] = int_stack + 243700;
 Libderiv->deriv_classes[5][5][1] = int_stack + 246725;
 Libderiv->deriv_classes[5][6][1] = int_stack + 247166;
 Libderiv->deriv_classes[5][7][1] = int_stack + 247754;
 Libderiv->deriv_classes[5][8][1] = int_stack + 248510;
 Libderiv->deriv_classes[5][9][1] = int_stack + 249455;
 Libderiv->deriv_classes[6][5][1] = int_stack + 250610;
 Libderiv->deriv_classes[6][6][1] = int_stack + 251198;
 Libderiv->deriv_classes[6][7][1] = int_stack + 251982;
 Libderiv->deriv_classes[6][8][1] = int_stack + 252990;
 Libderiv->deriv_classes[6][9][1] = int_stack + 254250;
 Libderiv->deriv_classes[7][5][1] = int_stack + 255790;
 Libderiv->deriv_classes[7][6][1] = int_stack + 256546;
 Libderiv->deriv_classes[7][7][1] = int_stack + 257554;
 Libderiv->deriv_classes[7][8][1] = int_stack + 258850;
 Libderiv->deriv_classes[7][9][1] = int_stack + 260470;
 Libderiv->deriv_classes[8][5][1] = int_stack + 262450;
 Libderiv->deriv_classes[8][6][1] = int_stack + 263395;
 Libderiv->deriv_classes[8][7][1] = int_stack + 264655;
 Libderiv->deriv_classes[8][8][1] = int_stack + 266275;
 Libderiv->deriv_classes[8][9][1] = int_stack + 268300;
 Libderiv->deriv_classes[9][5][1] = int_stack + 270775;
 Libderiv->deriv_classes[9][6][1] = int_stack + 271930;
 Libderiv->deriv_classes[9][7][1] = int_stack + 273470;
 Libderiv->deriv_classes[9][8][1] = int_stack + 275450;
 Libderiv->deriv_classes[9][9][1] = int_stack + 277925;
 Libderiv->dvrr_classes[5][5] = int_stack + 280950;
 Libderiv->dvrr_classes[5][6] = int_stack + 281391;
 Libderiv->dvrr_classes[5][7] = int_stack + 281979;
 Libderiv->dvrr_classes[5][8] = int_stack + 282735;
 Libderiv->dvrr_classes[5][9] = int_stack + 283680;
 Libderiv->deriv_classes[5][5][0] = int_stack + 284835;
 Libderiv->deriv_classes[5][6][0] = int_stack + 285276;
 Libderiv->deriv_classes[5][7][0] = int_stack + 285864;
 Libderiv->deriv_classes[5][8][0] = int_stack + 286620;
 Libderiv->deriv_classes[5][9][0] = int_stack + 287565;
 Libderiv->dvrr_classes[6][5] = int_stack + 288720;
 Libderiv->dvrr_classes[6][6] = int_stack + 289308;
 Libderiv->dvrr_classes[6][7] = int_stack + 290092;
 Libderiv->dvrr_classes[6][8] = int_stack + 291100;
 Libderiv->dvrr_classes[6][9] = int_stack + 292360;
 Libderiv->deriv_classes[6][5][0] = int_stack + 293900;
 Libderiv->deriv_classes[6][6][0] = int_stack + 294488;
 Libderiv->deriv_classes[6][7][0] = int_stack + 295272;
 Libderiv->deriv_classes[6][8][0] = int_stack + 296280;
 Libderiv->deriv_classes[6][9][0] = int_stack + 297540;
 Libderiv->dvrr_classes[7][5] = int_stack + 299080;
 Libderiv->dvrr_classes[7][6] = int_stack + 299836;
 Libderiv->dvrr_classes[7][7] = int_stack + 300844;
 Libderiv->dvrr_classes[7][8] = int_stack + 302140;
 Libderiv->dvrr_classes[7][9] = int_stack + 303760;
 Libderiv->deriv_classes[7][5][0] = int_stack + 305740;
 Libderiv->deriv_classes[7][6][0] = int_stack + 306496;
 Libderiv->deriv_classes[7][7][0] = int_stack + 307504;
 Libderiv->deriv_classes[7][8][0] = int_stack + 308800;
 Libderiv->deriv_classes[7][9][0] = int_stack + 310420;
 Libderiv->dvrr_classes[8][5] = int_stack + 312400;
 Libderiv->dvrr_classes[8][6] = int_stack + 313345;
 Libderiv->dvrr_classes[8][7] = int_stack + 314605;
 Libderiv->dvrr_classes[8][8] = int_stack + 316225;
 Libderiv->dvrr_classes[8][9] = int_stack + 318250;
 Libderiv->deriv_classes[8][5][0] = int_stack + 320725;
 Libderiv->deriv_classes[8][6][0] = int_stack + 321670;
 Libderiv->deriv_classes[8][7][0] = int_stack + 322930;
 Libderiv->deriv_classes[8][8][0] = int_stack + 324550;
 Libderiv->deriv_classes[8][9][0] = int_stack + 326575;
 Libderiv->deriv_classes[9][5][0] = int_stack + 329050;
 Libderiv->deriv_classes[9][6][0] = int_stack + 330205;
 Libderiv->deriv_classes[9][7][0] = int_stack + 331745;
 Libderiv->deriv_classes[9][8][0] = int_stack + 333725;
 Libderiv->deriv_classes[9][9][0] = int_stack + 336200;
 memset(int_stack,0,2713800);

 Libderiv->dvrr_stack = int_stack + 1945989;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_hghg(Libderiv, Data);
   Data++;
 }

 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+339225,int_stack+281391,int_stack+280950,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+340548,int_stack+281979,int_stack+281391,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+342312,int_stack+340548,int_stack+339225,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+344958,int_stack+282735,int_stack+281979,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+347226,int_stack+344958,int_stack+340548,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+350754,int_stack+347226,int_stack+342312,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+355164,int_stack+441,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+280950,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+356487,int_stack+1029,int_stack+441, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+281391,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+358251,int_stack+356487,int_stack+355164, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+339225,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+360897,int_stack+1785,int_stack+1029, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+281979,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+363165,int_stack+360897,int_stack+356487, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+340548,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+366693,int_stack+363165,int_stack+358251, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+342312,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+355164,int_stack+2730,int_stack+1785, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+282735,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+371103,int_stack+355164,int_stack+360897, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+344958,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+355164,int_stack+371103,int_stack+363165, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+347226,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+371103,int_stack+355164,int_stack+366693, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+350754,21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+355164,int_stack+289308,int_stack+288720,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+356928,int_stack+290092,int_stack+289308,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+359280,int_stack+356928,int_stack+355164,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+362808,int_stack+291100,int_stack+290092,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+365832,int_stack+362808,int_stack+356928,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+377718,int_stack+365832,int_stack+359280,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+4473,int_stack+3885, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+288720,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1764,int_stack+5257,int_stack+4473, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+289308,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+383598,int_stack+1764,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+355164,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+387126,int_stack+6265,int_stack+5257, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+290092,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+390150,int_stack+387126,int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+356928,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+0,int_stack+390150,int_stack+383598, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+359280,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+394854,int_stack+7525,int_stack+6265, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+291100,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+398634,int_stack+394854,int_stack+387126, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+362808,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+404682,int_stack+398634,int_stack+390150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+365832,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+383598,int_stack+404682,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+377718,28);
 /*--- compute (hp|hg) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+392418,int_stack+383598,int_stack+371103,315);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+299836,int_stack+299080,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+2268,int_stack+300844,int_stack+299836,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+370536,int_stack+2268,int_stack+0,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+412263,int_stack+302140,int_stack+300844,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+416151,int_stack+412263,int_stack+2268,36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+422199,int_stack+416151,int_stack+370536,36);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5292,int_stack+9821,int_stack+9065, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+299080,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+429759,int_stack+10829,int_stack+9821, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+299836,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+432783,int_stack+429759,int_stack+5292, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+5292,int_stack+12125,int_stack+10829, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+300844,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+437319,int_stack+5292,int_stack+429759, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2268,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+443367,int_stack+437319,int_stack+432783, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+370536,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+429759,int_stack+13745,int_stack+12125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+302140,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+450927,int_stack+429759,int_stack+5292, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+412263,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+5292,int_stack+450927,int_stack+437319, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+416151,36);
 /*--- compute (k0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+429759,int_stack+5292,int_stack+443367, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+422199,36);
 /*--- compute (ip|hg) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+441099,int_stack+429759,int_stack+383598,315);
 /*--- compute (hd|hg) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+467559,int_stack+441099,int_stack+392418,315);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+383598,int_stack+313345,int_stack+312400,45);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+386433,int_stack+314605,int_stack+313345,45);
 /*--- compute (l0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+390213,int_stack+386433,int_stack+383598,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+395883,int_stack+316225,int_stack+314605,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+400743,int_stack+395883,int_stack+386433,45);
 /*--- compute (l0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+5292,int_stack+400743,int_stack+390213,45);
 /*--- compute (l0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+408303,int_stack+16670,int_stack+15725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+312400,45);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+507249,int_stack+17930,int_stack+16670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+313345,45);
 /*--- compute (l0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+511029,int_stack+507249,int_stack+408303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+383598,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+516699,int_stack+19550,int_stack+17930, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+314605,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+521559,int_stack+516699,int_stack+507249, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+386433,45);
 /*--- compute (l0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+529119,int_stack+521559,int_stack+511029, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+390213,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+507249,int_stack+21575,int_stack+19550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+316225,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+538569,int_stack+507249,int_stack+516699, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+395883,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+507249,int_stack+538569,int_stack+521559, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+400743,45);
 /*--- compute (l0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+538569,int_stack+507249,int_stack+529119, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5292,45);
 /*--- compute (kp|hg) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+552744,int_stack+538569,int_stack+429759,315);
 /*--- compute (id|hg) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+586764,int_stack+552744,int_stack+441099,315);
 /*--- compute (hf|hg) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+639684,int_stack+586764,int_stack+467559,315);
 /*--- compute (m0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+429759,int_stack+197485,int_stack+195175,55);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+433224,int_stack+200565,int_stack+197485,55);
 /*--- compute (m0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+437844,int_stack+433224,int_stack+429759,55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+444774,int_stack+204525,int_stack+200565,55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+450714,int_stack+444774,int_stack+433224,55);
 /*--- compute (m0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+459954,int_stack+450714,int_stack+437844,55);
 /*--- compute (m0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+471504,int_stack+25205,int_stack+24050, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195175,55);
 /*--- compute (m0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+474969,int_stack+26745,int_stack+25205, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+197485,55);
 /*--- compute (m0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+479589,int_stack+474969,int_stack+471504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+429759,55);
 /*--- compute (m0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+486519,int_stack+28725,int_stack+26745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+200565,55);
 /*--- compute (m0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+492459,int_stack+486519,int_stack+474969, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+433224,55);
 /*--- compute (m0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+501699,int_stack+492459,int_stack+479589, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+437844,55);
 /*--- compute (m0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+471504,int_stack+31200,int_stack+28725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+204525,55);
 /*--- compute (m0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+513249,int_stack+471504,int_stack+486519, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+444774,55);
 /*--- compute (m0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+471504,int_stack+513249,int_stack+492459, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+450714,55);
 /*--- compute (m0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+513249,int_stack+471504,int_stack+501699, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+459954,55);
 /*--- compute (lp|hg) ---*/
   hrr1_build_lp(Libderiv->AB,int_stack+705834,int_stack+513249,int_stack+538569,315);
 /*--- compute (kd|hg) ---*/
   hrr1_build_kd(Libderiv->AB,int_stack+471504,int_stack+705834,int_stack+552744,315);
 /*--- compute (if|hg) ---*/
   hrr1_build_if(Libderiv->AB,int_stack+705834,int_stack+471504,int_stack+586764,315);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+471504,int_stack+34666,int_stack+34225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+280950, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+472827,int_stack+35254,int_stack+34666, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+281391, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+375072,int_stack+472827,int_stack+471504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+339225, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+474591,int_stack+36010,int_stack+35254, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+281979, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+476859,int_stack+474591,int_stack+472827, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+340548, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+480387,int_stack+476859,int_stack+375072, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+342312, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+471504,int_stack+36955,int_stack+36010, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+282735, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+484797,int_stack+471504,int_stack+474591, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+344958, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+489333,int_stack+484797,int_stack+476859, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+347226, 0.0, zero_stack,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+471504,int_stack+489333,int_stack+480387, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+350754, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+478119,int_stack+38698,int_stack+38110, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+288720, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+479883,int_stack+39482,int_stack+38698, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+289308, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+482235,int_stack+479883,int_stack+478119, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+355164, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+485763,int_stack+40490,int_stack+39482, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+290092, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+488787,int_stack+485763,int_stack+479883, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+356928, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+493491,int_stack+488787,int_stack+482235, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+359280, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+478119,int_stack+41750,int_stack+40490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+291100, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+499371,int_stack+478119,int_stack+485763, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+362808, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+478119,int_stack+499371,int_stack+488787, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+365832, 0.0, zero_stack,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+499371,int_stack+478119,int_stack+493491, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+377718, 0.0, zero_stack,28);
 /*--- compute (hp|hg) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+478119,int_stack+499371,int_stack+471504,315);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+471504,int_stack+44046,int_stack+43290, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+299080, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+473772,int_stack+45054,int_stack+44046, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+299836, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+508191,int_stack+473772,int_stack+471504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+512727,int_stack+46350,int_stack+45054, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+300844, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+516615,int_stack+512727,int_stack+473772, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2268, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+522663,int_stack+516615,int_stack+508191, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+370536, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+471504,int_stack+47970,int_stack+46350, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+302140, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+530223,int_stack+471504,int_stack+512727, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+412263, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+537999,int_stack+530223,int_stack+516615, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+416151, 0.0, zero_stack,36);
 /*--- compute (k0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+508191,int_stack+537999,int_stack+522663, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+422199, 0.0, zero_stack,36);
 /*--- compute (ip|hg) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+519531,int_stack+508191,int_stack+499371,315);
 /*--- compute (hd|hg) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+545991,int_stack+519531,int_stack+478119,315);
 /*--- compute (l0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+471504,int_stack+50895,int_stack+49950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+312400, 0.0, zero_stack,45);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+474339,int_stack+52155,int_stack+50895, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+313345, 0.0, zero_stack,45);
 /*--- compute (l0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+478119,int_stack+474339,int_stack+471504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+383598, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+483789,int_stack+53775,int_stack+52155, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+314605, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+488649,int_stack+483789,int_stack+474339, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+386433, 0.0, zero_stack,45);
 /*--- compute (l0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+496209,int_stack+488649,int_stack+478119, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+390213, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+471504,int_stack+55800,int_stack+53775, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+316225, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+585681,int_stack+471504,int_stack+483789, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+395883, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+471504,int_stack+585681,int_stack+488649, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+400743, 0.0, zero_stack,45);
 /*--- compute (l0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+585681,int_stack+471504,int_stack+496209, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5292, 0.0, zero_stack,45);
 /*--- compute (kp|hg) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+471504,int_stack+585681,int_stack+508191,315);
 /*--- compute (id|hg) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+794034,int_stack+471504,int_stack+519531,315);
 /*--- compute (hf|hg) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+846954,int_stack+794034,int_stack+545991,315);
 /*--- compute (m0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+505524,int_stack+59430,int_stack+58275, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195175, 0.0, zero_stack,55);
 /*--- compute (m0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+508989,int_stack+60970,int_stack+59430, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+197485, 0.0, zero_stack,55);
 /*--- compute (m0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+513609,int_stack+508989,int_stack+505524, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+429759, 0.0, zero_stack,55);
 /*--- compute (m0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+520539,int_stack+62950,int_stack+60970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+200565, 0.0, zero_stack,55);
 /*--- compute (m0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+526479,int_stack+520539,int_stack+508989, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+433224, 0.0, zero_stack,55);
 /*--- compute (m0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+535719,int_stack+526479,int_stack+513609, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+437844, 0.0, zero_stack,55);
 /*--- compute (m0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+505524,int_stack+65425,int_stack+62950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+204525, 0.0, zero_stack,55);
 /*--- compute (m0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+547269,int_stack+505524,int_stack+520539, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+444774, 0.0, zero_stack,55);
 /*--- compute (m0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+505524,int_stack+547269,int_stack+526479, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+450714, 0.0, zero_stack,55);
 /*--- compute (m0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+547269,int_stack+505524,int_stack+535719, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+459954, 0.0, zero_stack,55);
 /*--- compute (lp|hg) ---*/
   hrr1_build_lp(Libderiv->AB,int_stack+14742,int_stack+547269,int_stack+585681,315);
 /*--- compute (kd|hg) ---*/
   hrr1_build_kd(Libderiv->AB,int_stack+505524,int_stack+14742,int_stack+471504,315);
 /*--- compute (if|hg) ---*/
   hrr1_build_if(Libderiv->AB,int_stack+913104,int_stack+505524,int_stack+794034,315);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+794034,int_stack+68891,int_stack+68450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+280950, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+795357,int_stack+69479,int_stack+68891, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+281391, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+375072,int_stack+795357,int_stack+794034, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+339225, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+797121,int_stack+70235,int_stack+69479, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+281979, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+799389,int_stack+797121,int_stack+795357, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+340548, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+802917,int_stack+799389,int_stack+375072, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+342312, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+794034,int_stack+71180,int_stack+70235, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+282735, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+807327,int_stack+794034,int_stack+797121, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+344958, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+811863,int_stack+807327,int_stack+799389, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+347226, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+794034,int_stack+811863,int_stack+802917, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+350754, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+800649,int_stack+72923,int_stack+72335, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+288720, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+802413,int_stack+73707,int_stack+72923, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+289308, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+804765,int_stack+802413,int_stack+800649, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+355164, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+808293,int_stack+74715,int_stack+73707, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+290092, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+811317,int_stack+808293,int_stack+802413, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+356928, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+816021,int_stack+811317,int_stack+804765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+359280, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+800649,int_stack+75975,int_stack+74715, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+291100, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+821901,int_stack+800649,int_stack+808293, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+362808, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+800649,int_stack+821901,int_stack+811317, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+365832, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+821901,int_stack+800649,int_stack+816021, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+377718, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hg) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+800649,int_stack+821901,int_stack+794034,315);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+794034,int_stack+78271,int_stack+77515, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+299080, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+796302,int_stack+79279,int_stack+78271, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+299836, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+830721,int_stack+796302,int_stack+794034, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+835257,int_stack+80575,int_stack+79279, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+300844, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+839145,int_stack+835257,int_stack+796302, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2268, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+471504,int_stack+839145,int_stack+830721, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+370536, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+794034,int_stack+82195,int_stack+80575, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+302140, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+479064,int_stack+794034,int_stack+835257, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+412263, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+486840,int_stack+479064,int_stack+839145, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+416151, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+830721,int_stack+486840,int_stack+471504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+422199, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hg) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+471504,int_stack+830721,int_stack+821901,315);
 /*--- compute (hd|hg) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+497964,int_stack+471504,int_stack+800649,315);
 /*--- compute (l0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+537654,int_stack+85120,int_stack+84175, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+312400, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+540489,int_stack+86380,int_stack+85120, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+313345, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+544269,int_stack+540489,int_stack+537654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+383598, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+549939,int_stack+88000,int_stack+86380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+314605, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+554799,int_stack+549939,int_stack+540489, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+386433, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+562359,int_stack+554799,int_stack+544269, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+390213, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+537654,int_stack+90025,int_stack+88000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+316225, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+571809,int_stack+537654,int_stack+549939, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+395883, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+537654,int_stack+571809,int_stack+554799, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+400743, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+571809,int_stack+537654,int_stack+562359, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5292, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|hg) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+537654,int_stack+571809,int_stack+830721,315);
 /*--- compute (id|hg) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+794034,int_stack+537654,int_stack+471504,315);
 /*--- compute (hf|hg) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+14742,int_stack+794034,int_stack+497964,315);
 /*--- compute (m0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+471504,int_stack+93655,int_stack+92500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195175, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+474969,int_stack+95195,int_stack+93655, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+197485, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+479589,int_stack+474969,int_stack+471504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+429759, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+486519,int_stack+97175,int_stack+95195, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+200565, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+492459,int_stack+486519,int_stack+474969, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+433224, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+501699,int_stack+492459,int_stack+479589, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+437844, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+471504,int_stack+99650,int_stack+97175, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+204525, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+513249,int_stack+471504,int_stack+486519, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+444774, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+471504,int_stack+513249,int_stack+492459, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+450714, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+513249,int_stack+471504,int_stack+501699, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+459954, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (lp|hg) ---*/
   hrr1_build_lp(Libderiv->AB,int_stack+585984,int_stack+513249,int_stack+571809,315);
 /*--- compute (kd|hg) ---*/
   hrr1_build_kd(Libderiv->AB,int_stack+1001304,int_stack+585984,int_stack+537654,315);
 /*--- compute (if|hg) ---*/
   hrr1_build_if(Libderiv->AB,int_stack+471504,int_stack+1001304,int_stack+794034,315);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+794034,int_stack+103116,int_stack+102675, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+280950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+795357,int_stack+103704,int_stack+103116, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+281391, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+375072,int_stack+795357,int_stack+794034, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+339225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+797121,int_stack+104460,int_stack+103704, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+281979, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+799389,int_stack+797121,int_stack+795357, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+340548, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+802917,int_stack+799389,int_stack+375072, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+342312, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+794034,int_stack+105405,int_stack+104460, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+282735, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+807327,int_stack+794034,int_stack+797121, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+344958, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+811863,int_stack+807327,int_stack+799389, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+347226, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+794034,int_stack+811863,int_stack+802917, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+350754, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+800649,int_stack+107148,int_stack+106560, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+288720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+802413,int_stack+107932,int_stack+107148, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+289308, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+804765,int_stack+802413,int_stack+800649, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+355164, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+808293,int_stack+108940,int_stack+107932, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+290092, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+811317,int_stack+808293,int_stack+802413, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+356928, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+816021,int_stack+811317,int_stack+804765, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+359280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+800649,int_stack+110200,int_stack+108940, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+291100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+821901,int_stack+800649,int_stack+808293, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+362808, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+800649,int_stack+821901,int_stack+811317, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+365832, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+821901,int_stack+800649,int_stack+816021, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+377718, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hg) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+800649,int_stack+821901,int_stack+794034,315);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+794034,int_stack+112496,int_stack+111740, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+299080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+796302,int_stack+113504,int_stack+112496, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+299836, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+830721,int_stack+796302,int_stack+794034, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+835257,int_stack+114800,int_stack+113504, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+300844, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+839145,int_stack+835257,int_stack+796302, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1001304,int_stack+839145,int_stack+830721, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+370536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+794034,int_stack+116420,int_stack+114800, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+302140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+1008864,int_stack+794034,int_stack+835257, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+412263, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+1016640,int_stack+1008864,int_stack+839145, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+416151, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+830721,int_stack+1016640,int_stack+1001304, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+422199, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hg) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+1001304,int_stack+830721,int_stack+821901,315);
 /*--- compute (hd|hg) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+1027764,int_stack+1001304,int_stack+800649,315);
 /*--- compute (l0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+794034,int_stack+119345,int_stack+118400, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+312400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+796869,int_stack+120605,int_stack+119345, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+313345, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+800649,int_stack+796869,int_stack+794034, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+383598, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+806319,int_stack+122225,int_stack+120605, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+314605, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+811179,int_stack+806319,int_stack+796869, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+386433, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+818739,int_stack+811179,int_stack+800649, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+390213, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+794034,int_stack+124250,int_stack+122225, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+316225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+559704,int_stack+794034,int_stack+806319, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+395883, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+794034,int_stack+559704,int_stack+811179, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+400743, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+559704,int_stack+794034,int_stack+818739, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5292, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|hg) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+794034,int_stack+559704,int_stack+830721,315);
 /*--- compute (id|hg) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+573879,int_stack+794034,int_stack+1001304,315);
 /*--- compute (hf|hg) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+1067454,int_stack+573879,int_stack+1027764,315);
 /*--- compute (m0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1001304,int_stack+127880,int_stack+126725, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195175, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1004769,int_stack+129420,int_stack+127880, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+197485, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1009389,int_stack+1004769,int_stack+1001304, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+429759, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1016319,int_stack+131400,int_stack+129420, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+200565, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1022259,int_stack+1016319,int_stack+1004769, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+433224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1031499,int_stack+1022259,int_stack+1009389, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+437844, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+1001304,int_stack+133875,int_stack+131400, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+204525, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+1043049,int_stack+1001304,int_stack+1016319, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+444774, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+1001304,int_stack+1043049,int_stack+1022259, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+450714, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+1043049,int_stack+1001304,int_stack+1031499, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+459954, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (lp|hg) ---*/
   hrr1_build_lp(Libderiv->AB,int_stack+80892,int_stack+1043049,int_stack+559704,315);
 /*--- compute (kd|hg) ---*/
   hrr1_build_kd(Libderiv->AB,int_stack+1133604,int_stack+80892,int_stack+794034,315);
 /*--- compute (if|hg) ---*/
   hrr1_build_if(Libderiv->AB,int_stack+1201644,int_stack+1133604,int_stack+573879,315);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1133604,int_stack+137341,int_stack+136900, 0.0, zero_stack, 1.0, int_stack+280950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1134927,int_stack+137929,int_stack+137341, 0.0, zero_stack, 1.0, int_stack+281391, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+375072,int_stack+1134927,int_stack+1133604, 0.0, zero_stack, 1.0, int_stack+339225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1136691,int_stack+138685,int_stack+137929, 0.0, zero_stack, 1.0, int_stack+281979, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1138959,int_stack+1136691,int_stack+1134927, 0.0, zero_stack, 1.0, int_stack+340548, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1142487,int_stack+1138959,int_stack+375072, 0.0, zero_stack, 1.0, int_stack+342312, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+1133604,int_stack+139630,int_stack+138685, 0.0, zero_stack, 1.0, int_stack+282735, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+1146897,int_stack+1133604,int_stack+1136691, 0.0, zero_stack, 1.0, int_stack+344958, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+1151433,int_stack+1146897,int_stack+1138959, 0.0, zero_stack, 1.0, int_stack+347226, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+1133604,int_stack+1151433,int_stack+1142487, 0.0, zero_stack, 1.0, int_stack+350754, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1140219,int_stack+141373,int_stack+140785, 0.0, zero_stack, 1.0, int_stack+288720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1141983,int_stack+142157,int_stack+141373, 0.0, zero_stack, 1.0, int_stack+289308, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1144335,int_stack+1141983,int_stack+1140219, 0.0, zero_stack, 1.0, int_stack+355164, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1147863,int_stack+143165,int_stack+142157, 0.0, zero_stack, 1.0, int_stack+290092, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1150887,int_stack+1147863,int_stack+1141983, 0.0, zero_stack, 1.0, int_stack+356928, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1155591,int_stack+1150887,int_stack+1144335, 0.0, zero_stack, 1.0, int_stack+359280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+1140219,int_stack+144425,int_stack+143165, 0.0, zero_stack, 1.0, int_stack+291100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+1161471,int_stack+1140219,int_stack+1147863, 0.0, zero_stack, 1.0, int_stack+362808, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+1140219,int_stack+1161471,int_stack+1150887, 0.0, zero_stack, 1.0, int_stack+365832, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+1161471,int_stack+1140219,int_stack+1155591, 0.0, zero_stack, 1.0, int_stack+377718, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hg) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1140219,int_stack+1161471,int_stack+1133604,315);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1133604,int_stack+146721,int_stack+145965, 0.0, zero_stack, 1.0, int_stack+299080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1135872,int_stack+147729,int_stack+146721, 0.0, zero_stack, 1.0, int_stack+299836, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1170291,int_stack+1135872,int_stack+1133604, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1174827,int_stack+149025,int_stack+147729, 0.0, zero_stack, 1.0, int_stack+300844, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1178715,int_stack+1174827,int_stack+1135872, 0.0, zero_stack, 1.0, int_stack+2268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1184763,int_stack+1178715,int_stack+1170291, 0.0, zero_stack, 1.0, int_stack+370536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+1133604,int_stack+150645,int_stack+149025, 0.0, zero_stack, 1.0, int_stack+302140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+1192323,int_stack+1133604,int_stack+1174827, 0.0, zero_stack, 1.0, int_stack+412263, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+794034,int_stack+1192323,int_stack+1178715, 0.0, zero_stack, 1.0, int_stack+416151, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+1170291,int_stack+794034,int_stack+1184763, 0.0, zero_stack, 1.0, int_stack+422199, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hg) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+794034,int_stack+1170291,int_stack+1161471,315);
 /*--- compute (hd|hg) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+80892,int_stack+794034,int_stack+1140219,315);
 /*--- compute (l0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+820494,int_stack+153570,int_stack+152625, 0.0, zero_stack, 1.0, int_stack+312400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+823329,int_stack+154830,int_stack+153570, 0.0, zero_stack, 1.0, int_stack+313345, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+827109,int_stack+823329,int_stack+820494, 0.0, zero_stack, 1.0, int_stack+383598, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+832779,int_stack+156450,int_stack+154830, 0.0, zero_stack, 1.0, int_stack+314605, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+837639,int_stack+832779,int_stack+823329, 0.0, zero_stack, 1.0, int_stack+386433, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1133604,int_stack+837639,int_stack+827109, 0.0, zero_stack, 1.0, int_stack+390213, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+820494,int_stack+158475,int_stack+156450, 0.0, zero_stack, 1.0, int_stack+316225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+1143054,int_stack+820494,int_stack+832779, 0.0, zero_stack, 1.0, int_stack+395883, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+820494,int_stack+1143054,int_stack+837639, 0.0, zero_stack, 1.0, int_stack+400743, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+1143054,int_stack+820494,int_stack+1133604, 0.0, zero_stack, 1.0, int_stack+5292, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|hg) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+120582,int_stack+1143054,int_stack+1170291,315);
 /*--- compute (id|hg) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+559704,int_stack+120582,int_stack+794034,315);
 /*--- compute (hf|hg) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+1001304,int_stack+559704,int_stack+80892,315);
 /*--- compute (m0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+80892,int_stack+162105,int_stack+160950, 0.0, zero_stack, 1.0, int_stack+195175, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+84357,int_stack+163645,int_stack+162105, 0.0, zero_stack, 1.0, int_stack+197485, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+88977,int_stack+84357,int_stack+80892, 0.0, zero_stack, 1.0, int_stack+429759, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+95907,int_stack+165625,int_stack+163645, 0.0, zero_stack, 1.0, int_stack+200565, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+101847,int_stack+95907,int_stack+84357, 0.0, zero_stack, 1.0, int_stack+433224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+794034,int_stack+101847,int_stack+88977, 0.0, zero_stack, 1.0, int_stack+437844, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+80892,int_stack+168100,int_stack+165625, 0.0, zero_stack, 1.0, int_stack+204525, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+805584,int_stack+80892,int_stack+95907, 0.0, zero_stack, 1.0, int_stack+444774, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+80892,int_stack+805584,int_stack+101847, 0.0, zero_stack, 1.0, int_stack+450714, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+805584,int_stack+80892,int_stack+794034, 0.0, zero_stack, 1.0, int_stack+459954, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (lp|hg) ---*/
   hrr1_build_lp(Libderiv->AB,int_stack+1157229,int_stack+805584,int_stack+1143054,315);
 /*--- compute (kd|hg) ---*/
   hrr1_build_kd(Libderiv->AB,int_stack+1289844,int_stack+1157229,int_stack+120582,315);
 /*--- compute (if|hg) ---*/
   hrr1_build_if(Libderiv->AB,int_stack+80892,int_stack+1289844,int_stack+559704,315);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+559704,int_stack+171566,int_stack+171125, 1.0, int_stack+280950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+561027,int_stack+172154,int_stack+171566, 1.0, int_stack+281391, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+375072,int_stack+561027,int_stack+559704, 1.0, int_stack+339225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+562791,int_stack+172910,int_stack+172154, 1.0, int_stack+281979, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+565059,int_stack+562791,int_stack+561027, 1.0, int_stack+340548, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+568587,int_stack+565059,int_stack+375072, 1.0, int_stack+342312, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+339225,int_stack+173855,int_stack+172910, 1.0, int_stack+282735, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+572997,int_stack+339225,int_stack+562791, 1.0, int_stack+344958, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+577533,int_stack+572997,int_stack+565059, 1.0, int_stack+347226, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+559704,int_stack+577533,int_stack+568587, 1.0, int_stack+350754, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+339225,int_stack+175598,int_stack+175010, 1.0, int_stack+288720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+340989,int_stack+176382,int_stack+175598, 1.0, int_stack+289308, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+566319,int_stack+340989,int_stack+339225, 1.0, int_stack+355164, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+569847,int_stack+177390,int_stack+176382, 1.0, int_stack+290092, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+572871,int_stack+569847,int_stack+340989, 1.0, int_stack+356928, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+577575,int_stack+572871,int_stack+566319, 1.0, int_stack+359280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+355164,int_stack+178650,int_stack+177390, 1.0, int_stack+291100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+583455,int_stack+355164,int_stack+569847, 1.0, int_stack+362808, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+589503,int_stack+583455,int_stack+572871, 1.0, int_stack+365832, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+566319,int_stack+589503,int_stack+577575, 1.0, int_stack+377718, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hg) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+575139,int_stack+566319,int_stack+559704,315);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+559704,int_stack+180946,int_stack+180190, 1.0, int_stack+299080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+561972,int_stack+181954,int_stack+180946, 1.0, int_stack+299836, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+355164,int_stack+561972,int_stack+559704, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+594984,int_stack+183250,int_stack+181954, 1.0, int_stack+300844, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+598872,int_stack+594984,int_stack+561972, 1.0, int_stack+2268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+604920,int_stack+598872,int_stack+355164, 1.0, int_stack+370536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+370536,int_stack+184870,int_stack+183250, 1.0, int_stack+302140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+612480,int_stack+370536,int_stack+594984, 1.0, int_stack+412263, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+620256,int_stack+612480,int_stack+598872, 1.0, int_stack+416151, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+1289844,int_stack+620256,int_stack+604920, 1.0, int_stack+422199, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hg) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+594984,int_stack+1289844,int_stack+566319,315);
 /*--- compute (hd|hg) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+1301184,int_stack+594984,int_stack+575139,315);
 /*--- compute (l0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+621444,int_stack+187795,int_stack+186850, 1.0, int_stack+312400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+624279,int_stack+189055,int_stack+187795, 1.0, int_stack+313345, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+628059,int_stack+624279,int_stack+621444, 1.0, int_stack+383598, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+633729,int_stack+190675,int_stack+189055, 1.0, int_stack+314605, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+355164,int_stack+633729,int_stack+624279, 1.0, int_stack+386433, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+559704,int_stack+355164,int_stack+628059, 1.0, int_stack+390213, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+383598,int_stack+192700,int_stack+190675, 1.0, int_stack+316225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+621444,int_stack+383598,int_stack+633729, 1.0, int_stack+395883, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+569154,int_stack+621444,int_stack+355164, 1.0, int_stack+400743, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+621444,int_stack+569154,int_stack+559704, 1.0, int_stack+5292, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|hg) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+559704,int_stack+621444,int_stack+1289844,315);
 /*--- compute (id|hg) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+794034,int_stack+559704,int_stack+594984,315);
 /*--- compute (hf|hg) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+1133604,int_stack+794034,int_stack+1301184,315);
 /*--- compute (m0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1289844,int_stack+199025,int_stack+196330, 1.0, int_stack+195175, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1293309,int_stack+202545,int_stack+199025, 1.0, int_stack+197485, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1297929,int_stack+1293309,int_stack+1289844, 1.0, int_stack+429759, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1304859,int_stack+207000,int_stack+202545, 1.0, int_stack+200565, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1310799,int_stack+1304859,int_stack+1293309, 1.0, int_stack+433224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1320039,int_stack+1310799,int_stack+1297929, 1.0, int_stack+437844, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+429759,int_stack+209475,int_stack+207000, 1.0, int_stack+204525, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+1289844,int_stack+429759,int_stack+1304859, 1.0, int_stack+444774, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+429759,int_stack+1289844,int_stack+1310799, 1.0, int_stack+450714, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+1289844,int_stack+429759,int_stack+1320039, 1.0, int_stack+459954, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (lp|hg) ---*/
   hrr1_build_lp(Libderiv->AB,int_stack+1307169,int_stack+1289844,int_stack+621444,315);
 /*--- compute (kd|hg) ---*/
   hrr1_build_kd(Libderiv->AB,int_stack+1349694,int_stack+1307169,int_stack+559704,315);
 /*--- compute (if|hg) ---*/
   hrr1_build_if(Libderiv->AB,int_stack+1417734,int_stack+1349694,int_stack+794034,315);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+794034,int_stack+283680,int_stack+282735,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+796869,int_stack+794034,int_stack+344958,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+801405,int_stack+796869,int_stack+347226,21);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+794034,int_stack+801405,int_stack+350754,21);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+800649,int_stack+292360,int_stack+291100,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+804429,int_stack+800649,int_stack+362808,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+810477,int_stack+804429,int_stack+365832,28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+800649,int_stack+810477,int_stack+377718,28);
 /*--- compute (hp|hg) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+809469,int_stack+800649,int_stack+794034,315);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+829314,int_stack+303760,int_stack+302140,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+834174,int_stack+829314,int_stack+412263,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+559704,int_stack+834174,int_stack+416151,36);
 /*--- compute (k0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+829314,int_stack+559704,int_stack+422199,36);
 /*--- compute (ip|hg) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+559704,int_stack+829314,int_stack+800649,315);
 /*--- compute (hd|hg) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+586164,int_stack+559704,int_stack+809469,315);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+625854,int_stack+318250,int_stack+316225,45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1289844,int_stack+625854,int_stack+395883,45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+625854,int_stack+1289844,int_stack+400743,45);
 /*--- compute (l0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+1289844,int_stack+625854,int_stack+5292,45);
 /*--- compute (kp|hg) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+1304019,int_stack+1289844,int_stack+829314,315);
 /*--- compute (id|hg) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+1338039,int_stack+1304019,int_stack+559704,315);
 /*--- compute (hf|hg) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+339225,int_stack+1338039,int_stack+586164,315);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+625854,int_stack+212941,int_stack+212500,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+627177,int_stack+213529,int_stack+212941,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+628941,int_stack+627177,int_stack+625854,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+631587,int_stack+214285,int_stack+213529,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+633855,int_stack+631587,int_stack+627177,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1390959,int_stack+633855,int_stack+628941,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+625854,int_stack+215230,int_stack+214285,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1395369,int_stack+625854,int_stack+631587,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+625854,int_stack+1395369,int_stack+633855,21);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+1395369,int_stack+625854,int_stack+1390959,21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1390959,int_stack+216973,int_stack+216385,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1392723,int_stack+217757,int_stack+216973,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+625854,int_stack+1392723,int_stack+1390959,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+629382,int_stack+218765,int_stack+217757,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+632406,int_stack+629382,int_stack+1392723,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1401984,int_stack+632406,int_stack+625854,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1390959,int_stack+220025,int_stack+218765,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1407864,int_stack+1390959,int_stack+629382,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+312400,int_stack+1407864,int_stack+632406,28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+1407864,int_stack+312400,int_stack+1401984,28);
 /*--- compute (hp|hg) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+405375,int_stack+1407864,int_stack+1395369, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+794034, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+312400,int_stack+222321,int_stack+221565,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+314668,int_stack+223329,int_stack+222321,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1390959,int_stack+314668,int_stack+312400,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1395495,int_stack+224625,int_stack+223329,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1399383,int_stack+1395495,int_stack+314668,36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+312400,int_stack+1399383,int_stack+1390959,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+625854,int_stack+226245,int_stack+224625,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+630714,int_stack+625854,int_stack+1395495,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+630714,int_stack+1399383,36);
 /*--- compute (k0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+625854,int_stack+0,int_stack+312400,36);
 /*--- compute (ip|hg) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+425220,int_stack+625854,int_stack+1407864, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+800649, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (hd|hg) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+169092,int_stack+425220,int_stack+405375, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+809469, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+405375,int_stack+229170,int_stack+228225,45);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+408210,int_stack+230430,int_stack+229170,45);
 /*--- compute (l0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+411990,int_stack+408210,int_stack+405375,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+417660,int_stack+232050,int_stack+230430,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+312400,int_stack+417660,int_stack+408210,45);
 /*--- compute (l0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+0,int_stack+312400,int_stack+411990,45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+405375,int_stack+234075,int_stack+232050,45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1390959,int_stack+405375,int_stack+417660,45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+405375,int_stack+1390959,int_stack+312400,45);
 /*--- compute (l0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+1390959,int_stack+405375,int_stack+0,45);
 /*--- compute (kp|hg) ---*/
   d1hrr1_build_kp(Libderiv->AB,int_stack+1505934,int_stack+1390959,int_stack+625854, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+829314, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (id|hg) ---*/
   d1hrr1_build_id(Libderiv->AB,int_stack+1539954,int_stack+1505934,int_stack+425220, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+559704, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (hf|hg) ---*/
   d1hrr1_build_hf(Libderiv->AB,int_stack+1592874,int_stack+1539954,int_stack+169092, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+586164, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (m0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+169092,int_stack+237705,int_stack+236550,55);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+172557,int_stack+239245,int_stack+237705,55);
 /*--- compute (m0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+177177,int_stack+172557,int_stack+169092,55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+184107,int_stack+241225,int_stack+239245,55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+190047,int_stack+184107,int_stack+172557,55);
 /*--- compute (m0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+199287,int_stack+190047,int_stack+177177,55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+169092,int_stack+243700,int_stack+241225,55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+210837,int_stack+169092,int_stack+184107,55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+169092,int_stack+210837,int_stack+190047,55);
 /*--- compute (m0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+210837,int_stack+169092,int_stack+199287,55);
 /*--- compute (lp|hg) ---*/
   d1hrr1_build_lp(Libderiv->AB,int_stack+405375,int_stack+210837,int_stack+1390959, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1289844, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (kd|hg) ---*/
   d1hrr1_build_kd(Libderiv->AB,int_stack+169092,int_stack+405375,int_stack+1505934, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1304019, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (if|hg) ---*/
   d1hrr1_build_if(Libderiv->AB,int_stack+1659024,int_stack+169092,int_stack+1539954, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1338039, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+169092,int_stack+247166,int_stack+246725,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+170415,int_stack+247754,int_stack+247166,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+172179,int_stack+170415,int_stack+169092,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+174825,int_stack+248510,int_stack+247754,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+177093,int_stack+174825,int_stack+170415,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+180621,int_stack+177093,int_stack+172179,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+169092,int_stack+249455,int_stack+248510,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+185031,int_stack+169092,int_stack+174825,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+169092,int_stack+185031,int_stack+177093,21);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+185031,int_stack+169092,int_stack+180621,21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+169092,int_stack+251198,int_stack+250610,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+170856,int_stack+251982,int_stack+251198,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+173208,int_stack+170856,int_stack+169092,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+176736,int_stack+252990,int_stack+251982,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+179760,int_stack+176736,int_stack+170856,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+191646,int_stack+179760,int_stack+173208,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+169092,int_stack+254250,int_stack+252990,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+197526,int_stack+169092,int_stack+176736,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+169092,int_stack+197526,int_stack+179760,28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+197526,int_stack+169092,int_stack+191646,28);
 /*--- compute (hp|hg) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+206346,int_stack+197526,int_stack+185031, 0.0, zero_stack, 1.0, int_stack+794034, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+169092,int_stack+256546,int_stack+255790,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+171360,int_stack+257554,int_stack+256546,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+174384,int_stack+171360,int_stack+169092,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+178920,int_stack+258850,int_stack+257554,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+182808,int_stack+178920,int_stack+171360,36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+188856,int_stack+182808,int_stack+174384,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+169092,int_stack+260470,int_stack+258850,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+226191,int_stack+169092,int_stack+178920,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+169092,int_stack+226191,int_stack+182808,36);
 /*--- compute (k0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+226191,int_stack+169092,int_stack+188856,36);
 /*--- compute (ip|hg) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+169092,int_stack+226191,int_stack+197526, 0.0, zero_stack, 1.0, int_stack+800649, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (hd|hg) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+1505934,int_stack+169092,int_stack+206346, 0.0, zero_stack, 1.0, int_stack+809469, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+195552,int_stack+263395,int_stack+262450,45);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+198387,int_stack+264655,int_stack+263395,45);
 /*--- compute (l0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+202167,int_stack+198387,int_stack+195552,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+207837,int_stack+266275,int_stack+264655,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+212697,int_stack+207837,int_stack+198387,45);
 /*--- compute (l0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+237531,int_stack+212697,int_stack+202167,45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+195552,int_stack+268300,int_stack+266275,45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+246981,int_stack+195552,int_stack+207837,45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+195552,int_stack+246981,int_stack+212697,45);
 /*--- compute (l0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+246981,int_stack+195552,int_stack+237531,45);
 /*--- compute (kp|hg) ---*/
   d1hrr1_build_kp(Libderiv->AB,int_stack+1545624,int_stack+246981,int_stack+226191, 0.0, zero_stack, 1.0, int_stack+829314, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (id|hg) ---*/
   d1hrr1_build_id(Libderiv->AB,int_stack+405375,int_stack+1545624,int_stack+169092, 0.0, zero_stack, 1.0, int_stack+559704, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (hf|hg) ---*/
   d1hrr1_build_hf(Libderiv->AB,int_stack+169092,int_stack+405375,int_stack+1505934, 0.0, zero_stack, 1.0, int_stack+586164, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (m0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1505934,int_stack+271930,int_stack+270775,55);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1509399,int_stack+273470,int_stack+271930,55);
 /*--- compute (m0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1514019,int_stack+1509399,int_stack+1505934,55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1520949,int_stack+275450,int_stack+273470,55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1526889,int_stack+1520949,int_stack+1509399,55);
 /*--- compute (m0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+235242,int_stack+1526889,int_stack+1514019,55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1505934,int_stack+277925,int_stack+275450,55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+261156,int_stack+1505934,int_stack+1520949,55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1505934,int_stack+261156,int_stack+1526889,55);
 /*--- compute (m0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+261156,int_stack+1505934,int_stack+235242,55);
 /*--- compute (lp|hg) ---*/
   d1hrr1_build_lp(Libderiv->AB,int_stack+1747224,int_stack+261156,int_stack+246981, 0.0, zero_stack, 1.0, int_stack+1289844, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (kd|hg) ---*/
   d1hrr1_build_kd(Libderiv->AB,int_stack+1789749,int_stack+1747224,int_stack+1545624, 0.0, zero_stack, 1.0, int_stack+1304019, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (if|hg) ---*/
   d1hrr1_build_if(Libderiv->AB,int_stack+1857789,int_stack+1789749,int_stack+405375, 0.0, zero_stack, 1.0, int_stack+1338039, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+405375,int_stack+285276,int_stack+284835,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+406698,int_stack+285864,int_stack+285276,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+408462,int_stack+406698,int_stack+405375,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+411108,int_stack+286620,int_stack+285864,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+413376,int_stack+411108,int_stack+406698,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+416904,int_stack+413376,int_stack+408462,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+405375,int_stack+287565,int_stack+286620,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+421314,int_stack+405375,int_stack+411108,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+405375,int_stack+421314,int_stack+413376,21);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+421314,int_stack+405375,int_stack+416904,21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+405375,int_stack+294488,int_stack+293900,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+407139,int_stack+295272,int_stack+294488,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+409491,int_stack+407139,int_stack+405375,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+413019,int_stack+296280,int_stack+295272,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+416043,int_stack+413019,int_stack+407139,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+427929,int_stack+416043,int_stack+409491,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+405375,int_stack+297540,int_stack+296280,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+433809,int_stack+405375,int_stack+413019,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+405375,int_stack+433809,int_stack+416043,28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+433809,int_stack+405375,int_stack+427929,28);
 /*--- compute (hp|hg) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+442629,int_stack+433809,int_stack+421314, 1.0, int_stack+794034, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+794034,int_stack+306496,int_stack+305740,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+796302,int_stack+307504,int_stack+306496,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+405375,int_stack+796302,int_stack+794034,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+409911,int_stack+308800,int_stack+307504,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+413799,int_stack+409911,int_stack+796302,36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+419847,int_stack+413799,int_stack+405375,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+794034,int_stack+310420,int_stack+308800,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+462474,int_stack+794034,int_stack+409911,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1747224,int_stack+462474,int_stack+413799,36);
 /*--- compute (k0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+405375,int_stack+1747224,int_stack+419847,36);
 /*--- compute (ip|hg) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+1747224,int_stack+405375,int_stack+433809, 1.0, int_stack+800649, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (hd|hg) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+1773684,int_stack+1747224,int_stack+442629, 1.0, int_stack+809469, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1813374,int_stack+321670,int_stack+320725,45);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1816209,int_stack+322930,int_stack+321670,45);
 /*--- compute (l0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1819989,int_stack+1816209,int_stack+1813374,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1825659,int_stack+324550,int_stack+322930,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1830519,int_stack+1825659,int_stack+1816209,45);
 /*--- compute (l0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1838079,int_stack+1830519,int_stack+1819989,45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1813374,int_stack+326575,int_stack+324550,45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1847529,int_stack+1813374,int_stack+1825659,45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1813374,int_stack+1847529,int_stack+1830519,45);
 /*--- compute (l0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+794034,int_stack+1813374,int_stack+1838079,45);
 /*--- compute (kp|hg) ---*/
   d1hrr1_build_kp(Libderiv->AB,int_stack+1813374,int_stack+794034,int_stack+405375, 1.0, int_stack+829314, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (id|hg) ---*/
   d1hrr1_build_id(Libderiv->AB,int_stack+405375,int_stack+1813374,int_stack+1747224, 1.0, int_stack+559704, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (hf|hg) ---*/
   d1hrr1_build_hf(Libderiv->AB,int_stack+235242,int_stack+405375,int_stack+1773684, 1.0, int_stack+586164, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (m0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+559704,int_stack+330205,int_stack+329050,55);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+563169,int_stack+331745,int_stack+330205,55);
 /*--- compute (m0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+567789,int_stack+563169,int_stack+559704,55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+574719,int_stack+333725,int_stack+331745,55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+580659,int_stack+574719,int_stack+563169,55);
 /*--- compute (m0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+589899,int_stack+580659,int_stack+567789,55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+559704,int_stack+336200,int_stack+333725,55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+601449,int_stack+559704,int_stack+574719,55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+559704,int_stack+601449,int_stack+580659,55);
 /*--- compute (m0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+601449,int_stack+559704,int_stack+589899,55);
 /*--- compute (lp|hg) ---*/
   d1hrr1_build_lp(Libderiv->AB,int_stack+1747224,int_stack+601449,int_stack+794034, 1.0, int_stack+1289844, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (kd|hg) ---*/
   d1hrr1_build_kd(Libderiv->AB,int_stack+559704,int_stack+1747224,int_stack+1813374, 1.0, int_stack+1304019, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (if|hg) ---*/
   d1hrr1_build_if(Libderiv->AB,int_stack+1747224,int_stack+559704,int_stack+405375, 1.0, int_stack+1338039, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (hg|hg) ---*/
   hrr1_build_hg(Libderiv->AB,int_stack+1289844,int_stack+705834,int_stack+639684,315);
     Libderiv->ABCD[11] = int_stack + 1289844;
 /*--- compute (hg|hg) ---*/
   hrr1_build_hg(Libderiv->AB,int_stack+559704,int_stack+913104,int_stack+846954,315);
     Libderiv->ABCD[10] = int_stack + 559704;
 /*--- compute (hg|hg) ---*/
   hrr1_build_hg(Libderiv->AB,int_stack+658929,int_stack+471504,int_stack+14742,315);
     Libderiv->ABCD[9] = int_stack + 658929;
 /*--- compute (hg|hg) ---*/
   hrr1_build_hg(Libderiv->AB,int_stack+405375,int_stack+1201644,int_stack+1067454,315);
     Libderiv->ABCD[8] = int_stack + 405375;
 /*--- compute (hg|hg) ---*/
   hrr1_build_hg(Libderiv->AB,int_stack+758154,int_stack+80892,int_stack+1001304,315);
     Libderiv->ABCD[7] = int_stack + 758154;
 /*--- compute (hg|hg) ---*/
   hrr1_build_hg(Libderiv->AB,int_stack+857379,int_stack+1417734,int_stack+1133604,315);
     Libderiv->ABCD[6] = int_stack + 857379;
 /*--- compute (hg|hg) ---*/
   d1hrr1_build_hg(Libderiv->AB,int_stack+956604,int_stack+1659024,int_stack+1592874, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+339225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[2] = int_stack + 956604;
 /*--- compute (hg|hg) ---*/
   d1hrr1_build_hg(Libderiv->AB,int_stack+1055829,int_stack+1857789,int_stack+169092, 0.0, zero_stack, 1.0, int_stack+339225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[1] = int_stack + 1055829;
 /*--- compute (hg|hg) ---*/
   d1hrr1_build_hg(Libderiv->AB,int_stack+1155054,int_stack+1747224,int_stack+235242, 1.0, int_stack+339225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[0] = int_stack + 1155054;

}
