#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_hpgf(Libderiv_t *, prim_data *);

  /* Computes derivatives of (hp|gf) integrals */

void d1hrr_order_hpgf(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[5][4][11] = int_stack + 0;
 Libderiv->deriv_classes[5][5][11] = int_stack + 315;
 Libderiv->deriv_classes[5][6][11] = int_stack + 756;
 Libderiv->deriv_classes[5][7][11] = int_stack + 1344;
 Libderiv->deriv_classes[6][4][11] = int_stack + 2100;
 Libderiv->deriv_classes[6][5][11] = int_stack + 2520;
 Libderiv->deriv_classes[6][6][11] = int_stack + 3108;
 Libderiv->deriv_classes[6][7][11] = int_stack + 3892;
 Libderiv->deriv_classes[5][4][10] = int_stack + 4900;
 Libderiv->deriv_classes[5][5][10] = int_stack + 5215;
 Libderiv->deriv_classes[5][6][10] = int_stack + 5656;
 Libderiv->deriv_classes[5][7][10] = int_stack + 6244;
 Libderiv->deriv_classes[6][4][10] = int_stack + 7000;
 Libderiv->deriv_classes[6][5][10] = int_stack + 7420;
 Libderiv->deriv_classes[6][6][10] = int_stack + 8008;
 Libderiv->deriv_classes[6][7][10] = int_stack + 8792;
 Libderiv->deriv_classes[5][4][9] = int_stack + 9800;
 Libderiv->deriv_classes[5][5][9] = int_stack + 10115;
 Libderiv->deriv_classes[5][6][9] = int_stack + 10556;
 Libderiv->deriv_classes[5][7][9] = int_stack + 11144;
 Libderiv->deriv_classes[6][4][9] = int_stack + 11900;
 Libderiv->deriv_classes[6][5][9] = int_stack + 12320;
 Libderiv->deriv_classes[6][6][9] = int_stack + 12908;
 Libderiv->deriv_classes[6][7][9] = int_stack + 13692;
 Libderiv->deriv_classes[5][4][8] = int_stack + 14700;
 Libderiv->deriv_classes[5][5][8] = int_stack + 15015;
 Libderiv->deriv_classes[5][6][8] = int_stack + 15456;
 Libderiv->deriv_classes[5][7][8] = int_stack + 16044;
 Libderiv->deriv_classes[6][4][8] = int_stack + 16800;
 Libderiv->deriv_classes[6][5][8] = int_stack + 17220;
 Libderiv->deriv_classes[6][6][8] = int_stack + 17808;
 Libderiv->deriv_classes[6][7][8] = int_stack + 18592;
 Libderiv->deriv_classes[5][4][7] = int_stack + 19600;
 Libderiv->deriv_classes[5][5][7] = int_stack + 19915;
 Libderiv->deriv_classes[5][6][7] = int_stack + 20356;
 Libderiv->deriv_classes[5][7][7] = int_stack + 20944;
 Libderiv->deriv_classes[6][4][7] = int_stack + 21700;
 Libderiv->deriv_classes[6][5][7] = int_stack + 22120;
 Libderiv->deriv_classes[6][6][7] = int_stack + 22708;
 Libderiv->deriv_classes[6][7][7] = int_stack + 23492;
 Libderiv->deriv_classes[5][4][6] = int_stack + 24500;
 Libderiv->deriv_classes[5][5][6] = int_stack + 24815;
 Libderiv->deriv_classes[5][6][6] = int_stack + 25256;
 Libderiv->deriv_classes[5][7][6] = int_stack + 25844;
 Libderiv->dvrr_classes[6][4] = int_stack + 26600;
 Libderiv->deriv_classes[6][4][6] = int_stack + 27020;
 Libderiv->dvrr_classes[6][5] = int_stack + 27440;
 Libderiv->deriv_classes[6][5][6] = int_stack + 28028;
 Libderiv->dvrr_classes[6][6] = int_stack + 28616;
 Libderiv->deriv_classes[6][6][6] = int_stack + 29400;
 Libderiv->deriv_classes[6][7][6] = int_stack + 30184;
 Libderiv->deriv_classes[5][4][2] = int_stack + 31192;
 Libderiv->deriv_classes[5][5][2] = int_stack + 31507;
 Libderiv->deriv_classes[5][6][2] = int_stack + 31948;
 Libderiv->deriv_classes[5][7][2] = int_stack + 32536;
 Libderiv->deriv_classes[6][4][2] = int_stack + 33292;
 Libderiv->deriv_classes[6][5][2] = int_stack + 33712;
 Libderiv->deriv_classes[6][6][2] = int_stack + 34300;
 Libderiv->deriv_classes[6][7][2] = int_stack + 35084;
 Libderiv->deriv_classes[5][4][1] = int_stack + 36092;
 Libderiv->deriv_classes[5][5][1] = int_stack + 36407;
 Libderiv->deriv_classes[5][6][1] = int_stack + 36848;
 Libderiv->deriv_classes[5][7][1] = int_stack + 37436;
 Libderiv->deriv_classes[6][4][1] = int_stack + 38192;
 Libderiv->deriv_classes[6][5][1] = int_stack + 38612;
 Libderiv->deriv_classes[6][6][1] = int_stack + 39200;
 Libderiv->deriv_classes[6][7][1] = int_stack + 39984;
 Libderiv->dvrr_classes[5][4] = int_stack + 40992;
 Libderiv->dvrr_classes[5][5] = int_stack + 41307;
 Libderiv->dvrr_classes[5][6] = int_stack + 41748;
 Libderiv->dvrr_classes[5][7] = int_stack + 42336;
 Libderiv->deriv_classes[5][4][0] = int_stack + 43092;
 Libderiv->deriv_classes[5][5][0] = int_stack + 43407;
 Libderiv->deriv_classes[5][6][0] = int_stack + 43848;
 Libderiv->deriv_classes[5][7][0] = int_stack + 44436;
 Libderiv->deriv_classes[6][4][0] = int_stack + 45192;
 Libderiv->deriv_classes[6][5][0] = int_stack + 45612;
 Libderiv->deriv_classes[6][6][0] = int_stack + 46200;
 Libderiv->deriv_classes[6][7][0] = int_stack + 46984;
 memset(int_stack,0,383936);

 Libderiv->dvrr_stack = int_stack + 127876;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_hpgf(Libderiv, Data);
   Data++;
 }

 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+47992,int_stack+41307,int_stack+40992,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+48937,int_stack+41748,int_stack+41307,21);
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+50260,int_stack+48937,int_stack+47992,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+52150,int_stack+315,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40992,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+53095,int_stack+756,int_stack+315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41307,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+54418,int_stack+53095,int_stack+52150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+47992,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+56308,int_stack+1344,int_stack+756, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41748,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+58072,int_stack+56308,int_stack+53095, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48937,21);
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+60718,int_stack+58072,int_stack+54418, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50260,21);
 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+52150,int_stack+27440,int_stack+26600,28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+53410,int_stack+28616,int_stack+27440,28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+55174,int_stack+53410,int_stack+52150,28);
 /*--- compute (i0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+57694,int_stack+2520,int_stack+2100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26600,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+58954,int_stack+3108,int_stack+2520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27440,28);
 /*--- compute (i0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+0,int_stack+58954,int_stack+57694, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52150,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+63868,int_stack+3892,int_stack+3108, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28616,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+66220,int_stack+63868,int_stack+58954, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53410,28);
 /*--- compute (i0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+69748,int_stack+66220,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55174,28);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+0,int_stack+5215,int_stack+4900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40992, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+945,int_stack+5656,int_stack+5215, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41307, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+2268,int_stack+945,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+47992, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+63868,int_stack+6244,int_stack+5656, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41748, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+4158,int_stack+63868,int_stack+945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48937, 0.0, zero_stack,21);
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+63868,int_stack+4158,int_stack+2268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50260, 0.0, zero_stack,21);
 /*--- compute (i0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+67018,int_stack+7420,int_stack+7000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26600, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+8008,int_stack+7420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27440, 0.0, zero_stack,28);
 /*--- compute (i0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+1764,int_stack+0,int_stack+67018, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52150, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+67018,int_stack+8792,int_stack+8008, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28616, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+4284,int_stack+67018,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53410, 0.0, zero_stack,28);
 /*--- compute (i0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+73948,int_stack+4284,int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55174, 0.0, zero_stack,28);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+0,int_stack+10115,int_stack+9800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40992, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+945,int_stack+10556,int_stack+10115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41307, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+2268,int_stack+945,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+47992, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+4158,int_stack+11144,int_stack+10556, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41748, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+5922,int_stack+4158,int_stack+945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48937, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+8568,int_stack+5922,int_stack+2268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50260, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+0,int_stack+12320,int_stack+11900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26600, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1260,int_stack+12908,int_stack+12320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27440, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+3024,int_stack+1260,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52150, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+5544,int_stack+13692,int_stack+12908, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28616, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+78148,int_stack+5544,int_stack+1260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53410, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+81676,int_stack+78148,int_stack+3024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55174, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+78148,int_stack+15015,int_stack+14700, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40992, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+79093,int_stack+15456,int_stack+15015, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41307, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+0,int_stack+79093,int_stack+78148, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+47992, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1890,int_stack+16044,int_stack+15456, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41748, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+3654,int_stack+1890,int_stack+79093, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48937, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+78148,int_stack+3654,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+0,int_stack+17220,int_stack+16800, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1260,int_stack+17808,int_stack+17220, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+3024,int_stack+1260,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+5544,int_stack+18592,int_stack+17808, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28616, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+11718,int_stack+5544,int_stack+1260, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53410, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+15246,int_stack+11718,int_stack+3024, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55174, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+11718,int_stack+19915,int_stack+19600, 0.0, zero_stack, 1.0, int_stack+40992, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+12663,int_stack+20356,int_stack+19915, 0.0, zero_stack, 1.0, int_stack+41307, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+0,int_stack+12663,int_stack+11718, 0.0, zero_stack, 1.0, int_stack+47992, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1890,int_stack+20944,int_stack+20356, 0.0, zero_stack, 1.0, int_stack+41748, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+3654,int_stack+1890,int_stack+12663, 0.0, zero_stack, 1.0, int_stack+48937, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+11718,int_stack+3654,int_stack+0, 0.0, zero_stack, 1.0, int_stack+50260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+0,int_stack+22120,int_stack+21700, 0.0, zero_stack, 1.0, int_stack+26600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1260,int_stack+22708,int_stack+22120, 0.0, zero_stack, 1.0, int_stack+27440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+3024,int_stack+1260,int_stack+0, 0.0, zero_stack, 1.0, int_stack+52150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+5544,int_stack+23492,int_stack+22708, 0.0, zero_stack, 1.0, int_stack+28616, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19446,int_stack+5544,int_stack+1260, 0.0, zero_stack, 1.0, int_stack+53410, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+85876,int_stack+19446,int_stack+3024, 0.0, zero_stack, 1.0, int_stack+55174, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+19446,int_stack+24815,int_stack+24500, 1.0, int_stack+40992, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+20391,int_stack+25256,int_stack+24815, 1.0, int_stack+41307, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+21714,int_stack+20391,int_stack+19446, 1.0, int_stack+47992, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+25844,int_stack+25256, 1.0, int_stack+41748, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+23604,int_stack+0,int_stack+20391, 1.0, int_stack+48937, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+0,int_stack+23604,int_stack+21714, 1.0, int_stack+50260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3150,int_stack+28028,int_stack+27020, 1.0, int_stack+26600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+4410,int_stack+29400,int_stack+28028, 1.0, int_stack+27440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+19446,int_stack+4410,int_stack+3150, 1.0, int_stack+52150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6174,int_stack+30184,int_stack+29400, 1.0, int_stack+28616, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+21966,int_stack+6174,int_stack+4410, 1.0, int_stack+53410, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+3150,int_stack+21966,int_stack+19446, 1.0, int_stack+55174, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+19446,int_stack+42336,int_stack+41748,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+21210,int_stack+19446,int_stack+48937,21);
 /*--- compute (h0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+23856,int_stack+21210,int_stack+50260,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+19446,int_stack+31507,int_stack+31192,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+20391,int_stack+31948,int_stack+31507,21);
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+21714,int_stack+20391,int_stack+19446,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+27006,int_stack+32536,int_stack+31948,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+28770,int_stack+27006,int_stack+20391,21);
 /*--- compute (h0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+47992,int_stack+28770,int_stack+21714,21);
 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+27006,int_stack+33712,int_stack+33292,28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+28266,int_stack+34300,int_stack+33712,28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+30030,int_stack+28266,int_stack+27006,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+19446,int_stack+35084,int_stack+34300,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+32550,int_stack+19446,int_stack+28266,28);
 /*--- compute (i0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+19446,int_stack+32550,int_stack+30030,28);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+27006,int_stack+36407,int_stack+36092,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+27951,int_stack+36848,int_stack+36407,21);
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+29274,int_stack+27951,int_stack+27006,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+31164,int_stack+37436,int_stack+36848,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+32928,int_stack+31164,int_stack+27951,21);
 /*--- compute (h0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+51142,int_stack+32928,int_stack+29274,21);
 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+27006,int_stack+38612,int_stack+38192,28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+28266,int_stack+39200,int_stack+38612,28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+30030,int_stack+28266,int_stack+27006,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+32550,int_stack+39984,int_stack+39200,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+34902,int_stack+32550,int_stack+28266,28);
 /*--- compute (i0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+38430,int_stack+34902,int_stack+30030,28);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+27006,int_stack+43407,int_stack+43092,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+27951,int_stack+43848,int_stack+43407,21);
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+29274,int_stack+27951,int_stack+27006,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+31164,int_stack+44436,int_stack+43848,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+32928,int_stack+31164,int_stack+27951,21);
 /*--- compute (h0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+54292,int_stack+32928,int_stack+29274,21);
 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+27006,int_stack+45612,int_stack+45192,28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+28266,int_stack+46200,int_stack+45612,28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+30030,int_stack+28266,int_stack+27006,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+32550,int_stack+46984,int_stack+46200,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+34902,int_stack+32550,int_stack+28266,28);
 /*--- compute (i0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+42630,int_stack+34902,int_stack+30030,28);
 /*--- compute (hp|gf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+27006,int_stack+69748,int_stack+60718,150);
     Libderiv->ABCD[11] = int_stack + 27006;
 /*--- compute (hp|gf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+90076,int_stack+73948,int_stack+63868,150);
     Libderiv->ABCD[10] = int_stack + 90076;
 /*--- compute (hp|gf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+57442,int_stack+81676,int_stack+8568,150);
     Libderiv->ABCD[9] = int_stack + 57442;
 /*--- compute (hp|gf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+66892,int_stack+15246,int_stack+78148,150);
     Libderiv->ABCD[8] = int_stack + 66892;
 /*--- compute (hp|gf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+76342,int_stack+85876,int_stack+11718,150);
     Libderiv->ABCD[7] = int_stack + 76342;
 /*--- compute (hp|gf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+7350,int_stack+3150,int_stack+0,150);
     Libderiv->ABCD[6] = int_stack + 7350;
 /*--- compute (hp|gf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+99526,int_stack+19446,int_stack+47992, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23856, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[2] = int_stack + 99526;
 /*--- compute (hp|gf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+108976,int_stack+38430,int_stack+51142, 0.0, zero_stack, 1.0, int_stack+23856, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[1] = int_stack + 108976;
 /*--- compute (hp|gf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+118426,int_stack+42630,int_stack+54292, 1.0, int_stack+23856, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[0] = int_stack + 118426;

}
