#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_iphg(Libderiv_t *, prim_data *);

  /* Computes derivatives of (ip|hg) integrals */

void d1hrr_order_iphg(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[6][5][11] = int_stack + 0;
 Libderiv->deriv_classes[6][6][11] = int_stack + 588;
 Libderiv->deriv_classes[6][7][11] = int_stack + 1372;
 Libderiv->deriv_classes[6][8][11] = int_stack + 2380;
 Libderiv->deriv_classes[6][9][11] = int_stack + 3640;
 Libderiv->deriv_classes[7][5][11] = int_stack + 5180;
 Libderiv->deriv_classes[7][6][11] = int_stack + 5936;
 Libderiv->deriv_classes[7][7][11] = int_stack + 6944;
 Libderiv->deriv_classes[7][8][11] = int_stack + 8240;
 Libderiv->deriv_classes[7][9][11] = int_stack + 9860;
 Libderiv->deriv_classes[6][5][10] = int_stack + 11840;
 Libderiv->deriv_classes[6][6][10] = int_stack + 12428;
 Libderiv->deriv_classes[6][7][10] = int_stack + 13212;
 Libderiv->deriv_classes[6][8][10] = int_stack + 14220;
 Libderiv->deriv_classes[6][9][10] = int_stack + 15480;
 Libderiv->deriv_classes[7][5][10] = int_stack + 17020;
 Libderiv->deriv_classes[7][6][10] = int_stack + 17776;
 Libderiv->deriv_classes[7][7][10] = int_stack + 18784;
 Libderiv->deriv_classes[7][8][10] = int_stack + 20080;
 Libderiv->deriv_classes[7][9][10] = int_stack + 21700;
 Libderiv->deriv_classes[6][5][9] = int_stack + 23680;
 Libderiv->deriv_classes[6][6][9] = int_stack + 24268;
 Libderiv->deriv_classes[6][7][9] = int_stack + 25052;
 Libderiv->deriv_classes[6][8][9] = int_stack + 26060;
 Libderiv->deriv_classes[6][9][9] = int_stack + 27320;
 Libderiv->deriv_classes[7][5][9] = int_stack + 28860;
 Libderiv->deriv_classes[7][6][9] = int_stack + 29616;
 Libderiv->deriv_classes[7][7][9] = int_stack + 30624;
 Libderiv->deriv_classes[7][8][9] = int_stack + 31920;
 Libderiv->deriv_classes[7][9][9] = int_stack + 33540;
 Libderiv->deriv_classes[6][5][8] = int_stack + 35520;
 Libderiv->deriv_classes[6][6][8] = int_stack + 36108;
 Libderiv->deriv_classes[6][7][8] = int_stack + 36892;
 Libderiv->deriv_classes[6][8][8] = int_stack + 37900;
 Libderiv->deriv_classes[6][9][8] = int_stack + 39160;
 Libderiv->deriv_classes[7][5][8] = int_stack + 40700;
 Libderiv->deriv_classes[7][6][8] = int_stack + 41456;
 Libderiv->deriv_classes[7][7][8] = int_stack + 42464;
 Libderiv->deriv_classes[7][8][8] = int_stack + 43760;
 Libderiv->deriv_classes[7][9][8] = int_stack + 45380;
 Libderiv->deriv_classes[6][5][7] = int_stack + 47360;
 Libderiv->deriv_classes[6][6][7] = int_stack + 47948;
 Libderiv->deriv_classes[6][7][7] = int_stack + 48732;
 Libderiv->deriv_classes[6][8][7] = int_stack + 49740;
 Libderiv->deriv_classes[6][9][7] = int_stack + 51000;
 Libderiv->deriv_classes[7][5][7] = int_stack + 52540;
 Libderiv->deriv_classes[7][6][7] = int_stack + 53296;
 Libderiv->deriv_classes[7][7][7] = int_stack + 54304;
 Libderiv->deriv_classes[7][8][7] = int_stack + 55600;
 Libderiv->deriv_classes[7][9][7] = int_stack + 57220;
 Libderiv->deriv_classes[6][5][6] = int_stack + 59200;
 Libderiv->deriv_classes[6][6][6] = int_stack + 59788;
 Libderiv->deriv_classes[6][7][6] = int_stack + 60572;
 Libderiv->deriv_classes[6][8][6] = int_stack + 61580;
 Libderiv->deriv_classes[6][9][6] = int_stack + 62840;
 Libderiv->dvrr_classes[7][5] = int_stack + 64380;
 Libderiv->deriv_classes[7][5][6] = int_stack + 65136;
 Libderiv->dvrr_classes[7][6] = int_stack + 65892;
 Libderiv->deriv_classes[7][6][6] = int_stack + 66900;
 Libderiv->dvrr_classes[7][7] = int_stack + 67908;
 Libderiv->deriv_classes[7][7][6] = int_stack + 69204;
 Libderiv->dvrr_classes[7][8] = int_stack + 70500;
 Libderiv->deriv_classes[7][8][6] = int_stack + 72120;
 Libderiv->deriv_classes[7][9][6] = int_stack + 73740;
 Libderiv->deriv_classes[6][5][2] = int_stack + 75720;
 Libderiv->deriv_classes[6][6][2] = int_stack + 76308;
 Libderiv->deriv_classes[6][7][2] = int_stack + 77092;
 Libderiv->deriv_classes[6][8][2] = int_stack + 78100;
 Libderiv->deriv_classes[6][9][2] = int_stack + 79360;
 Libderiv->deriv_classes[7][5][2] = int_stack + 80900;
 Libderiv->deriv_classes[7][6][2] = int_stack + 81656;
 Libderiv->deriv_classes[7][7][2] = int_stack + 82664;
 Libderiv->deriv_classes[7][8][2] = int_stack + 83960;
 Libderiv->deriv_classes[7][9][2] = int_stack + 85580;
 Libderiv->deriv_classes[6][5][1] = int_stack + 87560;
 Libderiv->deriv_classes[6][6][1] = int_stack + 88148;
 Libderiv->deriv_classes[6][7][1] = int_stack + 88932;
 Libderiv->deriv_classes[6][8][1] = int_stack + 89940;
 Libderiv->deriv_classes[6][9][1] = int_stack + 91200;
 Libderiv->deriv_classes[7][5][1] = int_stack + 92740;
 Libderiv->deriv_classes[7][6][1] = int_stack + 93496;
 Libderiv->deriv_classes[7][7][1] = int_stack + 94504;
 Libderiv->deriv_classes[7][8][1] = int_stack + 95800;
 Libderiv->deriv_classes[7][9][1] = int_stack + 97420;
 Libderiv->dvrr_classes[6][5] = int_stack + 99400;
 Libderiv->dvrr_classes[6][6] = int_stack + 99988;
 Libderiv->dvrr_classes[6][7] = int_stack + 100772;
 Libderiv->dvrr_classes[6][8] = int_stack + 101780;
 Libderiv->dvrr_classes[6][9] = int_stack + 103040;
 Libderiv->deriv_classes[6][5][0] = int_stack + 104580;
 Libderiv->deriv_classes[6][6][0] = int_stack + 105168;
 Libderiv->deriv_classes[6][7][0] = int_stack + 105952;
 Libderiv->deriv_classes[6][8][0] = int_stack + 106960;
 Libderiv->deriv_classes[6][9][0] = int_stack + 108220;
 Libderiv->deriv_classes[7][5][0] = int_stack + 109760;
 Libderiv->deriv_classes[7][6][0] = int_stack + 110516;
 Libderiv->deriv_classes[7][7][0] = int_stack + 111524;
 Libderiv->deriv_classes[7][8][0] = int_stack + 112820;
 Libderiv->deriv_classes[7][9][0] = int_stack + 114440;
 memset(int_stack,0,931360);

 Libderiv->dvrr_stack = int_stack + 341876;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_iphg(Libderiv, Data);
   Data++;
 }

 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+116420,int_stack+99988,int_stack+99400,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+118184,int_stack+100772,int_stack+99988,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+120536,int_stack+118184,int_stack+116420,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+124064,int_stack+101780,int_stack+100772,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+127088,int_stack+124064,int_stack+118184,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+131792,int_stack+127088,int_stack+120536,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+137672,int_stack+588,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+99400,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+139436,int_stack+1372,int_stack+588, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+99988,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+141788,int_stack+139436,int_stack+137672, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116420,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+145316,int_stack+2380,int_stack+1372, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100772,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+148340,int_stack+145316,int_stack+139436, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+118184,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+153044,int_stack+148340,int_stack+141788, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120536,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+137672,int_stack+3640,int_stack+2380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101780,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+158924,int_stack+137672,int_stack+145316, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124064,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+137672,int_stack+158924,int_stack+148340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+127088,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+158924,int_stack+137672,int_stack+153044, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+131792,28);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+137672,int_stack+65892,int_stack+64380,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+139940,int_stack+67908,int_stack+65892,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+142964,int_stack+139940,int_stack+137672,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+147500,int_stack+70500,int_stack+67908,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+151388,int_stack+147500,int_stack+139940,36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+167744,int_stack+151388,int_stack+142964,36);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+5936,int_stack+5180, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64380,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2268,int_stack+6944,int_stack+5936, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65892,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+175304,int_stack+2268,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+137672,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+179840,int_stack+8240,int_stack+6944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67908,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+183728,int_stack+179840,int_stack+2268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+139940,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+0,int_stack+183728,int_stack+175304, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+142964,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+189776,int_stack+9860,int_stack+8240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70500,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+194636,int_stack+189776,int_stack+179840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+147500,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+202412,int_stack+194636,int_stack+183728, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+151388,36);
 /*--- compute (k0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+175304,int_stack+202412,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167744,36);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+12428,int_stack+11840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+99400, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1764,int_stack+13212,int_stack+12428, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+99988, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+4116,int_stack+1764,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116420, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+7644,int_stack+14220,int_stack+13212, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100772, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+186644,int_stack+7644,int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+118184, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+191348,int_stack+186644,int_stack+4116, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120536, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+15480,int_stack+14220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101780, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+10668,int_stack+0,int_stack+7644, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124064, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+10668,int_stack+186644, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+127088, 0.0, zero_stack,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+7840,int_stack+0,int_stack+191348, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+131792, 0.0, zero_stack,28);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+17776,int_stack+17020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64380, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2268,int_stack+18784,int_stack+17776, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65892, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+186644,int_stack+2268,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+137672, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+191180,int_stack+20080,int_stack+18784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67908, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+195068,int_stack+191180,int_stack+2268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+139940, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+0,int_stack+195068,int_stack+186644, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+142964, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+201116,int_stack+21700,int_stack+20080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70500, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+205976,int_stack+201116,int_stack+191180, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+147500, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+213752,int_stack+205976,int_stack+195068, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+151388, 0.0, zero_stack,36);
 /*--- compute (k0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+186644,int_stack+213752,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167744, 0.0, zero_stack,36);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+24268,int_stack+23680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+99400, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1764,int_stack+25052,int_stack+24268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+99988, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+4116,int_stack+1764,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116420, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+197984,int_stack+26060,int_stack+25052, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100772, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+201008,int_stack+197984,int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+118184, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+205712,int_stack+201008,int_stack+4116, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120536, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+27320,int_stack+26060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101780, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+211592,int_stack+0,int_stack+197984, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124064, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+211592,int_stack+201008, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+127088, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+211592,int_stack+0,int_stack+205712, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+131792, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+29616,int_stack+28860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64380, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2268,int_stack+30624,int_stack+29616, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65892, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+197984,int_stack+2268,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+137672, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+202520,int_stack+31920,int_stack+30624, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67908, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+16660,int_stack+202520,int_stack+2268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+139940, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+0,int_stack+16660,int_stack+197984, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+142964, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+206408,int_stack+33540,int_stack+31920, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70500, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+22708,int_stack+206408,int_stack+202520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+147500, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+197984,int_stack+22708,int_stack+16660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+151388, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+16660,int_stack+197984,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167744, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+36108,int_stack+35520, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+99400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1764,int_stack+36892,int_stack+36108, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+99988, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+4116,int_stack+1764,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+197984,int_stack+37900,int_stack+36892, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100772, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+201008,int_stack+197984,int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+118184, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+205712,int_stack+201008,int_stack+4116, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+39160,int_stack+37900, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+28000,int_stack+0,int_stack+197984, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124064, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+28000,int_stack+201008, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+127088, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+28000,int_stack+0,int_stack+205712, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+131792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+41456,int_stack+40700, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2268,int_stack+42464,int_stack+41456, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65892, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+36820,int_stack+2268,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+137672, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+197984,int_stack+43760,int_stack+42464, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67908, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+201872,int_stack+197984,int_stack+2268, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+139940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+0,int_stack+201872,int_stack+36820, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+142964, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+36820,int_stack+45380,int_stack+43760, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+220412,int_stack+36820,int_stack+197984, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+147500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+36820,int_stack+220412,int_stack+201872, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+151388, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+197984,int_stack+36820,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+47948,int_stack+47360, 0.0, zero_stack, 1.0, int_stack+99400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1764,int_stack+48732,int_stack+47948, 0.0, zero_stack, 1.0, int_stack+99988, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+4116,int_stack+1764,int_stack+0, 0.0, zero_stack, 1.0, int_stack+116420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+36820,int_stack+49740,int_stack+48732, 0.0, zero_stack, 1.0, int_stack+100772, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+39844,int_stack+36820,int_stack+1764, 0.0, zero_stack, 1.0, int_stack+118184, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+220412,int_stack+39844,int_stack+4116, 0.0, zero_stack, 1.0, int_stack+120536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+51000,int_stack+49740, 0.0, zero_stack, 1.0, int_stack+101780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+44548,int_stack+0,int_stack+36820, 0.0, zero_stack, 1.0, int_stack+124064, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+44548,int_stack+39844, 0.0, zero_stack, 1.0, int_stack+127088, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+36820,int_stack+0,int_stack+220412, 0.0, zero_stack, 1.0, int_stack+131792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+209324,int_stack+53296,int_stack+52540, 0.0, zero_stack, 1.0, int_stack+64380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+220412,int_stack+54304,int_stack+53296, 0.0, zero_stack, 1.0, int_stack+65892, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+223436,int_stack+220412,int_stack+209324, 0.0, zero_stack, 1.0, int_stack+137672, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+0,int_stack+55600,int_stack+54304, 0.0, zero_stack, 1.0, int_stack+67908, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+45640,int_stack+0,int_stack+220412, 0.0, zero_stack, 1.0, int_stack+139940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+227972,int_stack+45640,int_stack+223436, 0.0, zero_stack, 1.0, int_stack+142964, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+220412,int_stack+57220,int_stack+55600, 0.0, zero_stack, 1.0, int_stack+70500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+235532,int_stack+220412,int_stack+0, 0.0, zero_stack, 1.0, int_stack+147500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+243308,int_stack+235532,int_stack+45640, 0.0, zero_stack, 1.0, int_stack+151388, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+45640,int_stack+243308,int_stack+227972, 0.0, zero_stack, 1.0, int_stack+167744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56980,int_stack+59788,int_stack+59200, 1.0, int_stack+99400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+60572,int_stack+59788, 1.0, int_stack+99988, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+2352,int_stack+0,int_stack+56980, 1.0, int_stack+116420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+56980,int_stack+61580,int_stack+60572, 1.0, int_stack+100772, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+220412,int_stack+56980,int_stack+0, 1.0, int_stack+118184, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+225116,int_stack+220412,int_stack+2352, 1.0, int_stack+120536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+62840,int_stack+61580, 1.0, int_stack+101780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+116420,int_stack+0,int_stack+56980, 1.0, int_stack+124064, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+116420,int_stack+220412, 1.0, int_stack+127088, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+230996,int_stack+0,int_stack+225116, 1.0, int_stack+131792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+209324,int_stack+66900,int_stack+65136, 1.0, int_stack+64380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+69204,int_stack+66900, 1.0, int_stack+65892, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+3024,int_stack+0,int_stack+209324, 1.0, int_stack+137672, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+220412,int_stack+72120,int_stack+69204, 1.0, int_stack+67908, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+224300,int_stack+220412,int_stack+0, 1.0, int_stack+139940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+116420,int_stack+224300,int_stack+3024, 1.0, int_stack+142964, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+73740,int_stack+72120, 1.0, int_stack+70500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+137672,int_stack+0,int_stack+220412, 1.0, int_stack+147500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+56980,int_stack+137672,int_stack+224300, 1.0, int_stack+151388, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+137672,int_stack+56980,int_stack+116420, 1.0, int_stack+167744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+167744,int_stack+103040,int_stack+101780,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+116420,int_stack+167744,int_stack+124064,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+116420,int_stack+127088,28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+116420,int_stack+0,int_stack+131792,28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+76308,int_stack+75720,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1764,int_stack+77092,int_stack+76308,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+4116,int_stack+1764,int_stack+0,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+125240,int_stack+78100,int_stack+77092,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+128264,int_stack+125240,int_stack+1764,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+167744,int_stack+128264,int_stack+4116,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+79360,int_stack+78100,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+56980,int_stack+0,int_stack+125240,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+56980,int_stack+128264,28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+56980,int_stack+0,int_stack+167744,28);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+209324,int_stack+81656,int_stack+80900,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+167744,int_stack+82664,int_stack+81656,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+170768,int_stack+167744,int_stack+209324,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+0,int_stack+83960,int_stack+82664,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+65800,int_stack+0,int_stack+167744,36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+71848,int_stack+65800,int_stack+170768,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+167744,int_stack+85580,int_stack+83960,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+79408,int_stack+167744,int_stack+0,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+125240,int_stack+79408,int_stack+65800,36);
 /*--- compute (k0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+239816,int_stack+125240,int_stack+71848,36);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+125240,int_stack+88148,int_stack+87560,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+127004,int_stack+88932,int_stack+88148,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+129356,int_stack+127004,int_stack+125240,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+132884,int_stack+89940,int_stack+88932,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+65800,int_stack+132884,int_stack+127004,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+70504,int_stack+65800,int_stack+129356,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+125240,int_stack+91200,int_stack+89940,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+76384,int_stack+125240,int_stack+132884,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+76384,int_stack+65800,28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+76384,int_stack+0,int_stack+70504,28);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+209324,int_stack+93496,int_stack+92740,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+94504,int_stack+93496,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+3024,int_stack+0,int_stack+209324,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+65800,int_stack+95800,int_stack+94504,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+69688,int_stack+65800,int_stack+0,36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+167744,int_stack+69688,int_stack+3024,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+97420,int_stack+95800,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+85204,int_stack+0,int_stack+65800,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+92980,int_stack+85204,int_stack+69688,36);
 /*--- compute (k0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+125240,int_stack+92980,int_stack+167744,36);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+167744,int_stack+105168,int_stack+104580,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+169508,int_stack+105952,int_stack+105168,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+85204,int_stack+169508,int_stack+167744,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+171860,int_stack+106960,int_stack+105952,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+88732,int_stack+171860,int_stack+169508,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+93436,int_stack+88732,int_stack+85204,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+167744,int_stack+108220,int_stack+106960,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+99316,int_stack+167744,int_stack+171860,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+99316,int_stack+88732,28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+99316,int_stack+0,int_stack+93436,28);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+209324,int_stack+110516,int_stack+109760,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+111524,int_stack+110516,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+3024,int_stack+0,int_stack+209324,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+167744,int_stack+112820,int_stack+111524,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+85204,int_stack+167744,int_stack+0,36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+91252,int_stack+85204,int_stack+3024,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+114440,int_stack+112820,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+108136,int_stack+0,int_stack+167744,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+65800,int_stack+108136,int_stack+85204,36);
 /*--- compute (k0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+251156,int_stack+65800,int_stack+91252,36);
 /*--- compute (ip|hg) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+262496,int_stack+175304,int_stack+158924,315);
     Libderiv->ABCD[11] = int_stack + 262496;
 /*--- compute (ip|hg) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+149012,int_stack+186644,int_stack+7840,315);
     Libderiv->ABCD[10] = int_stack + 149012;
 /*--- compute (ip|hg) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+288956,int_stack+16660,int_stack+211592,315);
     Libderiv->ABCD[9] = int_stack + 288956;
 /*--- compute (ip|hg) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+0,int_stack+197984,int_stack+28000,315);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (ip|hg) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+175472,int_stack+45640,int_stack+36820,315);
     Libderiv->ABCD[7] = int_stack + 175472;
 /*--- compute (ip|hg) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+26460,int_stack+137672,int_stack+230996,315);
     Libderiv->ABCD[6] = int_stack + 26460;
 /*--- compute (ip|hg) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+201932,int_stack+239816,int_stack+56980, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[2] = int_stack + 201932;
 /*--- compute (ip|hg) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+315416,int_stack+125240,int_stack+76384, 0.0, zero_stack, 1.0, int_stack+116420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[1] = int_stack + 315416;
 /*--- compute (ip|hg) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+52920,int_stack+251156,int_stack+99316, 1.0, int_stack+116420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[0] = int_stack + 52920;

}
