#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_00md(Libint_t*, prim_data*);

  /* Computes quartets of (00|md) integrals */

REALTYPE *hrr_order_00md(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[0][9] = int_stack + 0;
 Libint->vrr_classes[0][10] = int_stack + 55;
 Libint->vrr_classes[0][11] = int_stack + 121;
 memset(int_stack,0,199*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 199;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_00md(Libint, Data);
   Data++;
 }
 /*--- compute (00|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+199,int_stack+55,int_stack+0,1);
 /*--- compute (00|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+364,int_stack+121,int_stack+55,1);
 /*--- compute (00|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+562,int_stack+364,int_stack+199,1);
 return int_stack+562;}
