#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_00ml(Libint_t*, prim_data*);

  /* Computes quartets of (00|ml) integrals */

REALTYPE *hrr_order_00ml(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[0][9] = int_stack + 0;
 Libint->vrr_classes[0][10] = int_stack + 55;
 Libint->vrr_classes[0][11] = int_stack + 121;
 Libint->vrr_classes[0][12] = int_stack + 199;
 Libint->vrr_classes[0][13] = int_stack + 290;
 Libint->vrr_classes[0][14] = int_stack + 395;
 Libint->vrr_classes[0][15] = int_stack + 515;
 Libint->vrr_classes[0][16] = int_stack + 651;
 Libint->vrr_classes[0][17] = int_stack + 804;
 memset(int_stack,0,975*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 975;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_00ml(Libint, Data);
   Data++;
 }
 /*--- compute (00|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+975,int_stack+55,int_stack+0,1);
 /*--- compute (00|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1140,int_stack+121,int_stack+55,1);
 /*--- compute (00|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+1338,int_stack+1140,int_stack+975,1);
 /*--- compute (00|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1668,int_stack+199,int_stack+121,1);
 /*--- compute (00|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1902,int_stack+1668,int_stack+1140,1);
 /*--- compute (00|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+2298,int_stack+1902,int_stack+1338,1);
 /*--- compute (00|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+975,int_stack+290,int_stack+199,1);
 /*--- compute (00|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+2848,int_stack+975,int_stack+1668,1);
 /*--- compute (00|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+3316,int_stack+2848,int_stack+1902,1);
 /*--- compute (00|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+1248,int_stack+3316,int_stack+2298,1);
 /*--- compute (00|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+2073,int_stack+395,int_stack+290,1);
 /*--- compute (00|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+3976,int_stack+2073,int_stack+975,1);
 /*--- compute (00|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+4522,int_stack+3976,int_stack+2848,1);
 /*--- compute (00|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+5302,int_stack+4522,int_stack+3316,1);
 /*--- compute (00|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+2388,int_stack+5302,int_stack+1248,1);
 /*--- compute (00|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+975,int_stack+515,int_stack+395,1);
 /*--- compute (00|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1335,int_stack+975,int_stack+2073,1);
 /*--- compute (00|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+6292,int_stack+1335,int_stack+3976,1);
 /*--- compute (00|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+7202,int_stack+6292,int_stack+4522,1);
 /*--- compute (00|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+3543,int_stack+7202,int_stack+5302,1);
 /*--- compute (00|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+8372,int_stack+3543,int_stack+2388,1);
 /*--- compute (00|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1965,int_stack+651,int_stack+515,1);
 /*--- compute (00|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+2373,int_stack+1965,int_stack+975,1);
 /*--- compute (00|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+4929,int_stack+2373,int_stack+1335,1);
 /*--- compute (00|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+9912,int_stack+4929,int_stack+6292,1);
 /*--- compute (00|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+11277,int_stack+9912,int_stack+7202,1);
 /*--- compute (00|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+5979,int_stack+11277,int_stack+3543,1);
 /*--- compute (00|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+12915,int_stack+5979,int_stack+8372,1);
 /*--- compute (00|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+975,int_stack+804,int_stack+651,1);
 /*--- compute (00|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+3093,int_stack+975,int_stack+1965,1);
 /*--- compute (00|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+7827,int_stack+3093,int_stack+2373,1);
 /*--- compute (00|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+0,int_stack+7827,int_stack+4929,1);
 /*--- compute (00|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+7827,int_stack+0,int_stack+9912,1);
 /*--- compute (00|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+0,int_stack+7827,int_stack+11277,1);
 /*--- compute (00|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+7827,int_stack+0,int_stack+5979,1);
 /*--- compute (00|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+0,int_stack+7827,int_stack+12915,1);
 return int_stack+0;}
