#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ddkp(Libint_t*, prim_data*);

  /* Computes quartets of (dd|kp) integrals */

REALTYPE *hrr_order_ddkp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][7] = int_stack + 0;
 Libint->vrr_classes[2][8] = int_stack + 216;
 Libint->vrr_classes[3][7] = int_stack + 486;
 Libint->vrr_classes[3][8] = int_stack + 846;
 Libint->vrr_classes[4][7] = int_stack + 1296;
 Libint->vrr_classes[4][8] = int_stack + 1836;
 memset(int_stack,0,2511*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 2511;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ddkp(Libint, Data);
   Data++;
 }
 /*--- compute (d0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+2511,int_stack+216,int_stack+0,6);
 /*--- compute (f0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+3159,int_stack+846,int_stack+486,10);
 /*--- compute (dp|kp) ---*/
 hrr1_build_dp(Libint->AB,int_stack+4239,int_stack+3159,int_stack+2511,108);
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+6183,int_stack+1836,int_stack+1296,15);
 /*--- compute (fp|kp) ---*/
 hrr1_build_fp(Libint->AB,int_stack+7803,int_stack+6183,int_stack+3159,108);
 /*--- compute (dd|kp) ---*/
 hrr1_build_dd(Libint->AB,int_stack+0,int_stack+7803,int_stack+4239,108);
 return int_stack+0;}
