#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ddmm(Libint_t*, prim_data*);

  /* Computes quartets of (dd|mm) integrals */

REALTYPE *hrr_order_ddmm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][9] = int_stack + 0;
 Libint->vrr_classes[2][10] = int_stack + 330;
 Libint->vrr_classes[2][11] = int_stack + 726;
 Libint->vrr_classes[2][12] = int_stack + 1194;
 Libint->vrr_classes[2][13] = int_stack + 1740;
 Libint->vrr_classes[2][14] = int_stack + 2370;
 Libint->vrr_classes[2][15] = int_stack + 3090;
 Libint->vrr_classes[2][16] = int_stack + 3906;
 Libint->vrr_classes[2][17] = int_stack + 4824;
 Libint->vrr_classes[2][18] = int_stack + 5850;
 Libint->vrr_classes[3][9] = int_stack + 6990;
 Libint->vrr_classes[3][10] = int_stack + 7540;
 Libint->vrr_classes[3][11] = int_stack + 8200;
 Libint->vrr_classes[3][12] = int_stack + 8980;
 Libint->vrr_classes[3][13] = int_stack + 9890;
 Libint->vrr_classes[3][14] = int_stack + 10940;
 Libint->vrr_classes[3][15] = int_stack + 12140;
 Libint->vrr_classes[3][16] = int_stack + 13500;
 Libint->vrr_classes[3][17] = int_stack + 15030;
 Libint->vrr_classes[3][18] = int_stack + 16740;
 Libint->vrr_classes[4][9] = int_stack + 18640;
 Libint->vrr_classes[4][10] = int_stack + 19465;
 Libint->vrr_classes[4][11] = int_stack + 20455;
 Libint->vrr_classes[4][12] = int_stack + 21625;
 Libint->vrr_classes[4][13] = int_stack + 22990;
 Libint->vrr_classes[4][14] = int_stack + 24565;
 Libint->vrr_classes[4][15] = int_stack + 26365;
 Libint->vrr_classes[4][16] = int_stack + 28405;
 Libint->vrr_classes[4][17] = int_stack + 30700;
 Libint->vrr_classes[4][18] = int_stack + 33265;
 memset(int_stack,0,36115*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 36115;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ddmm(Libint, Data);
   Data++;
 }
 /*--- compute (d0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+36115,int_stack+330,int_stack+0,6);
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+37105,int_stack+726,int_stack+330,6);
 /*--- compute (d0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+38293,int_stack+37105,int_stack+36115,6);
 /*--- compute (d0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+40273,int_stack+1194,int_stack+726,6);
 /*--- compute (d0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+41677,int_stack+40273,int_stack+37105,6);
 /*--- compute (d0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+44053,int_stack+41677,int_stack+38293,6);
 /*--- compute (d0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+36115,int_stack+1740,int_stack+1194,6);
 /*--- compute (d0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+47353,int_stack+36115,int_stack+40273,6);
 /*--- compute (d0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+50161,int_stack+47353,int_stack+41677,6);
 /*--- compute (d0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+37753,int_stack+50161,int_stack+44053,6);
 /*--- compute (d0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+42703,int_stack+2370,int_stack+1740,6);
 /*--- compute (d0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+54121,int_stack+42703,int_stack+36115,6);
 /*--- compute (d0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+57397,int_stack+54121,int_stack+47353,6);
 /*--- compute (d0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+62077,int_stack+57397,int_stack+50161,6);
 /*--- compute (d0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+44593,int_stack+62077,int_stack+37753,6);
 /*--- compute (d0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+36115,int_stack+3090,int_stack+2370,6);
 /*--- compute (d0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+38275,int_stack+36115,int_stack+42703,6);
 /*--- compute (d0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+68017,int_stack+38275,int_stack+54121,6);
 /*--- compute (d0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+73477,int_stack+68017,int_stack+57397,6);
 /*--- compute (d0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+51523,int_stack+73477,int_stack+62077,6);
 /*--- compute (d0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+80497,int_stack+51523,int_stack+44593,6);
 /*--- compute (d0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+42055,int_stack+3906,int_stack+3090,6);
 /*--- compute (d0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+44503,int_stack+42055,int_stack+36115,6);
 /*--- compute (d0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+59839,int_stack+44503,int_stack+38275,6);
 /*--- compute (d0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+89737,int_stack+59839,int_stack+68017,6);
 /*--- compute (d0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+97927,int_stack+89737,int_stack+73477,6);
 /*--- compute (d0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+66139,int_stack+97927,int_stack+51523,6);
 /*--- compute (d0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+107755,int_stack+66139,int_stack+80497,6);
 /*--- compute (d0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+36115,int_stack+4824,int_stack+3906,6);
 /*--- compute (d0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+48823,int_stack+36115,int_stack+42055,6);
 /*--- compute (d0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+77227,int_stack+48823,int_stack+44503,6);
 /*--- compute (d0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+38869,int_stack+77227,int_stack+59839,6);
 /*--- compute (d0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+53719,int_stack+38869,int_stack+89737,6);
 /*--- compute (d0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+84427,int_stack+53719,int_stack+97927,6);
 /*--- compute (d0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+119635,int_stack+84427,int_stack+66139,6);
 /*--- compute (d0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+133891,int_stack+119635,int_stack+107755,6);
 /*--- compute (d0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+65185,int_stack+5850,int_stack+4824,6);
 /*--- compute (d0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+68263,int_stack+65185,int_stack+36115,6);
 /*--- compute (d0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+97531,int_stack+68263,int_stack+48823,6);
 /*--- compute (d0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+65185,int_stack+97531,int_stack+77227,6);
 /*--- compute (d0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+97531,int_stack+65185,int_stack+38869,6);
 /*--- compute (d0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+65185,int_stack+97531,int_stack+53719,6);
 /*--- compute (d0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+97531,int_stack+65185,int_stack+84427,6);
 /*--- compute (d0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+36115,int_stack+97531,int_stack+119635,6);
 /*--- compute (d0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+53935,int_stack+36115,int_stack+133891,6);
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+36115,int_stack+7540,int_stack+6990,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+37765,int_stack+8200,int_stack+7540,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+39745,int_stack+37765,int_stack+36115,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+43045,int_stack+8980,int_stack+8200,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+45385,int_stack+43045,int_stack+37765,10);
 /*--- compute (f0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+72085,int_stack+45385,int_stack+39745,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+36115,int_stack+9890,int_stack+8980,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+77585,int_stack+36115,int_stack+43045,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+82265,int_stack+77585,int_stack+45385,10);
 /*--- compute (f0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+38845,int_stack+82265,int_stack+72085,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+72085,int_stack+10940,int_stack+9890,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+47095,int_stack+72085,int_stack+36115,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+88865,int_stack+47095,int_stack+77585,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+96665,int_stack+88865,int_stack+82265,10);
 /*--- compute (f0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+75235,int_stack+96665,int_stack+38845,10);
 /*--- compute (f0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+36115,int_stack+12140,int_stack+10940,10);
 /*--- compute (f0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+39715,int_stack+36115,int_stack+72085,10);
 /*--- compute (f0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+106565,int_stack+39715,int_stack+47095,10);
 /*--- compute (f0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+115665,int_stack+106565,int_stack+88865,10);
 /*--- compute (f0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+127365,int_stack+115665,int_stack+96665,10);
 /*--- compute (f0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+86785,int_stack+127365,int_stack+75235,10);
 /*--- compute (f0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+72085,int_stack+13500,int_stack+12140,10);
 /*--- compute (f0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+76165,int_stack+72085,int_stack+36115,10);
 /*--- compute (f0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+76165,int_stack+39715,10);
 /*--- compute (f0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+36115,int_stack+0,int_stack+106565,10);
 /*--- compute (f0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+141225,int_stack+36115,int_stack+115665,10);
 /*--- compute (f0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+102185,int_stack+141225,int_stack+127365,10);
 /*--- compute (f0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+120665,int_stack+102185,int_stack+86785,10);
 /*--- compute (f0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+83365,int_stack+15030,int_stack+13500,10);
 /*--- compute (f0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+87955,int_stack+83365,int_stack+72085,10);
 /*--- compute (f0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+157605,int_stack+87955,int_stack+76165,10);
 /*--- compute (f0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+169605,int_stack+157605,int_stack+0,10);
 /*--- compute (f0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+185355,int_stack+169605,int_stack+36115,10);
 /*--- compute (f0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+204465,int_stack+185355,int_stack+141225,10);
 /*--- compute (f0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+226305,int_stack+204465,int_stack+102185,10);
 /*--- compute (f0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+250065,int_stack+226305,int_stack+120665,10);
 /*--- compute (f0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+36115,int_stack+16740,int_stack+15030,10);
 /*--- compute (f0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+41245,int_stack+36115,int_stack+83365,10);
 /*--- compute (f0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+0,int_stack+41245,int_stack+87955,10);
 /*--- compute (f0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+72085,int_stack+0,int_stack+157605,10);
 /*--- compute (f0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+90085,int_stack+72085,int_stack+169605,10);
 /*--- compute (f0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+112135,int_stack+90085,int_stack+185355,10);
 /*--- compute (f0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+72085,int_stack+112135,int_stack+204465,10);
 /*--- compute (f0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+100165,int_stack+72085,int_stack+226305,10);
 /*--- compute (f0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+129865,int_stack+100165,int_stack+250065,10);
 /*--- compute (dp|mm) ---*/
 hrr1_build_dp(Libint->AB,int_stack+72085,int_stack+129865,int_stack+53935,3025);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+126535,int_stack+19465,int_stack+18640,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+160115,int_stack+20455,int_stack+19465,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+163085,int_stack+160115,int_stack+126535,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+168035,int_stack+21625,int_stack+20455,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+171545,int_stack+168035,int_stack+160115,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+177485,int_stack+171545,int_stack+163085,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+160115,int_stack+22990,int_stack+21625,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+185735,int_stack+160115,int_stack+168035,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+192755,int_stack+185735,int_stack+171545,15);
 /*--- compute (g0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+164210,int_stack+192755,int_stack+177485,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+176585,int_stack+24565,int_stack+22990,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+202655,int_stack+176585,int_stack+160115,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+210845,int_stack+202655,int_stack+185735,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+222545,int_stack+210845,int_stack+192755,15);
 /*--- compute (g0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+181310,int_stack+222545,int_stack+164210,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+160115,int_stack+26365,int_stack+24565,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+165515,int_stack+160115,int_stack+176585,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+237395,int_stack+165515,int_stack+202655,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+251045,int_stack+237395,int_stack+210845,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+198635,int_stack+251045,int_stack+222545,15);
 /*--- compute (g0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+198635,int_stack+181310,15);
 /*--- compute (g0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+174965,int_stack+28405,int_stack+26365,15);
 /*--- compute (g0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+181085,int_stack+174965,int_stack+160115,15);
 /*--- compute (g0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+219425,int_stack+181085,int_stack+165515,15);
 /*--- compute (g0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+36115,int_stack+219425,int_stack+237395,15);
 /*--- compute (g0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+268595,int_stack+36115,int_stack+251045,15);
 /*--- compute (g0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+235175,int_stack+268595,int_stack+198635,15);
 /*--- compute (g0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+293165,int_stack+235175,int_stack+0,15);
 /*--- compute (g0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+0,int_stack+30700,int_stack+28405,15);
 /*--- compute (g0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+6885,int_stack+0,int_stack+174965,15);
 /*--- compute (g0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+160115,int_stack+6885,int_stack+181085,15);
 /*--- compute (g0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+178115,int_stack+160115,int_stack+219425,15);
 /*--- compute (g0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+201740,int_stack+178115,int_stack+36115,15);
 /*--- compute (g0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+36115,int_stack+201740,int_stack+268595,15);
 /*--- compute (g0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+322865,int_stack+36115,int_stack+235175,15);
 /*--- compute (g0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+230405,int_stack+322865,int_stack+293165,15);
 /*--- compute (g0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+19125,int_stack+33265,int_stack+30700,15);
 /*--- compute (g0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+267530,int_stack+19125,int_stack+0,15);
 /*--- compute (g0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+281300,int_stack+267530,int_stack+6885,15);
 /*--- compute (g0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+0,int_stack+281300,int_stack+160115,15);
 /*--- compute (g0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+267530,int_stack+0,int_stack+178115,15);
 /*--- compute (g0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+160115,int_stack+267530,int_stack+201740,15);
 /*--- compute (g0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+267530,int_stack+160115,int_stack+36115,15);
 /*--- compute (g0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+160115,int_stack+267530,int_stack+322865,15);
 /*--- compute (g0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+267530,int_stack+160115,int_stack+230405,15);
 /*--- compute (fp|mm) ---*/
 hrr1_build_fp(Libint->AB,int_stack+160115,int_stack+267530,int_stack+129865,3025);
 /*--- compute (dd|mm) ---*/
 hrr1_build_dd(Libint->AB,int_stack+250865,int_stack+160115,int_stack+72085,3025);
 return int_stack+250865;}
