#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_dpkf(Libint_t*, prim_data*);

  /* Computes quartets of (dp|kf) integrals */

REALTYPE *hrr_order_dpkf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][7] = int_stack + 0;
 Libint->vrr_classes[2][8] = int_stack + 216;
 Libint->vrr_classes[2][9] = int_stack + 486;
 Libint->vrr_classes[2][10] = int_stack + 816;
 Libint->vrr_classes[3][7] = int_stack + 1212;
 Libint->vrr_classes[3][8] = int_stack + 1572;
 Libint->vrr_classes[3][9] = int_stack + 2022;
 Libint->vrr_classes[3][10] = int_stack + 2572;
 memset(int_stack,0,3232*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 3232;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_dpkf(Libint, Data);
   Data++;
 }
 /*--- compute (d0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+3232,int_stack+216,int_stack+0,6);
 /*--- compute (d0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+3880,int_stack+486,int_stack+216,6);
 /*--- compute (d0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+4690,int_stack+3880,int_stack+3232,6);
 /*--- compute (d0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+5986,int_stack+816,int_stack+486,6);
 /*--- compute (d0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+6976,int_stack+5986,int_stack+3880,6);
 /*--- compute (d0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+8596,int_stack+6976,int_stack+4690,6);
 /*--- compute (f0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+3232,int_stack+1572,int_stack+1212,10);
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+4312,int_stack+2022,int_stack+1572,10);
 /*--- compute (f0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+5662,int_stack+4312,int_stack+3232,10);
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+2572,int_stack+2022,10);
 /*--- compute (f0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+10756,int_stack+0,int_stack+4312,10);
 /*--- compute (f0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+0,int_stack+10756,int_stack+5662,10);
 /*--- compute (dp|kf) ---*/
 hrr1_build_dp(Libint->AB,int_stack+10756,int_stack+0,int_stack+8596,360);
 return int_stack+10756;}
