#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_dplf(Libint_t*, prim_data*);

  /* Computes quartets of (dp|lf) integrals */

REALTYPE *hrr_order_dplf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][8] = int_stack + 0;
 Libint->vrr_classes[2][9] = int_stack + 270;
 Libint->vrr_classes[2][10] = int_stack + 600;
 Libint->vrr_classes[2][11] = int_stack + 996;
 Libint->vrr_classes[3][8] = int_stack + 1464;
 Libint->vrr_classes[3][9] = int_stack + 1914;
 Libint->vrr_classes[3][10] = int_stack + 2464;
 Libint->vrr_classes[3][11] = int_stack + 3124;
 memset(int_stack,0,3904*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 3904;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_dplf(Libint, Data);
   Data++;
 }
 /*--- compute (d0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+3904,int_stack+270,int_stack+0,6);
 /*--- compute (d0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+4714,int_stack+600,int_stack+270,6);
 /*--- compute (d0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+5704,int_stack+4714,int_stack+3904,6);
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+7324,int_stack+996,int_stack+600,6);
 /*--- compute (d0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+8512,int_stack+7324,int_stack+4714,6);
 /*--- compute (d0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+10492,int_stack+8512,int_stack+5704,6);
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+3904,int_stack+1914,int_stack+1464,10);
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+5254,int_stack+2464,int_stack+1914,10);
 /*--- compute (f0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+6904,int_stack+5254,int_stack+3904,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+3124,int_stack+2464,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+13192,int_stack+0,int_stack+5254,10);
 /*--- compute (f0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+13192,int_stack+6904,10);
 /*--- compute (dp|lf) ---*/
 hrr1_build_dp(Libint->AB,int_stack+13192,int_stack+0,int_stack+10492,450);
 return int_stack+13192;}
