#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_dpmd(Libint_t*, prim_data*);

  /* Computes quartets of (dp|md) integrals */

REALTYPE *hrr_order_dpmd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][9] = int_stack + 0;
 Libint->vrr_classes[2][10] = int_stack + 330;
 Libint->vrr_classes[2][11] = int_stack + 726;
 Libint->vrr_classes[3][9] = int_stack + 1194;
 Libint->vrr_classes[3][10] = int_stack + 1744;
 Libint->vrr_classes[3][11] = int_stack + 2404;
 memset(int_stack,0,3184*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 3184;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_dpmd(Libint, Data);
   Data++;
 }
 /*--- compute (d0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+3184,int_stack+330,int_stack+0,6);
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+4174,int_stack+726,int_stack+330,6);
 /*--- compute (d0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+5362,int_stack+4174,int_stack+3184,6);
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+3184,int_stack+1744,int_stack+1194,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+7342,int_stack+2404,int_stack+1744,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+9322,int_stack+7342,int_stack+3184,10);
 /*--- compute (dp|md) ---*/
 hrr1_build_dp(Libint->AB,int_stack+12622,int_stack+9322,int_stack+5362,330);
 return int_stack+12622;}
