#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_dpmg(Libint_t*, prim_data*);

  /* Computes quartets of (dp|mg) integrals */

REALTYPE *hrr_order_dpmg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][9] = int_stack + 0;
 Libint->vrr_classes[2][10] = int_stack + 330;
 Libint->vrr_classes[2][11] = int_stack + 726;
 Libint->vrr_classes[2][12] = int_stack + 1194;
 Libint->vrr_classes[2][13] = int_stack + 1740;
 Libint->vrr_classes[3][9] = int_stack + 2370;
 Libint->vrr_classes[3][10] = int_stack + 2920;
 Libint->vrr_classes[3][11] = int_stack + 3580;
 Libint->vrr_classes[3][12] = int_stack + 4360;
 Libint->vrr_classes[3][13] = int_stack + 5270;
 memset(int_stack,0,6320*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 6320;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_dpmg(Libint, Data);
   Data++;
 }
 /*--- compute (d0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+6320,int_stack+330,int_stack+0,6);
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+7310,int_stack+726,int_stack+330,6);
 /*--- compute (d0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+8498,int_stack+7310,int_stack+6320,6);
 /*--- compute (d0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+10478,int_stack+1194,int_stack+726,6);
 /*--- compute (d0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+11882,int_stack+10478,int_stack+7310,6);
 /*--- compute (d0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+14258,int_stack+11882,int_stack+8498,6);
 /*--- compute (d0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+6320,int_stack+1740,int_stack+1194,6);
 /*--- compute (d0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+17558,int_stack+6320,int_stack+10478,6);
 /*--- compute (d0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+6320,int_stack+17558,int_stack+11882,6);
 /*--- compute (d0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+17558,int_stack+6320,int_stack+14258,6);
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+6320,int_stack+2920,int_stack+2370,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+7970,int_stack+3580,int_stack+2920,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+9950,int_stack+7970,int_stack+6320,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+13250,int_stack+4360,int_stack+3580,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+13250,int_stack+7970,10);
 /*--- compute (f0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+22508,int_stack+0,int_stack+9950,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+6320,int_stack+5270,int_stack+4360,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+28008,int_stack+6320,int_stack+13250,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+3960,int_stack+28008,int_stack+0,10);
 /*--- compute (f0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+28008,int_stack+3960,int_stack+22508,10);
 /*--- compute (dp|mg) ---*/
 hrr1_build_dp(Libint->AB,int_stack+0,int_stack+28008,int_stack+17558,825);
 return int_stack+0;}
