#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_f0kg(Libint_t*, prim_data*);

  /* Computes quartets of (f0|kg) integrals */

REALTYPE *hrr_order_f0kg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][7] = int_stack + 0;
 Libint->vrr_classes[3][8] = int_stack + 360;
 Libint->vrr_classes[3][9] = int_stack + 810;
 Libint->vrr_classes[3][10] = int_stack + 1360;
 Libint->vrr_classes[3][11] = int_stack + 2020;
 memset(int_stack,0,2800*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 2800;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_f0kg(Libint, Data);
   Data++;
 }
 /*--- compute (f0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+2800,int_stack+360,int_stack+0,10);
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+3880,int_stack+810,int_stack+360,10);
 /*--- compute (f0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+5230,int_stack+3880,int_stack+2800,10);
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+7390,int_stack+1360,int_stack+810,10);
 /*--- compute (f0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+9040,int_stack+7390,int_stack+3880,10);
 /*--- compute (f0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+11740,int_stack+9040,int_stack+5230,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+2800,int_stack+2020,int_stack+1360,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+15340,int_stack+2800,int_stack+7390,10);
 /*--- compute (f0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+15340,int_stack+9040,10);
 /*--- compute (f0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+4500,int_stack+0,int_stack+11740,10);
 return int_stack+4500;}
