#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_f0ni(Libint_t*, prim_data*);

  /* Computes quartets of (f0|ni) integrals */

REALTYPE *hrr_order_f0ni(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][10] = int_stack + 0;
 Libint->vrr_classes[3][11] = int_stack + 660;
 Libint->vrr_classes[3][12] = int_stack + 1440;
 Libint->vrr_classes[3][13] = int_stack + 2350;
 Libint->vrr_classes[3][14] = int_stack + 3400;
 Libint->vrr_classes[3][15] = int_stack + 4600;
 Libint->vrr_classes[3][16] = int_stack + 5960;
 memset(int_stack,0,7490*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 7490;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_f0ni(Libint, Data);
   Data++;
 }
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+7490,int_stack+660,int_stack+0,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+9470,int_stack+1440,int_stack+660,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+11810,int_stack+9470,int_stack+7490,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+15770,int_stack+2350,int_stack+1440,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+18500,int_stack+15770,int_stack+9470,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+23180,int_stack+18500,int_stack+11810,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+7490,int_stack+3400,int_stack+2350,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+29780,int_stack+7490,int_stack+15770,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+10640,int_stack+29780,int_stack+18500,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+35240,int_stack+10640,int_stack+23180,10);
 /*--- compute (f0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+18440,int_stack+4600,int_stack+3400,10);
 /*--- compute (f0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+22040,int_stack+18440,int_stack+7490,10);
 /*--- compute (f0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+45140,int_stack+22040,int_stack+29780,10);
 /*--- compute (f0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+54240,int_stack+45140,int_stack+10640,10);
 /*--- compute (f0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+65940,int_stack+54240,int_stack+35240,10);
 /*--- compute (f0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+7490,int_stack+5960,int_stack+4600,10);
 /*--- compute (f0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+28340,int_stack+7490,int_stack+18440,10);
 /*--- compute (f0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+28340,int_stack+22040,10);
 /*--- compute (f0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+10500,int_stack+0,int_stack+45140,10);
 /*--- compute (f0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+24150,int_stack+10500,int_stack+54240,10);
 /*--- compute (f0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+24150,int_stack+65940,10);
 return int_stack+0;}
