#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_fdnl(Libint_t*, prim_data*);

  /* Computes quartets of (fd|nl) integrals */

REALTYPE *hrr_order_fdnl(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][10] = int_stack + 0;
 Libint->vrr_classes[3][11] = int_stack + 660;
 Libint->vrr_classes[3][12] = int_stack + 1440;
 Libint->vrr_classes[3][13] = int_stack + 2350;
 Libint->vrr_classes[3][14] = int_stack + 3400;
 Libint->vrr_classes[3][15] = int_stack + 4600;
 Libint->vrr_classes[3][16] = int_stack + 5960;
 Libint->vrr_classes[3][17] = int_stack + 7490;
 Libint->vrr_classes[3][18] = int_stack + 9200;
 Libint->vrr_classes[4][10] = int_stack + 11100;
 Libint->vrr_classes[4][11] = int_stack + 12090;
 Libint->vrr_classes[4][12] = int_stack + 13260;
 Libint->vrr_classes[4][13] = int_stack + 14625;
 Libint->vrr_classes[4][14] = int_stack + 16200;
 Libint->vrr_classes[4][15] = int_stack + 18000;
 Libint->vrr_classes[4][16] = int_stack + 20040;
 Libint->vrr_classes[4][17] = int_stack + 22335;
 Libint->vrr_classes[4][18] = int_stack + 24900;
 Libint->vrr_classes[5][10] = int_stack + 27750;
 Libint->vrr_classes[5][11] = int_stack + 29136;
 Libint->vrr_classes[5][12] = int_stack + 30774;
 Libint->vrr_classes[5][13] = int_stack + 32685;
 Libint->vrr_classes[5][14] = int_stack + 34890;
 Libint->vrr_classes[5][15] = int_stack + 37410;
 Libint->vrr_classes[5][16] = int_stack + 40266;
 Libint->vrr_classes[5][17] = int_stack + 43479;
 Libint->vrr_classes[5][18] = int_stack + 47070;
 memset(int_stack,0,51060*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 51060;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_fdnl(Libint, Data);
   Data++;
 }
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+51060,int_stack+660,int_stack+0,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+53040,int_stack+1440,int_stack+660,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+55380,int_stack+53040,int_stack+51060,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+59340,int_stack+2350,int_stack+1440,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+62070,int_stack+59340,int_stack+53040,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+66750,int_stack+62070,int_stack+55380,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+51060,int_stack+3400,int_stack+2350,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+73350,int_stack+51060,int_stack+59340,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+54210,int_stack+73350,int_stack+62070,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+78810,int_stack+54210,int_stack+66750,10);
 /*--- compute (f0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+62010,int_stack+4600,int_stack+3400,10);
 /*--- compute (f0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+65610,int_stack+62010,int_stack+51060,10);
 /*--- compute (f0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+88710,int_stack+65610,int_stack+73350,10);
 /*--- compute (f0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+97810,int_stack+88710,int_stack+54210,10);
 /*--- compute (f0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+109510,int_stack+97810,int_stack+78810,10);
 /*--- compute (f0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+51060,int_stack+5960,int_stack+4600,10);
 /*--- compute (f0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+71910,int_stack+51060,int_stack+62010,10);
 /*--- compute (f0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+123370,int_stack+71910,int_stack+65610,10);
 /*--- compute (f0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+55140,int_stack+123370,int_stack+88710,10);
 /*--- compute (f0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+79110,int_stack+55140,int_stack+97810,10);
 /*--- compute (f0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+133870,int_stack+79110,int_stack+109510,10);
 /*--- compute (f0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+95490,int_stack+7490,int_stack+5960,10);
 /*--- compute (f0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+100080,int_stack+95490,int_stack+51060,10);
 /*--- compute (f0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+108240,int_stack+100080,int_stack+71910,10);
 /*--- compute (f0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+152350,int_stack+108240,int_stack+123370,10);
 /*--- compute (f0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+168100,int_stack+152350,int_stack+55140,10);
 /*--- compute (f0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+51060,int_stack+168100,int_stack+79110,10);
 /*--- compute (f0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+187210,int_stack+51060,int_stack+133870,10);
 /*--- compute (f0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+72900,int_stack+9200,int_stack+7490,10);
 /*--- compute (f0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+78030,int_stack+72900,int_stack+95490,10);
 /*--- compute (f0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+120240,int_stack+78030,int_stack+100080,10);
 /*--- compute (f0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+72900,int_stack+120240,int_stack+108240,10);
 /*--- compute (f0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+90900,int_stack+72900,int_stack+152350,10);
 /*--- compute (f0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+112950,int_stack+90900,int_stack+168100,10);
 /*--- compute (f0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+72900,int_stack+112950,int_stack+51060,10);
 /*--- compute (f0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+100980,int_stack+72900,int_stack+187210,10);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+51060,int_stack+12090,int_stack+11100,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+54030,int_stack+13260,int_stack+12090,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+57540,int_stack+54030,int_stack+51060,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+63480,int_stack+14625,int_stack+13260,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+67575,int_stack+63480,int_stack+54030,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+74595,int_stack+67575,int_stack+57540,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+51060,int_stack+16200,int_stack+14625,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+84495,int_stack+51060,int_stack+63480,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+55785,int_stack+84495,int_stack+67575,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+130680,int_stack+55785,int_stack+74595,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+67485,int_stack+18000,int_stack+16200,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+72885,int_stack+67485,int_stack+51060,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+145530,int_stack+72885,int_stack+84495,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+82335,int_stack+145530,int_stack+55785,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+159180,int_stack+82335,int_stack+130680,15);
 /*--- compute (g0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+130680,int_stack+20040,int_stack+18000,15);
 /*--- compute (g0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+51060,int_stack+130680,int_stack+67485,15);
 /*--- compute (g0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+179970,int_stack+51060,int_stack+72885,15);
 /*--- compute (g0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+61860,int_stack+179970,int_stack+145530,15);
 /*--- compute (g0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+195720,int_stack+61860,int_stack+82335,15);
 /*--- compute (g0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+220290,int_stack+195720,int_stack+159180,15);
 /*--- compute (g0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+82335,int_stack+22335,int_stack+20040,15);
 /*--- compute (g0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+136800,int_stack+82335,int_stack+130680,15);
 /*--- compute (g0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+149040,int_stack+136800,int_stack+51060,15);
 /*--- compute (g0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+248010,int_stack+149040,int_stack+179970,15);
 /*--- compute (g0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+167040,int_stack+248010,int_stack+61860,15);
 /*--- compute (g0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+271635,int_stack+167040,int_stack+195720,15);
 /*--- compute (g0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+304395,int_stack+271635,int_stack+220290,15);
 /*--- compute (g0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+51060,int_stack+24900,int_stack+22335,15);
 /*--- compute (g0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+58755,int_stack+51060,int_stack+82335,15);
 /*--- compute (g0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+72525,int_stack+58755,int_stack+136800,15);
 /*--- compute (g0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+195705,int_stack+72525,int_stack+149040,15);
 /*--- compute (g0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+51060,int_stack+195705,int_stack+248010,15);
 /*--- compute (g0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+195705,int_stack+51060,int_stack+167040,15);
 /*--- compute (g0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+51060,int_stack+195705,int_stack+271635,15);
 /*--- compute (g0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+130680,int_stack+51060,int_stack+304395,15);
 /*--- compute (fp|nl) ---*/
 hrr1_build_fp(Libint->AB,int_stack+175230,int_stack+130680,int_stack+100980,2970);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+51060,int_stack+29136,int_stack+27750,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+55218,int_stack+30774,int_stack+29136,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+60132,int_stack+55218,int_stack+51060,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+68448,int_stack+32685,int_stack+30774,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+74181,int_stack+68448,int_stack+55218,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+84009,int_stack+74181,int_stack+60132,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+51060,int_stack+34890,int_stack+32685,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+97869,int_stack+51060,int_stack+68448,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+57675,int_stack+97869,int_stack+74181,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+109335,int_stack+57675,int_stack+84009,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+74055,int_stack+37410,int_stack+34890,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+81615,int_stack+74055,int_stack+51060,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+264330,int_stack+81615,int_stack+97869,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+283440,int_stack+264330,int_stack+57675,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+308010,int_stack+283440,int_stack+109335,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+51060,int_stack+40266,int_stack+37410,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+94845,int_stack+51060,int_stack+74055,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+94845,int_stack+81615,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+59628,int_stack+0,int_stack+264330,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+337116,int_stack+59628,int_stack+283440,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+264330,int_stack+337116,int_stack+308010,21);
 /*--- compute (h0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+303138,int_stack+43479,int_stack+40266,21);
 /*--- compute (h0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+312777,int_stack+303138,int_stack+51060,21);
 /*--- compute (h0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+371514,int_stack+312777,int_stack+94845,21);
 /*--- compute (h0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+88293,int_stack+371514,int_stack+0,21);
 /*--- compute (h0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+0,int_stack+88293,int_stack+59628,21);
 /*--- compute (h0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+396714,int_stack+0,int_stack+337116,21);
 /*--- compute (h0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+442578,int_stack+396714,int_stack+264330,21);
 /*--- compute (h0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+264330,int_stack+47070,int_stack+43479,21);
 /*--- compute (h0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+275103,int_stack+264330,int_stack+303138,21);
 /*--- compute (h0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+40131,int_stack+275103,int_stack+312777,21);
 /*--- compute (h0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+264330,int_stack+40131,int_stack+371514,21);
 /*--- compute (h0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+40131,int_stack+264330,int_stack+88293,21);
 /*--- compute (h0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+264330,int_stack+40131,int_stack+0,21);
 /*--- compute (h0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+0,int_stack+264330,int_stack+396714,21);
 /*--- compute (h0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+264330,int_stack+0,int_stack+442578,21);
 /*--- compute (gp|nl) ---*/
 hrr1_build_gp(Libint->AB,int_stack+326700,int_stack+264330,int_stack+130680,2970);
 /*--- compute (fd|nl) ---*/
 hrr1_build_fd(Libint->AB,int_stack+460350,int_stack+326700,int_stack+175230,2970);
 return int_stack+460350;}
