#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ffni(Libint_t*, prim_data*);

  /* Computes quartets of (ff|ni) integrals */

REALTYPE *hrr_order_ffni(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][10] = int_stack + 0;
 Libint->vrr_classes[3][11] = int_stack + 660;
 Libint->vrr_classes[3][12] = int_stack + 1440;
 Libint->vrr_classes[3][13] = int_stack + 2350;
 Libint->vrr_classes[3][14] = int_stack + 3400;
 Libint->vrr_classes[3][15] = int_stack + 4600;
 Libint->vrr_classes[3][16] = int_stack + 5960;
 Libint->vrr_classes[4][10] = int_stack + 7490;
 Libint->vrr_classes[4][11] = int_stack + 8480;
 Libint->vrr_classes[4][12] = int_stack + 9650;
 Libint->vrr_classes[4][13] = int_stack + 11015;
 Libint->vrr_classes[4][14] = int_stack + 12590;
 Libint->vrr_classes[4][15] = int_stack + 14390;
 Libint->vrr_classes[4][16] = int_stack + 16430;
 Libint->vrr_classes[5][10] = int_stack + 18725;
 Libint->vrr_classes[5][11] = int_stack + 20111;
 Libint->vrr_classes[5][12] = int_stack + 21749;
 Libint->vrr_classes[5][13] = int_stack + 23660;
 Libint->vrr_classes[5][14] = int_stack + 25865;
 Libint->vrr_classes[5][15] = int_stack + 28385;
 Libint->vrr_classes[5][16] = int_stack + 31241;
 Libint->vrr_classes[6][10] = int_stack + 34454;
 Libint->vrr_classes[6][11] = int_stack + 36302;
 Libint->vrr_classes[6][12] = int_stack + 38486;
 Libint->vrr_classes[6][13] = int_stack + 41034;
 Libint->vrr_classes[6][14] = int_stack + 43974;
 Libint->vrr_classes[6][15] = int_stack + 47334;
 Libint->vrr_classes[6][16] = int_stack + 51142;
 memset(int_stack,0,55426*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 55426;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ffni(Libint, Data);
   Data++;
 }
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+55426,int_stack+660,int_stack+0,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+57406,int_stack+1440,int_stack+660,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+59746,int_stack+57406,int_stack+55426,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+63706,int_stack+2350,int_stack+1440,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+66436,int_stack+63706,int_stack+57406,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+71116,int_stack+66436,int_stack+59746,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+55426,int_stack+3400,int_stack+2350,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+77716,int_stack+55426,int_stack+63706,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+58576,int_stack+77716,int_stack+66436,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+83176,int_stack+58576,int_stack+71116,10);
 /*--- compute (f0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+66376,int_stack+4600,int_stack+3400,10);
 /*--- compute (f0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+69976,int_stack+66376,int_stack+55426,10);
 /*--- compute (f0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+93076,int_stack+69976,int_stack+77716,10);
 /*--- compute (f0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+102176,int_stack+93076,int_stack+58576,10);
 /*--- compute (f0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+113876,int_stack+102176,int_stack+83176,10);
 /*--- compute (f0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+55426,int_stack+5960,int_stack+4600,10);
 /*--- compute (f0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+76276,int_stack+55426,int_stack+66376,10);
 /*--- compute (f0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+55426,int_stack+76276,int_stack+69976,10);
 /*--- compute (f0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+65926,int_stack+55426,int_stack+93076,10);
 /*--- compute (f0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+79576,int_stack+65926,int_stack+102176,10);
 /*--- compute (f0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+55426,int_stack+79576,int_stack+113876,10);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+73906,int_stack+8480,int_stack+7490,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+76876,int_stack+9650,int_stack+8480,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+80386,int_stack+76876,int_stack+73906,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+86326,int_stack+11015,int_stack+9650,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+90421,int_stack+86326,int_stack+76876,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+97441,int_stack+90421,int_stack+80386,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+73906,int_stack+12590,int_stack+11015,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+107341,int_stack+73906,int_stack+86326,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+78631,int_stack+107341,int_stack+90421,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+115531,int_stack+78631,int_stack+97441,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+90331,int_stack+14390,int_stack+12590,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+95731,int_stack+90331,int_stack+73906,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+95731,int_stack+107341,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+130381,int_stack+0,int_stack+78631,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+147931,int_stack+130381,int_stack+115531,15);
 /*--- compute (g0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+73906,int_stack+16430,int_stack+14390,15);
 /*--- compute (g0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+105181,int_stack+73906,int_stack+90331,15);
 /*--- compute (g0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+73906,int_stack+105181,int_stack+95731,15);
 /*--- compute (g0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+89656,int_stack+73906,int_stack+0,15);
 /*--- compute (g0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+168721,int_stack+89656,int_stack+130381,15);
 /*--- compute (g0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+73906,int_stack+168721,int_stack+147931,15);
 /*--- compute (fp|ni) ---*/
 hrr1_build_fp(Libint->AB,int_stack+101626,int_stack+73906,int_stack+55426,1848);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+55426,int_stack+20111,int_stack+18725,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+59584,int_stack+21749,int_stack+20111,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+64498,int_stack+59584,int_stack+55426,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+23660,int_stack+21749,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+5733,int_stack+0,int_stack+59584,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+157066,int_stack+5733,int_stack+64498,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+55426,int_stack+25865,int_stack+23660,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+62041,int_stack+55426,int_stack+0,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+170926,int_stack+62041,int_stack+5733,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+170926,int_stack+157066,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+157066,int_stack+28385,int_stack+25865,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+187306,int_stack+157066,int_stack+55426,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+200536,int_stack+187306,int_stack+62041,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+219646,int_stack+200536,int_stack+170926,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+244216,int_stack+219646,int_stack+0,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+31241,int_stack+28385,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+8568,int_stack+0,int_stack+157066,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+157066,int_stack+8568,int_stack+187306,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+157066,int_stack+200536,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+157066,int_stack+0,int_stack+219646,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+191464,int_stack+157066,int_stack+244216,21);
 /*--- compute (gp|ni) ---*/
 hrr1_build_gp(Libint->AB,int_stack+230272,int_stack+191464,int_stack+73906,1848);
 /*--- compute (fd|ni) ---*/
 hrr1_build_fd(Libint->AB,int_stack+313432,int_stack+230272,int_stack+101626,1848);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+36302,int_stack+34454,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+5544,int_stack+38486,int_stack+36302,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+12096,int_stack+5544,int_stack+0,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+23184,int_stack+41034,int_stack+38486,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+55426,int_stack+23184,int_stack+5544,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+68530,int_stack+55426,int_stack+12096,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+43974,int_stack+41034,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+87010,int_stack+0,int_stack+23184,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+8820,int_stack+87010,int_stack+55426,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+102298,int_stack+8820,int_stack+68530,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+55426,int_stack+47334,int_stack+43974,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+65506,int_stack+55426,int_stack+0,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+130018,int_stack+65506,int_stack+87010,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+155498,int_stack+130018,int_stack+8820,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+155498,int_stack+102298,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+83146,int_stack+51142,int_stack+47334,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+94570,int_stack+83146,int_stack+55426,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+424312,int_stack+94570,int_stack+65506,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+38808,int_stack+424312,int_stack+130018,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+77028,int_stack+38808,int_stack+155498,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+122892,int_stack+77028,int_stack+0,28);
 /*--- compute (hp|ni) ---*/
 hrr1_build_hp(Libint->AB,int_stack+0,int_stack+122892,int_stack+191464,1848);
 /*--- compute (gd|ni) ---*/
 hrr1_build_gd(Libint->AB,int_stack+424312,int_stack+0,int_stack+230272,1848);
 /*--- compute (ff|ni) ---*/
 hrr1_build_ff(Libint->AB,int_stack+0,int_stack+424312,int_stack+313432,1848);
 return int_stack+0;}
