#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gdlg(Libint_t*, prim_data*);

  /* Computes quartets of (gd|lg) integrals */

REALTYPE *hrr_order_gdlg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][8] = int_stack + 0;
 Libint->vrr_classes[4][9] = int_stack + 675;
 Libint->vrr_classes[4][10] = int_stack + 1500;
 Libint->vrr_classes[4][11] = int_stack + 2490;
 Libint->vrr_classes[4][12] = int_stack + 3660;
 Libint->vrr_classes[5][8] = int_stack + 5025;
 Libint->vrr_classes[5][9] = int_stack + 5970;
 Libint->vrr_classes[5][10] = int_stack + 7125;
 Libint->vrr_classes[5][11] = int_stack + 8511;
 Libint->vrr_classes[5][12] = int_stack + 10149;
 Libint->vrr_classes[6][8] = int_stack + 12060;
 Libint->vrr_classes[6][9] = int_stack + 13320;
 Libint->vrr_classes[6][10] = int_stack + 14860;
 Libint->vrr_classes[6][11] = int_stack + 16708;
 Libint->vrr_classes[6][12] = int_stack + 18892;
 memset(int_stack,0,21440*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 21440;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gdlg(Libint, Data);
   Data++;
 }
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+21440,int_stack+675,int_stack+0,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+23465,int_stack+1500,int_stack+675,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+25940,int_stack+23465,int_stack+21440,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+29990,int_stack+2490,int_stack+1500,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+32960,int_stack+29990,int_stack+23465,15);
 /*--- compute (g0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+37910,int_stack+32960,int_stack+25940,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+21440,int_stack+3660,int_stack+2490,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+44660,int_stack+21440,int_stack+29990,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+21440,int_stack+44660,int_stack+32960,15);
 /*--- compute (g0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+44660,int_stack+21440,int_stack+37910,15);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+21440,int_stack+5970,int_stack+5025,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+24275,int_stack+7125,int_stack+5970,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+27740,int_stack+24275,int_stack+21440,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+33410,int_stack+8511,int_stack+7125,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+37568,int_stack+33410,int_stack+24275,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+54785,int_stack+37568,int_stack+27740,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+21440,int_stack+10149,int_stack+8511,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+21440,int_stack+33410,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+21440,int_stack+0,int_stack+37568,21);
 /*--- compute (h0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+64235,int_stack+21440,int_stack+54785,21);
 /*--- compute (gp|lg) ---*/
 hrr1_build_gp(Libint->AB,int_stack+78410,int_stack+64235,int_stack+44660,675);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+21440,int_stack+13320,int_stack+12060,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+25220,int_stack+14860,int_stack+13320,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+29840,int_stack+25220,int_stack+21440,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+37400,int_stack+16708,int_stack+14860,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+42944,int_stack+37400,int_stack+25220,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+42944,int_stack+29840,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+21440,int_stack+18892,int_stack+16708,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+52184,int_stack+21440,int_stack+37400,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+12600,int_stack+52184,int_stack+42944,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+28000,int_stack+12600,int_stack+0,28);
 /*--- compute (hp|lg) ---*/
 hrr1_build_hp(Libint->AB,int_stack+108785,int_stack+28000,int_stack+64235,675);
 /*--- compute (gd|lg) ---*/
 hrr1_build_gd(Libint->AB,int_stack+0,int_stack+108785,int_stack+78410,675);
 return int_stack+0;}
