#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gfmd(Libint_t*, prim_data*);

  /* Computes quartets of (gf|md) integrals */

REALTYPE *hrr_order_gfmd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][9] = int_stack + 0;
 Libint->vrr_classes[4][10] = int_stack + 825;
 Libint->vrr_classes[4][11] = int_stack + 1815;
 Libint->vrr_classes[5][9] = int_stack + 2985;
 Libint->vrr_classes[5][10] = int_stack + 4140;
 Libint->vrr_classes[5][11] = int_stack + 5526;
 Libint->vrr_classes[6][9] = int_stack + 7164;
 Libint->vrr_classes[6][10] = int_stack + 8704;
 Libint->vrr_classes[6][11] = int_stack + 10552;
 Libint->vrr_classes[7][9] = int_stack + 12736;
 Libint->vrr_classes[7][10] = int_stack + 14716;
 Libint->vrr_classes[7][11] = int_stack + 17092;
 memset(int_stack,0,19900*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 19900;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gfmd(Libint, Data);
   Data++;
 }
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+19900,int_stack+825,int_stack+0,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+22375,int_stack+1815,int_stack+825,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+25345,int_stack+22375,int_stack+19900,15);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+19900,int_stack+4140,int_stack+2985,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+30295,int_stack+5526,int_stack+4140,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+30295,int_stack+19900,21);
 /*--- compute (gp|md) ---*/
 hrr1_build_gp(Libint->AB,int_stack+30295,int_stack+0,int_stack+25345,330);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+19900,int_stack+8704,int_stack+7164,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+24520,int_stack+10552,int_stack+8704,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+45145,int_stack+24520,int_stack+19900,28);
 /*--- compute (hp|md) ---*/
 hrr1_build_hp(Libint->AB,int_stack+54385,int_stack+45145,int_stack+0,330);
 /*--- compute (gd|md) ---*/
 hrr1_build_gd(Libint->AB,int_stack+75175,int_stack+54385,int_stack+30295,330);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+14716,int_stack+12736,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+5940,int_stack+17092,int_stack+14716,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+13068,int_stack+5940,int_stack+0,36);
 /*--- compute (ip|md) ---*/
 hrr1_build_ip(Libint->AB,int_stack+104875,int_stack+13068,int_stack+45145,330);
 /*--- compute (hd|md) ---*/
 hrr1_build_hd(Libint->AB,int_stack+0,int_stack+104875,int_stack+54385,330);
 /*--- compute (gf|md) ---*/
 hrr1_build_gf(Libint->AB,int_stack+104875,int_stack+0,int_stack+75175,330);
 return int_stack+104875;}
