#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ggii(Libint_t*, prim_data*);

  /* Computes quartets of (gg|ii) integrals */

REALTYPE *hrr_order_ggii(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][6] = int_stack + 0;
 Libint->vrr_classes[4][7] = int_stack + 420;
 Libint->vrr_classes[4][8] = int_stack + 960;
 Libint->vrr_classes[4][9] = int_stack + 1635;
 Libint->vrr_classes[4][10] = int_stack + 2460;
 Libint->vrr_classes[4][11] = int_stack + 3450;
 Libint->vrr_classes[4][12] = int_stack + 4620;
 Libint->vrr_classes[5][6] = int_stack + 5985;
 Libint->vrr_classes[5][7] = int_stack + 6573;
 Libint->vrr_classes[5][8] = int_stack + 7329;
 Libint->vrr_classes[5][9] = int_stack + 8274;
 Libint->vrr_classes[5][10] = int_stack + 9429;
 Libint->vrr_classes[5][11] = int_stack + 10815;
 Libint->vrr_classes[5][12] = int_stack + 12453;
 Libint->vrr_classes[6][6] = int_stack + 14364;
 Libint->vrr_classes[6][7] = int_stack + 15148;
 Libint->vrr_classes[6][8] = int_stack + 16156;
 Libint->vrr_classes[6][9] = int_stack + 17416;
 Libint->vrr_classes[6][10] = int_stack + 18956;
 Libint->vrr_classes[6][11] = int_stack + 20804;
 Libint->vrr_classes[6][12] = int_stack + 22988;
 Libint->vrr_classes[7][6] = int_stack + 25536;
 Libint->vrr_classes[7][7] = int_stack + 26544;
 Libint->vrr_classes[7][8] = int_stack + 27840;
 Libint->vrr_classes[7][9] = int_stack + 29460;
 Libint->vrr_classes[7][10] = int_stack + 31440;
 Libint->vrr_classes[7][11] = int_stack + 33816;
 Libint->vrr_classes[7][12] = int_stack + 36624;
 Libint->vrr_classes[8][6] = int_stack + 39900;
 Libint->vrr_classes[8][7] = int_stack + 41160;
 Libint->vrr_classes[8][8] = int_stack + 42780;
 Libint->vrr_classes[8][9] = int_stack + 44805;
 Libint->vrr_classes[8][10] = int_stack + 47280;
 Libint->vrr_classes[8][11] = int_stack + 50250;
 Libint->vrr_classes[8][12] = int_stack + 53760;
 memset(int_stack,0,57855*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 57855;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ggii(Libint, Data);
   Data++;
 }
 /*--- compute (g0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+57855,int_stack+420,int_stack+0,15);
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+59115,int_stack+960,int_stack+420,15);
 /*--- compute (g0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+60735,int_stack+59115,int_stack+57855,15);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+63255,int_stack+1635,int_stack+960,15);
 /*--- compute (g0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+65280,int_stack+63255,int_stack+59115,15);
 /*--- compute (g0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+68520,int_stack+65280,int_stack+60735,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+57855,int_stack+2460,int_stack+1635,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+72720,int_stack+57855,int_stack+63255,15);
 /*--- compute (g0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+76770,int_stack+72720,int_stack+65280,15);
 /*--- compute (g0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+60330,int_stack+76770,int_stack+68520,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+66630,int_stack+3450,int_stack+2460,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+82170,int_stack+66630,int_stack+57855,15);
 /*--- compute (g0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+87120,int_stack+82170,int_stack+72720,15);
 /*--- compute (g0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+93870,int_stack+87120,int_stack+76770,15);
 /*--- compute (g0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+69600,int_stack+93870,int_stack+60330,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+57855,int_stack+4620,int_stack+3450,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+57855,int_stack+66630,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+57855,int_stack+0,int_stack+82170,15);
 /*--- compute (g0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+101970,int_stack+57855,int_stack+87120,15);
 /*--- compute (g0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+57855,int_stack+101970,int_stack+93870,15);
 /*--- compute (g0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+78420,int_stack+57855,int_stack+69600,15);
 /*--- compute (h0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+57855,int_stack+6573,int_stack+5985,21);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+59619,int_stack+7329,int_stack+6573,21);
 /*--- compute (h0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+61887,int_stack+59619,int_stack+57855,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+65415,int_stack+8274,int_stack+7329,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+68250,int_stack+65415,int_stack+59619,21);
 /*--- compute (h0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+0,int_stack+68250,int_stack+61887,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+57855,int_stack+9429,int_stack+8274,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+90180,int_stack+57855,int_stack+65415,21);
 /*--- compute (h0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+95850,int_stack+90180,int_stack+68250,21);
 /*--- compute (h0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+61320,int_stack+95850,int_stack+0,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+10815,int_stack+9429,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+70140,int_stack+0,int_stack+57855,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+103410,int_stack+70140,int_stack+90180,21);
 /*--- compute (h0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+112860,int_stack+103410,int_stack+95850,21);
 /*--- compute (h0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+90180,int_stack+112860,int_stack+61320,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+57855,int_stack+12453,int_stack+10815,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+4158,int_stack+57855,int_stack+0,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+57855,int_stack+4158,int_stack+70140,21);
 /*--- compute (h0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+0,int_stack+57855,int_stack+103410,21);
 /*--- compute (h0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+57855,int_stack+0,int_stack+112860,21);
 /*--- compute (h0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+102528,int_stack+57855,int_stack+90180,21);
 /*--- compute (gp|ii) ---*/
 hrr1_build_gp(Libint->AB,int_stack+118992,int_stack+102528,int_stack+78420,784);
 /*--- compute (i0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+57855,int_stack+15148,int_stack+14364,28);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+60207,int_stack+16156,int_stack+15148,28);
 /*--- compute (i0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+63231,int_stack+60207,int_stack+57855,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+67935,int_stack+17416,int_stack+16156,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+71715,int_stack+67935,int_stack+60207,28);
 /*--- compute (i0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+77763,int_stack+71715,int_stack+63231,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+57855,int_stack+18956,int_stack+17416,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+85603,int_stack+57855,int_stack+67935,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+0,int_stack+85603,int_stack+71715,28);
 /*--- compute (i0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+62475,int_stack+0,int_stack+77763,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+74235,int_stack+20804,int_stack+18956,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+93163,int_stack+74235,int_stack+57855,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+154272,int_stack+93163,int_stack+85603,28);
 /*--- compute (i0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+166872,int_stack+154272,int_stack+0,28);
 /*--- compute (i0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+0,int_stack+166872,int_stack+62475,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+57855,int_stack+22988,int_stack+20804,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+79779,int_stack+57855,int_stack+74235,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+57855,int_stack+79779,int_stack+93163,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+73255,int_stack+57855,int_stack+154272,28);
 /*--- compute (i0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+181992,int_stack+73255,int_stack+166872,28);
 /*--- compute (i0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+154272,int_stack+181992,int_stack+0,28);
 /*--- compute (hp|ii) ---*/
 hrr1_build_hp(Libint->AB,int_stack+176224,int_stack+154272,int_stack+102528,784);
 /*--- compute (gd|ii) ---*/
 hrr1_build_gd(Libint->AB,int_stack+225616,int_stack+176224,int_stack+118992,784);
 /*--- compute (k0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+0,int_stack+26544,int_stack+25536,36);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+3024,int_stack+27840,int_stack+26544,36);
 /*--- compute (k0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+6912,int_stack+3024,int_stack+0,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+12960,int_stack+29460,int_stack+27840,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+17820,int_stack+12960,int_stack+3024,36);
 /*--- compute (k0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+57855,int_stack+17820,int_stack+6912,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+31440,int_stack+29460,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+67935,int_stack+0,int_stack+12960,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+77655,int_stack+67935,int_stack+17820,36);
 /*--- compute (k0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+5940,int_stack+77655,int_stack+57855,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+57855,int_stack+33816,int_stack+31440,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+21060,int_stack+57855,int_stack+0,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+90615,int_stack+21060,int_stack+67935,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+106815,int_stack+90615,int_stack+77655,36);
 /*--- compute (k0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+64983,int_stack+106815,int_stack+5940,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+36624,int_stack+33816,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+126255,int_stack+0,int_stack+57855,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+126255,int_stack+21060,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+126255,int_stack+0,int_stack+90615,36);
 /*--- compute (k0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+0,int_stack+126255,int_stack+106815,36);
 /*--- compute (k0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+86151,int_stack+0,int_stack+64983,36);
 /*--- compute (ip|ii) ---*/
 hrr1_build_ip(Libint->AB,int_stack+296176,int_stack+86151,int_stack+154272,784);
 /*--- compute (hd|ii) ---*/
 hrr1_build_hd(Libint->AB,int_stack+362032,int_stack+296176,int_stack+176224,784);
 /*--- compute (gf|ii) ---*/
 hrr1_build_gf(Libint->AB,int_stack+460816,int_stack+362032,int_stack+225616,784);
 /*--- compute (l0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+0,int_stack+41160,int_stack+39900,45);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+3780,int_stack+42780,int_stack+41160,45);
 /*--- compute (l0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+8640,int_stack+3780,int_stack+0,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+16200,int_stack+44805,int_stack+42780,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+22275,int_stack+16200,int_stack+3780,45);
 /*--- compute (l0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+31995,int_stack+22275,int_stack+8640,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+47280,int_stack+44805,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+57855,int_stack+0,int_stack+16200,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+114375,int_stack+57855,int_stack+22275,45);
 /*--- compute (l0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+7425,int_stack+114375,int_stack+31995,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+26325,int_stack+50250,int_stack+47280,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+35235,int_stack+26325,int_stack+0,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+130575,int_stack+35235,int_stack+57855,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+57855,int_stack+130575,int_stack+114375,45);
 /*--- compute (l0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+150825,int_stack+57855,int_stack+7425,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+114375,int_stack+53760,int_stack+50250,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+114375,int_stack+26325,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+177285,int_stack+0,int_stack+35235,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+0,int_stack+177285,int_stack+130575,45);
 /*--- compute (l0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+177285,int_stack+0,int_stack+57855,45);
 /*--- compute (l0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+0,int_stack+177285,int_stack+150825,45);
 /*--- compute (kp|ii) ---*/
 hrr1_build_kp(Libint->AB,int_stack+114375,int_stack+0,int_stack+86151,784);
 /*--- compute (id|ii) ---*/
 hrr1_build_id(Libint->AB,int_stack+578416,int_stack+114375,int_stack+296176,784);
 /*--- compute (hf|ii) ---*/
 hrr1_build_hf(Libint->AB,int_stack+0,int_stack+578416,int_stack+362032,784);
 /*--- compute (gg|ii) ---*/
 hrr1_build_gg(Libint->AB,int_stack+164640,int_stack+0,int_stack+460816,784);
 return int_stack+164640;}
