#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ggng(Libint_t*, prim_data*);

  /* Computes quartets of (gg|ng) integrals */

REALTYPE *hrr_order_ggng(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][10] = int_stack + 0;
 Libint->vrr_classes[4][11] = int_stack + 990;
 Libint->vrr_classes[4][12] = int_stack + 2160;
 Libint->vrr_classes[4][13] = int_stack + 3525;
 Libint->vrr_classes[4][14] = int_stack + 5100;
 Libint->vrr_classes[5][10] = int_stack + 6900;
 Libint->vrr_classes[5][11] = int_stack + 8286;
 Libint->vrr_classes[5][12] = int_stack + 9924;
 Libint->vrr_classes[5][13] = int_stack + 11835;
 Libint->vrr_classes[5][14] = int_stack + 14040;
 Libint->vrr_classes[6][10] = int_stack + 16560;
 Libint->vrr_classes[6][11] = int_stack + 18408;
 Libint->vrr_classes[6][12] = int_stack + 20592;
 Libint->vrr_classes[6][13] = int_stack + 23140;
 Libint->vrr_classes[6][14] = int_stack + 26080;
 Libint->vrr_classes[7][10] = int_stack + 29440;
 Libint->vrr_classes[7][11] = int_stack + 31816;
 Libint->vrr_classes[7][12] = int_stack + 34624;
 Libint->vrr_classes[7][13] = int_stack + 37900;
 Libint->vrr_classes[7][14] = int_stack + 41680;
 Libint->vrr_classes[8][10] = int_stack + 46000;
 Libint->vrr_classes[8][11] = int_stack + 48970;
 Libint->vrr_classes[8][12] = int_stack + 52480;
 Libint->vrr_classes[8][13] = int_stack + 56575;
 Libint->vrr_classes[8][14] = int_stack + 61300;
 memset(int_stack,0,66700*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 66700;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ggng(Libint, Data);
   Data++;
 }
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+66700,int_stack+990,int_stack+0,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+69670,int_stack+2160,int_stack+990,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+73180,int_stack+69670,int_stack+66700,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+79120,int_stack+3525,int_stack+2160,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+83215,int_stack+79120,int_stack+69670,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+90235,int_stack+83215,int_stack+73180,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+66700,int_stack+5100,int_stack+3525,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+100135,int_stack+66700,int_stack+79120,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+66700,int_stack+100135,int_stack+83215,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+100135,int_stack+66700,int_stack+90235,15);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+66700,int_stack+8286,int_stack+6900,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+70858,int_stack+9924,int_stack+8286,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+75772,int_stack+70858,int_stack+66700,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+84088,int_stack+11835,int_stack+9924,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+89821,int_stack+84088,int_stack+70858,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+114985,int_stack+89821,int_stack+75772,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+66700,int_stack+14040,int_stack+11835,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+0,int_stack+66700,int_stack+84088,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+66700,int_stack+0,int_stack+89821,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+128845,int_stack+66700,int_stack+114985,21);
 /*--- compute (gp|ng) ---*/
 hrr1_build_gp(Libint->AB,int_stack+149635,int_stack+128845,int_stack+100135,990);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+66700,int_stack+18408,int_stack+16560,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+72244,int_stack+20592,int_stack+18408,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+78796,int_stack+72244,int_stack+66700,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+89884,int_stack+23140,int_stack+20592,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+97528,int_stack+89884,int_stack+72244,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+97528,int_stack+78796,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+66700,int_stack+26080,int_stack+23140,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+110632,int_stack+66700,int_stack+89884,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+66700,int_stack+110632,int_stack+97528,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+88540,int_stack+66700,int_stack+0,28);
 /*--- compute (hp|ng) ---*/
 hrr1_build_hp(Libint->AB,int_stack+194185,int_stack+88540,int_stack+128845,990);
 /*--- compute (gd|ng) ---*/
 hrr1_build_gd(Libint->AB,int_stack+256555,int_stack+194185,int_stack+149635,990);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+31816,int_stack+29440,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+7128,int_stack+34624,int_stack+31816,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+15552,int_stack+7128,int_stack+0,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+66700,int_stack+37900,int_stack+34624,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+116260,int_stack+66700,int_stack+7128,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+133108,int_stack+116260,int_stack+15552,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+41680,int_stack+37900,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+11340,int_stack+0,int_stack+66700,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+156868,int_stack+11340,int_stack+116260,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+156868,int_stack+133108,36);
 /*--- compute (ip|ng) ---*/
 hrr1_build_ip(Libint->AB,int_stack+345655,int_stack+0,int_stack+88540,990);
 /*--- compute (hd|ng) ---*/
 hrr1_build_hd(Libint->AB,int_stack+66700,int_stack+345655,int_stack+194185,990);
 /*--- compute (gf|ng) ---*/
 hrr1_build_gf(Libint->AB,int_stack+428815,int_stack+66700,int_stack+256555,990);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+191440,int_stack+48970,int_stack+46000,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+200350,int_stack+52480,int_stack+48970,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+210880,int_stack+200350,int_stack+191440,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+228700,int_stack+56575,int_stack+52480,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+240985,int_stack+228700,int_stack+200350,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+262045,int_stack+240985,int_stack+210880,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+191440,int_stack+61300,int_stack+56575,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+291745,int_stack+191440,int_stack+228700,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+191440,int_stack+291745,int_stack+240985,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+291745,int_stack+191440,int_stack+262045,45);
 /*--- compute (kp|ng) ---*/
 hrr1_build_kp(Libint->AB,int_stack+577315,int_stack+291745,int_stack+0,990);
 /*--- compute (id|ng) ---*/
 hrr1_build_id(Libint->AB,int_stack+684235,int_stack+577315,int_stack+345655,990);
 /*--- compute (hf|ng) ---*/
 hrr1_build_hf(Libint->AB,int_stack+191440,int_stack+684235,int_stack+66700,990);
 /*--- compute (gg|ng) ---*/
 hrr1_build_gg(Libint->AB,int_stack+577315,int_stack+191440,int_stack+428815,990);
 return int_stack+577315;}
