#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gpii(Libint_t*, prim_data*);

  /* Computes quartets of (gp|ii) integrals */

REALTYPE *hrr_order_gpii(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][6] = int_stack + 0;
 Libint->vrr_classes[4][7] = int_stack + 420;
 Libint->vrr_classes[4][8] = int_stack + 960;
 Libint->vrr_classes[4][9] = int_stack + 1635;
 Libint->vrr_classes[4][10] = int_stack + 2460;
 Libint->vrr_classes[4][11] = int_stack + 3450;
 Libint->vrr_classes[4][12] = int_stack + 4620;
 Libint->vrr_classes[5][6] = int_stack + 5985;
 Libint->vrr_classes[5][7] = int_stack + 6573;
 Libint->vrr_classes[5][8] = int_stack + 7329;
 Libint->vrr_classes[5][9] = int_stack + 8274;
 Libint->vrr_classes[5][10] = int_stack + 9429;
 Libint->vrr_classes[5][11] = int_stack + 10815;
 Libint->vrr_classes[5][12] = int_stack + 12453;
 memset(int_stack,0,14364*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 14364;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gpii(Libint, Data);
   Data++;
 }
 /*--- compute (g0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+14364,int_stack+420,int_stack+0,15);
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+15624,int_stack+960,int_stack+420,15);
 /*--- compute (g0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+17244,int_stack+15624,int_stack+14364,15);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+19764,int_stack+1635,int_stack+960,15);
 /*--- compute (g0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+21789,int_stack+19764,int_stack+15624,15);
 /*--- compute (g0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+25029,int_stack+21789,int_stack+17244,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+14364,int_stack+2460,int_stack+1635,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+29229,int_stack+14364,int_stack+19764,15);
 /*--- compute (g0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+33279,int_stack+29229,int_stack+21789,15);
 /*--- compute (g0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+16839,int_stack+33279,int_stack+25029,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+23139,int_stack+3450,int_stack+2460,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+38679,int_stack+23139,int_stack+14364,15);
 /*--- compute (g0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+43629,int_stack+38679,int_stack+29229,15);
 /*--- compute (g0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+50379,int_stack+43629,int_stack+33279,15);
 /*--- compute (g0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+26109,int_stack+50379,int_stack+16839,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+14364,int_stack+4620,int_stack+3450,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+14364,int_stack+23139,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+14364,int_stack+0,int_stack+38679,15);
 /*--- compute (g0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+58479,int_stack+14364,int_stack+43629,15);
 /*--- compute (g0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+14364,int_stack+58479,int_stack+50379,15);
 /*--- compute (g0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+34929,int_stack+14364,int_stack+26109,15);
 /*--- compute (h0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+14364,int_stack+6573,int_stack+5985,21);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+16128,int_stack+7329,int_stack+6573,21);
 /*--- compute (h0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+18396,int_stack+16128,int_stack+14364,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+21924,int_stack+8274,int_stack+7329,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+24759,int_stack+21924,int_stack+16128,21);
 /*--- compute (h0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+0,int_stack+24759,int_stack+18396,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+14364,int_stack+9429,int_stack+8274,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+46689,int_stack+14364,int_stack+21924,21);
 /*--- compute (h0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+52359,int_stack+46689,int_stack+24759,21);
 /*--- compute (h0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+17829,int_stack+52359,int_stack+0,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+10815,int_stack+9429,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+26649,int_stack+0,int_stack+14364,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+59919,int_stack+26649,int_stack+46689,21);
 /*--- compute (h0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+69369,int_stack+59919,int_stack+52359,21);
 /*--- compute (h0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+46689,int_stack+69369,int_stack+17829,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+14364,int_stack+12453,int_stack+10815,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+4158,int_stack+14364,int_stack+0,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+12474,int_stack+4158,int_stack+26649,21);
 /*--- compute (h0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+80709,int_stack+12474,int_stack+59919,21);
 /*--- compute (h0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+0,int_stack+80709,int_stack+69369,21);
 /*--- compute (h0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+15876,int_stack+0,int_stack+46689,21);
 /*--- compute (gp|ii) ---*/
 hrr1_build_gp(Libint->AB,int_stack+46689,int_stack+15876,int_stack+34929,784);
 return int_stack+46689;}
