#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gpnf(Libint_t*, prim_data*);

  /* Computes quartets of (gp|nf) integrals */

REALTYPE *hrr_order_gpnf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][10] = int_stack + 0;
 Libint->vrr_classes[4][11] = int_stack + 990;
 Libint->vrr_classes[4][12] = int_stack + 2160;
 Libint->vrr_classes[4][13] = int_stack + 3525;
 Libint->vrr_classes[5][10] = int_stack + 5100;
 Libint->vrr_classes[5][11] = int_stack + 6486;
 Libint->vrr_classes[5][12] = int_stack + 8124;
 Libint->vrr_classes[5][13] = int_stack + 10035;
 memset(int_stack,0,12240*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 12240;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gpnf(Libint, Data);
   Data++;
 }
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+12240,int_stack+990,int_stack+0,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+15210,int_stack+2160,int_stack+990,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+18720,int_stack+15210,int_stack+12240,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+24660,int_stack+3525,int_stack+2160,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+28755,int_stack+24660,int_stack+15210,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+35775,int_stack+28755,int_stack+18720,15);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+12240,int_stack+6486,int_stack+5100,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+16398,int_stack+8124,int_stack+6486,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+21312,int_stack+16398,int_stack+12240,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+29628,int_stack+10035,int_stack+8124,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+29628,int_stack+16398,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+45675,int_stack+0,int_stack+21312,21);
 /*--- compute (gp|nf) ---*/
 hrr1_build_gp(Libint->AB,int_stack+0,int_stack+45675,int_stack+35775,660);
 return int_stack+0;}
