#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gpnp(Libint_t*, prim_data*);

  /* Computes quartets of (gp|np) integrals */

REALTYPE *hrr_order_gpnp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][10] = int_stack + 0;
 Libint->vrr_classes[4][11] = int_stack + 990;
 Libint->vrr_classes[5][10] = int_stack + 2160;
 Libint->vrr_classes[5][11] = int_stack + 3546;
 memset(int_stack,0,5184*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 5184;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gpnp(Libint, Data);
   Data++;
 }
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+5184,int_stack+990,int_stack+0,15);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+8154,int_stack+3546,int_stack+2160,21);
 /*--- compute (gp|np) ---*/
 hrr1_build_gp(Libint->AB,int_stack+12312,int_stack+8154,int_stack+5184,198);
 return int_stack+12312;}
