#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_h0ki(Libint_t*, prim_data*);

  /* Computes quartets of (h0|ki) integrals */

REALTYPE *hrr_order_h0ki(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][7] = int_stack + 0;
 Libint->vrr_classes[5][8] = int_stack + 756;
 Libint->vrr_classes[5][9] = int_stack + 1701;
 Libint->vrr_classes[5][10] = int_stack + 2856;
 Libint->vrr_classes[5][11] = int_stack + 4242;
 Libint->vrr_classes[5][12] = int_stack + 5880;
 Libint->vrr_classes[5][13] = int_stack + 7791;
 memset(int_stack,0,9996*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 9996;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_h0ki(Libint, Data);
   Data++;
 }
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+9996,int_stack+756,int_stack+0,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+12264,int_stack+1701,int_stack+756,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+15099,int_stack+12264,int_stack+9996,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+19635,int_stack+2856,int_stack+1701,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+23100,int_stack+19635,int_stack+12264,21);
 /*--- compute (h0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+28770,int_stack+23100,int_stack+15099,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+9996,int_stack+4242,int_stack+2856,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+36330,int_stack+9996,int_stack+19635,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+43260,int_stack+36330,int_stack+23100,21);
 /*--- compute (h0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+14154,int_stack+43260,int_stack+28770,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+25494,int_stack+5880,int_stack+4242,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+52710,int_stack+25494,int_stack+9996,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+61026,int_stack+52710,int_stack+36330,21);
 /*--- compute (h0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+72576,int_stack+61026,int_stack+43260,21);
 /*--- compute (h0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+30408,int_stack+72576,int_stack+14154,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+9996,int_stack+7791,int_stack+5880,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+9996,int_stack+25494,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+9828,int_stack+0,int_stack+52710,21);
 /*--- compute (h0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+86751,int_stack+9828,int_stack+61026,21);
 /*--- compute (h0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+0,int_stack+86751,int_stack+72576,21);
 /*--- compute (h0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+46284,int_stack+0,int_stack+30408,21);
 return int_stack+46284;}
