#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_h0lf(Libint_t*, prim_data*);

  /* Computes quartets of (h0|lf) integrals */

REALTYPE *hrr_order_h0lf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][8] = int_stack + 0;
 Libint->vrr_classes[5][9] = int_stack + 945;
 Libint->vrr_classes[5][10] = int_stack + 2100;
 Libint->vrr_classes[5][11] = int_stack + 3486;
 memset(int_stack,0,5124*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 5124;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_h0lf(Libint, Data);
   Data++;
 }
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+5124,int_stack+945,int_stack+0,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+7959,int_stack+2100,int_stack+945,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+11424,int_stack+7959,int_stack+5124,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+17094,int_stack+3486,int_stack+2100,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+17094,int_stack+7959,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+17094,int_stack+0,int_stack+11424,21);
 return int_stack+17094;}
