#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_h0nd(Libint_t*, prim_data*);

  /* Computes quartets of (h0|nd) integrals */

REALTYPE *hrr_order_h0nd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][10] = int_stack + 0;
 Libint->vrr_classes[5][11] = int_stack + 1386;
 Libint->vrr_classes[5][12] = int_stack + 3024;
 memset(int_stack,0,4935*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 4935;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_h0nd(Libint, Data);
   Data++;
 }
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+4935,int_stack+1386,int_stack+0,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+9093,int_stack+3024,int_stack+1386,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+14007,int_stack+9093,int_stack+4935,21);
 return int_stack+14007;}
