#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hdkp(Libint_t*, prim_data*);

  /* Computes quartets of (hd|kp) integrals */

REALTYPE *hrr_order_hdkp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][7] = int_stack + 0;
 Libint->vrr_classes[5][8] = int_stack + 756;
 Libint->vrr_classes[6][7] = int_stack + 1701;
 Libint->vrr_classes[6][8] = int_stack + 2709;
 Libint->vrr_classes[7][7] = int_stack + 3969;
 Libint->vrr_classes[7][8] = int_stack + 5265;
 memset(int_stack,0,6885*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 6885;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hdkp(Libint, Data);
   Data++;
 }
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+6885,int_stack+756,int_stack+0,21);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+9153,int_stack+2709,int_stack+1701,28);
 /*--- compute (hp|kp) ---*/
 hrr1_build_hp(Libint->AB,int_stack+12177,int_stack+9153,int_stack+6885,108);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+5265,int_stack+3969,36);
 /*--- compute (ip|kp) ---*/
 hrr1_build_ip(Libint->AB,int_stack+18981,int_stack+0,int_stack+9153,108);
 /*--- compute (hd|kp) ---*/
 hrr1_build_hd(Libint->AB,int_stack+28053,int_stack+18981,int_stack+12177,108);
 return int_stack+28053;}
