#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hdnm(Libint_t*, prim_data*);

  /* Computes quartets of (hd|nm) integrals */

REALTYPE *hrr_order_hdnm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][10] = int_stack + 0;
 Libint->vrr_classes[5][11] = int_stack + 1386;
 Libint->vrr_classes[5][12] = int_stack + 3024;
 Libint->vrr_classes[5][13] = int_stack + 4935;
 Libint->vrr_classes[5][14] = int_stack + 7140;
 Libint->vrr_classes[5][15] = int_stack + 9660;
 Libint->vrr_classes[5][16] = int_stack + 12516;
 Libint->vrr_classes[5][17] = int_stack + 15729;
 Libint->vrr_classes[5][18] = int_stack + 19320;
 Libint->vrr_classes[5][19] = int_stack + 23310;
 Libint->vrr_classes[6][10] = int_stack + 27720;
 Libint->vrr_classes[6][11] = int_stack + 29568;
 Libint->vrr_classes[6][12] = int_stack + 31752;
 Libint->vrr_classes[6][13] = int_stack + 34300;
 Libint->vrr_classes[6][14] = int_stack + 37240;
 Libint->vrr_classes[6][15] = int_stack + 40600;
 Libint->vrr_classes[6][16] = int_stack + 44408;
 Libint->vrr_classes[6][17] = int_stack + 48692;
 Libint->vrr_classes[6][18] = int_stack + 53480;
 Libint->vrr_classes[6][19] = int_stack + 58800;
 Libint->vrr_classes[7][10] = int_stack + 64680;
 Libint->vrr_classes[7][11] = int_stack + 67056;
 Libint->vrr_classes[7][12] = int_stack + 69864;
 Libint->vrr_classes[7][13] = int_stack + 73140;
 Libint->vrr_classes[7][14] = int_stack + 76920;
 Libint->vrr_classes[7][15] = int_stack + 81240;
 Libint->vrr_classes[7][16] = int_stack + 86136;
 Libint->vrr_classes[7][17] = int_stack + 91644;
 Libint->vrr_classes[7][18] = int_stack + 97800;
 Libint->vrr_classes[7][19] = int_stack + 104640;
 memset(int_stack,0,112200*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 112200;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hdnm(Libint, Data);
   Data++;
 }
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+112200,int_stack+1386,int_stack+0,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+116358,int_stack+3024,int_stack+1386,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+121272,int_stack+116358,int_stack+112200,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+129588,int_stack+4935,int_stack+3024,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+135321,int_stack+129588,int_stack+116358,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+145149,int_stack+135321,int_stack+121272,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+112200,int_stack+7140,int_stack+4935,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+159009,int_stack+112200,int_stack+129588,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+118815,int_stack+159009,int_stack+135321,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+170475,int_stack+118815,int_stack+145149,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+135195,int_stack+9660,int_stack+7140,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+142755,int_stack+135195,int_stack+112200,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+191265,int_stack+142755,int_stack+159009,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+210375,int_stack+191265,int_stack+118815,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+234945,int_stack+210375,int_stack+170475,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+112200,int_stack+12516,int_stack+9660,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+155985,int_stack+112200,int_stack+135195,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+264051,int_stack+155985,int_stack+142755,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+120768,int_stack+264051,int_stack+191265,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+171105,int_stack+120768,int_stack+210375,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+286101,int_stack+171105,int_stack+234945,21);
 /*--- compute (h0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+205503,int_stack+15729,int_stack+12516,21);
 /*--- compute (h0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+215142,int_stack+205503,int_stack+112200,21);
 /*--- compute (h0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+232278,int_stack+215142,int_stack+155985,21);
 /*--- compute (h0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+324909,int_stack+232278,int_stack+264051,21);
 /*--- compute (h0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+357984,int_stack+324909,int_stack+120768,21);
 /*--- compute (h0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+112200,int_stack+357984,int_stack+171105,21);
 /*--- compute (h0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+398115,int_stack+112200,int_stack+286101,21);
 /*--- compute (h0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+158064,int_stack+19320,int_stack+15729,21);
 /*--- compute (h0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+168837,int_stack+158064,int_stack+205503,21);
 /*--- compute (h0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+257478,int_stack+168837,int_stack+215142,21);
 /*--- compute (h0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+188115,int_stack+257478,int_stack+232278,21);
 /*--- compute (h0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+448011,int_stack+188115,int_stack+324909,21);
 /*--- compute (h0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+286038,int_stack+448011,int_stack+357984,21);
 /*--- compute (h0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+494316,int_stack+286038,int_stack+112200,21);
 /*--- compute (h0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+553284,int_stack+494316,int_stack+398115,21);
 /*--- compute (h0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+112200,int_stack+23310,int_stack+19320,21);
 /*--- compute (h0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+124170,int_stack+112200,int_stack+158064,21);
 /*--- compute (h0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+339546,int_stack+124170,int_stack+168837,21);
 /*--- compute (h0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+112200,int_stack+339546,int_stack+257478,21);
 /*--- compute (h0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+339546,int_stack+112200,int_stack+188115,21);
 /*--- compute (h0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+112200,int_stack+339546,int_stack+448011,21);
 /*--- compute (h0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+339546,int_stack+112200,int_stack+286038,21);
 /*--- compute (h0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+112200,int_stack+339546,int_stack+494316,21);
 /*--- compute (h0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+185910,int_stack+112200,int_stack+553284,21);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+112200,int_stack+29568,int_stack+27720,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+117744,int_stack+31752,int_stack+29568,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+124296,int_stack+117744,int_stack+112200,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+135384,int_stack+34300,int_stack+31752,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+143028,int_stack+135384,int_stack+117744,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+156132,int_stack+143028,int_stack+124296,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+112200,int_stack+37240,int_stack+34300,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+262140,int_stack+112200,int_stack+135384,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+121020,int_stack+262140,int_stack+143028,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+277428,int_stack+121020,int_stack+156132,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+142860,int_stack+40600,int_stack+37240,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+152940,int_stack+142860,int_stack+112200,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+305148,int_stack+152940,int_stack+262140,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+330628,int_stack+305148,int_stack+121020,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+363388,int_stack+330628,int_stack+277428,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+262140,int_stack+44408,int_stack+40600,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+273564,int_stack+262140,int_stack+142860,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+112200,int_stack+273564,int_stack+152940,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+141600,int_stack+112200,int_stack+305148,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+402196,int_stack+141600,int_stack+330628,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+293724,int_stack+402196,int_stack+363388,28);
 /*--- compute (i0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+345468,int_stack+48692,int_stack+44408,28);
 /*--- compute (i0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+358320,int_stack+345468,int_stack+262140,28);
 /*--- compute (i0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+448060,int_stack+358320,int_stack+273564,28);
 /*--- compute (i0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+481660,int_stack+448060,int_stack+112200,28);
 /*--- compute (i0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+525760,int_stack+481660,int_stack+141600,28);
 /*--- compute (i0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+112200,int_stack+525760,int_stack+402196,28);
 /*--- compute (i0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+381168,int_stack+112200,int_stack+293724,28);
 /*--- compute (i0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+262140,int_stack+53480,int_stack+48692,28);
 /*--- compute (i0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+276504,int_stack+262140,int_stack+345468,28);
 /*--- compute (i0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+302208,int_stack+276504,int_stack+358320,28);
 /*--- compute (i0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+0,int_stack+302208,int_stack+448060,28);
 /*--- compute (i0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+579268,int_stack+0,int_stack+481660,28);
 /*--- compute (i0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+447696,int_stack+579268,int_stack+525760,28);
 /*--- compute (i0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+641008,int_stack+447696,int_stack+112200,28);
 /*--- compute (i0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+719632,int_stack+641008,int_stack+381168,28);
 /*--- compute (i0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+112200,int_stack+58800,int_stack+53480,28);
 /*--- compute (i0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+128160,int_stack+112200,int_stack+262140,28);
 /*--- compute (i0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+340288,int_stack+128160,int_stack+276504,28);
 /*--- compute (i0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+112200,int_stack+340288,int_stack+302208,28);
 /*--- compute (i0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+262140,int_stack+112200,int_stack+0,28);
 /*--- compute (i0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+332700,int_stack+262140,int_stack+579268,28);
 /*--- compute (i0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+519040,int_stack+332700,int_stack+447696,28);
 /*--- compute (i0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+262140,int_stack+519040,int_stack+641008,28);
 /*--- compute (i0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+360420,int_stack+262140,int_stack+719632,28);
 /*--- compute (hp|nm) ---*/
 hrr1_build_hp(Libint->AB,int_stack+462060,int_stack+360420,int_stack+185910,3630);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+690750,int_stack+67056,int_stack+64680,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+697878,int_stack+69864,int_stack+67056,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+706302,int_stack+697878,int_stack+690750,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+720558,int_stack+73140,int_stack+69864,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+730386,int_stack+720558,int_stack+697878,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+747234,int_stack+730386,int_stack+706302,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+690750,int_stack+76920,int_stack+73140,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+770994,int_stack+690750,int_stack+720558,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+702090,int_stack+770994,int_stack+730386,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+702090,int_stack+747234,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+730170,int_stack+81240,int_stack+76920,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+743130,int_stack+730170,int_stack+690750,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+35640,int_stack+743130,int_stack+770994,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+112200,int_stack+35640,int_stack+702090,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+154320,int_stack+112200,int_stack+0,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+86136,int_stack+81240,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+690750,int_stack+0,int_stack+730170,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+204216,int_stack+690750,int_stack+743130,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+716670,int_stack+204216,int_stack+35640,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+14688,int_stack+716670,int_stack+112200,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+242016,int_stack+14688,int_stack+154320,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+112200,int_stack+91644,int_stack+86136,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+128724,int_stack+112200,int_stack+0,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+158100,int_stack+128724,int_stack+690750,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+765810,int_stack+158100,int_stack+204216,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+822510,int_stack+765810,int_stack+716670,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+891306,int_stack+822510,int_stack+14688,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+0,int_stack+891306,int_stack+242016,36);
 /*--- compute (k0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+690750,int_stack+97800,int_stack+91644,36);
 /*--- compute (k0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+709218,int_stack+690750,int_stack+112200,36);
 /*--- compute (k0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+201300,int_stack+709218,int_stack+128724,36);
 /*--- compute (k0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+250260,int_stack+201300,int_stack+158100,36);
 /*--- compute (k0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+112200,int_stack+250260,int_stack+765810,36);
 /*--- compute (k0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+969930,int_stack+112200,int_stack+822510,36);
 /*--- compute (k0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+742266,int_stack+969930,int_stack+891306,36);
 /*--- compute (k0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+843354,int_stack+742266,int_stack+0,36);
 /*--- compute (k0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+0,int_stack+104640,int_stack+97800,36);
 /*--- compute (k0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+20520,int_stack+0,int_stack+690750,36);
 /*--- compute (k0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1061658,int_stack+20520,int_stack+709218,36);
 /*--- compute (k0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+0,int_stack+1061658,int_stack+201300,36);
 /*--- compute (k0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1061658,int_stack+0,int_stack+250260,36);
 /*--- compute (k0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+0,int_stack+1061658,int_stack+112200,36);
 /*--- compute (k0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+105840,int_stack+0,int_stack+969930,36);
 /*--- compute (k0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+223776,int_stack+105840,int_stack+742266,36);
 /*--- compute (k0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+0,int_stack+223776,int_stack+843354,36);
 /*--- compute (ip|nm) ---*/
 hrr1_build_ip(Libint->AB,int_stack+690750,int_stack+0,int_stack+360420,3630);
 /*--- compute (hd|nm) ---*/
 hrr1_build_hd(Libint->AB,int_stack+0,int_stack+690750,int_stack+462060,3630);
 return int_stack+0;}
