#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hdnp(Libint_t*, prim_data*);

  /* Computes quartets of (hd|np) integrals */

REALTYPE *hrr_order_hdnp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][10] = int_stack + 0;
 Libint->vrr_classes[5][11] = int_stack + 1386;
 Libint->vrr_classes[6][10] = int_stack + 3024;
 Libint->vrr_classes[6][11] = int_stack + 4872;
 Libint->vrr_classes[7][10] = int_stack + 7056;
 Libint->vrr_classes[7][11] = int_stack + 9432;
 memset(int_stack,0,12240*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 12240;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hdnp(Libint, Data);
   Data++;
 }
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+12240,int_stack+1386,int_stack+0,21);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+16398,int_stack+4872,int_stack+3024,28);
 /*--- compute (hp|np) ---*/
 hrr1_build_hp(Libint->AB,int_stack+21942,int_stack+16398,int_stack+12240,198);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+34416,int_stack+9432,int_stack+7056,36);
 /*--- compute (ip|np) ---*/
 hrr1_build_ip(Libint->AB,int_stack+41544,int_stack+34416,int_stack+16398,198);
 /*--- compute (hd|np) ---*/
 hrr1_build_hd(Libint->AB,int_stack+58176,int_stack+41544,int_stack+21942,198);
 return int_stack+58176;}
