#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hfif(Libint_t*, prim_data*);

  /* Computes quartets of (hf|if) integrals */

REALTYPE *hrr_order_hfif(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][6] = int_stack + 0;
 Libint->vrr_classes[5][7] = int_stack + 588;
 Libint->vrr_classes[5][8] = int_stack + 1344;
 Libint->vrr_classes[5][9] = int_stack + 2289;
 Libint->vrr_classes[6][6] = int_stack + 3444;
 Libint->vrr_classes[6][7] = int_stack + 4228;
 Libint->vrr_classes[6][8] = int_stack + 5236;
 Libint->vrr_classes[6][9] = int_stack + 6496;
 Libint->vrr_classes[7][6] = int_stack + 8036;
 Libint->vrr_classes[7][7] = int_stack + 9044;
 Libint->vrr_classes[7][8] = int_stack + 10340;
 Libint->vrr_classes[7][9] = int_stack + 11960;
 Libint->vrr_classes[8][6] = int_stack + 13940;
 Libint->vrr_classes[8][7] = int_stack + 15200;
 Libint->vrr_classes[8][8] = int_stack + 16820;
 Libint->vrr_classes[8][9] = int_stack + 18845;
 memset(int_stack,0,21320*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 21320;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hfif(Libint, Data);
   Data++;
 }
 /*--- compute (h0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+21320,int_stack+588,int_stack+0,21);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+23084,int_stack+1344,int_stack+588,21);
 /*--- compute (h0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+25352,int_stack+23084,int_stack+21320,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+28880,int_stack+2289,int_stack+1344,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+31715,int_stack+28880,int_stack+23084,21);
 /*--- compute (h0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+36251,int_stack+31715,int_stack+25352,21);
 /*--- compute (i0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+21320,int_stack+4228,int_stack+3444,28);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+23672,int_stack+5236,int_stack+4228,28);
 /*--- compute (i0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+26696,int_stack+23672,int_stack+21320,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+31400,int_stack+6496,int_stack+5236,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+0,int_stack+31400,int_stack+23672,28);
 /*--- compute (i0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+42131,int_stack+0,int_stack+26696,28);
 /*--- compute (hp|if) ---*/
 hrr1_build_hp(Libint->AB,int_stack+49971,int_stack+42131,int_stack+36251,280);
 /*--- compute (k0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+0,int_stack+9044,int_stack+8036,36);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+3024,int_stack+10340,int_stack+9044,36);
 /*--- compute (k0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+21320,int_stack+3024,int_stack+0,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+27368,int_stack+11960,int_stack+10340,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+32228,int_stack+27368,int_stack+3024,36);
 /*--- compute (k0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+0,int_stack+32228,int_stack+21320,36);
 /*--- compute (ip|if) ---*/
 hrr1_build_ip(Libint->AB,int_stack+67611,int_stack+0,int_stack+42131,280);
 /*--- compute (hd|if) ---*/
 hrr1_build_hd(Libint->AB,int_stack+91131,int_stack+67611,int_stack+49971,280);
 /*--- compute (l0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+21320,int_stack+15200,int_stack+13940,45);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+25100,int_stack+16820,int_stack+15200,45);
 /*--- compute (l0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+29960,int_stack+25100,int_stack+21320,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+37520,int_stack+18845,int_stack+16820,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+43595,int_stack+37520,int_stack+25100,45);
 /*--- compute (l0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+53315,int_stack+43595,int_stack+29960,45);
 /*--- compute (kp|if) ---*/
 hrr1_build_kp(Libint->AB,int_stack+10080,int_stack+53315,int_stack+0,280);
 /*--- compute (id|if) ---*/
 hrr1_build_id(Libint->AB,int_stack+126411,int_stack+10080,int_stack+67611,280);
 /*--- compute (hf|if) ---*/
 hrr1_build_hf(Libint->AB,int_stack+0,int_stack+126411,int_stack+91131,280);
 return int_stack+0;}
