#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hfng(Libint_t*, prim_data*);

  /* Computes quartets of (hf|ng) integrals */

REALTYPE *hrr_order_hfng(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][10] = int_stack + 0;
 Libint->vrr_classes[5][11] = int_stack + 1386;
 Libint->vrr_classes[5][12] = int_stack + 3024;
 Libint->vrr_classes[5][13] = int_stack + 4935;
 Libint->vrr_classes[5][14] = int_stack + 7140;
 Libint->vrr_classes[6][10] = int_stack + 9660;
 Libint->vrr_classes[6][11] = int_stack + 11508;
 Libint->vrr_classes[6][12] = int_stack + 13692;
 Libint->vrr_classes[6][13] = int_stack + 16240;
 Libint->vrr_classes[6][14] = int_stack + 19180;
 Libint->vrr_classes[7][10] = int_stack + 22540;
 Libint->vrr_classes[7][11] = int_stack + 24916;
 Libint->vrr_classes[7][12] = int_stack + 27724;
 Libint->vrr_classes[7][13] = int_stack + 31000;
 Libint->vrr_classes[7][14] = int_stack + 34780;
 Libint->vrr_classes[8][10] = int_stack + 39100;
 Libint->vrr_classes[8][11] = int_stack + 42070;
 Libint->vrr_classes[8][12] = int_stack + 45580;
 Libint->vrr_classes[8][13] = int_stack + 49675;
 Libint->vrr_classes[8][14] = int_stack + 54400;
 memset(int_stack,0,59800*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 59800;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hfng(Libint, Data);
   Data++;
 }
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+59800,int_stack+1386,int_stack+0,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+63958,int_stack+3024,int_stack+1386,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+68872,int_stack+63958,int_stack+59800,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+77188,int_stack+4935,int_stack+3024,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+82921,int_stack+77188,int_stack+63958,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+92749,int_stack+82921,int_stack+68872,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+59800,int_stack+7140,int_stack+4935,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+106609,int_stack+59800,int_stack+77188,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+59800,int_stack+106609,int_stack+82921,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+106609,int_stack+59800,int_stack+92749,21);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+59800,int_stack+11508,int_stack+9660,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+65344,int_stack+13692,int_stack+11508,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+71896,int_stack+65344,int_stack+59800,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+82984,int_stack+16240,int_stack+13692,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+90628,int_stack+82984,int_stack+65344,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+127399,int_stack+90628,int_stack+71896,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+59800,int_stack+19180,int_stack+16240,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+0,int_stack+59800,int_stack+82984,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+59800,int_stack+0,int_stack+90628,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+145879,int_stack+59800,int_stack+127399,28);
 /*--- compute (hp|ng) ---*/
 hrr1_build_hp(Libint->AB,int_stack+173599,int_stack+145879,int_stack+106609,990);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+59800,int_stack+24916,int_stack+22540,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+66928,int_stack+27724,int_stack+24916,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+75352,int_stack+66928,int_stack+59800,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+89608,int_stack+31000,int_stack+27724,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+99436,int_stack+89608,int_stack+66928,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+116284,int_stack+99436,int_stack+75352,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+59800,int_stack+34780,int_stack+31000,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+0,int_stack+59800,int_stack+89608,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+59800,int_stack+0,int_stack+99436,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+59800,int_stack+116284,36);
 /*--- compute (ip|ng) ---*/
 hrr1_build_ip(Libint->AB,int_stack+59800,int_stack+0,int_stack+145879,990);
 /*--- compute (hd|ng) ---*/
 hrr1_build_hd(Libint->AB,int_stack+235969,int_stack+59800,int_stack+173599,990);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+142960,int_stack+42070,int_stack+39100,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+151870,int_stack+45580,int_stack+42070,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+162400,int_stack+151870,int_stack+142960,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+180220,int_stack+49675,int_stack+45580,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+192505,int_stack+180220,int_stack+151870,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+360709,int_stack+192505,int_stack+162400,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+142960,int_stack+54400,int_stack+49675,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+390409,int_stack+142960,int_stack+180220,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+142960,int_stack+390409,int_stack+192505,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+178060,int_stack+142960,int_stack+360709,45);
 /*--- compute (kp|ng) ---*/
 hrr1_build_kp(Libint->AB,int_stack+360709,int_stack+178060,int_stack+0,990);
 /*--- compute (id|ng) ---*/
 hrr1_build_id(Libint->AB,int_stack+467629,int_stack+360709,int_stack+59800,990);
 /*--- compute (hf|ng) ---*/
 hrr1_build_hf(Libint->AB,int_stack+0,int_stack+467629,int_stack+235969,990);
 return int_stack+0;}
