#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hhmd(Libint_t*, prim_data*);

  /* Computes quartets of (hh|md) integrals */

REALTYPE *hrr_order_hhmd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][9] = int_stack + 0;
 Libint->vrr_classes[5][10] = int_stack + 1155;
 Libint->vrr_classes[5][11] = int_stack + 2541;
 Libint->vrr_classes[6][9] = int_stack + 4179;
 Libint->vrr_classes[6][10] = int_stack + 5719;
 Libint->vrr_classes[6][11] = int_stack + 7567;
 Libint->vrr_classes[7][9] = int_stack + 9751;
 Libint->vrr_classes[7][10] = int_stack + 11731;
 Libint->vrr_classes[7][11] = int_stack + 14107;
 Libint->vrr_classes[8][9] = int_stack + 16915;
 Libint->vrr_classes[8][10] = int_stack + 19390;
 Libint->vrr_classes[8][11] = int_stack + 22360;
 Libint->vrr_classes[9][9] = int_stack + 25870;
 Libint->vrr_classes[9][10] = int_stack + 28895;
 Libint->vrr_classes[9][11] = int_stack + 32525;
 Libint->vrr_classes[10][9] = int_stack + 36815;
 Libint->vrr_classes[10][10] = int_stack + 40445;
 Libint->vrr_classes[10][11] = int_stack + 44801;
 memset(int_stack,0,49949*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 49949;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hhmd(Libint, Data);
   Data++;
 }
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+49949,int_stack+1155,int_stack+0,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+53414,int_stack+2541,int_stack+1155,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+57572,int_stack+53414,int_stack+49949,21);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+49949,int_stack+5719,int_stack+4179,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+7567,int_stack+5719,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+64502,int_stack+0,int_stack+49949,28);
 /*--- compute (hp|md) ---*/
 hrr1_build_hp(Libint->AB,int_stack+73742,int_stack+64502,int_stack+57572,330);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+49949,int_stack+11731,int_stack+9751,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+55889,int_stack+14107,int_stack+11731,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+55889,int_stack+49949,36);
 /*--- compute (ip|md) ---*/
 hrr1_build_ip(Libint->AB,int_stack+94532,int_stack+0,int_stack+64502,330);
 /*--- compute (hd|md) ---*/
 hrr1_build_hd(Libint->AB,int_stack+122252,int_stack+94532,int_stack+73742,330);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+49949,int_stack+19390,int_stack+16915,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+57374,int_stack+22360,int_stack+19390,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+66284,int_stack+57374,int_stack+49949,45);
 /*--- compute (kp|md) ---*/
 hrr1_build_kp(Libint->AB,int_stack+163832,int_stack+66284,int_stack+0,330);
 /*--- compute (id|md) ---*/
 hrr1_build_id(Libint->AB,int_stack+199472,int_stack+163832,int_stack+94532,330);
 /*--- compute (hf|md) ---*/
 hrr1_build_hf(Libint->AB,int_stack+254912,int_stack+199472,int_stack+122252,330);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+28895,int_stack+25870,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+9075,int_stack+32525,int_stack+28895,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+81134,int_stack+9075,int_stack+0,55);
 /*--- compute (lp|md) ---*/
 hrr1_build_lp(Libint->AB,int_stack+99284,int_stack+81134,int_stack+66284,330);
 /*--- compute (kd|md) ---*/
 hrr1_build_kd(Libint->AB,int_stack+324212,int_stack+99284,int_stack+163832,330);
 /*--- compute (if|md) ---*/
 hrr1_build_if(Libint->AB,int_stack+395492,int_stack+324212,int_stack+199472,330);
 /*--- compute (hg|md) ---*/
 hrr1_build_hg(Libint->AB,int_stack+143834,int_stack+395492,int_stack+254912,330);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+40445,int_stack+36815,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+10890,int_stack+44801,int_stack+40445,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+23958,int_stack+10890,int_stack+0,66);
 /*--- compute (mp|md) ---*/
 hrr1_build_mp(Libint->AB,int_stack+247784,int_stack+23958,int_stack+81134,330);
 /*--- compute (ld|md) ---*/
 hrr1_build_ld(Libint->AB,int_stack+0,int_stack+247784,int_stack+99284,330);
 /*--- compute (kf|md) ---*/
 hrr1_build_kf(Libint->AB,int_stack+487892,int_stack+0,int_stack+324212,330);
 /*--- compute (ig|md) ---*/
 hrr1_build_ig(Libint->AB,int_stack+0,int_stack+487892,int_stack+395492,330);
 /*--- compute (hh|md) ---*/
 hrr1_build_hh(Libint->AB,int_stack+247784,int_stack+0,int_stack+143834,330);
 return int_stack+247784;}
