#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hhmg(Libint_t*, prim_data*);

  /* Computes quartets of (hh|mg) integrals */

REALTYPE *hrr_order_hhmg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][9] = int_stack + 0;
 Libint->vrr_classes[5][10] = int_stack + 1155;
 Libint->vrr_classes[5][11] = int_stack + 2541;
 Libint->vrr_classes[5][12] = int_stack + 4179;
 Libint->vrr_classes[5][13] = int_stack + 6090;
 Libint->vrr_classes[6][9] = int_stack + 8295;
 Libint->vrr_classes[6][10] = int_stack + 9835;
 Libint->vrr_classes[6][11] = int_stack + 11683;
 Libint->vrr_classes[6][12] = int_stack + 13867;
 Libint->vrr_classes[6][13] = int_stack + 16415;
 Libint->vrr_classes[7][9] = int_stack + 19355;
 Libint->vrr_classes[7][10] = int_stack + 21335;
 Libint->vrr_classes[7][11] = int_stack + 23711;
 Libint->vrr_classes[7][12] = int_stack + 26519;
 Libint->vrr_classes[7][13] = int_stack + 29795;
 Libint->vrr_classes[8][9] = int_stack + 33575;
 Libint->vrr_classes[8][10] = int_stack + 36050;
 Libint->vrr_classes[8][11] = int_stack + 39020;
 Libint->vrr_classes[8][12] = int_stack + 42530;
 Libint->vrr_classes[8][13] = int_stack + 46625;
 Libint->vrr_classes[9][9] = int_stack + 51350;
 Libint->vrr_classes[9][10] = int_stack + 54375;
 Libint->vrr_classes[9][11] = int_stack + 58005;
 Libint->vrr_classes[9][12] = int_stack + 62295;
 Libint->vrr_classes[9][13] = int_stack + 67300;
 Libint->vrr_classes[10][9] = int_stack + 73075;
 Libint->vrr_classes[10][10] = int_stack + 76705;
 Libint->vrr_classes[10][11] = int_stack + 81061;
 Libint->vrr_classes[10][12] = int_stack + 86209;
 Libint->vrr_classes[10][13] = int_stack + 92215;
 memset(int_stack,0,99145*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 99145;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hhmg(Libint, Data);
   Data++;
 }
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+99145,int_stack+1155,int_stack+0,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+102610,int_stack+2541,int_stack+1155,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+106768,int_stack+102610,int_stack+99145,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+113698,int_stack+4179,int_stack+2541,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+118612,int_stack+113698,int_stack+102610,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+126928,int_stack+118612,int_stack+106768,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+99145,int_stack+6090,int_stack+4179,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+138478,int_stack+99145,int_stack+113698,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+99145,int_stack+138478,int_stack+118612,21);
 /*--- compute (h0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+138478,int_stack+99145,int_stack+126928,21);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+99145,int_stack+9835,int_stack+8295,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+103765,int_stack+11683,int_stack+9835,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+109309,int_stack+103765,int_stack+99145,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+118549,int_stack+13867,int_stack+11683,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+125101,int_stack+118549,int_stack+103765,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+155803,int_stack+125101,int_stack+109309,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+99145,int_stack+16415,int_stack+13867,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+99145,int_stack+118549,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+99145,int_stack+0,int_stack+125101,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+171203,int_stack+99145,int_stack+155803,28);
 /*--- compute (hp|mg) ---*/
 hrr1_build_hp(Libint->AB,int_stack+194303,int_stack+171203,int_stack+138478,825);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+99145,int_stack+21335,int_stack+19355,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+105085,int_stack+23711,int_stack+21335,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+112213,int_stack+105085,int_stack+99145,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+124093,int_stack+26519,int_stack+23711,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+132517,int_stack+124093,int_stack+105085,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+146773,int_stack+132517,int_stack+112213,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+99145,int_stack+29795,int_stack+26519,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+99145,int_stack+124093,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+99145,int_stack+0,int_stack+132517,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+0,int_stack+99145,int_stack+146773,36);
 /*--- compute (ip|mg) ---*/
 hrr1_build_ip(Libint->AB,int_stack+99145,int_stack+0,int_stack+171203,825);
 /*--- compute (hd|mg) ---*/
 hrr1_build_hd(Libint->AB,int_stack+246278,int_stack+99145,int_stack+194303,825);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+168445,int_stack+36050,int_stack+33575,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+175870,int_stack+39020,int_stack+36050,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+184780,int_stack+175870,int_stack+168445,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+199630,int_stack+42530,int_stack+39020,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+210160,int_stack+199630,int_stack+175870,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+350228,int_stack+210160,int_stack+184780,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+168445,int_stack+46625,int_stack+42530,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+29700,int_stack+168445,int_stack+199630,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+168445,int_stack+29700,int_stack+210160,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+198145,int_stack+168445,int_stack+350228,45);
 /*--- compute (kp|mg) ---*/
 hrr1_build_kp(Libint->AB,int_stack+350228,int_stack+198145,int_stack+0,825);
 /*--- compute (id|mg) ---*/
 hrr1_build_id(Libint->AB,int_stack+439328,int_stack+350228,int_stack+99145,825);
 /*--- compute (hf|mg) ---*/
 hrr1_build_hf(Libint->AB,int_stack+577928,int_stack+439328,int_stack+246278,825);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+99145,int_stack+54375,int_stack+51350,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+108220,int_stack+58005,int_stack+54375,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+119110,int_stack+108220,int_stack+99145,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+137260,int_stack+62295,int_stack+58005,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+150130,int_stack+137260,int_stack+108220,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+150130,int_stack+119110,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+99145,int_stack+67300,int_stack+62295,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+171910,int_stack+99145,int_stack+137260,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+99145,int_stack+171910,int_stack+150130,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+135445,int_stack+99145,int_stack+0,55);
 /*--- compute (lp|mg) ---*/
 hrr1_build_lp(Libint->AB,int_stack+235270,int_stack+135445,int_stack+198145,825);
 /*--- compute (kd|mg) ---*/
 hrr1_build_kd(Libint->AB,int_stack+751178,int_stack+235270,int_stack+350228,825);
 /*--- compute (if|mg) ---*/
 hrr1_build_if(Libint->AB,int_stack+929378,int_stack+751178,int_stack+439328,825);
 /*--- compute (hg|mg) ---*/
 hrr1_build_hg(Libint->AB,int_stack+1160378,int_stack+929378,int_stack+577928,825);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+76705,int_stack+73075,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+10890,int_stack+81061,int_stack+76705,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+23958,int_stack+10890,int_stack+0,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+45738,int_stack+86209,int_stack+81061,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+99145,int_stack+45738,int_stack+10890,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+180820,int_stack+99145,int_stack+23958,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+92215,int_stack+86209,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+61182,int_stack+0,int_stack+45738,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+61182,int_stack+99145,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+43560,int_stack+0,int_stack+180820,66);
 /*--- compute (mp|mg) ---*/
 hrr1_build_mp(Libint->AB,int_stack+346645,int_stack+43560,int_stack+135445,825);
 /*--- compute (ld|mg) ---*/
 hrr1_build_ld(Libint->AB,int_stack+0,int_stack+346645,int_stack+235270,825);
 /*--- compute (kf|mg) ---*/
 hrr1_build_kf(Libint->AB,int_stack+222750,int_stack+0,int_stack+751178,825);
 /*--- compute (ig|mg) ---*/
 hrr1_build_ig(Libint->AB,int_stack+519750,int_stack+222750,int_stack+929378,825);
 /*--- compute (hh|mg) ---*/
 hrr1_build_hh(Libint->AB,int_stack+0,int_stack+519750,int_stack+1160378,825);
 return int_stack+0;}
