#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hpig(Libint_t*, prim_data*);

  /* Computes quartets of (hp|ig) integrals */

REALTYPE *hrr_order_hpig(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][6] = int_stack + 0;
 Libint->vrr_classes[5][7] = int_stack + 588;
 Libint->vrr_classes[5][8] = int_stack + 1344;
 Libint->vrr_classes[5][9] = int_stack + 2289;
 Libint->vrr_classes[5][10] = int_stack + 3444;
 Libint->vrr_classes[6][6] = int_stack + 4830;
 Libint->vrr_classes[6][7] = int_stack + 5614;
 Libint->vrr_classes[6][8] = int_stack + 6622;
 Libint->vrr_classes[6][9] = int_stack + 7882;
 Libint->vrr_classes[6][10] = int_stack + 9422;
 memset(int_stack,0,11270*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 11270;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hpig(Libint, Data);
   Data++;
 }
 /*--- compute (h0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+11270,int_stack+588,int_stack+0,21);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+13034,int_stack+1344,int_stack+588,21);
 /*--- compute (h0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+15302,int_stack+13034,int_stack+11270,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+18830,int_stack+2289,int_stack+1344,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+21665,int_stack+18830,int_stack+13034,21);
 /*--- compute (h0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+26201,int_stack+21665,int_stack+15302,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+11270,int_stack+3444,int_stack+2289,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+32081,int_stack+11270,int_stack+18830,21);
 /*--- compute (h0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+11270,int_stack+32081,int_stack+21665,21);
 /*--- compute (h0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+32081,int_stack+11270,int_stack+26201,21);
 /*--- compute (i0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+11270,int_stack+5614,int_stack+4830,28);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+13622,int_stack+6622,int_stack+5614,28);
 /*--- compute (i0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+16646,int_stack+13622,int_stack+11270,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+21350,int_stack+7882,int_stack+6622,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+25130,int_stack+21350,int_stack+13622,28);
 /*--- compute (i0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+0,int_stack+25130,int_stack+16646,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+11270,int_stack+9422,int_stack+7882,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+40901,int_stack+11270,int_stack+21350,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+7840,int_stack+40901,int_stack+25130,28);
 /*--- compute (i0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+17920,int_stack+7840,int_stack+0,28);
 /*--- compute (hp|ig) ---*/
 hrr1_build_hp(Libint->AB,int_stack+40901,int_stack+17920,int_stack+32081,420);
 return int_stack+40901;}
