#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hpl0(Libint_t*, prim_data*);

  /* Computes quartets of (hp|l0) integrals */

REALTYPE *hrr_order_hpl0(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][8] = int_stack + 0;
 Libint->vrr_classes[6][8] = int_stack + 945;
 memset(int_stack,0,2205*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 2205;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hpl0(Libint, Data);
   Data++;
 }
 /*--- compute (hp|l0) ---*/
 hrr1_build_hp(Libint->AB,int_stack+2205,int_stack+945,int_stack+0,45);
 return int_stack+2205;}
