#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hplg(Libint_t*, prim_data*);

  /* Computes quartets of (hp|lg) integrals */

REALTYPE *hrr_order_hplg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][8] = int_stack + 0;
 Libint->vrr_classes[5][9] = int_stack + 945;
 Libint->vrr_classes[5][10] = int_stack + 2100;
 Libint->vrr_classes[5][11] = int_stack + 3486;
 Libint->vrr_classes[5][12] = int_stack + 5124;
 Libint->vrr_classes[6][8] = int_stack + 7035;
 Libint->vrr_classes[6][9] = int_stack + 8295;
 Libint->vrr_classes[6][10] = int_stack + 9835;
 Libint->vrr_classes[6][11] = int_stack + 11683;
 Libint->vrr_classes[6][12] = int_stack + 13867;
 memset(int_stack,0,16415*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 16415;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hplg(Libint, Data);
   Data++;
 }
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+16415,int_stack+945,int_stack+0,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+19250,int_stack+2100,int_stack+945,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+22715,int_stack+19250,int_stack+16415,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+28385,int_stack+3486,int_stack+2100,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+32543,int_stack+28385,int_stack+19250,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+39473,int_stack+32543,int_stack+22715,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+16415,int_stack+5124,int_stack+3486,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+48923,int_stack+16415,int_stack+28385,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+16415,int_stack+48923,int_stack+32543,21);
 /*--- compute (h0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+48923,int_stack+16415,int_stack+39473,21);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+16415,int_stack+8295,int_stack+7035,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+20195,int_stack+9835,int_stack+8295,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+24815,int_stack+20195,int_stack+16415,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+32375,int_stack+11683,int_stack+9835,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+37919,int_stack+32375,int_stack+20195,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+63098,int_stack+37919,int_stack+24815,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+16415,int_stack+13867,int_stack+11683,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+16415,int_stack+32375,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+11088,int_stack+0,int_stack+37919,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+26488,int_stack+11088,int_stack+63098,28);
 /*--- compute (hp|lg) ---*/
 hrr1_build_hp(Libint->AB,int_stack+63098,int_stack+26488,int_stack+48923,675);
 return int_stack+63098;}
