#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hpml(Libint_t*, prim_data*);

  /* Computes quartets of (hp|ml) integrals */

REALTYPE *hrr_order_hpml(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][9] = int_stack + 0;
 Libint->vrr_classes[5][10] = int_stack + 1155;
 Libint->vrr_classes[5][11] = int_stack + 2541;
 Libint->vrr_classes[5][12] = int_stack + 4179;
 Libint->vrr_classes[5][13] = int_stack + 6090;
 Libint->vrr_classes[5][14] = int_stack + 8295;
 Libint->vrr_classes[5][15] = int_stack + 10815;
 Libint->vrr_classes[5][16] = int_stack + 13671;
 Libint->vrr_classes[5][17] = int_stack + 16884;
 Libint->vrr_classes[6][9] = int_stack + 20475;
 Libint->vrr_classes[6][10] = int_stack + 22015;
 Libint->vrr_classes[6][11] = int_stack + 23863;
 Libint->vrr_classes[6][12] = int_stack + 26047;
 Libint->vrr_classes[6][13] = int_stack + 28595;
 Libint->vrr_classes[6][14] = int_stack + 31535;
 Libint->vrr_classes[6][15] = int_stack + 34895;
 Libint->vrr_classes[6][16] = int_stack + 38703;
 Libint->vrr_classes[6][17] = int_stack + 42987;
 memset(int_stack,0,47775*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 47775;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hpml(Libint, Data);
   Data++;
 }
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+47775,int_stack+1155,int_stack+0,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+51240,int_stack+2541,int_stack+1155,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+55398,int_stack+51240,int_stack+47775,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+62328,int_stack+4179,int_stack+2541,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+67242,int_stack+62328,int_stack+51240,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+75558,int_stack+67242,int_stack+55398,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+47775,int_stack+6090,int_stack+4179,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+87108,int_stack+47775,int_stack+62328,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+96936,int_stack+87108,int_stack+67242,21);
 /*--- compute (h0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+53508,int_stack+96936,int_stack+75558,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+70833,int_stack+8295,int_stack+6090,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+110796,int_stack+70833,int_stack+47775,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+122262,int_stack+110796,int_stack+87108,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+138642,int_stack+122262,int_stack+96936,21);
 /*--- compute (h0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+77448,int_stack+138642,int_stack+53508,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+47775,int_stack+10815,int_stack+8295,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+55335,int_stack+47775,int_stack+70833,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+159432,int_stack+55335,int_stack+110796,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+178542,int_stack+159432,int_stack+122262,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+101703,int_stack+178542,int_stack+138642,21);
 /*--- compute (h0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+203112,int_stack+101703,int_stack+77448,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+68565,int_stack+13671,int_stack+10815,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+77133,int_stack+68565,int_stack+47775,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+130809,int_stack+77133,int_stack+55335,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+235452,int_stack+130809,int_stack+159432,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+264117,int_stack+235452,int_stack+178542,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+152859,int_stack+264117,int_stack+101703,21);
 /*--- compute (h0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+298515,int_stack+152859,int_stack+203112,21);
 /*--- compute (h0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+47775,int_stack+16884,int_stack+13671,21);
 /*--- compute (h0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+92253,int_stack+47775,int_stack+68565,21);
 /*--- compute (h0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+47775,int_stack+92253,int_stack+77133,21);
 /*--- compute (h0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+72975,int_stack+47775,int_stack+130809,21);
 /*--- compute (h0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+106050,int_stack+72975,int_stack+235452,21);
 /*--- compute (h0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+47775,int_stack+106050,int_stack+264117,21);
 /*--- compute (h0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+93639,int_stack+47775,int_stack+152859,21);
 /*--- compute (h0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+143535,int_stack+93639,int_stack+298515,21);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+47775,int_stack+22015,int_stack+20475,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+52395,int_stack+23863,int_stack+22015,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+57939,int_stack+52395,int_stack+47775,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+67179,int_stack+26047,int_stack+23863,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+73731,int_stack+67179,int_stack+52395,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+84819,int_stack+73731,int_stack+57939,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+47775,int_stack+28595,int_stack+26047,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+100219,int_stack+47775,int_stack+67179,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+113323,int_stack+100219,int_stack+73731,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+55419,int_stack+113323,int_stack+84819,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+78519,int_stack+31535,int_stack+28595,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+195510,int_stack+78519,int_stack+47775,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+210798,int_stack+195510,int_stack+100219,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+232638,int_stack+210798,int_stack+113323,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+87339,int_stack+232638,int_stack+55419,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+47775,int_stack+34895,int_stack+31535,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+57855,int_stack+47775,int_stack+78519,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+260358,int_stack+57855,int_stack+195510,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+285838,int_stack+260358,int_stack+210798,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+318598,int_stack+285838,int_stack+232638,28);
 /*--- compute (i0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+195510,int_stack+318598,int_stack+87339,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+238630,int_stack+38703,int_stack+34895,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+75495,int_stack+238630,int_stack+47775,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+95655,int_stack+75495,int_stack+57855,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+95655,int_stack+260358,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+357406,int_stack+0,int_stack+285838,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+250054,int_stack+357406,int_stack+318598,28);
 /*--- compute (i0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+301798,int_stack+250054,int_stack+195510,28);
 /*--- compute (i0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+195510,int_stack+42987,int_stack+38703,28);
 /*--- compute (i0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+208362,int_stack+195510,int_stack+238630,28);
 /*--- compute (i0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+38220,int_stack+208362,int_stack+75495,28);
 /*--- compute (i0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+195510,int_stack+38220,int_stack+95655,28);
 /*--- compute (i0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+38220,int_stack+195510,int_stack+0,28);
 /*--- compute (i0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+403270,int_stack+38220,int_stack+357406,28);
 /*--- compute (i0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+0,int_stack+403270,int_stack+250054,28);
 /*--- compute (i0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+66528,int_stack+0,int_stack+301798,28);
 /*--- compute (hp|ml) ---*/
 hrr1_build_hp(Libint->AB,int_stack+195510,int_stack+66528,int_stack+143535,2475);
 return int_stack+195510;}
