#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_i0kp(Libint_t*, prim_data*);

  /* Computes quartets of (i0|kp) integrals */

REALTYPE *hrr_order_i0kp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][7] = int_stack + 0;
 Libint->vrr_classes[6][8] = int_stack + 1008;
 memset(int_stack,0,2268*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 2268;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_i0kp(Libint, Data);
   Data++;
 }
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+2268,int_stack+1008,int_stack+0,28);
 return int_stack+2268;}
