#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_i0lf(Libint_t*, prim_data*);

  /* Computes quartets of (i0|lf) integrals */

REALTYPE *hrr_order_i0lf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][8] = int_stack + 0;
 Libint->vrr_classes[6][9] = int_stack + 1260;
 Libint->vrr_classes[6][10] = int_stack + 2800;
 Libint->vrr_classes[6][11] = int_stack + 4648;
 memset(int_stack,0,6832*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 6832;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_i0lf(Libint, Data);
   Data++;
 }
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+6832,int_stack+1260,int_stack+0,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+10612,int_stack+2800,int_stack+1260,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+15232,int_stack+10612,int_stack+6832,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+22792,int_stack+4648,int_stack+2800,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+22792,int_stack+10612,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+22792,int_stack+0,int_stack+15232,28);
 return int_stack+22792;}
