#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ihmf(Libint_t*, prim_data*);

  /* Computes quartets of (ih|mf) integrals */

REALTYPE *hrr_order_ihmf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][9] = int_stack + 0;
 Libint->vrr_classes[6][10] = int_stack + 1540;
 Libint->vrr_classes[6][11] = int_stack + 3388;
 Libint->vrr_classes[6][12] = int_stack + 5572;
 Libint->vrr_classes[7][9] = int_stack + 8120;
 Libint->vrr_classes[7][10] = int_stack + 10100;
 Libint->vrr_classes[7][11] = int_stack + 12476;
 Libint->vrr_classes[7][12] = int_stack + 15284;
 Libint->vrr_classes[8][9] = int_stack + 18560;
 Libint->vrr_classes[8][10] = int_stack + 21035;
 Libint->vrr_classes[8][11] = int_stack + 24005;
 Libint->vrr_classes[8][12] = int_stack + 27515;
 Libint->vrr_classes[9][9] = int_stack + 31610;
 Libint->vrr_classes[9][10] = int_stack + 34635;
 Libint->vrr_classes[9][11] = int_stack + 38265;
 Libint->vrr_classes[9][12] = int_stack + 42555;
 Libint->vrr_classes[10][9] = int_stack + 47560;
 Libint->vrr_classes[10][10] = int_stack + 51190;
 Libint->vrr_classes[10][11] = int_stack + 55546;
 Libint->vrr_classes[10][12] = int_stack + 60694;
 Libint->vrr_classes[11][9] = int_stack + 66700;
 Libint->vrr_classes[11][10] = int_stack + 70990;
 Libint->vrr_classes[11][11] = int_stack + 76138;
 Libint->vrr_classes[11][12] = int_stack + 82222;
 memset(int_stack,0,89320*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 89320;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ihmf(Libint, Data);
   Data++;
 }
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+89320,int_stack+1540,int_stack+0,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+93940,int_stack+3388,int_stack+1540,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+99484,int_stack+93940,int_stack+89320,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+108724,int_stack+5572,int_stack+3388,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+115276,int_stack+108724,int_stack+93940,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+126364,int_stack+115276,int_stack+99484,28);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+89320,int_stack+10100,int_stack+8120,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+95260,int_stack+12476,int_stack+10100,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+102388,int_stack+95260,int_stack+89320,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+114268,int_stack+15284,int_stack+12476,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+114268,int_stack+95260,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+141764,int_stack+0,int_stack+102388,36);
 /*--- compute (ip|mf) ---*/
 hrr1_build_ip(Libint->AB,int_stack+161564,int_stack+141764,int_stack+126364,550);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+21035,int_stack+18560,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+7425,int_stack+24005,int_stack+21035,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+89320,int_stack+7425,int_stack+0,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+104170,int_stack+27515,int_stack+24005,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+114700,int_stack+104170,int_stack+7425,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+114700,int_stack+89320,45);
 /*--- compute (kp|mf) ---*/
 hrr1_build_kp(Libint->AB,int_stack+207764,int_stack+0,int_stack+141764,550);
 /*--- compute (id|mf) ---*/
 hrr1_build_id(Libint->AB,int_stack+267164,int_stack+207764,int_stack+161564,550);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+89320,int_stack+34635,int_stack+31610,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+98395,int_stack+38265,int_stack+34635,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+109285,int_stack+98395,int_stack+89320,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+127435,int_stack+42555,int_stack+38265,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+140305,int_stack+127435,int_stack+98395,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+162085,int_stack+140305,int_stack+109285,55);
 /*--- compute (lp|mf) ---*/
 hrr1_build_lp(Libint->AB,int_stack+359564,int_stack+162085,int_stack+0,550);
 /*--- compute (kd|mf) ---*/
 hrr1_build_kd(Libint->AB,int_stack+433814,int_stack+359564,int_stack+207764,550);
 /*--- compute (if|mf) ---*/
 hrr1_build_if(Libint->AB,int_stack+552614,int_stack+433814,int_stack+267164,550);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+51190,int_stack+47560,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+10890,int_stack+55546,int_stack+51190,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+23958,int_stack+10890,int_stack+0,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+89320,int_stack+60694,int_stack+55546,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+104764,int_stack+89320,int_stack+10890,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+192335,int_stack+104764,int_stack+23958,66);
 /*--- compute (mp|mf) ---*/
 hrr1_build_mp(Libint->AB,int_stack+228635,int_stack+192335,int_stack+162085,550);
 /*--- compute (ld|mf) ---*/
 hrr1_build_ld(Libint->AB,int_stack+706614,int_stack+228635,int_stack+359564,550);
 /*--- compute (kf|mf) ---*/
 hrr1_build_kf(Libint->AB,int_stack+855114,int_stack+706614,int_stack+433814,550);
 /*--- compute (ig|mf) ---*/
 hrr1_build_ig(Libint->AB,int_stack+319385,int_stack+855114,int_stack+552614,550);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+89320,int_stack+70990,int_stack+66700,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+102190,int_stack+76138,int_stack+70990,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+117634,int_stack+102190,int_stack+89320,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+143374,int_stack+82222,int_stack+76138,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+143374,int_stack+102190,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+143374,int_stack+0,int_stack+117634,78);
 /*--- compute (np|mf) ---*/
 hrr1_build_np(Libint->AB,int_stack+0,int_stack+143374,int_stack+192335,550);
 /*--- compute (md|mf) ---*/
 hrr1_build_md(Libint->AB,int_stack+1053114,int_stack+0,int_stack+228635,550);
 /*--- compute (lf|mf) ---*/
 hrr1_build_lf(Libint->AB,int_stack+0,int_stack+1053114,int_stack+706614,550);
 /*--- compute (kg|mf) ---*/
 hrr1_build_kg(Libint->AB,int_stack+550385,int_stack+0,int_stack+855114,550);
 /*--- compute (ih|mf) ---*/
 hrr1_build_ih(Libint->AB,int_stack+847385,int_stack+550385,int_stack+319385,550);
 return int_stack+847385;}
