#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ihnh(Libint_t*, prim_data*);

  /* Computes quartets of (ih|nh) integrals */

REALTYPE *hrr_order_ihnh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][10] = int_stack + 0;
 Libint->vrr_classes[6][11] = int_stack + 1848;
 Libint->vrr_classes[6][12] = int_stack + 4032;
 Libint->vrr_classes[6][13] = int_stack + 6580;
 Libint->vrr_classes[6][14] = int_stack + 9520;
 Libint->vrr_classes[6][15] = int_stack + 12880;
 Libint->vrr_classes[7][10] = int_stack + 16688;
 Libint->vrr_classes[7][11] = int_stack + 19064;
 Libint->vrr_classes[7][12] = int_stack + 21872;
 Libint->vrr_classes[7][13] = int_stack + 25148;
 Libint->vrr_classes[7][14] = int_stack + 28928;
 Libint->vrr_classes[7][15] = int_stack + 33248;
 Libint->vrr_classes[8][10] = int_stack + 38144;
 Libint->vrr_classes[8][11] = int_stack + 41114;
 Libint->vrr_classes[8][12] = int_stack + 44624;
 Libint->vrr_classes[8][13] = int_stack + 48719;
 Libint->vrr_classes[8][14] = int_stack + 53444;
 Libint->vrr_classes[8][15] = int_stack + 58844;
 Libint->vrr_classes[9][10] = int_stack + 64964;
 Libint->vrr_classes[9][11] = int_stack + 68594;
 Libint->vrr_classes[9][12] = int_stack + 72884;
 Libint->vrr_classes[9][13] = int_stack + 77889;
 Libint->vrr_classes[9][14] = int_stack + 83664;
 Libint->vrr_classes[9][15] = int_stack + 90264;
 Libint->vrr_classes[10][10] = int_stack + 97744;
 Libint->vrr_classes[10][11] = int_stack + 102100;
 Libint->vrr_classes[10][12] = int_stack + 107248;
 Libint->vrr_classes[10][13] = int_stack + 113254;
 Libint->vrr_classes[10][14] = int_stack + 120184;
 Libint->vrr_classes[10][15] = int_stack + 128104;
 Libint->vrr_classes[11][10] = int_stack + 137080;
 Libint->vrr_classes[11][11] = int_stack + 142228;
 Libint->vrr_classes[11][12] = int_stack + 148312;
 Libint->vrr_classes[11][13] = int_stack + 155410;
 Libint->vrr_classes[11][14] = int_stack + 163600;
 Libint->vrr_classes[11][15] = int_stack + 172960;
 memset(int_stack,0,183568*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 183568;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ihnh(Libint, Data);
   Data++;
 }
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+183568,int_stack+1848,int_stack+0,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+189112,int_stack+4032,int_stack+1848,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+195664,int_stack+189112,int_stack+183568,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+206752,int_stack+6580,int_stack+4032,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+214396,int_stack+206752,int_stack+189112,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+227500,int_stack+214396,int_stack+195664,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+183568,int_stack+9520,int_stack+6580,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+245980,int_stack+183568,int_stack+206752,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+192388,int_stack+245980,int_stack+214396,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+261268,int_stack+192388,int_stack+227500,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+214228,int_stack+12880,int_stack+9520,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+224308,int_stack+214228,int_stack+183568,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+288988,int_stack+224308,int_stack+245980,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+214228,int_stack+288988,int_stack+192388,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+288988,int_stack+214228,int_stack+261268,28);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+183568,int_stack+19064,int_stack+16688,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+190696,int_stack+21872,int_stack+19064,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+199120,int_stack+190696,int_stack+183568,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+213376,int_stack+25148,int_stack+21872,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+223204,int_stack+213376,int_stack+190696,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+240052,int_stack+223204,int_stack+199120,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+183568,int_stack+28928,int_stack+25148,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+263812,int_stack+183568,int_stack+213376,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+194908,int_stack+263812,int_stack+223204,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+327796,int_stack+194908,int_stack+240052,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+222988,int_stack+33248,int_stack+28928,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+235948,int_stack+222988,int_stack+183568,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+235948,int_stack+263812,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+222988,int_stack+0,int_stack+194908,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+363436,int_stack+222988,int_stack+327796,36);
 /*--- compute (ip|nh) ---*/
 hrr1_build_ip(Libint->AB,int_stack+413332,int_stack+363436,int_stack+288988,1386);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+41114,int_stack+38144,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+8910,int_stack+44624,int_stack+41114,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+19440,int_stack+8910,int_stack+0,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+183568,int_stack+48719,int_stack+44624,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+195853,int_stack+183568,int_stack+8910,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+216913,int_stack+195853,int_stack+19440,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+53444,int_stack+48719,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+14175,int_stack+0,int_stack+183568,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+246613,int_stack+14175,int_stack+195853,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+281713,int_stack+246613,int_stack+216913,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+183568,int_stack+58844,int_stack+53444,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+199768,int_stack+183568,int_stack+0,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+529756,int_stack+199768,int_stack+14175,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+529756,int_stack+246613,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+183568,int_stack+0,int_stack+281713,45);
 /*--- compute (kp|nh) ---*/
 hrr1_build_kp(Libint->AB,int_stack+529756,int_stack+183568,int_stack+363436,1386);
 /*--- compute (id|nh) ---*/
 hrr1_build_id(Libint->AB,int_stack+679444,int_stack+529756,int_stack+413332,1386);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+68594,int_stack+64964,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+10890,int_stack+72884,int_stack+68594,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+23760,int_stack+10890,int_stack+0,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+45540,int_stack+77889,int_stack+72884,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+245938,int_stack+45540,int_stack+10890,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+271678,int_stack+245938,int_stack+23760,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+83664,int_stack+77889,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+307978,int_stack+0,int_stack+45540,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+17325,int_stack+307978,int_stack+245938,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+338008,int_stack+17325,int_stack+271678,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+245938,int_stack+90264,int_stack+83664,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+265738,int_stack+245938,int_stack+0,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+392458,int_stack+265738,int_stack+307978,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+245938,int_stack+392458,int_stack+17325,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+392458,int_stack+245938,int_stack+338008,55);
 /*--- compute (lp|nh) ---*/
 hrr1_build_lp(Libint->AB,int_stack+912292,int_stack+392458,int_stack+183568,1386);
 /*--- compute (kd|nh) ---*/
 hrr1_build_kd(Libint->AB,int_stack+1099402,int_stack+912292,int_stack+529756,1386);
 /*--- compute (if|nh) ---*/
 hrr1_build_if(Libint->AB,int_stack+1398778,int_stack+1099402,int_stack+679444,1386);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+183568,int_stack+102100,int_stack+97744,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+196636,int_stack+107248,int_stack+102100,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+212080,int_stack+196636,int_stack+183568,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+238216,int_stack+113254,int_stack+107248,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+256234,int_stack+238216,int_stack+196636,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+287122,int_stack+256234,int_stack+212080,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+183568,int_stack+120184,int_stack+113254,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+330682,int_stack+183568,int_stack+238216,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+204358,int_stack+330682,int_stack+256234,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+468688,int_stack+204358,int_stack+287122,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+255838,int_stack+128104,int_stack+120184,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+279598,int_stack+255838,int_stack+183568,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+534028,int_stack+279598,int_stack+330682,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+255838,int_stack+534028,int_stack+204358,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+534028,int_stack+255838,int_stack+468688,66);
 /*--- compute (mp|nh) ---*/
 hrr1_build_mp(Libint->AB,int_stack+625504,int_stack+534028,int_stack+392458,1386);
 /*--- compute (ld|nh) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1786858,int_stack+625504,int_stack+912292,1386);
 /*--- compute (kf|nh) ---*/
 hrr1_build_kf(Libint->AB,int_stack+2161078,int_stack+1786858,int_stack+1099402,1386);
 /*--- compute (ig|nh) ---*/
 hrr1_build_ig(Libint->AB,int_stack+2660038,int_stack+2161078,int_stack+1398778,1386);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+854194,int_stack+142228,int_stack+137080,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+869638,int_stack+148312,int_stack+142228,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+887890,int_stack+869638,int_stack+854194,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+918778,int_stack+155410,int_stack+148312,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+940072,int_stack+918778,int_stack+869638,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+976576,int_stack+940072,int_stack+887890,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+854194,int_stack+163600,int_stack+155410,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1028056,int_stack+854194,int_stack+918778,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+878764,int_stack+1028056,int_stack+940072,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1070644,int_stack+878764,int_stack+976576,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+939604,int_stack+172960,int_stack+163600,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+967684,int_stack+939604,int_stack+854194,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1147864,int_stack+967684,int_stack+1028056,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+939604,int_stack+1147864,int_stack+878764,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1147864,int_stack+939604,int_stack+1070644,78);
 /*--- compute (np|nh) ---*/
 hrr1_build_np(Libint->AB,int_stack+1255972,int_stack+1147864,int_stack+534028,1386);
 /*--- compute (md|nh) ---*/
 hrr1_build_md(Libint->AB,int_stack+0,int_stack+1255972,int_stack+625504,1386);
 /*--- compute (lf|nh) ---*/
 hrr1_build_lf(Libint->AB,int_stack+457380,int_stack+0,int_stack+1786858,1386);
 /*--- compute (kg|nh) ---*/
 hrr1_build_kg(Libint->AB,int_stack+1081080,int_stack+457380,int_stack+2161078,1386);
 /*--- compute (ih|nh) ---*/
 hrr1_build_ih(Libint->AB,int_stack+0,int_stack+1081080,int_stack+2660038,1386);
 return int_stack+0;}
