#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_iinh(Libint_t*, prim_data*);

  /* Computes quartets of (ii|nh) integrals */

REALTYPE *hrr_order_iinh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][10] = int_stack + 0;
 Libint->vrr_classes[6][11] = int_stack + 1848;
 Libint->vrr_classes[6][12] = int_stack + 4032;
 Libint->vrr_classes[6][13] = int_stack + 6580;
 Libint->vrr_classes[6][14] = int_stack + 9520;
 Libint->vrr_classes[6][15] = int_stack + 12880;
 Libint->vrr_classes[7][10] = int_stack + 16688;
 Libint->vrr_classes[7][11] = int_stack + 19064;
 Libint->vrr_classes[7][12] = int_stack + 21872;
 Libint->vrr_classes[7][13] = int_stack + 25148;
 Libint->vrr_classes[7][14] = int_stack + 28928;
 Libint->vrr_classes[7][15] = int_stack + 33248;
 Libint->vrr_classes[8][10] = int_stack + 38144;
 Libint->vrr_classes[8][11] = int_stack + 41114;
 Libint->vrr_classes[8][12] = int_stack + 44624;
 Libint->vrr_classes[8][13] = int_stack + 48719;
 Libint->vrr_classes[8][14] = int_stack + 53444;
 Libint->vrr_classes[8][15] = int_stack + 58844;
 Libint->vrr_classes[9][10] = int_stack + 64964;
 Libint->vrr_classes[9][11] = int_stack + 68594;
 Libint->vrr_classes[9][12] = int_stack + 72884;
 Libint->vrr_classes[9][13] = int_stack + 77889;
 Libint->vrr_classes[9][14] = int_stack + 83664;
 Libint->vrr_classes[9][15] = int_stack + 90264;
 Libint->vrr_classes[10][10] = int_stack + 97744;
 Libint->vrr_classes[10][11] = int_stack + 102100;
 Libint->vrr_classes[10][12] = int_stack + 107248;
 Libint->vrr_classes[10][13] = int_stack + 113254;
 Libint->vrr_classes[10][14] = int_stack + 120184;
 Libint->vrr_classes[10][15] = int_stack + 128104;
 Libint->vrr_classes[11][10] = int_stack + 137080;
 Libint->vrr_classes[11][11] = int_stack + 142228;
 Libint->vrr_classes[11][12] = int_stack + 148312;
 Libint->vrr_classes[11][13] = int_stack + 155410;
 Libint->vrr_classes[11][14] = int_stack + 163600;
 Libint->vrr_classes[11][15] = int_stack + 172960;
 Libint->vrr_classes[12][10] = int_stack + 183568;
 Libint->vrr_classes[12][11] = int_stack + 189574;
 Libint->vrr_classes[12][12] = int_stack + 196672;
 Libint->vrr_classes[12][13] = int_stack + 204953;
 Libint->vrr_classes[12][14] = int_stack + 214508;
 Libint->vrr_classes[12][15] = int_stack + 225428;
 memset(int_stack,0,237804*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 237804;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_iinh(Libint, Data);
   Data++;
 }
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+237804,int_stack+1848,int_stack+0,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+243348,int_stack+4032,int_stack+1848,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+249900,int_stack+243348,int_stack+237804,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+260988,int_stack+6580,int_stack+4032,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+268632,int_stack+260988,int_stack+243348,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+281736,int_stack+268632,int_stack+249900,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+237804,int_stack+9520,int_stack+6580,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+300216,int_stack+237804,int_stack+260988,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+246624,int_stack+300216,int_stack+268632,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+315504,int_stack+246624,int_stack+281736,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+268464,int_stack+12880,int_stack+9520,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+278544,int_stack+268464,int_stack+237804,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+343224,int_stack+278544,int_stack+300216,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+268464,int_stack+343224,int_stack+246624,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+343224,int_stack+268464,int_stack+315504,28);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+237804,int_stack+19064,int_stack+16688,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+244932,int_stack+21872,int_stack+19064,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+253356,int_stack+244932,int_stack+237804,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+267612,int_stack+25148,int_stack+21872,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+277440,int_stack+267612,int_stack+244932,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+294288,int_stack+277440,int_stack+253356,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+237804,int_stack+28928,int_stack+25148,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+318048,int_stack+237804,int_stack+267612,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+249144,int_stack+318048,int_stack+277440,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+382032,int_stack+249144,int_stack+294288,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+277224,int_stack+33248,int_stack+28928,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+290184,int_stack+277224,int_stack+237804,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+290184,int_stack+318048,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+277224,int_stack+0,int_stack+249144,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+417672,int_stack+277224,int_stack+382032,36);
 /*--- compute (ip|nh) ---*/
 hrr1_build_ip(Libint->AB,int_stack+467568,int_stack+417672,int_stack+343224,1386);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+41114,int_stack+38144,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+8910,int_stack+44624,int_stack+41114,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+19440,int_stack+8910,int_stack+0,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+237804,int_stack+48719,int_stack+44624,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+250089,int_stack+237804,int_stack+8910,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+271149,int_stack+250089,int_stack+19440,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+53444,int_stack+48719,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+14175,int_stack+0,int_stack+237804,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+300849,int_stack+14175,int_stack+250089,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+335949,int_stack+300849,int_stack+271149,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+237804,int_stack+58844,int_stack+53444,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+254004,int_stack+237804,int_stack+0,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+583992,int_stack+254004,int_stack+14175,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+583992,int_stack+300849,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+237804,int_stack+0,int_stack+335949,45);
 /*--- compute (kp|nh) ---*/
 hrr1_build_kp(Libint->AB,int_stack+583992,int_stack+237804,int_stack+417672,1386);
 /*--- compute (id|nh) ---*/
 hrr1_build_id(Libint->AB,int_stack+733680,int_stack+583992,int_stack+467568,1386);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+68594,int_stack+64964,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+10890,int_stack+72884,int_stack+68594,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+23760,int_stack+10890,int_stack+0,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+45540,int_stack+77889,int_stack+72884,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+300174,int_stack+45540,int_stack+10890,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+325914,int_stack+300174,int_stack+23760,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+83664,int_stack+77889,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+362214,int_stack+0,int_stack+45540,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+17325,int_stack+362214,int_stack+300174,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+392244,int_stack+17325,int_stack+325914,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+300174,int_stack+90264,int_stack+83664,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+319974,int_stack+300174,int_stack+0,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+446694,int_stack+319974,int_stack+362214,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+300174,int_stack+446694,int_stack+17325,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+446694,int_stack+300174,int_stack+392244,55);
 /*--- compute (lp|nh) ---*/
 hrr1_build_lp(Libint->AB,int_stack+966528,int_stack+446694,int_stack+237804,1386);
 /*--- compute (kd|nh) ---*/
 hrr1_build_kd(Libint->AB,int_stack+1153638,int_stack+966528,int_stack+583992,1386);
 /*--- compute (if|nh) ---*/
 hrr1_build_if(Libint->AB,int_stack+1453014,int_stack+1153638,int_stack+733680,1386);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+237804,int_stack+102100,int_stack+97744,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+250872,int_stack+107248,int_stack+102100,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+266316,int_stack+250872,int_stack+237804,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+292452,int_stack+113254,int_stack+107248,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+310470,int_stack+292452,int_stack+250872,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+341358,int_stack+310470,int_stack+266316,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+237804,int_stack+120184,int_stack+113254,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+384918,int_stack+237804,int_stack+292452,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+258594,int_stack+384918,int_stack+310470,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+522924,int_stack+258594,int_stack+341358,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+310074,int_stack+128104,int_stack+120184,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+333834,int_stack+310074,int_stack+237804,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+588264,int_stack+333834,int_stack+384918,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+310074,int_stack+588264,int_stack+258594,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+588264,int_stack+310074,int_stack+522924,66);
 /*--- compute (mp|nh) ---*/
 hrr1_build_mp(Libint->AB,int_stack+679740,int_stack+588264,int_stack+446694,1386);
 /*--- compute (ld|nh) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1841094,int_stack+679740,int_stack+966528,1386);
 /*--- compute (kf|nh) ---*/
 hrr1_build_kf(Libint->AB,int_stack+2215314,int_stack+1841094,int_stack+1153638,1386);
 /*--- compute (ig|nh) ---*/
 hrr1_build_ig(Libint->AB,int_stack+2714274,int_stack+2215314,int_stack+1453014,1386);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+908430,int_stack+142228,int_stack+137080,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+923874,int_stack+148312,int_stack+142228,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+942126,int_stack+923874,int_stack+908430,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+973014,int_stack+155410,int_stack+148312,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+994308,int_stack+973014,int_stack+923874,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1030812,int_stack+994308,int_stack+942126,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+908430,int_stack+163600,int_stack+155410,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1082292,int_stack+908430,int_stack+973014,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+933000,int_stack+1082292,int_stack+994308,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1124880,int_stack+933000,int_stack+1030812,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+993840,int_stack+172960,int_stack+163600,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1021920,int_stack+993840,int_stack+908430,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1202100,int_stack+1021920,int_stack+1082292,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+993840,int_stack+1202100,int_stack+933000,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1202100,int_stack+993840,int_stack+1124880,78);
 /*--- compute (np|nh) ---*/
 hrr1_build_np(Libint->AB,int_stack+1310208,int_stack+1202100,int_stack+588264,1386);
 /*--- compute (md|nh) ---*/
 hrr1_build_md(Libint->AB,int_stack+3296394,int_stack+1310208,int_stack+679740,1386);
 /*--- compute (lf|nh) ---*/
 hrr1_build_lf(Libint->AB,int_stack+237804,int_stack+3296394,int_stack+1841094,1386);
 /*--- compute (kg|nh) ---*/
 hrr1_build_kg(Libint->AB,int_stack+3753774,int_stack+237804,int_stack+2215314,1386);
 /*--- compute (ih|nh) ---*/
 hrr1_build_ih(Libint->AB,int_stack+1584636,int_stack+3753774,int_stack+2714274,1386);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+2399604,int_stack+189574,int_stack+183568,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+2417622,int_stack+196672,int_stack+189574,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+2438916,int_stack+2417622,int_stack+2399604,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+2474952,int_stack+204953,int_stack+196672,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+2499795,int_stack+2474952,int_stack+2417622,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+2542383,int_stack+2499795,int_stack+2438916,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+2399604,int_stack+214508,int_stack+204953,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+2602443,int_stack+2399604,int_stack+2474952,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+2428269,int_stack+2602443,int_stack+2499795,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+2652129,int_stack+2428269,int_stack+2542383,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+2499249,int_stack+225428,int_stack+214508,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+2532009,int_stack+2499249,int_stack+2399604,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+2742219,int_stack+2532009,int_stack+2602443,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+2499249,int_stack+2742219,int_stack+2428269,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+2742219,int_stack+2499249,int_stack+2652129,91);
 /*--- compute (op|nh) ---*/
 hrr1_build_op(Libint->AB,int_stack+2868345,int_stack+2742219,int_stack+1202100,1386);
 /*--- compute (nd|nh) ---*/
 hrr1_build_nd(Libint->AB,int_stack+4502214,int_stack+2868345,int_stack+1310208,1386);
 /*--- compute (mf|nh) ---*/
 hrr1_build_mf(Libint->AB,int_stack+2399604,int_stack+4502214,int_stack+3296394,1386);
 /*--- compute (lg|nh) ---*/
 hrr1_build_lg(Libint->AB,int_stack+4502214,int_stack+2399604,int_stack+237804,1386);
 /*--- compute (kh|nh) ---*/
 hrr1_build_kh(Libint->AB,int_stack+2399604,int_stack+4502214,int_stack+3753774,1386);
 /*--- compute (ii|nh) ---*/
 hrr1_build_ii(Libint->AB,int_stack+3447420,int_stack+2399604,int_stack+1584636,1386);
 return int_stack+3447420;}
