#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ipng(Libint_t*, prim_data*);

  /* Computes quartets of (ip|ng) integrals */

REALTYPE *hrr_order_ipng(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][10] = int_stack + 0;
 Libint->vrr_classes[6][11] = int_stack + 1848;
 Libint->vrr_classes[6][12] = int_stack + 4032;
 Libint->vrr_classes[6][13] = int_stack + 6580;
 Libint->vrr_classes[6][14] = int_stack + 9520;
 Libint->vrr_classes[7][10] = int_stack + 12880;
 Libint->vrr_classes[7][11] = int_stack + 15256;
 Libint->vrr_classes[7][12] = int_stack + 18064;
 Libint->vrr_classes[7][13] = int_stack + 21340;
 Libint->vrr_classes[7][14] = int_stack + 25120;
 memset(int_stack,0,29440*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 29440;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ipng(Libint, Data);
   Data++;
 }
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+29440,int_stack+1848,int_stack+0,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+34984,int_stack+4032,int_stack+1848,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+41536,int_stack+34984,int_stack+29440,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+52624,int_stack+6580,int_stack+4032,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+60268,int_stack+52624,int_stack+34984,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+73372,int_stack+60268,int_stack+41536,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+29440,int_stack+9520,int_stack+6580,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+91852,int_stack+29440,int_stack+52624,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+29440,int_stack+91852,int_stack+60268,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+91852,int_stack+29440,int_stack+73372,28);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+29440,int_stack+15256,int_stack+12880,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+36568,int_stack+18064,int_stack+15256,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+44992,int_stack+36568,int_stack+29440,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+59248,int_stack+21340,int_stack+18064,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+69076,int_stack+59248,int_stack+36568,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+119572,int_stack+69076,int_stack+44992,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+29440,int_stack+25120,int_stack+21340,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+0,int_stack+29440,int_stack+59248,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+19656,int_stack+0,int_stack+69076,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+47736,int_stack+19656,int_stack+119572,36);
 /*--- compute (ip|ng) ---*/
 hrr1_build_ip(Libint->AB,int_stack+119572,int_stack+47736,int_stack+91852,990);
 return int_stack+119572;}
