#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_k0kh(Libint_t*, prim_data*);

  /* Computes quartets of (k0|kh) integrals */

REALTYPE *hrr_order_k0kh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][7] = int_stack + 0;
 Libint->vrr_classes[7][8] = int_stack + 1296;
 Libint->vrr_classes[7][9] = int_stack + 2916;
 Libint->vrr_classes[7][10] = int_stack + 4896;
 Libint->vrr_classes[7][11] = int_stack + 7272;
 Libint->vrr_classes[7][12] = int_stack + 10080;
 memset(int_stack,0,13356*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 13356;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_k0kh(Libint, Data);
   Data++;
 }
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+13356,int_stack+1296,int_stack+0,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+17244,int_stack+2916,int_stack+1296,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+22104,int_stack+17244,int_stack+13356,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+29880,int_stack+4896,int_stack+2916,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+35820,int_stack+29880,int_stack+17244,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+45540,int_stack+35820,int_stack+22104,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+13356,int_stack+7272,int_stack+4896,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+58500,int_stack+13356,int_stack+29880,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+70380,int_stack+58500,int_stack+35820,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+20484,int_stack+70380,int_stack+45540,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+39924,int_stack+10080,int_stack+7272,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+86580,int_stack+39924,int_stack+13356,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+86580,int_stack+58500,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+39924,int_stack+0,int_stack+70380,36);
 /*--- compute (k0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+64224,int_stack+39924,int_stack+20484,36);
 return int_stack+64224;}
