#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_k0nf(Libint_t*, prim_data*);

  /* Computes quartets of (k0|nf) integrals */

REALTYPE *hrr_order_k0nf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][10] = int_stack + 0;
 Libint->vrr_classes[7][11] = int_stack + 2376;
 Libint->vrr_classes[7][12] = int_stack + 5184;
 Libint->vrr_classes[7][13] = int_stack + 8460;
 memset(int_stack,0,12240*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 12240;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_k0nf(Libint, Data);
   Data++;
 }
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+12240,int_stack+2376,int_stack+0,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+19368,int_stack+5184,int_stack+2376,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+27792,int_stack+19368,int_stack+12240,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+42048,int_stack+8460,int_stack+5184,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+42048,int_stack+19368,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+42048,int_stack+0,int_stack+27792,36);
 return int_stack+42048;}
