#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_khnh(Libint_t*, prim_data*);

  /* Computes quartets of (kh|nh) integrals */

REALTYPE *hrr_order_khnh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][10] = int_stack + 0;
 Libint->vrr_classes[7][11] = int_stack + 2376;
 Libint->vrr_classes[7][12] = int_stack + 5184;
 Libint->vrr_classes[7][13] = int_stack + 8460;
 Libint->vrr_classes[7][14] = int_stack + 12240;
 Libint->vrr_classes[7][15] = int_stack + 16560;
 Libint->vrr_classes[8][10] = int_stack + 21456;
 Libint->vrr_classes[8][11] = int_stack + 24426;
 Libint->vrr_classes[8][12] = int_stack + 27936;
 Libint->vrr_classes[8][13] = int_stack + 32031;
 Libint->vrr_classes[8][14] = int_stack + 36756;
 Libint->vrr_classes[8][15] = int_stack + 42156;
 Libint->vrr_classes[9][10] = int_stack + 48276;
 Libint->vrr_classes[9][11] = int_stack + 51906;
 Libint->vrr_classes[9][12] = int_stack + 56196;
 Libint->vrr_classes[9][13] = int_stack + 61201;
 Libint->vrr_classes[9][14] = int_stack + 66976;
 Libint->vrr_classes[9][15] = int_stack + 73576;
 Libint->vrr_classes[10][10] = int_stack + 81056;
 Libint->vrr_classes[10][11] = int_stack + 85412;
 Libint->vrr_classes[10][12] = int_stack + 90560;
 Libint->vrr_classes[10][13] = int_stack + 96566;
 Libint->vrr_classes[10][14] = int_stack + 103496;
 Libint->vrr_classes[10][15] = int_stack + 111416;
 Libint->vrr_classes[11][10] = int_stack + 120392;
 Libint->vrr_classes[11][11] = int_stack + 125540;
 Libint->vrr_classes[11][12] = int_stack + 131624;
 Libint->vrr_classes[11][13] = int_stack + 138722;
 Libint->vrr_classes[11][14] = int_stack + 146912;
 Libint->vrr_classes[11][15] = int_stack + 156272;
 Libint->vrr_classes[12][10] = int_stack + 166880;
 Libint->vrr_classes[12][11] = int_stack + 172886;
 Libint->vrr_classes[12][12] = int_stack + 179984;
 Libint->vrr_classes[12][13] = int_stack + 188265;
 Libint->vrr_classes[12][14] = int_stack + 197820;
 Libint->vrr_classes[12][15] = int_stack + 208740;
 memset(int_stack,0,221116*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 221116;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_khnh(Libint, Data);
   Data++;
 }
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+221116,int_stack+2376,int_stack+0,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+228244,int_stack+5184,int_stack+2376,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+236668,int_stack+228244,int_stack+221116,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+250924,int_stack+8460,int_stack+5184,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+260752,int_stack+250924,int_stack+228244,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+277600,int_stack+260752,int_stack+236668,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+221116,int_stack+12240,int_stack+8460,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+301360,int_stack+221116,int_stack+250924,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+232456,int_stack+301360,int_stack+260752,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+321016,int_stack+232456,int_stack+277600,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+260536,int_stack+16560,int_stack+12240,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+273496,int_stack+260536,int_stack+221116,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+356656,int_stack+273496,int_stack+301360,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+260536,int_stack+356656,int_stack+232456,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+356656,int_stack+260536,int_stack+321016,36);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+221116,int_stack+24426,int_stack+21456,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+230026,int_stack+27936,int_stack+24426,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+240556,int_stack+230026,int_stack+221116,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+258376,int_stack+32031,int_stack+27936,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+270661,int_stack+258376,int_stack+230026,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+291721,int_stack+270661,int_stack+240556,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+221116,int_stack+36756,int_stack+32031,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+321421,int_stack+221116,int_stack+258376,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+235291,int_stack+321421,int_stack+270661,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+406552,int_stack+235291,int_stack+291721,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+270391,int_stack+42156,int_stack+36756,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+286591,int_stack+270391,int_stack+221116,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+286591,int_stack+321421,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+270391,int_stack+0,int_stack+235291,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+451102,int_stack+270391,int_stack+406552,45);
 /*--- compute (kp|nh) ---*/
 hrr1_build_kp(Libint->AB,int_stack+513472,int_stack+451102,int_stack+356656,1386);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+51906,int_stack+48276,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+10890,int_stack+56196,int_stack+51906,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+23760,int_stack+10890,int_stack+0,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+221116,int_stack+61201,int_stack+56196,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+236131,int_stack+221116,int_stack+10890,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+261871,int_stack+236131,int_stack+23760,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+66976,int_stack+61201,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+17325,int_stack+0,int_stack+221116,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+298171,int_stack+17325,int_stack+236131,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+341071,int_stack+298171,int_stack+261871,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+221116,int_stack+73576,int_stack+66976,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+240916,int_stack+221116,int_stack+0,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+395521,int_stack+240916,int_stack+17325,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+395521,int_stack+298171,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+221116,int_stack+0,int_stack+341071,55);
 /*--- compute (lp|nh) ---*/
 hrr1_build_lp(Libint->AB,int_stack+663160,int_stack+221116,int_stack+451102,1386);
 /*--- compute (kd|nh) ---*/
 hrr1_build_kd(Libint->AB,int_stack+850270,int_stack+663160,int_stack+513472,1386);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+85412,int_stack+81056,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+13068,int_stack+90560,int_stack+85412,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+28512,int_stack+13068,int_stack+0,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+54648,int_stack+96566,int_stack+90560,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+297346,int_stack+54648,int_stack+13068,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+328234,int_stack+297346,int_stack+28512,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+103496,int_stack+96566,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+371794,int_stack+0,int_stack+54648,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+20790,int_stack+371794,int_stack+297346,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+407830,int_stack+20790,int_stack+328234,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+297346,int_stack+111416,int_stack+103496,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+321106,int_stack+297346,int_stack+0,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+473170,int_stack+321106,int_stack+371794,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+297346,int_stack+473170,int_stack+20790,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+473170,int_stack+297346,int_stack+407830,66);
 /*--- compute (mp|nh) ---*/
 hrr1_build_mp(Libint->AB,int_stack+1149646,int_stack+473170,int_stack+221116,1386);
 /*--- compute (ld|nh) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1378336,int_stack+1149646,int_stack+663160,1386);
 /*--- compute (kf|nh) ---*/
 hrr1_build_kf(Libint->AB,int_stack+1752556,int_stack+1378336,int_stack+850270,1386);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+221116,int_stack+125540,int_stack+120392,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+236560,int_stack+131624,int_stack+125540,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+254812,int_stack+236560,int_stack+221116,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+285700,int_stack+138722,int_stack+131624,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+306994,int_stack+285700,int_stack+236560,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+343498,int_stack+306994,int_stack+254812,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+221116,int_stack+146912,int_stack+138722,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+394978,int_stack+221116,int_stack+285700,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+245686,int_stack+394978,int_stack+306994,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+564646,int_stack+245686,int_stack+343498,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+306526,int_stack+156272,int_stack+146912,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+334606,int_stack+306526,int_stack+221116,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+641866,int_stack+334606,int_stack+394978,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+306526,int_stack+641866,int_stack+245686,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+641866,int_stack+306526,int_stack+564646,78);
 /*--- compute (np|nh) ---*/
 hrr1_build_np(Libint->AB,int_stack+749974,int_stack+641866,int_stack+473170,1386);
 /*--- compute (md|nh) ---*/
 hrr1_build_md(Libint->AB,int_stack+2251516,int_stack+749974,int_stack+1149646,1386);
 /*--- compute (lf|nh) ---*/
 hrr1_build_lf(Libint->AB,int_stack+2708896,int_stack+2251516,int_stack+1378336,1386);
 /*--- compute (kg|nh) ---*/
 hrr1_build_kg(Libint->AB,int_stack+3332596,int_stack+2708896,int_stack+1752556,1386);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1024402,int_stack+172886,int_stack+166880,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1042420,int_stack+179984,int_stack+172886,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1063714,int_stack+1042420,int_stack+1024402,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1099750,int_stack+188265,int_stack+179984,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1124593,int_stack+1099750,int_stack+1042420,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1167181,int_stack+1124593,int_stack+1063714,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1024402,int_stack+197820,int_stack+188265,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1227241,int_stack+1024402,int_stack+1099750,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1053067,int_stack+1227241,int_stack+1124593,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1276927,int_stack+1053067,int_stack+1167181,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1124047,int_stack+208740,int_stack+197820,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1156807,int_stack+1124047,int_stack+1024402,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1367017,int_stack+1156807,int_stack+1227241,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1124047,int_stack+1367017,int_stack+1053067,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1367017,int_stack+1124047,int_stack+1276927,91);
 /*--- compute (op|nh) ---*/
 hrr1_build_op(Libint->AB,int_stack+1493143,int_stack+1367017,int_stack+641866,1386);
 /*--- compute (nd|nh) ---*/
 hrr1_build_nd(Libint->AB,int_stack+0,int_stack+1493143,int_stack+749974,1386);
 /*--- compute (mf|nh) ---*/
 hrr1_build_mf(Libint->AB,int_stack+548856,int_stack+0,int_stack+2251516,1386);
 /*--- compute (lg|nh) ---*/
 hrr1_build_lg(Libint->AB,int_stack+1311156,int_stack+548856,int_stack+2708896,1386);
 /*--- compute (kh|nh) ---*/
 hrr1_build_kh(Libint->AB,int_stack+0,int_stack+1311156,int_stack+3332596,1386);
 return int_stack+0;}
