#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kili(Libint_t*, prim_data*);

  /* Computes quartets of (ki|li) integrals */

REALTYPE *hrr_order_kili(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][8] = int_stack + 0;
 Libint->vrr_classes[7][9] = int_stack + 1620;
 Libint->vrr_classes[7][10] = int_stack + 3600;
 Libint->vrr_classes[7][11] = int_stack + 5976;
 Libint->vrr_classes[7][12] = int_stack + 8784;
 Libint->vrr_classes[7][13] = int_stack + 12060;
 Libint->vrr_classes[7][14] = int_stack + 15840;
 Libint->vrr_classes[8][8] = int_stack + 20160;
 Libint->vrr_classes[8][9] = int_stack + 22185;
 Libint->vrr_classes[8][10] = int_stack + 24660;
 Libint->vrr_classes[8][11] = int_stack + 27630;
 Libint->vrr_classes[8][12] = int_stack + 31140;
 Libint->vrr_classes[8][13] = int_stack + 35235;
 Libint->vrr_classes[8][14] = int_stack + 39960;
 Libint->vrr_classes[9][8] = int_stack + 45360;
 Libint->vrr_classes[9][9] = int_stack + 47835;
 Libint->vrr_classes[9][10] = int_stack + 50860;
 Libint->vrr_classes[9][11] = int_stack + 54490;
 Libint->vrr_classes[9][12] = int_stack + 58780;
 Libint->vrr_classes[9][13] = int_stack + 63785;
 Libint->vrr_classes[9][14] = int_stack + 69560;
 Libint->vrr_classes[10][8] = int_stack + 76160;
 Libint->vrr_classes[10][9] = int_stack + 79130;
 Libint->vrr_classes[10][10] = int_stack + 82760;
 Libint->vrr_classes[10][11] = int_stack + 87116;
 Libint->vrr_classes[10][12] = int_stack + 92264;
 Libint->vrr_classes[10][13] = int_stack + 98270;
 Libint->vrr_classes[10][14] = int_stack + 105200;
 Libint->vrr_classes[11][8] = int_stack + 113120;
 Libint->vrr_classes[11][9] = int_stack + 116630;
 Libint->vrr_classes[11][10] = int_stack + 120920;
 Libint->vrr_classes[11][11] = int_stack + 126068;
 Libint->vrr_classes[11][12] = int_stack + 132152;
 Libint->vrr_classes[11][13] = int_stack + 139250;
 Libint->vrr_classes[11][14] = int_stack + 147440;
 Libint->vrr_classes[12][8] = int_stack + 156800;
 Libint->vrr_classes[12][9] = int_stack + 160895;
 Libint->vrr_classes[12][10] = int_stack + 165900;
 Libint->vrr_classes[12][11] = int_stack + 171906;
 Libint->vrr_classes[12][12] = int_stack + 179004;
 Libint->vrr_classes[12][13] = int_stack + 187285;
 Libint->vrr_classes[12][14] = int_stack + 196840;
 Libint->vrr_classes[13][8] = int_stack + 207760;
 Libint->vrr_classes[13][9] = int_stack + 212485;
 Libint->vrr_classes[13][10] = int_stack + 218260;
 Libint->vrr_classes[13][11] = int_stack + 225190;
 Libint->vrr_classes[13][12] = int_stack + 233380;
 Libint->vrr_classes[13][13] = int_stack + 242935;
 Libint->vrr_classes[13][14] = int_stack + 253960;
 memset(int_stack,0,266560*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 266560;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kili(Libint, Data);
   Data++;
 }
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+266560,int_stack+1620,int_stack+0,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+271420,int_stack+3600,int_stack+1620,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+277360,int_stack+271420,int_stack+266560,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+287080,int_stack+5976,int_stack+3600,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+294208,int_stack+287080,int_stack+271420,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+306088,int_stack+294208,int_stack+277360,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+266560,int_stack+8784,int_stack+5976,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+322288,int_stack+266560,int_stack+287080,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+336544,int_stack+322288,int_stack+294208,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+274984,int_stack+336544,int_stack+306088,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+299284,int_stack+12060,int_stack+8784,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+356344,int_stack+299284,int_stack+266560,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+373192,int_stack+356344,int_stack+322288,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+396952,int_stack+373192,int_stack+336544,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+309112,int_stack+396952,int_stack+274984,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+266560,int_stack+15840,int_stack+12060,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+277900,int_stack+266560,int_stack+299284,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+426652,int_stack+277900,int_stack+356344,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+266560,int_stack+426652,int_stack+373192,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+343132,int_stack+266560,int_stack+396952,36);
 /*--- compute (k0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+384712,int_stack+343132,int_stack+309112,36);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+266560,int_stack+22185,int_stack+20160,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+272635,int_stack+24660,int_stack+22185,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+280060,int_stack+272635,int_stack+266560,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+292210,int_stack+27630,int_stack+24660,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+301120,int_stack+292210,int_stack+272635,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+315970,int_stack+301120,int_stack+280060,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+266560,int_stack+31140,int_stack+27630,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+336220,int_stack+266560,int_stack+292210,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+354040,int_stack+336220,int_stack+301120,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+277090,int_stack+354040,int_stack+315970,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+307465,int_stack+35235,int_stack+31140,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+430072,int_stack+307465,int_stack+266560,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+430072,int_stack+336220,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+451132,int_stack+0,int_stack+354040,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+319750,int_stack+451132,int_stack+277090,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+266560,int_stack+39960,int_stack+35235,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+280735,int_stack+266560,int_stack+307465,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+488257,int_stack+280735,int_stack+430072,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+266560,int_stack+488257,int_stack+0,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+488257,int_stack+266560,int_stack+451132,45);
 /*--- compute (l0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+430072,int_stack+488257,int_stack+319750,45);
 /*--- compute (kp|li) ---*/
 hrr1_build_kp(Libint->AB,int_stack+486772,int_stack+430072,int_stack+384712,1260);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+266560,int_stack+47835,int_stack+45360,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+273985,int_stack+50860,int_stack+47835,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+283060,int_stack+273985,int_stack+266560,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+297910,int_stack+54490,int_stack+50860,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+308800,int_stack+297910,int_stack+273985,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+326950,int_stack+308800,int_stack+283060,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+266560,int_stack+58780,int_stack+54490,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+351700,int_stack+266560,int_stack+297910,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+373480,int_stack+351700,int_stack+308800,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+279430,int_stack+373480,int_stack+326950,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+316555,int_stack+63785,int_stack+58780,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+403730,int_stack+316555,int_stack+266560,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+403730,int_stack+351700,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+622852,int_stack+0,int_stack+373480,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+331570,int_stack+622852,int_stack+279430,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+266560,int_stack+69560,int_stack+63785,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+283885,int_stack+266560,int_stack+316555,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+668227,int_stack+283885,int_stack+403730,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+266560,int_stack+668227,int_stack+0,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+0,int_stack+266560,int_stack+622852,55);
 /*--- compute (m0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+622852,int_stack+0,int_stack+331570,55);
 /*--- compute (lp|li) ---*/
 hrr1_build_lp(Libint->AB,int_stack+692152,int_stack+622852,int_stack+430072,1260);
 /*--- compute (kd|li) ---*/
 hrr1_build_kd(Libint->AB,int_stack+862252,int_stack+692152,int_stack+486772,1260);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+79130,int_stack+76160,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+8910,int_stack+82760,int_stack+79130,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+19800,int_stack+8910,int_stack+0,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+37620,int_stack+87116,int_stack+82760,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+50688,int_stack+37620,int_stack+8910,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+266560,int_stack+50688,int_stack+19800,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+92264,int_stack+87116,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+296260,int_stack+0,int_stack+37620,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+322396,int_stack+296260,int_stack+50688,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+15444,int_stack+322396,int_stack+266560,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+266560,int_stack+98270,int_stack+92264,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+59994,int_stack+266560,int_stack+0,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+358696,int_stack+59994,int_stack+296260,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+402256,int_stack+358696,int_stack+322396,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+284578,int_stack+402256,int_stack+15444,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+105200,int_stack+98270,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+20790,int_stack+0,int_stack+266560,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+456706,int_stack+20790,int_stack+59994,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+456706,int_stack+358696,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+456706,int_stack+0,int_stack+402256,66);
 /*--- compute (n0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+0,int_stack+456706,int_stack+284578,66);
 /*--- compute (mp|li) ---*/
 hrr1_build_mp(Libint->AB,int_stack+266560,int_stack+0,int_stack+622852,1260);
 /*--- compute (ld|li) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1134412,int_stack+266560,int_stack+692152,1260);
 /*--- compute (kf|li) ---*/
 hrr1_build_kf(Libint->AB,int_stack+1474612,int_stack+1134412,int_stack+862252,1260);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+83160,int_stack+116630,int_stack+113120,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+93690,int_stack+120920,int_stack+116630,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+474460,int_stack+93690,int_stack+83160,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+495520,int_stack+126068,int_stack+120920,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+510964,int_stack+495520,int_stack+93690,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+83160,int_stack+510964,int_stack+474460,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+474460,int_stack+132152,int_stack+126068,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+536704,int_stack+474460,int_stack+495520,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+567592,int_stack+536704,int_stack+510964,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+610492,int_stack+567592,int_stack+83160,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+83160,int_stack+139250,int_stack+132152,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+492712,int_stack+83160,int_stack+474460,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+663142,int_stack+492712,int_stack+536704,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+714622,int_stack+663142,int_stack+567592,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+529216,int_stack+714622,int_stack+610492,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+104454,int_stack+147440,int_stack+139250,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+602926,int_stack+104454,int_stack+83160,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+83160,int_stack+602926,int_stack+492712,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+778972,int_stack+83160,int_stack+663142,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+602926,int_stack+778972,int_stack+714622,78);
 /*--- compute (o0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+693016,int_stack+602926,int_stack+529216,78);
 /*--- compute (np|li) ---*/
 hrr1_build_np(Libint->AB,int_stack+791296,int_stack+693016,int_stack+0,1260);
 /*--- compute (md|li) ---*/
 hrr1_build_md(Libint->AB,int_stack+1928212,int_stack+791296,int_stack+266560,1260);
 /*--- compute (lf|li) ---*/
 hrr1_build_lf(Libint->AB,int_stack+2344012,int_stack+1928212,int_stack+1134412,1260);
 /*--- compute (kg|li) ---*/
 hrr1_build_kg(Libint->AB,int_stack+2911012,int_stack+2344012,int_stack+1474612,1260);
 /*--- compute (q0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+266560,int_stack+160895,int_stack+156800,91);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+278845,int_stack+165900,int_stack+160895,91);
 /*--- compute (q0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+293860,int_stack+278845,int_stack+266560,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+318430,int_stack+171906,int_stack+165900,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+336448,int_stack+318430,int_stack+278845,91);
 /*--- compute (q0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+366478,int_stack+336448,int_stack+293860,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+266560,int_stack+179004,int_stack+171906,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+407428,int_stack+266560,int_stack+318430,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+443464,int_stack+407428,int_stack+336448,91);
 /*--- compute (q0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+287854,int_stack+443464,int_stack+366478,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+349279,int_stack+187285,int_stack+179004,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+493514,int_stack+349279,int_stack+266560,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+536102,int_stack+493514,int_stack+407428,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+596162,int_stack+536102,int_stack+443464,91);
 /*--- compute (q0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+374122,int_stack+596162,int_stack+287854,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+266560,int_stack+196840,int_stack+187285,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+295225,int_stack+266560,int_stack+349279,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+295225,int_stack+493514,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+266560,int_stack+0,int_stack+536102,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+0,int_stack+266560,int_stack+596162,91);
 /*--- compute (q0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+460117,int_stack+0,int_stack+374122,91);
 /*--- compute (op|li) ---*/
 hrr1_build_op(Libint->AB,int_stack+1040776,int_stack+460117,int_stack+693016,1260);
 /*--- compute (nd|li) ---*/
 hrr1_build_nd(Libint->AB,int_stack+1335616,int_stack+1040776,int_stack+791296,1260);
 /*--- compute (mf|li) ---*/
 hrr1_build_mf(Libint->AB,int_stack+3591412,int_stack+1335616,int_stack+1928212,1260);
 /*--- compute (lg|li) ---*/
 hrr1_build_lg(Libint->AB,int_stack+4284412,int_stack+3591412,int_stack+2344012,1260);
 /*--- compute (kh|li) ---*/
 hrr1_build_kh(Libint->AB,int_stack+1834576,int_stack+4284412,int_stack+2911012,1260);
 /*--- compute (r0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+212485,int_stack+207760,105);
 /*--- compute (r0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+14175,int_stack+218260,int_stack+212485,105);
 /*--- compute (r0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+31500,int_stack+14175,int_stack+0,105);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+59850,int_stack+225190,int_stack+218260,105);
 /*--- compute (r0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+80640,int_stack+59850,int_stack+14175,105);
 /*--- compute (r0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+115290,int_stack+80640,int_stack+31500,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+233380,int_stack+225190,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+162540,int_stack+0,int_stack+59850,105);
 /*--- compute (r0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+266560,int_stack+162540,int_stack+80640,105);
 /*--- compute (r0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+24570,int_stack+266560,int_stack+115290,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+95445,int_stack+242935,int_stack+233380,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+324310,int_stack+95445,int_stack+0,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+373450,int_stack+324310,int_stack+162540,105);
 /*--- compute (r0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+124110,int_stack+373450,int_stack+266560,105);
 /*--- compute (r0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+574777,int_stack+124110,int_stack+24570,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+266560,int_stack+253960,int_stack+242935,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+0,int_stack+266560,int_stack+95445,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+210735,int_stack+0,int_stack+324310,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+210735,int_stack+373450,105);
 /*--- compute (r0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+210735,int_stack+0,int_stack+124110,105);
 /*--- compute (r0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+0,int_stack+210735,int_stack+574777,105);
 /*--- compute (qp|li) ---*/
 hrr1_build_qp(Libint->AB,int_stack+574777,int_stack+0,int_stack+460117,1260);
 /*--- compute (od|li) ---*/
 hrr1_build_od(Libint->AB,int_stack+2787136,int_stack+574777,int_stack+1040776,1260);
 /*--- compute (nf|li) ---*/
 hrr1_build_nf(Libint->AB,int_stack+0,int_stack+2787136,int_stack+1335616,1260);
 /*--- compute (mg|li) ---*/
 hrr1_build_mg(Libint->AB,int_stack+5134912,int_stack+0,int_stack+3591412,1260);
 /*--- compute (lh|li) ---*/
 hrr1_build_lh(Libint->AB,int_stack+0,int_stack+5134912,int_stack+4284412,1260);
 /*--- compute (ki|li) ---*/
 hrr1_build_ki(Libint->AB,int_stack+2787136,int_stack+0,int_stack+1834576,1260);
 return int_stack+2787136;}
