#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kill(Libint_t*, prim_data*);

  /* Computes quartets of (ki|ll) integrals */

REALTYPE *hrr_order_kill(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][8] = int_stack + 0;
 Libint->vrr_classes[7][9] = int_stack + 1620;
 Libint->vrr_classes[7][10] = int_stack + 3600;
 Libint->vrr_classes[7][11] = int_stack + 5976;
 Libint->vrr_classes[7][12] = int_stack + 8784;
 Libint->vrr_classes[7][13] = int_stack + 12060;
 Libint->vrr_classes[7][14] = int_stack + 15840;
 Libint->vrr_classes[7][15] = int_stack + 20160;
 Libint->vrr_classes[7][16] = int_stack + 25056;
 Libint->vrr_classes[8][8] = int_stack + 30564;
 Libint->vrr_classes[8][9] = int_stack + 32589;
 Libint->vrr_classes[8][10] = int_stack + 35064;
 Libint->vrr_classes[8][11] = int_stack + 38034;
 Libint->vrr_classes[8][12] = int_stack + 41544;
 Libint->vrr_classes[8][13] = int_stack + 45639;
 Libint->vrr_classes[8][14] = int_stack + 50364;
 Libint->vrr_classes[8][15] = int_stack + 55764;
 Libint->vrr_classes[8][16] = int_stack + 61884;
 Libint->vrr_classes[9][8] = int_stack + 68769;
 Libint->vrr_classes[9][9] = int_stack + 71244;
 Libint->vrr_classes[9][10] = int_stack + 74269;
 Libint->vrr_classes[9][11] = int_stack + 77899;
 Libint->vrr_classes[9][12] = int_stack + 82189;
 Libint->vrr_classes[9][13] = int_stack + 87194;
 Libint->vrr_classes[9][14] = int_stack + 92969;
 Libint->vrr_classes[9][15] = int_stack + 99569;
 Libint->vrr_classes[9][16] = int_stack + 107049;
 Libint->vrr_classes[10][8] = int_stack + 115464;
 Libint->vrr_classes[10][9] = int_stack + 118434;
 Libint->vrr_classes[10][10] = int_stack + 122064;
 Libint->vrr_classes[10][11] = int_stack + 126420;
 Libint->vrr_classes[10][12] = int_stack + 131568;
 Libint->vrr_classes[10][13] = int_stack + 137574;
 Libint->vrr_classes[10][14] = int_stack + 144504;
 Libint->vrr_classes[10][15] = int_stack + 152424;
 Libint->vrr_classes[10][16] = int_stack + 161400;
 Libint->vrr_classes[11][8] = int_stack + 171498;
 Libint->vrr_classes[11][9] = int_stack + 175008;
 Libint->vrr_classes[11][10] = int_stack + 179298;
 Libint->vrr_classes[11][11] = int_stack + 184446;
 Libint->vrr_classes[11][12] = int_stack + 190530;
 Libint->vrr_classes[11][13] = int_stack + 197628;
 Libint->vrr_classes[11][14] = int_stack + 205818;
 Libint->vrr_classes[11][15] = int_stack + 215178;
 Libint->vrr_classes[11][16] = int_stack + 225786;
 Libint->vrr_classes[12][8] = int_stack + 237720;
 Libint->vrr_classes[12][9] = int_stack + 241815;
 Libint->vrr_classes[12][10] = int_stack + 246820;
 Libint->vrr_classes[12][11] = int_stack + 252826;
 Libint->vrr_classes[12][12] = int_stack + 259924;
 Libint->vrr_classes[12][13] = int_stack + 268205;
 Libint->vrr_classes[12][14] = int_stack + 277760;
 Libint->vrr_classes[12][15] = int_stack + 288680;
 Libint->vrr_classes[12][16] = int_stack + 301056;
 Libint->vrr_classes[13][8] = int_stack + 314979;
 Libint->vrr_classes[13][9] = int_stack + 319704;
 Libint->vrr_classes[13][10] = int_stack + 325479;
 Libint->vrr_classes[13][11] = int_stack + 332409;
 Libint->vrr_classes[13][12] = int_stack + 340599;
 Libint->vrr_classes[13][13] = int_stack + 350154;
 Libint->vrr_classes[13][14] = int_stack + 361179;
 Libint->vrr_classes[13][15] = int_stack + 373779;
 Libint->vrr_classes[13][16] = int_stack + 388059;
 memset(int_stack,0,404124*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 404124;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kill(Libint, Data);
   Data++;
 }
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+404124,int_stack+1620,int_stack+0,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+408984,int_stack+3600,int_stack+1620,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+414924,int_stack+408984,int_stack+404124,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+424644,int_stack+5976,int_stack+3600,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+431772,int_stack+424644,int_stack+408984,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+443652,int_stack+431772,int_stack+414924,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+404124,int_stack+8784,int_stack+5976,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+459852,int_stack+404124,int_stack+424644,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+474108,int_stack+459852,int_stack+431772,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+412548,int_stack+474108,int_stack+443652,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+436848,int_stack+12060,int_stack+8784,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+493908,int_stack+436848,int_stack+404124,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+510756,int_stack+493908,int_stack+459852,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+534516,int_stack+510756,int_stack+474108,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+446676,int_stack+534516,int_stack+412548,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+404124,int_stack+15840,int_stack+12060,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+415464,int_stack+404124,int_stack+436848,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+564216,int_stack+415464,int_stack+493908,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+592296,int_stack+564216,int_stack+510756,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+480696,int_stack+592296,int_stack+534516,36);
 /*--- compute (k0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+627936,int_stack+480696,int_stack+446676,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+435120,int_stack+20160,int_stack+15840,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+448080,int_stack+435120,int_stack+404124,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+522276,int_stack+448080,int_stack+415464,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+673296,int_stack+522276,int_stack+564216,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+715416,int_stack+673296,int_stack+592296,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+555036,int_stack+715416,int_stack+480696,36);
 /*--- compute (k0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+765312,int_stack+555036,int_stack+627936,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+404124,int_stack+25056,int_stack+20160,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+470760,int_stack+404124,int_stack+435120,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+404124,int_stack+470760,int_stack+448080,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+441924,int_stack+404124,int_stack+522276,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+491064,int_stack+441924,int_stack+673296,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+404124,int_stack+491064,int_stack+715416,36);
 /*--- compute (k0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+470652,int_stack+404124,int_stack+555036,36);
 /*--- compute (k0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+541932,int_stack+470652,int_stack+765312,36);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+404124,int_stack+32589,int_stack+30564,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+410199,int_stack+35064,int_stack+32589,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+417624,int_stack+410199,int_stack+404124,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+429774,int_stack+38034,int_stack+35064,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+438684,int_stack+429774,int_stack+410199,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+453534,int_stack+438684,int_stack+417624,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+404124,int_stack+41544,int_stack+38034,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+473784,int_stack+404124,int_stack+429774,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+491604,int_stack+473784,int_stack+438684,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+414654,int_stack+491604,int_stack+453534,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+445029,int_stack+45639,int_stack+41544,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+516354,int_stack+445029,int_stack+404124,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+614832,int_stack+516354,int_stack+473784,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+644532,int_stack+614832,int_stack+491604,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+457314,int_stack+644532,int_stack+414654,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+404124,int_stack+50364,int_stack+45639,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+418299,int_stack+404124,int_stack+445029,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+681657,int_stack+418299,int_stack+516354,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+716757,int_stack+681657,int_stack+614832,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+761307,int_stack+716757,int_stack+644532,45);
 /*--- compute (l0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+614832,int_stack+761307,int_stack+457314,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+442869,int_stack+55764,int_stack+50364,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+459069,int_stack+442869,int_stack+404124,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+487419,int_stack+459069,int_stack+418299,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+487419,int_stack+681657,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+813282,int_stack+0,int_stack+716757,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+671532,int_stack+813282,int_stack+761307,45);
 /*--- compute (l0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+875652,int_stack+671532,int_stack+614832,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+614832,int_stack+61884,int_stack+55764,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+633192,int_stack+614832,int_stack+442869,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+404124,int_stack+633192,int_stack+459069,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+740832,int_stack+404124,int_stack+487419,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+404124,int_stack+740832,int_stack+0,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+948552,int_stack+404124,int_stack+813282,45);
 /*--- compute (l0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+404124,int_stack+948552,int_stack+671532,45);
 /*--- compute (l0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+614832,int_stack+404124,int_stack+875652,45);
 /*--- compute (kp|ll) ---*/
 hrr1_build_kp(Libint->AB,int_stack+705957,int_stack+614832,int_stack+541932,2025);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+404124,int_stack+71244,int_stack+68769,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+411549,int_stack+74269,int_stack+71244,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+420624,int_stack+411549,int_stack+404124,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+435474,int_stack+77899,int_stack+74269,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+446364,int_stack+435474,int_stack+411549,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+464514,int_stack+446364,int_stack+420624,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+404124,int_stack+82189,int_stack+77899,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+489264,int_stack+404124,int_stack+435474,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+511044,int_stack+489264,int_stack+446364,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+416994,int_stack+511044,int_stack+464514,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+454119,int_stack+87194,int_stack+82189,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+541294,int_stack+454119,int_stack+404124,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+567034,int_stack+541294,int_stack+489264,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+0,int_stack+567034,int_stack+511044,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+469134,int_stack+0,int_stack+416994,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+404124,int_stack+92969,int_stack+87194,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+421449,int_stack+404124,int_stack+454119,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+45375,int_stack+421449,int_stack+541294,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+924657,int_stack+45375,int_stack+567034,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+521109,int_stack+924657,int_stack+0,55);
 /*--- compute (m0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+979107,int_stack+521109,int_stack+469134,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+99569,int_stack+92969,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+451479,int_stack+0,int_stack+404124,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1048407,int_stack+451479,int_stack+421449,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1098457,int_stack+1048407,int_stack+45375,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+19800,int_stack+1098457,int_stack+924657,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1162807,int_stack+19800,int_stack+521109,55);
 /*--- compute (m0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+486129,int_stack+1162807,int_stack+979107,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+924657,int_stack+107049,int_stack+99569,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+947097,int_stack+924657,int_stack+0,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+986697,int_stack+947097,int_stack+451479,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+404124,int_stack+986697,int_stack+1048407,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+924657,int_stack+404124,int_stack+1098457,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1014747,int_stack+924657,int_stack+19800,55);
 /*--- compute (m0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+0,int_stack+1014747,int_stack+1162807,55);
 /*--- compute (m0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+924657,int_stack+0,int_stack+486129,55);
 /*--- compute (lp|ll) ---*/
 hrr1_build_lp(Libint->AB,int_stack+1036032,int_stack+924657,int_stack+614832,2025);
 /*--- compute (kd|ll) ---*/
 hrr1_build_kd(Libint->AB,int_stack+1309407,int_stack+1036032,int_stack+705957,2025);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+118434,int_stack+115464,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+8910,int_stack+122064,int_stack+118434,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+19800,int_stack+8910,int_stack+0,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+37620,int_stack+126420,int_stack+122064,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+50688,int_stack+37620,int_stack+8910,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+72468,int_stack+50688,int_stack+19800,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+131568,int_stack+126420,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+102168,int_stack+0,int_stack+37620,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+404124,int_stack+102168,int_stack+50688,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+15444,int_stack+404124,int_stack+72468,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+59994,int_stack+137574,int_stack+131568,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+440424,int_stack+59994,int_stack+0,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+471312,int_stack+440424,int_stack+102168,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+78012,int_stack+471312,int_stack+404124,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+514872,int_stack+78012,int_stack+15444,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+404124,int_stack+144504,int_stack+137574,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+0,int_stack+404124,int_stack+59994,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+577242,int_stack+0,int_stack+440424,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+628722,int_stack+577242,int_stack+471312,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+424914,int_stack+628722,int_stack+78012,66);
 /*--- compute (n0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+36036,int_stack+424914,int_stack+514872,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+501144,int_stack+152424,int_stack+144504,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+524904,int_stack+501144,int_stack+404124,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+694062,int_stack+524904,int_stack+0,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+754122,int_stack+694062,int_stack+577242,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+831342,int_stack+754122,int_stack+628722,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+566484,int_stack+831342,int_stack+424914,66);
 /*--- compute (n0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+1746807,int_stack+566484,int_stack+36036,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+161400,int_stack+152424,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+26928,int_stack+0,int_stack+501144,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+74448,int_stack+26928,int_stack+524904,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+404124,int_stack+74448,int_stack+694062,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+0,int_stack+404124,int_stack+754122,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+404124,int_stack+0,int_stack+831342,66);
 /*--- compute (n0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+0,int_stack+404124,int_stack+566484,66);
 /*--- compute (n0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+404124,int_stack+0,int_stack+1746807,66);
 /*--- compute (mp|ll) ---*/
 hrr1_build_mp(Libint->AB,int_stack+537774,int_stack+404124,int_stack+924657,2025);
 /*--- compute (ld|ll) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1746807,int_stack+537774,int_stack+1036032,2025);
 /*--- compute (kf|ll) ---*/
 hrr1_build_kf(Libint->AB,int_stack+2293557,int_stack+1746807,int_stack+1309407,2025);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+175008,int_stack+171498,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+10530,int_stack+179298,int_stack+175008,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+23400,int_stack+10530,int_stack+0,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+44460,int_stack+184446,int_stack+179298,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+59904,int_stack+44460,int_stack+10530,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+85644,int_stack+59904,int_stack+23400,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+190530,int_stack+184446,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+120744,int_stack+0,int_stack+44460,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+871899,int_stack+120744,int_stack+59904,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+18252,int_stack+871899,int_stack+85644,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+70902,int_stack+197628,int_stack+190530,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+151632,int_stack+70902,int_stack+0,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+914799,int_stack+151632,int_stack+120744,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+966279,int_stack+914799,int_stack+871899,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+1030629,int_stack+966279,int_stack+18252,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+871899,int_stack+205818,int_stack+197628,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+0,int_stack+871899,int_stack+70902,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+42588,int_stack+0,int_stack+151632,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+103428,int_stack+42588,int_stack+914799,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1104339,int_stack+103428,int_stack+966279,78);
 /*--- compute (o0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+896469,int_stack+1104339,int_stack+1030629,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+994749,int_stack+215178,int_stack+205818,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1022829,int_stack+994749,int_stack+871899,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1194429,int_stack+1022829,int_stack+0,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1265409,int_stack+1194429,int_stack+42588,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1356669,int_stack+1265409,int_stack+103428,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+1356669,int_stack+1104339,78);
 /*--- compute (o0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+1464777,int_stack+0,int_stack+896469,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+120120,int_stack+225786,int_stack+215178,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+151944,int_stack+120120,int_stack+994749,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+871899,int_stack+151944,int_stack+1022829,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+120120,int_stack+871899,int_stack+1194429,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+871899,int_stack+120120,int_stack+1265409,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+999663,int_stack+871899,int_stack+1356669,78);
 /*--- compute (o0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1143807,int_stack+999663,int_stack+0,78);
 /*--- compute (o0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+0,int_stack+1143807,int_stack+1464777,78);
 /*--- compute (np|ll) ---*/
 hrr1_build_np(Libint->AB,int_stack+871899,int_stack+0,int_stack+404124,2025);
 /*--- compute (md|ll) ---*/
 hrr1_build_md(Libint->AB,int_stack+3022557,int_stack+871899,int_stack+537774,2025);
 /*--- compute (lf|ll) ---*/
 hrr1_build_lf(Libint->AB,int_stack+3690807,int_stack+3022557,int_stack+1746807,2025);
 /*--- compute (kg|ll) ---*/
 hrr1_build_kg(Libint->AB,int_stack+4602057,int_stack+3690807,int_stack+2293557,2025);
 /*--- compute (q0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+404124,int_stack+241815,int_stack+237720,91);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+416409,int_stack+246820,int_stack+241815,91);
 /*--- compute (q0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+431424,int_stack+416409,int_stack+404124,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+455994,int_stack+252826,int_stack+246820,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+474012,int_stack+455994,int_stack+416409,91);
 /*--- compute (q0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+504042,int_stack+474012,int_stack+431424,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+404124,int_stack+259924,int_stack+252826,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+544992,int_stack+404124,int_stack+455994,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+581028,int_stack+544992,int_stack+474012,91);
 /*--- compute (q0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+425418,int_stack+581028,int_stack+504042,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+486843,int_stack+268205,int_stack+259924,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+631078,int_stack+486843,int_stack+404124,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+673666,int_stack+631078,int_stack+544992,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+733726,int_stack+673666,int_stack+581028,91);
 /*--- compute (q0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+511686,int_stack+733726,int_stack+425418,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+404124,int_stack+277760,int_stack+268205,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+432789,int_stack+404124,int_stack+486843,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+157950,int_stack+432789,int_stack+631078,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1272849,int_stack+157950,int_stack+673666,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+597681,int_stack+1272849,int_stack+733726,91);
 /*--- compute (q0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+702786,int_stack+597681,int_stack+511686,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+482475,int_stack+288680,int_stack+277760,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+515235,int_stack+482475,int_stack+404124,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1362939,int_stack+515235,int_stack+432789,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1445749,int_stack+1362939,int_stack+157950,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+157950,int_stack+1445749,int_stack+1272849,91);
 /*--- compute (q0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1552219,int_stack+157950,int_stack+597681,91);
 /*--- compute (q0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+1692359,int_stack+1552219,int_stack+702786,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1272849,int_stack+301056,int_stack+288680,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+404124,int_stack+1272849,int_stack+482475,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+572565,int_stack+404124,int_stack+515235,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+404124,int_stack+572565,int_stack+1362939,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+528339,int_stack+404124,int_stack+1445749,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+677397,int_stack+528339,int_stack+157950,91);
 /*--- compute (q0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+404124,int_stack+677397,int_stack+1552219,91);
 /*--- compute (q0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+584304,int_stack+404124,int_stack+1692359,91);
 /*--- compute (op|ll) ---*/
 hrr1_build_op(Libint->AB,int_stack+1272849,int_stack+584304,int_stack+0,2025);
 /*--- compute (nd|ll) ---*/
 hrr1_build_nd(Libint->AB,int_stack+1746699,int_stack+1272849,int_stack+871899,2025);
 /*--- compute (mf|ll) ---*/
 hrr1_build_mf(Libint->AB,int_stack+5695557,int_stack+1746699,int_stack+3022557,2025);
 /*--- compute (lg|ll) ---*/
 hrr1_build_lg(Libint->AB,int_stack+6809307,int_stack+5695557,int_stack+3690807,2025);
 /*--- compute (kh|ll) ---*/
 hrr1_build_kh(Libint->AB,int_stack+2548599,int_stack+6809307,int_stack+4602057,2025);
 /*--- compute (r0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+319704,int_stack+314979,105);
 /*--- compute (r0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+14175,int_stack+325479,int_stack+319704,105);
 /*--- compute (r0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+31500,int_stack+14175,int_stack+0,105);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+59850,int_stack+332409,int_stack+325479,105);
 /*--- compute (r0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+80640,int_stack+59850,int_stack+14175,105);
 /*--- compute (r0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+115290,int_stack+80640,int_stack+31500,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+340599,int_stack+332409,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+162540,int_stack+0,int_stack+59850,105);
 /*--- compute (r0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+204120,int_stack+162540,int_stack+80640,105);
 /*--- compute (r0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+24570,int_stack+204120,int_stack+115290,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+95445,int_stack+350154,int_stack+340599,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+261870,int_stack+95445,int_stack+0,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+404124,int_stack+261870,int_stack+162540,105);
 /*--- compute (r0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+473424,int_stack+404124,int_stack+204120,105);
 /*--- compute (r0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+124110,int_stack+473424,int_stack+24570,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+361179,int_stack+350154,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+33075,int_stack+0,int_stack+95445,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+768579,int_stack+33075,int_stack+261870,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+223335,int_stack+768579,int_stack+404124,105);
 /*--- compute (r0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+850479,int_stack+223335,int_stack+473424,105);
 /*--- compute (r0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+404124,int_stack+850479,int_stack+124110,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+536424,int_stack+373779,int_stack+361179,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+90405,int_stack+536424,int_stack+0,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+971754,int_stack+90405,int_stack+33075,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1067304,int_stack+971754,int_stack+768579,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+4079499,int_stack+1067304,int_stack+223335,105);
 /*--- compute (r0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+156555,int_stack+4079499,int_stack+850479,105);
 /*--- compute (r0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+768579,int_stack+156555,int_stack+404124,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+404124,int_stack+388059,int_stack+373779,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+446964,int_stack+404124,int_stack+536424,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+318255,int_stack+446964,int_stack+90405,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+318255,int_stack+971754,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+318255,int_stack+0,int_stack+1067304,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+938679,int_stack+318255,int_stack+4079499,105);
 /*--- compute (r0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+4079499,int_stack+938679,int_stack+156555,105);
 /*--- compute (r0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+938679,int_stack+4079499,int_stack+768579,105);
 /*--- compute (qp|ll) ---*/
 hrr1_build_qp(Libint->AB,int_stack+4079499,int_stack+938679,int_stack+584304,2025);
 /*--- compute (od|ll) ---*/
 hrr1_build_od(Libint->AB,int_stack+4632324,int_stack+4079499,int_stack+1272849,2025);
 /*--- compute (nf|ll) ---*/
 hrr1_build_nf(Libint->AB,int_stack+0,int_stack+4632324,int_stack+1746699,2025);
 /*--- compute (mg|ll) ---*/
 hrr1_build_mg(Libint->AB,int_stack+8176182,int_stack+0,int_stack+5695557,2025);
 /*--- compute (lh|ll) ---*/
 hrr1_build_lh(Libint->AB,int_stack+0,int_stack+8176182,int_stack+6809307,2025);
 /*--- compute (ki|ll) ---*/
 hrr1_build_ki(Libint->AB,int_stack+4079499,int_stack+0,int_stack+2548599,2025);
 return int_stack+4079499;}
