#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kknh(Libint_t*, prim_data*);

  /* Computes quartets of (kk|nh) integrals */

REALTYPE *hrr_order_kknh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][10] = int_stack + 0;
 Libint->vrr_classes[7][11] = int_stack + 2376;
 Libint->vrr_classes[7][12] = int_stack + 5184;
 Libint->vrr_classes[7][13] = int_stack + 8460;
 Libint->vrr_classes[7][14] = int_stack + 12240;
 Libint->vrr_classes[7][15] = int_stack + 16560;
 Libint->vrr_classes[8][10] = int_stack + 21456;
 Libint->vrr_classes[8][11] = int_stack + 24426;
 Libint->vrr_classes[8][12] = int_stack + 27936;
 Libint->vrr_classes[8][13] = int_stack + 32031;
 Libint->vrr_classes[8][14] = int_stack + 36756;
 Libint->vrr_classes[8][15] = int_stack + 42156;
 Libint->vrr_classes[9][10] = int_stack + 48276;
 Libint->vrr_classes[9][11] = int_stack + 51906;
 Libint->vrr_classes[9][12] = int_stack + 56196;
 Libint->vrr_classes[9][13] = int_stack + 61201;
 Libint->vrr_classes[9][14] = int_stack + 66976;
 Libint->vrr_classes[9][15] = int_stack + 73576;
 Libint->vrr_classes[10][10] = int_stack + 81056;
 Libint->vrr_classes[10][11] = int_stack + 85412;
 Libint->vrr_classes[10][12] = int_stack + 90560;
 Libint->vrr_classes[10][13] = int_stack + 96566;
 Libint->vrr_classes[10][14] = int_stack + 103496;
 Libint->vrr_classes[10][15] = int_stack + 111416;
 Libint->vrr_classes[11][10] = int_stack + 120392;
 Libint->vrr_classes[11][11] = int_stack + 125540;
 Libint->vrr_classes[11][12] = int_stack + 131624;
 Libint->vrr_classes[11][13] = int_stack + 138722;
 Libint->vrr_classes[11][14] = int_stack + 146912;
 Libint->vrr_classes[11][15] = int_stack + 156272;
 Libint->vrr_classes[12][10] = int_stack + 166880;
 Libint->vrr_classes[12][11] = int_stack + 172886;
 Libint->vrr_classes[12][12] = int_stack + 179984;
 Libint->vrr_classes[12][13] = int_stack + 188265;
 Libint->vrr_classes[12][14] = int_stack + 197820;
 Libint->vrr_classes[12][15] = int_stack + 208740;
 Libint->vrr_classes[13][10] = int_stack + 221116;
 Libint->vrr_classes[13][11] = int_stack + 228046;
 Libint->vrr_classes[13][12] = int_stack + 236236;
 Libint->vrr_classes[13][13] = int_stack + 245791;
 Libint->vrr_classes[13][14] = int_stack + 256816;
 Libint->vrr_classes[13][15] = int_stack + 269416;
 Libint->vrr_classes[14][10] = int_stack + 283696;
 Libint->vrr_classes[14][11] = int_stack + 291616;
 Libint->vrr_classes[14][12] = int_stack + 300976;
 Libint->vrr_classes[14][13] = int_stack + 311896;
 Libint->vrr_classes[14][14] = int_stack + 324496;
 Libint->vrr_classes[14][15] = int_stack + 338896;
 memset(int_stack,0,355216*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 355216;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kknh(Libint, Data);
   Data++;
 }
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+355216,int_stack+2376,int_stack+0,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+362344,int_stack+5184,int_stack+2376,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+370768,int_stack+362344,int_stack+355216,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+385024,int_stack+8460,int_stack+5184,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+394852,int_stack+385024,int_stack+362344,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+411700,int_stack+394852,int_stack+370768,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+355216,int_stack+12240,int_stack+8460,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+435460,int_stack+355216,int_stack+385024,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+366556,int_stack+435460,int_stack+394852,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+455116,int_stack+366556,int_stack+411700,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+394636,int_stack+16560,int_stack+12240,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+407596,int_stack+394636,int_stack+355216,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+490756,int_stack+407596,int_stack+435460,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+394636,int_stack+490756,int_stack+366556,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+490756,int_stack+394636,int_stack+455116,36);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+355216,int_stack+24426,int_stack+21456,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+364126,int_stack+27936,int_stack+24426,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+374656,int_stack+364126,int_stack+355216,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+392476,int_stack+32031,int_stack+27936,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+404761,int_stack+392476,int_stack+364126,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+425821,int_stack+404761,int_stack+374656,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+355216,int_stack+36756,int_stack+32031,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+455521,int_stack+355216,int_stack+392476,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+369391,int_stack+455521,int_stack+404761,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+540652,int_stack+369391,int_stack+425821,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+404491,int_stack+42156,int_stack+36756,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+420691,int_stack+404491,int_stack+355216,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+420691,int_stack+455521,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+404491,int_stack+0,int_stack+369391,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+585202,int_stack+404491,int_stack+540652,45);
 /*--- compute (kp|nh) ---*/
 hrr1_build_kp(Libint->AB,int_stack+647572,int_stack+585202,int_stack+490756,1386);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+51906,int_stack+48276,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+10890,int_stack+56196,int_stack+51906,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+23760,int_stack+10890,int_stack+0,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+355216,int_stack+61201,int_stack+56196,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+370231,int_stack+355216,int_stack+10890,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+395971,int_stack+370231,int_stack+23760,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+66976,int_stack+61201,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+17325,int_stack+0,int_stack+355216,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+432271,int_stack+17325,int_stack+370231,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+475171,int_stack+432271,int_stack+395971,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+355216,int_stack+73576,int_stack+66976,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+375016,int_stack+355216,int_stack+0,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+529621,int_stack+375016,int_stack+17325,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+529621,int_stack+432271,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+355216,int_stack+0,int_stack+475171,55);
 /*--- compute (lp|nh) ---*/
 hrr1_build_lp(Libint->AB,int_stack+797260,int_stack+355216,int_stack+585202,1386);
 /*--- compute (kd|nh) ---*/
 hrr1_build_kd(Libint->AB,int_stack+984370,int_stack+797260,int_stack+647572,1386);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+85412,int_stack+81056,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+13068,int_stack+90560,int_stack+85412,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+28512,int_stack+13068,int_stack+0,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+54648,int_stack+96566,int_stack+90560,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+431446,int_stack+54648,int_stack+13068,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+462334,int_stack+431446,int_stack+28512,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+103496,int_stack+96566,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+505894,int_stack+0,int_stack+54648,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+20790,int_stack+505894,int_stack+431446,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+541930,int_stack+20790,int_stack+462334,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+431446,int_stack+111416,int_stack+103496,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+455206,int_stack+431446,int_stack+0,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+607270,int_stack+455206,int_stack+505894,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+431446,int_stack+607270,int_stack+20790,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+607270,int_stack+431446,int_stack+541930,66);
 /*--- compute (mp|nh) ---*/
 hrr1_build_mp(Libint->AB,int_stack+1283746,int_stack+607270,int_stack+355216,1386);
 /*--- compute (ld|nh) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1512436,int_stack+1283746,int_stack+797260,1386);
 /*--- compute (kf|nh) ---*/
 hrr1_build_kf(Libint->AB,int_stack+1886656,int_stack+1512436,int_stack+984370,1386);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+355216,int_stack+125540,int_stack+120392,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+370660,int_stack+131624,int_stack+125540,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+388912,int_stack+370660,int_stack+355216,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+419800,int_stack+138722,int_stack+131624,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+441094,int_stack+419800,int_stack+370660,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+477598,int_stack+441094,int_stack+388912,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+355216,int_stack+146912,int_stack+138722,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+529078,int_stack+355216,int_stack+419800,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+379786,int_stack+529078,int_stack+441094,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+698746,int_stack+379786,int_stack+477598,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+440626,int_stack+156272,int_stack+146912,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+468706,int_stack+440626,int_stack+355216,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+775966,int_stack+468706,int_stack+529078,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+440626,int_stack+775966,int_stack+379786,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+775966,int_stack+440626,int_stack+698746,78);
 /*--- compute (np|nh) ---*/
 hrr1_build_np(Libint->AB,int_stack+884074,int_stack+775966,int_stack+607270,1386);
 /*--- compute (md|nh) ---*/
 hrr1_build_md(Libint->AB,int_stack+2385616,int_stack+884074,int_stack+1283746,1386);
 /*--- compute (lf|nh) ---*/
 hrr1_build_lf(Libint->AB,int_stack+2842996,int_stack+2385616,int_stack+1512436,1386);
 /*--- compute (kg|nh) ---*/
 hrr1_build_kg(Libint->AB,int_stack+3466696,int_stack+2842996,int_stack+1886656,1386);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1158502,int_stack+172886,int_stack+166880,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1176520,int_stack+179984,int_stack+172886,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1197814,int_stack+1176520,int_stack+1158502,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1233850,int_stack+188265,int_stack+179984,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1258693,int_stack+1233850,int_stack+1176520,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1301281,int_stack+1258693,int_stack+1197814,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1158502,int_stack+197820,int_stack+188265,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1361341,int_stack+1158502,int_stack+1233850,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1187167,int_stack+1361341,int_stack+1258693,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1411027,int_stack+1187167,int_stack+1301281,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1258147,int_stack+208740,int_stack+197820,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1290907,int_stack+1258147,int_stack+1158502,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1501117,int_stack+1290907,int_stack+1361341,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1258147,int_stack+1501117,int_stack+1187167,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1501117,int_stack+1258147,int_stack+1411027,91);
 /*--- compute (op|nh) ---*/
 hrr1_build_op(Libint->AB,int_stack+1627243,int_stack+1501117,int_stack+775966,1386);
 /*--- compute (nd|nh) ---*/
 hrr1_build_nd(Libint->AB,int_stack+4215136,int_stack+1627243,int_stack+884074,1386);
 /*--- compute (mf|nh) ---*/
 hrr1_build_mf(Libint->AB,int_stack+355216,int_stack+4215136,int_stack+2385616,1386);
 /*--- compute (lg|nh) ---*/
 hrr1_build_lg(Libint->AB,int_stack+4763992,int_stack+355216,int_stack+2842996,1386);
 /*--- compute (kh|nh) ---*/
 hrr1_build_kh(Libint->AB,int_stack+1951567,int_stack+4763992,int_stack+3466696,1386);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+2999383,int_stack+228046,int_stack+221116,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+3020173,int_stack+236236,int_stack+228046,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+3044743,int_stack+3020173,int_stack+2999383,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+3086323,int_stack+245791,int_stack+236236,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+3114988,int_stack+3086323,int_stack+3020173,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+3164128,int_stack+3114988,int_stack+3044743,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+2999383,int_stack+256816,int_stack+245791,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+3233428,int_stack+2999383,int_stack+3086323,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+3032458,int_stack+3233428,int_stack+3114988,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+3290758,int_stack+3032458,int_stack+3164128,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+3114358,int_stack+269416,int_stack+256816,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+3152158,int_stack+3114358,int_stack+2999383,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+3394708,int_stack+3152158,int_stack+3233428,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+3114358,int_stack+3394708,int_stack+3032458,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+3394708,int_stack+3114358,int_stack+3290758,105);
 /*--- compute (qp|nh) ---*/
 hrr1_build_qp(Libint->AB,int_stack+3540238,int_stack+3394708,int_stack+1501117,1386);
 /*--- compute (od|nh) ---*/
 hrr1_build_od(Libint->AB,int_stack+5699542,int_stack+3540238,int_stack+1627243,1386);
 /*--- compute (nf|nh) ---*/
 hrr1_build_nf(Libint->AB,int_stack+6348190,int_stack+5699542,int_stack+4215136,1386);
 /*--- compute (mg|nh) ---*/
 hrr1_build_mg(Libint->AB,int_stack+7262950,int_stack+6348190,int_stack+355216,1386);
 /*--- compute (lh|nh) ---*/
 hrr1_build_lh(Libint->AB,int_stack+355216,int_stack+7262950,int_stack+4763992,1386);
 /*--- compute (ki|nh) ---*/
 hrr1_build_ki(Libint->AB,int_stack+3918616,int_stack+355216,int_stack+1951567,1386);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1664986,int_stack+291616,int_stack+283696,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1688746,int_stack+300976,int_stack+291616,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1716826,int_stack+1688746,int_stack+1664986,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1764346,int_stack+311896,int_stack+300976,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1797106,int_stack+1764346,int_stack+1688746,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1853266,int_stack+1797106,int_stack+1716826,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1664986,int_stack+324496,int_stack+311896,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1932466,int_stack+1664986,int_stack+1764346,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1702786,int_stack+1932466,int_stack+1797106,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1997986,int_stack+1702786,int_stack+1853266,120);
 /*--- compute (t0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1796386,int_stack+338896,int_stack+324496,120);
 /*--- compute (t0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1839586,int_stack+1796386,int_stack+1664986,120);
 /*--- compute (t0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+2116786,int_stack+1839586,int_stack+1932466,120);
 /*--- compute (t0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1796386,int_stack+2116786,int_stack+1702786,120);
 /*--- compute (t0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+2116786,int_stack+1796386,int_stack+1997986,120);
 /*--- compute (rp|nh) ---*/
 hrr1_build_rp(Libint->AB,int_stack+2283106,int_stack+2116786,int_stack+3394708,1386);
 /*--- compute (qd|nh) ---*/
 hrr1_build_qd(Libint->AB,int_stack+2719696,int_stack+2283106,int_stack+3540238,1386);
 /*--- compute (of|nh) ---*/
 hrr1_build_of(Libint->AB,int_stack+8406400,int_stack+2719696,int_stack+5699542,1386);
 /*--- compute (ng|nh) ---*/
 hrr1_build_ng(Libint->AB,int_stack+1664986,int_stack+8406400,int_stack+6348190,1386);
 /*--- compute (mh|nh) ---*/
 hrr1_build_mh(Libint->AB,int_stack+5315704,int_stack+1664986,int_stack+7262950,1386);
 /*--- compute (li|nh) ---*/
 hrr1_build_li(Libint->AB,int_stack+1664986,int_stack+5315704,int_stack+355216,1386);
 /*--- compute (kk|nh) ---*/
 hrr1_build_kk(Libint->AB,int_stack+5315704,int_stack+1664986,int_stack+3918616,1386);
 return int_stack+5315704;}
