#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kpif(Libint_t*, prim_data*);

  /* Computes quartets of (kp|if) integrals */

REALTYPE *hrr_order_kpif(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][6] = int_stack + 0;
 Libint->vrr_classes[7][7] = int_stack + 1008;
 Libint->vrr_classes[7][8] = int_stack + 2304;
 Libint->vrr_classes[7][9] = int_stack + 3924;
 Libint->vrr_classes[8][6] = int_stack + 5904;
 Libint->vrr_classes[8][7] = int_stack + 7164;
 Libint->vrr_classes[8][8] = int_stack + 8784;
 Libint->vrr_classes[8][9] = int_stack + 10809;
 memset(int_stack,0,13284*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 13284;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kpif(Libint, Data);
   Data++;
 }
 /*--- compute (k0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+13284,int_stack+1008,int_stack+0,36);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+16308,int_stack+2304,int_stack+1008,36);
 /*--- compute (k0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+20196,int_stack+16308,int_stack+13284,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+26244,int_stack+3924,int_stack+2304,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+31104,int_stack+26244,int_stack+16308,36);
 /*--- compute (k0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+38880,int_stack+31104,int_stack+20196,36);
 /*--- compute (l0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+13284,int_stack+7164,int_stack+5904,45);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+17064,int_stack+8784,int_stack+7164,45);
 /*--- compute (l0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+21924,int_stack+17064,int_stack+13284,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+29484,int_stack+10809,int_stack+8784,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+0,int_stack+29484,int_stack+17064,45);
 /*--- compute (l0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+48960,int_stack+0,int_stack+21924,45);
 /*--- compute (kp|if) ---*/
 hrr1_build_kp(Libint->AB,int_stack+0,int_stack+48960,int_stack+38880,280);
 return int_stack+0;}
