#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kpmf(Libint_t*, prim_data*);

  /* Computes quartets of (kp|mf) integrals */

REALTYPE *hrr_order_kpmf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][9] = int_stack + 0;
 Libint->vrr_classes[7][10] = int_stack + 1980;
 Libint->vrr_classes[7][11] = int_stack + 4356;
 Libint->vrr_classes[7][12] = int_stack + 7164;
 Libint->vrr_classes[8][9] = int_stack + 10440;
 Libint->vrr_classes[8][10] = int_stack + 12915;
 Libint->vrr_classes[8][11] = int_stack + 15885;
 Libint->vrr_classes[8][12] = int_stack + 19395;
 memset(int_stack,0,23490*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 23490;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kpmf(Libint, Data);
   Data++;
 }
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+23490,int_stack+1980,int_stack+0,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+29430,int_stack+4356,int_stack+1980,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+36558,int_stack+29430,int_stack+23490,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+48438,int_stack+7164,int_stack+4356,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+56862,int_stack+48438,int_stack+29430,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+71118,int_stack+56862,int_stack+36558,36);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+23490,int_stack+12915,int_stack+10440,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+30915,int_stack+15885,int_stack+12915,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+39825,int_stack+30915,int_stack+23490,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+54675,int_stack+19395,int_stack+15885,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+54675,int_stack+30915,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+90918,int_stack+0,int_stack+39825,45);
 /*--- compute (kp|mf) ---*/
 hrr1_build_kp(Libint->AB,int_stack+0,int_stack+90918,int_stack+71118,550);
 return int_stack+0;}
