#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lfih(Libint_t*, prim_data*);

  /* Computes quartets of (lf|ih) integrals */

REALTYPE *hrr_order_lfih(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][6] = int_stack + 0;
 Libint->vrr_classes[8][7] = int_stack + 1260;
 Libint->vrr_classes[8][8] = int_stack + 2880;
 Libint->vrr_classes[8][9] = int_stack + 4905;
 Libint->vrr_classes[8][10] = int_stack + 7380;
 Libint->vrr_classes[8][11] = int_stack + 10350;
 Libint->vrr_classes[9][6] = int_stack + 13860;
 Libint->vrr_classes[9][7] = int_stack + 15400;
 Libint->vrr_classes[9][8] = int_stack + 17380;
 Libint->vrr_classes[9][9] = int_stack + 19855;
 Libint->vrr_classes[9][10] = int_stack + 22880;
 Libint->vrr_classes[9][11] = int_stack + 26510;
 Libint->vrr_classes[10][6] = int_stack + 30800;
 Libint->vrr_classes[10][7] = int_stack + 32648;
 Libint->vrr_classes[10][8] = int_stack + 35024;
 Libint->vrr_classes[10][9] = int_stack + 37994;
 Libint->vrr_classes[10][10] = int_stack + 41624;
 Libint->vrr_classes[10][11] = int_stack + 45980;
 Libint->vrr_classes[11][6] = int_stack + 51128;
 Libint->vrr_classes[11][7] = int_stack + 53312;
 Libint->vrr_classes[11][8] = int_stack + 56120;
 Libint->vrr_classes[11][9] = int_stack + 59630;
 Libint->vrr_classes[11][10] = int_stack + 63920;
 Libint->vrr_classes[11][11] = int_stack + 69068;
 memset(int_stack,0,75152*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 75152;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lfih(Libint, Data);
   Data++;
 }
 /*--- compute (l0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+75152,int_stack+1260,int_stack+0,45);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+78932,int_stack+2880,int_stack+1260,45);
 /*--- compute (l0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+83792,int_stack+78932,int_stack+75152,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+91352,int_stack+4905,int_stack+2880,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+97427,int_stack+91352,int_stack+78932,45);
 /*--- compute (l0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+107147,int_stack+97427,int_stack+83792,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+75152,int_stack+7380,int_stack+4905,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+119747,int_stack+75152,int_stack+91352,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+131897,int_stack+119747,int_stack+97427,45);
 /*--- compute (l0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+82577,int_stack+131897,int_stack+107147,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+101477,int_stack+10350,int_stack+7380,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+148097,int_stack+101477,int_stack+75152,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+162947,int_stack+148097,int_stack+119747,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+101477,int_stack+162947,int_stack+131897,45);
 /*--- compute (l0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+125777,int_stack+101477,int_stack+82577,45);
 /*--- compute (m0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+75152,int_stack+15400,int_stack+13860,55);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+79772,int_stack+17380,int_stack+15400,55);
 /*--- compute (m0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+85712,int_stack+79772,int_stack+75152,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+94952,int_stack+19855,int_stack+17380,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+102377,int_stack+94952,int_stack+79772,55);
 /*--- compute (m0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+152237,int_stack+102377,int_stack+85712,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+75152,int_stack+22880,int_stack+19855,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+167637,int_stack+75152,int_stack+94952,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+0,int_stack+167637,int_stack+102377,55);
 /*--- compute (m0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+84227,int_stack+0,int_stack+152237,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+152237,int_stack+26510,int_stack+22880,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+107327,int_stack+152237,int_stack+75152,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+182487,int_stack+107327,int_stack+167637,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+152237,int_stack+182487,int_stack+0,55);
 /*--- compute (m0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+181937,int_stack+152237,int_stack+84227,55);
 /*--- compute (lp|ih) ---*/
 hrr1_build_lp(Libint->AB,int_stack+214277,int_stack+181937,int_stack+125777,588);
 /*--- compute (n0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+0,int_stack+32648,int_stack+30800,66);
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+5544,int_stack+35024,int_stack+32648,66);
 /*--- compute (n0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+12672,int_stack+5544,int_stack+0,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+23760,int_stack+37994,int_stack+35024,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+75152,int_stack+23760,int_stack+5544,66);
 /*--- compute (n0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+89408,int_stack+75152,int_stack+12672,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+41624,int_stack+37994,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+107888,int_stack+0,int_stack+23760,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+10890,int_stack+107888,int_stack+75152,66);
 /*--- compute (n0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+125708,int_stack+10890,int_stack+89408,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+75152,int_stack+45980,int_stack+41624,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+153428,int_stack+75152,int_stack+0,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+75152,int_stack+153428,int_stack+107888,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+293657,int_stack+75152,int_stack+10890,66);
 /*--- compute (n0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+75152,int_stack+293657,int_stack+125708,66);
 /*--- compute (mp|ih) ---*/
 hrr1_build_mp(Libint->AB,int_stack+293657,int_stack+75152,int_stack+181937,588);
 /*--- compute (ld|ih) ---*/
 hrr1_build_ld(Libint->AB,int_stack+390677,int_stack+293657,int_stack+214277,588);
 /*--- compute (o0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+113960,int_stack+53312,int_stack+51128,78);
 /*--- compute (o0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+120512,int_stack+56120,int_stack+53312,78);
 /*--- compute (o0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+128936,int_stack+120512,int_stack+113960,78);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+142040,int_stack+59630,int_stack+56120,78);
 /*--- compute (o0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+152570,int_stack+142040,int_stack+120512,78);
 /*--- compute (o0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+169418,int_stack+152570,int_stack+128936,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+113960,int_stack+63920,int_stack+59630,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+191258,int_stack+113960,int_stack+142040,78);
 /*--- compute (o0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+212318,int_stack+191258,int_stack+152570,78);
 /*--- compute (o0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+126830,int_stack+212318,int_stack+169418,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+159590,int_stack+69068,int_stack+63920,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+240398,int_stack+159590,int_stack+113960,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+240398,int_stack+191258,78);
 /*--- compute (o0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+240398,int_stack+0,int_stack+212318,78);
 /*--- compute (o0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+0,int_stack+240398,int_stack+126830,78);
 /*--- compute (np|ih) ---*/
 hrr1_build_np(Libint->AB,int_stack+113960,int_stack+0,int_stack+75152,588);
 /*--- compute (md|ih) ---*/
 hrr1_build_md(Libint->AB,int_stack+549437,int_stack+113960,int_stack+293657,588);
 /*--- compute (lf|ih) ---*/
 hrr1_build_lf(Libint->AB,int_stack+0,int_stack+549437,int_stack+390677,588);
 return int_stack+0;}
