#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lgmg(Libint_t*, prim_data*);

  /* Computes quartets of (lg|mg) integrals */

REALTYPE *hrr_order_lgmg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][9] = int_stack + 0;
 Libint->vrr_classes[8][10] = int_stack + 2475;
 Libint->vrr_classes[8][11] = int_stack + 5445;
 Libint->vrr_classes[8][12] = int_stack + 8955;
 Libint->vrr_classes[8][13] = int_stack + 13050;
 Libint->vrr_classes[9][9] = int_stack + 17775;
 Libint->vrr_classes[9][10] = int_stack + 20800;
 Libint->vrr_classes[9][11] = int_stack + 24430;
 Libint->vrr_classes[9][12] = int_stack + 28720;
 Libint->vrr_classes[9][13] = int_stack + 33725;
 Libint->vrr_classes[10][9] = int_stack + 39500;
 Libint->vrr_classes[10][10] = int_stack + 43130;
 Libint->vrr_classes[10][11] = int_stack + 47486;
 Libint->vrr_classes[10][12] = int_stack + 52634;
 Libint->vrr_classes[10][13] = int_stack + 58640;
 Libint->vrr_classes[11][9] = int_stack + 65570;
 Libint->vrr_classes[11][10] = int_stack + 69860;
 Libint->vrr_classes[11][11] = int_stack + 75008;
 Libint->vrr_classes[11][12] = int_stack + 81092;
 Libint->vrr_classes[11][13] = int_stack + 88190;
 Libint->vrr_classes[12][9] = int_stack + 96380;
 Libint->vrr_classes[12][10] = int_stack + 101385;
 Libint->vrr_classes[12][11] = int_stack + 107391;
 Libint->vrr_classes[12][12] = int_stack + 114489;
 Libint->vrr_classes[12][13] = int_stack + 122770;
 memset(int_stack,0,132325*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 132325;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lgmg(Libint, Data);
   Data++;
 }
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+132325,int_stack+2475,int_stack+0,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+139750,int_stack+5445,int_stack+2475,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+148660,int_stack+139750,int_stack+132325,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+163510,int_stack+8955,int_stack+5445,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+174040,int_stack+163510,int_stack+139750,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+191860,int_stack+174040,int_stack+148660,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+132325,int_stack+13050,int_stack+8955,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+216610,int_stack+132325,int_stack+163510,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+132325,int_stack+216610,int_stack+174040,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+216610,int_stack+132325,int_stack+191860,45);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+132325,int_stack+20800,int_stack+17775,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+141400,int_stack+24430,int_stack+20800,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+152290,int_stack+141400,int_stack+132325,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+170440,int_stack+28720,int_stack+24430,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+183310,int_stack+170440,int_stack+141400,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+253735,int_stack+183310,int_stack+152290,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+132325,int_stack+33725,int_stack+28720,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+132325,int_stack+170440,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+132325,int_stack+0,int_stack+183310,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+168625,int_stack+132325,int_stack+253735,55);
 /*--- compute (lp|mg) ---*/
 hrr1_build_lp(Libint->AB,int_stack+253735,int_stack+168625,int_stack+216610,825);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+132325,int_stack+43130,int_stack+39500,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+143215,int_stack+47486,int_stack+43130,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+143215,int_stack+132325,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+21780,int_stack+52634,int_stack+47486,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+214000,int_stack+21780,int_stack+143215,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+132325,int_stack+214000,int_stack+0,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+58640,int_stack+52634,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+365110,int_stack+0,int_stack+21780,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+365110,int_stack+214000,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+365110,int_stack+0,int_stack+132325,66);
 /*--- compute (mp|mg) ---*/
 hrr1_build_mp(Libint->AB,int_stack+419560,int_stack+365110,int_stack+168625,825);
 /*--- compute (ld|mg) ---*/
 hrr1_build_ld(Libint->AB,int_stack+555685,int_stack+419560,int_stack+253735,825);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+132325,int_stack+69860,int_stack+65570,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+145195,int_stack+75008,int_stack+69860,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+160639,int_stack+145195,int_stack+132325,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+186379,int_stack+81092,int_stack+75008,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+204631,int_stack+186379,int_stack+145195,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+235519,int_stack+204631,int_stack+160639,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+132325,int_stack+88190,int_stack+81092,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+278419,int_stack+132325,int_stack+186379,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+132325,int_stack+278419,int_stack+204631,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+278419,int_stack+132325,int_stack+235519,78);
 /*--- compute (np|mg) ---*/
 hrr1_build_np(Libint->AB,int_stack+778435,int_stack+278419,int_stack+365110,825);
 /*--- compute (md|mg) ---*/
 hrr1_build_md(Libint->AB,int_stack+941785,int_stack+778435,int_stack+419560,825);
 /*--- compute (lf|mg) ---*/
 hrr1_build_lf(Libint->AB,int_stack+1214035,int_stack+941785,int_stack+555685,825);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+132325,int_stack+101385,int_stack+96380,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+147340,int_stack+107391,int_stack+101385,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+165358,int_stack+147340,int_stack+132325,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+195388,int_stack+114489,int_stack+107391,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+216682,int_stack+195388,int_stack+147340,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+342769,int_stack+216682,int_stack+165358,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+132325,int_stack+122770,int_stack+114489,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+392819,int_stack+132325,int_stack+195388,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+435407,int_stack+392819,int_stack+216682,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+495467,int_stack+435407,int_stack+342769,91);
 /*--- compute (op|mg) ---*/
 hrr1_build_op(Libint->AB,int_stack+570542,int_stack+495467,int_stack+278419,825);
 /*--- compute (nd|mg) ---*/
 hrr1_build_nd(Libint->AB,int_stack+0,int_stack+570542,int_stack+778435,825);
 /*--- compute (mf|mg) ---*/
 hrr1_build_mf(Libint->AB,int_stack+326700,int_stack+0,int_stack+941785,825);
 /*--- compute (lg|mg) ---*/
 hrr1_build_lg(Libint->AB,int_stack+1585285,int_stack+326700,int_stack+1214035,825);
 return int_stack+1585285;}
