#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lpld(Libint_t*, prim_data*);

  /* Computes quartets of (lp|ld) integrals */

REALTYPE *hrr_order_lpld(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][8] = int_stack + 0;
 Libint->vrr_classes[8][9] = int_stack + 2025;
 Libint->vrr_classes[8][10] = int_stack + 4500;
 Libint->vrr_classes[9][8] = int_stack + 7470;
 Libint->vrr_classes[9][9] = int_stack + 9945;
 Libint->vrr_classes[9][10] = int_stack + 12970;
 memset(int_stack,0,16600*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 16600;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lpld(Libint, Data);
   Data++;
 }
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+16600,int_stack+2025,int_stack+0,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+22675,int_stack+4500,int_stack+2025,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+30100,int_stack+22675,int_stack+16600,45);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+16600,int_stack+9945,int_stack+7470,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+12970,int_stack+9945,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+42250,int_stack+0,int_stack+16600,55);
 /*--- compute (lp|ld) ---*/
 hrr1_build_lp(Libint->AB,int_stack+57100,int_stack+42250,int_stack+30100,270);
 return int_stack+57100;}
