#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_m0if(Libint_t*, prim_data*);

  /* Computes quartets of (m0|if) integrals */

REALTYPE *hrr_order_m0if(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][6] = int_stack + 0;
 Libint->vrr_classes[9][7] = int_stack + 1540;
 Libint->vrr_classes[9][8] = int_stack + 3520;
 Libint->vrr_classes[9][9] = int_stack + 5995;
 memset(int_stack,0,9020*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 9020;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_m0if(Libint, Data);
   Data++;
 }
 /*--- compute (m0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+9020,int_stack+1540,int_stack+0,55);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+13640,int_stack+3520,int_stack+1540,55);
 /*--- compute (m0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+19580,int_stack+13640,int_stack+9020,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+28820,int_stack+5995,int_stack+3520,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+0,int_stack+28820,int_stack+13640,55);
 /*--- compute (m0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+28820,int_stack+0,int_stack+19580,55);
 return int_stack+28820;}
