#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_m0ni(Libint_t*, prim_data*);

  /* Computes quartets of (m0|ni) integrals */

REALTYPE *hrr_order_m0ni(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][10] = int_stack + 0;
 Libint->vrr_classes[9][11] = int_stack + 3630;
 Libint->vrr_classes[9][12] = int_stack + 7920;
 Libint->vrr_classes[9][13] = int_stack + 12925;
 Libint->vrr_classes[9][14] = int_stack + 18700;
 Libint->vrr_classes[9][15] = int_stack + 25300;
 Libint->vrr_classes[9][16] = int_stack + 32780;
 memset(int_stack,0,41195*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 41195;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_m0ni(Libint, Data);
   Data++;
 }
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+41195,int_stack+3630,int_stack+0,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+52085,int_stack+7920,int_stack+3630,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+64955,int_stack+52085,int_stack+41195,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+86735,int_stack+12925,int_stack+7920,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+101750,int_stack+86735,int_stack+52085,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+127490,int_stack+101750,int_stack+64955,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+41195,int_stack+18700,int_stack+12925,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+163790,int_stack+41195,int_stack+86735,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+58520,int_stack+163790,int_stack+101750,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+193820,int_stack+58520,int_stack+127490,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+101420,int_stack+25300,int_stack+18700,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+121220,int_stack+101420,int_stack+41195,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+248270,int_stack+121220,int_stack+163790,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+298320,int_stack+248270,int_stack+58520,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+362670,int_stack+298320,int_stack+193820,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+41195,int_stack+32780,int_stack+25300,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+155870,int_stack+41195,int_stack+101420,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+155870,int_stack+121220,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+57750,int_stack+0,int_stack+248270,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+132825,int_stack+57750,int_stack+298320,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+132825,int_stack+362670,55);
 return int_stack+0;}
