#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mlml(Libint_t*, prim_data*);

  /* Computes quartets of (ml|ml) integrals */

REALTYPE *hrr_order_mlml(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][9] = int_stack + 0;
 Libint->vrr_classes[9][10] = int_stack + 3025;
 Libint->vrr_classes[9][11] = int_stack + 6655;
 Libint->vrr_classes[9][12] = int_stack + 10945;
 Libint->vrr_classes[9][13] = int_stack + 15950;
 Libint->vrr_classes[9][14] = int_stack + 21725;
 Libint->vrr_classes[9][15] = int_stack + 28325;
 Libint->vrr_classes[9][16] = int_stack + 35805;
 Libint->vrr_classes[9][17] = int_stack + 44220;
 Libint->vrr_classes[10][9] = int_stack + 53625;
 Libint->vrr_classes[10][10] = int_stack + 57255;
 Libint->vrr_classes[10][11] = int_stack + 61611;
 Libint->vrr_classes[10][12] = int_stack + 66759;
 Libint->vrr_classes[10][13] = int_stack + 72765;
 Libint->vrr_classes[10][14] = int_stack + 79695;
 Libint->vrr_classes[10][15] = int_stack + 87615;
 Libint->vrr_classes[10][16] = int_stack + 96591;
 Libint->vrr_classes[10][17] = int_stack + 106689;
 Libint->vrr_classes[11][9] = int_stack + 117975;
 Libint->vrr_classes[11][10] = int_stack + 122265;
 Libint->vrr_classes[11][11] = int_stack + 127413;
 Libint->vrr_classes[11][12] = int_stack + 133497;
 Libint->vrr_classes[11][13] = int_stack + 140595;
 Libint->vrr_classes[11][14] = int_stack + 148785;
 Libint->vrr_classes[11][15] = int_stack + 158145;
 Libint->vrr_classes[11][16] = int_stack + 168753;
 Libint->vrr_classes[11][17] = int_stack + 180687;
 Libint->vrr_classes[12][9] = int_stack + 194025;
 Libint->vrr_classes[12][10] = int_stack + 199030;
 Libint->vrr_classes[12][11] = int_stack + 205036;
 Libint->vrr_classes[12][12] = int_stack + 212134;
 Libint->vrr_classes[12][13] = int_stack + 220415;
 Libint->vrr_classes[12][14] = int_stack + 229970;
 Libint->vrr_classes[12][15] = int_stack + 240890;
 Libint->vrr_classes[12][16] = int_stack + 253266;
 Libint->vrr_classes[12][17] = int_stack + 267189;
 Libint->vrr_classes[13][9] = int_stack + 282750;
 Libint->vrr_classes[13][10] = int_stack + 288525;
 Libint->vrr_classes[13][11] = int_stack + 295455;
 Libint->vrr_classes[13][12] = int_stack + 303645;
 Libint->vrr_classes[13][13] = int_stack + 313200;
 Libint->vrr_classes[13][14] = int_stack + 324225;
 Libint->vrr_classes[13][15] = int_stack + 336825;
 Libint->vrr_classes[13][16] = int_stack + 351105;
 Libint->vrr_classes[13][17] = int_stack + 367170;
 Libint->vrr_classes[14][9] = int_stack + 385125;
 Libint->vrr_classes[14][10] = int_stack + 391725;
 Libint->vrr_classes[14][11] = int_stack + 399645;
 Libint->vrr_classes[14][12] = int_stack + 409005;
 Libint->vrr_classes[14][13] = int_stack + 419925;
 Libint->vrr_classes[14][14] = int_stack + 432525;
 Libint->vrr_classes[14][15] = int_stack + 446925;
 Libint->vrr_classes[14][16] = int_stack + 463245;
 Libint->vrr_classes[14][17] = int_stack + 481605;
 Libint->vrr_classes[15][9] = int_stack + 502125;
 Libint->vrr_classes[15][10] = int_stack + 509605;
 Libint->vrr_classes[15][11] = int_stack + 518581;
 Libint->vrr_classes[15][12] = int_stack + 529189;
 Libint->vrr_classes[15][13] = int_stack + 541565;
 Libint->vrr_classes[15][14] = int_stack + 555845;
 Libint->vrr_classes[15][15] = int_stack + 572165;
 Libint->vrr_classes[15][16] = int_stack + 590661;
 Libint->vrr_classes[15][17] = int_stack + 611469;
 Libint->vrr_classes[16][9] = int_stack + 634725;
 Libint->vrr_classes[16][10] = int_stack + 643140;
 Libint->vrr_classes[16][11] = int_stack + 653238;
 Libint->vrr_classes[16][12] = int_stack + 665172;
 Libint->vrr_classes[16][13] = int_stack + 679095;
 Libint->vrr_classes[16][14] = int_stack + 695160;
 Libint->vrr_classes[16][15] = int_stack + 713520;
 Libint->vrr_classes[16][16] = int_stack + 734328;
 Libint->vrr_classes[16][17] = int_stack + 757737;
 Libint->vrr_classes[17][9] = int_stack + 783900;
 Libint->vrr_classes[17][10] = int_stack + 793305;
 Libint->vrr_classes[17][11] = int_stack + 804591;
 Libint->vrr_classes[17][12] = int_stack + 817929;
 Libint->vrr_classes[17][13] = int_stack + 833490;
 Libint->vrr_classes[17][14] = int_stack + 851445;
 Libint->vrr_classes[17][15] = int_stack + 871965;
 Libint->vrr_classes[17][16] = int_stack + 895221;
 Libint->vrr_classes[17][17] = int_stack + 921384;
 memset(int_stack,0,950625*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 950625;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mlml(Libint, Data);
   Data++;
 }
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+950625,int_stack+3025,int_stack+0,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+959700,int_stack+6655,int_stack+3025,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+970590,int_stack+959700,int_stack+950625,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+988740,int_stack+10945,int_stack+6655,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1001610,int_stack+988740,int_stack+959700,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+1023390,int_stack+1001610,int_stack+970590,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+950625,int_stack+15950,int_stack+10945,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1053640,int_stack+950625,int_stack+988740,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1079380,int_stack+1053640,int_stack+1001610,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+965640,int_stack+1079380,int_stack+1023390,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1011015,int_stack+21725,int_stack+15950,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1115680,int_stack+1011015,int_stack+950625,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1145710,int_stack+1115680,int_stack+1053640,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1188610,int_stack+1145710,int_stack+1079380,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1028340,int_stack+1188610,int_stack+965640,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+950625,int_stack+28325,int_stack+21725,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+970425,int_stack+950625,int_stack+1011015,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1243060,int_stack+970425,int_stack+1115680,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1293110,int_stack+1243060,int_stack+1145710,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1091865,int_stack+1293110,int_stack+1188610,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1357460,int_stack+1091865,int_stack+1028340,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1005075,int_stack+35805,int_stack+28325,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1027515,int_stack+1005075,int_stack+950625,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1168095,int_stack+1027515,int_stack+970425,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1442160,int_stack+1168095,int_stack+1243060,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1517235,int_stack+1442160,int_stack+1293110,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1225845,int_stack+1517235,int_stack+1091865,55);
 /*--- compute (m0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1607325,int_stack+1225845,int_stack+1357460,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+950625,int_stack+44220,int_stack+35805,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1067115,int_stack+950625,int_stack+1005075,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+950625,int_stack+1067115,int_stack+1027515,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1016625,int_stack+950625,int_stack+1168095,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1103250,int_stack+1016625,int_stack+1442160,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+950625,int_stack+1103250,int_stack+1517235,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1070745,int_stack+950625,int_stack+1225845,55);
 /*--- compute (m0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+1201425,int_stack+1070745,int_stack+1607325,55);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+950625,int_stack+57255,int_stack+53625,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+961515,int_stack+61611,int_stack+57255,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+974583,int_stack+961515,int_stack+950625,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+996363,int_stack+66759,int_stack+61611,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1011807,int_stack+996363,int_stack+961515,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+1037943,int_stack+1011807,int_stack+974583,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+950625,int_stack+72765,int_stack+66759,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1074243,int_stack+950625,int_stack+996363,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1105131,int_stack+1074243,int_stack+1011807,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+968643,int_stack+1105131,int_stack+1037943,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1023093,int_stack+79695,int_stack+72765,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1148691,int_stack+1023093,int_stack+950625,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1337550,int_stack+1148691,int_stack+1074243,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1389030,int_stack+1337550,int_stack+1105131,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1043883,int_stack+1389030,int_stack+968643,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+950625,int_stack+87615,int_stack+79695,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+974385,int_stack+950625,int_stack+1023093,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1454370,int_stack+974385,int_stack+1148691,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1120113,int_stack+1454370,int_stack+1337550,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1514430,int_stack+1120113,int_stack+1389030,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1337550,int_stack+1514430,int_stack+1043883,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1015965,int_stack+96591,int_stack+87615,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1042893,int_stack+1015965,int_stack+950625,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1605906,int_stack+1042893,int_stack+974385,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+1605906,int_stack+1454370,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1675206,int_stack+0,int_stack+1120113,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1783314,int_stack+1675206,int_stack+1514430,66);
 /*--- compute (n0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1439190,int_stack+1783314,int_stack+1337550,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1337550,int_stack+106689,int_stack+96591,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1367844,int_stack+1337550,int_stack+1015965,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+950625,int_stack+1367844,int_stack+1042893,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1029825,int_stack+950625,int_stack+1605906,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1905282,int_stack+1029825,int_stack+0,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+950625,int_stack+1905282,int_stack+1675206,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1569870,int_stack+950625,int_stack+1783314,66);
 /*--- compute (n0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+950625,int_stack+1569870,int_stack+1439190,66);
 /*--- compute (mp|ml) ---*/
 hrr1_build_mp(Libint->AB,int_stack+1337550,int_stack+950625,int_stack+1201425,2475);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+1113975,int_stack+122265,int_stack+117975,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1126845,int_stack+127413,int_stack+122265,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+1142289,int_stack+1126845,int_stack+1113975,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1168029,int_stack+133497,int_stack+127413,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1186281,int_stack+1168029,int_stack+1126845,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+1217169,int_stack+1186281,int_stack+1142289,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1113975,int_stack+140595,int_stack+133497,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1260069,int_stack+1113975,int_stack+1168029,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+1260069,int_stack+1186281,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+1135269,int_stack+0,int_stack+1217169,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1199619,int_stack+148785,int_stack+140595,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+51480,int_stack+1199619,int_stack+1113975,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1745925,int_stack+51480,int_stack+1260069,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1224189,int_stack+1745925,int_stack+0,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1806765,int_stack+1224189,int_stack+1135269,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+158145,int_stack+148785,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1113975,int_stack+0,int_stack+1199619,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1896855,int_stack+1113975,int_stack+51480,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+28080,int_stack+1896855,int_stack+1745925,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1967835,int_stack+28080,int_stack+1224189,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1163115,int_stack+1967835,int_stack+1806765,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1745925,int_stack+168753,int_stack+158145,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1777749,int_stack+1745925,int_stack+0,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+2075943,int_stack+1777749,int_stack+1113975,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+2157843,int_stack+2075943,int_stack+1896855,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1833909,int_stack+2157843,int_stack+28080,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+1833909,int_stack+1967835,78);
 /*--- compute (o0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+2264313,int_stack+0,int_stack+1163115,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1113975,int_stack+180687,int_stack+168753,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1149777,int_stack+1113975,int_stack+1745925,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1213425,int_stack+1149777,int_stack+1777749,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2418753,int_stack+1213425,int_stack+2075943,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1113975,int_stack+2418753,int_stack+2157843,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1961673,int_stack+1113975,int_stack+1833909,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1113975,int_stack+1961673,int_stack+0,78);
 /*--- compute (o0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+0,int_stack+1113975,int_stack+2264313,78);
 /*--- compute (np|ml) ---*/
 hrr1_build_np(Libint->AB,int_stack+1745925,int_stack+0,int_stack+950625,2475);
 /*--- compute (md|ml) ---*/
 hrr1_build_md(Libint->AB,int_stack+2235975,int_stack+1745925,int_stack+1337550,2475);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+950625,int_stack+199030,int_stack+194025,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+965640,int_stack+205036,int_stack+199030,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+983658,int_stack+965640,int_stack+950625,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1013688,int_stack+212134,int_stack+205036,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1034982,int_stack+1013688,int_stack+965640,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+1071018,int_stack+1034982,int_stack+983658,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+950625,int_stack+220415,int_stack+212134,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1121068,int_stack+950625,int_stack+1013688,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1163656,int_stack+1121068,int_stack+1034982,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+975468,int_stack+1163656,int_stack+1071018,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1050543,int_stack+229970,int_stack+220415,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1223716,int_stack+1050543,int_stack+950625,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1273402,int_stack+1223716,int_stack+1121068,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1344382,int_stack+1273402,int_stack+1163656,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1079208,int_stack+1344382,int_stack+975468,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+950625,int_stack+240890,int_stack+229970,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+983385,int_stack+950625,int_stack+1050543,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1434472,int_stack+983385,int_stack+1223716,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1517282,int_stack+1434472,int_stack+1273402,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1184313,int_stack+1517282,int_stack+1344382,91);
 /*--- compute (q0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+3052725,int_stack+1184313,int_stack+1079208,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1040715,int_stack+253266,int_stack+240890,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1077843,int_stack+1040715,int_stack+950625,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1310439,int_stack+1077843,int_stack+983385,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+3192865,int_stack+1310439,int_stack+1434472,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+3317080,int_stack+3192865,int_stack+1517282,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1405989,int_stack+3317080,int_stack+1184313,91);
 /*--- compute (q0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+3466138,int_stack+1405989,int_stack+3052725,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+3052725,int_stack+267189,int_stack+253266,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+3094494,int_stack+3052725,int_stack+1040715,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+950625,int_stack+3094494,int_stack+1077843,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1059825,int_stack+950625,int_stack+1310439,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1203150,int_stack+1059825,int_stack+3192865,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+950625,int_stack+1203150,int_stack+3317080,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1149369,int_stack+950625,int_stack+1405989,91);
 /*--- compute (q0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+1365585,int_stack+1149369,int_stack+3466138,91);
 /*--- compute (op|ml) ---*/
 hrr1_build_op(Libint->AB,int_stack+3052725,int_stack+1365585,int_stack+0,2475);
 /*--- compute (nd|ml) ---*/
 hrr1_build_nd(Libint->AB,int_stack+3631875,int_stack+3052725,int_stack+1745925,2475);
 /*--- compute (mf|ml) ---*/
 hrr1_build_mf(Libint->AB,int_stack+4611975,int_stack+3631875,int_stack+2235975,2475);
 /*--- compute (r0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+288525,int_stack+282750,105);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+17325,int_stack+295455,int_stack+288525,105);
 /*--- compute (r0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+38115,int_stack+17325,int_stack+0,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+72765,int_stack+303645,int_stack+295455,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+97335,int_stack+72765,int_stack+17325,105);
 /*--- compute (r0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+138915,int_stack+97335,int_stack+38115,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+313200,int_stack+303645,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+196665,int_stack+0,int_stack+72765,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+950625,int_stack+196665,int_stack+97335,105);
 /*--- compute (r0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+28665,int_stack+950625,int_stack+138915,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+115290,int_stack+324225,int_stack+313200,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+245805,int_stack+115290,int_stack+0,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1019925,int_stack+245805,int_stack+196665,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1101825,int_stack+1019925,int_stack+950625,105);
 /*--- compute (r0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1205775,int_stack+1101825,int_stack+28665,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+950625,int_stack+336825,int_stack+324225,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+0,int_stack+950625,int_stack+115290,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+66150,int_stack+0,int_stack+245805,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+161700,int_stack+66150,int_stack+1019925,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1590810,int_stack+161700,int_stack+1101825,105);
 /*--- compute (r0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+988425,int_stack+1590810,int_stack+1205775,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1150125,int_stack+351105,int_stack+336825,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1192965,int_stack+1150125,int_stack+950625,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1736340,int_stack+1192965,int_stack+0,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1846590,int_stack+1736340,int_stack+66150,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1989915,int_stack+1846590,int_stack+161700,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+1989915,int_stack+1590810,105);
 /*--- compute (r0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+2161905,int_stack+0,int_stack+988425,105);
 /*--- compute (r0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1590810,int_stack+367170,int_stack+351105,105);
 /*--- compute (r0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1639005,int_stack+1590810,int_stack+1150125,105);
 /*--- compute (r0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+194040,int_stack+1639005,int_stack+1192965,105);
 /*--- compute (r0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+950625,int_stack+194040,int_stack+1736340,105);
 /*--- compute (r0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1590810,int_stack+950625,int_stack+1846590,105);
 /*--- compute (r0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+950625,int_stack+1590810,int_stack+1989915,105);
 /*--- compute (r0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1590810,int_stack+950625,int_stack+0,105);
 /*--- compute (r0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+0,int_stack+1590810,int_stack+2161905,105);
 /*--- compute (qp|ml) ---*/
 hrr1_build_qp(Libint->AB,int_stack+1590810,int_stack+0,int_stack+1365585,2475);
 /*--- compute (od|ml) ---*/
 hrr1_build_od(Libint->AB,int_stack+5973225,int_stack+1590810,int_stack+3052725,2475);
 /*--- compute (nf|ml) ---*/
 hrr1_build_nf(Libint->AB,int_stack+7131525,int_stack+5973225,int_stack+3631875,2475);
 /*--- compute (mg|ml) ---*/
 hrr1_build_mg(Libint->AB,int_stack+2266485,int_stack+7131525,int_stack+4611975,2475);
 /*--- compute (t0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+4308360,int_stack+391725,int_stack+385125,120);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+4328160,int_stack+399645,int_stack+391725,120);
 /*--- compute (t0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+4351920,int_stack+4328160,int_stack+4308360,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+4391520,int_stack+409005,int_stack+399645,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+4419600,int_stack+4391520,int_stack+4328160,120);
 /*--- compute (t0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+4467120,int_stack+4419600,int_stack+4351920,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+4308360,int_stack+419925,int_stack+409005,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+4533120,int_stack+4308360,int_stack+4391520,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+4589280,int_stack+4533120,int_stack+4419600,120);
 /*--- compute (t0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+4341120,int_stack+4589280,int_stack+4467120,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+4440120,int_stack+432525,int_stack+419925,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+4668480,int_stack+4440120,int_stack+4308360,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+4734000,int_stack+4668480,int_stack+4533120,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+4827600,int_stack+4734000,int_stack+4589280,120);
 /*--- compute (t0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+4477920,int_stack+4827600,int_stack+4341120,120);
 /*--- compute (t0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+4308360,int_stack+446925,int_stack+432525,120);
 /*--- compute (t0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+4351560,int_stack+4308360,int_stack+4440120,120);
 /*--- compute (t0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+4946400,int_stack+4351560,int_stack+4668480,120);
 /*--- compute (t0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+5055600,int_stack+4946400,int_stack+4734000,120);
 /*--- compute (t0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+4616520,int_stack+5055600,int_stack+4827600,120);
 /*--- compute (t0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+5196000,int_stack+4616520,int_stack+4477920,120);
 /*--- compute (t0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+4427160,int_stack+463245,int_stack+446925,120);
 /*--- compute (t0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+4476120,int_stack+4427160,int_stack+4308360,120);
 /*--- compute (t0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+4782840,int_stack+4476120,int_stack+4351560,120);
 /*--- compute (t0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+5380800,int_stack+4782840,int_stack+4946400,120);
 /*--- compute (t0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+5544600,int_stack+5380800,int_stack+5055600,120);
 /*--- compute (t0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+4908840,int_stack+5544600,int_stack+4616520,120);
 /*--- compute (t0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+950625,int_stack+4908840,int_stack+5196000,120);
 /*--- compute (t0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+4308360,int_stack+481605,int_stack+463245,120);
 /*--- compute (t0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+4562520,int_stack+4308360,int_stack+4427160,120);
 /*--- compute (t0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+4308360,int_stack+4562520,int_stack+4476120,120);
 /*--- compute (t0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+4452360,int_stack+4308360,int_stack+4782840,120);
 /*--- compute (t0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+4641360,int_stack+4452360,int_stack+5380800,120);
 /*--- compute (t0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+4308360,int_stack+4641360,int_stack+5544600,120);
 /*--- compute (t0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+4570440,int_stack+4308360,int_stack+4908840,120);
 /*--- compute (t0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+4855560,int_stack+4570440,int_stack+950625,120);
 /*--- compute (rp|ml) ---*/
 hrr1_build_rp(Libint->AB,int_stack+5152560,int_stack+4855560,int_stack+0,2475);
 /*--- compute (qd|ml) ---*/
 hrr1_build_qd(Libint->AB,int_stack+8765025,int_stack+5152560,int_stack+1590810,2475);
 /*--- compute (of|ml) ---*/
 hrr1_build_of(Libint->AB,int_stack+10116375,int_stack+8765025,int_stack+5973225,2475);
 /*--- compute (ng|ml) ---*/
 hrr1_build_ng(Libint->AB,int_stack+12046875,int_stack+10116375,int_stack+7131525,2475);
 /*--- compute (mh|ml) ---*/
 hrr1_build_mh(Libint->AB,int_stack+14497125,int_stack+12046875,int_stack+2266485,2475);
 /*--- compute (u0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+509605,int_stack+502125,136);
 /*--- compute (u0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+22440,int_stack+518581,int_stack+509605,136);
 /*--- compute (u0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+49368,int_stack+22440,int_stack+0,136);
 /*--- compute (u0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+94248,int_stack+529189,int_stack+518581,136);
 /*--- compute (u0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+126072,int_stack+94248,int_stack+22440,136);
 /*--- compute (u0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+179928,int_stack+126072,int_stack+49368,136);
 /*--- compute (u0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+541565,int_stack+529189,136);
 /*--- compute (u0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+254728,int_stack+0,int_stack+94248,136);
 /*--- compute (u0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+318376,int_stack+254728,int_stack+126072,136);
 /*--- compute (u0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+37128,int_stack+318376,int_stack+179928,136);
 /*--- compute (u0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+149328,int_stack+555845,int_stack+541565,136);
 /*--- compute (u0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+408136,int_stack+149328,int_stack+0,136);
 /*--- compute (u0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+950625,int_stack+408136,int_stack+254728,136);
 /*--- compute (u0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1056705,int_stack+950625,int_stack+318376,136);
 /*--- compute (u0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+192168,int_stack+1056705,int_stack+37128,136);
 /*--- compute (u0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+572165,int_stack+555845,136);
 /*--- compute (u0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+48960,int_stack+0,int_stack+149328,136);
 /*--- compute (u0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1191345,int_stack+48960,int_stack+408136,136);
 /*--- compute (u0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+349248,int_stack+1191345,int_stack+950625,136);
 /*--- compute (u0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1315105,int_stack+349248,int_stack+1056705,136);
 /*--- compute (u0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+950625,int_stack+1315105,int_stack+192168,136);
 /*--- compute (u0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+134640,int_stack+590661,int_stack+572165,136);
 /*--- compute (u0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+190128,int_stack+134640,int_stack+0,136);
 /*--- compute (u0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1503601,int_stack+190128,int_stack+48960,136);
 /*--- compute (u0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1646401,int_stack+1503601,int_stack+1191345,136);
 /*--- compute (u0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1832041,int_stack+1646401,int_stack+349248,136);
 /*--- compute (u0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+288048,int_stack+1832041,int_stack+1315105,136);
 /*--- compute (u0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1160065,int_stack+288048,int_stack+950625,136);
 /*--- compute (u0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+950625,int_stack+611469,int_stack+590661,136);
 /*--- compute (u0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1013049,int_stack+950625,int_stack+134640,136);
 /*--- compute (u0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+0,int_stack+1013049,int_stack+190128,136);
 /*--- compute (u0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2054809,int_stack+0,int_stack+1503601,136);
 /*--- compute (u0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+0,int_stack+2054809,int_stack+1646401,136);
 /*--- compute (u0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+2054809,int_stack+0,int_stack+1832041,136);
 /*--- compute (u0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2351833,int_stack+2054809,int_stack+288048,136);
 /*--- compute (u0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+0,int_stack+2351833,int_stack+1160065,136);
 /*--- compute (tp|ml) ---*/
 hrr1_build_tp(Libint->AB,int_stack+950625,int_stack+0,int_stack+4855560,2475);
 /*--- compute (rd|ml) ---*/
 hrr1_build_rd(Libint->AB,int_stack+1841625,int_stack+950625,int_stack+5152560,2475);
 /*--- compute (qf|ml) ---*/
 hrr1_build_qf(Libint->AB,int_stack+3400875,int_stack+1841625,int_stack+8765025,2475);
 /*--- compute (og|ml) ---*/
 hrr1_build_og(Libint->AB,int_stack+5653125,int_stack+3400875,int_stack+10116375,2475);
 /*--- compute (nh|ml) ---*/
 hrr1_build_nh(Libint->AB,int_stack+8548875,int_stack+5653125,int_stack+12046875,2475);
 /*--- compute (mi|ml) ---*/
 hrr1_build_mi(Libint->AB,int_stack+17355750,int_stack+8548875,int_stack+14497125,2475);
 /*--- compute (v0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+336600,int_stack+643140,int_stack+634725,153);
 /*--- compute (v0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+361845,int_stack+653238,int_stack+643140,153);
 /*--- compute (v0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+392139,int_stack+361845,int_stack+336600,153);
 /*--- compute (v0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+442629,int_stack+665172,int_stack+653238,153);
 /*--- compute (v0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+478431,int_stack+442629,int_stack+361845,153);
 /*--- compute (v0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+539019,int_stack+478431,int_stack+392139,153);
 /*--- compute (v0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+336600,int_stack+679095,int_stack+665172,153);
 /*--- compute (v0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+11979225,int_stack+336600,int_stack+442629,153);
 /*--- compute (v0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+12050829,int_stack+11979225,int_stack+478431,153);
 /*--- compute (v0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+378369,int_stack+12050829,int_stack+539019,153);
 /*--- compute (v0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+504594,int_stack+695160,int_stack+679095,153);
 /*--- compute (v0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+552789,int_stack+504594,int_stack+336600,153);
 /*--- compute (v0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+12151809,int_stack+552789,int_stack+11979225,153);
 /*--- compute (v0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+12271149,int_stack+12151809,int_stack+12050829,153);
 /*--- compute (v0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+12422619,int_stack+12271149,int_stack+378369,153);
 /*--- compute (v0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+11979225,int_stack+713520,int_stack+695160,153);
 /*--- compute (v0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+12034305,int_stack+11979225,int_stack+504594,153);
 /*--- compute (v0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+336600,int_stack+12034305,int_stack+552789,153);
 /*--- compute (v0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+475830,int_stack+336600,int_stack+12151809,153);
 /*--- compute (v0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+12599334,int_stack+475830,int_stack+12271149,153);
 /*--- compute (v0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+12130695,int_stack+12599334,int_stack+12422619,153);
 /*--- compute (v0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+12366315,int_stack+734328,int_stack+713520,153);
 /*--- compute (v0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+12428739,int_stack+12366315,int_stack+11979225,153);
 /*--- compute (v0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+12811392,int_stack+12428739,int_stack+12034305,153);
 /*--- compute (v0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+12972042,int_stack+12811392,int_stack+336600,153);
 /*--- compute (v0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+13180887,int_stack+12972042,int_stack+475830,153);
 /*--- compute (v0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+336600,int_stack+13180887,int_stack+12599334,153);
 /*--- compute (v0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+13431501,int_stack+336600,int_stack+12130695,153);
 /*--- compute (v0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+619344,int_stack+757737,int_stack+734328,153);
 /*--- compute (v0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+11979225,int_stack+619344,int_stack+12366315,153);
 /*--- compute (v0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+12104073,int_stack+11979225,int_stack+12428739,153);
 /*--- compute (v0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+12287673,int_stack+12104073,int_stack+12811392,153);
 /*--- compute (v0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+11979225,int_stack+12287673,int_stack+12972042,153);
 /*--- compute (v0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+12271608,int_stack+11979225,int_stack+13180887,153);
 /*--- compute (v0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+12605760,int_stack+12271608,int_stack+336600,153);
 /*--- compute (v0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+336600,int_stack+12605760,int_stack+13431501,153);
 /*--- compute (up|ml) ---*/
 hrr1_build_up(Libint->AB,int_stack+11979225,int_stack+336600,int_stack+0,2475);
 /*--- compute (td|ml) ---*/
 hrr1_build_td(Libint->AB,int_stack+12989025,int_stack+11979225,int_stack+950625,2475);
 /*--- compute (rf|ml) ---*/
 hrr1_build_rf(Libint->AB,int_stack+21167250,int_stack+12989025,int_stack+1841625,2475);
 /*--- compute (qg|ml) ---*/
 hrr1_build_qg(Libint->AB,int_stack+23766000,int_stack+21167250,int_stack+3400875,2475);
 /*--- compute (oh|ml) ---*/
 hrr1_build_oh(Libint->AB,int_stack+950625,int_stack+23766000,int_stack+5653125,2475);
 /*--- compute (ni|ml) ---*/
 hrr1_build_ni(Libint->AB,int_stack+27144375,int_stack+950625,int_stack+8548875,2475);
 /*--- compute (mk|ml) ---*/
 hrr1_build_mk(Libint->AB,int_stack+5004675,int_stack+27144375,int_stack+17355750,2475);
 /*--- compute (w0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+9905175,int_stack+793305,int_stack+783900,171);
 /*--- compute (w0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+9933390,int_stack+804591,int_stack+793305,171);
 /*--- compute (w0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+9967248,int_stack+9933390,int_stack+9905175,171);
 /*--- compute (w0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+10023678,int_stack+817929,int_stack+804591,171);
 /*--- compute (w0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+10063692,int_stack+10023678,int_stack+9933390,171);
 /*--- compute (w0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+10131408,int_stack+10063692,int_stack+9967248,171);
 /*--- compute (w0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+9905175,int_stack+833490,int_stack+817929,171);
 /*--- compute (w0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+10225458,int_stack+9905175,int_stack+10023678,171);
 /*--- compute (w0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+10305486,int_stack+10225458,int_stack+10063692,171);
 /*--- compute (w0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+9951858,int_stack+10305486,int_stack+10131408,171);
 /*--- compute (w0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+10092933,int_stack+851445,int_stack+833490,171);
 /*--- compute (w0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+10418346,int_stack+10092933,int_stack+9905175,171);
 /*--- compute (w0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+10511712,int_stack+10418346,int_stack+10225458,171);
 /*--- compute (w0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+10645092,int_stack+10511712,int_stack+10305486,171);
 /*--- compute (w0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+10146798,int_stack+10645092,int_stack+9951858,171);
 /*--- compute (w0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+9905175,int_stack+871965,int_stack+851445,171);
 /*--- compute (w0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+9966735,int_stack+9905175,int_stack+10092933,171);
 /*--- compute (w0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+10814382,int_stack+9966735,int_stack+10418346,171);
 /*--- compute (w0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+10969992,int_stack+10814382,int_stack+10511712,171);
 /*--- compute (w0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+10344303,int_stack+10969992,int_stack+10645092,171);
 /*--- compute (w0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+11170062,int_stack+10344303,int_stack+10146798,171);
 /*--- compute (w0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+10074465,int_stack+895221,int_stack+871965,171);
 /*--- compute (w0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+10144233,int_stack+10074465,int_stack+9905175,171);
 /*--- compute (w0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+10581309,int_stack+10144233,int_stack+9966735,171);
 /*--- compute (w0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+11433402,int_stack+10581309,int_stack+10814382,171);
 /*--- compute (w0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+11666817,int_stack+11433402,int_stack+10969992,171);
 /*--- compute (w0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+10760859,int_stack+11666817,int_stack+10344303,171);
 /*--- compute (w0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+14771025,int_stack+10760859,int_stack+11170062,171);
 /*--- compute (w0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+9905175,int_stack+921384,int_stack+895221,171);
 /*--- compute (w0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+10267353,int_stack+9905175,int_stack+10074465,171);
 /*--- compute (w0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+9905175,int_stack+10267353,int_stack+10144233,171);
 /*--- compute (w0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+10110375,int_stack+9905175,int_stack+10581309,171);
 /*--- compute (w0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+10379700,int_stack+10110375,int_stack+11433402,171);
 /*--- compute (w0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+9905175,int_stack+10379700,int_stack+11666817,171);
 /*--- compute (w0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+10278639,int_stack+9905175,int_stack+10760859,171);
 /*--- compute (w0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+10684935,int_stack+10278639,int_stack+14771025,171);
 /*--- compute (vp|ml) ---*/
 hrr1_build_vp(Libint->AB,int_stack+14771025,int_stack+10684935,int_stack+336600,2475);
 /*--- compute (ud|ml) ---*/
 hrr1_build_ud(Libint->AB,int_stack+15907050,int_stack+14771025,int_stack+11979225,2475);
 /*--- compute (tf|ml) ---*/
 hrr1_build_tf(Libint->AB,int_stack+17926650,int_stack+15907050,int_stack+12989025,2475);
 /*--- compute (rg|ml) ---*/
 hrr1_build_rg(Libint->AB,int_stack+9905175,int_stack+17926650,int_stack+21167250,2475);
 /*--- compute (qh|ml) ---*/
 hrr1_build_qh(Libint->AB,int_stack+13803300,int_stack+9905175,int_stack+23766000,2475);
 /*--- compute (oi|ml) ---*/
 hrr1_build_oi(Libint->AB,int_stack+18533025,int_stack+13803300,int_stack+950625,2475);
 /*--- compute (nk|ml) ---*/
 hrr1_build_nk(Libint->AB,int_stack+9905175,int_stack+18533025,int_stack+27144375,2475);
 /*--- compute (ml|ml) ---*/
 hrr1_build_ml(Libint->AB,int_stack+15785775,int_stack+9905175,int_stack+5004675,2475);
 return int_stack+15785775;}
