#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mpnh(Libint_t*, prim_data*);

  /* Computes quartets of (mp|nh) integrals */

REALTYPE *hrr_order_mpnh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][10] = int_stack + 0;
 Libint->vrr_classes[9][11] = int_stack + 3630;
 Libint->vrr_classes[9][12] = int_stack + 7920;
 Libint->vrr_classes[9][13] = int_stack + 12925;
 Libint->vrr_classes[9][14] = int_stack + 18700;
 Libint->vrr_classes[9][15] = int_stack + 25300;
 Libint->vrr_classes[10][10] = int_stack + 32780;
 Libint->vrr_classes[10][11] = int_stack + 37136;
 Libint->vrr_classes[10][12] = int_stack + 42284;
 Libint->vrr_classes[10][13] = int_stack + 48290;
 Libint->vrr_classes[10][14] = int_stack + 55220;
 Libint->vrr_classes[10][15] = int_stack + 63140;
 memset(int_stack,0,72116*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 72116;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mpnh(Libint, Data);
   Data++;
 }
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+72116,int_stack+3630,int_stack+0,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+83006,int_stack+7920,int_stack+3630,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+95876,int_stack+83006,int_stack+72116,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+117656,int_stack+12925,int_stack+7920,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+132671,int_stack+117656,int_stack+83006,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+158411,int_stack+132671,int_stack+95876,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+72116,int_stack+18700,int_stack+12925,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+194711,int_stack+72116,int_stack+117656,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+89441,int_stack+194711,int_stack+132671,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+224741,int_stack+89441,int_stack+158411,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+132341,int_stack+25300,int_stack+18700,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+152141,int_stack+132341,int_stack+72116,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+279191,int_stack+152141,int_stack+194711,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+132341,int_stack+279191,int_stack+89441,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+279191,int_stack+132341,int_stack+224741,55);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+72116,int_stack+37136,int_stack+32780,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+85184,int_stack+42284,int_stack+37136,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+100628,int_stack+85184,int_stack+72116,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+126764,int_stack+48290,int_stack+42284,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+144782,int_stack+126764,int_stack+85184,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+175670,int_stack+144782,int_stack+100628,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+72116,int_stack+55220,int_stack+48290,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+219230,int_stack+72116,int_stack+126764,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+92906,int_stack+219230,int_stack+144782,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+355421,int_stack+92906,int_stack+175670,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+144386,int_stack+63140,int_stack+55220,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+168146,int_stack+144386,int_stack+72116,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+168146,int_stack+219230,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+144386,int_stack+0,int_stack+92906,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+144386,int_stack+355421,66);
 /*--- compute (mp|nh) ---*/
 hrr1_build_mp(Libint->AB,int_stack+355421,int_stack+0,int_stack+279191,1386);
 return int_stack+355421;}
