#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mpnl(Libint_t*, prim_data*);

  /* Computes quartets of (mp|nl) integrals */

REALTYPE *hrr_order_mpnl(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][10] = int_stack + 0;
 Libint->vrr_classes[9][11] = int_stack + 3630;
 Libint->vrr_classes[9][12] = int_stack + 7920;
 Libint->vrr_classes[9][13] = int_stack + 12925;
 Libint->vrr_classes[9][14] = int_stack + 18700;
 Libint->vrr_classes[9][15] = int_stack + 25300;
 Libint->vrr_classes[9][16] = int_stack + 32780;
 Libint->vrr_classes[9][17] = int_stack + 41195;
 Libint->vrr_classes[9][18] = int_stack + 50600;
 Libint->vrr_classes[10][10] = int_stack + 61050;
 Libint->vrr_classes[10][11] = int_stack + 65406;
 Libint->vrr_classes[10][12] = int_stack + 70554;
 Libint->vrr_classes[10][13] = int_stack + 76560;
 Libint->vrr_classes[10][14] = int_stack + 83490;
 Libint->vrr_classes[10][15] = int_stack + 91410;
 Libint->vrr_classes[10][16] = int_stack + 100386;
 Libint->vrr_classes[10][17] = int_stack + 110484;
 Libint->vrr_classes[10][18] = int_stack + 121770;
 memset(int_stack,0,134310*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 134310;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mpnl(Libint, Data);
   Data++;
 }
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+134310,int_stack+3630,int_stack+0,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+145200,int_stack+7920,int_stack+3630,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+158070,int_stack+145200,int_stack+134310,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+179850,int_stack+12925,int_stack+7920,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+194865,int_stack+179850,int_stack+145200,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+220605,int_stack+194865,int_stack+158070,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+134310,int_stack+18700,int_stack+12925,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+256905,int_stack+134310,int_stack+179850,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+151635,int_stack+256905,int_stack+194865,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+286935,int_stack+151635,int_stack+220605,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+194535,int_stack+25300,int_stack+18700,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+214335,int_stack+194535,int_stack+134310,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+341385,int_stack+214335,int_stack+256905,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+391435,int_stack+341385,int_stack+151635,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+455785,int_stack+391435,int_stack+286935,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+134310,int_stack+32780,int_stack+25300,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+248985,int_stack+134310,int_stack+194535,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+532015,int_stack+248985,int_stack+214335,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+156750,int_stack+532015,int_stack+341385,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+288585,int_stack+156750,int_stack+391435,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+589765,int_stack+288585,int_stack+455785,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+378675,int_stack+41195,int_stack+32780,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+403920,int_stack+378675,int_stack+134310,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+448800,int_stack+403920,int_stack+248985,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+691405,int_stack+448800,int_stack+532015,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+778030,int_stack+691405,int_stack+156750,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+134310,int_stack+778030,int_stack+288585,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+883135,int_stack+134310,int_stack+589765,55);
 /*--- compute (m0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+254430,int_stack+50600,int_stack+41195,55);
 /*--- compute (m0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+282645,int_stack+254430,int_stack+378675,55);
 /*--- compute (m0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+514800,int_stack+282645,int_stack+403920,55);
 /*--- compute (m0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+254430,int_stack+514800,int_stack+448800,55);
 /*--- compute (m0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+353430,int_stack+254430,int_stack+691405,55);
 /*--- compute (m0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+474705,int_stack+353430,int_stack+778030,55);
 /*--- compute (m0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+254430,int_stack+474705,int_stack+134310,55);
 /*--- compute (m0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+408870,int_stack+254430,int_stack+883135,55);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+134310,int_stack+65406,int_stack+61050,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+147378,int_stack+70554,int_stack+65406,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+162822,int_stack+147378,int_stack+134310,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+188958,int_stack+76560,int_stack+70554,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+206976,int_stack+188958,int_stack+147378,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+237864,int_stack+206976,int_stack+162822,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+134310,int_stack+83490,int_stack+76560,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+281424,int_stack+134310,int_stack+188958,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+155100,int_stack+281424,int_stack+206976,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+317460,int_stack+155100,int_stack+237864,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+206580,int_stack+91410,int_stack+83490,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+230340,int_stack+206580,int_stack+134310,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+572220,int_stack+230340,int_stack+281424,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+632280,int_stack+572220,int_stack+155100,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+709500,int_stack+632280,int_stack+317460,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+134310,int_stack+100386,int_stack+91410,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+271920,int_stack+134310,int_stack+206580,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+319440,int_stack+271920,int_stack+230340,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+161238,int_stack+319440,int_stack+572220,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+800976,int_stack+161238,int_stack+632280,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+572220,int_stack+800976,int_stack+709500,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+694188,int_stack+110484,int_stack+100386,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+724482,int_stack+694188,int_stack+134310,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+909084,int_stack+724482,int_stack+271920,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+0,int_stack+909084,int_stack+319440,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+251328,int_stack+0,int_stack+161238,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+988284,int_stack+251328,int_stack+800976,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1132428,int_stack+988284,int_stack+572220,66);
 /*--- compute (n0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+572220,int_stack+121770,int_stack+110484,66);
 /*--- compute (n0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+606078,int_stack+572220,int_stack+694188,66);
 /*--- compute (n0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+778338,int_stack+606078,int_stack+724482,66);
 /*--- compute (n0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+572220,int_stack+778338,int_stack+909084,66);
 /*--- compute (n0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+691020,int_stack+572220,int_stack+0,66);
 /*--- compute (n0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+0,int_stack+691020,int_stack+251328,66);
 /*--- compute (n0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+168168,int_stack+0,int_stack+988284,66);
 /*--- compute (n0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+572220,int_stack+168168,int_stack+1132428,66);
 /*--- compute (mp|nl) ---*/
 hrr1_build_mp(Libint->AB,int_stack+768240,int_stack+572220,int_stack+408870,2970);
 return int_stack+768240;}
