#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ngnm(Libint_t*, prim_data*);

  /* Computes quartets of (ng|nm) integrals */

REALTYPE *hrr_order_ngnm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][10] = int_stack + 0;
 Libint->vrr_classes[10][11] = int_stack + 4356;
 Libint->vrr_classes[10][12] = int_stack + 9504;
 Libint->vrr_classes[10][13] = int_stack + 15510;
 Libint->vrr_classes[10][14] = int_stack + 22440;
 Libint->vrr_classes[10][15] = int_stack + 30360;
 Libint->vrr_classes[10][16] = int_stack + 39336;
 Libint->vrr_classes[10][17] = int_stack + 49434;
 Libint->vrr_classes[10][18] = int_stack + 60720;
 Libint->vrr_classes[10][19] = int_stack + 73260;
 Libint->vrr_classes[11][10] = int_stack + 87120;
 Libint->vrr_classes[11][11] = int_stack + 92268;
 Libint->vrr_classes[11][12] = int_stack + 98352;
 Libint->vrr_classes[11][13] = int_stack + 105450;
 Libint->vrr_classes[11][14] = int_stack + 113640;
 Libint->vrr_classes[11][15] = int_stack + 123000;
 Libint->vrr_classes[11][16] = int_stack + 133608;
 Libint->vrr_classes[11][17] = int_stack + 145542;
 Libint->vrr_classes[11][18] = int_stack + 158880;
 Libint->vrr_classes[11][19] = int_stack + 173700;
 Libint->vrr_classes[12][10] = int_stack + 190080;
 Libint->vrr_classes[12][11] = int_stack + 196086;
 Libint->vrr_classes[12][12] = int_stack + 203184;
 Libint->vrr_classes[12][13] = int_stack + 211465;
 Libint->vrr_classes[12][14] = int_stack + 221020;
 Libint->vrr_classes[12][15] = int_stack + 231940;
 Libint->vrr_classes[12][16] = int_stack + 244316;
 Libint->vrr_classes[12][17] = int_stack + 258239;
 Libint->vrr_classes[12][18] = int_stack + 273800;
 Libint->vrr_classes[12][19] = int_stack + 291090;
 Libint->vrr_classes[13][10] = int_stack + 310200;
 Libint->vrr_classes[13][11] = int_stack + 317130;
 Libint->vrr_classes[13][12] = int_stack + 325320;
 Libint->vrr_classes[13][13] = int_stack + 334875;
 Libint->vrr_classes[13][14] = int_stack + 345900;
 Libint->vrr_classes[13][15] = int_stack + 358500;
 Libint->vrr_classes[13][16] = int_stack + 372780;
 Libint->vrr_classes[13][17] = int_stack + 388845;
 Libint->vrr_classes[13][18] = int_stack + 406800;
 Libint->vrr_classes[13][19] = int_stack + 426750;
 Libint->vrr_classes[14][10] = int_stack + 448800;
 Libint->vrr_classes[14][11] = int_stack + 456720;
 Libint->vrr_classes[14][12] = int_stack + 466080;
 Libint->vrr_classes[14][13] = int_stack + 477000;
 Libint->vrr_classes[14][14] = int_stack + 489600;
 Libint->vrr_classes[14][15] = int_stack + 504000;
 Libint->vrr_classes[14][16] = int_stack + 520320;
 Libint->vrr_classes[14][17] = int_stack + 538680;
 Libint->vrr_classes[14][18] = int_stack + 559200;
 Libint->vrr_classes[14][19] = int_stack + 582000;
 memset(int_stack,0,607200*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 607200;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ngnm(Libint, Data);
   Data++;
 }
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+607200,int_stack+4356,int_stack+0,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+620268,int_stack+9504,int_stack+4356,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+635712,int_stack+620268,int_stack+607200,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+661848,int_stack+15510,int_stack+9504,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+679866,int_stack+661848,int_stack+620268,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+710754,int_stack+679866,int_stack+635712,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+607200,int_stack+22440,int_stack+15510,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+754314,int_stack+607200,int_stack+661848,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+627990,int_stack+754314,int_stack+679866,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+790350,int_stack+627990,int_stack+710754,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+679470,int_stack+30360,int_stack+22440,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+703230,int_stack+679470,int_stack+607200,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+855690,int_stack+703230,int_stack+754314,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+915750,int_stack+855690,int_stack+627990,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+992970,int_stack+915750,int_stack+790350,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+607200,int_stack+39336,int_stack+30360,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+744810,int_stack+607200,int_stack+679470,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1084446,int_stack+744810,int_stack+703230,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+634128,int_stack+1084446,int_stack+855690,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+792330,int_stack+634128,int_stack+915750,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1153746,int_stack+792330,int_stack+992970,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+900438,int_stack+49434,int_stack+39336,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+930732,int_stack+900438,int_stack+607200,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+984588,int_stack+930732,int_stack+744810,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1275714,int_stack+984588,int_stack+1084446,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1379664,int_stack+1275714,int_stack+634128,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+607200,int_stack+1379664,int_stack+792330,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1505790,int_stack+607200,int_stack+1153746,66);
 /*--- compute (n0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+751344,int_stack+60720,int_stack+49434,66);
 /*--- compute (n0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+785202,int_stack+751344,int_stack+900438,66);
 /*--- compute (n0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1063788,int_stack+785202,int_stack+930732,66);
 /*--- compute (n0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+845790,int_stack+1063788,int_stack+984588,66);
 /*--- compute (n0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1662606,int_stack+845790,int_stack+1275714,66);
 /*--- compute (n0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1153548,int_stack+1662606,int_stack+1379664,66);
 /*--- compute (n0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1808136,int_stack+1153548,int_stack+607200,66);
 /*--- compute (n0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1993464,int_stack+1808136,int_stack+1505790,66);
 /*--- compute (n0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+607200,int_stack+73260,int_stack+60720,66);
 /*--- compute (n0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+644820,int_stack+607200,int_stack+751344,66);
 /*--- compute (n0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1321716,int_stack+644820,int_stack+785202,66);
 /*--- compute (n0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+607200,int_stack+1321716,int_stack+1063788,66);
 /*--- compute (n0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1321716,int_stack+607200,int_stack+845790,66);
 /*--- compute (n0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+607200,int_stack+1321716,int_stack+1662606,66);
 /*--- compute (n0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1321716,int_stack+607200,int_stack+1153548,66);
 /*--- compute (n0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+607200,int_stack+1321716,int_stack+1808136,66);
 /*--- compute (n0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+838860,int_stack+607200,int_stack+1993464,66);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+607200,int_stack+92268,int_stack+87120,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+622644,int_stack+98352,int_stack+92268,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+640896,int_stack+622644,int_stack+607200,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+671784,int_stack+105450,int_stack+98352,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+693078,int_stack+671784,int_stack+622644,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+729582,int_stack+693078,int_stack+640896,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+607200,int_stack+113640,int_stack+105450,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+781062,int_stack+607200,int_stack+671784,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+631770,int_stack+781062,int_stack+693078,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1078440,int_stack+631770,int_stack+729582,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+692610,int_stack+123000,int_stack+113640,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+720690,int_stack+692610,int_stack+607200,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1155660,int_stack+720690,int_stack+781062,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1226640,int_stack+1155660,int_stack+631770,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1317900,int_stack+1226640,int_stack+1078440,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1078440,int_stack+133608,int_stack+123000,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+607200,int_stack+1078440,int_stack+692610,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1426008,int_stack+607200,int_stack+720690,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+663360,int_stack+1426008,int_stack+1155660,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1507908,int_stack+663360,int_stack+1226640,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1110264,int_stack+1507908,int_stack+1317900,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1254408,int_stack+145542,int_stack+133608,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1290210,int_stack+1254408,int_stack+1078440,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1635672,int_stack+1290210,int_stack+607200,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1729272,int_stack+1635672,int_stack+1426008,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1353858,int_stack+1729272,int_stack+663360,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+607200,int_stack+1353858,int_stack+1507908,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1852122,int_stack+607200,int_stack+1110264,78);
 /*--- compute (o0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+777552,int_stack+158880,int_stack+145542,78);
 /*--- compute (o0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1078440,int_stack+777552,int_stack+1254408,78);
 /*--- compute (o0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1150044,int_stack+1078440,int_stack+1290210,78);
 /*--- compute (o0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+2037450,int_stack+1150044,int_stack+1635672,78);
 /*--- compute (o0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1502916,int_stack+2037450,int_stack+1729272,78);
 /*--- compute (o0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2177850,int_stack+1502916,int_stack+1353858,78);
 /*--- compute (o0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1256124,int_stack+2177850,int_stack+607200,78);
 /*--- compute (o0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2376594,int_stack+1256124,int_stack+1852122,78);
 /*--- compute (o0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+607200,int_stack+173700,int_stack+158880,78);
 /*--- compute (o0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+651660,int_stack+607200,int_stack+777552,78);
 /*--- compute (o0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1674906,int_stack+651660,int_stack+1078440,78);
 /*--- compute (o0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+607200,int_stack+1674906,int_stack+1150044,78);
 /*--- compute (o0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1674906,int_stack+607200,int_stack+2037450,78);
 /*--- compute (o0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+607200,int_stack+1674906,int_stack+1502916,78);
 /*--- compute (o0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1475148,int_stack+607200,int_stack+2177850,78);
 /*--- compute (o0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+1730676,int_stack+1475148,int_stack+1256124,78);
 /*--- compute (o0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1078440,int_stack+1730676,int_stack+2376594,78);
 /*--- compute (np|nm) ---*/
 hrr1_build_np(Libint->AB,int_stack+1361580,int_stack+1078440,int_stack+838860,3630);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+607200,int_stack+196086,int_stack+190080,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+625218,int_stack+203184,int_stack+196086,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+646512,int_stack+625218,int_stack+607200,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+682548,int_stack+211465,int_stack+203184,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+707391,int_stack+682548,int_stack+625218,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+749979,int_stack+707391,int_stack+646512,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+607200,int_stack+221020,int_stack+211465,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+810039,int_stack+607200,int_stack+682548,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+635865,int_stack+810039,int_stack+707391,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+859725,int_stack+635865,int_stack+749979,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+706845,int_stack+231940,int_stack+221020,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+739605,int_stack+706845,int_stack+607200,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+949815,int_stack+739605,int_stack+810039,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+2080320,int_stack+949815,int_stack+635865,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+2186790,int_stack+2080320,int_stack+859725,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+607200,int_stack+244316,int_stack+231940,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+796935,int_stack+607200,int_stack+706845,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+2312916,int_stack+796935,int_stack+739605,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+644328,int_stack+2312916,int_stack+949815,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+862455,int_stack+644328,int_stack+2080320,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2408466,int_stack+862455,int_stack+2186790,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+2080320,int_stack+258239,int_stack+244316,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+2122089,int_stack+2080320,int_stack+607200,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+2196345,int_stack+2122089,int_stack+796935,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+0,int_stack+2196345,int_stack+2312916,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+2576634,int_stack+0,int_stack+644328,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+607200,int_stack+2576634,int_stack+862455,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+805944,int_stack+607200,int_stack+2408466,91);
 /*--- compute (q0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1022160,int_stack+273800,int_stack+258239,91);
 /*--- compute (q0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+2305545,int_stack+1022160,int_stack+2080320,91);
 /*--- compute (q0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+2389083,int_stack+2305545,int_stack+2122089,91);
 /*--- compute (q0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+2750535,int_stack+2389083,int_stack+2196345,91);
 /*--- compute (q0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+2080320,int_stack+2750535,int_stack+0,91);
 /*--- compute (q0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+0,int_stack+2080320,int_stack+2576634,91);
 /*--- compute (q0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+2914335,int_stack+0,int_stack+607200,91);
 /*--- compute (q0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+3169863,int_stack+2914335,int_stack+805944,91);
 /*--- compute (q0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+607200,int_stack+291090,int_stack+273800,91);
 /*--- compute (q0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+659070,int_stack+607200,int_stack+1022160,91);
 /*--- compute (q0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+752436,int_stack+659070,int_stack+2305545,91);
 /*--- compute (q0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+891666,int_stack+752436,int_stack+2389083,91);
 /*--- compute (q0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+607200,int_stack+891666,int_stack+2750535,91);
 /*--- compute (q0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+2280975,int_stack+607200,int_stack+2080320,91);
 /*--- compute (q0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+607200,int_stack+2280975,int_stack+0,91);
 /*--- compute (q0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+2080320,int_stack+607200,int_stack+2914335,91);
 /*--- compute (q0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+607200,int_stack+2080320,int_stack+3169863,91);
 /*--- compute (op|nm) ---*/
 hrr1_build_op(Libint->AB,int_stack+2080320,int_stack+607200,int_stack+1078440,3630);
 /*--- compute (nd|nm) ---*/
 hrr1_build_nd(Libint->AB,int_stack+2929740,int_stack+2080320,int_stack+1361580,3630);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+937530,int_stack+317130,int_stack+310200,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+958320,int_stack+325320,int_stack+317130,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+982890,int_stack+958320,int_stack+937530,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1024470,int_stack+334875,int_stack+325320,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1053135,int_stack+1024470,int_stack+958320,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1102275,int_stack+1053135,int_stack+982890,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+937530,int_stack+345900,int_stack+334875,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1171575,int_stack+937530,int_stack+1024470,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+970605,int_stack+1171575,int_stack+1053135,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1228905,int_stack+970605,int_stack+1102275,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1052505,int_stack+358500,int_stack+345900,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1090305,int_stack+1052505,int_stack+937530,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1332855,int_stack+1090305,int_stack+1171575,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1428405,int_stack+1332855,int_stack+970605,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1551255,int_stack+1428405,int_stack+1228905,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+937530,int_stack+372780,int_stack+358500,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1156455,int_stack+937530,int_stack+1052505,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1696785,int_stack+1156455,int_stack+1090305,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+980370,int_stack+1696785,int_stack+1332855,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1232055,int_stack+980370,int_stack+1428405,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1807035,int_stack+1232055,int_stack+1551255,105);
 /*--- compute (r0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1404045,int_stack+388845,int_stack+372780,105);
 /*--- compute (r0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1452240,int_stack+1404045,int_stack+937530,105);
 /*--- compute (r0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1537920,int_stack+1452240,int_stack+1156455,105);
 /*--- compute (r0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+0,int_stack+1537920,int_stack+1696785,105);
 /*--- compute (r0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+165375,int_stack+0,int_stack+980370,105);
 /*--- compute (r0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+937530,int_stack+165375,int_stack+1232055,105);
 /*--- compute (r0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+4367220,int_stack+937530,int_stack+1807035,105);
 /*--- compute (r0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1166850,int_stack+406800,int_stack+388845,105);
 /*--- compute (r0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1220715,int_stack+1166850,int_stack+1404045,105);
 /*--- compute (r0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1663920,int_stack+1220715,int_stack+1452240,105);
 /*--- compute (r0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1317105,int_stack+1663920,int_stack+1537920,105);
 /*--- compute (r0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1806720,int_stack+1317105,int_stack+0,105);
 /*--- compute (r0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+4616700,int_stack+1806720,int_stack+165375,105);
 /*--- compute (r0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+0,int_stack+4616700,int_stack+937530,105);
 /*--- compute (r0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+4884240,int_stack+0,int_stack+4367220,105);
 /*--- compute (r0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+4367220,int_stack+426750,int_stack+406800,105);
 /*--- compute (r0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+4427070,int_stack+4367220,int_stack+1166850,105);
 /*--- compute (r0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+937530,int_stack+4427070,int_stack+1220715,105);
 /*--- compute (r0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+4367220,int_stack+937530,int_stack+1663920,105);
 /*--- compute (r0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+937530,int_stack+4367220,int_stack+1317105,105);
 /*--- compute (r0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1202130,int_stack+937530,int_stack+1806720,105);
 /*--- compute (r0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1510830,int_stack+1202130,int_stack+4616700,105);
 /*--- compute (r0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+937530,int_stack+1510830,int_stack+0,105);
 /*--- compute (r0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+0,int_stack+937530,int_stack+4884240,105);
 /*--- compute (qp|nm) ---*/
 hrr1_build_qp(Libint->AB,int_stack+937530,int_stack+0,int_stack+607200,3630);
 /*--- compute (od|nm) ---*/
 hrr1_build_od(Libint->AB,int_stack+4367220,int_stack+937530,int_stack+2080320,3630);
 /*--- compute (nf|nm) ---*/
 hrr1_build_nf(Libint->AB,int_stack+6066060,int_stack+4367220,int_stack+2929740,3630);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+607200,int_stack+456720,int_stack+448800,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+630960,int_stack+466080,int_stack+456720,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+659040,int_stack+630960,int_stack+607200,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+706560,int_stack+477000,int_stack+466080,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+739320,int_stack+706560,int_stack+630960,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+795480,int_stack+739320,int_stack+659040,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+607200,int_stack+489600,int_stack+477000,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1928520,int_stack+607200,int_stack+706560,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+645000,int_stack+1928520,int_stack+739320,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1994040,int_stack+645000,int_stack+795480,120);
 /*--- compute (t0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+738600,int_stack+504000,int_stack+489600,120);
 /*--- compute (t0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+781800,int_stack+738600,int_stack+607200,120);
 /*--- compute (t0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+2112840,int_stack+781800,int_stack+1928520,120);
 /*--- compute (t0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+2222040,int_stack+2112840,int_stack+645000,120);
 /*--- compute (t0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+2362440,int_stack+2222040,int_stack+1994040,120);
 /*--- compute (t0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1928520,int_stack+520320,int_stack+504000,120);
 /*--- compute (t0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1977480,int_stack+1928520,int_stack+738600,120);
 /*--- compute (t0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+607200,int_stack+1977480,int_stack+781800,120);
 /*--- compute (t0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+733200,int_stack+607200,int_stack+2112840,120);
 /*--- compute (t0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+2528760,int_stack+733200,int_stack+2222040,120);
 /*--- compute (t0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2063880,int_stack+2528760,int_stack+2362440,120);
 /*--- compute (t0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+2285640,int_stack+538680,int_stack+520320,120);
 /*--- compute (t0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+2340720,int_stack+2285640,int_stack+1928520,120);
 /*--- compute (t0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+2725320,int_stack+2340720,int_stack+1977480,120);
 /*--- compute (t0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2869320,int_stack+2725320,int_stack+607200,120);
 /*--- compute (t0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+3058320,int_stack+2869320,int_stack+733200,120);
 /*--- compute (t0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+607200,int_stack+3058320,int_stack+2528760,120);
 /*--- compute (t0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2438640,int_stack+607200,int_stack+2063880,120);
 /*--- compute (t0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+869280,int_stack+559200,int_stack+538680,120);
 /*--- compute (t0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1928520,int_stack+869280,int_stack+2285640,120);
 /*--- compute (t0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+2038680,int_stack+1928520,int_stack+2340720,120);
 /*--- compute (t0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+2201880,int_stack+2038680,int_stack+2725320,120);
 /*--- compute (t0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+3287640,int_stack+2201880,int_stack+2869320,120);
 /*--- compute (t0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2723760,int_stack+3287640,int_stack+3058320,120);
 /*--- compute (t0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+3552240,int_stack+2723760,int_stack+607200,120);
 /*--- compute (t0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+3889200,int_stack+3552240,int_stack+2438640,120);
 /*--- compute (t0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+607200,int_stack+582000,int_stack+559200,120);
 /*--- compute (t0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+675600,int_stack+607200,int_stack+869280,120);
 /*--- compute (t0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+2417880,int_stack+675600,int_stack+1928520,120);
 /*--- compute (t0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+3029520,int_stack+2417880,int_stack+2038680,120);
 /*--- compute (t0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+2417880,int_stack+3029520,int_stack+2201880,120);
 /*--- compute (t0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1928520,int_stack+2417880,int_stack+3287640,120);
 /*--- compute (t0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+3029520,int_stack+1928520,int_stack+2723760,120);
 /*--- compute (t0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+1928520,int_stack+3029520,int_stack+3552240,120);
 /*--- compute (t0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+2349720,int_stack+1928520,int_stack+3889200,120);
 /*--- compute (rp|nm) ---*/
 hrr1_build_rp(Libint->AB,int_stack+2785320,int_stack+2349720,int_stack+0,3630);
 /*--- compute (qd|nm) ---*/
 hrr1_build_qd(Libint->AB,int_stack+8461860,int_stack+2785320,int_stack+937530,3630);
 /*--- compute (of|nm) ---*/
 hrr1_build_of(Libint->AB,int_stack+0,int_stack+8461860,int_stack+4367220,3630);
 /*--- compute (ng|nm) ---*/
 hrr1_build_ng(Libint->AB,int_stack+8461860,int_stack+0,int_stack+6066060,3630);
 return int_stack+8461860;}
