#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ninl(Libint_t*, prim_data*);

  /* Computes quartets of (ni|nl) integrals */

REALTYPE *hrr_order_ninl(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][10] = int_stack + 0;
 Libint->vrr_classes[10][11] = int_stack + 4356;
 Libint->vrr_classes[10][12] = int_stack + 9504;
 Libint->vrr_classes[10][13] = int_stack + 15510;
 Libint->vrr_classes[10][14] = int_stack + 22440;
 Libint->vrr_classes[10][15] = int_stack + 30360;
 Libint->vrr_classes[10][16] = int_stack + 39336;
 Libint->vrr_classes[10][17] = int_stack + 49434;
 Libint->vrr_classes[10][18] = int_stack + 60720;
 Libint->vrr_classes[11][10] = int_stack + 73260;
 Libint->vrr_classes[11][11] = int_stack + 78408;
 Libint->vrr_classes[11][12] = int_stack + 84492;
 Libint->vrr_classes[11][13] = int_stack + 91590;
 Libint->vrr_classes[11][14] = int_stack + 99780;
 Libint->vrr_classes[11][15] = int_stack + 109140;
 Libint->vrr_classes[11][16] = int_stack + 119748;
 Libint->vrr_classes[11][17] = int_stack + 131682;
 Libint->vrr_classes[11][18] = int_stack + 145020;
 Libint->vrr_classes[12][10] = int_stack + 159840;
 Libint->vrr_classes[12][11] = int_stack + 165846;
 Libint->vrr_classes[12][12] = int_stack + 172944;
 Libint->vrr_classes[12][13] = int_stack + 181225;
 Libint->vrr_classes[12][14] = int_stack + 190780;
 Libint->vrr_classes[12][15] = int_stack + 201700;
 Libint->vrr_classes[12][16] = int_stack + 214076;
 Libint->vrr_classes[12][17] = int_stack + 227999;
 Libint->vrr_classes[12][18] = int_stack + 243560;
 Libint->vrr_classes[13][10] = int_stack + 260850;
 Libint->vrr_classes[13][11] = int_stack + 267780;
 Libint->vrr_classes[13][12] = int_stack + 275970;
 Libint->vrr_classes[13][13] = int_stack + 285525;
 Libint->vrr_classes[13][14] = int_stack + 296550;
 Libint->vrr_classes[13][15] = int_stack + 309150;
 Libint->vrr_classes[13][16] = int_stack + 323430;
 Libint->vrr_classes[13][17] = int_stack + 339495;
 Libint->vrr_classes[13][18] = int_stack + 357450;
 Libint->vrr_classes[14][10] = int_stack + 377400;
 Libint->vrr_classes[14][11] = int_stack + 385320;
 Libint->vrr_classes[14][12] = int_stack + 394680;
 Libint->vrr_classes[14][13] = int_stack + 405600;
 Libint->vrr_classes[14][14] = int_stack + 418200;
 Libint->vrr_classes[14][15] = int_stack + 432600;
 Libint->vrr_classes[14][16] = int_stack + 448920;
 Libint->vrr_classes[14][17] = int_stack + 467280;
 Libint->vrr_classes[14][18] = int_stack + 487800;
 Libint->vrr_classes[15][10] = int_stack + 510600;
 Libint->vrr_classes[15][11] = int_stack + 519576;
 Libint->vrr_classes[15][12] = int_stack + 530184;
 Libint->vrr_classes[15][13] = int_stack + 542560;
 Libint->vrr_classes[15][14] = int_stack + 556840;
 Libint->vrr_classes[15][15] = int_stack + 573160;
 Libint->vrr_classes[15][16] = int_stack + 591656;
 Libint->vrr_classes[15][17] = int_stack + 612464;
 Libint->vrr_classes[15][18] = int_stack + 635720;
 Libint->vrr_classes[16][10] = int_stack + 661560;
 Libint->vrr_classes[16][11] = int_stack + 671658;
 Libint->vrr_classes[16][12] = int_stack + 683592;
 Libint->vrr_classes[16][13] = int_stack + 697515;
 Libint->vrr_classes[16][14] = int_stack + 713580;
 Libint->vrr_classes[16][15] = int_stack + 731940;
 Libint->vrr_classes[16][16] = int_stack + 752748;
 Libint->vrr_classes[16][17] = int_stack + 776157;
 Libint->vrr_classes[16][18] = int_stack + 802320;
 memset(int_stack,0,831390*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 831390;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ninl(Libint, Data);
   Data++;
 }
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+831390,int_stack+4356,int_stack+0,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+844458,int_stack+9504,int_stack+4356,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+859902,int_stack+844458,int_stack+831390,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+886038,int_stack+15510,int_stack+9504,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+904056,int_stack+886038,int_stack+844458,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+934944,int_stack+904056,int_stack+859902,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+831390,int_stack+22440,int_stack+15510,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+978504,int_stack+831390,int_stack+886038,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+852180,int_stack+978504,int_stack+904056,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1014540,int_stack+852180,int_stack+934944,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+903660,int_stack+30360,int_stack+22440,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+927420,int_stack+903660,int_stack+831390,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1079880,int_stack+927420,int_stack+978504,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1139940,int_stack+1079880,int_stack+852180,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1217160,int_stack+1139940,int_stack+1014540,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+831390,int_stack+39336,int_stack+30360,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+969000,int_stack+831390,int_stack+903660,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1308636,int_stack+969000,int_stack+927420,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+858318,int_stack+1308636,int_stack+1079880,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1016520,int_stack+858318,int_stack+1139940,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1377936,int_stack+1016520,int_stack+1217160,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1124628,int_stack+49434,int_stack+39336,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1154922,int_stack+1124628,int_stack+831390,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1208778,int_stack+1154922,int_stack+969000,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1499904,int_stack+1208778,int_stack+1308636,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1603854,int_stack+1499904,int_stack+858318,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+831390,int_stack+1603854,int_stack+1016520,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1729980,int_stack+831390,int_stack+1377936,66);
 /*--- compute (n0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+975534,int_stack+60720,int_stack+49434,66);
 /*--- compute (n0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1009392,int_stack+975534,int_stack+1124628,66);
 /*--- compute (n0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1287978,int_stack+1009392,int_stack+1154922,66);
 /*--- compute (n0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+975534,int_stack+1287978,int_stack+1208778,66);
 /*--- compute (n0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1094334,int_stack+975534,int_stack+1499904,66);
 /*--- compute (n0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1239864,int_stack+1094334,int_stack+1603854,66);
 /*--- compute (n0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+975534,int_stack+1239864,int_stack+831390,66);
 /*--- compute (n0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1160862,int_stack+975534,int_stack+1729980,66);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+831390,int_stack+78408,int_stack+73260,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+846834,int_stack+84492,int_stack+78408,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+865086,int_stack+846834,int_stack+831390,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+895974,int_stack+91590,int_stack+84492,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+917268,int_stack+895974,int_stack+846834,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+953772,int_stack+917268,int_stack+865086,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+831390,int_stack+99780,int_stack+91590,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1005252,int_stack+831390,int_stack+895974,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+855960,int_stack+1005252,int_stack+917268,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1047840,int_stack+855960,int_stack+953772,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+916800,int_stack+109140,int_stack+99780,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+944880,int_stack+916800,int_stack+831390,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1356882,int_stack+944880,int_stack+1005252,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1427862,int_stack+1356882,int_stack+855960,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1519122,int_stack+1427862,int_stack+1047840,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+831390,int_stack+119748,int_stack+109140,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+994020,int_stack+831390,int_stack+916800,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1050180,int_stack+994020,int_stack+944880,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+863214,int_stack+1050180,int_stack+1356882,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1627230,int_stack+863214,int_stack+1427862,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1356882,int_stack+1627230,int_stack+1519122,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1501026,int_stack+131682,int_stack+119748,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1536828,int_stack+1501026,int_stack+831390,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1754994,int_stack+1536828,int_stack+994020,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+0,int_stack+1754994,int_stack+1050180,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+969684,int_stack+0,int_stack+863214,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1848594,int_stack+969684,int_stack+1627230,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2018946,int_stack+1848594,int_stack+1356882,78);
 /*--- compute (o0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1356882,int_stack+145020,int_stack+131682,78);
 /*--- compute (o0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1396896,int_stack+1356882,int_stack+1501026,78);
 /*--- compute (o0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+831390,int_stack+1396896,int_stack+1536828,78);
 /*--- compute (o0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1356882,int_stack+831390,int_stack+1754994,78);
 /*--- compute (o0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1497282,int_stack+1356882,int_stack+0,78);
 /*--- compute (o0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2204274,int_stack+1497282,int_stack+969684,78);
 /*--- compute (o0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1356882,int_stack+2204274,int_stack+1848594,78);
 /*--- compute (o0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1575906,int_stack+1356882,int_stack+2018946,78);
 /*--- compute (np|nl) ---*/
 hrr1_build_np(Libint->AB,int_stack+1807566,int_stack+1575906,int_stack+1160862,2970);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+165846,int_stack+159840,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+18018,int_stack+172944,int_stack+165846,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+39312,int_stack+18018,int_stack+0,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+75348,int_stack+181225,int_stack+172944,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+100191,int_stack+75348,int_stack+18018,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+831390,int_stack+100191,int_stack+39312,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+190780,int_stack+181225,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+891450,int_stack+0,int_stack+75348,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+28665,int_stack+891450,int_stack+100191,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+99645,int_stack+28665,int_stack+831390,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+831390,int_stack+201700,int_stack+190780,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+941136,int_stack+831390,int_stack+0,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+998466,int_stack+941136,int_stack+891450,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1081276,int_stack+998466,int_stack+28665,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1187746,int_stack+1081276,int_stack+99645,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+214076,int_stack+201700,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+37128,int_stack+0,int_stack+831390,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+831390,int_stack+37128,int_stack+941136,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1313872,int_stack+831390,int_stack+998466,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+926940,int_stack+1313872,int_stack+1081276,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2395626,int_stack+926940,int_stack+1187746,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1075998,int_stack+227999,int_stack+214076,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1117767,int_stack+1075998,int_stack+0,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1192023,int_stack+1117767,int_stack+37128,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+0,int_stack+1192023,int_stack+831390,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+2563794,int_stack+0,int_stack+1313872,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1301223,int_stack+2563794,int_stack+926940,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+831390,int_stack+1301223,int_stack+2395626,91);
 /*--- compute (q0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+2395626,int_stack+243560,int_stack+227999,91);
 /*--- compute (q0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+2442309,int_stack+2395626,int_stack+1075998,91);
 /*--- compute (q0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+2737695,int_stack+2442309,int_stack+1117767,91);
 /*--- compute (q0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+2395626,int_stack+2737695,int_stack+1192023,91);
 /*--- compute (q0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1047606,int_stack+2395626,int_stack+0,91);
 /*--- compute (q0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+0,int_stack+1047606,int_stack+2563794,91);
 /*--- compute (q0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+2395626,int_stack+0,int_stack+1301223,91);
 /*--- compute (q0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1047606,int_stack+2395626,int_stack+831390,91);
 /*--- compute (op|nl) ---*/
 hrr1_build_op(Libint->AB,int_stack+2395626,int_stack+1047606,int_stack+1575906,2970);
 /*--- compute (nd|nl) ---*/
 hrr1_build_nd(Libint->AB,int_stack+3090606,int_stack+2395626,int_stack+1807566,2970);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+831390,int_stack+267780,int_stack+260850,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+852180,int_stack+275970,int_stack+267780,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+876750,int_stack+852180,int_stack+831390,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+918330,int_stack+285525,int_stack+275970,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+946995,int_stack+918330,int_stack+852180,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+946995,int_stack+876750,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+831390,int_stack+296550,int_stack+285525,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+69300,int_stack+831390,int_stack+918330,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+864465,int_stack+69300,int_stack+946995,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+126630,int_stack+864465,int_stack+0,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+309150,int_stack+296550,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+946365,int_stack+0,int_stack+831390,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1317876,int_stack+946365,int_stack+69300,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1413426,int_stack+1317876,int_stack+864465,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1536276,int_stack+1413426,int_stack+126630,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+831390,int_stack+323430,int_stack+309150,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+37800,int_stack+831390,int_stack+0,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+113400,int_stack+37800,int_stack+946365,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+874230,int_stack+113400,int_stack+1317876,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1681806,int_stack+874230,int_stack+1413426,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1317876,int_stack+1681806,int_stack+1536276,105);
 /*--- compute (r0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1511916,int_stack+339495,int_stack+323430,105);
 /*--- compute (r0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1560111,int_stack+1511916,int_stack+831390,105);
 /*--- compute (r0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1853796,int_stack+1560111,int_stack+37800,105);
 /*--- compute (r0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1979796,int_stack+1853796,int_stack+113400,105);
 /*--- compute (r0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+0,int_stack+1979796,int_stack+874230,105);
 /*--- compute (r0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+2145171,int_stack+0,int_stack+1681806,105);
 /*--- compute (r0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+4266726,int_stack+2145171,int_stack+1317876,105);
 /*--- compute (r0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1317876,int_stack+357450,int_stack+339495,105);
 /*--- compute (r0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1371741,int_stack+1317876,int_stack+1511916,105);
 /*--- compute (r0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+831390,int_stack+1371741,int_stack+1560111,105);
 /*--- compute (r0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1317876,int_stack+831390,int_stack+1853796,105);
 /*--- compute (r0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1506876,int_stack+1317876,int_stack+1979796,105);
 /*--- compute (r0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1738401,int_stack+1506876,int_stack+0,105);
 /*--- compute (r0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+0,int_stack+1738401,int_stack+2145171,105);
 /*--- compute (r0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1317876,int_stack+0,int_stack+4266726,105);
 /*--- compute (qp|nl) ---*/
 hrr1_build_qp(Libint->AB,int_stack+4266726,int_stack+1317876,int_stack+1047606,2970);
 /*--- compute (od|nl) ---*/
 hrr1_build_od(Libint->AB,int_stack+5077536,int_stack+4266726,int_stack+2395626,2970);
 /*--- compute (nf|nl) ---*/
 hrr1_build_nf(Libint->AB,int_stack+6467496,int_stack+5077536,int_stack+3090606,2970);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+385320,int_stack+377400,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+23760,int_stack+394680,int_stack+385320,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+51840,int_stack+23760,int_stack+0,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+99360,int_stack+405600,int_stack+394680,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+132120,int_stack+99360,int_stack+23760,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+188280,int_stack+132120,int_stack+51840,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+418200,int_stack+405600,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+267480,int_stack+0,int_stack+99360,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+37800,int_stack+267480,int_stack+132120,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1629726,int_stack+37800,int_stack+188280,120);
 /*--- compute (t0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+131400,int_stack+432600,int_stack+418200,120);
 /*--- compute (t0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+174600,int_stack+131400,int_stack+0,120);
 /*--- compute (t0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1748526,int_stack+174600,int_stack+267480,120);
 /*--- compute (t0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+250200,int_stack+1748526,int_stack+37800,120);
 /*--- compute (t0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1857726,int_stack+250200,int_stack+1629726,120);
 /*--- compute (t0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1629726,int_stack+448920,int_stack+432600,120);
 /*--- compute (t0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+0,int_stack+1629726,int_stack+131400,120);
 /*--- compute (t0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+2024046,int_stack+0,int_stack+174600,120);
 /*--- compute (t0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+86400,int_stack+2024046,int_stack+1748526,120);
 /*--- compute (t0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+2150046,int_stack+86400,int_stack+250200,120);
 /*--- compute (t0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2346606,int_stack+2150046,int_stack+1857726,120);
 /*--- compute (t0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+250200,int_stack+467280,int_stack+448920,120);
 /*--- compute (t0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+305280,int_stack+250200,int_stack+1629726,120);
 /*--- compute (t0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1629726,int_stack+305280,int_stack+0,120);
 /*--- compute (t0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1773726,int_stack+1629726,int_stack+2024046,120);
 /*--- compute (t0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+2568366,int_stack+1773726,int_stack+86400,120);
 /*--- compute (t0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+2797686,int_stack+2568366,int_stack+2150046,120);
 /*--- compute (t0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1962726,int_stack+2797686,int_stack+2346606,120);
 /*--- compute (t0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+0,int_stack+487800,int_stack+467280,120);
 /*--- compute (t0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+61560,int_stack+0,int_stack+250200,120);
 /*--- compute (t0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+2247846,int_stack+61560,int_stack+305280,120);
 /*--- compute (t0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+0,int_stack+2247846,int_stack+1629726,120);
 /*--- compute (t0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+2247846,int_stack+0,int_stack+1773726,120);
 /*--- compute (t0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+0,int_stack+2247846,int_stack+2568366,120);
 /*--- compute (t0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+2247846,int_stack+0,int_stack+2797686,120);
 /*--- compute (t0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+0,int_stack+2247846,int_stack+1962726,120);
 /*--- compute (rp|nl) ---*/
 hrr1_build_rp(Libint->AB,int_stack+1629726,int_stack+0,int_stack+1317876,2970);
 /*--- compute (qd|nl) ---*/
 hrr1_build_qd(Libint->AB,int_stack+2565276,int_stack+1629726,int_stack+4266726,2970);
 /*--- compute (of|nl) ---*/
 hrr1_build_of(Libint->AB,int_stack+8427696,int_stack+2565276,int_stack+5077536,2970);
 /*--- compute (ng|nl) ---*/
 hrr1_build_ng(Libint->AB,int_stack+10744296,int_stack+8427696,int_stack+6467496,2970);
 /*--- compute (u0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+356400,int_stack+519576,int_stack+510600,136);
 /*--- compute (u0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+383328,int_stack+530184,int_stack+519576,136);
 /*--- compute (u0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+415152,int_stack+383328,int_stack+356400,136);
 /*--- compute (u0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+469008,int_stack+542560,int_stack+530184,136);
 /*--- compute (u0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+4186896,int_stack+469008,int_stack+383328,136);
 /*--- compute (u0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+4250544,int_stack+4186896,int_stack+415152,136);
 /*--- compute (u0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+356400,int_stack+556840,int_stack+542560,136);
 /*--- compute (u0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+4340304,int_stack+356400,int_stack+469008,136);
 /*--- compute (u0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+399240,int_stack+4340304,int_stack+4186896,136);
 /*--- compute (u0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+4414560,int_stack+399240,int_stack+4250544,136);
 /*--- compute (u0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+4186896,int_stack+573160,int_stack+556840,136);
 /*--- compute (u0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+4235856,int_stack+4186896,int_stack+356400,136);
 /*--- compute (u0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+4549200,int_stack+4235856,int_stack+4340304,136);
 /*--- compute (u0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+4672960,int_stack+4549200,int_stack+399240,136);
 /*--- compute (u0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+356400,int_stack+4672960,int_stack+4414560,136);
 /*--- compute (u0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+4321536,int_stack+591656,int_stack+573160,136);
 /*--- compute (u0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+4377024,int_stack+4321536,int_stack+4186896,136);
 /*--- compute (u0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+4832080,int_stack+4377024,int_stack+4235856,136);
 /*--- compute (u0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+4974880,int_stack+4832080,int_stack+4549200,136);
 /*--- compute (u0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+5160520,int_stack+4974880,int_stack+4672960,136);
 /*--- compute (u0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+4474944,int_stack+5160520,int_stack+356400,136);
 /*--- compute (u0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+356400,int_stack+612464,int_stack+591656,136);
 /*--- compute (u0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+418824,int_stack+356400,int_stack+4321536,136);
 /*--- compute (u0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+4186896,int_stack+418824,int_stack+4377024,136);
 /*--- compute (u0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+5383288,int_stack+4186896,int_stack+4832080,136);
 /*--- compute (u0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+5597488,int_stack+5383288,int_stack+4974880,136);
 /*--- compute (u0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+4726272,int_stack+5597488,int_stack+5160520,136);
 /*--- compute (u0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+5023296,int_stack+4726272,int_stack+4474944,136);
 /*--- compute (u0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+529800,int_stack+635720,int_stack+612464,136);
 /*--- compute (u0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+4350096,int_stack+529800,int_stack+356400,136);
 /*--- compute (u0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+4474944,int_stack+4350096,int_stack+418824,136);
 /*--- compute (u0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+356400,int_stack+4474944,int_stack+4186896,136);
 /*--- compute (u0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+4186896,int_stack+356400,int_stack+5383288,136);
 /*--- compute (u0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+5857384,int_stack+4186896,int_stack+5597488,136);
 /*--- compute (u0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+4186896,int_stack+5857384,int_stack+4726272,136);
 /*--- compute (u0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+4568784,int_stack+4186896,int_stack+5023296,136);
 /*--- compute (tp|nl) ---*/
 hrr1_build_tp(Libint->AB,int_stack+4972704,int_stack+4568784,int_stack+0,2970);
 /*--- compute (rd|nl) ---*/
 hrr1_build_rd(Libint->AB,int_stack+6041904,int_stack+4972704,int_stack+1629726,2970);
 /*--- compute (qf|nl) ---*/
 hrr1_build_qf(Libint->AB,int_stack+13684596,int_stack+6041904,int_stack+2565276,2970);
 /*--- compute (og|nl) ---*/
 hrr1_build_og(Libint->AB,int_stack+831390,int_stack+13684596,int_stack+8427696,2970);
 /*--- compute (nh|nl) ---*/
 hrr1_build_nh(Libint->AB,int_stack+16387296,int_stack+831390,int_stack+10744296,2970);
 /*--- compute (v0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+671658,int_stack+661560,153);
 /*--- compute (v0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+30294,int_stack+683592,int_stack+671658,153);
 /*--- compute (v0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+66096,int_stack+30294,int_stack+0,153);
 /*--- compute (v0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+126684,int_stack+697515,int_stack+683592,153);
 /*--- compute (v0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+168453,int_stack+126684,int_stack+30294,153);
 /*--- compute (v0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+240057,int_stack+168453,int_stack+66096,153);
 /*--- compute (v0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+713580,int_stack+697515,153);
 /*--- compute (v0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+341037,int_stack+0,int_stack+126684,153);
 /*--- compute (v0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+48195,int_stack+341037,int_stack+168453,153);
 /*--- compute (v0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+424575,int_stack+48195,int_stack+240057,153);
 /*--- compute (v0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+167535,int_stack+731940,int_stack+713580,153);
 /*--- compute (v0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+222615,int_stack+167535,int_stack+0,153);
 /*--- compute (v0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+576045,int_stack+222615,int_stack+341037,153);
 /*--- compute (v0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+7913004,int_stack+576045,int_stack+48195,153);
 /*--- compute (v0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+8092014,int_stack+7913004,int_stack+424575,153);
 /*--- compute (v0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+752748,int_stack+731940,153);
 /*--- compute (v0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+319005,int_stack+0,int_stack+167535,153);
 /*--- compute (v0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+8304072,int_stack+319005,int_stack+222615,153);
 /*--- compute (v0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+62424,int_stack+8304072,int_stack+576045,153);
 /*--- compute (v0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+429165,int_stack+62424,int_stack+7913004,153);
 /*--- compute (v0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+8464722,int_stack+429165,int_stack+8092014,153);
 /*--- compute (v0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+7913004,int_stack+776157,int_stack+752748,153);
 /*--- compute (v0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+7983231,int_stack+7913004,int_stack+0,153);
 /*--- compute (v0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+8108079,int_stack+7983231,int_stack+319005,153);
 /*--- compute (v0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+8747466,int_stack+8108079,int_stack+8304072,153);
 /*--- compute (v0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+8988441,int_stack+8747466,int_stack+62424,153);
 /*--- compute (v0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+0,int_stack+8988441,int_stack+429165,153);
 /*--- compute (v0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+334152,int_stack+0,int_stack+8464722,153);
 /*--- compute (v0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+8291679,int_stack+802320,int_stack+776157,153);
 /*--- compute (v0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+8370168,int_stack+8291679,int_stack+7913004,153);
 /*--- compute (v0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+8510622,int_stack+8370168,int_stack+7983231,153);
 /*--- compute (v0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+9280824,int_stack+8510622,int_stack+8108079,153);
 /*--- compute (v0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+7913004,int_stack+9280824,int_stack+8747466,153);
 /*--- compute (v0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+9280824,int_stack+7913004,int_stack+8988441,153);
 /*--- compute (v0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+7913004,int_stack+9280824,int_stack+0,153);
 /*--- compute (v0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+8342628,int_stack+7913004,int_stack+334152,153);
 /*--- compute (up|nl) ---*/
 hrr1_build_up(Libint->AB,int_stack+8797038,int_stack+8342628,int_stack+4568784,2970);
 /*--- compute (td|nl) ---*/
 hrr1_build_td(Libint->AB,int_stack+10008798,int_stack+8797038,int_stack+4972704,2970);
 /*--- compute (rf|nl) ---*/
 hrr1_build_rf(Libint->AB,int_stack+20503716,int_stack+10008798,int_stack+6041904,2970);
 /*--- compute (qg|nl) ---*/
 hrr1_build_qg(Libint->AB,int_stack+4306290,int_stack+20503716,int_stack+13684596,2970);
 /*--- compute (oh|nl) ---*/
 hrr1_build_oh(Libint->AB,int_stack+8360340,int_stack+4306290,int_stack+831390,2970);
 /*--- compute (ni|nl) ---*/
 hrr1_build_ni(Libint->AB,int_stack+0,int_stack+8360340,int_stack+16387296,2970);
 return int_stack+0;}
