#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_npki(Libint_t*, prim_data*);

  /* Computes quartets of (np|ki) integrals */

REALTYPE *hrr_order_npki(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][7] = int_stack + 0;
 Libint->vrr_classes[10][8] = int_stack + 2376;
 Libint->vrr_classes[10][9] = int_stack + 5346;
 Libint->vrr_classes[10][10] = int_stack + 8976;
 Libint->vrr_classes[10][11] = int_stack + 13332;
 Libint->vrr_classes[10][12] = int_stack + 18480;
 Libint->vrr_classes[10][13] = int_stack + 24486;
 Libint->vrr_classes[11][7] = int_stack + 31416;
 Libint->vrr_classes[11][8] = int_stack + 34224;
 Libint->vrr_classes[11][9] = int_stack + 37734;
 Libint->vrr_classes[11][10] = int_stack + 42024;
 Libint->vrr_classes[11][11] = int_stack + 47172;
 Libint->vrr_classes[11][12] = int_stack + 53256;
 Libint->vrr_classes[11][13] = int_stack + 60354;
 memset(int_stack,0,68544*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 68544;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_npki(Libint, Data);
   Data++;
 }
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+68544,int_stack+2376,int_stack+0,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+75672,int_stack+5346,int_stack+2376,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+84582,int_stack+75672,int_stack+68544,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+98838,int_stack+8976,int_stack+5346,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+109728,int_stack+98838,int_stack+75672,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+127548,int_stack+109728,int_stack+84582,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+68544,int_stack+13332,int_stack+8976,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+151308,int_stack+68544,int_stack+98838,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+173088,int_stack+151308,int_stack+109728,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+81612,int_stack+173088,int_stack+127548,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+117252,int_stack+18480,int_stack+13332,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+202788,int_stack+117252,int_stack+68544,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+228924,int_stack+202788,int_stack+151308,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+265224,int_stack+228924,int_stack+173088,66);
 /*--- compute (n0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+132696,int_stack+265224,int_stack+81612,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+68544,int_stack+24486,int_stack+18480,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+68544,int_stack+117252,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+68544,int_stack+0,int_stack+202788,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+309774,int_stack+68544,int_stack+228924,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+68544,int_stack+309774,int_stack+265224,66);
 /*--- compute (n0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+182592,int_stack+68544,int_stack+132696,66);
 /*--- compute (o0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+68544,int_stack+34224,int_stack+31416,78);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+76968,int_stack+37734,int_stack+34224,78);
 /*--- compute (o0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+87498,int_stack+76968,int_stack+68544,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+104346,int_stack+42024,int_stack+37734,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+117216,int_stack+104346,int_stack+76968,78);
 /*--- compute (o0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+138276,int_stack+117216,int_stack+87498,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+68544,int_stack+47172,int_stack+42024,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+68544,int_stack+104346,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+249120,int_stack+0,int_stack+117216,78);
 /*--- compute (o0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+83988,int_stack+249120,int_stack+138276,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+126108,int_stack+53256,int_stack+47172,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+144360,int_stack+126108,int_stack+68544,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+284220,int_stack+144360,int_stack+0,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+0,int_stack+284220,int_stack+249120,78);
 /*--- compute (o0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+327120,int_stack+0,int_stack+83988,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+249120,int_stack+60354,int_stack+53256,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+52650,int_stack+249120,int_stack+126108,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+89154,int_stack+52650,int_stack+144360,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+386088,int_stack+89154,int_stack+284220,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+52650,int_stack+386088,int_stack+0,78);
 /*--- compute (o0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+386088,int_stack+52650,int_stack+327120,78);
 /*--- compute (np|ki) ---*/
 hrr1_build_np(Libint->AB,int_stack+464712,int_stack+386088,int_stack+182592,1008);
 return int_stack+464712;}
