#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_npnd(Libint_t*, prim_data*);

  /* Computes quartets of (np|nd) integrals */

REALTYPE *hrr_order_npnd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][10] = int_stack + 0;
 Libint->vrr_classes[10][11] = int_stack + 4356;
 Libint->vrr_classes[10][12] = int_stack + 9504;
 Libint->vrr_classes[11][10] = int_stack + 15510;
 Libint->vrr_classes[11][11] = int_stack + 20658;
 Libint->vrr_classes[11][12] = int_stack + 26742;
 memset(int_stack,0,33840*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 33840;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_npnd(Libint, Data);
   Data++;
 }
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+33840,int_stack+4356,int_stack+0,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+46908,int_stack+9504,int_stack+4356,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+62352,int_stack+46908,int_stack+33840,66);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+33840,int_stack+20658,int_stack+15510,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+26742,int_stack+20658,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+88488,int_stack+0,int_stack+33840,78);
 /*--- compute (np|nd) ---*/
 hrr1_build_np(Libint->AB,int_stack+119376,int_stack+88488,int_stack+62352,396);
 return int_stack+119376;}
