#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_p0md(Libint_t*, prim_data*);

  /* Computes quartets of (p0|md) integrals */

REALTYPE *hrr_order_p0md(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[1][9] = int_stack + 0;
 Libint->vrr_classes[1][10] = int_stack + 165;
 Libint->vrr_classes[1][11] = int_stack + 363;
 memset(int_stack,0,597*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 597;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_p0md(Libint, Data);
   Data++;
 }
 /*--- compute (p0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+597,int_stack+165,int_stack+0,3);
 /*--- compute (p0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1092,int_stack+363,int_stack+165,3);
 /*--- compute (p0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+1686,int_stack+1092,int_stack+597,3);
 return int_stack+1686;}
