#include <stdio.h>
#include "libint.h"
#include "vrr_header.h"

  /* Computes quartets necessary to compute (00|mk) integrals */

void vrr_order_00mk(Libint_t * Libint, prim_data *Data)
{
 REALTYPE *vrr_stack = Libint->vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];
 _BUILD_00p0(Data,vrr_stack+0, Data->F+8, Data->F+9, NULL, NULL, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+7, Data->F+8, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+6, vrr_stack+3, vrr_stack+0, Data->F+7, Data->F+8, NULL);
 _BUILD_00p0(Data,vrr_stack+12, Data->F+6, Data->F+7, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+12, vrr_stack+3, Data->F+6, Data->F+7, NULL);
 _BUILD_00p0(Data,vrr_stack+21, Data->F+9, Data->F+10, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+24, vrr_stack+0, vrr_stack+21, Data->F+8, Data->F+9, NULL);
 _BUILD_00f0(Data,vrr_stack+30, vrr_stack+6, vrr_stack+24, vrr_stack+3, vrr_stack+0, NULL);
 _BUILD_00f0(Data,vrr_stack+40, vrr_stack+15, vrr_stack+6, vrr_stack+12, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+50, vrr_stack+40, vrr_stack+30, vrr_stack+15, vrr_stack+6, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+5, Data->F+6, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+65, vrr_stack+3, vrr_stack+12, Data->F+5, Data->F+6, NULL);
 _BUILD_00f0(Data,vrr_stack+71, vrr_stack+65, vrr_stack+15, vrr_stack+3, vrr_stack+12, NULL);
 _BUILD_00g0(Data,vrr_stack+81, vrr_stack+71, vrr_stack+40, vrr_stack+65, vrr_stack+15, NULL);
 _BUILD_00p0(Data,vrr_stack+12, Data->F+10, Data->F+11, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+21, vrr_stack+12, Data->F+9, Data->F+10, NULL);
 _BUILD_00f0(Data,vrr_stack+96, vrr_stack+24, vrr_stack+15, vrr_stack+0, vrr_stack+21, NULL);
 _BUILD_00g0(Data,vrr_stack+106, vrr_stack+30, vrr_stack+96, vrr_stack+6, vrr_stack+24, NULL);
 _BUILD_00h0(Data,vrr_stack+121, vrr_stack+50, vrr_stack+106, vrr_stack+40, vrr_stack+30, NULL);
 _BUILD_00h0(Data,vrr_stack+142, vrr_stack+81, vrr_stack+50, vrr_stack+71, vrr_stack+40, NULL);
 _BUILD_00i0(Data,vrr_stack+163, vrr_stack+142, vrr_stack+121, vrr_stack+81, vrr_stack+50, NULL);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+6, vrr_stack+0, vrr_stack+3, Data->F+4, Data->F+5, NULL);
 _BUILD_00f0(Data,vrr_stack+40, vrr_stack+6, vrr_stack+65, vrr_stack+0, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+191, vrr_stack+40, vrr_stack+71, vrr_stack+6, vrr_stack+65, NULL);
 _BUILD_00h0(Data,vrr_stack+206, vrr_stack+191, vrr_stack+81, vrr_stack+40, vrr_stack+71, NULL);
 _BUILD_00i0(Data,vrr_stack+227, vrr_stack+206, vrr_stack+142, vrr_stack+191, vrr_stack+81, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+11, Data->F+12, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+65, vrr_stack+12, vrr_stack+3, Data->F+10, Data->F+11, NULL);
 _BUILD_00f0(Data,vrr_stack+71, vrr_stack+15, vrr_stack+65, vrr_stack+21, vrr_stack+12, NULL);
 _BUILD_00g0(Data,vrr_stack+81, vrr_stack+96, vrr_stack+71, vrr_stack+24, vrr_stack+15, NULL);
 _BUILD_00h0(Data,vrr_stack+255, vrr_stack+106, vrr_stack+81, vrr_stack+30, vrr_stack+96, NULL);
 _BUILD_00i0(Data,vrr_stack+276, vrr_stack+121, vrr_stack+255, vrr_stack+50, vrr_stack+106, NULL);
 _BUILD_00k0(Data,vrr_stack+304, vrr_stack+163, vrr_stack+276, vrr_stack+142, vrr_stack+121, NULL);
 _BUILD_00k0(Data,vrr_stack+340, vrr_stack+227, vrr_stack+163, vrr_stack+206, vrr_stack+142, NULL);
 _BUILD_00l0(Data,vrr_stack+376, vrr_stack+340, vrr_stack+304, vrr_stack+227, vrr_stack+163, NULL);
 _BUILD_00p0(Data,vrr_stack+142, Data->F+3, Data->F+4, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+145, vrr_stack+142, vrr_stack+0, Data->F+3, Data->F+4, NULL);
 _BUILD_00f0(Data,vrr_stack+151, vrr_stack+145, vrr_stack+6, vrr_stack+142, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+50, vrr_stack+151, vrr_stack+40, vrr_stack+145, vrr_stack+6, NULL);
 _BUILD_00h0(Data,vrr_stack+421, vrr_stack+50, vrr_stack+191, vrr_stack+151, vrr_stack+40, NULL);
 _BUILD_00i0(Data,vrr_stack+21, vrr_stack+421, vrr_stack+206, vrr_stack+50, vrr_stack+191, NULL);
 _BUILD_00k0(Data,vrr_stack+442, vrr_stack+21, vrr_stack+227, vrr_stack+421, vrr_stack+206, NULL);
 _BUILD_00l0(Data,vrr_stack+478, vrr_stack+442, vrr_stack+340, vrr_stack+21, vrr_stack+227, NULL);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+12, Data->F+13, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+6, vrr_stack+3, vrr_stack+0, Data->F+11, Data->F+12, NULL);
 _BUILD_00f0(Data,vrr_stack+191, vrr_stack+65, vrr_stack+6, vrr_stack+12, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+201, vrr_stack+71, vrr_stack+191, vrr_stack+15, vrr_stack+65, NULL);
 _BUILD_00h0(Data,vrr_stack+216, vrr_stack+81, vrr_stack+201, vrr_stack+96, vrr_stack+71, NULL);
 _BUILD_00i0(Data,vrr_stack+523, vrr_stack+255, vrr_stack+216, vrr_stack+106, vrr_stack+81, NULL);
 _BUILD_00k0(Data,vrr_stack+551, vrr_stack+276, vrr_stack+523, vrr_stack+121, vrr_stack+255, NULL);
 _BUILD_00l0(Data,vrr_stack+96, vrr_stack+304, vrr_stack+551, vrr_stack+163, vrr_stack+276, NULL);
 _BUILD_00m0(Data,vrr_stack+587, vrr_stack+376, vrr_stack+96, vrr_stack+340, vrr_stack+304, NULL);
 _BUILD_00m0(Data,vrr_stack+642, vrr_stack+478, vrr_stack+376, vrr_stack+442, vrr_stack+340, NULL);
 _BUILD_00n0(Data,vrr_stack+697, vrr_stack+642, vrr_stack+587, vrr_stack+478, vrr_stack+376, NULL);
 _BUILD_00p0(Data,vrr_stack+340, Data->F+2, Data->F+3, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+343, vrr_stack+340, vrr_stack+142, Data->F+2, Data->F+3, NULL);
 _BUILD_00f0(Data,vrr_stack+349, vrr_stack+343, vrr_stack+145, vrr_stack+340, vrr_stack+142, NULL);
 _BUILD_00g0(Data,vrr_stack+359, vrr_stack+349, vrr_stack+151, vrr_stack+343, vrr_stack+145, NULL);
 _BUILD_00h0(Data,vrr_stack+161, vrr_stack+359, vrr_stack+50, vrr_stack+349, vrr_stack+151, NULL);
 _BUILD_00i0(Data,vrr_stack+763, vrr_stack+161, vrr_stack+421, vrr_stack+359, vrr_stack+50, NULL);
 _BUILD_00k0(Data,vrr_stack+791, vrr_stack+763, vrr_stack+21, vrr_stack+161, vrr_stack+421, NULL);
 _BUILD_00l0(Data,vrr_stack+827, vrr_stack+791, vrr_stack+442, vrr_stack+763, vrr_stack+21, NULL);
 _BUILD_00m0(Data,vrr_stack+872, vrr_stack+827, vrr_stack+478, vrr_stack+791, vrr_stack+442, NULL);
 _BUILD_00n0(Data,vrr_stack+927, vrr_stack+872, vrr_stack+642, vrr_stack+827, vrr_stack+478, NULL);
 _BUILD_00p0(Data,vrr_stack+421, Data->F+13, Data->F+14, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+424, vrr_stack+0, vrr_stack+421, Data->F+12, Data->F+13, NULL);
 _BUILD_00f0(Data,vrr_stack+430, vrr_stack+6, vrr_stack+424, vrr_stack+3, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+440, vrr_stack+191, vrr_stack+430, vrr_stack+65, vrr_stack+6, NULL);
 _BUILD_00h0(Data,vrr_stack+455, vrr_stack+201, vrr_stack+440, vrr_stack+71, vrr_stack+191, NULL);
 _BUILD_00i0(Data,vrr_stack+476, vrr_stack+216, vrr_stack+455, vrr_stack+81, vrr_stack+201, NULL);
 _BUILD_00k0(Data,vrr_stack+12, vrr_stack+523, vrr_stack+476, vrr_stack+255, vrr_stack+216, NULL);
 _BUILD_00l0(Data,vrr_stack+48, vrr_stack+551, vrr_stack+12, vrr_stack+276, vrr_stack+523, NULL);
 _BUILD_00m0(Data,vrr_stack+237, vrr_stack+96, vrr_stack+48, vrr_stack+304, vrr_stack+551, NULL);
 _BUILD_00n0(Data,vrr_stack+993, vrr_stack+587, vrr_stack+237, vrr_stack+376, vrr_stack+96, NULL);
 _BUILD_00o0(Data,vrr_stack+1059, vrr_stack+697, vrr_stack+993, vrr_stack+642, vrr_stack+587, NULL);
 _BUILD_00o0(Data,vrr_stack+1137, vrr_stack+927, vrr_stack+697, vrr_stack+872, vrr_stack+642, NULL);
 _BUILD_00q0(Data,vrr_stack+1215, vrr_stack+1137, vrr_stack+1059, vrr_stack+927, vrr_stack+697, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+1, Data->F+2, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+642, vrr_stack+3, vrr_stack+340, Data->F+1, Data->F+2, NULL);
 _BUILD_00f0(Data,vrr_stack+648, vrr_stack+642, vrr_stack+343, vrr_stack+3, vrr_stack+340, NULL);
 _BUILD_00g0(Data,vrr_stack+658, vrr_stack+648, vrr_stack+349, vrr_stack+642, vrr_stack+343, NULL);
 _BUILD_00h0(Data,vrr_stack+673, vrr_stack+658, vrr_stack+359, vrr_stack+648, vrr_stack+349, NULL);
 _BUILD_00i0(Data,vrr_stack+374, vrr_stack+673, vrr_stack+161, vrr_stack+658, vrr_stack+359, NULL);
 _BUILD_00k0(Data,vrr_stack+292, vrr_stack+374, vrr_stack+763, vrr_stack+673, vrr_stack+161, NULL);
 _BUILD_00l0(Data,vrr_stack+141, vrr_stack+292, vrr_stack+791, vrr_stack+374, vrr_stack+763, NULL);
 _BUILD_00m0(Data,vrr_stack+1306, vrr_stack+141, vrr_stack+827, vrr_stack+292, vrr_stack+791, NULL);
 _BUILD_00n0(Data,vrr_stack+1361, vrr_stack+1306, vrr_stack+872, vrr_stack+141, vrr_stack+827, NULL);
 _BUILD_00o0(Data,vrr_stack+763, vrr_stack+1361, vrr_stack+927, vrr_stack+1306, vrr_stack+872, NULL);
 _BUILD_00q0(Data,vrr_stack+1427, vrr_stack+763, vrr_stack+1137, vrr_stack+1361, vrr_stack+927, NULL);
 _BUILD_00p0(Data,vrr_stack+694, Data->F+14, Data->F+15, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+841, vrr_stack+421, vrr_stack+694, Data->F+13, Data->F+14, NULL);
 _BUILD_00f0(Data,vrr_stack+847, vrr_stack+424, vrr_stack+841, vrr_stack+0, vrr_stack+421, NULL);
 _BUILD_00g0(Data,vrr_stack+857, vrr_stack+430, vrr_stack+847, vrr_stack+6, vrr_stack+424, NULL);
 _BUILD_00h0(Data,vrr_stack+872, vrr_stack+440, vrr_stack+857, vrr_stack+191, vrr_stack+430, NULL);
 _BUILD_00i0(Data,vrr_stack+893, vrr_stack+455, vrr_stack+872, vrr_stack+201, vrr_stack+440, NULL);
 _BUILD_00k0(Data,vrr_stack+921, vrr_stack+476, vrr_stack+893, vrr_stack+216, vrr_stack+455, NULL);
 _BUILD_00l0(Data,vrr_stack+186, vrr_stack+12, vrr_stack+921, vrr_stack+523, vrr_stack+476, NULL);
 _BUILD_00m0(Data,vrr_stack+1518, vrr_stack+48, vrr_stack+186, vrr_stack+551, vrr_stack+12, NULL);
 _BUILD_00n0(Data,vrr_stack+504, vrr_stack+237, vrr_stack+1518, vrr_stack+96, vrr_stack+48, NULL);
 _BUILD_00o0(Data,vrr_stack+1573, vrr_stack+993, vrr_stack+504, vrr_stack+587, vrr_stack+237, NULL);
 _BUILD_00q0(Data,vrr_stack+1651, vrr_stack+1059, vrr_stack+1573, vrr_stack+697, vrr_stack+993, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+1742, vrr_stack+1215, vrr_stack+1651, vrr_stack+1137, vrr_stack+1059, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+1847, vrr_stack+1427, vrr_stack+1215, vrr_stack+763, vrr_stack+1137, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+1952, vrr_stack+1847, vrr_stack+1742, vrr_stack+1427, vrr_stack+1215, NULL);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+0, Data->F+1, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+6, vrr_stack+0, vrr_stack+3, Data->F+0, Data->F+1, NULL);
 _BUILD_00f0(Data,vrr_stack+1137, vrr_stack+6, vrr_stack+642, vrr_stack+0, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+1147, vrr_stack+1137, vrr_stack+648, vrr_stack+6, vrr_stack+642, NULL);
 _BUILD_00h0(Data,vrr_stack+1162, vrr_stack+1147, vrr_stack+658, vrr_stack+1137, vrr_stack+648, NULL);
 _BUILD_00i0(Data,vrr_stack+1183, vrr_stack+1162, vrr_stack+673, vrr_stack+1147, vrr_stack+658, NULL);
 _BUILD_00k0(Data,vrr_stack+957, vrr_stack+1183, vrr_stack+374, vrr_stack+1162, vrr_stack+673, NULL);
 _BUILD_00l0(Data,vrr_stack+1137, vrr_stack+957, vrr_stack+292, vrr_stack+1183, vrr_stack+374, NULL);
 _BUILD_00m0(Data,vrr_stack+697, vrr_stack+1137, vrr_stack+141, vrr_stack+957, vrr_stack+292, NULL);
   tmp = vrr_stack + 697;
   target_ptr = Libint->vrr_classes[0][9];
   for(i=0;i<55;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00n0(Data,vrr_stack+292, vrr_stack+697, vrr_stack+1306, vrr_stack+1137, vrr_stack+141, NULL);
   tmp = vrr_stack + 292;
   target_ptr = Libint->vrr_classes[0][10];
   for(i=0;i<66;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00o0(Data,vrr_stack+1137, vrr_stack+292, vrr_stack+1361, vrr_stack+697, vrr_stack+1306, NULL);
   tmp = vrr_stack + 1137;
   target_ptr = Libint->vrr_classes[0][11];
   for(i=0;i<78;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00q0(Data,vrr_stack+570, vrr_stack+1137, vrr_stack+763, vrr_stack+292, vrr_stack+1361, NULL);
   tmp = vrr_stack + 570;
   target_ptr = Libint->vrr_classes[0][12];
   for(i=0;i<91;i++)
     target_ptr[i] += tmp[i];
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+292, vrr_stack+570, vrr_stack+1427, vrr_stack+1137, vrr_stack+763, NULL);
   tmp = vrr_stack + 292;
   target_ptr = Libint->vrr_classes[0][13];
   for(i=0;i<105;i++)
     target_ptr[i] += tmp[i];
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+1306, vrr_stack+292, vrr_stack+1847, vrr_stack+570, vrr_stack+1427, NULL);
   tmp = vrr_stack + 1306;
   target_ptr = Libint->vrr_classes[0][14];
   for(i=0;i<120;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+570, Data->F+15, Data->F+16, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+231, vrr_stack+694, vrr_stack+570, Data->F+14, Data->F+15, NULL);
 _BUILD_00f0(Data,vrr_stack+570, vrr_stack+841, vrr_stack+231, vrr_stack+421, vrr_stack+694, NULL);
 _BUILD_00g0(Data,vrr_stack+580, vrr_stack+847, vrr_stack+570, vrr_stack+424, vrr_stack+841, NULL);
 _BUILD_00h0(Data,vrr_stack+595, vrr_stack+857, vrr_stack+580, vrr_stack+430, vrr_stack+847, NULL);
 _BUILD_00i0(Data,vrr_stack+616, vrr_stack+872, vrr_stack+595, vrr_stack+440, vrr_stack+857, NULL);
 _BUILD_00k0(Data,vrr_stack+957, vrr_stack+893, vrr_stack+616, vrr_stack+455, vrr_stack+872, NULL);
 _BUILD_00l0(Data,vrr_stack+570, vrr_stack+921, vrr_stack+957, vrr_stack+476, vrr_stack+893, NULL);
 _BUILD_00m0(Data,vrr_stack+615, vrr_stack+186, vrr_stack+570, vrr_stack+12, vrr_stack+921, NULL);
 _BUILD_00n0(Data,vrr_stack+670, vrr_stack+1518, vrr_stack+615, vrr_stack+48, vrr_stack+186, NULL);
 _BUILD_00o0(Data,vrr_stack+1137, vrr_stack+504, vrr_stack+670, vrr_stack+237, vrr_stack+1518, NULL);
 _BUILD_00q0(Data,vrr_stack+570, vrr_stack+1573, vrr_stack+1137, vrr_stack+993, vrr_stack+504, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+661, vrr_stack+1651, vrr_stack+570, vrr_stack+1059, vrr_stack+1573, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+766, vrr_stack+1742, vrr_stack+661, vrr_stack+1215, vrr_stack+1651, NULL);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+886, vrr_stack+1952, vrr_stack+766, vrr_stack+1847, vrr_stack+1742, NULL);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+1022, vrr_stack+1306, vrr_stack+1952, vrr_stack+292, vrr_stack+1847, NULL);
   tmp = vrr_stack + 1022;
   target_ptr = Libint->vrr_classes[0][15];
   for(i=0;i<136;i++)
     target_ptr[i] += tmp[i];
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+1426, vrr_stack+1022, vrr_stack+886, vrr_stack+1306, vrr_stack+1952, NULL);
   tmp = vrr_stack + 1426;
   target_ptr = Libint->vrr_classes[0][16];
   for(i=0;i<153;i++)
     target_ptr[i] += tmp[i];

}

