#include <stdio.h>
#include "libint.h"
#include "vrr_header.h"

  /* Computes quartets necessary to compute (d0|l0) integrals */

void vrr_order_d0l0(Libint_t * Libint, prim_data *Data)
{
 REALTYPE *vrr_stack = Libint->vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];
 _BUILD_00p0(Data,vrr_stack+0, Data->F+5, Data->F+6, NULL, NULL, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+4, Data->F+5, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+6, vrr_stack+3, vrr_stack+0, Data->F+4, Data->F+5, NULL);
 _BUILD_00p0(Data,vrr_stack+12, Data->F+3, Data->F+4, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+12, vrr_stack+3, Data->F+3, Data->F+4, NULL);
 _BUILD_00p0(Data,vrr_stack+21, Data->F+6, Data->F+7, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+24, vrr_stack+0, vrr_stack+21, Data->F+5, Data->F+6, NULL);
 _BUILD_00f0(Data,vrr_stack+30, vrr_stack+6, vrr_stack+24, vrr_stack+3, vrr_stack+0, NULL);
 _BUILD_00f0(Data,vrr_stack+40, vrr_stack+15, vrr_stack+6, vrr_stack+12, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+50, vrr_stack+40, vrr_stack+30, vrr_stack+15, vrr_stack+6, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+2, Data->F+3, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+65, vrr_stack+3, vrr_stack+12, Data->F+2, Data->F+3, NULL);
 _BUILD_00f0(Data,vrr_stack+71, vrr_stack+65, vrr_stack+15, vrr_stack+3, vrr_stack+12, NULL);
 _BUILD_00g0(Data,vrr_stack+81, vrr_stack+71, vrr_stack+40, vrr_stack+65, vrr_stack+15, NULL);
 _BUILD_00p0(Data,vrr_stack+12, Data->F+7, Data->F+8, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+21, vrr_stack+12, Data->F+6, Data->F+7, NULL);
 _BUILD_00f0(Data,vrr_stack+96, vrr_stack+24, vrr_stack+15, vrr_stack+0, vrr_stack+21, NULL);
 _BUILD_00g0(Data,vrr_stack+106, vrr_stack+30, vrr_stack+96, vrr_stack+6, vrr_stack+24, NULL);
 _BUILD_00h0(Data,vrr_stack+121, vrr_stack+50, vrr_stack+106, vrr_stack+40, vrr_stack+30, NULL);
 _BUILD_00h0(Data,vrr_stack+142, vrr_stack+81, vrr_stack+50, vrr_stack+71, vrr_stack+40, NULL);
 _BUILD_00i0(Data,vrr_stack+163, vrr_stack+142, vrr_stack+121, vrr_stack+81, vrr_stack+50, NULL);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+8, Data->F+9, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+6, vrr_stack+12, vrr_stack+0, Data->F+7, Data->F+8, NULL);
 _BUILD_00f0(Data,vrr_stack+40, vrr_stack+15, vrr_stack+6, vrr_stack+21, vrr_stack+12, NULL);
 _BUILD_00g0(Data,vrr_stack+191, vrr_stack+96, vrr_stack+40, vrr_stack+24, vrr_stack+15, NULL);
 _BUILD_00h0(Data,vrr_stack+206, vrr_stack+106, vrr_stack+191, vrr_stack+30, vrr_stack+96, NULL);
 _BUILD_00i0(Data,vrr_stack+227, vrr_stack+121, vrr_stack+206, vrr_stack+50, vrr_stack+106, NULL);
 _BUILD_00k0(Data,vrr_stack+255, vrr_stack+163, vrr_stack+227, vrr_stack+142, vrr_stack+121, NULL);
 _BUILD_00p0(Data,vrr_stack+50, Data->F+1, Data->F+2, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+53, vrr_stack+50, vrr_stack+3, Data->F+1, Data->F+2, NULL);
 _BUILD_00f0(Data,vrr_stack+21, vrr_stack+53, vrr_stack+65, vrr_stack+50, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+291, vrr_stack+21, vrr_stack+71, vrr_stack+53, vrr_stack+65, NULL);
 _BUILD_00h0(Data,vrr_stack+306, vrr_stack+291, vrr_stack+81, vrr_stack+21, vrr_stack+71, NULL);
 _BUILD_00i0(Data,vrr_stack+327, vrr_stack+306, vrr_stack+142, vrr_stack+291, vrr_stack+81, NULL);
 _BUILD_00k0(Data,vrr_stack+59, vrr_stack+327, vrr_stack+163, vrr_stack+306, vrr_stack+142, NULL);
 _BUILD_p0k0(Data,vrr_stack+355, vrr_stack+59, vrr_stack+255, NULL, NULL, vrr_stack+163);
 _BUILD_00l0(Data,vrr_stack+463, vrr_stack+59, vrr_stack+255, vrr_stack+327, vrr_stack+163, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+0, Data->F+1, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+142, vrr_stack+3, vrr_stack+50, Data->F+0, Data->F+1, NULL);
 _BUILD_00f0(Data,vrr_stack+148, vrr_stack+142, vrr_stack+53, vrr_stack+3, vrr_stack+50, NULL);
 _BUILD_00g0(Data,vrr_stack+508, vrr_stack+148, vrr_stack+21, vrr_stack+142, vrr_stack+53, NULL);
 _BUILD_00h0(Data,vrr_stack+523, vrr_stack+508, vrr_stack+291, vrr_stack+148, vrr_stack+21, NULL);
 _BUILD_00i0(Data,vrr_stack+544, vrr_stack+523, vrr_stack+306, vrr_stack+508, vrr_stack+291, NULL);
 _BUILD_00k0(Data,vrr_stack+572, vrr_stack+544, vrr_stack+327, vrr_stack+523, vrr_stack+306, NULL);
 _BUILD_00l0(Data,vrr_stack+608, vrr_stack+572, vrr_stack+59, vrr_stack+544, vrr_stack+327, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+9, Data->F+10, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+291, vrr_stack+0, vrr_stack+3, Data->F+8, Data->F+9, NULL);
 _BUILD_00f0(Data,vrr_stack+297, vrr_stack+6, vrr_stack+291, vrr_stack+12, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+307, vrr_stack+40, vrr_stack+297, vrr_stack+15, vrr_stack+6, NULL);
 _BUILD_00h0(Data,vrr_stack+142, vrr_stack+191, vrr_stack+307, vrr_stack+96, vrr_stack+40, NULL);
 _BUILD_00i0(Data,vrr_stack+0, vrr_stack+206, vrr_stack+142, vrr_stack+106, vrr_stack+191, NULL);
 _BUILD_00k0(Data,vrr_stack+291, vrr_stack+227, vrr_stack+0, vrr_stack+121, vrr_stack+206, NULL);
 _BUILD_00l0(Data,vrr_stack+0, vrr_stack+255, vrr_stack+291, vrr_stack+163, vrr_stack+227, NULL);
 _BUILD_p0l0(Data,vrr_stack+95, vrr_stack+463, vrr_stack+0, NULL, NULL, vrr_stack+255);
 _BUILD_p0l0(Data,vrr_stack+653, vrr_stack+608, vrr_stack+463, NULL, NULL, vrr_stack+59);
 _BUILD_d0l0(Data,vrr_stack+788, vrr_stack+653, vrr_stack+95, vrr_stack+608, vrr_stack+463, vrr_stack+355);
   tmp = vrr_stack + 788;
   target_ptr = Libint->vrr_classes[2][8];
   for(i=0;i<270;i++)
     target_ptr[i] += tmp[i];

}

