#include <stdio.h>
#include "libint.h"
#include "vrr_header.h"

  /* Computes quartets necessary to compute (f0|lg) integrals */

void vrr_order_f0lg(Libint_t * Libint, prim_data *Data)
{
 REALTYPE *vrr_stack = Libint->vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];
 _BUILD_00p0(Data,vrr_stack+0, Data->F+5, Data->F+6, NULL, NULL, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+4, Data->F+5, NULL, NULL, NULL);
 _BUILD_00p0(Data,vrr_stack+6, Data->F+6, Data->F+7, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+9, vrr_stack+0, vrr_stack+6, Data->F+5, Data->F+6, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+3, vrr_stack+0, Data->F+4, Data->F+5, NULL);
 _BUILD_00f0(Data,vrr_stack+21, vrr_stack+15, vrr_stack+9, vrr_stack+3, vrr_stack+0, NULL);
 _BUILD_00p0(Data,vrr_stack+31, Data->F+3, Data->F+4, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+34, vrr_stack+31, vrr_stack+3, Data->F+3, Data->F+4, NULL);
 _BUILD_00f0(Data,vrr_stack+40, vrr_stack+34, vrr_stack+15, vrr_stack+31, vrr_stack+3, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+7, Data->F+8, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+50, vrr_stack+6, vrr_stack+3, Data->F+6, Data->F+7, NULL);
 _BUILD_00f0(Data,vrr_stack+56, vrr_stack+9, vrr_stack+50, vrr_stack+0, vrr_stack+6, NULL);
 _BUILD_00g0(Data,vrr_stack+66, vrr_stack+21, vrr_stack+56, vrr_stack+15, vrr_stack+9, NULL);
 _BUILD_00g0(Data,vrr_stack+81, vrr_stack+40, vrr_stack+21, vrr_stack+34, vrr_stack+15, NULL);
 _BUILD_00h0(Data,vrr_stack+96, vrr_stack+81, vrr_stack+66, vrr_stack+40, vrr_stack+21, NULL);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+8, Data->F+9, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+3, vrr_stack+0, Data->F+7, Data->F+8, NULL);
 _BUILD_00f0(Data,vrr_stack+117, vrr_stack+50, vrr_stack+15, vrr_stack+6, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+127, vrr_stack+56, vrr_stack+117, vrr_stack+9, vrr_stack+50, NULL);
 _BUILD_00h0(Data,vrr_stack+142, vrr_stack+66, vrr_stack+127, vrr_stack+21, vrr_stack+56, NULL);
 _BUILD_00i0(Data,vrr_stack+163, vrr_stack+96, vrr_stack+142, vrr_stack+81, vrr_stack+66, NULL);
 _BUILD_00p0(Data,vrr_stack+21, Data->F+2, Data->F+3, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+24, vrr_stack+21, vrr_stack+31, Data->F+2, Data->F+3, NULL);
 _BUILD_00f0(Data,vrr_stack+191, vrr_stack+24, vrr_stack+34, vrr_stack+21, vrr_stack+31, NULL);
 _BUILD_00g0(Data,vrr_stack+201, vrr_stack+191, vrr_stack+40, vrr_stack+24, vrr_stack+34, NULL);
 _BUILD_00h0(Data,vrr_stack+216, vrr_stack+201, vrr_stack+81, vrr_stack+191, vrr_stack+40, NULL);
 _BUILD_00i0(Data,vrr_stack+237, vrr_stack+216, vrr_stack+96, vrr_stack+201, vrr_stack+81, NULL);
 _BUILD_p0i0(Data,vrr_stack+265, vrr_stack+237, vrr_stack+163, NULL, NULL, vrr_stack+96);
 _BUILD_00k0(Data,vrr_stack+349, vrr_stack+237, vrr_stack+163, vrr_stack+216, vrr_stack+96, NULL);
 _BUILD_00p0(Data,vrr_stack+81, Data->F+1, Data->F+2, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+84, vrr_stack+81, vrr_stack+21, Data->F+1, Data->F+2, NULL);
 _BUILD_00f0(Data,vrr_stack+30, vrr_stack+84, vrr_stack+24, vrr_stack+81, vrr_stack+21, NULL);
 _BUILD_00g0(Data,vrr_stack+385, vrr_stack+30, vrr_stack+191, vrr_stack+84, vrr_stack+24, NULL);
 _BUILD_00h0(Data,vrr_stack+400, vrr_stack+385, vrr_stack+201, vrr_stack+30, vrr_stack+191, NULL);
 _BUILD_00i0(Data,vrr_stack+421, vrr_stack+400, vrr_stack+216, vrr_stack+385, vrr_stack+201, NULL);
 _BUILD_00k0(Data,vrr_stack+449, vrr_stack+421, vrr_stack+237, vrr_stack+400, vrr_stack+216, NULL);
 _BUILD_00p0(Data,vrr_stack+191, Data->F+9, Data->F+10, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+90, vrr_stack+0, vrr_stack+191, Data->F+8, Data->F+9, NULL);
 _BUILD_00f0(Data,vrr_stack+40, vrr_stack+15, vrr_stack+90, vrr_stack+3, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+194, vrr_stack+117, vrr_stack+40, vrr_stack+50, vrr_stack+15, NULL);
 _BUILD_00h0(Data,vrr_stack+209, vrr_stack+127, vrr_stack+194, vrr_stack+56, vrr_stack+117, NULL);
 _BUILD_00i0(Data,vrr_stack+485, vrr_stack+142, vrr_stack+209, vrr_stack+66, vrr_stack+127, NULL);
 _BUILD_00k0(Data,vrr_stack+513, vrr_stack+163, vrr_stack+485, vrr_stack+96, vrr_stack+142, NULL);
 _BUILD_p0k0(Data,vrr_stack+549, vrr_stack+349, vrr_stack+513, NULL, NULL, vrr_stack+163);
 _BUILD_p0k0(Data,vrr_stack+657, vrr_stack+449, vrr_stack+349, NULL, NULL, vrr_stack+237);
 _BUILD_d0k0(Data,vrr_stack+765, vrr_stack+657, vrr_stack+549, vrr_stack+449, vrr_stack+349, vrr_stack+265);
 _BUILD_00l0(Data,vrr_stack+265, vrr_stack+349, vrr_stack+513, vrr_stack+237, vrr_stack+163, NULL);
 _BUILD_00l0(Data,vrr_stack+981, vrr_stack+449, vrr_stack+349, vrr_stack+421, vrr_stack+237, NULL);
 _BUILD_p0l0(Data,vrr_stack+1026, vrr_stack+981, vrr_stack+265, NULL, NULL, vrr_stack+349);
 _BUILD_00p0(Data,vrr_stack+310, Data->F+0, Data->F+1, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+313, vrr_stack+310, vrr_stack+81, Data->F+0, Data->F+1, NULL);
 _BUILD_00f0(Data,vrr_stack+319, vrr_stack+313, vrr_stack+84, vrr_stack+310, vrr_stack+81, NULL);
 _BUILD_00g0(Data,vrr_stack+329, vrr_stack+319, vrr_stack+30, vrr_stack+313, vrr_stack+84, NULL);
 _BUILD_00h0(Data,vrr_stack+96, vrr_stack+329, vrr_stack+385, vrr_stack+319, vrr_stack+30, NULL);
 _BUILD_00i0(Data,vrr_stack+50, vrr_stack+96, vrr_stack+400, vrr_stack+329, vrr_stack+385, NULL);
 _BUILD_00k0(Data,vrr_stack+310, vrr_stack+50, vrr_stack+421, vrr_stack+96, vrr_stack+400, NULL);
 _BUILD_00l0(Data,vrr_stack+1161, vrr_stack+310, vrr_stack+449, vrr_stack+50, vrr_stack+421, NULL);
 _BUILD_p0l0(Data,vrr_stack+1206, vrr_stack+1161, vrr_stack+981, NULL, NULL, vrr_stack+449);
 _BUILD_00p0(Data,vrr_stack+346, Data->F+10, Data->F+11, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+50, vrr_stack+191, vrr_stack+346, Data->F+9, Data->F+10, NULL);
 _BUILD_00f0(Data,vrr_stack+56, vrr_stack+90, vrr_stack+50, vrr_stack+0, vrr_stack+191, NULL);
 _BUILD_00g0(Data,vrr_stack+0, vrr_stack+40, vrr_stack+56, vrr_stack+15, vrr_stack+90, NULL);
 _BUILD_00h0(Data,vrr_stack+96, vrr_stack+194, vrr_stack+0, vrr_stack+117, vrr_stack+40, NULL);
 _BUILD_00i0(Data,vrr_stack+385, vrr_stack+209, vrr_stack+96, vrr_stack+127, vrr_stack+194, NULL);
 _BUILD_00k0(Data,vrr_stack+413, vrr_stack+485, vrr_stack+385, vrr_stack+142, vrr_stack+209, NULL);
 _BUILD_00l0(Data,vrr_stack+117, vrr_stack+513, vrr_stack+413, vrr_stack+163, vrr_stack+485, NULL);
 _BUILD_p0l0(Data,vrr_stack+1341, vrr_stack+265, vrr_stack+117, NULL, NULL, vrr_stack+513);
 _BUILD_d0l0(Data,vrr_stack+1476, vrr_stack+1026, vrr_stack+1341, vrr_stack+981, vrr_stack+265, vrr_stack+549);
 _BUILD_d0l0(Data,vrr_stack+1746, vrr_stack+1206, vrr_stack+1026, vrr_stack+1161, vrr_stack+981, vrr_stack+657);
 _BUILD_00m0(Data,vrr_stack+549, vrr_stack+265, vrr_stack+117, vrr_stack+349, vrr_stack+513, NULL);
 _BUILD_00m0(Data,vrr_stack+604, vrr_stack+981, vrr_stack+265, vrr_stack+449, vrr_stack+349, NULL);
 _BUILD_p0m0(Data,vrr_stack+2016, vrr_stack+604, vrr_stack+549, NULL, NULL, vrr_stack+265);
 _BUILD_00m0(Data,vrr_stack+659, vrr_stack+1161, vrr_stack+981, vrr_stack+310, vrr_stack+449, NULL);
 _BUILD_p0m0(Data,vrr_stack+2181, vrr_stack+659, vrr_stack+604, NULL, NULL, vrr_stack+981);
 _BUILD_00p0(Data,vrr_stack+449, Data->F+11, Data->F+12, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+452, vrr_stack+346, vrr_stack+449, Data->F+10, Data->F+11, NULL);
 _BUILD_00f0(Data,vrr_stack+458, vrr_stack+50, vrr_stack+452, vrr_stack+191, vrr_stack+346, NULL);
 _BUILD_00g0(Data,vrr_stack+468, vrr_stack+56, vrr_stack+458, vrr_stack+90, vrr_stack+50, NULL);
 _BUILD_00h0(Data,vrr_stack+310, vrr_stack+0, vrr_stack+468, vrr_stack+40, vrr_stack+56, NULL);
 _BUILD_00i0(Data,vrr_stack+349, vrr_stack+96, vrr_stack+310, vrr_stack+194, vrr_stack+0, NULL);
 _BUILD_00k0(Data,vrr_stack+714, vrr_stack+385, vrr_stack+349, vrr_stack+209, vrr_stack+96, NULL);
 _BUILD_00l0(Data,vrr_stack+162, vrr_stack+413, vrr_stack+714, vrr_stack+485, vrr_stack+385, NULL);
 _BUILD_00m0(Data,vrr_stack+207, vrr_stack+117, vrr_stack+162, vrr_stack+513, vrr_stack+413, NULL);
 _BUILD_p0m0(Data,vrr_stack+2346, vrr_stack+549, vrr_stack+207, NULL, NULL, vrr_stack+117);
 _BUILD_d0m0(Data,vrr_stack+2511, vrr_stack+2016, vrr_stack+2346, vrr_stack+604, vrr_stack+549, vrr_stack+1341);
 _BUILD_d0m0(Data,vrr_stack+2841, vrr_stack+2181, vrr_stack+2016, vrr_stack+659, vrr_stack+604, vrr_stack+1026);
 _BUILD_00n0(Data,vrr_stack+483, vrr_stack+549, vrr_stack+207, vrr_stack+265, vrr_stack+117, NULL);
 _BUILD_00n0(Data,vrr_stack+1341, vrr_stack+604, vrr_stack+549, vrr_stack+981, vrr_stack+265, NULL);
 _BUILD_p0n0(Data,vrr_stack+3171, vrr_stack+1341, vrr_stack+483, NULL, NULL, vrr_stack+549);
 _BUILD_00n0(Data,vrr_stack+1407, vrr_stack+659, vrr_stack+604, vrr_stack+1161, vrr_stack+981, NULL);
 _BUILD_p0n0(Data,vrr_stack+3369, vrr_stack+1407, vrr_stack+1341, NULL, NULL, vrr_stack+604);
 _BUILD_00p0(Data,vrr_stack+1473, Data->F+12, Data->F+13, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+981, vrr_stack+449, vrr_stack+1473, Data->F+11, Data->F+12, NULL);
 _BUILD_00f0(Data,vrr_stack+987, vrr_stack+452, vrr_stack+981, vrr_stack+346, vrr_stack+449, NULL);
 _BUILD_00g0(Data,vrr_stack+750, vrr_stack+458, vrr_stack+987, vrr_stack+50, vrr_stack+452, NULL);
 _BUILD_00h0(Data,vrr_stack+997, vrr_stack+468, vrr_stack+750, vrr_stack+56, vrr_stack+458, NULL);
 _BUILD_00i0(Data,vrr_stack+1161, vrr_stack+310, vrr_stack+997, vrr_stack+0, vrr_stack+468, NULL);
 _BUILD_00k0(Data,vrr_stack+0, vrr_stack+349, vrr_stack+1161, vrr_stack+96, vrr_stack+310, NULL);
 _BUILD_00l0(Data,vrr_stack+36, vrr_stack+714, vrr_stack+0, vrr_stack+385, vrr_stack+349, NULL);
 _BUILD_00m0(Data,vrr_stack+3567, vrr_stack+162, vrr_stack+36, vrr_stack+413, vrr_stack+714, NULL);
 _BUILD_00n0(Data,vrr_stack+377, vrr_stack+207, vrr_stack+3567, vrr_stack+117, vrr_stack+162, NULL);
 _BUILD_p0n0(Data,vrr_stack+3622, vrr_stack+483, vrr_stack+377, NULL, NULL, vrr_stack+207);
 _BUILD_d0n0(Data,vrr_stack+3820, vrr_stack+3171, vrr_stack+3622, vrr_stack+1341, vrr_stack+483, vrr_stack+2346);
 _BUILD_d0n0(Data,vrr_stack+4216, vrr_stack+3369, vrr_stack+3171, vrr_stack+1407, vrr_stack+1341, vrr_stack+2016);
 _BUILD_00o0(Data,vrr_stack+2346, vrr_stack+483, vrr_stack+377, vrr_stack+549, vrr_stack+207, NULL);
 _BUILD_00o0(Data,vrr_stack+2424, vrr_stack+1341, vrr_stack+483, vrr_stack+604, vrr_stack+549, NULL);
 _BUILD_p0o0(Data,vrr_stack+4612, vrr_stack+2424, vrr_stack+2346, NULL, NULL, vrr_stack+483);
 _BUILD_00o0(Data,vrr_stack+81, vrr_stack+1407, vrr_stack+1341, vrr_stack+659, vrr_stack+604, NULL);
 _BUILD_p0o0(Data,vrr_stack+4846, vrr_stack+81, vrr_stack+2424, NULL, NULL, vrr_stack+1341);
 _BUILD_00p0(Data,vrr_stack+159, Data->F+13, Data->F+14, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+443, vrr_stack+1473, vrr_stack+159, Data->F+12, Data->F+13, NULL);
 _BUILD_00f0(Data,vrr_stack+549, vrr_stack+981, vrr_stack+443, vrr_stack+449, vrr_stack+1473, NULL);
 _BUILD_00g0(Data,vrr_stack+559, vrr_stack+987, vrr_stack+549, vrr_stack+452, vrr_stack+981, NULL);
 _BUILD_00h0(Data,vrr_stack+574, vrr_stack+750, vrr_stack+559, vrr_stack+458, vrr_stack+987, NULL);
 _BUILD_00i0(Data,vrr_stack+595, vrr_stack+997, vrr_stack+574, vrr_stack+468, vrr_stack+750, NULL);
 _BUILD_00k0(Data,vrr_stack+623, vrr_stack+1161, vrr_stack+595, vrr_stack+310, vrr_stack+997, NULL);
 _BUILD_00l0(Data,vrr_stack+659, vrr_stack+0, vrr_stack+623, vrr_stack+349, vrr_stack+1161, NULL);
 _BUILD_00m0(Data,vrr_stack+262, vrr_stack+36, vrr_stack+659, vrr_stack+714, vrr_stack+0, NULL);
 _BUILD_00n0(Data,vrr_stack+5080, vrr_stack+3567, vrr_stack+262, vrr_stack+162, vrr_stack+36, NULL);
 _BUILD_00o0(Data,vrr_stack+5146, vrr_stack+377, vrr_stack+5080, vrr_stack+207, vrr_stack+3567, NULL);
 _BUILD_p0o0(Data,vrr_stack+5224, vrr_stack+2346, vrr_stack+5146, NULL, NULL, vrr_stack+377);
 _BUILD_d0o0(Data,vrr_stack+5458, vrr_stack+4612, vrr_stack+5224, vrr_stack+2424, vrr_stack+2346, vrr_stack+3622);
 _BUILD_d0o0(Data,vrr_stack+5926, vrr_stack+4846, vrr_stack+4612, vrr_stack+81, vrr_stack+2424, vrr_stack+3171);
 _BUILD_00q0(Data,vrr_stack+3622, vrr_stack+2346, vrr_stack+5146, vrr_stack+483, vrr_stack+377, NULL);
 _BUILD_00q0(Data,vrr_stack+3713, vrr_stack+2424, vrr_stack+2346, vrr_stack+1341, vrr_stack+483, NULL);
 _BUILD_p0q0(Data,vrr_stack+6394, vrr_stack+3713, vrr_stack+3622, NULL, NULL, vrr_stack+2346);
 _BUILD_00q0(Data,vrr_stack+162, vrr_stack+81, vrr_stack+2424, vrr_stack+1407, vrr_stack+1341, NULL);
 _BUILD_p0q0(Data,vrr_stack+6667, vrr_stack+162, vrr_stack+3713, NULL, NULL, vrr_stack+2424);
 _BUILD_00p0(Data,vrr_stack+1341, Data->F+14, Data->F+15, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+1344, vrr_stack+159, vrr_stack+1341, Data->F+13, Data->F+14, NULL);
 _BUILD_00f0(Data,vrr_stack+1350, vrr_stack+443, vrr_stack+1344, vrr_stack+1473, vrr_stack+159, NULL);
 _BUILD_00g0(Data,vrr_stack+1360, vrr_stack+549, vrr_stack+1350, vrr_stack+981, vrr_stack+443, NULL);
 _BUILD_00h0(Data,vrr_stack+443, vrr_stack+559, vrr_stack+1360, vrr_stack+987, vrr_stack+549, NULL);
 _BUILD_00i0(Data,vrr_stack+464, vrr_stack+574, vrr_stack+443, vrr_stack+750, vrr_stack+559, NULL);
 _BUILD_00k0(Data,vrr_stack+492, vrr_stack+595, vrr_stack+464, vrr_stack+997, vrr_stack+574, NULL);
 _BUILD_00l0(Data,vrr_stack+981, vrr_stack+623, vrr_stack+492, vrr_stack+1161, vrr_stack+595, NULL);
 _BUILD_00m0(Data,vrr_stack+443, vrr_stack+659, vrr_stack+981, vrr_stack+0, vrr_stack+623, NULL);
 _BUILD_00n0(Data,vrr_stack+498, vrr_stack+262, vrr_stack+443, vrr_stack+36, vrr_stack+659, NULL);
 _BUILD_00o0(Data,vrr_stack+0, vrr_stack+5080, vrr_stack+498, vrr_stack+3567, vrr_stack+262, NULL);
 _BUILD_00q0(Data,vrr_stack+443, vrr_stack+5146, vrr_stack+0, vrr_stack+377, vrr_stack+5080, NULL);
 _BUILD_p0q0(Data,vrr_stack+6940, vrr_stack+3622, vrr_stack+443, NULL, NULL, vrr_stack+5146);
 _BUILD_d0q0(Data,vrr_stack+7213, vrr_stack+6394, vrr_stack+6940, vrr_stack+3713, vrr_stack+3622, vrr_stack+5224);
 _BUILD_d0q0(Data,vrr_stack+7759, vrr_stack+6667, vrr_stack+6394, vrr_stack+162, vrr_stack+3713, vrr_stack+4612);
 _BUILD_f0l0(Data,vrr_stack+0, vrr_stack+1746, vrr_stack+1476, vrr_stack+1206, vrr_stack+1026, vrr_stack+765);
   tmp = vrr_stack + 0;
   target_ptr = Libint->vrr_classes[3][8];
   for(i=0;i<450;i++)
     target_ptr[i] += tmp[i];
 _BUILD_f0m0(Data,vrr_stack+450, vrr_stack+2841, vrr_stack+2511, vrr_stack+2181, vrr_stack+2016, vrr_stack+1476);
   tmp = vrr_stack + 450;
   target_ptr = Libint->vrr_classes[3][9];
   for(i=0;i<550;i++)
     target_ptr[i] += tmp[i];
 _BUILD_f0n0(Data,vrr_stack+1000, vrr_stack+4216, vrr_stack+3820, vrr_stack+3369, vrr_stack+3171, vrr_stack+2511);
   tmp = vrr_stack + 1000;
   target_ptr = Libint->vrr_classes[3][10];
   for(i=0;i<660;i++)
     target_ptr[i] += tmp[i];
 _BUILD_f0o0(Data,vrr_stack+1660, vrr_stack+5926, vrr_stack+5458, vrr_stack+4846, vrr_stack+4612, vrr_stack+3820);
   tmp = vrr_stack + 1660;
   target_ptr = Libint->vrr_classes[3][11];
   for(i=0;i<780;i++)
     target_ptr[i] += tmp[i];
 _BUILD_f0q0(Data,vrr_stack+2440, vrr_stack+7759, vrr_stack+7213, vrr_stack+6667, vrr_stack+6394, vrr_stack+5458);
   tmp = vrr_stack + 2440;
   target_ptr = Libint->vrr_classes[3][12];
   for(i=0;i<910;i++)
     target_ptr[i] += tmp[i];

}

