#include <stdio.h>
#include "libint.h"
#include "vrr_header.h"

  /* Computes quartets necessary to compute (ig|ig) integrals */

void vrr_order_igig(Libint_t * Libint, prim_data *Data)
{
 REALTYPE *vrr_stack = Libint->vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];
 _BUILD_p000(Data,vrr_stack+0, Data->F+8, Data->F+9, NULL, NULL, NULL);
 _BUILD_p000(Data,vrr_stack+3, Data->F+7, Data->F+8, NULL, NULL, NULL);
 _BUILD_d000(Data,vrr_stack+6, vrr_stack+3, vrr_stack+0, Data->F+7, Data->F+8, NULL);
 _BUILD_p000(Data,vrr_stack+12, Data->F+6, Data->F+7, NULL, NULL, NULL);
 _BUILD_d000(Data,vrr_stack+15, vrr_stack+12, vrr_stack+3, Data->F+6, Data->F+7, NULL);
 _BUILD_p000(Data,vrr_stack+21, Data->F+9, Data->F+10, NULL, NULL, NULL);
 _BUILD_d000(Data,vrr_stack+24, vrr_stack+0, vrr_stack+21, Data->F+8, Data->F+9, NULL);
 _BUILD_f000(Data,vrr_stack+30, vrr_stack+6, vrr_stack+24, vrr_stack+3, vrr_stack+0, NULL);
 _BUILD_f000(Data,vrr_stack+40, vrr_stack+15, vrr_stack+6, vrr_stack+12, vrr_stack+3, NULL);
 _BUILD_g000(Data,vrr_stack+50, vrr_stack+40, vrr_stack+30, vrr_stack+15, vrr_stack+6, NULL);
 _BUILD_00p0(Data,vrr_stack+65, Data->F+8, Data->F+9, NULL, NULL, NULL);
 _BUILD_00p0(Data,vrr_stack+68, Data->F+7, Data->F+8, NULL, NULL, NULL);
 _BUILD_p0p0(Data,vrr_stack+71, vrr_stack+68, vrr_stack+65, NULL, NULL, Data->F+8);
 _BUILD_00p0(Data,vrr_stack+80, Data->F+6, Data->F+7, NULL, NULL, NULL);
 _BUILD_p0p0(Data,vrr_stack+83, vrr_stack+80, vrr_stack+68, NULL, NULL, Data->F+7);
 _BUILD_00p0(Data,vrr_stack+92, Data->F+9, Data->F+10, NULL, NULL, NULL);
 _BUILD_p0p0(Data,vrr_stack+95, vrr_stack+65, vrr_stack+92, NULL, NULL, Data->F+9);
 _BUILD_d0p0(Data,vrr_stack+104, vrr_stack+71, vrr_stack+95, vrr_stack+68, vrr_stack+65, vrr_stack+0);
 _BUILD_d0p0(Data,vrr_stack+122, vrr_stack+83, vrr_stack+71, vrr_stack+80, vrr_stack+68, vrr_stack+3);
 _BUILD_f0p0(Data,vrr_stack+140, vrr_stack+122, vrr_stack+104, vrr_stack+83, vrr_stack+71, vrr_stack+6);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+5, Data->F+6, NULL, NULL, NULL);
 _BUILD_p0p0(Data,vrr_stack+3, vrr_stack+0, vrr_stack+80, NULL, NULL, Data->F+6);
 _BUILD_d0p0(Data,vrr_stack+170, vrr_stack+3, vrr_stack+83, vrr_stack+0, vrr_stack+80, vrr_stack+12);
 _BUILD_f0p0(Data,vrr_stack+188, vrr_stack+170, vrr_stack+122, vrr_stack+3, vrr_stack+83, vrr_stack+15);
 _BUILD_00p0(Data,vrr_stack+12, Data->F+10, Data->F+11, NULL, NULL, NULL);
 _BUILD_p0p0(Data,vrr_stack+218, vrr_stack+92, vrr_stack+12, NULL, NULL, Data->F+10);
 _BUILD_d0p0(Data,vrr_stack+227, vrr_stack+95, vrr_stack+218, vrr_stack+65, vrr_stack+92, vrr_stack+21);
 _BUILD_f0p0(Data,vrr_stack+245, vrr_stack+104, vrr_stack+227, vrr_stack+71, vrr_stack+95, vrr_stack+24);
 _BUILD_g0p0(Data,vrr_stack+275, vrr_stack+140, vrr_stack+245, vrr_stack+122, vrr_stack+104, vrr_stack+30);
 _BUILD_g0p0(Data,vrr_stack+320, vrr_stack+188, vrr_stack+140, vrr_stack+170, vrr_stack+122, vrr_stack+40);
 _BUILD_h0p0(Data,vrr_stack+365, vrr_stack+320, vrr_stack+275, vrr_stack+188, vrr_stack+140, vrr_stack+50);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+68, vrr_stack+65, Data->F+7, Data->F+8, NULL);
 _BUILD_00d0(Data,vrr_stack+21, vrr_stack+80, vrr_stack+68, Data->F+6, Data->F+7, NULL);
 _BUILD_00d0(Data,vrr_stack+27, vrr_stack+65, vrr_stack+92, Data->F+8, Data->F+9, NULL);
 _BUILD_p0d0(Data,vrr_stack+33, vrr_stack+15, vrr_stack+27, NULL, NULL, vrr_stack+65);
 _BUILD_p0d0(Data,vrr_stack+428, vrr_stack+21, vrr_stack+15, NULL, NULL, vrr_stack+68);
 _BUILD_d0d0(Data,vrr_stack+446, vrr_stack+428, vrr_stack+33, vrr_stack+21, vrr_stack+15, vrr_stack+71);
 _BUILD_00d0(Data,vrr_stack+71, vrr_stack+0, vrr_stack+80, Data->F+5, Data->F+6, NULL);
 _BUILD_p0d0(Data,vrr_stack+482, vrr_stack+71, vrr_stack+21, NULL, NULL, vrr_stack+80);
 _BUILD_d0d0(Data,vrr_stack+500, vrr_stack+482, vrr_stack+428, vrr_stack+71, vrr_stack+21, vrr_stack+83);
 _BUILD_00d0(Data,vrr_stack+83, vrr_stack+92, vrr_stack+12, Data->F+9, Data->F+10, NULL);
 _BUILD_p0d0(Data,vrr_stack+536, vrr_stack+27, vrr_stack+83, NULL, NULL, vrr_stack+92);
 _BUILD_d0d0(Data,vrr_stack+554, vrr_stack+33, vrr_stack+536, vrr_stack+15, vrr_stack+27, vrr_stack+95);
 _BUILD_f0d0(Data,vrr_stack+590, vrr_stack+446, vrr_stack+554, vrr_stack+428, vrr_stack+33, vrr_stack+104);
 _BUILD_f0d0(Data,vrr_stack+650, vrr_stack+500, vrr_stack+446, vrr_stack+482, vrr_stack+428, vrr_stack+122);
 _BUILD_g0d0(Data,vrr_stack+710, vrr_stack+650, vrr_stack+590, vrr_stack+500, vrr_stack+446, vrr_stack+140);
 _BUILD_00p0(Data,vrr_stack+89, Data->F+4, Data->F+5, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+95, vrr_stack+89, vrr_stack+0, Data->F+4, Data->F+5, NULL);
 _BUILD_p0d0(Data,vrr_stack+101, vrr_stack+95, vrr_stack+71, NULL, NULL, vrr_stack+0);
 _BUILD_d0d0(Data,vrr_stack+119, vrr_stack+101, vrr_stack+482, vrr_stack+95, vrr_stack+71, vrr_stack+3);
 _BUILD_f0d0(Data,vrr_stack+800, vrr_stack+119, vrr_stack+500, vrr_stack+101, vrr_stack+482, vrr_stack+170);
 _BUILD_g0d0(Data,vrr_stack+860, vrr_stack+800, vrr_stack+650, vrr_stack+119, vrr_stack+500, vrr_stack+188);
 _BUILD_00p0(Data,vrr_stack+77, Data->F+11, Data->F+12, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+3, vrr_stack+12, vrr_stack+77, Data->F+10, Data->F+11, NULL);
 _BUILD_p0d0(Data,vrr_stack+155, vrr_stack+83, vrr_stack+3, NULL, NULL, vrr_stack+12);
 _BUILD_d0d0(Data,vrr_stack+173, vrr_stack+536, vrr_stack+155, vrr_stack+27, vrr_stack+83, vrr_stack+218);
 _BUILD_f0d0(Data,vrr_stack+950, vrr_stack+554, vrr_stack+173, vrr_stack+33, vrr_stack+536, vrr_stack+227);
 _BUILD_g0d0(Data,vrr_stack+1010, vrr_stack+590, vrr_stack+950, vrr_stack+446, vrr_stack+554, vrr_stack+245);
 _BUILD_h0d0(Data,vrr_stack+1100, vrr_stack+710, vrr_stack+1010, vrr_stack+650, vrr_stack+590, vrr_stack+275);
 _BUILD_h0d0(Data,vrr_stack+1226, vrr_stack+860, vrr_stack+710, vrr_stack+800, vrr_stack+650, vrr_stack+320);
 _BUILD_i0d0(Data,vrr_stack+1352, vrr_stack+1226, vrr_stack+1100, vrr_stack+860, vrr_stack+710, vrr_stack+365);
 _BUILD_00f0(Data,vrr_stack+209, vrr_stack+15, vrr_stack+27, vrr_stack+68, vrr_stack+65, NULL);
 _BUILD_00f0(Data,vrr_stack+219, vrr_stack+21, vrr_stack+15, vrr_stack+80, vrr_stack+68, NULL);
 _BUILD_p0f0(Data,vrr_stack+229, vrr_stack+219, vrr_stack+209, NULL, NULL, vrr_stack+15);
 _BUILD_00f0(Data,vrr_stack+259, vrr_stack+71, vrr_stack+21, vrr_stack+0, vrr_stack+80, NULL);
 _BUILD_p0f0(Data,vrr_stack+269, vrr_stack+259, vrr_stack+219, NULL, NULL, vrr_stack+21);
 _BUILD_00f0(Data,vrr_stack+299, vrr_stack+27, vrr_stack+83, vrr_stack+65, vrr_stack+92, NULL);
 _BUILD_p0f0(Data,vrr_stack+309, vrr_stack+209, vrr_stack+299, NULL, NULL, vrr_stack+27);
 _BUILD_d0f0(Data,vrr_stack+339, vrr_stack+229, vrr_stack+309, vrr_stack+219, vrr_stack+209, vrr_stack+33);
 _BUILD_d0f0(Data,vrr_stack+1520, vrr_stack+269, vrr_stack+229, vrr_stack+259, vrr_stack+219, vrr_stack+428);
 _BUILD_f0f0(Data,vrr_stack+1580, vrr_stack+1520, vrr_stack+339, vrr_stack+269, vrr_stack+229, vrr_stack+446);
 _BUILD_00f0(Data,vrr_stack+33, vrr_stack+95, vrr_stack+71, vrr_stack+89, vrr_stack+0, NULL);
 _BUILD_p0f0(Data,vrr_stack+399, vrr_stack+33, vrr_stack+259, NULL, NULL, vrr_stack+71);
 _BUILD_d0f0(Data,vrr_stack+1680, vrr_stack+399, vrr_stack+269, vrr_stack+33, vrr_stack+259, vrr_stack+482);
 _BUILD_f0f0(Data,vrr_stack+1740, vrr_stack+1680, vrr_stack+1520, vrr_stack+399, vrr_stack+269, vrr_stack+500);
 _BUILD_00f0(Data,vrr_stack+43, vrr_stack+83, vrr_stack+3, vrr_stack+92, vrr_stack+12, NULL);
 _BUILD_p0f0(Data,vrr_stack+429, vrr_stack+299, vrr_stack+43, NULL, NULL, vrr_stack+83);
 _BUILD_d0f0(Data,vrr_stack+459, vrr_stack+309, vrr_stack+429, vrr_stack+209, vrr_stack+299, vrr_stack+536);
 _BUILD_f0f0(Data,vrr_stack+1840, vrr_stack+339, vrr_stack+459, vrr_stack+229, vrr_stack+309, vrr_stack+554);
 _BUILD_g0f0(Data,vrr_stack+1940, vrr_stack+1580, vrr_stack+1840, vrr_stack+1520, vrr_stack+339, vrr_stack+590);
 _BUILD_g0f0(Data,vrr_stack+2090, vrr_stack+1740, vrr_stack+1580, vrr_stack+1680, vrr_stack+1520, vrr_stack+650);
 _BUILD_h0f0(Data,vrr_stack+2240, vrr_stack+2090, vrr_stack+1940, vrr_stack+1740, vrr_stack+1580, vrr_stack+710);
 _BUILD_00p0(Data,vrr_stack+92, Data->F+3, Data->F+4, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+53, vrr_stack+92, vrr_stack+89, Data->F+3, Data->F+4, NULL);
 _BUILD_00f0(Data,vrr_stack+59, vrr_stack+53, vrr_stack+95, vrr_stack+92, vrr_stack+89, NULL);
 _BUILD_p0f0(Data,vrr_stack+519, vrr_stack+59, vrr_stack+33, NULL, NULL, vrr_stack+95);
 _BUILD_d0f0(Data,vrr_stack+549, vrr_stack+519, vrr_stack+399, vrr_stack+59, vrr_stack+33, vrr_stack+101);
 _BUILD_f0f0(Data,vrr_stack+609, vrr_stack+549, vrr_stack+1680, vrr_stack+519, vrr_stack+399, vrr_stack+119);
 _BUILD_g0f0(Data,vrr_stack+2450, vrr_stack+609, vrr_stack+1740, vrr_stack+549, vrr_stack+1680, vrr_stack+800);
 _BUILD_h0f0(Data,vrr_stack+2600, vrr_stack+2450, vrr_stack+2090, vrr_stack+609, vrr_stack+1740, vrr_stack+860);
 _BUILD_00p0(Data,vrr_stack+89, Data->F+12, Data->F+13, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+101, vrr_stack+77, vrr_stack+89, Data->F+11, Data->F+12, NULL);
 _BUILD_00f0(Data,vrr_stack+107, vrr_stack+3, vrr_stack+101, vrr_stack+12, vrr_stack+77, NULL);
 _BUILD_p0f0(Data,vrr_stack+117, vrr_stack+43, vrr_stack+107, NULL, NULL, vrr_stack+3);
 _BUILD_d0f0(Data,vrr_stack+709, vrr_stack+429, vrr_stack+117, vrr_stack+299, vrr_stack+43, vrr_stack+155);
 _BUILD_f0f0(Data,vrr_stack+769, vrr_stack+459, vrr_stack+709, vrr_stack+309, vrr_stack+429, vrr_stack+173);
 _BUILD_g0f0(Data,vrr_stack+2810, vrr_stack+1840, vrr_stack+769, vrr_stack+339, vrr_stack+459, vrr_stack+950);
 _BUILD_h0f0(Data,vrr_stack+2960, vrr_stack+1940, vrr_stack+2810, vrr_stack+1580, vrr_stack+1840, vrr_stack+1010);
 _BUILD_i0f0(Data,vrr_stack+3170, vrr_stack+2240, vrr_stack+2960, vrr_stack+2090, vrr_stack+1940, vrr_stack+1100);
 _BUILD_i0f0(Data,vrr_stack+869, vrr_stack+2600, vrr_stack+2240, vrr_stack+2450, vrr_stack+2090, vrr_stack+1226);
 _BUILD_k0f0(Data,vrr_stack+3450, vrr_stack+869, vrr_stack+3170, vrr_stack+2600, vrr_stack+2240, vrr_stack+1352);
 _BUILD_00g0(Data,vrr_stack+147, vrr_stack+219, vrr_stack+209, vrr_stack+21, vrr_stack+15, NULL);
 _BUILD_00g0(Data,vrr_stack+162, vrr_stack+259, vrr_stack+219, vrr_stack+71, vrr_stack+21, NULL);
 _BUILD_00g0(Data,vrr_stack+177, vrr_stack+209, vrr_stack+299, vrr_stack+15, vrr_stack+27, NULL);
 _BUILD_p0g0(Data,vrr_stack+1149, vrr_stack+147, vrr_stack+177, NULL, NULL, vrr_stack+209);
 _BUILD_p0g0(Data,vrr_stack+1194, vrr_stack+162, vrr_stack+147, NULL, NULL, vrr_stack+219);
 _BUILD_d0g0(Data,vrr_stack+1239, vrr_stack+1194, vrr_stack+1149, vrr_stack+162, vrr_stack+147, vrr_stack+229);
 _BUILD_00g0(Data,vrr_stack+229, vrr_stack+33, vrr_stack+259, vrr_stack+95, vrr_stack+71, NULL);
 _BUILD_p0g0(Data,vrr_stack+1329, vrr_stack+229, vrr_stack+162, NULL, NULL, vrr_stack+259);
 _BUILD_d0g0(Data,vrr_stack+1374, vrr_stack+1329, vrr_stack+1194, vrr_stack+229, vrr_stack+162, vrr_stack+269);
 _BUILD_00g0(Data,vrr_stack+244, vrr_stack+299, vrr_stack+43, vrr_stack+27, vrr_stack+83, NULL);
 _BUILD_p0g0(Data,vrr_stack+1464, vrr_stack+177, vrr_stack+244, NULL, NULL, vrr_stack+299);
 _BUILD_d0g0(Data,vrr_stack+3810, vrr_stack+1149, vrr_stack+1464, vrr_stack+147, vrr_stack+177, vrr_stack+309);
 _BUILD_f0g0(Data,vrr_stack+3900, vrr_stack+1239, vrr_stack+3810, vrr_stack+1194, vrr_stack+1149, vrr_stack+339);
 _BUILD_f0g0(Data,vrr_stack+4050, vrr_stack+1374, vrr_stack+1239, vrr_stack+1329, vrr_stack+1194, vrr_stack+1520);
 _BUILD_g0g0(Data,vrr_stack+4200, vrr_stack+4050, vrr_stack+3900, vrr_stack+1374, vrr_stack+1239, vrr_stack+1580);
 _BUILD_00g0(Data,vrr_stack+309, vrr_stack+59, vrr_stack+33, vrr_stack+53, vrr_stack+95, NULL);
 _BUILD_p0g0(Data,vrr_stack+324, vrr_stack+309, vrr_stack+229, NULL, NULL, vrr_stack+33);
 _BUILD_d0g0(Data,vrr_stack+1509, vrr_stack+324, vrr_stack+1329, vrr_stack+309, vrr_stack+229, vrr_stack+399);
 _BUILD_f0g0(Data,vrr_stack+4425, vrr_stack+1509, vrr_stack+1374, vrr_stack+324, vrr_stack+1329, vrr_stack+1680);
 _BUILD_g0g0(Data,vrr_stack+4575, vrr_stack+4425, vrr_stack+4050, vrr_stack+1509, vrr_stack+1374, vrr_stack+1740);
 _BUILD_00g0(Data,vrr_stack+369, vrr_stack+43, vrr_stack+107, vrr_stack+83, vrr_stack+3, NULL);
 _BUILD_p0g0(Data,vrr_stack+384, vrr_stack+244, vrr_stack+369, NULL, NULL, vrr_stack+43);
 _BUILD_d0g0(Data,vrr_stack+1599, vrr_stack+1464, vrr_stack+384, vrr_stack+177, vrr_stack+244, vrr_stack+429);
 _BUILD_f0g0(Data,vrr_stack+1689, vrr_stack+3810, vrr_stack+1599, vrr_stack+1149, vrr_stack+1464, vrr_stack+459);
 _BUILD_g0g0(Data,vrr_stack+4800, vrr_stack+3900, vrr_stack+1689, vrr_stack+1239, vrr_stack+3810, vrr_stack+1840);
 _BUILD_h0g0(Data,vrr_stack+5025, vrr_stack+4200, vrr_stack+4800, vrr_stack+4050, vrr_stack+3900, vrr_stack+1940);
 _BUILD_h0g0(Data,vrr_stack+5340, vrr_stack+4575, vrr_stack+4200, vrr_stack+4425, vrr_stack+4050, vrr_stack+2090);
 _BUILD_i0g0(Data,vrr_stack+5655, vrr_stack+5340, vrr_stack+5025, vrr_stack+4575, vrr_stack+4200, vrr_stack+2240);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+2, Data->F+3, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+95, vrr_stack+0, vrr_stack+92, Data->F+2, Data->F+3, NULL);
 _BUILD_00f0(Data,vrr_stack+429, vrr_stack+95, vrr_stack+53, vrr_stack+0, vrr_stack+92, NULL);
 _BUILD_00g0(Data,vrr_stack+439, vrr_stack+429, vrr_stack+59, vrr_stack+95, vrr_stack+53, NULL);
 _BUILD_p0g0(Data,vrr_stack+454, vrr_stack+439, vrr_stack+309, NULL, NULL, vrr_stack+59);
 _BUILD_d0g0(Data,vrr_stack+1839, vrr_stack+454, vrr_stack+324, vrr_stack+439, vrr_stack+309, vrr_stack+519);
 _BUILD_f0g0(Data,vrr_stack+1929, vrr_stack+1839, vrr_stack+1509, vrr_stack+454, vrr_stack+324, vrr_stack+549);
 _BUILD_g0g0(Data,vrr_stack+2079, vrr_stack+1929, vrr_stack+4425, vrr_stack+1839, vrr_stack+1509, vrr_stack+609);
 _BUILD_h0g0(Data,vrr_stack+6075, vrr_stack+2079, vrr_stack+4575, vrr_stack+1929, vrr_stack+4425, vrr_stack+2450);
 _BUILD_i0g0(Data,vrr_stack+6390, vrr_stack+6075, vrr_stack+5340, vrr_stack+2079, vrr_stack+4575, vrr_stack+2600);
 _BUILD_00p0(Data,vrr_stack+92, Data->F+13, Data->F+14, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+53, vrr_stack+89, vrr_stack+92, Data->F+12, Data->F+13, NULL);
 _BUILD_00f0(Data,vrr_stack+499, vrr_stack+101, vrr_stack+53, vrr_stack+77, vrr_stack+89, NULL);
 _BUILD_00g0(Data,vrr_stack+509, vrr_stack+107, vrr_stack+499, vrr_stack+3, vrr_stack+101, NULL);
 _BUILD_p0g0(Data,vrr_stack+524, vrr_stack+369, vrr_stack+509, NULL, NULL, vrr_stack+107);
 _BUILD_d0g0(Data,vrr_stack+569, vrr_stack+384, vrr_stack+524, vrr_stack+244, vrr_stack+369, vrr_stack+117);
 _BUILD_f0g0(Data,vrr_stack+2304, vrr_stack+1599, vrr_stack+569, vrr_stack+1464, vrr_stack+384, vrr_stack+709);
 _BUILD_g0g0(Data,vrr_stack+2454, vrr_stack+1689, vrr_stack+2304, vrr_stack+3810, vrr_stack+1599, vrr_stack+769);
 _BUILD_h0g0(Data,vrr_stack+6810, vrr_stack+4800, vrr_stack+2454, vrr_stack+3900, vrr_stack+1689, vrr_stack+2810);
 _BUILD_i0g0(Data,vrr_stack+7125, vrr_stack+5025, vrr_stack+6810, vrr_stack+4200, vrr_stack+4800, vrr_stack+2960);
 _BUILD_k0g0(Data,vrr_stack+7545, vrr_stack+5655, vrr_stack+7125, vrr_stack+5340, vrr_stack+5025, vrr_stack+3170);
 _BUILD_k0g0(Data,vrr_stack+2679, vrr_stack+6390, vrr_stack+5655, vrr_stack+6075, vrr_stack+5340, vrr_stack+869);
 _BUILD_l0g0(Data,vrr_stack+8085, vrr_stack+2679, vrr_stack+7545, vrr_stack+6390, vrr_stack+5655, vrr_stack+3450);
 _BUILD_00h0(Data,vrr_stack+117, vrr_stack+147, vrr_stack+177, vrr_stack+219, vrr_stack+209, NULL);
 _BUILD_00h0(Data,vrr_stack+3, vrr_stack+162, vrr_stack+147, vrr_stack+259, vrr_stack+219, NULL);
 _BUILD_p0h0(Data,vrr_stack+659, vrr_stack+3, vrr_stack+117, NULL, NULL, vrr_stack+147);
 _BUILD_00h0(Data,vrr_stack+722, vrr_stack+229, vrr_stack+162, vrr_stack+33, vrr_stack+259, NULL);
 _BUILD_p0h0(Data,vrr_stack+743, vrr_stack+722, vrr_stack+3, NULL, NULL, vrr_stack+162);
 _BUILD_00h0(Data,vrr_stack+259, vrr_stack+177, vrr_stack+244, vrr_stack+209, vrr_stack+299, NULL);
 _BUILD_p0h0(Data,vrr_stack+806, vrr_stack+117, vrr_stack+259, NULL, NULL, vrr_stack+177);
 _BUILD_d0h0(Data,vrr_stack+869, vrr_stack+659, vrr_stack+806, vrr_stack+3, vrr_stack+117, vrr_stack+1149);
 _BUILD_d0h0(Data,vrr_stack+995, vrr_stack+743, vrr_stack+659, vrr_stack+722, vrr_stack+3, vrr_stack+1194);
 _BUILD_f0h0(Data,vrr_stack+3219, vrr_stack+995, vrr_stack+869, vrr_stack+743, vrr_stack+659, vrr_stack+1239);
 _BUILD_00h0(Data,vrr_stack+1121, vrr_stack+309, vrr_stack+229, vrr_stack+59, vrr_stack+33, NULL);
 _BUILD_p0h0(Data,vrr_stack+1142, vrr_stack+1121, vrr_stack+722, NULL, NULL, vrr_stack+229);
 _BUILD_d0h0(Data,vrr_stack+3429, vrr_stack+1142, vrr_stack+743, vrr_stack+1121, vrr_stack+722, vrr_stack+1329);
 _BUILD_f0h0(Data,vrr_stack+3555, vrr_stack+3429, vrr_stack+995, vrr_stack+1142, vrr_stack+743, vrr_stack+1374);
 _BUILD_00h0(Data,vrr_stack+1205, vrr_stack+244, vrr_stack+369, vrr_stack+299, vrr_stack+43, NULL);
 _BUILD_p0h0(Data,vrr_stack+1226, vrr_stack+259, vrr_stack+1205, NULL, NULL, vrr_stack+244);
 _BUILD_d0h0(Data,vrr_stack+1289, vrr_stack+806, vrr_stack+1226, vrr_stack+117, vrr_stack+259, vrr_stack+1464);
 _BUILD_f0h0(Data,vrr_stack+8760, vrr_stack+869, vrr_stack+1289, vrr_stack+659, vrr_stack+806, vrr_stack+3810);
 _BUILD_g0h0(Data,vrr_stack+8970, vrr_stack+3219, vrr_stack+8760, vrr_stack+995, vrr_stack+869, vrr_stack+3900);
 _BUILD_g0h0(Data,vrr_stack+9285, vrr_stack+3555, vrr_stack+3219, vrr_stack+3429, vrr_stack+995, vrr_stack+4050);
 _BUILD_h0h0(Data,vrr_stack+9600, vrr_stack+9285, vrr_stack+8970, vrr_stack+3555, vrr_stack+3219, vrr_stack+4200);
 _BUILD_00h0(Data,vrr_stack+280, vrr_stack+439, vrr_stack+309, vrr_stack+429, vrr_stack+59, NULL);
 _BUILD_p0h0(Data,vrr_stack+1415, vrr_stack+280, vrr_stack+1121, NULL, NULL, vrr_stack+309);
 _BUILD_d0h0(Data,vrr_stack+3765, vrr_stack+1415, vrr_stack+1142, vrr_stack+280, vrr_stack+1121, vrr_stack+324);
 _BUILD_f0h0(Data,vrr_stack+3891, vrr_stack+3765, vrr_stack+3429, vrr_stack+1415, vrr_stack+1142, vrr_stack+1509);
 _BUILD_g0h0(Data,vrr_stack+4101, vrr_stack+3891, vrr_stack+3555, vrr_stack+3765, vrr_stack+3429, vrr_stack+4425);
 _BUILD_h0h0(Data,vrr_stack+10041, vrr_stack+4101, vrr_stack+9285, vrr_stack+3891, vrr_stack+3555, vrr_stack+4575);
 _BUILD_00h0(Data,vrr_stack+324, vrr_stack+369, vrr_stack+509, vrr_stack+43, vrr_stack+107, NULL);
 _BUILD_p0h0(Data,vrr_stack+1478, vrr_stack+1205, vrr_stack+324, NULL, NULL, vrr_stack+369);
 _BUILD_d0h0(Data,vrr_stack+4416, vrr_stack+1226, vrr_stack+1478, vrr_stack+259, vrr_stack+1205, vrr_stack+384);
 _BUILD_f0h0(Data,vrr_stack+4542, vrr_stack+1289, vrr_stack+4416, vrr_stack+806, vrr_stack+1226, vrr_stack+1599);
 _BUILD_g0h0(Data,vrr_stack+10482, vrr_stack+8760, vrr_stack+4542, vrr_stack+869, vrr_stack+1289, vrr_stack+1689);
 _BUILD_h0h0(Data,vrr_stack+10797, vrr_stack+8970, vrr_stack+10482, vrr_stack+3219, vrr_stack+8760, vrr_stack+4800);
 _BUILD_i0h0(Data,vrr_stack+11238, vrr_stack+9600, vrr_stack+10797, vrr_stack+9285, vrr_stack+8970, vrr_stack+5025);
 _BUILD_i0h0(Data,vrr_stack+4752, vrr_stack+10041, vrr_stack+9600, vrr_stack+4101, vrr_stack+9285, vrr_stack+5340);
 _BUILD_k0h0(Data,vrr_stack+11826, vrr_stack+4752, vrr_stack+11238, vrr_stack+10041, vrr_stack+9600, vrr_stack+5655);
 _BUILD_00p0(Data,vrr_stack+5340, Data->F+1, Data->F+2, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+5343, vrr_stack+5340, vrr_stack+0, Data->F+1, Data->F+2, NULL);
 _BUILD_00f0(Data,vrr_stack+5349, vrr_stack+5343, vrr_stack+95, vrr_stack+5340, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+5359, vrr_stack+5349, vrr_stack+429, vrr_stack+5343, vrr_stack+95, NULL);
 _BUILD_00h0(Data,vrr_stack+5374, vrr_stack+5359, vrr_stack+439, vrr_stack+5349, vrr_stack+429, NULL);
 _BUILD_p0h0(Data,vrr_stack+5395, vrr_stack+5374, vrr_stack+280, NULL, NULL, vrr_stack+439);
 _BUILD_d0h0(Data,vrr_stack+5458, vrr_stack+5395, vrr_stack+1415, vrr_stack+5374, vrr_stack+280, vrr_stack+454);
 _BUILD_f0h0(Data,vrr_stack+5584, vrr_stack+5458, vrr_stack+3765, vrr_stack+5395, vrr_stack+1415, vrr_stack+1839);
 _BUILD_g0h0(Data,vrr_stack+1541, vrr_stack+5584, vrr_stack+3891, vrr_stack+5458, vrr_stack+3765, vrr_stack+1929);
 _BUILD_h0h0(Data,vrr_stack+12582, vrr_stack+1541, vrr_stack+4101, vrr_stack+5584, vrr_stack+3891, vrr_stack+2079);
 _BUILD_i0h0(Data,vrr_stack+13023, vrr_stack+12582, vrr_stack+10041, vrr_stack+1541, vrr_stack+4101, vrr_stack+6075);
 _BUILD_k0h0(Data,vrr_stack+13611, vrr_stack+13023, vrr_stack+4752, vrr_stack+12582, vrr_stack+10041, vrr_stack+6390);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+14, Data->F+15, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+95, vrr_stack+92, vrr_stack+0, Data->F+13, Data->F+14, NULL);
 _BUILD_00f0(Data,vrr_stack+454, vrr_stack+53, vrr_stack+95, vrr_stack+89, vrr_stack+92, NULL);
 _BUILD_00g0(Data,vrr_stack+464, vrr_stack+499, vrr_stack+454, vrr_stack+101, vrr_stack+53, NULL);
 _BUILD_00h0(Data,vrr_stack+5794, vrr_stack+509, vrr_stack+464, vrr_stack+107, vrr_stack+499, NULL);
 _BUILD_p0h0(Data,vrr_stack+5815, vrr_stack+324, vrr_stack+5794, NULL, NULL, vrr_stack+509);
 _BUILD_d0h0(Data,vrr_stack+5878, vrr_stack+1478, vrr_stack+5815, vrr_stack+1205, vrr_stack+324, vrr_stack+524);
 _BUILD_f0h0(Data,vrr_stack+6004, vrr_stack+4416, vrr_stack+5878, vrr_stack+1226, vrr_stack+1478, vrr_stack+569);
 _BUILD_g0h0(Data,vrr_stack+6214, vrr_stack+4542, vrr_stack+6004, vrr_stack+1289, vrr_stack+4416, vrr_stack+2304);
 _BUILD_h0h0(Data,vrr_stack+1856, vrr_stack+10482, vrr_stack+6214, vrr_stack+8760, vrr_stack+4542, vrr_stack+2454);
 _BUILD_i0h0(Data,vrr_stack+14367, vrr_stack+10797, vrr_stack+1856, vrr_stack+8970, vrr_stack+10482, vrr_stack+6810);
 _BUILD_k0h0(Data,vrr_stack+14955, vrr_stack+11238, vrr_stack+14367, vrr_stack+9600, vrr_stack+10797, vrr_stack+7125);
 _BUILD_l0h0(Data,vrr_stack+6529, vrr_stack+11826, vrr_stack+14955, vrr_stack+4752, vrr_stack+11238, vrr_stack+7545);
 _BUILD_l0h0(Data,vrr_stack+15711, vrr_stack+13611, vrr_stack+11826, vrr_stack+13023, vrr_stack+4752, vrr_stack+2679);
 _BUILD_m0h0(Data,vrr_stack+16656, vrr_stack+15711, vrr_stack+6529, vrr_stack+13611, vrr_stack+11826, vrr_stack+8085);
 _BUILD_00i0(Data,vrr_stack+524, vrr_stack+3, vrr_stack+117, vrr_stack+162, vrr_stack+147, NULL);
 _BUILD_00i0(Data,vrr_stack+552, vrr_stack+722, vrr_stack+3, vrr_stack+229, vrr_stack+162, NULL);
 _BUILD_00i0(Data,vrr_stack+580, vrr_stack+117, vrr_stack+259, vrr_stack+147, vrr_stack+177, NULL);
 _BUILD_p0i0(Data,vrr_stack+7474, vrr_stack+524, vrr_stack+580, NULL, NULL, vrr_stack+117);
 _BUILD_p0i0(Data,vrr_stack+7558, vrr_stack+552, vrr_stack+524, NULL, NULL, vrr_stack+3);
 _BUILD_d0i0(Data,vrr_stack+7642, vrr_stack+7558, vrr_stack+7474, vrr_stack+552, vrr_stack+524, vrr_stack+659);
 _BUILD_00i0(Data,vrr_stack+608, vrr_stack+1121, vrr_stack+722, vrr_stack+309, vrr_stack+229, NULL);
 _BUILD_p0i0(Data,vrr_stack+636, vrr_stack+608, vrr_stack+552, NULL, NULL, vrr_stack+722);
 _BUILD_d0i0(Data,vrr_stack+7810, vrr_stack+636, vrr_stack+7558, vrr_stack+608, vrr_stack+552, vrr_stack+743);
 _BUILD_00i0(Data,vrr_stack+743, vrr_stack+259, vrr_stack+1205, vrr_stack+177, vrr_stack+244, NULL);
 _BUILD_p0i0(Data,vrr_stack+7978, vrr_stack+580, vrr_stack+743, NULL, NULL, vrr_stack+259);
 _BUILD_d0i0(Data,vrr_stack+8062, vrr_stack+7474, vrr_stack+7978, vrr_stack+524, vrr_stack+580, vrr_stack+806);
 _BUILD_f0i0(Data,vrr_stack+8230, vrr_stack+7642, vrr_stack+8062, vrr_stack+7558, vrr_stack+7474, vrr_stack+869);
 _BUILD_f0i0(Data,vrr_stack+2297, vrr_stack+7810, vrr_stack+7642, vrr_stack+636, vrr_stack+7558, vrr_stack+995);
 _BUILD_g0i0(Data,vrr_stack+2577, vrr_stack+2297, vrr_stack+8230, vrr_stack+7810, vrr_stack+7642, vrr_stack+3219);
 _BUILD_00i0(Data,vrr_stack+771, vrr_stack+280, vrr_stack+1121, vrr_stack+439, vrr_stack+309, NULL);
 _BUILD_p0i0(Data,vrr_stack+799, vrr_stack+771, vrr_stack+608, NULL, NULL, vrr_stack+1121);
 _BUILD_d0i0(Data,vrr_stack+883, vrr_stack+799, vrr_stack+636, vrr_stack+771, vrr_stack+608, vrr_stack+1142);
 _BUILD_f0i0(Data,vrr_stack+2997, vrr_stack+883, vrr_stack+7810, vrr_stack+799, vrr_stack+636, vrr_stack+3429);
 _BUILD_g0i0(Data,vrr_stack+17811, vrr_stack+2997, vrr_stack+2297, vrr_stack+883, vrr_stack+7810, vrr_stack+3555);
 _BUILD_00i0(Data,vrr_stack+1142, vrr_stack+1205, vrr_stack+324, vrr_stack+244, vrr_stack+369, NULL);
 _BUILD_p0i0(Data,vrr_stack+8510, vrr_stack+743, vrr_stack+1142, NULL, NULL, vrr_stack+1205);
 _BUILD_d0i0(Data,vrr_stack+3277, vrr_stack+7978, vrr_stack+8510, vrr_stack+580, vrr_stack+743, vrr_stack+1226);
 _BUILD_f0i0(Data,vrr_stack+3445, vrr_stack+8062, vrr_stack+3277, vrr_stack+7474, vrr_stack+7978, vrr_stack+1289);
 _BUILD_g0i0(Data,vrr_stack+18231, vrr_stack+8230, vrr_stack+3445, vrr_stack+7642, vrr_stack+8062, vrr_stack+8760);
 _BUILD_h0i0(Data,vrr_stack+18651, vrr_stack+2577, vrr_stack+18231, vrr_stack+2297, vrr_stack+8230, vrr_stack+8970);
 _BUILD_h0i0(Data,vrr_stack+8594, vrr_stack+17811, vrr_stack+2577, vrr_stack+2997, vrr_stack+2297, vrr_stack+9285);
 _BUILD_i0i0(Data,vrr_stack+19239, vrr_stack+8594, vrr_stack+18651, vrr_stack+17811, vrr_stack+2577, vrr_stack+9600);
 _BUILD_00i0(Data,vrr_stack+1226, vrr_stack+5374, vrr_stack+280, vrr_stack+5359, vrr_stack+439, NULL);
 _BUILD_p0i0(Data,vrr_stack+1254, vrr_stack+1226, vrr_stack+771, NULL, NULL, vrr_stack+280);
 _BUILD_d0i0(Data,vrr_stack+9182, vrr_stack+1254, vrr_stack+799, vrr_stack+1226, vrr_stack+771, vrr_stack+1415);
 _BUILD_f0i0(Data,vrr_stack+9350, vrr_stack+9182, vrr_stack+883, vrr_stack+1254, vrr_stack+799, vrr_stack+3765);
 _BUILD_g0i0(Data,vrr_stack+20023, vrr_stack+9350, vrr_stack+2997, vrr_stack+9182, vrr_stack+883, vrr_stack+3891);
 _BUILD_h0i0(Data,vrr_stack+20443, vrr_stack+20023, vrr_stack+17811, vrr_stack+9350, vrr_stack+2997, vrr_stack+4101);
 _BUILD_i0i0(Data,vrr_stack+21031, vrr_stack+20443, vrr_stack+8594, vrr_stack+20023, vrr_stack+17811, vrr_stack+10041);
 _BUILD_00i0(Data,vrr_stack+1338, vrr_stack+324, vrr_stack+5794, vrr_stack+369, vrr_stack+509, NULL);
 _BUILD_p0i0(Data,vrr_stack+1366, vrr_stack+1142, vrr_stack+1338, NULL, NULL, vrr_stack+324);
 _BUILD_d0i0(Data,vrr_stack+9630, vrr_stack+8510, vrr_stack+1366, vrr_stack+743, vrr_stack+1142, vrr_stack+1478);
 _BUILD_f0i0(Data,vrr_stack+9798, vrr_stack+3277, vrr_stack+9630, vrr_stack+7978, vrr_stack+8510, vrr_stack+4416);
 _BUILD_g0i0(Data,vrr_stack+3725, vrr_stack+3445, vrr_stack+9798, vrr_stack+8062, vrr_stack+3277, vrr_stack+4542);
 _BUILD_h0i0(Data,vrr_stack+4145, vrr_stack+18231, vrr_stack+3725, vrr_stack+8230, vrr_stack+3445, vrr_stack+10482);
 _BUILD_i0i0(Data,vrr_stack+21815, vrr_stack+18651, vrr_stack+4145, vrr_stack+2577, vrr_stack+18231, vrr_stack+10797);
 _BUILD_k0i0(Data,vrr_stack+10078, vrr_stack+19239, vrr_stack+21815, vrr_stack+8594, vrr_stack+18651, vrr_stack+11238);
 _BUILD_k0i0(Data,vrr_stack+22599, vrr_stack+21031, vrr_stack+19239, vrr_stack+20443, vrr_stack+8594, vrr_stack+4752);
 _BUILD_l0i0(Data,vrr_stack+23607, vrr_stack+22599, vrr_stack+10078, vrr_stack+21031, vrr_stack+19239, vrr_stack+11826);
 _BUILD_00p0(Data,vrr_stack+1450, Data->F+0, Data->F+1, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+1453, vrr_stack+1450, vrr_stack+5340, Data->F+0, Data->F+1, NULL);
 _BUILD_00f0(Data,vrr_stack+1459, vrr_stack+1453, vrr_stack+5343, vrr_stack+1450, vrr_stack+5340, NULL);
 _BUILD_00g0(Data,vrr_stack+1469, vrr_stack+1459, vrr_stack+5349, vrr_stack+1453, vrr_stack+5343, NULL);
 _BUILD_00h0(Data,vrr_stack+1484, vrr_stack+1469, vrr_stack+5359, vrr_stack+1459, vrr_stack+5349, NULL);
 _BUILD_00i0(Data,vrr_stack+1505, vrr_stack+1484, vrr_stack+5374, vrr_stack+1469, vrr_stack+5359, NULL);
 _BUILD_p0i0(Data,vrr_stack+11086, vrr_stack+1505, vrr_stack+1226, NULL, NULL, vrr_stack+5374);
 _BUILD_d0i0(Data,vrr_stack+11170, vrr_stack+11086, vrr_stack+1254, vrr_stack+1505, vrr_stack+1226, vrr_stack+5395);
 _BUILD_f0i0(Data,vrr_stack+11338, vrr_stack+11170, vrr_stack+9182, vrr_stack+11086, vrr_stack+1254, vrr_stack+5458);
 _BUILD_g0i0(Data,vrr_stack+11618, vrr_stack+11338, vrr_stack+9350, vrr_stack+11170, vrr_stack+9182, vrr_stack+5584);
 _BUILD_h0i0(Data,vrr_stack+4733, vrr_stack+11618, vrr_stack+20023, vrr_stack+11338, vrr_stack+9350, vrr_stack+1541);
 _BUILD_i0i0(Data,vrr_stack+24867, vrr_stack+4733, vrr_stack+20443, vrr_stack+11618, vrr_stack+20023, vrr_stack+12582);
   tmp = vrr_stack + 24867;
   target_ptr = Libint->vrr_classes[6][6];
   for(i=0;i<784;i++)
     target_ptr[i] += tmp[i];
 _BUILD_k0i0(Data,vrr_stack+11086, vrr_stack+24867, vrr_stack+21031, vrr_stack+4733, vrr_stack+20443, vrr_stack+13023);
   tmp = vrr_stack + 11086;
   target_ptr = Libint->vrr_classes[7][6];
   for(i=0;i<1008;i++)
     target_ptr[i] += tmp[i];
 _BUILD_l0i0(Data,vrr_stack+12094, vrr_stack+11086, vrr_stack+22599, vrr_stack+24867, vrr_stack+21031, vrr_stack+13611);
   tmp = vrr_stack + 12094;
   target_ptr = Libint->vrr_classes[8][6];
   for(i=0;i<1260;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+24867, Data->F+15, Data->F+16, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+24870, vrr_stack+0, vrr_stack+24867, Data->F+14, Data->F+15, NULL);
 _BUILD_00f0(Data,vrr_stack+24876, vrr_stack+95, vrr_stack+24870, vrr_stack+92, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+24886, vrr_stack+454, vrr_stack+24876, vrr_stack+53, vrr_stack+95, NULL);
 _BUILD_00h0(Data,vrr_stack+24901, vrr_stack+464, vrr_stack+24886, vrr_stack+499, vrr_stack+454, NULL);
 _BUILD_00i0(Data,vrr_stack+24922, vrr_stack+5794, vrr_stack+24901, vrr_stack+509, vrr_stack+464, NULL);
 _BUILD_p0i0(Data,vrr_stack+24950, vrr_stack+1338, vrr_stack+24922, NULL, NULL, vrr_stack+5794);
 _BUILD_d0i0(Data,vrr_stack+25034, vrr_stack+1366, vrr_stack+24950, vrr_stack+1142, vrr_stack+1338, vrr_stack+5815);
 _BUILD_f0i0(Data,vrr_stack+25202, vrr_stack+9630, vrr_stack+25034, vrr_stack+8510, vrr_stack+1366, vrr_stack+5878);
 _BUILD_g0i0(Data,vrr_stack+25482, vrr_stack+9798, vrr_stack+25202, vrr_stack+3277, vrr_stack+9630, vrr_stack+6004);
 _BUILD_h0i0(Data,vrr_stack+4733, vrr_stack+3725, vrr_stack+25482, vrr_stack+3445, vrr_stack+9798, vrr_stack+6214);
 _BUILD_i0i0(Data,vrr_stack+13354, vrr_stack+4145, vrr_stack+4733, vrr_stack+18231, vrr_stack+3725, vrr_stack+1856);
 _BUILD_k0i0(Data,vrr_stack+25902, vrr_stack+21815, vrr_stack+13354, vrr_stack+18651, vrr_stack+4145, vrr_stack+14367);
 _BUILD_l0i0(Data,vrr_stack+26910, vrr_stack+10078, vrr_stack+25902, vrr_stack+19239, vrr_stack+21815, vrr_stack+14955);
 _BUILD_m0i0(Data,vrr_stack+14138, vrr_stack+23607, vrr_stack+26910, vrr_stack+22599, vrr_stack+10078, vrr_stack+6529);
 _BUILD_m0i0(Data,vrr_stack+5815, vrr_stack+12094, vrr_stack+23607, vrr_stack+11086, vrr_stack+22599, vrr_stack+15711);
   tmp = vrr_stack + 5815;
   target_ptr = Libint->vrr_classes[9][6];
   for(i=0;i<1540;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00k0(Data,vrr_stack+11086, vrr_stack+524, vrr_stack+580, vrr_stack+3, vrr_stack+117, NULL);
 _BUILD_00k0(Data,vrr_stack+11122, vrr_stack+552, vrr_stack+524, vrr_stack+722, vrr_stack+3, NULL);
 _BUILD_00k0(Data,vrr_stack+3, vrr_stack+580, vrr_stack+743, vrr_stack+117, vrr_stack+259, NULL);
 _BUILD_p0k0(Data,vrr_stack+11158, vrr_stack+11086, vrr_stack+3, NULL, NULL, vrr_stack+580);
 _BUILD_p0k0(Data,vrr_stack+11266, vrr_stack+11122, vrr_stack+11086, NULL, NULL, vrr_stack+524);
 _BUILD_d0k0(Data,vrr_stack+11374, vrr_stack+11266, vrr_stack+11158, vrr_stack+11122, vrr_stack+11086, vrr_stack+7474);
 _BUILD_00k0(Data,vrr_stack+39, vrr_stack+608, vrr_stack+552, vrr_stack+1121, vrr_stack+722, NULL);
 _BUILD_p0k0(Data,vrr_stack+11590, vrr_stack+39, vrr_stack+11122, NULL, NULL, vrr_stack+552);
 _BUILD_d0k0(Data,vrr_stack+11698, vrr_stack+11590, vrr_stack+11266, vrr_stack+39, vrr_stack+11122, vrr_stack+7558);
 _BUILD_00k0(Data,vrr_stack+11914, vrr_stack+743, vrr_stack+1142, vrr_stack+259, vrr_stack+1205, NULL);
 _BUILD_p0k0(Data,vrr_stack+11950, vrr_stack+3, vrr_stack+11914, NULL, NULL, vrr_stack+743);
 _BUILD_d0k0(Data,vrr_stack+7355, vrr_stack+11158, vrr_stack+11950, vrr_stack+11086, vrr_stack+3, vrr_stack+7978);
 _BUILD_f0k0(Data,vrr_stack+28170, vrr_stack+11374, vrr_stack+7355, vrr_stack+11266, vrr_stack+11158, vrr_stack+8062);
 _BUILD_f0k0(Data,vrr_stack+28530, vrr_stack+11698, vrr_stack+11374, vrr_stack+11590, vrr_stack+11266, vrr_stack+7642);
 _BUILD_g0k0(Data,vrr_stack+15678, vrr_stack+28530, vrr_stack+28170, vrr_stack+11698, vrr_stack+11374, vrr_stack+8230);
 _BUILD_00k0(Data,vrr_stack+12058, vrr_stack+771, vrr_stack+608, vrr_stack+280, vrr_stack+1121, NULL);
 _BUILD_p0k0(Data,vrr_stack+7978, vrr_stack+12058, vrr_stack+39, NULL, NULL, vrr_stack+608);
 _BUILD_d0k0(Data,vrr_stack+8086, vrr_stack+7978, vrr_stack+11590, vrr_stack+12058, vrr_stack+39, vrr_stack+636);
 _BUILD_f0k0(Data,vrr_stack+16218, vrr_stack+8086, vrr_stack+11698, vrr_stack+7978, vrr_stack+11590, vrr_stack+7810);
 _BUILD_g0k0(Data,vrr_stack+1533, vrr_stack+16218, vrr_stack+28530, vrr_stack+8086, vrr_stack+11698, vrr_stack+2297);
 _BUILD_00k0(Data,vrr_stack+636, vrr_stack+1142, vrr_stack+1338, vrr_stack+1205, vrr_stack+324, NULL);
 _BUILD_p0k0(Data,vrr_stack+8302, vrr_stack+11914, vrr_stack+636, NULL, NULL, vrr_stack+1142);
 _BUILD_d0k0(Data,vrr_stack+7571, vrr_stack+11950, vrr_stack+8302, vrr_stack+3, vrr_stack+11914, vrr_stack+8510);
 _BUILD_f0k0(Data,vrr_stack+5395, vrr_stack+7355, vrr_stack+7571, vrr_stack+11158, vrr_stack+11950, vrr_stack+3277);
 _BUILD_g0k0(Data,vrr_stack+28890, vrr_stack+28170, vrr_stack+5395, vrr_stack+11374, vrr_stack+7355, vrr_stack+3445);
 _BUILD_h0k0(Data,vrr_stack+29430, vrr_stack+15678, vrr_stack+28890, vrr_stack+28530, vrr_stack+28170, vrr_stack+18231);
 _BUILD_h0k0(Data,vrr_stack+30186, vrr_stack+1533, vrr_stack+15678, vrr_stack+16218, vrr_stack+28530, vrr_stack+2577);
 _BUILD_i0k0(Data,vrr_stack+30942, vrr_stack+30186, vrr_stack+29430, vrr_stack+1533, vrr_stack+15678, vrr_stack+18651);
 _BUILD_00k0(Data,vrr_stack+18231, vrr_stack+1226, vrr_stack+771, vrr_stack+5374, vrr_stack+280, NULL);
 _BUILD_p0k0(Data,vrr_stack+18267, vrr_stack+18231, vrr_stack+12058, NULL, NULL, vrr_stack+771);
 _BUILD_d0k0(Data,vrr_stack+18375, vrr_stack+18267, vrr_stack+7978, vrr_stack+18231, vrr_stack+12058, vrr_stack+799);
 _BUILD_f0k0(Data,vrr_stack+18591, vrr_stack+18375, vrr_stack+8086, vrr_stack+18267, vrr_stack+7978, vrr_stack+883);
 _BUILD_g0k0(Data,vrr_stack+2073, vrr_stack+18591, vrr_stack+16218, vrr_stack+18375, vrr_stack+8086, vrr_stack+2997);
 _BUILD_h0k0(Data,vrr_stack+2613, vrr_stack+2073, vrr_stack+1533, vrr_stack+18591, vrr_stack+16218, vrr_stack+17811);
 _BUILD_i0k0(Data,vrr_stack+31950, vrr_stack+2613, vrr_stack+30186, vrr_stack+2073, vrr_stack+1533, vrr_stack+8594);
 _BUILD_00k0(Data,vrr_stack+17811, vrr_stack+1338, vrr_stack+24922, vrr_stack+324, vrr_stack+5794, NULL);
 _BUILD_p0k0(Data,vrr_stack+17847, vrr_stack+636, vrr_stack+17811, NULL, NULL, vrr_stack+1338);
 _BUILD_d0k0(Data,vrr_stack+17955, vrr_stack+8302, vrr_stack+17847, vrr_stack+11914, vrr_stack+636, vrr_stack+1366);
 _BUILD_f0k0(Data,vrr_stack+8410, vrr_stack+7571, vrr_stack+17955, vrr_stack+11950, vrr_stack+8302, vrr_stack+9630);
 _BUILD_g0k0(Data,vrr_stack+32958, vrr_stack+5395, vrr_stack+8410, vrr_stack+7355, vrr_stack+7571, vrr_stack+9798);
 _BUILD_h0k0(Data,vrr_stack+33498, vrr_stack+28890, vrr_stack+32958, vrr_stack+28170, vrr_stack+5395, vrr_stack+3725);
 _BUILD_i0k0(Data,vrr_stack+34254, vrr_stack+29430, vrr_stack+33498, vrr_stack+15678, vrr_stack+28890, vrr_stack+4145);
 _BUILD_k0k0(Data,vrr_stack+3369, vrr_stack+30942, vrr_stack+34254, vrr_stack+30186, vrr_stack+29430, vrr_stack+21815);
 _BUILD_k0k0(Data,vrr_stack+35262, vrr_stack+31950, vrr_stack+30942, vrr_stack+2613, vrr_stack+30186, vrr_stack+19239);
 _BUILD_l0k0(Data,vrr_stack+36558, vrr_stack+35262, vrr_stack+3369, vrr_stack+31950, vrr_stack+30942, vrr_stack+10078);
 _BUILD_00k0(Data,vrr_stack+21815, vrr_stack+1505, vrr_stack+1226, vrr_stack+1484, vrr_stack+5374, NULL);
 _BUILD_p0k0(Data,vrr_stack+21851, vrr_stack+21815, vrr_stack+18231, NULL, NULL, vrr_stack+1226);
 _BUILD_d0k0(Data,vrr_stack+21959, vrr_stack+21851, vrr_stack+18267, vrr_stack+21815, vrr_stack+18231, vrr_stack+1254);
 _BUILD_f0k0(Data,vrr_stack+22175, vrr_stack+21959, vrr_stack+18375, vrr_stack+21851, vrr_stack+18267, vrr_stack+9182);
 _BUILD_g0k0(Data,vrr_stack+9630, vrr_stack+22175, vrr_stack+18591, vrr_stack+21959, vrr_stack+18375, vrr_stack+9350);
 _BUILD_h0k0(Data,vrr_stack+10170, vrr_stack+9630, vrr_stack+2073, vrr_stack+22175, vrr_stack+18591, vrr_stack+20023);
 _BUILD_i0k0(Data,vrr_stack+18951, vrr_stack+10170, vrr_stack+2613, vrr_stack+9630, vrr_stack+2073, vrr_stack+20443);
   tmp = vrr_stack + 18951;
   target_ptr = Libint->vrr_classes[6][7];
   for(i=0;i<1008;i++)
     target_ptr[i] += tmp[i];
 _BUILD_k0k0(Data,vrr_stack+8770, vrr_stack+18951, vrr_stack+31950, vrr_stack+10170, vrr_stack+2613, vrr_stack+21031);
   tmp = vrr_stack + 8770;
   target_ptr = Libint->vrr_classes[7][7];
   for(i=0;i<1296;i++)
     target_ptr[i] += tmp[i];
 _BUILD_l0k0(Data,vrr_stack+19959, vrr_stack+8770, vrr_stack+35262, vrr_stack+18951, vrr_stack+31950, vrr_stack+22599);
   tmp = vrr_stack + 19959;
   target_ptr = Libint->vrr_classes[8][7];
   for(i=0;i<1620;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+18951, Data->F+16, Data->F+17, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+18954, vrr_stack+24867, vrr_stack+18951, Data->F+15, Data->F+16, NULL);
 _BUILD_00f0(Data,vrr_stack+18960, vrr_stack+24870, vrr_stack+18954, vrr_stack+0, vrr_stack+24867, NULL);
 _BUILD_00g0(Data,vrr_stack+18970, vrr_stack+24876, vrr_stack+18960, vrr_stack+95, vrr_stack+24870, NULL);
 _BUILD_00h0(Data,vrr_stack+18985, vrr_stack+24886, vrr_stack+18970, vrr_stack+454, vrr_stack+24876, NULL);
 _BUILD_00i0(Data,vrr_stack+19006, vrr_stack+24901, vrr_stack+18985, vrr_stack+464, vrr_stack+24886, NULL);
 _BUILD_00k0(Data,vrr_stack+19034, vrr_stack+24922, vrr_stack+19006, vrr_stack+5794, vrr_stack+24901, NULL);
 _BUILD_p0k0(Data,vrr_stack+19070, vrr_stack+17811, vrr_stack+19034, NULL, NULL, vrr_stack+24922);
 _BUILD_d0k0(Data,vrr_stack+19178, vrr_stack+17847, vrr_stack+19070, vrr_stack+636, vrr_stack+17811, vrr_stack+24950);
 _BUILD_f0k0(Data,vrr_stack+19394, vrr_stack+17955, vrr_stack+19178, vrr_stack+8302, vrr_stack+17847, vrr_stack+25034);
 _BUILD_g0k0(Data,vrr_stack+21851, vrr_stack+8410, vrr_stack+19394, vrr_stack+7571, vrr_stack+17955, vrr_stack+25202);
 _BUILD_h0k0(Data,vrr_stack+22391, vrr_stack+32958, vrr_stack+21851, vrr_stack+5395, vrr_stack+8410, vrr_stack+25482);
 _BUILD_i0k0(Data,vrr_stack+10066, vrr_stack+33498, vrr_stack+22391, vrr_stack+28890, vrr_stack+32958, vrr_stack+4733);
 _BUILD_k0k0(Data,vrr_stack+38178, vrr_stack+34254, vrr_stack+10066, vrr_stack+29430, vrr_stack+33498, vrr_stack+13354);
 _BUILD_l0k0(Data,vrr_stack+39474, vrr_stack+3369, vrr_stack+38178, vrr_stack+30942, vrr_stack+34254, vrr_stack+25902);
 _BUILD_m0k0(Data,vrr_stack+41094, vrr_stack+36558, vrr_stack+39474, vrr_stack+35262, vrr_stack+3369, vrr_stack+26910);
 _BUILD_m0k0(Data,vrr_stack+24950, vrr_stack+19959, vrr_stack+36558, vrr_stack+8770, vrr_stack+35262, vrr_stack+23607);
   tmp = vrr_stack + 24950;
   target_ptr = Libint->vrr_classes[9][7];
   for(i=0;i<1980;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00l0(Data,vrr_stack+8770, vrr_stack+11086, vrr_stack+3, vrr_stack+524, vrr_stack+580, NULL);
 _BUILD_00l0(Data,vrr_stack+8815, vrr_stack+11122, vrr_stack+11086, vrr_stack+552, vrr_stack+524, NULL);
 _BUILD_00l0(Data,vrr_stack+8860, vrr_stack+3, vrr_stack+11914, vrr_stack+580, vrr_stack+743, NULL);
 _BUILD_p0l0(Data,vrr_stack+8905, vrr_stack+8770, vrr_stack+8860, NULL, NULL, vrr_stack+3);
 _BUILD_p0l0(Data,vrr_stack+9040, vrr_stack+8815, vrr_stack+8770, NULL, NULL, vrr_stack+11086);
 _BUILD_d0l0(Data,vrr_stack+9175, vrr_stack+9040, vrr_stack+8905, vrr_stack+8815, vrr_stack+8770, vrr_stack+11158);
 _BUILD_00l0(Data,vrr_stack+11158, vrr_stack+39, vrr_stack+11122, vrr_stack+608, vrr_stack+552, NULL);
 _BUILD_p0l0(Data,vrr_stack+9445, vrr_stack+11158, vrr_stack+8815, NULL, NULL, vrr_stack+11122);
 _BUILD_d0l0(Data,vrr_stack+9580, vrr_stack+9445, vrr_stack+9040, vrr_stack+11158, vrr_stack+8815, vrr_stack+11266);
 _BUILD_00l0(Data,vrr_stack+11203, vrr_stack+11914, vrr_stack+636, vrr_stack+743, vrr_stack+1142, NULL);
 _BUILD_p0l0(Data,vrr_stack+9850, vrr_stack+8860, vrr_stack+11203, NULL, NULL, vrr_stack+11914);
 _BUILD_d0l0(Data,vrr_stack+13354, vrr_stack+8905, vrr_stack+9850, vrr_stack+8770, vrr_stack+8860, vrr_stack+11950);
 _BUILD_f0l0(Data,vrr_stack+13624, vrr_stack+9175, vrr_stack+13354, vrr_stack+9040, vrr_stack+8905, vrr_stack+7355);
 _BUILD_f0l0(Data,vrr_stack+26930, vrr_stack+9580, vrr_stack+9175, vrr_stack+9445, vrr_stack+9040, vrr_stack+11374);
 _BUILD_g0l0(Data,vrr_stack+27380, vrr_stack+26930, vrr_stack+13624, vrr_stack+9580, vrr_stack+9175, vrr_stack+28170);
 _BUILD_00l0(Data,vrr_stack+7355, vrr_stack+12058, vrr_stack+39, vrr_stack+771, vrr_stack+608, NULL);
 _BUILD_p0l0(Data,vrr_stack+7400, vrr_stack+7355, vrr_stack+11158, NULL, NULL, vrr_stack+39);
 _BUILD_d0l0(Data,vrr_stack+11248, vrr_stack+7400, vrr_stack+9445, vrr_stack+7355, vrr_stack+11158, vrr_stack+11590);
 _BUILD_f0l0(Data,vrr_stack+28055, vrr_stack+11248, vrr_stack+9580, vrr_stack+7400, vrr_stack+9445, vrr_stack+11698);
 _BUILD_g0l0(Data,vrr_stack+43074, vrr_stack+28055, vrr_stack+26930, vrr_stack+11248, vrr_stack+9580, vrr_stack+28530);
 _BUILD_00l0(Data,vrr_stack+11950, vrr_stack+636, vrr_stack+17811, vrr_stack+1142, vrr_stack+1338, NULL);
 _BUILD_p0l0(Data,vrr_stack+11518, vrr_stack+11203, vrr_stack+11950, NULL, NULL, vrr_stack+636);
 _BUILD_d0l0(Data,vrr_stack+28505, vrr_stack+9850, vrr_stack+11518, vrr_stack+8860, vrr_stack+11203, vrr_stack+8302);
 _BUILD_f0l0(Data,vrr_stack+23147, vrr_stack+13354, vrr_stack+28505, vrr_stack+8905, vrr_stack+9850, vrr_stack+7571);
 _BUILD_g0l0(Data,vrr_stack+4665, vrr_stack+13624, vrr_stack+23147, vrr_stack+9175, vrr_stack+13354, vrr_stack+5395);
 _BUILD_h0l0(Data,vrr_stack+43749, vrr_stack+27380, vrr_stack+4665, vrr_stack+26930, vrr_stack+13624, vrr_stack+28890);
 _BUILD_h0l0(Data,vrr_stack+44694, vrr_stack+43074, vrr_stack+27380, vrr_stack+28055, vrr_stack+26930, vrr_stack+15678);
 _BUILD_i0l0(Data,vrr_stack+45639, vrr_stack+44694, vrr_stack+43749, vrr_stack+43074, vrr_stack+27380, vrr_stack+29430);
 _BUILD_00l0(Data,vrr_stack+15678, vrr_stack+18231, vrr_stack+12058, vrr_stack+1226, vrr_stack+771, NULL);
 _BUILD_p0l0(Data,vrr_stack+15723, vrr_stack+15678, vrr_stack+7355, NULL, NULL, vrr_stack+12058);
 _BUILD_d0l0(Data,vrr_stack+15858, vrr_stack+15723, vrr_stack+7400, vrr_stack+15678, vrr_stack+7355, vrr_stack+7978);
 _BUILD_f0l0(Data,vrr_stack+7535, vrr_stack+15858, vrr_stack+11248, vrr_stack+15723, vrr_stack+7400, vrr_stack+8086);
 _BUILD_g0l0(Data,vrr_stack+28775, vrr_stack+7535, vrr_stack+28055, vrr_stack+15858, vrr_stack+11248, vrr_stack+16218);
 _BUILD_h0l0(Data,vrr_stack+46899, vrr_stack+28775, vrr_stack+43074, vrr_stack+7535, vrr_stack+28055, vrr_stack+1533);
 _BUILD_i0l0(Data,vrr_stack+47844, vrr_stack+46899, vrr_stack+44694, vrr_stack+28775, vrr_stack+43074, vrr_stack+30186);
 _BUILD_00l0(Data,vrr_stack+1533, vrr_stack+17811, vrr_stack+19034, vrr_stack+1338, vrr_stack+24922, NULL);
 _BUILD_p0l0(Data,vrr_stack+1578, vrr_stack+11950, vrr_stack+1533, NULL, NULL, vrr_stack+17811);
 _BUILD_d0l0(Data,vrr_stack+1713, vrr_stack+11518, vrr_stack+1578, vrr_stack+11203, vrr_stack+11950, vrr_stack+17847);
 _BUILD_f0l0(Data,vrr_stack+16128, vrr_stack+28505, vrr_stack+1713, vrr_stack+9850, vrr_stack+11518, vrr_stack+17955);
 _BUILD_g0l0(Data,vrr_stack+29450, vrr_stack+23147, vrr_stack+16128, vrr_stack+13354, vrr_stack+28505, vrr_stack+8410);
 _BUILD_h0l0(Data,vrr_stack+49104, vrr_stack+4665, vrr_stack+29450, vrr_stack+13624, vrr_stack+23147, vrr_stack+32958);
 _BUILD_i0l0(Data,vrr_stack+50049, vrr_stack+43749, vrr_stack+49104, vrr_stack+27380, vrr_stack+4665, vrr_stack+33498);
 _BUILD_k0l0(Data,vrr_stack+51309, vrr_stack+45639, vrr_stack+50049, vrr_stack+44694, vrr_stack+43749, vrr_stack+34254);
 _BUILD_k0l0(Data,vrr_stack+32958, vrr_stack+47844, vrr_stack+45639, vrr_stack+46899, vrr_stack+44694, vrr_stack+30942);
 _BUILD_l0l0(Data,vrr_stack+52929, vrr_stack+32958, vrr_stack+51309, vrr_stack+47844, vrr_stack+45639, vrr_stack+3369);
 _BUILD_00l0(Data,vrr_stack+3369, vrr_stack+21815, vrr_stack+18231, vrr_stack+1505, vrr_stack+1226, NULL);
 _BUILD_p0l0(Data,vrr_stack+3414, vrr_stack+3369, vrr_stack+15678, NULL, NULL, vrr_stack+18231);
 _BUILD_d0l0(Data,vrr_stack+3549, vrr_stack+3414, vrr_stack+15723, vrr_stack+3369, vrr_stack+15678, vrr_stack+18267);
 _BUILD_f0l0(Data,vrr_stack+3819, vrr_stack+3549, vrr_stack+15858, vrr_stack+3414, vrr_stack+15723, vrr_stack+18375);
 _BUILD_g0l0(Data,vrr_stack+34578, vrr_stack+3819, vrr_stack+7535, vrr_stack+3549, vrr_stack+15858, vrr_stack+18591);
 _BUILD_h0l0(Data,vrr_stack+30125, vrr_stack+34578, vrr_stack+28775, vrr_stack+3819, vrr_stack+7535, vrr_stack+2073);
 _BUILD_i0l0(Data,vrr_stack+54954, vrr_stack+30125, vrr_stack+46899, vrr_stack+34578, vrr_stack+28775, vrr_stack+2613);
   tmp = vrr_stack + 54954;
   target_ptr = Libint->vrr_classes[6][8];
   for(i=0;i<1260;i++)
     target_ptr[i] += tmp[i];
 _BUILD_k0l0(Data,vrr_stack+56214, vrr_stack+54954, vrr_stack+47844, vrr_stack+30125, vrr_stack+46899, vrr_stack+31950);
   tmp = vrr_stack + 56214;
   target_ptr = Libint->vrr_classes[7][8];
   for(i=0;i<1620;i++)
     target_ptr[i] += tmp[i];
 _BUILD_l0l0(Data,vrr_stack+30125, vrr_stack+56214, vrr_stack+32958, vrr_stack+54954, vrr_stack+47844, vrr_stack+35262);
   tmp = vrr_stack + 30125;
   target_ptr = Libint->vrr_classes[8][8];
   for(i=0;i<2025;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+0, Data->F+17, Data->F+18, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+54954, vrr_stack+18951, vrr_stack+0, Data->F+16, Data->F+17, NULL);
 _BUILD_00f0(Data,vrr_stack+23597, vrr_stack+18954, vrr_stack+54954, vrr_stack+24867, vrr_stack+18951, NULL);
 _BUILD_00g0(Data,vrr_stack+54960, vrr_stack+18960, vrr_stack+23597, vrr_stack+24870, vrr_stack+18954, NULL);
 _BUILD_00h0(Data,vrr_stack+54975, vrr_stack+18970, vrr_stack+54960, vrr_stack+24876, vrr_stack+18960, NULL);
 _BUILD_00i0(Data,vrr_stack+54996, vrr_stack+18985, vrr_stack+54975, vrr_stack+24886, vrr_stack+18970, NULL);
 _BUILD_00k0(Data,vrr_stack+55024, vrr_stack+19006, vrr_stack+54996, vrr_stack+24901, vrr_stack+18985, NULL);
 _BUILD_00l0(Data,vrr_stack+24867, vrr_stack+19034, vrr_stack+55024, vrr_stack+24922, vrr_stack+19006, NULL);
 _BUILD_p0l0(Data,vrr_stack+55060, vrr_stack+1533, vrr_stack+24867, NULL, NULL, vrr_stack+19034);
 _BUILD_d0l0(Data,vrr_stack+55195, vrr_stack+1578, vrr_stack+55060, vrr_stack+11950, vrr_stack+1533, vrr_stack+19070);
 _BUILD_f0l0(Data,vrr_stack+55465, vrr_stack+1713, vrr_stack+55195, vrr_stack+11518, vrr_stack+1578, vrr_stack+19178);
 _BUILD_g0l0(Data,vrr_stack+32150, vrr_stack+16128, vrr_stack+55465, vrr_stack+28505, vrr_stack+1713, vrr_stack+19394);
 _BUILD_h0l0(Data,vrr_stack+34578, vrr_stack+29450, vrr_stack+32150, vrr_stack+23147, vrr_stack+16128, vrr_stack+21851);
 _BUILD_i0l0(Data,vrr_stack+1983, vrr_stack+49104, vrr_stack+34578, vrr_stack+4665, vrr_stack+29450, vrr_stack+22391);
 _BUILD_k0l0(Data,vrr_stack+57834, vrr_stack+50049, vrr_stack+1983, vrr_stack+43749, vrr_stack+49104, vrr_stack+10066);
 _BUILD_l0l0(Data,vrr_stack+59454, vrr_stack+51309, vrr_stack+57834, vrr_stack+45639, vrr_stack+50049, vrr_stack+38178);
 _BUILD_m0l0(Data,vrr_stack+61479, vrr_stack+52929, vrr_stack+59454, vrr_stack+32958, vrr_stack+51309, vrr_stack+39474);
 _BUILD_m0l0(Data,vrr_stack+38178, vrr_stack+30125, vrr_stack+52929, vrr_stack+56214, vrr_stack+32958, vrr_stack+36558);
   tmp = vrr_stack + 38178;
   target_ptr = Libint->vrr_classes[9][8];
   for(i=0;i<2475;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00m0(Data,vrr_stack+40653, vrr_stack+8770, vrr_stack+8860, vrr_stack+11086, vrr_stack+3, NULL);
 _BUILD_00m0(Data,vrr_stack+40708, vrr_stack+8815, vrr_stack+8770, vrr_stack+11122, vrr_stack+11086, NULL);
 _BUILD_00m0(Data,vrr_stack+40763, vrr_stack+8860, vrr_stack+11203, vrr_stack+3, vrr_stack+11914, NULL);
 _BUILD_p0m0(Data,vrr_stack+40818, vrr_stack+40653, vrr_stack+40763, NULL, NULL, vrr_stack+8860);
 _BUILD_p0m0(Data,vrr_stack+21851, vrr_stack+40708, vrr_stack+40653, NULL, NULL, vrr_stack+8770);
 _BUILD_d0m0(Data,vrr_stack+22016, vrr_stack+21851, vrr_stack+40818, vrr_stack+40708, vrr_stack+40653, vrr_stack+8905);
 _BUILD_00m0(Data,vrr_stack+8905, vrr_stack+11158, vrr_stack+8815, vrr_stack+39, vrr_stack+11122, NULL);
 _BUILD_p0m0(Data,vrr_stack+22346, vrr_stack+8905, vrr_stack+40708, NULL, NULL, vrr_stack+8815);
 _BUILD_d0m0(Data,vrr_stack+22511, vrr_stack+22346, vrr_stack+21851, vrr_stack+8905, vrr_stack+40708, vrr_stack+9040);
 _BUILD_00m0(Data,vrr_stack+8960, vrr_stack+11203, vrr_stack+11950, vrr_stack+11914, vrr_stack+636, NULL);
 _BUILD_p0m0(Data,vrr_stack+22841, vrr_stack+40763, vrr_stack+8960, NULL, NULL, vrr_stack+11203);
 _BUILD_d0m0(Data,vrr_stack+19070, vrr_stack+40818, vrr_stack+22841, vrr_stack+40653, vrr_stack+40763, vrr_stack+9850);
 _BUILD_f0m0(Data,vrr_stack+9850, vrr_stack+22016, vrr_stack+19070, vrr_stack+21851, vrr_stack+40818, vrr_stack+13354);
 _BUILD_f0m0(Data,vrr_stack+10400, vrr_stack+22511, vrr_stack+22016, vrr_stack+22346, vrr_stack+21851, vrr_stack+9175);
 _BUILD_g0m0(Data,vrr_stack+55915, vrr_stack+10400, vrr_stack+9850, vrr_stack+22511, vrr_stack+22016, vrr_stack+13624);
 _BUILD_00m0(Data,vrr_stack+13354, vrr_stack+7355, vrr_stack+11158, vrr_stack+12058, vrr_stack+39, NULL);
 _BUILD_p0m0(Data,vrr_stack+13409, vrr_stack+13354, vrr_stack+8905, NULL, NULL, vrr_stack+11158);
 _BUILD_d0m0(Data,vrr_stack+13574, vrr_stack+13409, vrr_stack+22346, vrr_stack+13354, vrr_stack+8905, vrr_stack+9445);
 _BUILD_f0m0(Data,vrr_stack+9015, vrr_stack+13574, vrr_stack+22511, vrr_stack+13409, vrr_stack+22346, vrr_stack+9580);
 _BUILD_g0m0(Data,vrr_stack+56740, vrr_stack+9015, vrr_stack+10400, vrr_stack+13574, vrr_stack+22511, vrr_stack+26930);
 _BUILD_00m0(Data,vrr_stack+26930, vrr_stack+11950, vrr_stack+1533, vrr_stack+636, vrr_stack+17811, NULL);
 _BUILD_p0m0(Data,vrr_stack+26985, vrr_stack+8960, vrr_stack+26930, NULL, NULL, vrr_stack+11950);
 _BUILD_d0m0(Data,vrr_stack+3, vrr_stack+22841, vrr_stack+26985, vrr_stack+40763, vrr_stack+8960, vrr_stack+11518);
 _BUILD_f0m0(Data,vrr_stack+333, vrr_stack+19070, vrr_stack+3, vrr_stack+40818, vrr_stack+22841, vrr_stack+28505);
 _BUILD_g0m0(Data,vrr_stack+35523, vrr_stack+9850, vrr_stack+333, vrr_stack+22016, vrr_stack+19070, vrr_stack+23147);
 _BUILD_h0m0(Data,vrr_stack+3414, vrr_stack+55915, vrr_stack+35523, vrr_stack+10400, vrr_stack+9850, vrr_stack+4665);
 _BUILD_h0m0(Data,vrr_stack+4569, vrr_stack+56740, vrr_stack+55915, vrr_stack+9015, vrr_stack+10400, vrr_stack+27380);
 _BUILD_i0m0(Data,vrr_stack+63954, vrr_stack+4569, vrr_stack+3414, vrr_stack+56740, vrr_stack+55915, vrr_stack+43749);
 _BUILD_00m0(Data,vrr_stack+43749, vrr_stack+15678, vrr_stack+7355, vrr_stack+18231, vrr_stack+12058, NULL);
 _BUILD_p0m0(Data,vrr_stack+43804, vrr_stack+43749, vrr_stack+13354, NULL, NULL, vrr_stack+7355);
 _BUILD_d0m0(Data,vrr_stack+43969, vrr_stack+43804, vrr_stack+13409, vrr_stack+43749, vrr_stack+13354, vrr_stack+7400);
 _BUILD_f0m0(Data,vrr_stack+27150, vrr_stack+43969, vrr_stack+13574, vrr_stack+43804, vrr_stack+13409, vrr_stack+11248);
 _BUILD_g0m0(Data,vrr_stack+65494, vrr_stack+27150, vrr_stack+9015, vrr_stack+43969, vrr_stack+13574, vrr_stack+28055);
 _BUILD_h0m0(Data,vrr_stack+66319, vrr_stack+65494, vrr_stack+56740, vrr_stack+27150, vrr_stack+9015, vrr_stack+43074);
 _BUILD_i0m0(Data,vrr_stack+67474, vrr_stack+66319, vrr_stack+4569, vrr_stack+65494, vrr_stack+56740, vrr_stack+44694);
 _BUILD_00m0(Data,vrr_stack+43074, vrr_stack+1533, vrr_stack+24867, vrr_stack+17811, vrr_stack+19034, NULL);
 _BUILD_p0m0(Data,vrr_stack+17811, vrr_stack+26930, vrr_stack+43074, NULL, NULL, vrr_stack+1533);
 _BUILD_d0m0(Data,vrr_stack+43129, vrr_stack+26985, vrr_stack+17811, vrr_stack+8960, vrr_stack+26930, vrr_stack+1578);
 _BUILD_f0m0(Data,vrr_stack+11248, vrr_stack+3, vrr_stack+43129, vrr_stack+22841, vrr_stack+26985, vrr_stack+1713);
 _BUILD_g0m0(Data,vrr_stack+44299, vrr_stack+333, vrr_stack+11248, vrr_stack+19070, vrr_stack+3, vrr_stack+16128);
 _BUILD_h0m0(Data,vrr_stack+69014, vrr_stack+35523, vrr_stack+44299, vrr_stack+9850, vrr_stack+333, vrr_stack+29450);
 _BUILD_i0m0(Data,vrr_stack+70169, vrr_stack+3414, vrr_stack+69014, vrr_stack+55915, vrr_stack+35523, vrr_stack+49104);
 _BUILD_k0m0(Data,vrr_stack+71709, vrr_stack+63954, vrr_stack+70169, vrr_stack+4569, vrr_stack+3414, vrr_stack+50049);
 _BUILD_k0m0(Data,vrr_stack+49104, vrr_stack+67474, vrr_stack+63954, vrr_stack+66319, vrr_stack+4569, vrr_stack+45639);
 _BUILD_l0m0(Data,vrr_stack+73689, vrr_stack+49104, vrr_stack+71709, vrr_stack+67474, vrr_stack+63954, vrr_stack+51309);
 _BUILD_00m0(Data,vrr_stack+51084, vrr_stack+3369, vrr_stack+15678, vrr_stack+21815, vrr_stack+18231, NULL);
 _BUILD_p0m0(Data,vrr_stack+51139, vrr_stack+51084, vrr_stack+43749, NULL, NULL, vrr_stack+15678);
 _BUILD_d0m0(Data,vrr_stack+51304, vrr_stack+51139, vrr_stack+43804, vrr_stack+51084, vrr_stack+43749, vrr_stack+15723);
 _BUILD_f0m0(Data,vrr_stack+51634, vrr_stack+51304, vrr_stack+43969, vrr_stack+51139, vrr_stack+43804, vrr_stack+15858);
 _BUILD_g0m0(Data,vrr_stack+15723, vrr_stack+51634, vrr_stack+27150, vrr_stack+51304, vrr_stack+43969, vrr_stack+7535);
 _BUILD_h0m0(Data,vrr_stack+7400, vrr_stack+15723, vrr_stack+65494, vrr_stack+51634, vrr_stack+27150, vrr_stack+28775);
 _BUILD_i0m0(Data,vrr_stack+51139, vrr_stack+7400, vrr_stack+66319, vrr_stack+15723, vrr_stack+65494, vrr_stack+46899);
   tmp = vrr_stack + 51139;
   target_ptr = Libint->vrr_classes[6][9];
   for(i=0;i<1540;i++)
     target_ptr[i] += tmp[i];
 _BUILD_k0m0(Data,vrr_stack+45124, vrr_stack+51139, vrr_stack+67474, vrr_stack+7400, vrr_stack+66319, vrr_stack+47844);
   tmp = vrr_stack + 45124;
   target_ptr = Libint->vrr_classes[7][9];
   for(i=0;i<1980;i++)
     target_ptr[i] += tmp[i];
 _BUILD_l0m0(Data,vrr_stack+76164, vrr_stack+45124, vrr_stack+49104, vrr_stack+51139, vrr_stack+67474, vrr_stack+32958);
   tmp = vrr_stack + 76164;
   target_ptr = Libint->vrr_classes[8][9];
   for(i=0;i<2475;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+51139, Data->F+18, Data->F+19, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+51142, vrr_stack+0, vrr_stack+51139, Data->F+17, Data->F+18, NULL);
 _BUILD_00f0(Data,vrr_stack+51148, vrr_stack+54954, vrr_stack+51142, vrr_stack+18951, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+51158, vrr_stack+23597, vrr_stack+51148, vrr_stack+18954, vrr_stack+54954, NULL);
 _BUILD_00h0(Data,vrr_stack+51173, vrr_stack+54960, vrr_stack+51158, vrr_stack+18960, vrr_stack+23597, NULL);
 _BUILD_00i0(Data,vrr_stack+51194, vrr_stack+54975, vrr_stack+51173, vrr_stack+18970, vrr_stack+54960, NULL);
 _BUILD_00k0(Data,vrr_stack+51222, vrr_stack+54996, vrr_stack+51194, vrr_stack+18985, vrr_stack+54975, NULL);
 _BUILD_00l0(Data,vrr_stack+51258, vrr_stack+55024, vrr_stack+51222, vrr_stack+19006, vrr_stack+54996, NULL);
 _BUILD_00m0(Data,vrr_stack+51303, vrr_stack+24867, vrr_stack+51258, vrr_stack+19034, vrr_stack+55024, NULL);
 _BUILD_p0m0(Data,vrr_stack+51358, vrr_stack+43074, vrr_stack+51303, NULL, NULL, vrr_stack+24867);
 _BUILD_d0m0(Data,vrr_stack+51523, vrr_stack+17811, vrr_stack+51358, vrr_stack+26930, vrr_stack+43074, vrr_stack+55060);
 _BUILD_f0m0(Data,vrr_stack+51853, vrr_stack+43129, vrr_stack+51523, vrr_stack+26985, vrr_stack+17811, vrr_stack+55195);
 _BUILD_g0m0(Data,vrr_stack+7400, vrr_stack+11248, vrr_stack+51853, vrr_stack+3, vrr_stack+43129, vrr_stack+55465);
 _BUILD_h0m0(Data,vrr_stack+47104, vrr_stack+44299, vrr_stack+7400, vrr_stack+333, vrr_stack+11248, vrr_stack+32150);
 _BUILD_i0m0(Data,vrr_stack+32150, vrr_stack+69014, vrr_stack+47104, vrr_stack+35523, vrr_stack+44299, vrr_stack+34578);
 _BUILD_k0m0(Data,vrr_stack+27700, vrr_stack+70169, vrr_stack+32150, vrr_stack+3414, vrr_stack+69014, vrr_stack+1983);
 _BUILD_l0m0(Data,vrr_stack+78639, vrr_stack+71709, vrr_stack+27700, vrr_stack+63954, vrr_stack+70169, vrr_stack+57834);
 _BUILD_m0m0(Data,vrr_stack+81114, vrr_stack+73689, vrr_stack+78639, vrr_stack+49104, vrr_stack+71709, vrr_stack+59454);
 _BUILD_m0m0(Data,vrr_stack+57565, vrr_stack+76164, vrr_stack+73689, vrr_stack+45124, vrr_stack+49104, vrr_stack+52929);
   tmp = vrr_stack + 57565;
   target_ptr = Libint->vrr_classes[9][9];
   for(i=0;i<3025;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00n0(Data,vrr_stack+45124, vrr_stack+40653, vrr_stack+40763, vrr_stack+8770, vrr_stack+8860, NULL);
 _BUILD_00n0(Data,vrr_stack+45190, vrr_stack+40708, vrr_stack+40653, vrr_stack+8815, vrr_stack+8770, NULL);
 _BUILD_00n0(Data,vrr_stack+45256, vrr_stack+40763, vrr_stack+8960, vrr_stack+8860, vrr_stack+11203, NULL);
 _BUILD_p0n0(Data,vrr_stack+45322, vrr_stack+45124, vrr_stack+45256, NULL, NULL, vrr_stack+40763);
 _BUILD_p0n0(Data,vrr_stack+45520, vrr_stack+45190, vrr_stack+45124, NULL, NULL, vrr_stack+40653);
 _BUILD_d0n0(Data,vrr_stack+45718, vrr_stack+45520, vrr_stack+45322, vrr_stack+45190, vrr_stack+45124, vrr_stack+40818);
 _BUILD_00n0(Data,vrr_stack+40763, vrr_stack+8905, vrr_stack+40708, vrr_stack+11158, vrr_stack+8815, NULL);
 _BUILD_p0n0(Data,vrr_stack+40829, vrr_stack+40763, vrr_stack+45190, NULL, NULL, vrr_stack+40708);
 _BUILD_d0n0(Data,vrr_stack+46114, vrr_stack+40829, vrr_stack+45520, vrr_stack+40763, vrr_stack+45190, vrr_stack+21851);
 _BUILD_00n0(Data,vrr_stack+45190, vrr_stack+8960, vrr_stack+26930, vrr_stack+11203, vrr_stack+11950, NULL);
 _BUILD_p0n0(Data,vrr_stack+46510, vrr_stack+45256, vrr_stack+45190, NULL, NULL, vrr_stack+8960);
 _BUILD_d0n0(Data,vrr_stack+46708, vrr_stack+45322, vrr_stack+46510, vrr_stack+45124, vrr_stack+45256, vrr_stack+22841);
 _BUILD_f0n0(Data,vrr_stack+22841, vrr_stack+45718, vrr_stack+46708, vrr_stack+45520, vrr_stack+45322, vrr_stack+19070);
 _BUILD_f0n0(Data,vrr_stack+33690, vrr_stack+46114, vrr_stack+45718, vrr_stack+40829, vrr_stack+45520, vrr_stack+22016);
 _BUILD_g0n0(Data,vrr_stack+34350, vrr_stack+33690, vrr_stack+22841, vrr_stack+46114, vrr_stack+45718, vrr_stack+9850);
 _BUILD_00n0(Data,vrr_stack+45124, vrr_stack+13354, vrr_stack+8905, vrr_stack+7355, vrr_stack+11158, NULL);
 _BUILD_p0n0(Data,vrr_stack+45520, vrr_stack+45124, vrr_stack+40763, NULL, NULL, vrr_stack+8905);
 _BUILD_d0n0(Data,vrr_stack+55060, vrr_stack+45520, vrr_stack+40829, vrr_stack+45124, vrr_stack+40763, vrr_stack+22346);
 _BUILD_f0n0(Data,vrr_stack+8225, vrr_stack+55060, vrr_stack+46114, vrr_stack+45520, vrr_stack+40829, vrr_stack+22511);
 _BUILD_g0n0(Data,vrr_stack+1578, vrr_stack+8225, vrr_stack+33690, vrr_stack+55060, vrr_stack+46114, vrr_stack+10400);
 _BUILD_00n0(Data,vrr_stack+46114, vrr_stack+26930, vrr_stack+43074, vrr_stack+11950, vrr_stack+1533, NULL);
 _BUILD_p0n0(Data,vrr_stack+46180, vrr_stack+45190, vrr_stack+46114, NULL, NULL, vrr_stack+26930);
 _BUILD_d0n0(Data,vrr_stack+40653, vrr_stack+46510, vrr_stack+46180, vrr_stack+45256, vrr_stack+45190, vrr_stack+26985);
 _BUILD_f0n0(Data,vrr_stack+15723, vrr_stack+46708, vrr_stack+40653, vrr_stack+45322, vrr_stack+46510, vrr_stack+3);
 _BUILD_g0n0(Data,vrr_stack+17976, vrr_stack+22841, vrr_stack+15723, vrr_stack+45718, vrr_stack+46708, vrr_stack+333);
 _BUILD_h0n0(Data,vrr_stack+3, vrr_stack+34350, vrr_stack+17976, vrr_stack+33690, vrr_stack+22841, vrr_stack+35523);
 _BUILD_h0n0(Data,vrr_stack+9565, vrr_stack+1578, vrr_stack+34350, vrr_stack+8225, vrr_stack+33690, vrr_stack+55915);
 _BUILD_i0n0(Data,vrr_stack+84139, vrr_stack+9565, vrr_stack+3, vrr_stack+1578, vrr_stack+34350, vrr_stack+3414);
 _BUILD_00n0(Data,vrr_stack+3414, vrr_stack+43749, vrr_stack+13354, vrr_stack+15678, vrr_stack+7355, NULL);
 _BUILD_p0n0(Data,vrr_stack+3480, vrr_stack+3414, vrr_stack+45124, NULL, NULL, vrr_stack+13354);
 _BUILD_d0n0(Data,vrr_stack+45718, vrr_stack+3480, vrr_stack+45520, vrr_stack+3414, vrr_stack+45124, vrr_stack+13409);
 _BUILD_f0n0(Data,vrr_stack+33690, vrr_stack+45718, vrr_stack+55060, vrr_stack+3480, vrr_stack+45520, vrr_stack+13574);
 _BUILD_g0n0(Data,vrr_stack+35340, vrr_stack+33690, vrr_stack+8225, vrr_stack+45718, vrr_stack+55060, vrr_stack+9015);
 _BUILD_h0n0(Data,vrr_stack+55060, vrr_stack+35340, vrr_stack+1578, vrr_stack+33690, vrr_stack+8225, vrr_stack+56740);
 _BUILD_i0n0(Data,vrr_stack+85987, vrr_stack+55060, vrr_stack+9565, vrr_stack+35340, vrr_stack+1578, vrr_stack+4569);
 _BUILD_00n0(Data,vrr_stack+45124, vrr_stack+43074, vrr_stack+51303, vrr_stack+1533, vrr_stack+24867, NULL);
 _BUILD_p0n0(Data,vrr_stack+8225, vrr_stack+46114, vrr_stack+45124, NULL, NULL, vrr_stack+43074);
 _BUILD_d0n0(Data,vrr_stack+8423, vrr_stack+46180, vrr_stack+8225, vrr_stack+45190, vrr_stack+46114, vrr_stack+17811);
 _BUILD_f0n0(Data,vrr_stack+8819, vrr_stack+40653, vrr_stack+8423, vrr_stack+46510, vrr_stack+46180, vrr_stack+43129);
 _BUILD_g0n0(Data,vrr_stack+56446, vrr_stack+15723, vrr_stack+8819, vrr_stack+46708, vrr_stack+40653, vrr_stack+11248);
 _BUILD_h0n0(Data,vrr_stack+3678, vrr_stack+17976, vrr_stack+56446, vrr_stack+22841, vrr_stack+15723, vrr_stack+44299);
 _BUILD_i0n0(Data,vrr_stack+1389, vrr_stack+3, vrr_stack+3678, vrr_stack+34350, vrr_stack+17976, vrr_stack+69014);
 _BUILD_k0n0(Data,vrr_stack+87835, vrr_stack+84139, vrr_stack+1389, vrr_stack+9565, vrr_stack+3, vrr_stack+70169);
 _BUILD_k0n0(Data,vrr_stack+69014, vrr_stack+85987, vrr_stack+84139, vrr_stack+55060, vrr_stack+9565, vrr_stack+63954);
 _BUILD_l0n0(Data,vrr_stack+90211, vrr_stack+69014, vrr_stack+87835, vrr_stack+85987, vrr_stack+84139, vrr_stack+71709);
 _BUILD_00n0(Data,vrr_stack+63954, vrr_stack+51084, vrr_stack+43749, vrr_stack+3369, vrr_stack+15678, NULL);
 _BUILD_p0n0(Data,vrr_stack+64020, vrr_stack+63954, vrr_stack+3414, NULL, NULL, vrr_stack+43749);
 _BUILD_d0n0(Data,vrr_stack+64218, vrr_stack+64020, vrr_stack+3480, vrr_stack+63954, vrr_stack+3414, vrr_stack+43804);
 _BUILD_f0n0(Data,vrr_stack+64614, vrr_stack+64218, vrr_stack+45718, vrr_stack+64020, vrr_stack+3480, vrr_stack+43969);
 _BUILD_g0n0(Data,vrr_stack+34350, vrr_stack+64614, vrr_stack+33690, vrr_stack+64218, vrr_stack+45718, vrr_stack+27150);
 _BUILD_h0n0(Data,vrr_stack+71390, vrr_stack+34350, vrr_stack+35340, vrr_stack+64614, vrr_stack+33690, vrr_stack+65494);
 _BUILD_i0n0(Data,vrr_stack+63954, vrr_stack+71390, vrr_stack+55060, vrr_stack+34350, vrr_stack+35340, vrr_stack+66319);
   tmp = vrr_stack + 63954;
   target_ptr = Libint->vrr_classes[6][10];
   for(i=0;i<1848;i++)
     target_ptr[i] += tmp[i];
 _BUILD_k0n0(Data,vrr_stack+33690, vrr_stack+63954, vrr_stack+85987, vrr_stack+71390, vrr_stack+55060, vrr_stack+67474);
   tmp = vrr_stack + 33690;
   target_ptr = Libint->vrr_classes[7][10];
   for(i=0;i<2376;i++)
     target_ptr[i] += tmp[i];
 _BUILD_l0n0(Data,vrr_stack+65802, vrr_stack+33690, vrr_stack+69014, vrr_stack+63954, vrr_stack+85987, vrr_stack+49104);
   tmp = vrr_stack + 65802;
   target_ptr = Libint->vrr_classes[8][10];
   for(i=0;i<2970;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+85987, Data->F+19, Data->F+20, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+85990, vrr_stack+51139, vrr_stack+85987, Data->F+18, Data->F+19, NULL);
 _BUILD_00f0(Data,vrr_stack+85996, vrr_stack+51142, vrr_stack+85990, vrr_stack+0, vrr_stack+51139, NULL);
 _BUILD_00g0(Data,vrr_stack+86006, vrr_stack+51148, vrr_stack+85996, vrr_stack+54954, vrr_stack+51142, NULL);
 _BUILD_00h0(Data,vrr_stack+86021, vrr_stack+51158, vrr_stack+86006, vrr_stack+23597, vrr_stack+51148, NULL);
 _BUILD_00i0(Data,vrr_stack+85987, vrr_stack+51173, vrr_stack+86021, vrr_stack+54960, vrr_stack+51158, NULL);
 _BUILD_00k0(Data,vrr_stack+86015, vrr_stack+51194, vrr_stack+85987, vrr_stack+54975, vrr_stack+51173, NULL);
 _BUILD_00l0(Data,vrr_stack+15678, vrr_stack+51222, vrr_stack+86015, vrr_stack+54996, vrr_stack+51194, NULL);
 _BUILD_00m0(Data,vrr_stack+85987, vrr_stack+51258, vrr_stack+15678, vrr_stack+55024, vrr_stack+51222, NULL);
 _BUILD_00n0(Data,vrr_stack+86042, vrr_stack+51303, vrr_stack+85987, vrr_stack+24867, vrr_stack+51258, NULL);
 _BUILD_p0n0(Data,vrr_stack+86108, vrr_stack+45124, vrr_stack+86042, NULL, NULL, vrr_stack+51303);
 _BUILD_d0n0(Data,vrr_stack+86306, vrr_stack+8225, vrr_stack+86108, vrr_stack+46114, vrr_stack+45124, vrr_stack+51358);
 _BUILD_f0n0(Data,vrr_stack+86702, vrr_stack+8423, vrr_stack+86306, vrr_stack+46180, vrr_stack+8225, vrr_stack+51523);
 _BUILD_g0n0(Data,vrr_stack+54954, vrr_stack+8819, vrr_stack+86702, vrr_stack+40653, vrr_stack+8423, vrr_stack+51853);
 _BUILD_h0n0(Data,vrr_stack+85987, vrr_stack+56446, vrr_stack+54954, vrr_stack+15723, vrr_stack+8819, vrr_stack+7400);
 _BUILD_i0n0(Data,vrr_stack+63954, vrr_stack+3678, vrr_stack+85987, vrr_stack+17976, vrr_stack+56446, vrr_stack+47104);
 _BUILD_k0n0(Data,vrr_stack+54954, vrr_stack+1389, vrr_stack+63954, vrr_stack+3, vrr_stack+3678, vrr_stack+32150);
 _BUILD_l0n0(Data,vrr_stack+43074, vrr_stack+87835, vrr_stack+54954, vrr_stack+84139, vrr_stack+1389, vrr_stack+27700);
 _BUILD_m0n0(Data,vrr_stack+84139, vrr_stack+90211, vrr_stack+43074, vrr_stack+69014, vrr_stack+87835, vrr_stack+78639);
 _BUILD_m0n0(Data,vrr_stack+43074, vrr_stack+65802, vrr_stack+90211, vrr_stack+33690, vrr_stack+69014, vrr_stack+73689);
   tmp = vrr_stack + 43074;
   target_ptr = Libint->vrr_classes[9][10];
   for(i=0;i<3630;i++)
     target_ptr[i] += tmp[i];
 _BUILD_n0i0(Data,vrr_stack+63954, vrr_stack+5815, vrr_stack+14138, vrr_stack+12094, vrr_stack+23607, vrr_stack+16656);
   tmp = vrr_stack + 63954;
   target_ptr = Libint->vrr_classes[10][6];
   for(i=0;i<1848;i++)
     target_ptr[i] += tmp[i];
 _BUILD_n0k0(Data,vrr_stack+78639, vrr_stack+24950, vrr_stack+41094, vrr_stack+19959, vrr_stack+36558, vrr_stack+14138);
   tmp = vrr_stack + 78639;
   target_ptr = Libint->vrr_classes[10][7];
   for(i=0;i<2376;i++)
     target_ptr[i] += tmp[i];
 _BUILD_n0l0(Data,vrr_stack+46704, vrr_stack+38178, vrr_stack+61479, vrr_stack+30125, vrr_stack+52929, vrr_stack+41094);
   tmp = vrr_stack + 46704;
   target_ptr = Libint->vrr_classes[10][8];
   for(i=0;i<2970;i++)
     target_ptr[i] += tmp[i];
 _BUILD_n0m0(Data,vrr_stack+49674, vrr_stack+57565, vrr_stack+81114, vrr_stack+76164, vrr_stack+73689, vrr_stack+61479);
   tmp = vrr_stack + 49674;
   target_ptr = Libint->vrr_classes[10][9];
   for(i=0;i<3630;i++)
     target_ptr[i] += tmp[i];
 _BUILD_n0n0(Data,vrr_stack+53304, vrr_stack+43074, vrr_stack+84139, vrr_stack+65802, vrr_stack+90211, vrr_stack+81114);
   tmp = vrr_stack + 53304;
   target_ptr = Libint->vrr_classes[10][10];
   for(i=0;i<4356;i++)
     target_ptr[i] += tmp[i];

}

