#include <stdio.h>
#include "libint.h"
#include "vrr_header.h"

  /* Computes quartets necessary to compute (kp|md) integrals */

void vrr_order_kpmd(Libint_t * Libint, prim_data *Data)
{
 REALTYPE *vrr_stack = Libint->vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];
 _BUILD_00p0(Data,vrr_stack+0, Data->F+8, Data->F+9, NULL, NULL, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+9, Data->F+10, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+6, vrr_stack+0, vrr_stack+3, Data->F+8, Data->F+9, NULL);
 _BUILD_00p0(Data,vrr_stack+12, Data->F+7, Data->F+8, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+12, vrr_stack+0, Data->F+7, Data->F+8, NULL);
 _BUILD_p0d0(Data,vrr_stack+21, vrr_stack+15, vrr_stack+6, NULL, NULL, vrr_stack+0);
 _BUILD_00f0(Data,vrr_stack+39, vrr_stack+15, vrr_stack+6, vrr_stack+12, vrr_stack+0, NULL);
 _BUILD_00p0(Data,vrr_stack+49, Data->F+6, Data->F+7, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+52, vrr_stack+49, vrr_stack+12, Data->F+6, Data->F+7, NULL);
 _BUILD_00f0(Data,vrr_stack+58, vrr_stack+52, vrr_stack+15, vrr_stack+49, vrr_stack+12, NULL);
 _BUILD_00p0(Data,vrr_stack+12, Data->F+10, Data->F+11, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+68, vrr_stack+3, vrr_stack+12, Data->F+9, Data->F+10, NULL);
 _BUILD_00f0(Data,vrr_stack+74, vrr_stack+6, vrr_stack+68, vrr_stack+0, vrr_stack+3, NULL);
 _BUILD_p0f0(Data,vrr_stack+84, vrr_stack+39, vrr_stack+74, NULL, NULL, vrr_stack+6);
 _BUILD_p0f0(Data,vrr_stack+114, vrr_stack+58, vrr_stack+39, NULL, NULL, vrr_stack+15);
 _BUILD_d0f0(Data,vrr_stack+144, vrr_stack+114, vrr_stack+84, vrr_stack+58, vrr_stack+39, vrr_stack+21);
 _BUILD_00g0(Data,vrr_stack+21, vrr_stack+39, vrr_stack+74, vrr_stack+15, vrr_stack+6, NULL);
 _BUILD_00g0(Data,vrr_stack+204, vrr_stack+58, vrr_stack+39, vrr_stack+52, vrr_stack+15, NULL);
 _BUILD_p0g0(Data,vrr_stack+219, vrr_stack+204, vrr_stack+21, NULL, NULL, vrr_stack+39);
 _BUILD_00p0(Data,vrr_stack+36, Data->F+5, Data->F+6, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+36, vrr_stack+49, Data->F+5, Data->F+6, NULL);
 _BUILD_00f0(Data,vrr_stack+264, vrr_stack+15, vrr_stack+52, vrr_stack+36, vrr_stack+49, NULL);
 _BUILD_00g0(Data,vrr_stack+274, vrr_stack+264, vrr_stack+58, vrr_stack+15, vrr_stack+52, NULL);
 _BUILD_p0g0(Data,vrr_stack+289, vrr_stack+274, vrr_stack+204, NULL, NULL, vrr_stack+58);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+11, Data->F+12, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+49, vrr_stack+12, vrr_stack+0, Data->F+10, Data->F+11, NULL);
 _BUILD_00f0(Data,vrr_stack+334, vrr_stack+68, vrr_stack+49, vrr_stack+3, vrr_stack+12, NULL);
 _BUILD_00g0(Data,vrr_stack+344, vrr_stack+74, vrr_stack+334, vrr_stack+6, vrr_stack+68, NULL);
 _BUILD_p0g0(Data,vrr_stack+359, vrr_stack+21, vrr_stack+344, NULL, NULL, vrr_stack+74);
 _BUILD_d0g0(Data,vrr_stack+404, vrr_stack+219, vrr_stack+359, vrr_stack+204, vrr_stack+21, vrr_stack+84);
 _BUILD_d0g0(Data,vrr_stack+494, vrr_stack+289, vrr_stack+219, vrr_stack+274, vrr_stack+204, vrr_stack+114);
 _BUILD_f0g0(Data,vrr_stack+584, vrr_stack+494, vrr_stack+404, vrr_stack+289, vrr_stack+219, vrr_stack+144);
 _BUILD_00h0(Data,vrr_stack+84, vrr_stack+204, vrr_stack+21, vrr_stack+58, vrr_stack+39, NULL);
 _BUILD_00h0(Data,vrr_stack+105, vrr_stack+274, vrr_stack+204, vrr_stack+264, vrr_stack+58, NULL);
 _BUILD_00h0(Data,vrr_stack+126, vrr_stack+21, vrr_stack+344, vrr_stack+39, vrr_stack+74, NULL);
 _BUILD_p0h0(Data,vrr_stack+734, vrr_stack+84, vrr_stack+126, NULL, NULL, vrr_stack+21);
 _BUILD_p0h0(Data,vrr_stack+797, vrr_stack+105, vrr_stack+84, NULL, NULL, vrr_stack+204);
 _BUILD_d0h0(Data,vrr_stack+860, vrr_stack+797, vrr_stack+734, vrr_stack+105, vrr_stack+84, vrr_stack+219);
 _BUILD_00p0(Data,vrr_stack+219, Data->F+4, Data->F+5, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+222, vrr_stack+219, vrr_stack+36, Data->F+4, Data->F+5, NULL);
 _BUILD_00f0(Data,vrr_stack+39, vrr_stack+222, vrr_stack+15, vrr_stack+219, vrr_stack+36, NULL);
 _BUILD_00g0(Data,vrr_stack+986, vrr_stack+39, vrr_stack+264, vrr_stack+222, vrr_stack+15, NULL);
 _BUILD_00h0(Data,vrr_stack+228, vrr_stack+986, vrr_stack+274, vrr_stack+39, vrr_stack+264, NULL);
 _BUILD_p0h0(Data,vrr_stack+1001, vrr_stack+228, vrr_stack+105, NULL, NULL, vrr_stack+274);
 _BUILD_d0h0(Data,vrr_stack+1064, vrr_stack+1001, vrr_stack+797, vrr_stack+228, vrr_stack+105, vrr_stack+289);
 _BUILD_00p0(Data,vrr_stack+36, Data->F+12, Data->F+13, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+0, vrr_stack+36, Data->F+11, Data->F+12, NULL);
 _BUILD_00f0(Data,vrr_stack+289, vrr_stack+49, vrr_stack+15, vrr_stack+12, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+299, vrr_stack+334, vrr_stack+289, vrr_stack+68, vrr_stack+49, NULL);
 _BUILD_00h0(Data,vrr_stack+249, vrr_stack+344, vrr_stack+299, vrr_stack+74, vrr_stack+334, NULL);
 _BUILD_p0h0(Data,vrr_stack+1190, vrr_stack+126, vrr_stack+249, NULL, NULL, vrr_stack+344);
 _BUILD_d0h0(Data,vrr_stack+1253, vrr_stack+734, vrr_stack+1190, vrr_stack+84, vrr_stack+126, vrr_stack+359);
 _BUILD_f0h0(Data,vrr_stack+1379, vrr_stack+860, vrr_stack+1253, vrr_stack+797, vrr_stack+734, vrr_stack+404);
 _BUILD_f0h0(Data,vrr_stack+1589, vrr_stack+1064, vrr_stack+860, vrr_stack+1001, vrr_stack+797, vrr_stack+494);
 _BUILD_g0h0(Data,vrr_stack+1799, vrr_stack+1589, vrr_stack+1379, vrr_stack+1064, vrr_stack+860, vrr_stack+584);
 _BUILD_00i0(Data,vrr_stack+359, vrr_stack+84, vrr_stack+126, vrr_stack+204, vrr_stack+21, NULL);
 _BUILD_00i0(Data,vrr_stack+387, vrr_stack+105, vrr_stack+84, vrr_stack+274, vrr_stack+204, NULL);
 _BUILD_p0i0(Data,vrr_stack+415, vrr_stack+387, vrr_stack+359, NULL, NULL, vrr_stack+84);
 _BUILD_00i0(Data,vrr_stack+499, vrr_stack+228, vrr_stack+105, vrr_stack+986, vrr_stack+274, NULL);
 _BUILD_p0i0(Data,vrr_stack+527, vrr_stack+499, vrr_stack+387, NULL, NULL, vrr_stack+105);
 _BUILD_00i0(Data,vrr_stack+611, vrr_stack+126, vrr_stack+249, vrr_stack+21, vrr_stack+344, NULL);
 _BUILD_p0i0(Data,vrr_stack+639, vrr_stack+359, vrr_stack+611, NULL, NULL, vrr_stack+126);
 _BUILD_d0i0(Data,vrr_stack+2114, vrr_stack+415, vrr_stack+639, vrr_stack+387, vrr_stack+359, vrr_stack+734);
 _BUILD_d0i0(Data,vrr_stack+2282, vrr_stack+527, vrr_stack+415, vrr_stack+499, vrr_stack+387, vrr_stack+797);
 _BUILD_f0i0(Data,vrr_stack+2450, vrr_stack+2282, vrr_stack+2114, vrr_stack+527, vrr_stack+415, vrr_stack+860);
 _BUILD_00p0(Data,vrr_stack+21, Data->F+3, Data->F+4, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+24, vrr_stack+21, vrr_stack+219, Data->F+3, Data->F+4, NULL);
 _BUILD_00f0(Data,vrr_stack+723, vrr_stack+24, vrr_stack+222, vrr_stack+21, vrr_stack+219, NULL);
 _BUILD_00g0(Data,vrr_stack+733, vrr_stack+723, vrr_stack+39, vrr_stack+24, vrr_stack+222, NULL);
 _BUILD_00h0(Data,vrr_stack+748, vrr_stack+733, vrr_stack+986, vrr_stack+723, vrr_stack+39, NULL);
 _BUILD_00i0(Data,vrr_stack+769, vrr_stack+748, vrr_stack+228, vrr_stack+733, vrr_stack+986, NULL);
 _BUILD_p0i0(Data,vrr_stack+797, vrr_stack+769, vrr_stack+499, NULL, NULL, vrr_stack+228);
 _BUILD_d0i0(Data,vrr_stack+2730, vrr_stack+797, vrr_stack+527, vrr_stack+769, vrr_stack+499, vrr_stack+1001);
 _BUILD_f0i0(Data,vrr_stack+2898, vrr_stack+2730, vrr_stack+2282, vrr_stack+797, vrr_stack+527, vrr_stack+1064);
 _BUILD_00p0(Data,vrr_stack+39, Data->F+13, Data->F+14, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+30, vrr_stack+36, vrr_stack+39, Data->F+12, Data->F+13, NULL);
 _BUILD_00f0(Data,vrr_stack+881, vrr_stack+15, vrr_stack+30, vrr_stack+0, vrr_stack+36, NULL);
 _BUILD_00g0(Data,vrr_stack+0, vrr_stack+289, vrr_stack+881, vrr_stack+49, vrr_stack+15, NULL);
 _BUILD_00h0(Data,vrr_stack+42, vrr_stack+299, vrr_stack+0, vrr_stack+334, vrr_stack+289, NULL);
 _BUILD_00i0(Data,vrr_stack+891, vrr_stack+249, vrr_stack+42, vrr_stack+344, vrr_stack+299, NULL);
 _BUILD_p0i0(Data,vrr_stack+919, vrr_stack+611, vrr_stack+891, NULL, NULL, vrr_stack+249);
 _BUILD_d0i0(Data,vrr_stack+1003, vrr_stack+639, vrr_stack+919, vrr_stack+359, vrr_stack+611, vrr_stack+1190);
 _BUILD_f0i0(Data,vrr_stack+3178, vrr_stack+2114, vrr_stack+1003, vrr_stack+415, vrr_stack+639, vrr_stack+1253);
 _BUILD_g0i0(Data,vrr_stack+3458, vrr_stack+2450, vrr_stack+3178, vrr_stack+2282, vrr_stack+2114, vrr_stack+1379);
 _BUILD_g0i0(Data,vrr_stack+3878, vrr_stack+2898, vrr_stack+2450, vrr_stack+2730, vrr_stack+2282, vrr_stack+1589);
 _BUILD_h0i0(Data,vrr_stack+1171, vrr_stack+3878, vrr_stack+3458, vrr_stack+2898, vrr_stack+2450, vrr_stack+1799);
 _BUILD_00k0(Data,vrr_stack+1759, vrr_stack+387, vrr_stack+359, vrr_stack+105, vrr_stack+84, NULL);
 _BUILD_00k0(Data,vrr_stack+1795, vrr_stack+499, vrr_stack+387, vrr_stack+228, vrr_stack+105, NULL);
 _BUILD_00k0(Data,vrr_stack+1831, vrr_stack+359, vrr_stack+611, vrr_stack+84, vrr_stack+126, NULL);
 _BUILD_p0k0(Data,vrr_stack+1867, vrr_stack+1759, vrr_stack+1831, NULL, NULL, vrr_stack+359);
 _BUILD_p0k0(Data,vrr_stack+1975, vrr_stack+1795, vrr_stack+1759, NULL, NULL, vrr_stack+387);
 _BUILD_d0k0(Data,vrr_stack+4298, vrr_stack+1975, vrr_stack+1867, vrr_stack+1795, vrr_stack+1759, vrr_stack+415);
 _BUILD_00k0(Data,vrr_stack+415, vrr_stack+769, vrr_stack+499, vrr_stack+748, vrr_stack+228, NULL);
 _BUILD_p0k0(Data,vrr_stack+4514, vrr_stack+415, vrr_stack+1795, NULL, NULL, vrr_stack+499);
 _BUILD_d0k0(Data,vrr_stack+4622, vrr_stack+4514, vrr_stack+1975, vrr_stack+415, vrr_stack+1795, vrr_stack+527);
 _BUILD_00k0(Data,vrr_stack+527, vrr_stack+611, vrr_stack+891, vrr_stack+126, vrr_stack+249, NULL);
 _BUILD_p0k0(Data,vrr_stack+63, vrr_stack+1831, vrr_stack+527, NULL, NULL, vrr_stack+611);
 _BUILD_d0k0(Data,vrr_stack+4838, vrr_stack+1867, vrr_stack+63, vrr_stack+1759, vrr_stack+1831, vrr_stack+639);
 _BUILD_f0k0(Data,vrr_stack+5054, vrr_stack+4298, vrr_stack+4838, vrr_stack+1975, vrr_stack+1867, vrr_stack+2114);
 _BUILD_f0k0(Data,vrr_stack+5414, vrr_stack+4622, vrr_stack+4298, vrr_stack+4514, vrr_stack+1975, vrr_stack+2282);
 _BUILD_g0k0(Data,vrr_stack+5774, vrr_stack+5414, vrr_stack+5054, vrr_stack+4622, vrr_stack+4298, vrr_stack+2450);
 _BUILD_00p0(Data,vrr_stack+639, Data->F+2, Data->F+3, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+642, vrr_stack+639, vrr_stack+21, Data->F+2, Data->F+3, NULL);
 _BUILD_00f0(Data,vrr_stack+648, vrr_stack+642, vrr_stack+24, vrr_stack+639, vrr_stack+21, NULL);
 _BUILD_00g0(Data,vrr_stack+658, vrr_stack+648, vrr_stack+723, vrr_stack+642, vrr_stack+24, NULL);
 _BUILD_00h0(Data,vrr_stack+673, vrr_stack+658, vrr_stack+733, vrr_stack+648, vrr_stack+723, NULL);
 _BUILD_00i0(Data,vrr_stack+694, vrr_stack+673, vrr_stack+748, vrr_stack+658, vrr_stack+733, NULL);
 _BUILD_00k0(Data,vrr_stack+563, vrr_stack+694, vrr_stack+769, vrr_stack+673, vrr_stack+748, NULL);
 _BUILD_p0k0(Data,vrr_stack+2083, vrr_stack+563, vrr_stack+415, NULL, NULL, vrr_stack+769);
 _BUILD_d0k0(Data,vrr_stack+2191, vrr_stack+2083, vrr_stack+4514, vrr_stack+563, vrr_stack+415, vrr_stack+797);
 _BUILD_f0k0(Data,vrr_stack+6314, vrr_stack+2191, vrr_stack+4622, vrr_stack+2083, vrr_stack+4514, vrr_stack+2730);
 _BUILD_g0k0(Data,vrr_stack+6674, vrr_stack+6314, vrr_stack+5414, vrr_stack+2191, vrr_stack+4622, vrr_stack+2898);
 _BUILD_00p0(Data,vrr_stack+797, Data->F+14, Data->F+15, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+800, vrr_stack+39, vrr_stack+797, Data->F+13, Data->F+14, NULL);
 _BUILD_00f0(Data,vrr_stack+806, vrr_stack+30, vrr_stack+800, vrr_stack+36, vrr_stack+39, NULL);
 _BUILD_00g0(Data,vrr_stack+816, vrr_stack+881, vrr_stack+806, vrr_stack+15, vrr_stack+30, NULL);
 _BUILD_00h0(Data,vrr_stack+831, vrr_stack+0, vrr_stack+816, vrr_stack+289, vrr_stack+881, NULL);
 _BUILD_00i0(Data,vrr_stack+852, vrr_stack+42, vrr_stack+831, vrr_stack+299, vrr_stack+0, NULL);
 _BUILD_00k0(Data,vrr_stack+722, vrr_stack+891, vrr_stack+852, vrr_stack+249, vrr_stack+42, NULL);
 _BUILD_p0k0(Data,vrr_stack+171, vrr_stack+527, vrr_stack+722, NULL, NULL, vrr_stack+891);
 _BUILD_d0k0(Data,vrr_stack+2407, vrr_stack+63, vrr_stack+171, vrr_stack+1831, vrr_stack+527, vrr_stack+919);
 _BUILD_f0k0(Data,vrr_stack+2623, vrr_stack+4838, vrr_stack+2407, vrr_stack+1867, vrr_stack+63, vrr_stack+1003);
 _BUILD_g0k0(Data,vrr_stack+7214, vrr_stack+5054, vrr_stack+2623, vrr_stack+4298, vrr_stack+4838, vrr_stack+3178);
 _BUILD_h0k0(Data,vrr_stack+7754, vrr_stack+5774, vrr_stack+7214, vrr_stack+5414, vrr_stack+5054, vrr_stack+3458);
 _BUILD_h0k0(Data,vrr_stack+2983, vrr_stack+6674, vrr_stack+5774, vrr_stack+6314, vrr_stack+5414, vrr_stack+3878);
 _BUILD_i0k0(Data,vrr_stack+8510, vrr_stack+2983, vrr_stack+7754, vrr_stack+6674, vrr_stack+5774, vrr_stack+1171);
 _BUILD_00l0(Data,vrr_stack+919, vrr_stack+1759, vrr_stack+1831, vrr_stack+387, vrr_stack+359, NULL);
 _BUILD_00l0(Data,vrr_stack+964, vrr_stack+1795, vrr_stack+1759, vrr_stack+499, vrr_stack+387, NULL);
 _BUILD_p0l0(Data,vrr_stack+1009, vrr_stack+964, vrr_stack+919, NULL, NULL, vrr_stack+1759);
 _BUILD_00l0(Data,vrr_stack+1144, vrr_stack+415, vrr_stack+1795, vrr_stack+769, vrr_stack+499, NULL);
 _BUILD_p0l0(Data,vrr_stack+1189, vrr_stack+1144, vrr_stack+964, NULL, NULL, vrr_stack+1795);
 _BUILD_00l0(Data,vrr_stack+1324, vrr_stack+1831, vrr_stack+527, vrr_stack+359, vrr_stack+611, NULL);
 _BUILD_p0l0(Data,vrr_stack+1369, vrr_stack+919, vrr_stack+1324, NULL, NULL, vrr_stack+1831);
 _BUILD_d0l0(Data,vrr_stack+3739, vrr_stack+1009, vrr_stack+1369, vrr_stack+964, vrr_stack+919, vrr_stack+1867);
 _BUILD_d0l0(Data,vrr_stack+4009, vrr_stack+1189, vrr_stack+1009, vrr_stack+1144, vrr_stack+964, vrr_stack+1975);
 _BUILD_f0l0(Data,vrr_stack+9518, vrr_stack+4009, vrr_stack+3739, vrr_stack+1189, vrr_stack+1009, vrr_stack+4298);
 _BUILD_00l0(Data,vrr_stack+1867, vrr_stack+563, vrr_stack+415, vrr_stack+694, vrr_stack+769, NULL);
 _BUILD_p0l0(Data,vrr_stack+1912, vrr_stack+1867, vrr_stack+1144, NULL, NULL, vrr_stack+415);
 _BUILD_d0l0(Data,vrr_stack+9968, vrr_stack+1912, vrr_stack+1189, vrr_stack+1867, vrr_stack+1144, vrr_stack+4514);
 _BUILD_f0l0(Data,vrr_stack+10238, vrr_stack+9968, vrr_stack+4009, vrr_stack+1912, vrr_stack+1189, vrr_stack+4622);
 _BUILD_00l0(Data,vrr_stack+1504, vrr_stack+527, vrr_stack+722, vrr_stack+611, vrr_stack+891, NULL);
 _BUILD_p0l0(Data,vrr_stack+1549, vrr_stack+1324, vrr_stack+1504, NULL, NULL, vrr_stack+527);
 _BUILD_d0l0(Data,vrr_stack+4279, vrr_stack+1369, vrr_stack+1549, vrr_stack+919, vrr_stack+1324, vrr_stack+63);
 _BUILD_f0l0(Data,vrr_stack+10688, vrr_stack+3739, vrr_stack+4279, vrr_stack+1009, vrr_stack+1369, vrr_stack+4838);
 _BUILD_g0l0(Data,vrr_stack+11138, vrr_stack+9518, vrr_stack+10688, vrr_stack+4009, vrr_stack+3739, vrr_stack+5054);
 _BUILD_g0l0(Data,vrr_stack+4549, vrr_stack+10238, vrr_stack+9518, vrr_stack+9968, vrr_stack+4009, vrr_stack+5414);
 _BUILD_h0l0(Data,vrr_stack+11813, vrr_stack+4549, vrr_stack+11138, vrr_stack+10238, vrr_stack+9518, vrr_stack+5774);
 _BUILD_00p0(Data,vrr_stack+36, Data->F+1, Data->F+2, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+63, vrr_stack+36, vrr_stack+639, Data->F+1, Data->F+2, NULL);
 _BUILD_00f0(Data,vrr_stack+69, vrr_stack+63, vrr_stack+642, vrr_stack+36, vrr_stack+639, NULL);
 _BUILD_00g0(Data,vrr_stack+15, vrr_stack+69, vrr_stack+648, vrr_stack+63, vrr_stack+642, NULL);
 _BUILD_00h0(Data,vrr_stack+79, vrr_stack+15, vrr_stack+658, vrr_stack+69, vrr_stack+648, NULL);
 _BUILD_00i0(Data,vrr_stack+100, vrr_stack+79, vrr_stack+673, vrr_stack+15, vrr_stack+658, NULL);
 _BUILD_00k0(Data,vrr_stack+2047, vrr_stack+100, vrr_stack+694, vrr_stack+79, vrr_stack+673, NULL);
 _BUILD_00l0(Data,vrr_stack+1684, vrr_stack+2047, vrr_stack+563, vrr_stack+100, vrr_stack+694, NULL);
 _BUILD_p0l0(Data,vrr_stack+279, vrr_stack+1684, vrr_stack+1867, NULL, NULL, vrr_stack+563);
 _BUILD_d0l0(Data,vrr_stack+5224, vrr_stack+279, vrr_stack+1912, vrr_stack+1684, vrr_stack+1867, vrr_stack+2083);
 _BUILD_f0l0(Data,vrr_stack+5494, vrr_stack+5224, vrr_stack+9968, vrr_stack+279, vrr_stack+1912, vrr_stack+2191);
 _BUILD_g0l0(Data,vrr_stack+12758, vrr_stack+5494, vrr_stack+10238, vrr_stack+5224, vrr_stack+9968, vrr_stack+6314);
 _BUILD_h0l0(Data,vrr_stack+13433, vrr_stack+12758, vrr_stack+4549, vrr_stack+5494, vrr_stack+10238, vrr_stack+6674);
 _BUILD_00p0(Data,vrr_stack+2083, Data->F+15, Data->F+16, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+2086, vrr_stack+797, vrr_stack+2083, Data->F+14, Data->F+15, NULL);
 _BUILD_00f0(Data,vrr_stack+2092, vrr_stack+800, vrr_stack+2086, vrr_stack+39, vrr_stack+797, NULL);
 _BUILD_00g0(Data,vrr_stack+2102, vrr_stack+806, vrr_stack+2092, vrr_stack+30, vrr_stack+800, NULL);
 _BUILD_00h0(Data,vrr_stack+2117, vrr_stack+816, vrr_stack+2102, vrr_stack+881, vrr_stack+806, NULL);
 _BUILD_00i0(Data,vrr_stack+2138, vrr_stack+831, vrr_stack+2117, vrr_stack+0, vrr_stack+816, NULL);
 _BUILD_00k0(Data,vrr_stack+2166, vrr_stack+852, vrr_stack+2138, vrr_stack+42, vrr_stack+831, NULL);
 _BUILD_00l0(Data,vrr_stack+2202, vrr_stack+722, vrr_stack+2166, vrr_stack+891, vrr_stack+852, NULL);
 _BUILD_p0l0(Data,vrr_stack+2247, vrr_stack+1504, vrr_stack+2202, NULL, NULL, vrr_stack+722);
 _BUILD_d0l0(Data,vrr_stack+5944, vrr_stack+1549, vrr_stack+2247, vrr_stack+1324, vrr_stack+1504, vrr_stack+171);
 _BUILD_f0l0(Data,vrr_stack+6214, vrr_stack+4279, vrr_stack+5944, vrr_stack+1369, vrr_stack+1549, vrr_stack+2407);
 _BUILD_g0l0(Data,vrr_stack+14378, vrr_stack+10688, vrr_stack+6214, vrr_stack+3739, vrr_stack+4279, vrr_stack+2623);
 _BUILD_h0l0(Data,vrr_stack+15053, vrr_stack+11138, vrr_stack+14378, vrr_stack+9518, vrr_stack+10688, vrr_stack+7214);
 _BUILD_i0l0(Data,vrr_stack+15998, vrr_stack+11813, vrr_stack+15053, vrr_stack+4549, vrr_stack+11138, vrr_stack+7754);
 _BUILD_i0l0(Data,vrr_stack+6664, vrr_stack+13433, vrr_stack+11813, vrr_stack+12758, vrr_stack+4549, vrr_stack+2983);
 _BUILD_k0l0(Data,vrr_stack+17258, vrr_stack+6664, vrr_stack+15998, vrr_stack+13433, vrr_stack+11813, vrr_stack+8510);
 _BUILD_00m0(Data,vrr_stack+2382, vrr_stack+964, vrr_stack+919, vrr_stack+1795, vrr_stack+1759, NULL);
 _BUILD_00m0(Data,vrr_stack+2437, vrr_stack+1144, vrr_stack+964, vrr_stack+415, vrr_stack+1795, NULL);
 _BUILD_00m0(Data,vrr_stack+2492, vrr_stack+919, vrr_stack+1324, vrr_stack+1759, vrr_stack+1831, NULL);
 _BUILD_p0m0(Data,vrr_stack+2547, vrr_stack+2382, vrr_stack+2492, NULL, NULL, vrr_stack+919);
 _BUILD_p0m0(Data,vrr_stack+2712, vrr_stack+2437, vrr_stack+2382, NULL, NULL, vrr_stack+964);
 _BUILD_d0m0(Data,vrr_stack+2877, vrr_stack+2712, vrr_stack+2547, vrr_stack+2437, vrr_stack+2382, vrr_stack+1009);
 _BUILD_00m0(Data,vrr_stack+1009, vrr_stack+1867, vrr_stack+1144, vrr_stack+563, vrr_stack+415, NULL);
 _BUILD_p0m0(Data,vrr_stack+3207, vrr_stack+1009, vrr_stack+2437, NULL, NULL, vrr_stack+1144);
 _BUILD_d0m0(Data,vrr_stack+3372, vrr_stack+3207, vrr_stack+2712, vrr_stack+1009, vrr_stack+2437, vrr_stack+1189);
 _BUILD_00m0(Data,vrr_stack+1189, vrr_stack+1324, vrr_stack+1504, vrr_stack+1831, vrr_stack+527, NULL);
 _BUILD_p0m0(Data,vrr_stack+7924, vrr_stack+2492, vrr_stack+1189, NULL, NULL, vrr_stack+1324);
 _BUILD_d0m0(Data,vrr_stack+8089, vrr_stack+2547, vrr_stack+7924, vrr_stack+2382, vrr_stack+2492, vrr_stack+1369);
 _BUILD_f0m0(Data,vrr_stack+8419, vrr_stack+2877, vrr_stack+8089, vrr_stack+2712, vrr_stack+2547, vrr_stack+3739);
 _BUILD_f0m0(Data,vrr_stack+18878, vrr_stack+3372, vrr_stack+2877, vrr_stack+3207, vrr_stack+2712, vrr_stack+4009);
 _BUILD_g0m0(Data,vrr_stack+19428, vrr_stack+18878, vrr_stack+8419, vrr_stack+3372, vrr_stack+2877, vrr_stack+9518);
 _BUILD_00m0(Data,vrr_stack+1369, vrr_stack+1684, vrr_stack+1867, vrr_stack+2047, vrr_stack+563, NULL);
 _BUILD_p0m0(Data,vrr_stack+3702, vrr_stack+1369, vrr_stack+1009, NULL, NULL, vrr_stack+1867);
 _BUILD_d0m0(Data,vrr_stack+3867, vrr_stack+3702, vrr_stack+3207, vrr_stack+1369, vrr_stack+1009, vrr_stack+1912);
 _BUILD_f0m0(Data,vrr_stack+8969, vrr_stack+3867, vrr_stack+3372, vrr_stack+3702, vrr_stack+3207, vrr_stack+9968);
 _BUILD_g0m0(Data,vrr_stack+20253, vrr_stack+8969, vrr_stack+18878, vrr_stack+3867, vrr_stack+3372, vrr_stack+10238);
 _BUILD_00m0(Data,vrr_stack+1912, vrr_stack+1504, vrr_stack+2202, vrr_stack+527, vrr_stack+722, NULL);
 _BUILD_p0m0(Data,vrr_stack+414, vrr_stack+1189, vrr_stack+1912, NULL, NULL, vrr_stack+1504);
 _BUILD_d0m0(Data,vrr_stack+9519, vrr_stack+7924, vrr_stack+414, vrr_stack+2492, vrr_stack+1189, vrr_stack+1549);
 _BUILD_f0m0(Data,vrr_stack+9849, vrr_stack+8089, vrr_stack+9519, vrr_stack+2547, vrr_stack+7924, vrr_stack+4279);
 _BUILD_g0m0(Data,vrr_stack+21078, vrr_stack+8419, vrr_stack+9849, vrr_stack+2877, vrr_stack+8089, vrr_stack+10688);
 _BUILD_h0m0(Data,vrr_stack+21903, vrr_stack+19428, vrr_stack+21078, vrr_stack+18878, vrr_stack+8419, vrr_stack+11138);
 _BUILD_h0m0(Data,vrr_stack+10399, vrr_stack+20253, vrr_stack+19428, vrr_stack+8969, vrr_stack+18878, vrr_stack+4549);
 _BUILD_i0m0(Data,vrr_stack+23058, vrr_stack+10399, vrr_stack+21903, vrr_stack+20253, vrr_stack+19428, vrr_stack+11813);
 _BUILD_00p0(Data,vrr_stack+1549, Data->F+0, Data->F+1, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+30, vrr_stack+1549, vrr_stack+36, Data->F+0, Data->F+1, NULL);
 _BUILD_00f0(Data,vrr_stack+1552, vrr_stack+30, vrr_stack+63, vrr_stack+1549, vrr_stack+36, NULL);
 _BUILD_00g0(Data,vrr_stack+0, vrr_stack+1552, vrr_stack+69, vrr_stack+30, vrr_stack+63, NULL);
 _BUILD_00h0(Data,vrr_stack+30, vrr_stack+0, vrr_stack+15, vrr_stack+1552, vrr_stack+69, NULL);
 _BUILD_00i0(Data,vrr_stack+51, vrr_stack+30, vrr_stack+79, vrr_stack+0, vrr_stack+15, NULL);
 _BUILD_00k0(Data,vrr_stack+1549, vrr_stack+51, vrr_stack+100, vrr_stack+30, vrr_stack+79, NULL);
 _BUILD_00l0(Data,vrr_stack+0, vrr_stack+1549, vrr_stack+2047, vrr_stack+51, vrr_stack+100, NULL);
 _BUILD_00m0(Data,vrr_stack+45, vrr_stack+0, vrr_stack+1684, vrr_stack+1549, vrr_stack+2047, NULL);
 _BUILD_p0m0(Data,vrr_stack+100, vrr_stack+45, vrr_stack+1369, NULL, NULL, vrr_stack+1684);
 _BUILD_d0m0(Data,vrr_stack+4197, vrr_stack+100, vrr_stack+3702, vrr_stack+45, vrr_stack+1369, vrr_stack+279);
 _BUILD_f0m0(Data,vrr_stack+4527, vrr_stack+4197, vrr_stack+3867, vrr_stack+100, vrr_stack+3702, vrr_stack+5224);
 _BUILD_g0m0(Data,vrr_stack+11554, vrr_stack+4527, vrr_stack+8969, vrr_stack+4197, vrr_stack+3867, vrr_stack+5494);
 _BUILD_h0m0(Data,vrr_stack+24598, vrr_stack+11554, vrr_stack+20253, vrr_stack+4527, vrr_stack+8969, vrr_stack+12758);
 _BUILD_i0m0(Data,vrr_stack+4197, vrr_stack+24598, vrr_stack+10399, vrr_stack+11554, vrr_stack+20253, vrr_stack+13433);
 _BUILD_00p0(Data,vrr_stack+11554, Data->F+16, Data->F+17, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+11557, vrr_stack+2083, vrr_stack+11554, Data->F+15, Data->F+16, NULL);
 _BUILD_00f0(Data,vrr_stack+11563, vrr_stack+2086, vrr_stack+11557, vrr_stack+797, vrr_stack+2083, NULL);
 _BUILD_00g0(Data,vrr_stack+11573, vrr_stack+2092, vrr_stack+11563, vrr_stack+800, vrr_stack+2086, NULL);
 _BUILD_00h0(Data,vrr_stack+11588, vrr_stack+2102, vrr_stack+11573, vrr_stack+806, vrr_stack+2092, NULL);
 _BUILD_00i0(Data,vrr_stack+11609, vrr_stack+2117, vrr_stack+11588, vrr_stack+816, vrr_stack+2102, NULL);
 _BUILD_00k0(Data,vrr_stack+11637, vrr_stack+2138, vrr_stack+11609, vrr_stack+831, vrr_stack+2117, NULL);
 _BUILD_00l0(Data,vrr_stack+11673, vrr_stack+2166, vrr_stack+11637, vrr_stack+852, vrr_stack+2138, NULL);
 _BUILD_00m0(Data,vrr_stack+11718, vrr_stack+2202, vrr_stack+11673, vrr_stack+722, vrr_stack+2166, NULL);
 _BUILD_p0m0(Data,vrr_stack+11773, vrr_stack+1912, vrr_stack+11718, NULL, NULL, vrr_stack+2202);
 _BUILD_d0m0(Data,vrr_stack+11938, vrr_stack+414, vrr_stack+11773, vrr_stack+1189, vrr_stack+1912, vrr_stack+2247);
 _BUILD_f0m0(Data,vrr_stack+12268, vrr_stack+9519, vrr_stack+11938, vrr_stack+7924, vrr_stack+414, vrr_stack+5944);
 _BUILD_g0m0(Data,vrr_stack+12818, vrr_stack+9849, vrr_stack+12268, vrr_stack+8089, vrr_stack+9519, vrr_stack+6214);
 _BUILD_h0m0(Data,vrr_stack+25753, vrr_stack+21078, vrr_stack+12818, vrr_stack+8419, vrr_stack+9849, vrr_stack+14378);
 _BUILD_i0m0(Data,vrr_stack+26908, vrr_stack+21903, vrr_stack+25753, vrr_stack+19428, vrr_stack+21078, vrr_stack+15053);
 _BUILD_k0m0(Data,vrr_stack+13643, vrr_stack+23058, vrr_stack+26908, vrr_stack+10399, vrr_stack+21903, vrr_stack+15998);
 _BUILD_k0m0(Data,vrr_stack+28448, vrr_stack+4197, vrr_stack+23058, vrr_stack+24598, vrr_stack+10399, vrr_stack+6664);
   tmp = vrr_stack + 28448;
   target_ptr = Libint->vrr_classes[7][9];
   for(i=0;i<1980;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00n0(Data,vrr_stack+24598, vrr_stack+2382, vrr_stack+2492, vrr_stack+964, vrr_stack+919, NULL);
 _BUILD_00n0(Data,vrr_stack+24664, vrr_stack+2437, vrr_stack+2382, vrr_stack+1144, vrr_stack+964, NULL);
 _BUILD_00n0(Data,vrr_stack+24730, vrr_stack+2492, vrr_stack+1189, vrr_stack+919, vrr_stack+1324, NULL);
 _BUILD_p0n0(Data,vrr_stack+24796, vrr_stack+24598, vrr_stack+24730, NULL, NULL, vrr_stack+2492);
 _BUILD_p0n0(Data,vrr_stack+24994, vrr_stack+24664, vrr_stack+24598, NULL, NULL, vrr_stack+2382);
 _BUILD_d0n0(Data,vrr_stack+25192, vrr_stack+24994, vrr_stack+24796, vrr_stack+24664, vrr_stack+24598, vrr_stack+2547);
 _BUILD_00n0(Data,vrr_stack+2547, vrr_stack+1009, vrr_stack+2437, vrr_stack+1867, vrr_stack+1144, NULL);
 _BUILD_p0n0(Data,vrr_stack+15623, vrr_stack+2547, vrr_stack+24664, NULL, NULL, vrr_stack+2437);
 _BUILD_d0n0(Data,vrr_stack+15821, vrr_stack+15623, vrr_stack+24994, vrr_stack+2547, vrr_stack+24664, vrr_stack+2712);
 _BUILD_00n0(Data,vrr_stack+2613, vrr_stack+1189, vrr_stack+1912, vrr_stack+1324, vrr_stack+1504, NULL);
 _BUILD_p0n0(Data,vrr_stack+2679, vrr_stack+24730, vrr_stack+2613, NULL, NULL, vrr_stack+1189);
 _BUILD_d0n0(Data,vrr_stack+16217, vrr_stack+24796, vrr_stack+2679, vrr_stack+24598, vrr_stack+24730, vrr_stack+7924);
 _BUILD_f0n0(Data,vrr_stack+5737, vrr_stack+25192, vrr_stack+16217, vrr_stack+24994, vrr_stack+24796, vrr_stack+8089);
 _BUILD_f0n0(Data,vrr_stack+6397, vrr_stack+15821, vrr_stack+25192, vrr_stack+15623, vrr_stack+24994, vrr_stack+2877);
 _BUILD_g0n0(Data,vrr_stack+7057, vrr_stack+6397, vrr_stack+5737, vrr_stack+15821, vrr_stack+25192, vrr_stack+8419);
 _BUILD_00n0(Data,vrr_stack+2877, vrr_stack+1369, vrr_stack+1009, vrr_stack+1684, vrr_stack+1867, NULL);
 _BUILD_p0n0(Data,vrr_stack+2943, vrr_stack+2877, vrr_stack+2547, NULL, NULL, vrr_stack+1009);
 _BUILD_d0n0(Data,vrr_stack+16613, vrr_stack+2943, vrr_stack+15623, vrr_stack+2877, vrr_stack+2547, vrr_stack+3207);
 _BUILD_f0n0(Data,vrr_stack+8047, vrr_stack+16613, vrr_stack+15821, vrr_stack+2943, vrr_stack+15623, vrr_stack+3372);
 _BUILD_g0n0(Data,vrr_stack+30428, vrr_stack+8047, vrr_stack+6397, vrr_stack+16613, vrr_stack+15821, vrr_stack+18878);
 _BUILD_00n0(Data,vrr_stack+18878, vrr_stack+1912, vrr_stack+11718, vrr_stack+1504, vrr_stack+2202, NULL);
 _BUILD_p0n0(Data,vrr_stack+18944, vrr_stack+2613, vrr_stack+18878, NULL, NULL, vrr_stack+1912);
 _BUILD_d0n0(Data,vrr_stack+3141, vrr_stack+2679, vrr_stack+18944, vrr_stack+24730, vrr_stack+2613, vrr_stack+414);
 _BUILD_f0n0(Data,vrr_stack+100, vrr_stack+16217, vrr_stack+3141, vrr_stack+24796, vrr_stack+2679, vrr_stack+9519);
 _BUILD_g0n0(Data,vrr_stack+31418, vrr_stack+5737, vrr_stack+100, vrr_stack+25192, vrr_stack+16217, vrr_stack+9849);
 _BUILD_h0n0(Data,vrr_stack+32408, vrr_stack+7057, vrr_stack+31418, vrr_stack+6397, vrr_stack+5737, vrr_stack+21078);
 _BUILD_h0n0(Data,vrr_stack+33794, vrr_stack+30428, vrr_stack+7057, vrr_stack+8047, vrr_stack+6397, vrr_stack+19428);
 _BUILD_i0n0(Data,vrr_stack+35180, vrr_stack+33794, vrr_stack+32408, vrr_stack+30428, vrr_stack+7057, vrr_stack+21903);
 _BUILD_00n0(Data,vrr_stack+21078, vrr_stack+45, vrr_stack+1369, vrr_stack+0, vrr_stack+1684, NULL);
 _BUILD_p0n0(Data,vrr_stack+21144, vrr_stack+21078, vrr_stack+2877, NULL, NULL, vrr_stack+1369);
 _BUILD_d0n0(Data,vrr_stack+21342, vrr_stack+21144, vrr_stack+2943, vrr_stack+21078, vrr_stack+2877, vrr_stack+3702);
 _BUILD_f0n0(Data,vrr_stack+21738, vrr_stack+21342, vrr_stack+16613, vrr_stack+21144, vrr_stack+2943, vrr_stack+3867);
 _BUILD_g0n0(Data,vrr_stack+19142, vrr_stack+21738, vrr_stack+8047, vrr_stack+21342, vrr_stack+16613, vrr_stack+8969);
 _BUILD_h0n0(Data,vrr_stack+8707, vrr_stack+19142, vrr_stack+30428, vrr_stack+21738, vrr_stack+8047, vrr_stack+20253);
 _BUILD_i0n0(Data,vrr_stack+21144, vrr_stack+8707, vrr_stack+33794, vrr_stack+19142, vrr_stack+30428, vrr_stack+10399);
 _BUILD_00p0(Data,vrr_stack+19142, Data->F+17, Data->F+18, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+19145, vrr_stack+11554, vrr_stack+19142, Data->F+16, Data->F+17, NULL);
 _BUILD_00f0(Data,vrr_stack+19151, vrr_stack+11557, vrr_stack+19145, vrr_stack+2083, vrr_stack+11554, NULL);
 _BUILD_00g0(Data,vrr_stack+19161, vrr_stack+11563, vrr_stack+19151, vrr_stack+2086, vrr_stack+11557, NULL);
 _BUILD_00h0(Data,vrr_stack+19176, vrr_stack+11573, vrr_stack+19161, vrr_stack+2092, vrr_stack+11563, NULL);
 _BUILD_00i0(Data,vrr_stack+19197, vrr_stack+11588, vrr_stack+19176, vrr_stack+2102, vrr_stack+11573, NULL);
 _BUILD_00k0(Data,vrr_stack+19225, vrr_stack+11609, vrr_stack+19197, vrr_stack+2117, vrr_stack+11588, NULL);
 _BUILD_00l0(Data,vrr_stack+0, vrr_stack+11637, vrr_stack+19225, vrr_stack+2138, vrr_stack+11609, NULL);
 _BUILD_00m0(Data,vrr_stack+19261, vrr_stack+11673, vrr_stack+0, vrr_stack+2166, vrr_stack+11637, NULL);
 _BUILD_00n0(Data,vrr_stack+22992, vrr_stack+11718, vrr_stack+19261, vrr_stack+2202, vrr_stack+11673, NULL);
 _BUILD_p0n0(Data,vrr_stack+19316, vrr_stack+18878, vrr_stack+22992, NULL, NULL, vrr_stack+11718);
 _BUILD_d0n0(Data,vrr_stack+19514, vrr_stack+18944, vrr_stack+19316, vrr_stack+2613, vrr_stack+18878, vrr_stack+11773);
 _BUILD_f0n0(Data,vrr_stack+3537, vrr_stack+3141, vrr_stack+19514, vrr_stack+2679, vrr_stack+18944, vrr_stack+11938);
 _BUILD_g0n0(Data,vrr_stack+19910, vrr_stack+100, vrr_stack+3537, vrr_stack+16217, vrr_stack+3141, vrr_stack+12268);
 _BUILD_h0n0(Data,vrr_stack+10093, vrr_stack+31418, vrr_stack+19910, vrr_stack+5737, vrr_stack+100, vrr_stack+12818);
 _BUILD_i0n0(Data,vrr_stack+11773, vrr_stack+32408, vrr_stack+10093, vrr_stack+7057, vrr_stack+31418, vrr_stack+25753);
 _BUILD_k0n0(Data,vrr_stack+37028, vrr_stack+35180, vrr_stack+11773, vrr_stack+33794, vrr_stack+32408, vrr_stack+26908);
 _BUILD_k0n0(Data,vrr_stack+25588, vrr_stack+21144, vrr_stack+35180, vrr_stack+8707, vrr_stack+33794, vrr_stack+23058);
   tmp = vrr_stack + 25588;
   target_ptr = Libint->vrr_classes[7][10];
   for(i=0;i<2376;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00o0(Data,vrr_stack+8707, vrr_stack+24598, vrr_stack+24730, vrr_stack+2382, vrr_stack+2492, NULL);
 _BUILD_00o0(Data,vrr_stack+8785, vrr_stack+24664, vrr_stack+24598, vrr_stack+2437, vrr_stack+2382, NULL);
 _BUILD_00o0(Data,vrr_stack+8863, vrr_stack+24730, vrr_stack+2613, vrr_stack+2492, vrr_stack+1189, NULL);
 _BUILD_p0o0(Data,vrr_stack+8941, vrr_stack+8707, vrr_stack+8863, NULL, NULL, vrr_stack+24730);
 _BUILD_p0o0(Data,vrr_stack+9175, vrr_stack+8785, vrr_stack+8707, NULL, NULL, vrr_stack+24598);
 _BUILD_d0o0(Data,vrr_stack+9409, vrr_stack+9175, vrr_stack+8941, vrr_stack+8785, vrr_stack+8707, vrr_stack+24796);
 _BUILD_00o0(Data,vrr_stack+24730, vrr_stack+2547, vrr_stack+24664, vrr_stack+1009, vrr_stack+2437, NULL);
 _BUILD_p0o0(Data,vrr_stack+27964, vrr_stack+24730, vrr_stack+8785, NULL, NULL, vrr_stack+24664);
 _BUILD_d0o0(Data,vrr_stack+1967, vrr_stack+27964, vrr_stack+9175, vrr_stack+24730, vrr_stack+8785, vrr_stack+24994);
 _BUILD_00o0(Data,vrr_stack+8785, vrr_stack+2613, vrr_stack+18878, vrr_stack+1189, vrr_stack+1912, NULL);
 _BUILD_p0o0(Data,vrr_stack+24808, vrr_stack+8863, vrr_stack+8785, NULL, NULL, vrr_stack+2613);
 _BUILD_d0o0(Data,vrr_stack+1424, vrr_stack+8941, vrr_stack+24808, vrr_stack+8707, vrr_stack+8863, vrr_stack+2679);
 _BUILD_f0o0(Data,vrr_stack+39404, vrr_stack+9409, vrr_stack+1424, vrr_stack+9175, vrr_stack+8941, vrr_stack+16217);
 _BUILD_f0o0(Data,vrr_stack+40184, vrr_stack+1967, vrr_stack+9409, vrr_stack+27964, vrr_stack+9175, vrr_stack+25192);
 _BUILD_g0o0(Data,vrr_stack+40964, vrr_stack+40184, vrr_stack+39404, vrr_stack+1967, vrr_stack+9409, vrr_stack+5737);
 _BUILD_00o0(Data,vrr_stack+8707, vrr_stack+2877, vrr_stack+2547, vrr_stack+1369, vrr_stack+1009, NULL);
 _BUILD_p0o0(Data,vrr_stack+9175, vrr_stack+8707, vrr_stack+24730, NULL, NULL, vrr_stack+2547);
 _BUILD_d0o0(Data,vrr_stack+5737, vrr_stack+9175, vrr_stack+27964, vrr_stack+8707, vrr_stack+24730, vrr_stack+15623);
 _BUILD_f0o0(Data,vrr_stack+42134, vrr_stack+5737, vrr_stack+1967, vrr_stack+9175, vrr_stack+27964, vrr_stack+15821);
 _BUILD_g0o0(Data,vrr_stack+42914, vrr_stack+42134, vrr_stack+40184, vrr_stack+5737, vrr_stack+1967, vrr_stack+6397);
 _BUILD_00o0(Data,vrr_stack+1967, vrr_stack+18878, vrr_stack+22992, vrr_stack+1912, vrr_stack+11718, NULL);
 _BUILD_p0o0(Data,vrr_stack+2045, vrr_stack+8785, vrr_stack+1967, NULL, NULL, vrr_stack+18878);
 _BUILD_d0o0(Data,vrr_stack+2279, vrr_stack+24808, vrr_stack+2045, vrr_stack+8863, vrr_stack+8785, vrr_stack+18944);
 _BUILD_f0o0(Data,vrr_stack+15623, vrr_stack+1424, vrr_stack+2279, vrr_stack+8941, vrr_stack+24808, vrr_stack+3141);
 _BUILD_g0o0(Data,vrr_stack+44084, vrr_stack+39404, vrr_stack+15623, vrr_stack+9409, vrr_stack+1424, vrr_stack+100);
 _BUILD_h0o0(Data,vrr_stack+45254, vrr_stack+40964, vrr_stack+44084, vrr_stack+40184, vrr_stack+39404, vrr_stack+31418);
 _BUILD_h0o0(Data,vrr_stack+46892, vrr_stack+42914, vrr_stack+40964, vrr_stack+42134, vrr_stack+40184, vrr_stack+7057);
 _BUILD_i0o0(Data,vrr_stack+48530, vrr_stack+46892, vrr_stack+45254, vrr_stack+42914, vrr_stack+40964, vrr_stack+32408);
 _BUILD_00o0(Data,vrr_stack+40184, vrr_stack+21078, vrr_stack+2877, vrr_stack+45, vrr_stack+1369, NULL);
 _BUILD_p0o0(Data,vrr_stack+45, vrr_stack+40184, vrr_stack+8707, NULL, NULL, vrr_stack+2877);
 _BUILD_d0o0(Data,vrr_stack+279, vrr_stack+45, vrr_stack+9175, vrr_stack+40184, vrr_stack+8707, vrr_stack+2943);
 _BUILD_f0o0(Data,vrr_stack+40184, vrr_stack+279, vrr_stack+5737, vrr_stack+45, vrr_stack+9175, vrr_stack+16613);
 _BUILD_g0o0(Data,vrr_stack+31418, vrr_stack+40184, vrr_stack+42134, vrr_stack+279, vrr_stack+5737, vrr_stack+8047);
 _BUILD_h0o0(Data,vrr_stack+5737, vrr_stack+31418, vrr_stack+42914, vrr_stack+40184, vrr_stack+42134, vrr_stack+30428);
 _BUILD_i0o0(Data,vrr_stack+50714, vrr_stack+5737, vrr_stack+46892, vrr_stack+31418, vrr_stack+42914, vrr_stack+33794);
 _BUILD_00p0(Data,vrr_stack+30428, Data->F+18, Data->F+19, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+30431, vrr_stack+19142, vrr_stack+30428, Data->F+17, Data->F+18, NULL);
 _BUILD_00f0(Data,vrr_stack+30437, vrr_stack+19145, vrr_stack+30431, vrr_stack+11554, vrr_stack+19142, NULL);
 _BUILD_00g0(Data,vrr_stack+30447, vrr_stack+19151, vrr_stack+30437, vrr_stack+11557, vrr_stack+19145, NULL);
 _BUILD_00h0(Data,vrr_stack+30462, vrr_stack+19161, vrr_stack+30447, vrr_stack+11563, vrr_stack+19151, NULL);
 _BUILD_00i0(Data,vrr_stack+30428, vrr_stack+19176, vrr_stack+30462, vrr_stack+11573, vrr_stack+19161, NULL);
 _BUILD_00k0(Data,vrr_stack+30456, vrr_stack+19197, vrr_stack+30428, vrr_stack+11588, vrr_stack+19176, NULL);
 _BUILD_00l0(Data,vrr_stack+30492, vrr_stack+19225, vrr_stack+30456, vrr_stack+11609, vrr_stack+19197, NULL);
 _BUILD_00m0(Data,vrr_stack+30428, vrr_stack+0, vrr_stack+30492, vrr_stack+11637, vrr_stack+19225, NULL);
 _BUILD_00n0(Data,vrr_stack+30483, vrr_stack+19261, vrr_stack+30428, vrr_stack+11673, vrr_stack+0, NULL);
 _BUILD_00o0(Data,vrr_stack+0, vrr_stack+22992, vrr_stack+30483, vrr_stack+11718, vrr_stack+19261, NULL);
 _BUILD_p0o0(Data,vrr_stack+78, vrr_stack+1967, vrr_stack+0, NULL, NULL, vrr_stack+22992);
 _BUILD_d0o0(Data,vrr_stack+312, vrr_stack+2045, vrr_stack+78, vrr_stack+8785, vrr_stack+1967, vrr_stack+19316);
 _BUILD_f0o0(Data,vrr_stack+40184, vrr_stack+2279, vrr_stack+312, vrr_stack+24808, vrr_stack+2045, vrr_stack+19514);
 _BUILD_g0o0(Data,vrr_stack+0, vrr_stack+15623, vrr_stack+40184, vrr_stack+1424, vrr_stack+2279, vrr_stack+3537);
 _BUILD_h0o0(Data,vrr_stack+1170, vrr_stack+44084, vrr_stack+0, vrr_stack+39404, vrr_stack+15623, vrr_stack+19910);
 _BUILD_i0o0(Data,vrr_stack+30428, vrr_stack+45254, vrr_stack+1170, vrr_stack+40964, vrr_stack+44084, vrr_stack+10093);
 _BUILD_k0o0(Data,vrr_stack+39404, vrr_stack+48530, vrr_stack+30428, vrr_stack+46892, vrr_stack+45254, vrr_stack+11773);
 _BUILD_k0o0(Data,vrr_stack+30428, vrr_stack+50714, vrr_stack+48530, vrr_stack+5737, vrr_stack+46892, vrr_stack+35180);
   tmp = vrr_stack + 30428;
   target_ptr = Libint->vrr_classes[7][11];
   for(i=0;i<2808;i++)
     target_ptr[i] += tmp[i];
 _BUILD_l0m0(Data,vrr_stack+5737, vrr_stack+28448, vrr_stack+13643, vrr_stack+4197, vrr_stack+23058, vrr_stack+17258);
   tmp = vrr_stack + 5737;
   target_ptr = Libint->vrr_classes[8][9];
   for(i=0;i<2475;i++)
     target_ptr[i] += tmp[i];
 _BUILD_l0n0(Data,vrr_stack+8212, vrr_stack+25588, vrr_stack+37028, vrr_stack+21144, vrr_stack+35180, vrr_stack+13643);
   tmp = vrr_stack + 8212;
   target_ptr = Libint->vrr_classes[8][10];
   for(i=0;i<2970;i++)
     target_ptr[i] += tmp[i];
 _BUILD_l0o0(Data,vrr_stack+11182, vrr_stack+30428, vrr_stack+39404, vrr_stack+50714, vrr_stack+48530, vrr_stack+37028);
   tmp = vrr_stack + 11182;
   target_ptr = Libint->vrr_classes[8][11];
   for(i=0;i<3510;i++)
     target_ptr[i] += tmp[i];

}

