#include <stdio.h>
#include "libint.h"
#include "vrr_header.h"

  /* Computes quartets necessary to compute (p0|mm) integrals */

void vrr_order_p0mm(Libint_t * Libint, prim_data *Data)
{
 REALTYPE *vrr_stack = Libint->vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];
 _BUILD_00p0(Data,vrr_stack+0, Data->F+5, Data->F+6, NULL, NULL, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+4, Data->F+5, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+6, vrr_stack+3, vrr_stack+0, Data->F+4, Data->F+5, NULL);
 _BUILD_00p0(Data,vrr_stack+12, Data->F+3, Data->F+4, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+12, vrr_stack+3, Data->F+3, Data->F+4, NULL);
 _BUILD_00p0(Data,vrr_stack+21, Data->F+6, Data->F+7, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+24, vrr_stack+0, vrr_stack+21, Data->F+5, Data->F+6, NULL);
 _BUILD_00f0(Data,vrr_stack+30, vrr_stack+6, vrr_stack+24, vrr_stack+3, vrr_stack+0, NULL);
 _BUILD_00f0(Data,vrr_stack+40, vrr_stack+15, vrr_stack+6, vrr_stack+12, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+50, vrr_stack+40, vrr_stack+30, vrr_stack+15, vrr_stack+6, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+2, Data->F+3, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+65, vrr_stack+3, vrr_stack+12, Data->F+2, Data->F+3, NULL);
 _BUILD_00f0(Data,vrr_stack+71, vrr_stack+65, vrr_stack+15, vrr_stack+3, vrr_stack+12, NULL);
 _BUILD_00g0(Data,vrr_stack+81, vrr_stack+71, vrr_stack+40, vrr_stack+65, vrr_stack+15, NULL);
 _BUILD_00p0(Data,vrr_stack+12, Data->F+7, Data->F+8, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+21, vrr_stack+12, Data->F+6, Data->F+7, NULL);
 _BUILD_00f0(Data,vrr_stack+96, vrr_stack+24, vrr_stack+15, vrr_stack+0, vrr_stack+21, NULL);
 _BUILD_00g0(Data,vrr_stack+106, vrr_stack+30, vrr_stack+96, vrr_stack+6, vrr_stack+24, NULL);
 _BUILD_00h0(Data,vrr_stack+121, vrr_stack+50, vrr_stack+106, vrr_stack+40, vrr_stack+30, NULL);
 _BUILD_00h0(Data,vrr_stack+142, vrr_stack+81, vrr_stack+50, vrr_stack+71, vrr_stack+40, NULL);
 _BUILD_00i0(Data,vrr_stack+163, vrr_stack+142, vrr_stack+121, vrr_stack+81, vrr_stack+50, NULL);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+1, Data->F+2, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+6, vrr_stack+0, vrr_stack+3, Data->F+1, Data->F+2, NULL);
 _BUILD_00f0(Data,vrr_stack+40, vrr_stack+6, vrr_stack+65, vrr_stack+0, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+191, vrr_stack+40, vrr_stack+71, vrr_stack+6, vrr_stack+65, NULL);
 _BUILD_00h0(Data,vrr_stack+206, vrr_stack+191, vrr_stack+81, vrr_stack+40, vrr_stack+71, NULL);
 _BUILD_00i0(Data,vrr_stack+227, vrr_stack+206, vrr_stack+142, vrr_stack+191, vrr_stack+81, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+8, Data->F+9, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+65, vrr_stack+12, vrr_stack+3, Data->F+7, Data->F+8, NULL);
 _BUILD_00f0(Data,vrr_stack+71, vrr_stack+15, vrr_stack+65, vrr_stack+21, vrr_stack+12, NULL);
 _BUILD_00g0(Data,vrr_stack+81, vrr_stack+96, vrr_stack+71, vrr_stack+24, vrr_stack+15, NULL);
 _BUILD_00h0(Data,vrr_stack+255, vrr_stack+106, vrr_stack+81, vrr_stack+30, vrr_stack+96, NULL);
 _BUILD_00i0(Data,vrr_stack+276, vrr_stack+121, vrr_stack+255, vrr_stack+50, vrr_stack+106, NULL);
 _BUILD_00k0(Data,vrr_stack+304, vrr_stack+163, vrr_stack+276, vrr_stack+142, vrr_stack+121, NULL);
 _BUILD_00k0(Data,vrr_stack+340, vrr_stack+227, vrr_stack+163, vrr_stack+206, vrr_stack+142, NULL);
 _BUILD_00l0(Data,vrr_stack+376, vrr_stack+340, vrr_stack+304, vrr_stack+227, vrr_stack+163, NULL);
 _BUILD_00p0(Data,vrr_stack+142, Data->F+9, Data->F+10, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+145, vrr_stack+3, vrr_stack+142, Data->F+8, Data->F+9, NULL);
 _BUILD_00f0(Data,vrr_stack+151, vrr_stack+65, vrr_stack+145, vrr_stack+12, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+50, vrr_stack+71, vrr_stack+151, vrr_stack+15, vrr_stack+65, NULL);
 _BUILD_00h0(Data,vrr_stack+12, vrr_stack+81, vrr_stack+50, vrr_stack+96, vrr_stack+71, NULL);
 _BUILD_00i0(Data,vrr_stack+421, vrr_stack+255, vrr_stack+12, vrr_stack+106, vrr_stack+81, NULL);
 _BUILD_00k0(Data,vrr_stack+449, vrr_stack+276, vrr_stack+421, vrr_stack+121, vrr_stack+255, NULL);
 _BUILD_00l0(Data,vrr_stack+96, vrr_stack+304, vrr_stack+449, vrr_stack+163, vrr_stack+276, NULL);
 _BUILD_00m0(Data,vrr_stack+485, vrr_stack+376, vrr_stack+96, vrr_stack+340, vrr_stack+304, NULL);
 _BUILD_00p0(Data,vrr_stack+33, Data->F+0, Data->F+1, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+161, vrr_stack+33, vrr_stack+0, Data->F+0, Data->F+1, NULL);
 _BUILD_00f0(Data,vrr_stack+167, vrr_stack+161, vrr_stack+6, vrr_stack+33, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+540, vrr_stack+167, vrr_stack+40, vrr_stack+161, vrr_stack+6, NULL);
 _BUILD_00h0(Data,vrr_stack+555, vrr_stack+540, vrr_stack+191, vrr_stack+167, vrr_stack+40, NULL);
 _BUILD_00i0(Data,vrr_stack+161, vrr_stack+555, vrr_stack+206, vrr_stack+540, vrr_stack+191, NULL);
 _BUILD_00k0(Data,vrr_stack+576, vrr_stack+161, vrr_stack+227, vrr_stack+555, vrr_stack+206, NULL);
 _BUILD_00l0(Data,vrr_stack+612, vrr_stack+576, vrr_stack+340, vrr_stack+161, vrr_stack+227, NULL);
 _BUILD_00m0(Data,vrr_stack+161, vrr_stack+612, vrr_stack+376, vrr_stack+576, vrr_stack+340, NULL);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+10, Data->F+11, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+6, vrr_stack+142, vrr_stack+0, Data->F+9, Data->F+10, NULL);
 _BUILD_00f0(Data,vrr_stack+340, vrr_stack+145, vrr_stack+6, vrr_stack+3, vrr_stack+142, NULL);
 _BUILD_00g0(Data,vrr_stack+350, vrr_stack+151, vrr_stack+340, vrr_stack+65, vrr_stack+145, NULL);
 _BUILD_00h0(Data,vrr_stack+216, vrr_stack+50, vrr_stack+350, vrr_stack+71, vrr_stack+151, NULL);
 _BUILD_00i0(Data,vrr_stack+540, vrr_stack+12, vrr_stack+216, vrr_stack+81, vrr_stack+50, NULL);
 _BUILD_00k0(Data,vrr_stack+568, vrr_stack+421, vrr_stack+540, vrr_stack+255, vrr_stack+12, NULL);
 _BUILD_00l0(Data,vrr_stack+657, vrr_stack+449, vrr_stack+568, vrr_stack+276, vrr_stack+421, NULL);
 _BUILD_00m0(Data,vrr_stack+237, vrr_stack+96, vrr_stack+657, vrr_stack+304, vrr_stack+449, NULL);
 _BUILD_00n0(Data,vrr_stack+702, vrr_stack+485, vrr_stack+237, vrr_stack+376, vrr_stack+96, NULL);
 _BUILD_00n0(Data,vrr_stack+768, vrr_stack+161, vrr_stack+485, vrr_stack+612, vrr_stack+376, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+11, Data->F+12, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+65, vrr_stack+0, vrr_stack+3, Data->F+10, Data->F+11, NULL);
 _BUILD_00f0(Data,vrr_stack+71, vrr_stack+6, vrr_stack+65, vrr_stack+142, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+81, vrr_stack+340, vrr_stack+71, vrr_stack+145, vrr_stack+6, NULL);
 _BUILD_00h0(Data,vrr_stack+292, vrr_stack+350, vrr_stack+81, vrr_stack+151, vrr_stack+340, NULL);
 _BUILD_00i0(Data,vrr_stack+604, vrr_stack+216, vrr_stack+292, vrr_stack+50, vrr_stack+350, NULL);
 _BUILD_00k0(Data,vrr_stack+834, vrr_stack+540, vrr_stack+604, vrr_stack+12, vrr_stack+216, NULL);
 _BUILD_00l0(Data,vrr_stack+12, vrr_stack+568, vrr_stack+834, vrr_stack+421, vrr_stack+540, NULL);
 _BUILD_00m0(Data,vrr_stack+870, vrr_stack+657, vrr_stack+12, vrr_stack+449, vrr_stack+568, NULL);
 _BUILD_00n0(Data,vrr_stack+925, vrr_stack+237, vrr_stack+870, vrr_stack+96, vrr_stack+657, NULL);
 _BUILD_00o0(Data,vrr_stack+991, vrr_stack+702, vrr_stack+925, vrr_stack+485, vrr_stack+237, NULL);
 _BUILD_00o0(Data,vrr_stack+1069, vrr_stack+768, vrr_stack+702, vrr_stack+161, vrr_stack+485, NULL);
 _BUILD_00p0(Data,vrr_stack+96, Data->F+12, Data->F+13, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+99, vrr_stack+3, vrr_stack+96, Data->F+11, Data->F+12, NULL);
 _BUILD_00f0(Data,vrr_stack+105, vrr_stack+65, vrr_stack+99, vrr_stack+0, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+115, vrr_stack+71, vrr_stack+105, vrr_stack+6, vrr_stack+65, NULL);
 _BUILD_00h0(Data,vrr_stack+130, vrr_stack+81, vrr_stack+115, vrr_stack+340, vrr_stack+71, NULL);
 _BUILD_00i0(Data,vrr_stack+421, vrr_stack+292, vrr_stack+130, vrr_stack+350, vrr_stack+81, NULL);
 _BUILD_00k0(Data,vrr_stack+449, vrr_stack+604, vrr_stack+421, vrr_stack+216, vrr_stack+292, NULL);
 _BUILD_00l0(Data,vrr_stack+313, vrr_stack+834, vrr_stack+449, vrr_stack+540, vrr_stack+604, NULL);
 _BUILD_00m0(Data,vrr_stack+1147, vrr_stack+12, vrr_stack+313, vrr_stack+568, vrr_stack+834, NULL);
 _BUILD_00n0(Data,vrr_stack+1202, vrr_stack+870, vrr_stack+1147, vrr_stack+657, vrr_stack+12, NULL);
 _BUILD_00o0(Data,vrr_stack+1268, vrr_stack+925, vrr_stack+1202, vrr_stack+237, vrr_stack+870, NULL);
 _BUILD_00q0(Data,vrr_stack+1346, vrr_stack+991, vrr_stack+1268, vrr_stack+702, vrr_stack+925, NULL);
 _BUILD_00q0(Data,vrr_stack+1437, vrr_stack+1069, vrr_stack+991, vrr_stack+768, vrr_stack+702, NULL);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+13, Data->F+14, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+6, vrr_stack+96, vrr_stack+0, Data->F+12, Data->F+13, NULL);
 _BUILD_00f0(Data,vrr_stack+151, vrr_stack+99, vrr_stack+6, vrr_stack+3, vrr_stack+96, NULL);
 _BUILD_00g0(Data,vrr_stack+540, vrr_stack+105, vrr_stack+151, vrr_stack+65, vrr_stack+99, NULL);
 _BUILD_00h0(Data,vrr_stack+555, vrr_stack+115, vrr_stack+540, vrr_stack+71, vrr_stack+105, NULL);
 _BUILD_00i0(Data,vrr_stack+576, vrr_stack+130, vrr_stack+555, vrr_stack+81, vrr_stack+115, NULL);
 _BUILD_00k0(Data,vrr_stack+216, vrr_stack+421, vrr_stack+576, vrr_stack+292, vrr_stack+130, NULL);
 _BUILD_00l0(Data,vrr_stack+252, vrr_stack+449, vrr_stack+216, vrr_stack+604, vrr_stack+421, NULL);
 _BUILD_00m0(Data,vrr_stack+604, vrr_stack+313, vrr_stack+252, vrr_stack+834, vrr_stack+449, NULL);
 _BUILD_00n0(Data,vrr_stack+1528, vrr_stack+1147, vrr_stack+604, vrr_stack+12, vrr_stack+313, NULL);
 _BUILD_00o0(Data,vrr_stack+12, vrr_stack+1202, vrr_stack+1528, vrr_stack+870, vrr_stack+1147, NULL);
 _BUILD_00q0(Data,vrr_stack+834, vrr_stack+1268, vrr_stack+12, vrr_stack+925, vrr_stack+1202, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+1594, vrr_stack+1346, vrr_stack+834, vrr_stack+991, vrr_stack+1268, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+1699, vrr_stack+1437, vrr_stack+1346, vrr_stack+1069, vrr_stack+991, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+14, Data->F+15, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+90, vrr_stack+0, vrr_stack+3, Data->F+13, Data->F+14, NULL);
 _BUILD_00f0(Data,vrr_stack+925, vrr_stack+6, vrr_stack+90, vrr_stack+96, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+935, vrr_stack+151, vrr_stack+925, vrr_stack+99, vrr_stack+6, NULL);
 _BUILD_00h0(Data,vrr_stack+950, vrr_stack+540, vrr_stack+935, vrr_stack+105, vrr_stack+151, NULL);
 _BUILD_00i0(Data,vrr_stack+659, vrr_stack+555, vrr_stack+950, vrr_stack+115, vrr_stack+540, NULL);
 _BUILD_00k0(Data,vrr_stack+1804, vrr_stack+576, vrr_stack+659, vrr_stack+130, vrr_stack+555, NULL);
 _BUILD_00l0(Data,vrr_stack+96, vrr_stack+216, vrr_stack+1804, vrr_stack+421, vrr_stack+576, NULL);
 _BUILD_00m0(Data,vrr_stack+1840, vrr_stack+252, vrr_stack+96, vrr_stack+449, vrr_stack+216, NULL);
 _BUILD_00n0(Data,vrr_stack+1895, vrr_stack+604, vrr_stack+1840, vrr_stack+313, vrr_stack+252, NULL);
 _BUILD_00o0(Data,vrr_stack+297, vrr_stack+1528, vrr_stack+1895, vrr_stack+1147, vrr_stack+604, NULL);
 _BUILD_00q0(Data,vrr_stack+1961, vrr_stack+12, vrr_stack+297, vrr_stack+1202, vrr_stack+1528, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+1147, vrr_stack+834, vrr_stack+1961, vrr_stack+1268, vrr_stack+12, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+2052, vrr_stack+1594, vrr_stack+1147, vrr_stack+1346, vrr_stack+834, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+2172, vrr_stack+1699, vrr_stack+1594, vrr_stack+1437, vrr_stack+1346, NULL);
 _BUILD_00p0(Data,vrr_stack+1252, Data->F+15, Data->F+16, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+1255, vrr_stack+3, vrr_stack+1252, Data->F+14, Data->F+15, NULL);
 _BUILD_00f0(Data,vrr_stack+141, vrr_stack+90, vrr_stack+1255, vrr_stack+0, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+687, vrr_stack+925, vrr_stack+141, vrr_stack+6, vrr_stack+90, NULL);
 _BUILD_00h0(Data,vrr_stack+1261, vrr_stack+935, vrr_stack+687, vrr_stack+151, vrr_stack+925, NULL);
 _BUILD_00i0(Data,vrr_stack+1282, vrr_stack+950, vrr_stack+1261, vrr_stack+540, vrr_stack+935, NULL);
 _BUILD_00k0(Data,vrr_stack+1310, vrr_stack+659, vrr_stack+1282, vrr_stack+555, vrr_stack+950, NULL);
 _BUILD_00l0(Data,vrr_stack+421, vrr_stack+1804, vrr_stack+1310, vrr_stack+576, vrr_stack+659, NULL);
 _BUILD_00m0(Data,vrr_stack+540, vrr_stack+96, vrr_stack+421, vrr_stack+216, vrr_stack+1804, NULL);
 _BUILD_00n0(Data,vrr_stack+2292, vrr_stack+1840, vrr_stack+540, vrr_stack+252, vrr_stack+96, NULL);
 _BUILD_00o0(Data,vrr_stack+216, vrr_stack+1895, vrr_stack+2292, vrr_stack+604, vrr_stack+1840, NULL);
 _BUILD_00q0(Data,vrr_stack+2358, vrr_stack+297, vrr_stack+216, vrr_stack+1528, vrr_stack+1895, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+2449, vrr_stack+1961, vrr_stack+2358, vrr_stack+12, vrr_stack+297, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+2554, vrr_stack+1147, vrr_stack+2449, vrr_stack+834, vrr_stack+1961, NULL);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+2674, vrr_stack+2052, vrr_stack+2554, vrr_stack+1594, vrr_stack+1147, NULL);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+2810, vrr_stack+2172, vrr_stack+2052, vrr_stack+1699, vrr_stack+1594, NULL);
 _BUILD_00p0(Data,vrr_stack+294, Data->F+16, Data->F+17, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+834, vrr_stack+1252, vrr_stack+294, Data->F+15, Data->F+16, NULL);
 _BUILD_00f0(Data,vrr_stack+151, vrr_stack+1255, vrr_stack+834, vrr_stack+3, vrr_stack+1252, NULL);
 _BUILD_00g0(Data,vrr_stack+840, vrr_stack+141, vrr_stack+151, vrr_stack+90, vrr_stack+1255, NULL);
 _BUILD_00h0(Data,vrr_stack+855, vrr_stack+687, vrr_stack+840, vrr_stack+925, vrr_stack+141, NULL);
 _BUILD_00i0(Data,vrr_stack+876, vrr_stack+1261, vrr_stack+855, vrr_stack+935, vrr_stack+687, NULL);
 _BUILD_00k0(Data,vrr_stack+904, vrr_stack+1282, vrr_stack+876, vrr_stack+950, vrr_stack+1261, NULL);
 _BUILD_00l0(Data,vrr_stack+940, vrr_stack+1310, vrr_stack+904, vrr_stack+659, vrr_stack+1282, NULL);
 _BUILD_00m0(Data,vrr_stack+2946, vrr_stack+421, vrr_stack+940, vrr_stack+1804, vrr_stack+1310, NULL);
 _BUILD_00n0(Data,vrr_stack+1528, vrr_stack+540, vrr_stack+2946, vrr_stack+96, vrr_stack+421, NULL);
 _BUILD_00o0(Data,vrr_stack+595, vrr_stack+2292, vrr_stack+1528, vrr_stack+1840, vrr_stack+540, NULL);
 _BUILD_00q0(Data,vrr_stack+1804, vrr_stack+216, vrr_stack+595, vrr_stack+1895, vrr_stack+2292, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+0, vrr_stack+2358, vrr_stack+1804, vrr_stack+297, vrr_stack+216, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+3001, vrr_stack+2449, vrr_stack+0, vrr_stack+1961, vrr_stack+2358, NULL);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+1895, vrr_stack+2554, vrr_stack+3001, vrr_stack+1147, vrr_stack+2449, NULL);
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+3121, vrr_stack+2674, vrr_stack+1895, vrr_stack+2052, vrr_stack+2554, NULL);
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+3274, vrr_stack+2810, vrr_stack+2674, vrr_stack+2172, vrr_stack+2052, NULL);
 _BUILD_00p0(Data,vrr_stack+1147, Data->F+17, Data->F+18, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+985, vrr_stack+294, vrr_stack+1147, Data->F+16, Data->F+17, NULL);
 _BUILD_00f0(Data,vrr_stack+1150, vrr_stack+834, vrr_stack+985, vrr_stack+1252, vrr_stack+294, NULL);
 _BUILD_00g0(Data,vrr_stack+1160, vrr_stack+151, vrr_stack+1150, vrr_stack+1255, vrr_stack+834, NULL);
 _BUILD_00h0(Data,vrr_stack+2031, vrr_stack+840, vrr_stack+1160, vrr_stack+141, vrr_stack+151, NULL);
 _BUILD_00i0(Data,vrr_stack+1175, vrr_stack+855, vrr_stack+2031, vrr_stack+687, vrr_stack+840, NULL);
 _BUILD_00k0(Data,vrr_stack+1203, vrr_stack+876, vrr_stack+1175, vrr_stack+1261, vrr_stack+855, NULL);
 _BUILD_00l0(Data,vrr_stack+297, vrr_stack+904, vrr_stack+1203, vrr_stack+1282, vrr_stack+876, NULL);
 _BUILD_00m0(Data,vrr_stack+1239, vrr_stack+940, vrr_stack+297, vrr_stack+1310, vrr_stack+904, NULL);
 _BUILD_00n0(Data,vrr_stack+3427, vrr_stack+2946, vrr_stack+1239, vrr_stack+421, vrr_stack+940, NULL);
 _BUILD_00o0(Data,vrr_stack+3493, vrr_stack+1528, vrr_stack+3427, vrr_stack+540, vrr_stack+2946, NULL);
 _BUILD_00q0(Data,vrr_stack+3571, vrr_stack+595, vrr_stack+3493, vrr_stack+2292, vrr_stack+1528, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+3662, vrr_stack+1804, vrr_stack+3571, vrr_stack+216, vrr_stack+595, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+3767, vrr_stack+0, vrr_stack+3662, vrr_stack+2358, vrr_stack+1804, NULL);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+2292, vrr_stack+3001, vrr_stack+3767, vrr_stack+2449, vrr_stack+0, NULL);
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+3887, vrr_stack+1895, vrr_stack+2292, vrr_stack+2554, vrr_stack+3001, NULL);
 am[0] = 0;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+2428, vrr_stack+3121, vrr_stack+3887, vrr_stack+2674, vrr_stack+1895, NULL);
 am[0] = 0;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+4040, vrr_stack+3274, vrr_stack+3121, vrr_stack+2810, vrr_stack+2674, NULL);
 _BUILD_00p0(Data,vrr_stack+216, Data->F+18, Data->F+19, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+219, vrr_stack+1147, vrr_stack+216, Data->F+17, Data->F+18, NULL);
 _BUILD_00f0(Data,vrr_stack+225, vrr_stack+985, vrr_stack+219, vrr_stack+294, vrr_stack+1147, NULL);
 _BUILD_00g0(Data,vrr_stack+235, vrr_stack+1150, vrr_stack+225, vrr_stack+834, vrr_stack+985, NULL);
 _BUILD_00h0(Data,vrr_stack+250, vrr_stack+1160, vrr_stack+235, vrr_stack+151, vrr_stack+1150, NULL);
 _BUILD_00i0(Data,vrr_stack+216, vrr_stack+2031, vrr_stack+250, vrr_stack+840, vrr_stack+1160, NULL);
 _BUILD_00k0(Data,vrr_stack+244, vrr_stack+1175, vrr_stack+216, vrr_stack+855, vrr_stack+2031, NULL);
 _BUILD_00l0(Data,vrr_stack+2599, vrr_stack+1203, vrr_stack+244, vrr_stack+876, vrr_stack+1175, NULL);
 _BUILD_00m0(Data,vrr_stack+540, vrr_stack+297, vrr_stack+2599, vrr_stack+904, vrr_stack+1203, NULL);
 _BUILD_00n0(Data,vrr_stack+2599, vrr_stack+1239, vrr_stack+540, vrr_stack+940, vrr_stack+297, NULL);
 _BUILD_00o0(Data,vrr_stack+216, vrr_stack+3427, vrr_stack+2599, vrr_stack+2946, vrr_stack+1239, NULL);
 _BUILD_00q0(Data,vrr_stack+834, vrr_stack+3493, vrr_stack+216, vrr_stack+1528, vrr_stack+3427, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+216, vrr_stack+3571, vrr_stack+834, vrr_stack+595, vrr_stack+3493, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+834, vrr_stack+3662, vrr_stack+216, vrr_stack+1804, vrr_stack+3571, NULL);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+216, vrr_stack+3767, vrr_stack+834, vrr_stack+0, vrr_stack+3662, NULL);
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+0, vrr_stack+2292, vrr_stack+216, vrr_stack+3001, vrr_stack+3767, NULL);
 am[0] = 0;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+3427, vrr_stack+3887, vrr_stack+0, vrr_stack+1895, vrr_stack+2292, NULL);
 am[0] = 0;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+1804, vrr_stack+2428, vrr_stack+3427, vrr_stack+3121, vrr_stack+3887, NULL);
 am[0] = 0;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+3427, vrr_stack+4040, vrr_stack+2428, vrr_stack+3274, vrr_stack+3121, NULL);
 _BUILD_p0m0(Data,vrr_stack+3617, vrr_stack+161, vrr_stack+485, NULL, NULL, vrr_stack+376);
   tmp = vrr_stack + 3617;
   target_ptr = Libint->vrr_classes[1][9];
   for(i=0;i<165;i++)
     target_ptr[i] += tmp[i];
 _BUILD_p0n0(Data,vrr_stack+3782, vrr_stack+768, vrr_stack+702, NULL, NULL, vrr_stack+485);
   tmp = vrr_stack + 3782;
   target_ptr = Libint->vrr_classes[1][10];
   for(i=0;i<198;i++)
     target_ptr[i] += tmp[i];
 _BUILD_p0o0(Data,vrr_stack+0, vrr_stack+1069, vrr_stack+991, NULL, NULL, vrr_stack+702);
   tmp = vrr_stack + 0;
   target_ptr = Libint->vrr_classes[1][11];
   for(i=0;i<234;i++)
     target_ptr[i] += tmp[i];
 _BUILD_p0q0(Data,vrr_stack+1069, vrr_stack+1437, vrr_stack+1346, NULL, NULL, vrr_stack+991);
   tmp = vrr_stack + 1069;
   target_ptr = Libint->vrr_classes[1][12];
   for(i=0;i<273;i++)
     target_ptr[i] += tmp[i];
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+234, vrr_stack+1699, vrr_stack+1594, NULL, NULL, vrr_stack+1346);
   tmp = vrr_stack + 234;
   target_ptr = Libint->vrr_classes[1][13];
   for(i=0;i<315;i++)
     target_ptr[i] += tmp[i];
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+549, vrr_stack+2172, vrr_stack+2052, NULL, NULL, vrr_stack+1594);
   tmp = vrr_stack + 549;
   target_ptr = Libint->vrr_classes[1][14];
   for(i=0;i<360;i++)
     target_ptr[i] += tmp[i];
 am[0] = 1;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+1342, vrr_stack+2810, vrr_stack+2674, NULL, NULL, vrr_stack+2052);
   tmp = vrr_stack + 1342;
   target_ptr = Libint->vrr_classes[1][15];
   for(i=0;i<408;i++)
     target_ptr[i] += tmp[i];
 am[0] = 1;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+4211, vrr_stack+3274, vrr_stack+3121, NULL, NULL, vrr_stack+2674);
   tmp = vrr_stack + 4211;
   target_ptr = Libint->vrr_classes[1][16];
   for(i=0;i<459;i++)
     target_ptr[i] += tmp[i];
 am[0] = 1;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+2599, vrr_stack+4040, vrr_stack+2428, NULL, NULL, vrr_stack+3121);
   tmp = vrr_stack + 2599;
   target_ptr = Libint->vrr_classes[1][17];
   for(i=0;i<513;i++)
     target_ptr[i] += tmp[i];
 am[0] = 1;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+4670, vrr_stack+3427, vrr_stack+1804, NULL, NULL, vrr_stack+2428);
   tmp = vrr_stack + 4670;
   target_ptr = Libint->vrr_classes[1][18];
   for(i=0;i<570;i++)
     target_ptr[i] += tmp[i];

}

