#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d12vrr_order_p0hd(Libderiv_t *, prim_data *);

  /* Computes derivatives of (p0|hd) integrals */

void d12hrr_order_p0hd(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[1][7][11] = int_stack + 0;
 Libderiv->deriv_classes[1][7][10] = int_stack + 108;
 Libderiv->deriv_classes[1][7][9] = int_stack + 216;
 Libderiv->deriv_classes[1][7][8] = int_stack + 324;
 Libderiv->deriv_classes[1][7][7] = int_stack + 432;
 Libderiv->dvrr_classes[1][6] = int_stack + 540;
 Libderiv->deriv_classes[1][7][6] = int_stack + 624;
 Libderiv->deriv_classes[1][7][2] = int_stack + 732;
 Libderiv->deriv_classes[1][7][1] = int_stack + 840;
 Libderiv->deriv_classes[1][7][0] = int_stack + 948;
 Libderiv->deriv2_classes[1][5][143] = int_stack + 1056;
 Libderiv->deriv2_classes[1][6][143] = int_stack + 1119;
 Libderiv->deriv2_classes[1][7][143] = int_stack + 1203;
 Libderiv->deriv2_classes[1][5][131] = int_stack + 1311;
 Libderiv->deriv2_classes[1][6][131] = int_stack + 1374;
 Libderiv->deriv2_classes[1][7][131] = int_stack + 1458;
 Libderiv->deriv2_classes[1][5][130] = int_stack + 1566;
 Libderiv->deriv2_classes[1][6][130] = int_stack + 1629;
 Libderiv->deriv2_classes[1][7][130] = int_stack + 1713;
 Libderiv->deriv2_classes[1][5][119] = int_stack + 1821;
 Libderiv->deriv2_classes[1][6][119] = int_stack + 1884;
 Libderiv->deriv2_classes[1][7][119] = int_stack + 1968;
 Libderiv->deriv2_classes[1][5][118] = int_stack + 2076;
 Libderiv->deriv2_classes[1][6][118] = int_stack + 2139;
 Libderiv->deriv2_classes[1][7][118] = int_stack + 2223;
 Libderiv->deriv2_classes[1][5][117] = int_stack + 2331;
 Libderiv->deriv2_classes[1][6][117] = int_stack + 2394;
 Libderiv->deriv2_classes[1][7][117] = int_stack + 2478;
 Libderiv->deriv2_classes[1][5][107] = int_stack + 2586;
 Libderiv->deriv2_classes[1][6][107] = int_stack + 2649;
 Libderiv->deriv2_classes[1][7][107] = int_stack + 2733;
 Libderiv->deriv2_classes[1][5][106] = int_stack + 2841;
 Libderiv->deriv2_classes[1][6][106] = int_stack + 2904;
 Libderiv->deriv2_classes[1][7][106] = int_stack + 2988;
 Libderiv->deriv2_classes[1][5][105] = int_stack + 3096;
 Libderiv->deriv2_classes[1][6][105] = int_stack + 3159;
 Libderiv->deriv2_classes[1][7][105] = int_stack + 3243;
 Libderiv->deriv2_classes[1][5][104] = int_stack + 3351;
 Libderiv->deriv2_classes[1][6][104] = int_stack + 3414;
 Libderiv->deriv2_classes[1][7][104] = int_stack + 3498;
 Libderiv->deriv2_classes[1][5][95] = int_stack + 3606;
 Libderiv->deriv2_classes[1][6][95] = int_stack + 3669;
 Libderiv->deriv2_classes[1][7][95] = int_stack + 3753;
 Libderiv->deriv2_classes[1][5][94] = int_stack + 3861;
 Libderiv->deriv2_classes[1][6][94] = int_stack + 3924;
 Libderiv->deriv2_classes[1][7][94] = int_stack + 4008;
 Libderiv->deriv2_classes[1][5][93] = int_stack + 4116;
 Libderiv->deriv2_classes[1][6][93] = int_stack + 4179;
 Libderiv->deriv2_classes[1][7][93] = int_stack + 4263;
 Libderiv->deriv2_classes[1][5][92] = int_stack + 4371;
 Libderiv->deriv2_classes[1][6][92] = int_stack + 4434;
 Libderiv->deriv2_classes[1][7][92] = int_stack + 4518;
 Libderiv->deriv2_classes[1][5][91] = int_stack + 4626;
 Libderiv->deriv2_classes[1][6][91] = int_stack + 4689;
 Libderiv->deriv2_classes[1][7][91] = int_stack + 4773;
 Libderiv->deriv_classes[1][5][11] = int_stack + 4881;
 Libderiv->deriv2_classes[1][5][83] = int_stack + 4944;
 Libderiv->deriv_classes[1][6][11] = int_stack + 5007;
 Libderiv->deriv2_classes[1][6][83] = int_stack + 5091;
 Libderiv->deriv2_classes[1][7][83] = int_stack + 5175;
 Libderiv->deriv_classes[1][5][10] = int_stack + 5283;
 Libderiv->deriv2_classes[1][5][82] = int_stack + 5346;
 Libderiv->deriv_classes[1][6][10] = int_stack + 5409;
 Libderiv->deriv2_classes[1][6][82] = int_stack + 5493;
 Libderiv->deriv2_classes[1][7][82] = int_stack + 5577;
 Libderiv->deriv_classes[1][5][9] = int_stack + 5685;
 Libderiv->deriv2_classes[1][5][81] = int_stack + 5748;
 Libderiv->deriv_classes[1][6][9] = int_stack + 5811;
 Libderiv->deriv2_classes[1][6][81] = int_stack + 5895;
 Libderiv->deriv2_classes[1][7][81] = int_stack + 5979;
 Libderiv->deriv_classes[1][5][8] = int_stack + 6087;
 Libderiv->deriv2_classes[1][5][80] = int_stack + 6150;
 Libderiv->deriv_classes[1][6][8] = int_stack + 6213;
 Libderiv->deriv2_classes[1][6][80] = int_stack + 6297;
 Libderiv->deriv2_classes[1][7][80] = int_stack + 6381;
 Libderiv->deriv_classes[1][5][7] = int_stack + 6489;
 Libderiv->deriv2_classes[1][5][79] = int_stack + 6552;
 Libderiv->deriv_classes[1][6][7] = int_stack + 6615;
 Libderiv->deriv2_classes[1][6][79] = int_stack + 6699;
 Libderiv->deriv2_classes[1][7][79] = int_stack + 6783;
 Libderiv->dvrr_classes[1][5] = int_stack + 6891;
 Libderiv->deriv_classes[1][5][6] = int_stack + 6954;
 Libderiv->deriv2_classes[1][5][78] = int_stack + 7017;
 Libderiv->deriv_classes[1][6][6] = int_stack + 7080;
 Libderiv->deriv2_classes[1][6][78] = int_stack + 7164;
 Libderiv->deriv2_classes[1][7][78] = int_stack + 7248;
 Libderiv->deriv2_classes[1][5][35] = int_stack + 7356;
 Libderiv->deriv2_classes[1][6][35] = int_stack + 7419;
 Libderiv->deriv2_classes[1][7][35] = int_stack + 7503;
 Libderiv->deriv2_classes[1][5][34] = int_stack + 7611;
 Libderiv->deriv2_classes[1][6][34] = int_stack + 7674;
 Libderiv->deriv2_classes[1][7][34] = int_stack + 7758;
 Libderiv->deriv2_classes[1][5][33] = int_stack + 7866;
 Libderiv->deriv2_classes[1][6][33] = int_stack + 7929;
 Libderiv->deriv2_classes[1][7][33] = int_stack + 8013;
 Libderiv->deriv2_classes[1][5][32] = int_stack + 8121;
 Libderiv->deriv2_classes[1][6][32] = int_stack + 8184;
 Libderiv->deriv2_classes[1][7][32] = int_stack + 8268;
 Libderiv->deriv2_classes[1][5][31] = int_stack + 8376;
 Libderiv->deriv2_classes[1][6][31] = int_stack + 8439;
 Libderiv->deriv2_classes[1][7][31] = int_stack + 8523;
 Libderiv->deriv_classes[1][5][2] = int_stack + 8631;
 Libderiv->deriv2_classes[1][5][30] = int_stack + 8694;
 Libderiv->deriv_classes[1][6][2] = int_stack + 8757;
 Libderiv->deriv2_classes[1][6][30] = int_stack + 8841;
 Libderiv->deriv2_classes[1][7][30] = int_stack + 8925;
 Libderiv->deriv2_classes[1][5][26] = int_stack + 9033;
 Libderiv->deriv2_classes[1][6][26] = int_stack + 9096;
 Libderiv->deriv2_classes[1][7][26] = int_stack + 9180;
 Libderiv->deriv2_classes[1][5][23] = int_stack + 9288;
 Libderiv->deriv2_classes[1][6][23] = int_stack + 9351;
 Libderiv->deriv2_classes[1][7][23] = int_stack + 9435;
 Libderiv->deriv2_classes[1][5][22] = int_stack + 9543;
 Libderiv->deriv2_classes[1][6][22] = int_stack + 9606;
 Libderiv->deriv2_classes[1][7][22] = int_stack + 9690;
 Libderiv->deriv2_classes[1][5][21] = int_stack + 9798;
 Libderiv->deriv2_classes[1][6][21] = int_stack + 9861;
 Libderiv->deriv2_classes[1][7][21] = int_stack + 9945;
 Libderiv->deriv2_classes[1][5][20] = int_stack + 10053;
 Libderiv->deriv2_classes[1][6][20] = int_stack + 10116;
 Libderiv->deriv2_classes[1][7][20] = int_stack + 10200;
 Libderiv->deriv2_classes[1][5][19] = int_stack + 10308;
 Libderiv->deriv2_classes[1][6][19] = int_stack + 10371;
 Libderiv->deriv2_classes[1][7][19] = int_stack + 10455;
 Libderiv->deriv_classes[1][5][1] = int_stack + 10563;
 Libderiv->deriv2_classes[1][5][18] = int_stack + 10626;
 Libderiv->deriv_classes[1][6][1] = int_stack + 10689;
 Libderiv->deriv2_classes[1][6][18] = int_stack + 10773;
 Libderiv->deriv2_classes[1][7][18] = int_stack + 10857;
 Libderiv->deriv2_classes[1][5][14] = int_stack + 10965;
 Libderiv->deriv2_classes[1][6][14] = int_stack + 11028;
 Libderiv->deriv2_classes[1][7][14] = int_stack + 11112;
 Libderiv->deriv2_classes[1][5][13] = int_stack + 11220;
 Libderiv->deriv2_classes[1][6][13] = int_stack + 11283;
 Libderiv->deriv2_classes[1][7][13] = int_stack + 11367;
 Libderiv->deriv2_classes[1][5][11] = int_stack + 11475;
 Libderiv->deriv2_classes[1][6][11] = int_stack + 11538;
 Libderiv->deriv2_classes[1][7][11] = int_stack + 11622;
 Libderiv->deriv2_classes[1][5][10] = int_stack + 11730;
 Libderiv->deriv2_classes[1][6][10] = int_stack + 11793;
 Libderiv->deriv2_classes[1][7][10] = int_stack + 11877;
 Libderiv->deriv2_classes[1][5][9] = int_stack + 11985;
 Libderiv->deriv2_classes[1][6][9] = int_stack + 12048;
 Libderiv->deriv2_classes[1][7][9] = int_stack + 12132;
 Libderiv->deriv2_classes[1][5][8] = int_stack + 12240;
 Libderiv->deriv2_classes[1][6][8] = int_stack + 12303;
 Libderiv->deriv2_classes[1][7][8] = int_stack + 12387;
 Libderiv->deriv2_classes[1][5][7] = int_stack + 12495;
 Libderiv->deriv2_classes[1][6][7] = int_stack + 12558;
 Libderiv->deriv2_classes[1][7][7] = int_stack + 12642;
 Libderiv->deriv_classes[1][5][0] = int_stack + 12750;
 Libderiv->deriv2_classes[1][5][6] = int_stack + 12813;
 Libderiv->deriv_classes[1][6][0] = int_stack + 12876;
 Libderiv->deriv2_classes[1][6][6] = int_stack + 12960;
 Libderiv->deriv2_classes[1][7][6] = int_stack + 13044;
 Libderiv->deriv2_classes[1][5][2] = int_stack + 13152;
 Libderiv->deriv2_classes[1][6][2] = int_stack + 13215;
 Libderiv->deriv2_classes[1][7][2] = int_stack + 13299;
 Libderiv->deriv2_classes[1][5][1] = int_stack + 13407;
 Libderiv->deriv2_classes[1][6][1] = int_stack + 13470;
 Libderiv->deriv2_classes[1][7][1] = int_stack + 13554;
 Libderiv->deriv2_classes[1][5][0] = int_stack + 13662;
 Libderiv->deriv2_classes[1][6][0] = int_stack + 13725;
 Libderiv->deriv2_classes[1][7][0] = int_stack + 13809;
 memset(int_stack,0,111336);

 Libderiv->dvrr_stack = int_stack + 26265;
 for(i=0;i<num_prim_comb;i++) {
   d12vrr_order_p0hd(Libderiv, Data);
   Data++;
 }

 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+13917,int_stack+540,int_stack+6891,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+14106,int_stack+5007,int_stack+4881, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6891,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+14295,int_stack+0,int_stack+5007, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+540,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+14547,int_stack+5409,int_stack+5283, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6891, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+14736,int_stack+108,int_stack+5409, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+540, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+5811,int_stack+5685, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6891, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+14988,int_stack+216,int_stack+5811, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+540, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+15240,int_stack+6213,int_stack+6087, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6891, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+15429,int_stack+324,int_stack+6213, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+189,int_stack+6615,int_stack+6489, 0.0, zero_stack, 1.0, int_stack+6891, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+15681,int_stack+432,int_stack+6615, 0.0, zero_stack, 1.0, int_stack+540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+15933,int_stack+7080,int_stack+6954, 1.0, int_stack+6891, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+16122,int_stack+624,int_stack+7080, 1.0, int_stack+540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+378,int_stack+8757,int_stack+8631,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+16374,int_stack+732,int_stack+8757,3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+567,int_stack+10689,int_stack+10563,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+16626,int_stack+840,int_stack+10689,3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+756,int_stack+12876,int_stack+12750,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+16878,int_stack+948,int_stack+12876,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+17130,int_stack+1119,int_stack+1056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+4881,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+17319,int_stack+1203,int_stack+1119, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+5007,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+945,int_stack+1374,int_stack+1311, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4881, 1.0, int_stack+5283,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+17571,int_stack+1458,int_stack+1374, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5007, 1.0, int_stack+5409,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1134,int_stack+1629,int_stack+1566, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+5283, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1323,int_stack+1713,int_stack+1629, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+5409, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1575,int_stack+1884,int_stack+1821, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4881, 0.0, zero_stack, 1.0, int_stack+5685,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+17823,int_stack+1968,int_stack+1884, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5007, 0.0, zero_stack, 1.0, int_stack+5811,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1764,int_stack+2139,int_stack+2076, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5283, 1.0, int_stack+5685, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+18075,int_stack+2223,int_stack+2139, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5409, 1.0, int_stack+5811, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1953,int_stack+2394,int_stack+2331, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+5685, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2142,int_stack+2478,int_stack+2394, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+5811, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2394,int_stack+2649,int_stack+2586, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4881, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6087,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+18327,int_stack+2733,int_stack+2649, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5007, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6213,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2583,int_stack+2904,int_stack+2841, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5283, 0.0, zero_stack, 1.0, int_stack+6087, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+18579,int_stack+2988,int_stack+2904, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5409, 0.0, zero_stack, 1.0, int_stack+6213, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2772,int_stack+3159,int_stack+3096, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5685, 1.0, int_stack+6087, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+18831,int_stack+3243,int_stack+3159, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5811, 1.0, int_stack+6213, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2961,int_stack+3414,int_stack+3351, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+6087, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3150,int_stack+3498,int_stack+3414, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+6213, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3402,int_stack+3669,int_stack+3606, 0.0, zero_stack, 1.0, int_stack+4881, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6489,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+19083,int_stack+3753,int_stack+3669, 0.0, zero_stack, 1.0, int_stack+5007, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6615,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3591,int_stack+3924,int_stack+3861, 0.0, zero_stack, 1.0, int_stack+5283, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6489, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+19335,int_stack+4008,int_stack+3924, 0.0, zero_stack, 1.0, int_stack+5409, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6615, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3780,int_stack+4179,int_stack+4116, 0.0, zero_stack, 1.0, int_stack+5685, 0.0, zero_stack, 1.0, int_stack+6489, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+19587,int_stack+4263,int_stack+4179, 0.0, zero_stack, 1.0, int_stack+5811, 0.0, zero_stack, 1.0, int_stack+6615, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3969,int_stack+4434,int_stack+4371, 0.0, zero_stack, 1.0, int_stack+6087, 1.0, int_stack+6489, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+4158,int_stack+4518,int_stack+4434, 0.0, zero_stack, 1.0, int_stack+6213, 1.0, int_stack+6615, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+4410,int_stack+4689,int_stack+4626, 0.0, zero_stack, 2.0, int_stack+6489, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+19839,int_stack+4773,int_stack+4689, 0.0, zero_stack, 2.0, int_stack+6615, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+4599,int_stack+5091,int_stack+4944, 1.0, int_stack+4881, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6954,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+20091,int_stack+5175,int_stack+5091, 1.0, int_stack+5007, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7080,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+4788,int_stack+5493,int_stack+5346, 1.0, int_stack+5283, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6954, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+4977,int_stack+5577,int_stack+5493, 1.0, int_stack+5409, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7080, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5229,int_stack+5895,int_stack+5748, 1.0, int_stack+5685, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6954, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+5418,int_stack+5979,int_stack+5895, 1.0, int_stack+5811, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7080, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5670,int_stack+6297,int_stack+6150, 1.0, int_stack+6087, 0.0, zero_stack, 1.0, int_stack+6954, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+5859,int_stack+6381,int_stack+6297, 1.0, int_stack+6213, 0.0, zero_stack, 1.0, int_stack+7080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6111,int_stack+6699,int_stack+6552, 1.0, int_stack+6489, 1.0, int_stack+6954, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6300,int_stack+6783,int_stack+6699, 1.0, int_stack+6615, 1.0, int_stack+7080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6552,int_stack+7164,int_stack+7017, 2.0, int_stack+6954, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6741,int_stack+7248,int_stack+7164, 2.0, int_stack+7080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6993,int_stack+7419,int_stack+7356, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8631,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+20343,int_stack+7503,int_stack+7419, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8757,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7182,int_stack+7674,int_stack+7611, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8631, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+7371,int_stack+7758,int_stack+7674, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8757, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7623,int_stack+7929,int_stack+7866, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8631, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+20595,int_stack+8013,int_stack+7929, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8757, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7812,int_stack+8184,int_stack+8121, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8631, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+20847,int_stack+8268,int_stack+8184, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8757, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+8001,int_stack+8439,int_stack+8376, 0.0, zero_stack, 1.0, int_stack+8631, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+21099,int_stack+8523,int_stack+8439, 0.0, zero_stack, 1.0, int_stack+8757, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+8190,int_stack+8841,int_stack+8694, 1.0, int_stack+8631, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+8379,int_stack+8925,int_stack+8841, 1.0, int_stack+8757, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+8631,int_stack+9096,int_stack+9033,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+8820,int_stack+9180,int_stack+9096,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+9072,int_stack+9351,int_stack+9288, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10563,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+21351,int_stack+9435,int_stack+9351, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10689,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+9261,int_stack+9606,int_stack+9543, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10563, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+21603,int_stack+9690,int_stack+9606, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10689, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+9450,int_stack+9861,int_stack+9798, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10563, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+21855,int_stack+9945,int_stack+9861, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10689, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+9639,int_stack+10116,int_stack+10053, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10563, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+9828,int_stack+10200,int_stack+10116, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10689, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+10080,int_stack+10371,int_stack+10308, 0.0, zero_stack, 1.0, int_stack+10563, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+22107,int_stack+10455,int_stack+10371, 0.0, zero_stack, 1.0, int_stack+10689, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+10269,int_stack+10773,int_stack+10626, 1.0, int_stack+10563, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+22359,int_stack+10857,int_stack+10773, 1.0, int_stack+10689, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+10458,int_stack+11028,int_stack+10965,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+10647,int_stack+11112,int_stack+11028,3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+10899,int_stack+11283,int_stack+11220,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+22611,int_stack+11367,int_stack+11283,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+11088,int_stack+11538,int_stack+11475, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12750,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+11277,int_stack+11622,int_stack+11538, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12876,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+11529,int_stack+11793,int_stack+11730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12750, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+22863,int_stack+11877,int_stack+11793, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12876, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+11718,int_stack+12048,int_stack+11985, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12750, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+23115,int_stack+12132,int_stack+12048, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12876, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+11907,int_stack+12303,int_stack+12240, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+23367,int_stack+12387,int_stack+12303, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12876, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+12096,int_stack+12558,int_stack+12495, 0.0, zero_stack, 1.0, int_stack+12750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+12285,int_stack+12642,int_stack+12558, 0.0, zero_stack, 1.0, int_stack+12876, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+12537,int_stack+12960,int_stack+12813, 1.0, int_stack+12750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+23619,int_stack+13044,int_stack+12960, 1.0, int_stack+12876, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+12726,int_stack+13215,int_stack+13152,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+12915,int_stack+13299,int_stack+13215,3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+13167,int_stack+13470,int_stack+13407,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+23871,int_stack+13554,int_stack+13470,3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+13356,int_stack+13725,int_stack+13662,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+24123,int_stack+13809,int_stack+13725,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+24375,int_stack+14295,int_stack+14106, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13917,3);
     Libderiv->ABCD[11] = int_stack + 24375;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+24753,int_stack+14736,int_stack+14547, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13917, 0.0, zero_stack,3);
     Libderiv->ABCD[10] = int_stack + 24753;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+25131,int_stack+14988,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13917, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[9] = int_stack + 25131;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+14736,int_stack+15429,int_stack+15240, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13917, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[8] = int_stack + 14736;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+25509,int_stack+15681,int_stack+189, 0.0, zero_stack, 1.0, int_stack+13917, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[7] = int_stack + 25509;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+15429,int_stack+16122,int_stack+15933, 1.0, int_stack+13917, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[6] = int_stack + 15429;
 /*--- compute (p0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+13545,int_stack+16374,int_stack+378,3);
     Libderiv->ABCD[2] = int_stack + 13545;
 /*--- compute (p0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+16122,int_stack+16626,int_stack+567,3);
     Libderiv->ABCD[1] = int_stack + 16122;
 /*--- compute (p0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+16500,int_stack+16878,int_stack+756,3);
     Libderiv->ABCD[0] = int_stack + 16500;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+25887,int_stack+17319,int_stack+17130, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+14106,3);
     Libderiv->ABCD[155] = int_stack + 25887;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+16878,int_stack+17571,int_stack+945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14106, 1.0, int_stack+14547,3);
     Libderiv->ABCD[143] = int_stack + 16878;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+17256,int_stack+1323,int_stack+1134, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+14547, 0.0, zero_stack,3);
     Libderiv->ABCD[142] = int_stack + 17256;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+945,int_stack+17823,int_stack+1575, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14106, 0.0, zero_stack, 1.0, int_stack+0,3);
     Libderiv->ABCD[131] = int_stack + 945;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1323,int_stack+18075,int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14547, 1.0, int_stack+0, 0.0, zero_stack,3);
     Libderiv->ABCD[130] = int_stack + 1323;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+17634,int_stack+2142,int_stack+1953, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[129] = int_stack + 17634;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1701,int_stack+18327,int_stack+2394, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14106, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15240,3);
     Libderiv->ABCD[119] = int_stack + 1701;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+2079,int_stack+18579,int_stack+2583, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14547, 0.0, zero_stack, 1.0, int_stack+15240, 0.0, zero_stack,3);
     Libderiv->ABCD[118] = int_stack + 2079;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+18012,int_stack+18831,int_stack+2772, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 1.0, int_stack+15240, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[117] = int_stack + 18012;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+2457,int_stack+3150,int_stack+2961, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+15240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[116] = int_stack + 2457;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+2835,int_stack+19083,int_stack+3402, 0.0, zero_stack, 1.0, int_stack+14106, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189,3);
     Libderiv->ABCD[107] = int_stack + 2835;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+3213,int_stack+19335,int_stack+3591, 0.0, zero_stack, 1.0, int_stack+14547, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189, 0.0, zero_stack,3);
     Libderiv->ABCD[106] = int_stack + 3213;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+18390,int_stack+19587,int_stack+3780, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 1.0, int_stack+189, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[105] = int_stack + 18390;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+3591,int_stack+4158,int_stack+3969, 0.0, zero_stack, 1.0, int_stack+15240, 1.0, int_stack+189, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[104] = int_stack + 3591;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+3969,int_stack+19839,int_stack+4410, 0.0, zero_stack, 2.0, int_stack+189, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[103] = int_stack + 3969;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+18768,int_stack+20091,int_stack+4599, 1.0, int_stack+14106, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15933,3);
     Libderiv->ABCD[95] = int_stack + 18768;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+4347,int_stack+4977,int_stack+4788, 1.0, int_stack+14547, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15933, 0.0, zero_stack,3);
     Libderiv->ABCD[94] = int_stack + 4347;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+4725,int_stack+5418,int_stack+5229, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15933, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[93] = int_stack + 4725;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+5103,int_stack+5859,int_stack+5670, 1.0, int_stack+15240, 0.0, zero_stack, 1.0, int_stack+15933, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[92] = int_stack + 5103;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+5481,int_stack+6300,int_stack+6111, 1.0, int_stack+189, 1.0, int_stack+15933, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[91] = int_stack + 5481;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+6741,int_stack+6552, 2.0, int_stack+15933, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[90] = int_stack + 0;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+5859,int_stack+20343,int_stack+6993, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+378,3);
     Libderiv->ABCD[47] = int_stack + 5859;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+6237,int_stack+7371,int_stack+7182, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+378, 0.0, zero_stack,3);
     Libderiv->ABCD[46] = int_stack + 6237;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+6615,int_stack+20595,int_stack+7623, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+378, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[45] = int_stack + 6615;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+6993,int_stack+20847,int_stack+7812, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+378, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[44] = int_stack + 6993;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+7371,int_stack+21099,int_stack+8001, 0.0, zero_stack, 1.0, int_stack+378, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[43] = int_stack + 7371;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+7749,int_stack+8379,int_stack+8190, 1.0, int_stack+378, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[42] = int_stack + 7749;
 /*--- compute (p0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+8127,int_stack+8820,int_stack+8631,3);
     Libderiv->ABCD[38] = int_stack + 8127;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+8505,int_stack+21351,int_stack+9072, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+567,3);
     Libderiv->ABCD[35] = int_stack + 8505;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+8883,int_stack+21603,int_stack+9261, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+567, 0.0, zero_stack,3);
     Libderiv->ABCD[34] = int_stack + 8883;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19146,int_stack+21855,int_stack+9450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+567, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[33] = int_stack + 19146;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+9261,int_stack+9828,int_stack+9639, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+567, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[32] = int_stack + 9261;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+9639,int_stack+22107,int_stack+10080, 0.0, zero_stack, 1.0, int_stack+567, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[31] = int_stack + 9639;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19524,int_stack+22359,int_stack+10269, 1.0, int_stack+567, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[30] = int_stack + 19524;
 /*--- compute (p0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+378,int_stack+10647,int_stack+10458,3);
     Libderiv->ABCD[26] = int_stack + 378;
 /*--- compute (p0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+10017,int_stack+22611,int_stack+10899,3);
     Libderiv->ABCD[25] = int_stack + 10017;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+10395,int_stack+11277,int_stack+11088, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+756,3);
     Libderiv->ABCD[23] = int_stack + 10395;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+10773,int_stack+22863,int_stack+11529, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+756, 0.0, zero_stack,3);
     Libderiv->ABCD[22] = int_stack + 10773;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+11151,int_stack+23115,int_stack+11718, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+756, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[21] = int_stack + 11151;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+11529,int_stack+23367,int_stack+11907, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+756, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[20] = int_stack + 11529;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19902,int_stack+12285,int_stack+12096, 0.0, zero_stack, 1.0, int_stack+756, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[19] = int_stack + 19902;
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+11907,int_stack+23619,int_stack+12537, 1.0, int_stack+756, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[18] = int_stack + 11907;
 /*--- compute (p0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+12285,int_stack+12915,int_stack+12726,3);
     Libderiv->ABCD[14] = int_stack + 12285;
 /*--- compute (p0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+12663,int_stack+23871,int_stack+13167,3);
     Libderiv->ABCD[13] = int_stack + 12663;
 /*--- compute (p0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+20280,int_stack+24123,int_stack+13356,3);
     Libderiv->ABCD[12] = int_stack + 20280;

}
