#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_dpii(Libderiv_t *, prim_data *);

  /* Computes derivatives of (dp|ii) integrals */

void d1hrr_order_dpii(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[2][6][11] = int_stack + 0;
 Libderiv->deriv_classes[2][7][11] = int_stack + 168;
 Libderiv->deriv_classes[2][8][11] = int_stack + 384;
 Libderiv->deriv_classes[2][9][11] = int_stack + 654;
 Libderiv->deriv_classes[2][10][11] = int_stack + 984;
 Libderiv->deriv_classes[2][11][11] = int_stack + 1380;
 Libderiv->deriv_classes[2][12][11] = int_stack + 1848;
 Libderiv->deriv_classes[3][6][11] = int_stack + 2394;
 Libderiv->deriv_classes[3][7][11] = int_stack + 2674;
 Libderiv->deriv_classes[3][8][11] = int_stack + 3034;
 Libderiv->deriv_classes[3][9][11] = int_stack + 3484;
 Libderiv->deriv_classes[3][10][11] = int_stack + 4034;
 Libderiv->deriv_classes[3][11][11] = int_stack + 4694;
 Libderiv->deriv_classes[3][12][11] = int_stack + 5474;
 Libderiv->deriv_classes[2][6][10] = int_stack + 6384;
 Libderiv->deriv_classes[2][7][10] = int_stack + 6552;
 Libderiv->deriv_classes[2][8][10] = int_stack + 6768;
 Libderiv->deriv_classes[2][9][10] = int_stack + 7038;
 Libderiv->deriv_classes[2][10][10] = int_stack + 7368;
 Libderiv->deriv_classes[2][11][10] = int_stack + 7764;
 Libderiv->deriv_classes[2][12][10] = int_stack + 8232;
 Libderiv->deriv_classes[3][6][10] = int_stack + 8778;
 Libderiv->deriv_classes[3][7][10] = int_stack + 9058;
 Libderiv->deriv_classes[3][8][10] = int_stack + 9418;
 Libderiv->deriv_classes[3][9][10] = int_stack + 9868;
 Libderiv->deriv_classes[3][10][10] = int_stack + 10418;
 Libderiv->deriv_classes[3][11][10] = int_stack + 11078;
 Libderiv->deriv_classes[3][12][10] = int_stack + 11858;
 Libderiv->deriv_classes[2][6][9] = int_stack + 12768;
 Libderiv->deriv_classes[2][7][9] = int_stack + 12936;
 Libderiv->deriv_classes[2][8][9] = int_stack + 13152;
 Libderiv->deriv_classes[2][9][9] = int_stack + 13422;
 Libderiv->deriv_classes[2][10][9] = int_stack + 13752;
 Libderiv->deriv_classes[2][11][9] = int_stack + 14148;
 Libderiv->deriv_classes[2][12][9] = int_stack + 14616;
 Libderiv->deriv_classes[3][6][9] = int_stack + 15162;
 Libderiv->deriv_classes[3][7][9] = int_stack + 15442;
 Libderiv->deriv_classes[3][8][9] = int_stack + 15802;
 Libderiv->deriv_classes[3][9][9] = int_stack + 16252;
 Libderiv->deriv_classes[3][10][9] = int_stack + 16802;
 Libderiv->deriv_classes[3][11][9] = int_stack + 17462;
 Libderiv->deriv_classes[3][12][9] = int_stack + 18242;
 Libderiv->deriv_classes[2][6][8] = int_stack + 19152;
 Libderiv->deriv_classes[2][7][8] = int_stack + 19320;
 Libderiv->deriv_classes[2][8][8] = int_stack + 19536;
 Libderiv->deriv_classes[2][9][8] = int_stack + 19806;
 Libderiv->deriv_classes[2][10][8] = int_stack + 20136;
 Libderiv->deriv_classes[2][11][8] = int_stack + 20532;
 Libderiv->deriv_classes[2][12][8] = int_stack + 21000;
 Libderiv->deriv_classes[3][6][8] = int_stack + 21546;
 Libderiv->deriv_classes[3][7][8] = int_stack + 21826;
 Libderiv->deriv_classes[3][8][8] = int_stack + 22186;
 Libderiv->deriv_classes[3][9][8] = int_stack + 22636;
 Libderiv->deriv_classes[3][10][8] = int_stack + 23186;
 Libderiv->deriv_classes[3][11][8] = int_stack + 23846;
 Libderiv->deriv_classes[3][12][8] = int_stack + 24626;
 Libderiv->deriv_classes[2][6][7] = int_stack + 25536;
 Libderiv->deriv_classes[2][7][7] = int_stack + 25704;
 Libderiv->deriv_classes[2][8][7] = int_stack + 25920;
 Libderiv->deriv_classes[2][9][7] = int_stack + 26190;
 Libderiv->deriv_classes[2][10][7] = int_stack + 26520;
 Libderiv->deriv_classes[2][11][7] = int_stack + 26916;
 Libderiv->deriv_classes[2][12][7] = int_stack + 27384;
 Libderiv->deriv_classes[3][6][7] = int_stack + 27930;
 Libderiv->deriv_classes[3][7][7] = int_stack + 28210;
 Libderiv->deriv_classes[3][8][7] = int_stack + 28570;
 Libderiv->deriv_classes[3][9][7] = int_stack + 29020;
 Libderiv->deriv_classes[3][10][7] = int_stack + 29570;
 Libderiv->deriv_classes[3][11][7] = int_stack + 30230;
 Libderiv->deriv_classes[3][12][7] = int_stack + 31010;
 Libderiv->deriv_classes[2][6][6] = int_stack + 31920;
 Libderiv->deriv_classes[2][7][6] = int_stack + 32088;
 Libderiv->deriv_classes[2][8][6] = int_stack + 32304;
 Libderiv->deriv_classes[2][9][6] = int_stack + 32574;
 Libderiv->deriv_classes[2][10][6] = int_stack + 32904;
 Libderiv->deriv_classes[2][11][6] = int_stack + 33300;
 Libderiv->deriv_classes[2][12][6] = int_stack + 33768;
 Libderiv->dvrr_classes[3][6] = int_stack + 34314;
 Libderiv->deriv_classes[3][6][6] = int_stack + 34594;
 Libderiv->dvrr_classes[3][7] = int_stack + 34874;
 Libderiv->deriv_classes[3][7][6] = int_stack + 35234;
 Libderiv->dvrr_classes[3][8] = int_stack + 35594;
 Libderiv->deriv_classes[3][8][6] = int_stack + 36044;
 Libderiv->dvrr_classes[3][9] = int_stack + 36494;
 Libderiv->deriv_classes[3][9][6] = int_stack + 37044;
 Libderiv->dvrr_classes[3][10] = int_stack + 37594;
 Libderiv->deriv_classes[3][10][6] = int_stack + 38254;
 Libderiv->dvrr_classes[3][11] = int_stack + 38914;
 Libderiv->deriv_classes[3][11][6] = int_stack + 39694;
 Libderiv->deriv_classes[3][12][6] = int_stack + 40474;
 Libderiv->deriv_classes[2][6][2] = int_stack + 41384;
 Libderiv->deriv_classes[2][7][2] = int_stack + 41552;
 Libderiv->deriv_classes[2][8][2] = int_stack + 41768;
 Libderiv->deriv_classes[2][9][2] = int_stack + 42038;
 Libderiv->deriv_classes[2][10][2] = int_stack + 42368;
 Libderiv->deriv_classes[2][11][2] = int_stack + 42764;
 Libderiv->deriv_classes[2][12][2] = int_stack + 43232;
 Libderiv->deriv_classes[3][6][2] = int_stack + 43778;
 Libderiv->deriv_classes[3][7][2] = int_stack + 44058;
 Libderiv->deriv_classes[3][8][2] = int_stack + 44418;
 Libderiv->deriv_classes[3][9][2] = int_stack + 44868;
 Libderiv->deriv_classes[3][10][2] = int_stack + 45418;
 Libderiv->deriv_classes[3][11][2] = int_stack + 46078;
 Libderiv->deriv_classes[3][12][2] = int_stack + 46858;
 Libderiv->deriv_classes[2][6][1] = int_stack + 47768;
 Libderiv->deriv_classes[2][7][1] = int_stack + 47936;
 Libderiv->deriv_classes[2][8][1] = int_stack + 48152;
 Libderiv->deriv_classes[2][9][1] = int_stack + 48422;
 Libderiv->deriv_classes[2][10][1] = int_stack + 48752;
 Libderiv->deriv_classes[2][11][1] = int_stack + 49148;
 Libderiv->deriv_classes[2][12][1] = int_stack + 49616;
 Libderiv->deriv_classes[3][6][1] = int_stack + 50162;
 Libderiv->deriv_classes[3][7][1] = int_stack + 50442;
 Libderiv->deriv_classes[3][8][1] = int_stack + 50802;
 Libderiv->deriv_classes[3][9][1] = int_stack + 51252;
 Libderiv->deriv_classes[3][10][1] = int_stack + 51802;
 Libderiv->deriv_classes[3][11][1] = int_stack + 52462;
 Libderiv->deriv_classes[3][12][1] = int_stack + 53242;
 Libderiv->dvrr_classes[2][6] = int_stack + 54152;
 Libderiv->dvrr_classes[2][7] = int_stack + 54320;
 Libderiv->dvrr_classes[2][8] = int_stack + 54536;
 Libderiv->dvrr_classes[2][9] = int_stack + 54806;
 Libderiv->dvrr_classes[2][10] = int_stack + 55136;
 Libderiv->dvrr_classes[2][11] = int_stack + 55532;
 Libderiv->dvrr_classes[2][12] = int_stack + 56000;
 Libderiv->deriv_classes[2][6][0] = int_stack + 56546;
 Libderiv->deriv_classes[2][7][0] = int_stack + 56714;
 Libderiv->deriv_classes[2][8][0] = int_stack + 56930;
 Libderiv->deriv_classes[2][9][0] = int_stack + 57200;
 Libderiv->deriv_classes[2][10][0] = int_stack + 57530;
 Libderiv->deriv_classes[2][11][0] = int_stack + 57926;
 Libderiv->deriv_classes[2][12][0] = int_stack + 58394;
 Libderiv->deriv_classes[3][6][0] = int_stack + 58940;
 Libderiv->deriv_classes[3][7][0] = int_stack + 59220;
 Libderiv->deriv_classes[3][8][0] = int_stack + 59580;
 Libderiv->deriv_classes[3][9][0] = int_stack + 60030;
 Libderiv->deriv_classes[3][10][0] = int_stack + 60580;
 Libderiv->deriv_classes[3][11][0] = int_stack + 61240;
 Libderiv->deriv_classes[3][12][0] = int_stack + 62020;
 memset(int_stack,0,503440);

 Libderiv->dvrr_stack = int_stack + 200082;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_dpii(Libderiv, Data);
   Data++;
 }

 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+62930,int_stack+54320,int_stack+54152,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+63434,int_stack+54536,int_stack+54320,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+64082,int_stack+63434,int_stack+62930,6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+65090,int_stack+54806,int_stack+54536,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+65900,int_stack+65090,int_stack+63434,6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+67196,int_stack+65900,int_stack+64082,6);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+68876,int_stack+55136,int_stack+54806,6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+69866,int_stack+68876,int_stack+65090,6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+71486,int_stack+69866,int_stack+65900,6);
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+73646,int_stack+71486,int_stack+67196,6);
 /*--- compute (d0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+76166,int_stack+55532,int_stack+55136,6);
 /*--- compute (d0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+77354,int_stack+76166,int_stack+68876,6);
 /*--- compute (d0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+79334,int_stack+77354,int_stack+69866,6);
 /*--- compute (d0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+82034,int_stack+79334,int_stack+71486,6);
 /*--- compute (d0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+85274,int_stack+82034,int_stack+73646,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+88802,int_stack+168,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54152,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+89306,int_stack+384,int_stack+168, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54320,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+89954,int_stack+89306,int_stack+88802, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62930,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+90962,int_stack+654,int_stack+384, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54536,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+91772,int_stack+90962,int_stack+89306, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63434,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+93068,int_stack+91772,int_stack+89954, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64082,6);
 /*--- compute (d0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+88802,int_stack+984,int_stack+654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54806,6);
 /*--- compute (d0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+94748,int_stack+88802,int_stack+90962, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65090,6);
 /*--- compute (d0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+96368,int_stack+94748,int_stack+91772, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65900,6);
 /*--- compute (d0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+89792,int_stack+96368,int_stack+93068, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67196,6);
 /*--- compute (d0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+92312,int_stack+1380,int_stack+984, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55136,6);
 /*--- compute (d0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+98528,int_stack+92312,int_stack+88802, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68876,6);
 /*--- compute (d0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+100508,int_stack+98528,int_stack+94748, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69866,6);
 /*--- compute (d0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+103208,int_stack+100508,int_stack+96368, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71486,6);
 /*--- compute (d0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+93500,int_stack+103208,int_stack+89792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73646,6);
 /*--- compute (d0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+88802,int_stack+1848,int_stack+1380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55532,6);
 /*--- compute (d0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+0,int_stack+88802,int_stack+92312, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76166,6);
 /*--- compute (d0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+88802,int_stack+0,int_stack+98528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+77354,6);
 /*--- compute (d0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+106448,int_stack+88802,int_stack+100508, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+79334,6);
 /*--- compute (d0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+88802,int_stack+106448,int_stack+103208, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82034,6);
 /*--- compute (d0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+97028,int_stack+88802,int_stack+93500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85274,6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+88802,int_stack+34874,int_stack+34314,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+89642,int_stack+35594,int_stack+34874,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+90722,int_stack+89642,int_stack+88802,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+92402,int_stack+36494,int_stack+35594,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+93752,int_stack+92402,int_stack+89642,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+101732,int_stack+93752,int_stack+90722,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+0,int_stack+37594,int_stack+36494,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+104532,int_stack+0,int_stack+92402,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+107232,int_stack+104532,int_stack+93752,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+110832,int_stack+107232,int_stack+101732,10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+115032,int_stack+38914,int_stack+37594,10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+117012,int_stack+115032,int_stack+0,10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+120312,int_stack+117012,int_stack+104532,10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+124812,int_stack+120312,int_stack+107232,10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+130212,int_stack+124812,int_stack+110832,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+95912,int_stack+2674,int_stack+2394, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34314,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+136092,int_stack+3034,int_stack+2674, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34874,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+137172,int_stack+136092,int_stack+95912, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88802,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+1650,int_stack+3484,int_stack+3034, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35594,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+138852,int_stack+1650,int_stack+136092, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89642,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+141012,int_stack+138852,int_stack+137172, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90722,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+136092,int_stack+4034,int_stack+3484, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36494,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+143812,int_stack+136092,int_stack+1650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92402,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+146512,int_stack+143812,int_stack+138852, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93752,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+150112,int_stack+146512,int_stack+141012, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101732,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+1650,int_stack+4694,int_stack+4034, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37594,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+137742,int_stack+1650,int_stack+136092, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+154312,int_stack+137742,int_stack+143812, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104532,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+141042,int_stack+154312,int_stack+146512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107232,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+158812,int_stack+141042,int_stack+150112, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+110832,10);
 /*--- compute (f0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+146442,int_stack+5474,int_stack+4694, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38914,10);
 /*--- compute (f0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+148782,int_stack+146442,int_stack+1650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115032,10);
 /*--- compute (f0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+164692,int_stack+148782,int_stack+137742, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117012,10);
 /*--- compute (f0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+146442,int_stack+164692,int_stack+154312, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120312,10);
 /*--- compute (f0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+164692,int_stack+146442,int_stack+141042, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124812,10);
 /*--- compute (f0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+136092,int_stack+164692,int_stack+158812, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+130212,10);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1650,int_stack+6552,int_stack+6384, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54152, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2154,int_stack+6768,int_stack+6552, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54320, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2802,int_stack+2154,int_stack+1650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62930, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+3810,int_stack+7038,int_stack+6768, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54536, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+4620,int_stack+3810,int_stack+2154, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63434, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+143932,int_stack+4620,int_stack+2802, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64082, 0.0, zero_stack,6);
 /*--- compute (d0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+1650,int_stack+7368,int_stack+7038, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54806, 0.0, zero_stack,6);
 /*--- compute (d0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+145612,int_stack+1650,int_stack+3810, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65090, 0.0, zero_stack,6);
 /*--- compute (d0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+147232,int_stack+145612,int_stack+4620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65900, 0.0, zero_stack,6);
 /*--- compute (d0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+2640,int_stack+147232,int_stack+143932, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67196, 0.0, zero_stack,6);
 /*--- compute (d0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+143932,int_stack+7764,int_stack+7368, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55136, 0.0, zero_stack,6);
 /*--- compute (d0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+5160,int_stack+143932,int_stack+1650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68876, 0.0, zero_stack,6);
 /*--- compute (d0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+149392,int_stack+5160,int_stack+145612, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69866, 0.0, zero_stack,6);
 /*--- compute (d0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+152092,int_stack+149392,int_stack+147232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71486, 0.0, zero_stack,6);
 /*--- compute (d0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+145120,int_stack+152092,int_stack+2640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73646, 0.0, zero_stack,6);
 /*--- compute (d0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+1650,int_stack+8232,int_stack+7764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55532, 0.0, zero_stack,6);
 /*--- compute (d0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+155332,int_stack+1650,int_stack+143932, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76166, 0.0, zero_stack,6);
 /*--- compute (d0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+1650,int_stack+155332,int_stack+5160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+77354, 0.0, zero_stack,6);
 /*--- compute (d0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+155332,int_stack+1650,int_stack+149392, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+79334, 0.0, zero_stack,6);
 /*--- compute (d0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+1650,int_stack+155332,int_stack+152092, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82034, 0.0, zero_stack,6);
 /*--- compute (d0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+148648,int_stack+1650,int_stack+145120, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85274, 0.0, zero_stack,6);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1650,int_stack+9058,int_stack+8778, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34314, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2490,int_stack+9418,int_stack+9058, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34874, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+3570,int_stack+2490,int_stack+1650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88802, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+5250,int_stack+9868,int_stack+9418, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35594, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+6600,int_stack+5250,int_stack+2490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89642, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+143932,int_stack+6600,int_stack+3570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90722, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+1650,int_stack+10418,int_stack+9868, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36494, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+153352,int_stack+1650,int_stack+5250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92402, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+156052,int_stack+153352,int_stack+6600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93752, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+3300,int_stack+156052,int_stack+143932, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101732, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+143932,int_stack+11078,int_stack+10418, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37594, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+7500,int_stack+143932,int_stack+1650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+159652,int_stack+7500,int_stack+153352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104532, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+164152,int_stack+159652,int_stack+156052, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107232, 0.0, zero_stack,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+153352,int_stack+164152,int_stack+3300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+110832, 0.0, zero_stack,10);
 /*--- compute (f0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+1650,int_stack+11858,int_stack+11078, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38914, 0.0, zero_stack,10);
 /*--- compute (f0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+169552,int_stack+1650,int_stack+143932, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115032, 0.0, zero_stack,10);
 /*--- compute (f0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+1650,int_stack+169552,int_stack+7500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117012, 0.0, zero_stack,10);
 /*--- compute (f0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+169552,int_stack+1650,int_stack+159652, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120312, 0.0, zero_stack,10);
 /*--- compute (f0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+1650,int_stack+169552,int_stack+164152, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124812, 0.0, zero_stack,10);
 /*--- compute (f0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+159232,int_stack+1650,int_stack+153352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+130212, 0.0, zero_stack,10);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+153352,int_stack+12936,int_stack+12768, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54152, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+153856,int_stack+13152,int_stack+12936, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54320, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+154504,int_stack+153856,int_stack+153352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62930, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+155512,int_stack+13422,int_stack+13152, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54536, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+156322,int_stack+155512,int_stack+153856, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63434, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+1650,int_stack+156322,int_stack+154504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64082, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+153352,int_stack+13752,int_stack+13422, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54806, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+3330,int_stack+153352,int_stack+155512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65090, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+4950,int_stack+3330,int_stack+156322, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65900, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+154342,int_stack+4950,int_stack+1650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67196, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+1650,int_stack+14148,int_stack+13752, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55136, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+156862,int_stack+1650,int_stack+153352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68876, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+7110,int_stack+156862,int_stack+3330, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69866, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+9810,int_stack+7110,int_stack+4950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71486, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+2838,int_stack+9810,int_stack+154342, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73646, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+153352,int_stack+14616,int_stack+14148, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55532, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+143932,int_stack+153352,int_stack+1650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76166, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+153352,int_stack+143932,int_stack+156862, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+77354, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+143932,int_stack+153352,int_stack+7110, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+79334, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+153352,int_stack+143932,int_stack+9810, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82034, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+143932,int_stack+153352,int_stack+2838, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85274, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+153352,int_stack+15442,int_stack+15162, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34314, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+154192,int_stack+15802,int_stack+15442, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34874, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+155272,int_stack+154192,int_stack+153352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88802, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+156952,int_stack+16252,int_stack+15802, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35594, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+1650,int_stack+156952,int_stack+154192, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89642, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+3810,int_stack+1650,int_stack+155272, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90722, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+153352,int_stack+16802,int_stack+16252, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36494, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+6610,int_stack+153352,int_stack+156952, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92402, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+155002,int_stack+6610,int_stack+1650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93752, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+9310,int_stack+155002,int_stack+3810, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101732, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+1650,int_stack+17462,int_stack+16802, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37594, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+13510,int_stack+1650,int_stack+153352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+167072,int_stack+13510,int_stack+6610, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104532, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+3630,int_stack+167072,int_stack+155002, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107232, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+153352,int_stack+3630,int_stack+9310, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+110832, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+9030,int_stack+18242,int_stack+17462, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38914, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+171572,int_stack+9030,int_stack+1650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115032, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+175532,int_stack+171572,int_stack+13510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117012, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+9030,int_stack+175532,int_stack+167072, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120312, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+167072,int_stack+9030,int_stack+3630, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124812, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+1650,int_stack+167072,int_stack+153352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+130212, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+153352,int_stack+19320,int_stack+19152, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54152, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+153856,int_stack+19536,int_stack+19320, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+154504,int_stack+153856,int_stack+153352, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62930, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+155512,int_stack+19806,int_stack+19536, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+156322,int_stack+155512,int_stack+153856, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63434, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+167072,int_stack+156322,int_stack+154504, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64082, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+153352,int_stack+20136,int_stack+19806, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54806, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+168752,int_stack+153352,int_stack+155512, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+170372,int_stack+168752,int_stack+156322, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+154342,int_stack+170372,int_stack+167072, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67196, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+167072,int_stack+20532,int_stack+20136, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+156862,int_stack+167072,int_stack+153352, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68876, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+172532,int_stack+156862,int_stack+168752, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69866, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+175232,int_stack+172532,int_stack+170372, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71486, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+168260,int_stack+175232,int_stack+154342, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73646, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+153352,int_stack+21000,int_stack+20532, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55532, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+178472,int_stack+153352,int_stack+167072, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76166, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+153352,int_stack+178472,int_stack+156862, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+77354, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+9490,int_stack+153352,int_stack+172532, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+79334, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+153352,int_stack+9490,int_stack+175232, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82034, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+9490,int_stack+153352,int_stack+168260, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85274, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+153352,int_stack+21826,int_stack+21546, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34314, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+154192,int_stack+22186,int_stack+21826, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34874, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+155272,int_stack+154192,int_stack+153352, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88802, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+156952,int_stack+22636,int_stack+22186, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35594, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+14194,int_stack+156952,int_stack+154192, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89642, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+16354,int_stack+14194,int_stack+155272, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90722, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+153352,int_stack+23186,int_stack+22636, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36494, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+19154,int_stack+153352,int_stack+156952, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92402, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+155002,int_stack+19154,int_stack+14194, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93752, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+167072,int_stack+155002,int_stack+16354, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101732, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+14194,int_stack+23846,int_stack+23186, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37594, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+171272,int_stack+14194,int_stack+153352, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+174572,int_stack+171272,int_stack+19154, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104532, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+16174,int_stack+174572,int_stack+155002, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+153352,int_stack+16174,int_stack+167072, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+110832, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+167072,int_stack+24626,int_stack+23846, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38914, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+21574,int_stack+167072,int_stack+14194, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+179072,int_stack+21574,int_stack+171272, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117012, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+167072,int_stack+179072,int_stack+174572, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120312, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+173822,int_stack+167072,int_stack+16174, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124812, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+14194,int_stack+173822,int_stack+153352, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+130212, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+153352,int_stack+25704,int_stack+25536, 0.0, zero_stack, 1.0, int_stack+54152, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+153856,int_stack+25920,int_stack+25704, 0.0, zero_stack, 1.0, int_stack+54320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+154504,int_stack+153856,int_stack+153352, 0.0, zero_stack, 1.0, int_stack+62930, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+155512,int_stack+26190,int_stack+25920, 0.0, zero_stack, 1.0, int_stack+54536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+156322,int_stack+155512,int_stack+153856, 0.0, zero_stack, 1.0, int_stack+63434, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+167072,int_stack+156322,int_stack+154504, 0.0, zero_stack, 1.0, int_stack+64082, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+153352,int_stack+26520,int_stack+26190, 0.0, zero_stack, 1.0, int_stack+54806, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+168752,int_stack+153352,int_stack+155512, 0.0, zero_stack, 1.0, int_stack+65090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+170372,int_stack+168752,int_stack+156322, 0.0, zero_stack, 1.0, int_stack+65900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+154342,int_stack+170372,int_stack+167072, 0.0, zero_stack, 1.0, int_stack+67196, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+167072,int_stack+26916,int_stack+26520, 0.0, zero_stack, 1.0, int_stack+55136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+156862,int_stack+167072,int_stack+153352, 0.0, zero_stack, 1.0, int_stack+68876, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+172532,int_stack+156862,int_stack+168752, 0.0, zero_stack, 1.0, int_stack+69866, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+175232,int_stack+172532,int_stack+170372, 0.0, zero_stack, 1.0, int_stack+71486, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+168260,int_stack+175232,int_stack+154342, 0.0, zero_stack, 1.0, int_stack+73646, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+153352,int_stack+27384,int_stack+26916, 0.0, zero_stack, 1.0, int_stack+55532, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+178472,int_stack+153352,int_stack+167072, 0.0, zero_stack, 1.0, int_stack+76166, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+153352,int_stack+178472,int_stack+156862, 0.0, zero_stack, 1.0, int_stack+77354, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+178472,int_stack+153352,int_stack+172532, 0.0, zero_stack, 1.0, int_stack+79334, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+153352,int_stack+178472,int_stack+175232, 0.0, zero_stack, 1.0, int_stack+82034, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+171788,int_stack+153352,int_stack+168260, 0.0, zero_stack, 1.0, int_stack+85274, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+153352,int_stack+28210,int_stack+27930, 0.0, zero_stack, 1.0, int_stack+34314, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+154192,int_stack+28570,int_stack+28210, 0.0, zero_stack, 1.0, int_stack+34874, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+155272,int_stack+154192,int_stack+153352, 0.0, zero_stack, 1.0, int_stack+88802, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+156952,int_stack+29020,int_stack+28570, 0.0, zero_stack, 1.0, int_stack+35594, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+167072,int_stack+156952,int_stack+154192, 0.0, zero_stack, 1.0, int_stack+89642, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+176492,int_stack+167072,int_stack+155272, 0.0, zero_stack, 1.0, int_stack+90722, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+153352,int_stack+29570,int_stack+29020, 0.0, zero_stack, 1.0, int_stack+36494, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+179292,int_stack+153352,int_stack+156952, 0.0, zero_stack, 1.0, int_stack+92402, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+155002,int_stack+179292,int_stack+167072, 0.0, zero_stack, 1.0, int_stack+93752, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+167072,int_stack+155002,int_stack+176492, 0.0, zero_stack, 1.0, int_stack+101732, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+176492,int_stack+30230,int_stack+29570, 0.0, zero_stack, 1.0, int_stack+37594, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+22034,int_stack+176492,int_stack+153352, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+25334,int_stack+22034,int_stack+179292, 0.0, zero_stack, 1.0, int_stack+104532, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+178472,int_stack+25334,int_stack+155002, 0.0, zero_stack, 1.0, int_stack+107232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+153352,int_stack+178472,int_stack+167072, 0.0, zero_stack, 1.0, int_stack+110832, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+167072,int_stack+31010,int_stack+30230, 0.0, zero_stack, 1.0, int_stack+38914, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+183872,int_stack+167072,int_stack+176492, 0.0, zero_stack, 1.0, int_stack+115032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+187832,int_stack+183872,int_stack+22034, 0.0, zero_stack, 1.0, int_stack+117012, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+193332,int_stack+187832,int_stack+25334, 0.0, zero_stack, 1.0, int_stack+120312, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+22034,int_stack+193332,int_stack+178472, 0.0, zero_stack, 1.0, int_stack+124812, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+176492,int_stack+22034,int_stack+153352, 0.0, zero_stack, 1.0, int_stack+130212, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+153352,int_stack+32088,int_stack+31920, 1.0, int_stack+54152, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+153856,int_stack+32304,int_stack+32088, 1.0, int_stack+54320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+154504,int_stack+153856,int_stack+153352, 1.0, int_stack+62930, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+155512,int_stack+32574,int_stack+32304, 1.0, int_stack+54536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+156322,int_stack+155512,int_stack+153856, 1.0, int_stack+63434, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+22034,int_stack+156322,int_stack+154504, 1.0, int_stack+64082, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+62930,int_stack+32904,int_stack+32574, 1.0, int_stack+54806, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+153352,int_stack+62930,int_stack+155512, 1.0, int_stack+65090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+23714,int_stack+153352,int_stack+156322, 1.0, int_stack+65900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+63920,int_stack+23714,int_stack+22034, 1.0, int_stack+67196, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+22034,int_stack+33300,int_stack+32904, 1.0, int_stack+55136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+66440,int_stack+22034,int_stack+62930, 1.0, int_stack+68876, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+154972,int_stack+66440,int_stack+153352, 1.0, int_stack+69866, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+25874,int_stack+154972,int_stack+23714, 1.0, int_stack+71486, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+68420,int_stack+25874,int_stack+63920, 1.0, int_stack+73646, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+153352,int_stack+33768,int_stack+33300, 1.0, int_stack+55532, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+62930,int_stack+153352,int_stack+22034, 1.0, int_stack+76166, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+22034,int_stack+62930,int_stack+66440, 1.0, int_stack+77354, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+62930,int_stack+22034,int_stack+154972, 1.0, int_stack+79334, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+153352,int_stack+62930,int_stack+25874, 1.0, int_stack+82034, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+62930,int_stack+153352,int_stack+68420, 1.0, int_stack+85274, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+153352,int_stack+35234,int_stack+34594, 1.0, int_stack+34314, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+154192,int_stack+36044,int_stack+35234, 1.0, int_stack+34874, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+155272,int_stack+154192,int_stack+153352, 1.0, int_stack+88802, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+156952,int_stack+37044,int_stack+36044, 1.0, int_stack+35594, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+67634,int_stack+156952,int_stack+154192, 1.0, int_stack+89642, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+69794,int_stack+67634,int_stack+155272, 1.0, int_stack+90722, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+88802,int_stack+38254,int_stack+37044, 1.0, int_stack+36494, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+153352,int_stack+88802,int_stack+156952, 1.0, int_stack+92402, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+22034,int_stack+153352,int_stack+67634, 1.0, int_stack+93752, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+90452,int_stack+22034,int_stack+69794, 1.0, int_stack+101732, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+101732,int_stack+39694,int_stack+38254, 1.0, int_stack+37594, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+67634,int_stack+101732,int_stack+88802, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+70934,int_stack+67634,int_stack+153352, 1.0, int_stack+104532, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+153352,int_stack+70934,int_stack+22034, 1.0, int_stack+107232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+22034,int_stack+153352,int_stack+90452, 1.0, int_stack+110832, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+27914,int_stack+40474,int_stack+39694, 1.0, int_stack+38914, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+30254,int_stack+27914,int_stack+101732, 1.0, int_stack+115032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+101732,int_stack+30254,int_stack+67634, 1.0, int_stack+117012, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+107232,int_stack+101732,int_stack+70934, 1.0, int_stack+120312, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+67634,int_stack+107232,int_stack+153352, 1.0, int_stack+124812, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+101732,int_stack+67634,int_stack+22034, 1.0, int_stack+130212, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+22034,int_stack+56000,int_stack+55532,6);
 /*--- compute (d0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+23438,int_stack+22034,int_stack+76166,6);
 /*--- compute (d0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+25814,int_stack+23438,int_stack+77354,6);
 /*--- compute (d0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+29114,int_stack+25814,int_stack+79334,6);
 /*--- compute (d0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+22034,int_stack+29114,int_stack+82034,6);
 /*--- compute (d0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+26570,int_stack+22034,int_stack+85274,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+22034,int_stack+41552,int_stack+41384,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+22538,int_stack+41768,int_stack+41552,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+23186,int_stack+22538,int_stack+22034,6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+24194,int_stack+42038,int_stack+41768,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+25004,int_stack+24194,int_stack+22538,6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+31274,int_stack+25004,int_stack+23186,6);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+22034,int_stack+42368,int_stack+42038,6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+32954,int_stack+22034,int_stack+24194,6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+34574,int_stack+32954,int_stack+25004,6);
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+23024,int_stack+34574,int_stack+31274,6);
 /*--- compute (d0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+31274,int_stack+42764,int_stack+42368,6);
 /*--- compute (d0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+36734,int_stack+31274,int_stack+22034,6);
 /*--- compute (d0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+38714,int_stack+36734,int_stack+32954,6);
 /*--- compute (d0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+67634,int_stack+38714,int_stack+34574,6);
 /*--- compute (d0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+32462,int_stack+67634,int_stack+23024,6);
 /*--- compute (d0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+22034,int_stack+43232,int_stack+42764,6);
 /*--- compute (d0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+23438,int_stack+22034,int_stack+31274,6);
 /*--- compute (d0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+70874,int_stack+23438,int_stack+36734,6);
 /*--- compute (d0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+22034,int_stack+70874,int_stack+38714,6);
 /*--- compute (d0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+70874,int_stack+22034,int_stack+67634,6);
 /*--- compute (d0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+75410,int_stack+70874,int_stack+32462,6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+67634,int_stack+44058,int_stack+43778,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+68474,int_stack+44418,int_stack+44058,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+69554,int_stack+68474,int_stack+67634,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+71234,int_stack+44868,int_stack+44418,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+72584,int_stack+71234,int_stack+68474,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+22034,int_stack+72584,int_stack+69554,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+0,int_stack+45418,int_stack+44868,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+67634,int_stack+0,int_stack+71234,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+80114,int_stack+67634,int_stack+72584,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+70334,int_stack+80114,int_stack+22034,10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+22034,int_stack+46078,int_stack+45418,10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+83714,int_stack+22034,int_stack+0,10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+87014,int_stack+83714,int_stack+67634,10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+91514,int_stack+87014,int_stack+80114,10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+153352,int_stack+91514,int_stack+70334,10);
 /*--- compute (f0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+80114,int_stack+46858,int_stack+46078,10);
 /*--- compute (f0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+67634,int_stack+80114,int_stack+22034,10);
 /*--- compute (f0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+31274,int_stack+67634,int_stack+83714,10);
 /*--- compute (f0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+67634,int_stack+31274,int_stack+87014,10);
 /*--- compute (f0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+31274,int_stack+67634,int_stack+91514,10);
 /*--- compute (f0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+38834,int_stack+31274,int_stack+153352,10);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+153352,int_stack+47936,int_stack+47768,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+153856,int_stack+48152,int_stack+47936,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+154504,int_stack+153856,int_stack+153352,6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+155512,int_stack+48422,int_stack+48152,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+156322,int_stack+155512,int_stack+153856,6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+31274,int_stack+156322,int_stack+154504,6);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+153352,int_stack+48752,int_stack+48422,6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+32954,int_stack+153352,int_stack+155512,6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+34574,int_stack+32954,int_stack+156322,6);
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+154342,int_stack+34574,int_stack+31274,6);
 /*--- compute (d0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+31274,int_stack+49148,int_stack+48752,6);
 /*--- compute (d0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+156862,int_stack+31274,int_stack+153352,6);
 /*--- compute (d0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+67634,int_stack+156862,int_stack+32954,6);
 /*--- compute (d0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+70334,int_stack+67634,int_stack+34574,6);
 /*--- compute (d0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+32462,int_stack+70334,int_stack+154342,6);
 /*--- compute (d0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+153352,int_stack+49616,int_stack+49148,6);
 /*--- compute (d0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+35990,int_stack+153352,int_stack+31274,6);
 /*--- compute (d0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+153352,int_stack+35990,int_stack+156862,6);
 /*--- compute (d0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+22034,int_stack+153352,int_stack+67634,6);
 /*--- compute (d0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+153352,int_stack+22034,int_stack+70334,6);
 /*--- compute (d0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+67634,int_stack+153352,int_stack+32462,6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+153352,int_stack+50442,int_stack+50162,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+154192,int_stack+50802,int_stack+50442,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+155272,int_stack+154192,int_stack+153352,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+156952,int_stack+51252,int_stack+50802,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+22034,int_stack+156952,int_stack+154192,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+72338,int_stack+22034,int_stack+155272,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+0,int_stack+51802,int_stack+51252,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+153352,int_stack+0,int_stack+156952,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+31274,int_stack+153352,int_stack+22034,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+22034,int_stack+31274,int_stack+72338,10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+72338,int_stack+52462,int_stack+51802,10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+34874,int_stack+72338,int_stack+0,10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+46674,int_stack+34874,int_stack+153352,10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+153352,int_stack+46674,int_stack+31274,10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+80114,int_stack+153352,int_stack+22034,10);
 /*--- compute (f0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+22034,int_stack+53242,int_stack+52462,10);
 /*--- compute (f0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+51174,int_stack+22034,int_stack+72338,10);
 /*--- compute (f0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+85994,int_stack+51174,int_stack+34874,10);
 /*--- compute (f0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+31274,int_stack+85994,int_stack+46674,10);
 /*--- compute (f0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+46674,int_stack+31274,int_stack+153352,10);
 /*--- compute (f0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+85994,int_stack+46674,int_stack+80114,10);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+80114,int_stack+56714,int_stack+56546,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+80618,int_stack+56930,int_stack+56714,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+81266,int_stack+80618,int_stack+80114,6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+82274,int_stack+57200,int_stack+56930,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+83084,int_stack+82274,int_stack+80618,6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+46674,int_stack+83084,int_stack+81266,6);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+80114,int_stack+57530,int_stack+57200,6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+48354,int_stack+80114,int_stack+82274,6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+49974,int_stack+48354,int_stack+83084,6);
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+81104,int_stack+49974,int_stack+46674,6);
 /*--- compute (d0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+46674,int_stack+57926,int_stack+57530,6);
 /*--- compute (d0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+83624,int_stack+46674,int_stack+80114,6);
 /*--- compute (d0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+52134,int_stack+83624,int_stack+48354,6);
 /*--- compute (d0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+153352,int_stack+52134,int_stack+49974,6);
 /*--- compute (d0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+47862,int_stack+153352,int_stack+81104,6);
 /*--- compute (d0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+80114,int_stack+58394,int_stack+57926,6);
 /*--- compute (d0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+54834,int_stack+80114,int_stack+46674,6);
 /*--- compute (d0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+80114,int_stack+54834,int_stack+83624,6);
 /*--- compute (d0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+54834,int_stack+80114,int_stack+52134,6);
 /*--- compute (d0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+22034,int_stack+54834,int_stack+153352,6);
 /*--- compute (d0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+153352,int_stack+22034,int_stack+47862,6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+22034,int_stack+59220,int_stack+58940,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+22874,int_stack+59580,int_stack+59220,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+23954,int_stack+22874,int_stack+22034,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+80114,int_stack+60030,int_stack+59580,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+81464,int_stack+80114,int_stack+22874,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+46674,int_stack+81464,int_stack+23954,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+0,int_stack+60580,int_stack+60030,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+22034,int_stack+0,int_stack+80114,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+49474,int_stack+22034,int_stack+81464,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+80114,int_stack+49474,int_stack+46674,10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+46674,int_stack+61240,int_stack+60580,10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+53074,int_stack+46674,int_stack+0,10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+56374,int_stack+53074,int_stack+22034,10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+31274,int_stack+56374,int_stack+49474,10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+109572,int_stack+31274,int_stack+80114,10);
 /*--- compute (f0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+80114,int_stack+62020,int_stack+61240,10);
 /*--- compute (f0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+22034,int_stack+80114,int_stack+46674,10);
 /*--- compute (f0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+46674,int_stack+22034,int_stack+53074,10);
 /*--- compute (f0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+115452,int_stack+46674,int_stack+56374,10);
 /*--- compute (f0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+46674,int_stack+115452,int_stack+31274,10);
 /*--- compute (f0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+115452,int_stack+46674,int_stack+109572,10);
 /*--- compute (dp|ii) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+46674,int_stack+136092,int_stack+97028,784);
     Libderiv->ABCD[11] = int_stack + 46674;
 /*--- compute (dp|ii) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+123292,int_stack+159232,int_stack+148648,784);
     Libderiv->ABCD[10] = int_stack + 123292;
 /*--- compute (dp|ii) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+184332,int_stack+1650,int_stack+143932,784);
     Libderiv->ABCD[9] = int_stack + 184332;
 /*--- compute (dp|ii) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+137404,int_stack+14194,int_stack+9490,784);
     Libderiv->ABCD[8] = int_stack + 137404;
 /*--- compute (dp|ii) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+0,int_stack+176492,int_stack+171788,784);
     Libderiv->ABCD[7] = int_stack + 0;
 /*--- compute (dp|ii) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+158056,int_stack+101732,int_stack+62930,784);
     Libderiv->ABCD[6] = int_stack + 158056;
 /*--- compute (dp|ii) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+93834,int_stack+38834,int_stack+75410, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
     Libderiv->ABCD[2] = int_stack + 93834;
 /*--- compute (dp|ii) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+31274,int_stack+85994,int_stack+67634, 0.0, zero_stack, 1.0, int_stack+26570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
     Libderiv->ABCD[1] = int_stack + 31274;
 /*--- compute (dp|ii) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+60786,int_stack+115452,int_stack+153352, 1.0, int_stack+26570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
     Libderiv->ABCD[0] = int_stack + 60786;

}
