#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_idig(Libderiv_t *, prim_data *);

  /* Computes derivatives of (id|ig) integrals */

void d1hrr_order_idig(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[6][6][11] = int_stack + 0;
 Libderiv->deriv_classes[6][7][11] = int_stack + 784;
 Libderiv->deriv_classes[6][8][11] = int_stack + 1792;
 Libderiv->deriv_classes[6][9][11] = int_stack + 3052;
 Libderiv->deriv_classes[6][10][11] = int_stack + 4592;
 Libderiv->deriv_classes[7][6][11] = int_stack + 6440;
 Libderiv->deriv_classes[7][7][11] = int_stack + 7448;
 Libderiv->deriv_classes[7][8][11] = int_stack + 8744;
 Libderiv->deriv_classes[7][9][11] = int_stack + 10364;
 Libderiv->deriv_classes[7][10][11] = int_stack + 12344;
 Libderiv->deriv_classes[8][6][11] = int_stack + 14720;
 Libderiv->deriv_classes[8][7][11] = int_stack + 15980;
 Libderiv->deriv_classes[8][8][11] = int_stack + 17600;
 Libderiv->deriv_classes[8][9][11] = int_stack + 19625;
 Libderiv->deriv_classes[8][10][11] = int_stack + 22100;
 Libderiv->deriv_classes[6][6][10] = int_stack + 25070;
 Libderiv->deriv_classes[6][7][10] = int_stack + 25854;
 Libderiv->deriv_classes[6][8][10] = int_stack + 26862;
 Libderiv->deriv_classes[6][9][10] = int_stack + 28122;
 Libderiv->deriv_classes[6][10][10] = int_stack + 29662;
 Libderiv->deriv_classes[7][6][10] = int_stack + 31510;
 Libderiv->deriv_classes[7][7][10] = int_stack + 32518;
 Libderiv->deriv_classes[7][8][10] = int_stack + 33814;
 Libderiv->deriv_classes[7][9][10] = int_stack + 35434;
 Libderiv->deriv_classes[7][10][10] = int_stack + 37414;
 Libderiv->deriv_classes[8][6][10] = int_stack + 39790;
 Libderiv->deriv_classes[8][7][10] = int_stack + 41050;
 Libderiv->deriv_classes[8][8][10] = int_stack + 42670;
 Libderiv->deriv_classes[8][9][10] = int_stack + 44695;
 Libderiv->deriv_classes[8][10][10] = int_stack + 47170;
 Libderiv->deriv_classes[6][6][9] = int_stack + 50140;
 Libderiv->deriv_classes[6][7][9] = int_stack + 50924;
 Libderiv->deriv_classes[6][8][9] = int_stack + 51932;
 Libderiv->deriv_classes[6][9][9] = int_stack + 53192;
 Libderiv->deriv_classes[6][10][9] = int_stack + 54732;
 Libderiv->deriv_classes[7][6][9] = int_stack + 56580;
 Libderiv->deriv_classes[7][7][9] = int_stack + 57588;
 Libderiv->deriv_classes[7][8][9] = int_stack + 58884;
 Libderiv->deriv_classes[7][9][9] = int_stack + 60504;
 Libderiv->deriv_classes[7][10][9] = int_stack + 62484;
 Libderiv->deriv_classes[8][6][9] = int_stack + 64860;
 Libderiv->deriv_classes[8][7][9] = int_stack + 66120;
 Libderiv->deriv_classes[8][8][9] = int_stack + 67740;
 Libderiv->deriv_classes[8][9][9] = int_stack + 69765;
 Libderiv->deriv_classes[8][10][9] = int_stack + 72240;
 Libderiv->deriv_classes[6][6][8] = int_stack + 75210;
 Libderiv->deriv_classes[6][7][8] = int_stack + 75994;
 Libderiv->deriv_classes[6][8][8] = int_stack + 77002;
 Libderiv->deriv_classes[6][9][8] = int_stack + 78262;
 Libderiv->deriv_classes[6][10][8] = int_stack + 79802;
 Libderiv->deriv_classes[7][6][8] = int_stack + 81650;
 Libderiv->deriv_classes[7][7][8] = int_stack + 82658;
 Libderiv->deriv_classes[7][8][8] = int_stack + 83954;
 Libderiv->deriv_classes[7][9][8] = int_stack + 85574;
 Libderiv->deriv_classes[7][10][8] = int_stack + 87554;
 Libderiv->deriv_classes[8][6][8] = int_stack + 89930;
 Libderiv->deriv_classes[8][7][8] = int_stack + 91190;
 Libderiv->deriv_classes[8][8][8] = int_stack + 92810;
 Libderiv->deriv_classes[8][9][8] = int_stack + 94835;
 Libderiv->deriv_classes[8][10][8] = int_stack + 97310;
 Libderiv->deriv_classes[6][6][7] = int_stack + 100280;
 Libderiv->deriv_classes[6][7][7] = int_stack + 101064;
 Libderiv->deriv_classes[6][8][7] = int_stack + 102072;
 Libderiv->deriv_classes[6][9][7] = int_stack + 103332;
 Libderiv->deriv_classes[6][10][7] = int_stack + 104872;
 Libderiv->deriv_classes[7][6][7] = int_stack + 106720;
 Libderiv->deriv_classes[7][7][7] = int_stack + 107728;
 Libderiv->deriv_classes[7][8][7] = int_stack + 109024;
 Libderiv->deriv_classes[7][9][7] = int_stack + 110644;
 Libderiv->deriv_classes[7][10][7] = int_stack + 112624;
 Libderiv->deriv_classes[8][6][7] = int_stack + 115000;
 Libderiv->deriv_classes[8][7][7] = int_stack + 116260;
 Libderiv->deriv_classes[8][8][7] = int_stack + 117880;
 Libderiv->deriv_classes[8][9][7] = int_stack + 119905;
 Libderiv->deriv_classes[8][10][7] = int_stack + 122380;
 Libderiv->deriv_classes[6][6][6] = int_stack + 125350;
 Libderiv->deriv_classes[6][7][6] = int_stack + 126134;
 Libderiv->deriv_classes[6][8][6] = int_stack + 127142;
 Libderiv->deriv_classes[6][9][6] = int_stack + 128402;
 Libderiv->deriv_classes[6][10][6] = int_stack + 129942;
 Libderiv->deriv_classes[7][6][6] = int_stack + 131790;
 Libderiv->deriv_classes[7][7][6] = int_stack + 132798;
 Libderiv->deriv_classes[7][8][6] = int_stack + 134094;
 Libderiv->deriv_classes[7][9][6] = int_stack + 135714;
 Libderiv->deriv_classes[7][10][6] = int_stack + 137694;
 Libderiv->dvrr_classes[8][6] = int_stack + 140070;
 Libderiv->deriv_classes[8][6][6] = int_stack + 141330;
 Libderiv->dvrr_classes[8][7] = int_stack + 142590;
 Libderiv->deriv_classes[8][7][6] = int_stack + 144210;
 Libderiv->dvrr_classes[8][8] = int_stack + 145830;
 Libderiv->deriv_classes[8][8][6] = int_stack + 147855;
 Libderiv->dvrr_classes[8][9] = int_stack + 149880;
 Libderiv->deriv_classes[8][9][6] = int_stack + 152355;
 Libderiv->deriv_classes[8][10][6] = int_stack + 154830;
 Libderiv->deriv_classes[6][6][2] = int_stack + 157800;
 Libderiv->deriv_classes[6][7][2] = int_stack + 158584;
 Libderiv->deriv_classes[6][8][2] = int_stack + 159592;
 Libderiv->deriv_classes[6][9][2] = int_stack + 160852;
 Libderiv->deriv_classes[6][10][2] = int_stack + 162392;
 Libderiv->deriv_classes[7][6][2] = int_stack + 164240;
 Libderiv->deriv_classes[7][7][2] = int_stack + 165248;
 Libderiv->deriv_classes[7][8][2] = int_stack + 166544;
 Libderiv->deriv_classes[7][9][2] = int_stack + 168164;
 Libderiv->deriv_classes[7][10][2] = int_stack + 170144;
 Libderiv->deriv_classes[8][6][2] = int_stack + 172520;
 Libderiv->deriv_classes[8][7][2] = int_stack + 173780;
 Libderiv->deriv_classes[8][8][2] = int_stack + 175400;
 Libderiv->deriv_classes[8][9][2] = int_stack + 177425;
 Libderiv->deriv_classes[8][10][2] = int_stack + 179900;
 Libderiv->deriv_classes[6][6][1] = int_stack + 182870;
 Libderiv->deriv_classes[6][7][1] = int_stack + 183654;
 Libderiv->deriv_classes[6][8][1] = int_stack + 184662;
 Libderiv->deriv_classes[6][9][1] = int_stack + 185922;
 Libderiv->deriv_classes[6][10][1] = int_stack + 187462;
 Libderiv->deriv_classes[7][6][1] = int_stack + 189310;
 Libderiv->deriv_classes[7][7][1] = int_stack + 190318;
 Libderiv->deriv_classes[7][8][1] = int_stack + 191614;
 Libderiv->deriv_classes[7][9][1] = int_stack + 193234;
 Libderiv->deriv_classes[7][10][1] = int_stack + 195214;
 Libderiv->deriv_classes[8][6][1] = int_stack + 197590;
 Libderiv->deriv_classes[8][7][1] = int_stack + 198850;
 Libderiv->deriv_classes[8][8][1] = int_stack + 200470;
 Libderiv->deriv_classes[8][9][1] = int_stack + 202495;
 Libderiv->deriv_classes[8][10][1] = int_stack + 204970;
 Libderiv->dvrr_classes[6][6] = int_stack + 207940;
 Libderiv->dvrr_classes[6][7] = int_stack + 208724;
 Libderiv->dvrr_classes[6][8] = int_stack + 209732;
 Libderiv->dvrr_classes[6][9] = int_stack + 210992;
 Libderiv->dvrr_classes[6][10] = int_stack + 212532;
 Libderiv->deriv_classes[6][6][0] = int_stack + 214380;
 Libderiv->deriv_classes[6][7][0] = int_stack + 215164;
 Libderiv->deriv_classes[6][8][0] = int_stack + 216172;
 Libderiv->deriv_classes[6][9][0] = int_stack + 217432;
 Libderiv->deriv_classes[6][10][0] = int_stack + 218972;
 Libderiv->dvrr_classes[7][6] = int_stack + 220820;
 Libderiv->dvrr_classes[7][7] = int_stack + 221828;
 Libderiv->dvrr_classes[7][8] = int_stack + 223124;
 Libderiv->dvrr_classes[7][9] = int_stack + 224744;
 Libderiv->dvrr_classes[7][10] = int_stack + 226724;
 Libderiv->deriv_classes[7][6][0] = int_stack + 229100;
 Libderiv->deriv_classes[7][7][0] = int_stack + 230108;
 Libderiv->deriv_classes[7][8][0] = int_stack + 231404;
 Libderiv->deriv_classes[7][9][0] = int_stack + 233024;
 Libderiv->deriv_classes[7][10][0] = int_stack + 235004;
 Libderiv->deriv_classes[8][6][0] = int_stack + 237380;
 Libderiv->deriv_classes[8][7][0] = int_stack + 238640;
 Libderiv->deriv_classes[8][8][0] = int_stack + 240260;
 Libderiv->deriv_classes[8][9][0] = int_stack + 242285;
 Libderiv->deriv_classes[8][10][0] = int_stack + 244760;
 memset(int_stack,0,1981840);

 Libderiv->dvrr_stack = int_stack + 1026166;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_idig(Libderiv, Data);
   Data++;
 }

 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+247730,int_stack+208724,int_stack+207940,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+250082,int_stack+209732,int_stack+208724,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+253106,int_stack+250082,int_stack+247730,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+257810,int_stack+210992,int_stack+209732,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+261590,int_stack+257810,int_stack+250082,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+267638,int_stack+261590,int_stack+253106,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+275478,int_stack+784,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+207940,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+277830,int_stack+1792,int_stack+784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208724,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+280854,int_stack+277830,int_stack+275478, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+247730,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+285558,int_stack+3052,int_stack+1792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+209732,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+289338,int_stack+285558,int_stack+277830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+250082,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+295386,int_stack+289338,int_stack+280854, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+253106,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+275478,int_stack+4592,int_stack+3052, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+210992,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+303226,int_stack+275478,int_stack+285558, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+257810,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+275478,int_stack+303226,int_stack+289338, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+261590,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+303226,int_stack+275478,int_stack+295386, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+267638,28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+275478,int_stack+221828,int_stack+220820,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+278502,int_stack+223124,int_stack+221828,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+282390,int_stack+278502,int_stack+275478,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+288438,int_stack+224744,int_stack+223124,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+293298,int_stack+288438,int_stack+278502,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+314986,int_stack+293298,int_stack+282390,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+7448,int_stack+6440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+220820,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3024,int_stack+8744,int_stack+7448, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+221828,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+325066,int_stack+3024,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+275478,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+331114,int_stack+10364,int_stack+8744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+223124,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+335974,int_stack+331114,int_stack+3024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+278502,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+335974,int_stack+325066, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+282390,36);
 /*--- compute (k0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+325066,int_stack+12344,int_stack+10364, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+224744,36);
 /*--- compute (k0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+343750,int_stack+325066,int_stack+331114, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+288438,36);
 /*--- compute (k0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+353470,int_stack+343750,int_stack+335974, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+293298,36);
 /*--- compute (k0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+325066,int_stack+353470,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+314986,36);
 /*--- compute (ip|ig) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+340186,int_stack+325066,int_stack+303226,420);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+142590,int_stack+140070,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+3780,int_stack+145830,int_stack+142590,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+301074,int_stack+3780,int_stack+0,45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+8640,int_stack+149880,int_stack+145830,45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+375466,int_stack+8640,int_stack+3780,45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+385186,int_stack+375466,int_stack+301074,45);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+308634,int_stack+15980,int_stack+14720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+140070,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+397786,int_stack+17600,int_stack+15980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+142590,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+402646,int_stack+397786,int_stack+308634, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+308634,int_stack+19625,int_stack+17600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+145830,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+410206,int_stack+308634,int_stack+397786, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+419926,int_stack+410206,int_stack+402646, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+301074,45);
 /*--- compute (l0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+397786,int_stack+22100,int_stack+19625, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+149880,45);
 /*--- compute (l0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+432526,int_stack+397786,int_stack+308634, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8640,45);
 /*--- compute (l0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+444676,int_stack+432526,int_stack+410206, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+375466,45);
 /*--- compute (l0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+397786,int_stack+444676,int_stack+419926, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+385186,45);
 /*--- compute (kp|ig) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+416686,int_stack+397786,int_stack+325066,420);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+325066,int_stack+25854,int_stack+25070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+207940, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+327418,int_stack+26862,int_stack+25854, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208724, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+330442,int_stack+327418,int_stack+325066, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+247730, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+335146,int_stack+28122,int_stack+26862, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+209732, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+397786,int_stack+335146,int_stack+327418, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+250082, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+403834,int_stack+397786,int_stack+330442, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+253106, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+325066,int_stack+29662,int_stack+28122, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+210992, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+14715,int_stack+325066,int_stack+335146, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+257810, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+325066,int_stack+14715,int_stack+397786, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+261590, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+14715,int_stack+325066,int_stack+403834, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+267638, 0.0, zero_stack,28);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+325066,int_stack+32518,int_stack+31510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+220820, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+328090,int_stack+33814,int_stack+32518, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+221828, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+331978,int_stack+328090,int_stack+325066, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+275478, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+397786,int_stack+35434,int_stack+33814, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+223124, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+402646,int_stack+397786,int_stack+328090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+278502, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+462046,int_stack+402646,int_stack+331978, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+282390, 0.0, zero_stack,36);
 /*--- compute (k0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+325066,int_stack+37414,int_stack+35434, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+224744, 0.0, zero_stack,36);
 /*--- compute (k0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+26475,int_stack+325066,int_stack+397786, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+288438, 0.0, zero_stack,36);
 /*--- compute (k0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+325066,int_stack+26475,int_stack+402646, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+293298, 0.0, zero_stack,36);
 /*--- compute (k0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+397786,int_stack+325066,int_stack+462046, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+314986, 0.0, zero_stack,36);
 /*--- compute (ip|ig) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+462046,int_stack+397786,int_stack+14715,420);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+412906,int_stack+41050,int_stack+39790, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+140070, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+14715,int_stack+42670,int_stack+41050, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+142590, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+19575,int_stack+14715,int_stack+412906, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+27135,int_stack+44695,int_stack+42670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+145830, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+33210,int_stack+27135,int_stack+14715, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+325066,int_stack+33210,int_stack+19575, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+301074, 0.0, zero_stack,45);
 /*--- compute (l0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+14715,int_stack+47170,int_stack+44695, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+149880, 0.0, zero_stack,45);
 /*--- compute (l0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+497326,int_stack+14715,int_stack+27135, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8640, 0.0, zero_stack,45);
 /*--- compute (l0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+14715,int_stack+497326,int_stack+33210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+375466, 0.0, zero_stack,45);
 /*--- compute (l0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+30915,int_stack+14715,int_stack+325066, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+385186, 0.0, zero_stack,45);
 /*--- compute (kp|ig) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+497326,int_stack+30915,int_stack+397786,420);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+397786,int_stack+50924,int_stack+50140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+207940, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+400138,int_stack+51932,int_stack+50924, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208724, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+403162,int_stack+400138,int_stack+397786, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+247730, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+407866,int_stack+53192,int_stack+51932, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+209732, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+325066,int_stack+407866,int_stack+400138, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+250082, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+331114,int_stack+325066,int_stack+403162, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+253106, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+397786,int_stack+54732,int_stack+53192, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+210992, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+14715,int_stack+397786,int_stack+407866, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+257810, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+397786,int_stack+14715,int_stack+325066, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+261590, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+14715,int_stack+397786,int_stack+331114, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+267638, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+397786,int_stack+57588,int_stack+56580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+220820, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+400810,int_stack+58884,int_stack+57588, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+221828, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+404698,int_stack+400810,int_stack+397786, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+275478, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+410746,int_stack+60504,int_stack+58884, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+223124, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+325066,int_stack+410746,int_stack+400810, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+278502, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+26475,int_stack+325066,int_stack+404698, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+282390, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+397786,int_stack+62484,int_stack+60504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+224744, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+36555,int_stack+397786,int_stack+410746, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+288438, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+397786,int_stack+36555,int_stack+325066, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+293298, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+325066,int_stack+397786,int_stack+26475, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+314986, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|ig) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+26475,int_stack+325066,int_stack+14715,420);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+14715,int_stack+66120,int_stack+64860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+140070, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+18495,int_stack+67740,int_stack+66120, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+142590, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+397786,int_stack+18495,int_stack+14715, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+405346,int_stack+69765,int_stack+67740, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+145830, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+542686,int_stack+405346,int_stack+18495, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+552406,int_stack+542686,int_stack+397786, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+301074, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+397786,int_stack+72240,int_stack+69765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+149880, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+61755,int_stack+397786,int_stack+405346, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8640, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+397786,int_stack+61755,int_stack+542686, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+375466, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+565006,int_stack+397786,int_stack+552406, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+385186, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|ig) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+583906,int_stack+565006,int_stack+325066,420);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+325066,int_stack+75994,int_stack+75210, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+207940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+327418,int_stack+77002,int_stack+75994, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208724, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+330442,int_stack+327418,int_stack+325066, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+247730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+335146,int_stack+78262,int_stack+77002, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+209732, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+397786,int_stack+335146,int_stack+327418, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+250082, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+403834,int_stack+397786,int_stack+330442, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+253106, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+325066,int_stack+79802,int_stack+78262, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+210992, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+542686,int_stack+325066,int_stack+335146, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+257810, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+325066,int_stack+542686,int_stack+397786, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+261590, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+14715,int_stack+325066,int_stack+403834, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+267638, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+325066,int_stack+82658,int_stack+81650, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+220820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+328090,int_stack+83954,int_stack+82658, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+221828, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+331978,int_stack+328090,int_stack+325066, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+275478, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+397786,int_stack+85574,int_stack+83954, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+223124, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+402646,int_stack+397786,int_stack+328090, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+278502, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+542686,int_stack+402646,int_stack+331978, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+282390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+325066,int_stack+87554,int_stack+85574, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+224744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+552766,int_stack+325066,int_stack+397786, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+288438, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+325066,int_stack+552766,int_stack+402646, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+293298, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+552766,int_stack+325066,int_stack+542686, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+314986, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|ig) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+629266,int_stack+552766,int_stack+14715,420);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+14715,int_stack+91190,int_stack+89930, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+140070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+18495,int_stack+92810,int_stack+91190, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+142590, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+542686,int_stack+18495,int_stack+14715, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+325066,int_stack+94835,int_stack+92810, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+145830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+567886,int_stack+325066,int_stack+18495, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+397786,int_stack+567886,int_stack+542686, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+301074, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+542686,int_stack+97310,int_stack+94835, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+149880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+61755,int_stack+542686,int_stack+325066, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+73905,int_stack+61755,int_stack+567886, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+375466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+664546,int_stack+73905,int_stack+397786, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+385186, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|ig) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+683446,int_stack+664546,int_stack+552766,420);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+664546,int_stack+101064,int_stack+100280, 0.0, zero_stack, 1.0, int_stack+207940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+666898,int_stack+102072,int_stack+101064, 0.0, zero_stack, 1.0, int_stack+208724, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+669922,int_stack+666898,int_stack+664546, 0.0, zero_stack, 1.0, int_stack+247730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+674626,int_stack+103332,int_stack+102072, 0.0, zero_stack, 1.0, int_stack+209732, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+397786,int_stack+674626,int_stack+666898, 0.0, zero_stack, 1.0, int_stack+250082, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+403834,int_stack+397786,int_stack+669922, 0.0, zero_stack, 1.0, int_stack+253106, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+664546,int_stack+104872,int_stack+103332, 0.0, zero_stack, 1.0, int_stack+210992, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+61755,int_stack+664546,int_stack+674626, 0.0, zero_stack, 1.0, int_stack+257810, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+664546,int_stack+61755,int_stack+397786, 0.0, zero_stack, 1.0, int_stack+261590, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+14715,int_stack+664546,int_stack+403834, 0.0, zero_stack, 1.0, int_stack+267638, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+664546,int_stack+107728,int_stack+106720, 0.0, zero_stack, 1.0, int_stack+220820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+667570,int_stack+109024,int_stack+107728, 0.0, zero_stack, 1.0, int_stack+221828, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+671458,int_stack+667570,int_stack+664546, 0.0, zero_stack, 1.0, int_stack+275478, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+677506,int_stack+110644,int_stack+109024, 0.0, zero_stack, 1.0, int_stack+223124, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+397786,int_stack+677506,int_stack+667570, 0.0, zero_stack, 1.0, int_stack+278502, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+405562,int_stack+397786,int_stack+671458, 0.0, zero_stack, 1.0, int_stack+282390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+664546,int_stack+112624,int_stack+110644, 0.0, zero_stack, 1.0, int_stack+224744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+61755,int_stack+664546,int_stack+677506, 0.0, zero_stack, 1.0, int_stack+288438, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+664546,int_stack+61755,int_stack+397786, 0.0, zero_stack, 1.0, int_stack+293298, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+325066,int_stack+664546,int_stack+405562, 0.0, zero_stack, 1.0, int_stack+314986, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|ig) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+61755,int_stack+325066,int_stack+14715,420);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+14715,int_stack+116260,int_stack+115000, 0.0, zero_stack, 1.0, int_stack+140070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+18495,int_stack+117880,int_stack+116260, 0.0, zero_stack, 1.0, int_stack+142590, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+664546,int_stack+18495,int_stack+14715, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+672106,int_stack+119905,int_stack+117880, 0.0, zero_stack, 1.0, int_stack+145830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+397786,int_stack+672106,int_stack+18495, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+97035,int_stack+397786,int_stack+664546, 0.0, zero_stack, 1.0, int_stack+301074, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+664546,int_stack+122380,int_stack+119905, 0.0, zero_stack, 1.0, int_stack+149880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+109635,int_stack+664546,int_stack+672106, 0.0, zero_stack, 1.0, int_stack+8640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+664546,int_stack+109635,int_stack+397786, 0.0, zero_stack, 1.0, int_stack+375466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+397786,int_stack+664546,int_stack+97035, 0.0, zero_stack, 1.0, int_stack+385186, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|ig) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+728806,int_stack+397786,int_stack+325066,420);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+325066,int_stack+126134,int_stack+125350, 1.0, int_stack+207940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+327418,int_stack+127142,int_stack+126134, 1.0, int_stack+208724, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+330442,int_stack+327418,int_stack+325066, 1.0, int_stack+247730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+335146,int_stack+128402,int_stack+127142, 1.0, int_stack+209732, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+397786,int_stack+335146,int_stack+327418, 1.0, int_stack+250082, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+403834,int_stack+397786,int_stack+330442, 1.0, int_stack+253106, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+247730,int_stack+129942,int_stack+128402, 1.0, int_stack+210992, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+325066,int_stack+247730,int_stack+335146, 1.0, int_stack+257810, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+247730,int_stack+325066,int_stack+397786, 1.0, int_stack+261590, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+14715,int_stack+247730,int_stack+403834, 1.0, int_stack+267638, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+247730,int_stack+132798,int_stack+131790, 1.0, int_stack+220820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+250754,int_stack+134094,int_stack+132798, 1.0, int_stack+221828, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+397786,int_stack+250754,int_stack+247730, 1.0, int_stack+275478, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+403834,int_stack+135714,int_stack+134094, 1.0, int_stack+223124, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+408694,int_stack+403834,int_stack+250754, 1.0, int_stack+278502, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+247730,int_stack+408694,int_stack+397786, 1.0, int_stack+282390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+397786,int_stack+137694,int_stack+135714, 1.0, int_stack+224744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+275478,int_stack+397786,int_stack+403834, 1.0, int_stack+288438, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+325066,int_stack+275478,int_stack+408694, 1.0, int_stack+293298, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+397786,int_stack+325066,int_stack+247730, 1.0, int_stack+314986, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|ig) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+97035,int_stack+397786,int_stack+14715,420);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+412906,int_stack+144210,int_stack+141330, 1.0, int_stack+140070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+14715,int_stack+147855,int_stack+144210, 1.0, int_stack+142590, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+247730,int_stack+14715,int_stack+412906, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+19575,int_stack+152355,int_stack+147855, 1.0, int_stack+145830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+325066,int_stack+19575,int_stack+14715, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+275478,int_stack+325066,int_stack+247730, 1.0, int_stack+301074, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+301074,int_stack+154830,int_stack+152355, 1.0, int_stack+149880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+132315,int_stack+301074,int_stack+19575, 1.0, int_stack+8640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+0,int_stack+132315,int_stack+325066, 1.0, int_stack+375466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+664546,int_stack+0,int_stack+275478, 1.0, int_stack+385186, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|ig) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+774166,int_stack+664546,int_stack+397786,420);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+664546,int_stack+212532,int_stack+210992,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+669166,int_stack+664546,int_stack+257810,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+275478,int_stack+669166,int_stack+261590,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+664546,int_stack+275478,int_stack+267638,28);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+676306,int_stack+226724,int_stack+224744,36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+0,int_stack+676306,int_stack+288438,36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+9720,int_stack+0,int_stack+293298,36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+325066,int_stack+9720,int_stack+314986,36);
 /*--- compute (ip|ig) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+375466,int_stack+325066,int_stack+664546,420);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+158584,int_stack+157800,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+2352,int_stack+159592,int_stack+158584,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+5376,int_stack+2352,int_stack+0,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+10080,int_stack+160852,int_stack+159592,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+13860,int_stack+10080,int_stack+2352,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+132315,int_stack+13860,int_stack+5376,28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+0,int_stack+162392,int_stack+160852,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+140155,int_stack+0,int_stack+10080,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+0,int_stack+140155,int_stack+13860,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+140155,int_stack+0,int_stack+132315,28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+132315,int_stack+165248,int_stack+164240,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+135339,int_stack+166544,int_stack+165248,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+135339,int_stack+132315,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+6048,int_stack+168164,int_stack+166544,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+10908,int_stack+6048,int_stack+135339,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+151915,int_stack+10908,int_stack+0,36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+410746,int_stack+170144,int_stack+168164,36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+161995,int_stack+410746,int_stack+6048,36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+247730,int_stack+161995,int_stack+10908,36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+0,int_stack+247730,int_stack+151915,36);
 /*--- compute (ip|ig) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+247730,int_stack+0,int_stack+140155, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+664546, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+283010,int_stack+173780,int_stack+172520,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+286790,int_stack+175400,int_stack+173780,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+291650,int_stack+286790,int_stack+283010,45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+299210,int_stack+177425,int_stack+175400,45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+305285,int_stack+299210,int_stack+286790,45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+132315,int_stack+305285,int_stack+291650,45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+283010,int_stack+179900,int_stack+177425,45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+144915,int_stack+283010,int_stack+299210,45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+283010,int_stack+144915,int_stack+305285,45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+144915,int_stack+283010,int_stack+132315,45);
 /*--- compute (kp|ig) ---*/
   d1hrr1_build_kp(Libderiv->AB,int_stack+819526,int_stack+144915,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+325066, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+183654,int_stack+182870,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+2352,int_stack+184662,int_stack+183654,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+5376,int_stack+2352,int_stack+0,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+10080,int_stack+185922,int_stack+184662,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+13860,int_stack+10080,int_stack+2352,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+132315,int_stack+13860,int_stack+5376,28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+0,int_stack+187462,int_stack+185922,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+140155,int_stack+0,int_stack+10080,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+0,int_stack+140155,int_stack+13860,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+140155,int_stack+0,int_stack+132315,28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+132315,int_stack+190318,int_stack+189310,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+135339,int_stack+191614,int_stack+190318,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+135339,int_stack+132315,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+6048,int_stack+193234,int_stack+191614,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+10908,int_stack+6048,int_stack+135339,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+151915,int_stack+10908,int_stack+0,36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+410746,int_stack+195214,int_stack+193234,36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+161995,int_stack+410746,int_stack+6048,36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+171715,int_stack+161995,int_stack+10908,36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+0,int_stack+171715,int_stack+151915,36);
 /*--- compute (ip|ig) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+151915,int_stack+0,int_stack+140155, 0.0, zero_stack, 1.0, int_stack+664546, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+187195,int_stack+198850,int_stack+197590,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+190975,int_stack+200470,int_stack+198850,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+15120,int_stack+190975,int_stack+187195,45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+132315,int_stack+202495,int_stack+200470,45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+138390,int_stack+132315,int_stack+190975,45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+187195,int_stack+138390,int_stack+15120,45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+15120,int_stack+204970,int_stack+202495,45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+199795,int_stack+15120,int_stack+132315,45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+283010,int_stack+199795,int_stack+138390,45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+132315,int_stack+283010,int_stack+187195,45);
 /*--- compute (kp|ig) ---*/
   d1hrr1_build_kp(Libderiv->AB,int_stack+864886,int_stack+132315,int_stack+0, 0.0, zero_stack, 1.0, int_stack+325066, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+215164,int_stack+214380,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+2352,int_stack+216172,int_stack+215164,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+5376,int_stack+2352,int_stack+0,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+10080,int_stack+217432,int_stack+216172,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+13860,int_stack+10080,int_stack+2352,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+132315,int_stack+13860,int_stack+5376,28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+0,int_stack+218972,int_stack+217432,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+140155,int_stack+0,int_stack+10080,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+0,int_stack+140155,int_stack+13860,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+140155,int_stack+0,int_stack+132315,28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+132315,int_stack+230108,int_stack+229100,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+135339,int_stack+231404,int_stack+230108,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+135339,int_stack+132315,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+6048,int_stack+233024,int_stack+231404,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+10908,int_stack+6048,int_stack+135339,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+187195,int_stack+10908,int_stack+0,36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+410746,int_stack+235004,int_stack+233024,36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+197275,int_stack+410746,int_stack+6048,36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+206995,int_stack+197275,int_stack+10908,36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+0,int_stack+206995,int_stack+187195,36);
 /*--- compute (ip|ig) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+187195,int_stack+0,int_stack+140155, 1.0, int_stack+664546, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+664546,int_stack+238640,int_stack+237380,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+668326,int_stack+240260,int_stack+238640,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+673186,int_stack+668326,int_stack+664546,45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+222475,int_stack+242285,int_stack+240260,45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+228550,int_stack+222475,int_stack+668326,45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+132315,int_stack+228550,int_stack+673186,45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+664546,int_stack+244760,int_stack+242285,45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+283010,int_stack+664546,int_stack+222475,45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+664546,int_stack+283010,int_stack+228550,45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+283010,int_stack+664546,int_stack+132315,45);
 /*--- compute (kp|ig) ---*/
   d1hrr1_build_kp(Libderiv->AB,int_stack+910246,int_stack+283010,int_stack+0, 1.0, int_stack+325066, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
 /*--- compute (id|ig) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+955606,int_stack+416686,int_stack+340186,420);
     Libderiv->ABCD[11] = int_stack + 955606;
 /*--- compute (id|ig) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+283010,int_stack+497326,int_stack+462046,420);
     Libderiv->ABCD[10] = int_stack + 283010;
 /*--- compute (id|ig) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+410746,int_stack+583906,int_stack+26475,420);
     Libderiv->ABCD[9] = int_stack + 410746;
 /*--- compute (id|ig) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+481306,int_stack+683446,int_stack+629266,420);
     Libderiv->ABCD[8] = int_stack + 481306;
 /*--- compute (id|ig) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+551866,int_stack+728806,int_stack+61755,420);
     Libderiv->ABCD[7] = int_stack + 551866;
 /*--- compute (id|ig) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+0,int_stack+774166,int_stack+97035,420);
     Libderiv->ABCD[6] = int_stack + 0;
 /*--- compute (id|ig) ---*/
   d1hrr1_build_id(Libderiv->AB,int_stack+70560,int_stack+819526,int_stack+247730, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+375466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
     Libderiv->ABCD[2] = int_stack + 70560;
 /*--- compute (id|ig) ---*/
   d1hrr1_build_id(Libderiv->AB,int_stack+622426,int_stack+864886,int_stack+151915, 0.0, zero_stack, 1.0, int_stack+375466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
     Libderiv->ABCD[1] = int_stack + 622426;
 /*--- compute (id|ig) ---*/
   d1hrr1_build_id(Libderiv->AB,int_stack+692986,int_stack+910246,int_stack+187195, 1.0, int_stack+375466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
     Libderiv->ABCD[0] = int_stack + 692986;

}
