#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_ipif(Libderiv_t *, prim_data *);

  /* Computes derivatives of (ip|if) integrals */

void d1hrr_order_ipif(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[6][6][11] = int_stack + 0;
 Libderiv->deriv_classes[6][7][11] = int_stack + 784;
 Libderiv->deriv_classes[6][8][11] = int_stack + 1792;
 Libderiv->deriv_classes[6][9][11] = int_stack + 3052;
 Libderiv->deriv_classes[7][6][11] = int_stack + 4592;
 Libderiv->deriv_classes[7][7][11] = int_stack + 5600;
 Libderiv->deriv_classes[7][8][11] = int_stack + 6896;
 Libderiv->deriv_classes[7][9][11] = int_stack + 8516;
 Libderiv->deriv_classes[6][6][10] = int_stack + 10496;
 Libderiv->deriv_classes[6][7][10] = int_stack + 11280;
 Libderiv->deriv_classes[6][8][10] = int_stack + 12288;
 Libderiv->deriv_classes[6][9][10] = int_stack + 13548;
 Libderiv->deriv_classes[7][6][10] = int_stack + 15088;
 Libderiv->deriv_classes[7][7][10] = int_stack + 16096;
 Libderiv->deriv_classes[7][8][10] = int_stack + 17392;
 Libderiv->deriv_classes[7][9][10] = int_stack + 19012;
 Libderiv->deriv_classes[6][6][9] = int_stack + 20992;
 Libderiv->deriv_classes[6][7][9] = int_stack + 21776;
 Libderiv->deriv_classes[6][8][9] = int_stack + 22784;
 Libderiv->deriv_classes[6][9][9] = int_stack + 24044;
 Libderiv->deriv_classes[7][6][9] = int_stack + 25584;
 Libderiv->deriv_classes[7][7][9] = int_stack + 26592;
 Libderiv->deriv_classes[7][8][9] = int_stack + 27888;
 Libderiv->deriv_classes[7][9][9] = int_stack + 29508;
 Libderiv->deriv_classes[6][6][8] = int_stack + 31488;
 Libderiv->deriv_classes[6][7][8] = int_stack + 32272;
 Libderiv->deriv_classes[6][8][8] = int_stack + 33280;
 Libderiv->deriv_classes[6][9][8] = int_stack + 34540;
 Libderiv->deriv_classes[7][6][8] = int_stack + 36080;
 Libderiv->deriv_classes[7][7][8] = int_stack + 37088;
 Libderiv->deriv_classes[7][8][8] = int_stack + 38384;
 Libderiv->deriv_classes[7][9][8] = int_stack + 40004;
 Libderiv->deriv_classes[6][6][7] = int_stack + 41984;
 Libderiv->deriv_classes[6][7][7] = int_stack + 42768;
 Libderiv->deriv_classes[6][8][7] = int_stack + 43776;
 Libderiv->deriv_classes[6][9][7] = int_stack + 45036;
 Libderiv->deriv_classes[7][6][7] = int_stack + 46576;
 Libderiv->deriv_classes[7][7][7] = int_stack + 47584;
 Libderiv->deriv_classes[7][8][7] = int_stack + 48880;
 Libderiv->deriv_classes[7][9][7] = int_stack + 50500;
 Libderiv->deriv_classes[6][6][6] = int_stack + 52480;
 Libderiv->deriv_classes[6][7][6] = int_stack + 53264;
 Libderiv->deriv_classes[6][8][6] = int_stack + 54272;
 Libderiv->deriv_classes[6][9][6] = int_stack + 55532;
 Libderiv->dvrr_classes[7][6] = int_stack + 57072;
 Libderiv->deriv_classes[7][6][6] = int_stack + 58080;
 Libderiv->dvrr_classes[7][7] = int_stack + 59088;
 Libderiv->deriv_classes[7][7][6] = int_stack + 60384;
 Libderiv->dvrr_classes[7][8] = int_stack + 61680;
 Libderiv->deriv_classes[7][8][6] = int_stack + 63300;
 Libderiv->deriv_classes[7][9][6] = int_stack + 64920;
 Libderiv->deriv_classes[6][6][2] = int_stack + 66900;
 Libderiv->deriv_classes[6][7][2] = int_stack + 67684;
 Libderiv->deriv_classes[6][8][2] = int_stack + 68692;
 Libderiv->deriv_classes[6][9][2] = int_stack + 69952;
 Libderiv->deriv_classes[7][6][2] = int_stack + 71492;
 Libderiv->deriv_classes[7][7][2] = int_stack + 72500;
 Libderiv->deriv_classes[7][8][2] = int_stack + 73796;
 Libderiv->deriv_classes[7][9][2] = int_stack + 75416;
 Libderiv->deriv_classes[6][6][1] = int_stack + 77396;
 Libderiv->deriv_classes[6][7][1] = int_stack + 78180;
 Libderiv->deriv_classes[6][8][1] = int_stack + 79188;
 Libderiv->deriv_classes[6][9][1] = int_stack + 80448;
 Libderiv->deriv_classes[7][6][1] = int_stack + 81988;
 Libderiv->deriv_classes[7][7][1] = int_stack + 82996;
 Libderiv->deriv_classes[7][8][1] = int_stack + 84292;
 Libderiv->deriv_classes[7][9][1] = int_stack + 85912;
 Libderiv->dvrr_classes[6][6] = int_stack + 87892;
 Libderiv->dvrr_classes[6][7] = int_stack + 88676;
 Libderiv->dvrr_classes[6][8] = int_stack + 89684;
 Libderiv->dvrr_classes[6][9] = int_stack + 90944;
 Libderiv->deriv_classes[6][6][0] = int_stack + 92484;
 Libderiv->deriv_classes[6][7][0] = int_stack + 93268;
 Libderiv->deriv_classes[6][8][0] = int_stack + 94276;
 Libderiv->deriv_classes[6][9][0] = int_stack + 95536;
 Libderiv->deriv_classes[7][6][0] = int_stack + 97076;
 Libderiv->deriv_classes[7][7][0] = int_stack + 98084;
 Libderiv->deriv_classes[7][8][0] = int_stack + 99380;
 Libderiv->deriv_classes[7][9][0] = int_stack + 101000;
 memset(int_stack,0,823840);

 Libderiv->dvrr_stack = int_stack + 290084;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_ipif(Libderiv, Data);
   Data++;
 }

 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+102980,int_stack+88676,int_stack+87892,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+105332,int_stack+89684,int_stack+88676,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+108356,int_stack+105332,int_stack+102980,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+113060,int_stack+784,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87892,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+115412,int_stack+1792,int_stack+784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88676,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+118436,int_stack+115412,int_stack+113060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+102980,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+123140,int_stack+3052,int_stack+1792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89684,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+126920,int_stack+123140,int_stack+115412, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105332,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+132968,int_stack+126920,int_stack+118436, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108356,28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+113060,int_stack+59088,int_stack+57072,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+116084,int_stack+61680,int_stack+59088,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+119972,int_stack+116084,int_stack+113060,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+126020,int_stack+5600,int_stack+4592, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57072,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+129044,int_stack+6896,int_stack+5600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59088,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+129044,int_stack+126020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+113060,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+140808,int_stack+8516,int_stack+6896, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61680,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+145668,int_stack+140808,int_stack+129044, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116084,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+153444,int_stack+145668,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119972,36);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+11280,int_stack+10496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87892, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2352,int_stack+12288,int_stack+11280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88676, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+5376,int_stack+2352,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+102980, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+140808,int_stack+13548,int_stack+12288, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89684, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+144588,int_stack+140808,int_stack+2352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105332, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+163524,int_stack+144588,int_stack+5376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108356, 0.0, zero_stack,28);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+140808,int_stack+16096,int_stack+15088, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57072, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+143832,int_stack+17392,int_stack+16096, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59088, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+143832,int_stack+140808, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+113060, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+147720,int_stack+19012,int_stack+17392, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61680, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+6048,int_stack+147720,int_stack+143832, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116084, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+140808,int_stack+6048,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119972, 0.0, zero_stack,36);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+21776,int_stack+20992, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87892, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2352,int_stack+22784,int_stack+21776, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88676, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+5376,int_stack+2352,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+102980, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+10080,int_stack+24044,int_stack+22784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89684, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+13860,int_stack+10080,int_stack+2352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105332, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+171364,int_stack+13860,int_stack+5376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108356, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+26592,int_stack+25584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57072, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3024,int_stack+27888,int_stack+26592, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59088, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+6912,int_stack+3024,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+113060, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+12960,int_stack+29508,int_stack+27888, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61680, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+17820,int_stack+12960,int_stack+3024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116084, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+179204,int_stack+17820,int_stack+6912, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119972, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+32272,int_stack+31488, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87892, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2352,int_stack+33280,int_stack+32272, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88676, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+5376,int_stack+2352,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+102980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+10080,int_stack+34540,int_stack+33280, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+13860,int_stack+10080,int_stack+2352, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105332, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+19908,int_stack+13860,int_stack+5376, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108356, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+37088,int_stack+36080, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57072, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3024,int_stack+38384,int_stack+37088, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59088, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+6912,int_stack+3024,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+113060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+12960,int_stack+40004,int_stack+38384, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+27748,int_stack+12960,int_stack+3024, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116084, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+189284,int_stack+27748,int_stack+6912, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119972, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+27748,int_stack+42768,int_stack+41984, 0.0, zero_stack, 1.0, int_stack+87892, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+30100,int_stack+43776,int_stack+42768, 0.0, zero_stack, 1.0, int_stack+88676, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+33124,int_stack+30100,int_stack+27748, 0.0, zero_stack, 1.0, int_stack+102980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+37828,int_stack+45036,int_stack+43776, 0.0, zero_stack, 1.0, int_stack+89684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+0,int_stack+37828,int_stack+30100, 0.0, zero_stack, 1.0, int_stack+105332, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+37828,int_stack+0,int_stack+33124, 0.0, zero_stack, 1.0, int_stack+108356, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+47584,int_stack+46576, 0.0, zero_stack, 1.0, int_stack+57072, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3024,int_stack+48880,int_stack+47584, 0.0, zero_stack, 1.0, int_stack+59088, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+6912,int_stack+3024,int_stack+0, 0.0, zero_stack, 1.0, int_stack+113060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+12960,int_stack+50500,int_stack+48880, 0.0, zero_stack, 1.0, int_stack+61680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+27748,int_stack+12960,int_stack+3024, 0.0, zero_stack, 1.0, int_stack+116084, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+199364,int_stack+27748,int_stack+6912, 0.0, zero_stack, 1.0, int_stack+119972, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+27748,int_stack+53264,int_stack+52480, 1.0, int_stack+87892, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+30100,int_stack+54272,int_stack+53264, 1.0, int_stack+88676, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+33124,int_stack+30100,int_stack+27748, 1.0, int_stack+102980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+55532,int_stack+54272, 1.0, int_stack+89684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+3780,int_stack+0,int_stack+30100, 1.0, int_stack+105332, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+9828,int_stack+3780,int_stack+33124, 1.0, int_stack+108356, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+60384,int_stack+58080, 1.0, int_stack+57072, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3024,int_stack+63300,int_stack+60384, 1.0, int_stack+59088, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+27748,int_stack+3024,int_stack+0, 1.0, int_stack+113060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+45668,int_stack+64920,int_stack+63300, 1.0, int_stack+61680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+50528,int_stack+45668,int_stack+3024, 1.0, int_stack+116084, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+209444,int_stack+50528,int_stack+27748, 1.0, int_stack+119972, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+27748,int_stack+90944,int_stack+89684,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+31528,int_stack+27748,int_stack+105332,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+45668,int_stack+31528,int_stack+108356,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+27748,int_stack+67684,int_stack+66900,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+30100,int_stack+68692,int_stack+67684,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+33124,int_stack+30100,int_stack+27748,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+53508,int_stack+69952,int_stack+68692,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+57288,int_stack+53508,int_stack+30100,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+63336,int_stack+57288,int_stack+33124,28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+53508,int_stack+72500,int_stack+71492,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+56532,int_stack+73796,int_stack+72500,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+27748,int_stack+56532,int_stack+53508,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+75416,int_stack+73796,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+102980,int_stack+0,int_stack+56532,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+110756,int_stack+102980,int_stack+27748,36);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+27748,int_stack+78180,int_stack+77396,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+30100,int_stack+79188,int_stack+78180,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+33124,int_stack+30100,int_stack+27748,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+102980,int_stack+80448,int_stack+79188,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+0,int_stack+102980,int_stack+30100,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+53508,int_stack+0,int_stack+33124,28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+82996,int_stack+81988,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+3024,int_stack+84292,int_stack+82996,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+102980,int_stack+3024,int_stack+0,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+27748,int_stack+85912,int_stack+84292,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+71176,int_stack+27748,int_stack+3024,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+27748,int_stack+71176,int_stack+102980,36);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+102980,int_stack+93268,int_stack+92484,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+105332,int_stack+94276,int_stack+93268,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+71176,int_stack+105332,int_stack+102980,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+75880,int_stack+95536,int_stack+94276,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+79660,int_stack+75880,int_stack+105332,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+85708,int_stack+79660,int_stack+71176,28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+71176,int_stack+98084,int_stack+97076,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+74200,int_stack+99380,int_stack+98084,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+78088,int_stack+74200,int_stack+71176,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+102980,int_stack+101000,int_stack+99380,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+93548,int_stack+102980,int_stack+74200,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+120836,int_stack+93548,int_stack+78088,36);
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+219524,int_stack+153444,int_stack+132968,280);
     Libderiv->ABCD[11] = int_stack + 219524;
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+243044,int_stack+140808,int_stack+163524,280);
     Libderiv->ABCD[10] = int_stack + 243044;
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+130916,int_stack+179204,int_stack+171364,280);
     Libderiv->ABCD[9] = int_stack + 130916;
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+154436,int_stack+189284,int_stack+19908,280);
     Libderiv->ABCD[8] = int_stack + 154436;
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+266564,int_stack+199364,int_stack+37828,280);
     Libderiv->ABCD[7] = int_stack + 266564;
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+177956,int_stack+209444,int_stack+9828,280);
     Libderiv->ABCD[6] = int_stack + 177956;
 /*--- compute (ip|if) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+0,int_stack+110756,int_stack+63336, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+45668, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
     Libderiv->ABCD[2] = int_stack + 0;
 /*--- compute (ip|if) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+93548,int_stack+27748,int_stack+53508, 0.0, zero_stack, 1.0, int_stack+45668, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
     Libderiv->ABCD[1] = int_stack + 93548;
 /*--- compute (ip|if) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+53508,int_stack+120836,int_stack+85708, 1.0, int_stack+45668, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
     Libderiv->ABCD[0] = int_stack + 53508;

}
