#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_ppip(Libderiv_t *, prim_data *);

  /* Computes derivatives of (pp|ip) integrals */

void d1hrr_order_ppip(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[1][6][11] = int_stack + 0;
 Libderiv->deriv_classes[1][7][11] = int_stack + 84;
 Libderiv->deriv_classes[2][6][11] = int_stack + 192;
 Libderiv->deriv_classes[2][7][11] = int_stack + 360;
 Libderiv->deriv_classes[1][6][10] = int_stack + 576;
 Libderiv->deriv_classes[1][7][10] = int_stack + 660;
 Libderiv->deriv_classes[2][6][10] = int_stack + 768;
 Libderiv->deriv_classes[2][7][10] = int_stack + 936;
 Libderiv->deriv_classes[1][6][9] = int_stack + 1152;
 Libderiv->deriv_classes[1][7][9] = int_stack + 1236;
 Libderiv->deriv_classes[2][6][9] = int_stack + 1344;
 Libderiv->deriv_classes[2][7][9] = int_stack + 1512;
 Libderiv->deriv_classes[1][6][8] = int_stack + 1728;
 Libderiv->deriv_classes[1][7][8] = int_stack + 1812;
 Libderiv->deriv_classes[2][6][8] = int_stack + 1920;
 Libderiv->deriv_classes[2][7][8] = int_stack + 2088;
 Libderiv->deriv_classes[1][6][7] = int_stack + 2304;
 Libderiv->deriv_classes[1][7][7] = int_stack + 2388;
 Libderiv->deriv_classes[2][6][7] = int_stack + 2496;
 Libderiv->deriv_classes[2][7][7] = int_stack + 2664;
 Libderiv->deriv_classes[1][6][6] = int_stack + 2880;
 Libderiv->deriv_classes[1][7][6] = int_stack + 2964;
 Libderiv->dvrr_classes[2][6] = int_stack + 3072;
 Libderiv->deriv_classes[2][6][6] = int_stack + 3240;
 Libderiv->deriv_classes[2][7][6] = int_stack + 3408;
 Libderiv->deriv_classes[1][6][2] = int_stack + 3624;
 Libderiv->deriv_classes[1][7][2] = int_stack + 3708;
 Libderiv->deriv_classes[2][6][2] = int_stack + 3816;
 Libderiv->deriv_classes[2][7][2] = int_stack + 3984;
 Libderiv->deriv_classes[1][6][1] = int_stack + 4200;
 Libderiv->deriv_classes[1][7][1] = int_stack + 4284;
 Libderiv->deriv_classes[2][6][1] = int_stack + 4392;
 Libderiv->deriv_classes[2][7][1] = int_stack + 4560;
 Libderiv->dvrr_classes[1][6] = int_stack + 4776;
 Libderiv->dvrr_classes[1][7] = int_stack + 4860;
 Libderiv->deriv_classes[1][6][0] = int_stack + 4968;
 Libderiv->deriv_classes[1][7][0] = int_stack + 5052;
 Libderiv->deriv_classes[2][6][0] = int_stack + 5160;
 Libderiv->deriv_classes[2][7][0] = int_stack + 5328;
 memset(int_stack,0,44352);

 Libderiv->dvrr_stack = int_stack + 8568;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_ppip(Libderiv, Data);
   Data++;
 }

 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+5544,int_stack+84,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4776,3);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+5796,int_stack+360,int_stack+192, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3072,6);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+660,int_stack+576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4776, 0.0, zero_stack,3);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+252,int_stack+936,int_stack+768, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3072, 0.0, zero_stack,6);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+756,int_stack+1236,int_stack+1152, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4776, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6300,int_stack+1512,int_stack+1344, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3072, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1008,int_stack+1812,int_stack+1728, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4776, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1260,int_stack+2088,int_stack+1920, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3072, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1764,int_stack+2388,int_stack+2304, 0.0, zero_stack, 1.0, int_stack+4776, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6804,int_stack+2664,int_stack+2496, 0.0, zero_stack, 1.0, int_stack+3072, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2016,int_stack+2964,int_stack+2880, 1.0, int_stack+4776, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2268,int_stack+3408,int_stack+3240, 1.0, int_stack+3072, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+2772,int_stack+4860,int_stack+4776,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+3024,int_stack+3708,int_stack+3624,3);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+3276,int_stack+3984,int_stack+3816,6);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+3780,int_stack+4284,int_stack+4200,3);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+7308,int_stack+4560,int_stack+4392,6);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+4032,int_stack+5052,int_stack+4968,3);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+4284,int_stack+5328,int_stack+5160,6);
 /*--- compute (pp|ip) ---*/
   hrr1_build_pp(Libderiv->AB,int_stack+4788,int_stack+5796,int_stack+5544,84);
     Libderiv->ABCD[11] = int_stack + 4788;
 /*--- compute (pp|ip) ---*/
   hrr1_build_pp(Libderiv->AB,int_stack+5544,int_stack+252,int_stack+0,84);
     Libderiv->ABCD[10] = int_stack + 5544;
 /*--- compute (pp|ip) ---*/
   hrr1_build_pp(Libderiv->AB,int_stack+0,int_stack+6300,int_stack+756,84);
     Libderiv->ABCD[9] = int_stack + 0;
 /*--- compute (pp|ip) ---*/
   hrr1_build_pp(Libderiv->AB,int_stack+7812,int_stack+1260,int_stack+1008,84);
     Libderiv->ABCD[8] = int_stack + 7812;
 /*--- compute (pp|ip) ---*/
   hrr1_build_pp(Libderiv->AB,int_stack+756,int_stack+6804,int_stack+1764,84);
     Libderiv->ABCD[7] = int_stack + 756;
 /*--- compute (pp|ip) ---*/
   hrr1_build_pp(Libderiv->AB,int_stack+6300,int_stack+2268,int_stack+2016,84);
     Libderiv->ABCD[6] = int_stack + 6300;
 /*--- compute (pp|ip) ---*/
   d1hrr1_build_pp(Libderiv->AB,int_stack+1512,int_stack+3276,int_stack+3024, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2772, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,84);
     Libderiv->ABCD[2] = int_stack + 1512;
 /*--- compute (pp|ip) ---*/
   d1hrr1_build_pp(Libderiv->AB,int_stack+3024,int_stack+7308,int_stack+3780, 0.0, zero_stack, 1.0, int_stack+2772, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,84);
     Libderiv->ABCD[1] = int_stack + 3024;
 /*--- compute (pp|ip) ---*/
   d1hrr1_build_pp(Libderiv->AB,int_stack+7056,int_stack+4284,int_stack+4032, 1.0, int_stack+2772, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,84);
     Libderiv->ABCD[0] = int_stack + 7056;

}
