#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_00mh(Libint_t*, prim_data*);

  /* Computes quartets of (00|mh) integrals */

REALTYPE *hrr_order_00mh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[0][9] = int_stack + 0;
 Libint->vrr_classes[0][10] = int_stack + 55;
 Libint->vrr_classes[0][11] = int_stack + 121;
 Libint->vrr_classes[0][12] = int_stack + 199;
 Libint->vrr_classes[0][13] = int_stack + 290;
 Libint->vrr_classes[0][14] = int_stack + 395;
 memset(int_stack,0,515*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 515;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_00mh(Libint, Data);
   Data++;
 }
 /*--- compute (00|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+515,int_stack+55,int_stack+0,1);
 /*--- compute (00|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+680,int_stack+121,int_stack+55,1);
 /*--- compute (00|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+878,int_stack+680,int_stack+515,1);
 /*--- compute (00|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1208,int_stack+199,int_stack+121,1);
 /*--- compute (00|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1442,int_stack+1208,int_stack+680,1);
 /*--- compute (00|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+1838,int_stack+1442,int_stack+878,1);
 /*--- compute (00|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+515,int_stack+290,int_stack+199,1);
 /*--- compute (00|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+2388,int_stack+515,int_stack+1208,1);
 /*--- compute (00|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+2856,int_stack+2388,int_stack+1442,1);
 /*--- compute (00|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+788,int_stack+2856,int_stack+1838,1);
 /*--- compute (00|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1613,int_stack+395,int_stack+290,1);
 /*--- compute (00|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+3516,int_stack+1613,int_stack+515,1);
 /*--- compute (00|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+3516,int_stack+2388,1);
 /*--- compute (00|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+3516,int_stack+0,int_stack+2856,1);
 /*--- compute (00|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1613,int_stack+3516,int_stack+788,1);
 return int_stack+1613;}
