#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_d0id(Libint_t*, prim_data*);

  /* Computes quartets of (d0|id) integrals */

REALTYPE *hrr_order_d0id(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][6] = int_stack + 0;
 Libint->vrr_classes[2][7] = int_stack + 168;
 Libint->vrr_classes[2][8] = int_stack + 384;
 memset(int_stack,0,654*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 654;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_d0id(Libint, Data);
   Data++;
 }
 /*--- compute (d0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+654,int_stack+168,int_stack+0,6);
 /*--- compute (d0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+1158,int_stack+384,int_stack+168,6);
 /*--- compute (d0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+1806,int_stack+1158,int_stack+654,6);
 return int_stack+1806;}
