#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ddkd(Libint_t*, prim_data*);

  /* Computes quartets of (dd|kd) integrals */

REALTYPE *hrr_order_ddkd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][7] = int_stack + 0;
 Libint->vrr_classes[2][8] = int_stack + 216;
 Libint->vrr_classes[2][9] = int_stack + 486;
 Libint->vrr_classes[3][7] = int_stack + 816;
 Libint->vrr_classes[3][8] = int_stack + 1176;
 Libint->vrr_classes[3][9] = int_stack + 1626;
 Libint->vrr_classes[4][7] = int_stack + 2176;
 Libint->vrr_classes[4][8] = int_stack + 2716;
 Libint->vrr_classes[4][9] = int_stack + 3391;
 memset(int_stack,0,4216*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 4216;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ddkd(Libint, Data);
   Data++;
 }
 /*--- compute (d0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+4216,int_stack+216,int_stack+0,6);
 /*--- compute (d0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+4864,int_stack+486,int_stack+216,6);
 /*--- compute (d0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+5674,int_stack+4864,int_stack+4216,6);
 /*--- compute (f0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+4216,int_stack+1176,int_stack+816,10);
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+6970,int_stack+1626,int_stack+1176,10);
 /*--- compute (f0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+0,int_stack+6970,int_stack+4216,10);
 /*--- compute (dp|kd) ---*/
 hrr1_build_dp(Libint->AB,int_stack+6970,int_stack+0,int_stack+5674,216);
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+4216,int_stack+2716,int_stack+2176,15);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+10858,int_stack+3391,int_stack+2716,15);
 /*--- compute (g0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+12883,int_stack+10858,int_stack+4216,15);
 /*--- compute (fp|kd) ---*/
 hrr1_build_fp(Libint->AB,int_stack+16123,int_stack+12883,int_stack+0,216);
 /*--- compute (dd|kd) ---*/
 hrr1_build_dd(Libint->AB,int_stack+22603,int_stack+16123,int_stack+6970,216);
 return int_stack+22603;}
