#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ddmf(Libint_t*, prim_data*);

  /* Computes quartets of (dd|mf) integrals */

REALTYPE *hrr_order_ddmf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][9] = int_stack + 0;
 Libint->vrr_classes[2][10] = int_stack + 330;
 Libint->vrr_classes[2][11] = int_stack + 726;
 Libint->vrr_classes[2][12] = int_stack + 1194;
 Libint->vrr_classes[3][9] = int_stack + 1740;
 Libint->vrr_classes[3][10] = int_stack + 2290;
 Libint->vrr_classes[3][11] = int_stack + 2950;
 Libint->vrr_classes[3][12] = int_stack + 3730;
 Libint->vrr_classes[4][9] = int_stack + 4640;
 Libint->vrr_classes[4][10] = int_stack + 5465;
 Libint->vrr_classes[4][11] = int_stack + 6455;
 Libint->vrr_classes[4][12] = int_stack + 7625;
 memset(int_stack,0,8990*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 8990;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ddmf(Libint, Data);
   Data++;
 }
 /*--- compute (d0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+8990,int_stack+330,int_stack+0,6);
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+9980,int_stack+726,int_stack+330,6);
 /*--- compute (d0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+11168,int_stack+9980,int_stack+8990,6);
 /*--- compute (d0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+13148,int_stack+1194,int_stack+726,6);
 /*--- compute (d0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+14552,int_stack+13148,int_stack+9980,6);
 /*--- compute (d0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+16928,int_stack+14552,int_stack+11168,6);
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+8990,int_stack+2290,int_stack+1740,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+10640,int_stack+2950,int_stack+2290,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+12620,int_stack+10640,int_stack+8990,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+3730,int_stack+2950,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+20228,int_stack+0,int_stack+10640,10);
 /*--- compute (f0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+24188,int_stack+20228,int_stack+12620,10);
 /*--- compute (dp|mf) ---*/
 hrr1_build_dp(Libint->AB,int_stack+29688,int_stack+24188,int_stack+16928,550);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+5465,int_stack+4640,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+2475,int_stack+6455,int_stack+5465,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+8990,int_stack+2475,int_stack+0,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+13940,int_stack+7625,int_stack+6455,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+17450,int_stack+13940,int_stack+2475,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+17450,int_stack+8990,15);
 /*--- compute (fp|mf) ---*/
 hrr1_build_fp(Libint->AB,int_stack+39588,int_stack+0,int_stack+24188,550);
 /*--- compute (dd|mf) ---*/
 hrr1_build_dd(Libint->AB,int_stack+0,int_stack+39588,int_stack+29688,550);
 return int_stack+0;}
