#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_dpig(Libint_t*, prim_data*);

  /* Computes quartets of (dp|ig) integrals */

REALTYPE *hrr_order_dpig(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][6] = int_stack + 0;
 Libint->vrr_classes[2][7] = int_stack + 168;
 Libint->vrr_classes[2][8] = int_stack + 384;
 Libint->vrr_classes[2][9] = int_stack + 654;
 Libint->vrr_classes[2][10] = int_stack + 984;
 Libint->vrr_classes[3][6] = int_stack + 1380;
 Libint->vrr_classes[3][7] = int_stack + 1660;
 Libint->vrr_classes[3][8] = int_stack + 2020;
 Libint->vrr_classes[3][9] = int_stack + 2470;
 Libint->vrr_classes[3][10] = int_stack + 3020;
 memset(int_stack,0,3680*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 3680;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_dpig(Libint, Data);
   Data++;
 }
 /*--- compute (d0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+3680,int_stack+168,int_stack+0,6);
 /*--- compute (d0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+4184,int_stack+384,int_stack+168,6);
 /*--- compute (d0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+4832,int_stack+4184,int_stack+3680,6);
 /*--- compute (d0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+5840,int_stack+654,int_stack+384,6);
 /*--- compute (d0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+6650,int_stack+5840,int_stack+4184,6);
 /*--- compute (d0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+7946,int_stack+6650,int_stack+4832,6);
 /*--- compute (d0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+3680,int_stack+984,int_stack+654,6);
 /*--- compute (d0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+9626,int_stack+3680,int_stack+5840,6);
 /*--- compute (d0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+3680,int_stack+9626,int_stack+6650,6);
 /*--- compute (d0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+9626,int_stack+3680,int_stack+7946,6);
 /*--- compute (f0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+3680,int_stack+1660,int_stack+1380,10);
 /*--- compute (f0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+4520,int_stack+2020,int_stack+1660,10);
 /*--- compute (f0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+5600,int_stack+4520,int_stack+3680,10);
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+7280,int_stack+2470,int_stack+2020,10);
 /*--- compute (f0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+0,int_stack+7280,int_stack+4520,10);
 /*--- compute (f0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+12146,int_stack+0,int_stack+5600,10);
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+3680,int_stack+3020,int_stack+2470,10);
 /*--- compute (f0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+14946,int_stack+3680,int_stack+7280,10);
 /*--- compute (f0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+2160,int_stack+14946,int_stack+0,10);
 /*--- compute (f0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+14946,int_stack+2160,int_stack+12146,10);
 /*--- compute (dp|ig) ---*/
 hrr1_build_dp(Libint->AB,int_stack+0,int_stack+14946,int_stack+9626,420);
 return int_stack+0;}
