#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_dpnn(Libint_t*, prim_data*);

  /* Computes quartets of (dp|nn) integrals */

REALTYPE *hrr_order_dpnn(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][10] = int_stack + 0;
 Libint->vrr_classes[2][11] = int_stack + 396;
 Libint->vrr_classes[2][12] = int_stack + 864;
 Libint->vrr_classes[2][13] = int_stack + 1410;
 Libint->vrr_classes[2][14] = int_stack + 2040;
 Libint->vrr_classes[2][15] = int_stack + 2760;
 Libint->vrr_classes[2][16] = int_stack + 3576;
 Libint->vrr_classes[2][17] = int_stack + 4494;
 Libint->vrr_classes[2][18] = int_stack + 5520;
 Libint->vrr_classes[2][19] = int_stack + 6660;
 Libint->vrr_classes[2][20] = int_stack + 7920;
 Libint->vrr_classes[3][10] = int_stack + 9306;
 Libint->vrr_classes[3][11] = int_stack + 9966;
 Libint->vrr_classes[3][12] = int_stack + 10746;
 Libint->vrr_classes[3][13] = int_stack + 11656;
 Libint->vrr_classes[3][14] = int_stack + 12706;
 Libint->vrr_classes[3][15] = int_stack + 13906;
 Libint->vrr_classes[3][16] = int_stack + 15266;
 Libint->vrr_classes[3][17] = int_stack + 16796;
 Libint->vrr_classes[3][18] = int_stack + 18506;
 Libint->vrr_classes[3][19] = int_stack + 20406;
 Libint->vrr_classes[3][20] = int_stack + 22506;
 memset(int_stack,0,24816*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 24816;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_dpnn(Libint, Data);
   Data++;
 }
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+24816,int_stack+396,int_stack+0,6);
 /*--- compute (d0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+26004,int_stack+864,int_stack+396,6);
 /*--- compute (d0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+27408,int_stack+26004,int_stack+24816,6);
 /*--- compute (d0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+29784,int_stack+1410,int_stack+864,6);
 /*--- compute (d0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+31422,int_stack+29784,int_stack+26004,6);
 /*--- compute (d0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+34230,int_stack+31422,int_stack+27408,6);
 /*--- compute (d0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+24816,int_stack+2040,int_stack+1410,6);
 /*--- compute (d0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+38190,int_stack+24816,int_stack+29784,6);
 /*--- compute (d0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+26706,int_stack+38190,int_stack+31422,6);
 /*--- compute (d0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+41466,int_stack+26706,int_stack+34230,6);
 /*--- compute (d0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+31386,int_stack+2760,int_stack+2040,6);
 /*--- compute (d0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+33546,int_stack+31386,int_stack+24816,6);
 /*--- compute (d0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+47406,int_stack+33546,int_stack+38190,6);
 /*--- compute (d0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+52866,int_stack+47406,int_stack+26706,6);
 /*--- compute (d0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+59886,int_stack+52866,int_stack+41466,6);
 /*--- compute (d0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+24816,int_stack+3576,int_stack+2760,6);
 /*--- compute (d0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+37326,int_stack+24816,int_stack+31386,6);
 /*--- compute (d0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+68202,int_stack+37326,int_stack+33546,6);
 /*--- compute (d0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+27264,int_stack+68202,int_stack+47406,6);
 /*--- compute (d0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+41646,int_stack+27264,int_stack+52866,6);
 /*--- compute (d0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+74502,int_stack+41646,int_stack+59886,6);
 /*--- compute (d0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+51474,int_stack+4494,int_stack+3576,6);
 /*--- compute (d0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+54228,int_stack+51474,int_stack+24816,6);
 /*--- compute (d0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+59124,int_stack+54228,int_stack+37326,6);
 /*--- compute (d0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+85590,int_stack+59124,int_stack+68202,6);
 /*--- compute (d0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+95040,int_stack+85590,int_stack+27264,6);
 /*--- compute (d0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+24816,int_stack+95040,int_stack+41646,6);
 /*--- compute (d0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+106506,int_stack+24816,int_stack+74502,6);
 /*--- compute (d0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+37920,int_stack+5520,int_stack+4494,6);
 /*--- compute (d0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+40998,int_stack+37920,int_stack+51474,6);
 /*--- compute (d0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+66324,int_stack+40998,int_stack+54228,6);
 /*--- compute (d0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+46506,int_stack+66324,int_stack+59124,6);
 /*--- compute (d0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+120762,int_stack+46506,int_stack+85590,6);
 /*--- compute (d0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+74484,int_stack+120762,int_stack+95040,6);
 /*--- compute (d0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+133992,int_stack+74484,int_stack+24816,6);
 /*--- compute (d0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+150840,int_stack+133992,int_stack+106506,6);
 /*--- compute (d0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+24816,int_stack+6660,int_stack+5520,6);
 /*--- compute (d0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+28236,int_stack+24816,int_stack+37920,6);
 /*--- compute (d0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+89772,int_stack+28236,int_stack+40998,6);
 /*--- compute (d0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+98952,int_stack+89772,int_stack+66324,6);
 /*--- compute (d0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+57306,int_stack+98952,int_stack+46506,6);
 /*--- compute (d0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+34392,int_stack+57306,int_stack+120762,6);
 /*--- compute (d0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+111192,int_stack+34392,int_stack+74484,6);
 /*--- compute (d0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+168660,int_stack+111192,int_stack+133992,6);
 /*--- compute (d0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+189720,int_stack+168660,int_stack+150840,6);
 /*--- compute (d0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+52032,int_stack+7920,int_stack+6660,6);
 /*--- compute (d0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+72426,int_stack+52032,int_stack+24816,6);
 /*--- compute (d0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+79266,int_stack+72426,int_stack+28236,6);
 /*--- compute (d0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+130848,int_stack+79266,int_stack+89772,6);
 /*--- compute (d0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+72426,int_stack+130848,int_stack+98952,6);
 /*--- compute (d0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+130848,int_stack+72426,int_stack+57306,6);
 /*--- compute (d0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+52032,int_stack+130848,int_stack+34392,6);
 /*--- compute (d0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+130848,int_stack+52032,int_stack+111192,6);
 /*--- compute (d0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+24816,int_stack+130848,int_stack+168660,6);
 /*--- compute (d0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+50556,int_stack+24816,int_stack+189720,6);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+24816,int_stack+9966,int_stack+9306,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+26796,int_stack+10746,int_stack+9966,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+29136,int_stack+26796,int_stack+24816,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+33096,int_stack+11656,int_stack+10746,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+35826,int_stack+33096,int_stack+26796,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+40506,int_stack+35826,int_stack+29136,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+24816,int_stack+12706,int_stack+11656,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+76692,int_stack+24816,int_stack+33096,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+27966,int_stack+76692,int_stack+35826,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+82152,int_stack+27966,int_stack+40506,10);
 /*--- compute (f0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+35766,int_stack+13906,int_stack+12706,10);
 /*--- compute (f0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+39366,int_stack+35766,int_stack+24816,10);
 /*--- compute (f0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+92052,int_stack+39366,int_stack+76692,10);
 /*--- compute (f0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+101152,int_stack+92052,int_stack+27966,10);
 /*--- compute (f0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+112852,int_stack+101152,int_stack+82152,10);
 /*--- compute (f0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+76692,int_stack+15266,int_stack+13906,10);
 /*--- compute (f0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+80772,int_stack+76692,int_stack+35766,10);
 /*--- compute (f0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+24816,int_stack+80772,int_stack+39366,10);
 /*--- compute (f0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+35316,int_stack+24816,int_stack+92052,10);
 /*--- compute (f0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+126712,int_stack+35316,int_stack+101152,10);
 /*--- compute (f0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+87972,int_stack+126712,int_stack+112852,10);
 /*--- compute (f0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+106452,int_stack+16796,int_stack+15266,10);
 /*--- compute (f0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+111042,int_stack+106452,int_stack+76692,10);
 /*--- compute (f0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+143092,int_stack+111042,int_stack+80772,10);
 /*--- compute (f0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+155092,int_stack+143092,int_stack+24816,10);
 /*--- compute (f0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+170842,int_stack+155092,int_stack+35316,10);
 /*--- compute (f0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+24816,int_stack+170842,int_stack+126712,10);
 /*--- compute (f0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+119202,int_stack+24816,int_stack+87972,10);
 /*--- compute (f0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+76692,int_stack+18506,int_stack+16796,10);
 /*--- compute (f0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+81822,int_stack+76692,int_stack+106452,10);
 /*--- compute (f0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+91002,int_stack+81822,int_stack+111042,10);
 /*--- compute (f0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+189952,int_stack+91002,int_stack+143092,10);
 /*--- compute (f0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+207952,int_stack+189952,int_stack+155092,10);
 /*--- compute (f0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+142962,int_stack+207952,int_stack+170842,10);
 /*--- compute (f0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+230002,int_stack+142962,int_stack+24816,10);
 /*--- compute (f0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+258082,int_stack+230002,int_stack+119202,10);
 /*--- compute (f0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+24816,int_stack+20406,int_stack+18506,10);
 /*--- compute (f0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+30516,int_stack+24816,int_stack+76692,10);
 /*--- compute (f0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+104602,int_stack+30516,int_stack+81822,10);
 /*--- compute (f0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+119902,int_stack+104602,int_stack+91002,10);
 /*--- compute (f0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+76692,int_stack+119902,int_stack+189952,10);
 /*--- compute (f0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+168442,int_stack+76692,int_stack+207952,10);
 /*--- compute (f0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+287782,int_stack+168442,int_stack+142962,10);
 /*--- compute (f0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+320542,int_stack+287782,int_stack+230002,10);
 /*--- compute (f0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+197842,int_stack+320542,int_stack+258082,10);
 /*--- compute (f0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+40776,int_stack+22506,int_stack+20406,10);
 /*--- compute (f0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+140302,int_stack+40776,int_stack+24816,10);
 /*--- compute (f0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+234142,int_stack+140302,int_stack+30516,10);
 /*--- compute (f0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+140302,int_stack+234142,int_stack+104602,10);
 /*--- compute (f0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+234142,int_stack+140302,int_stack+119902,10);
 /*--- compute (f0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+101892,int_stack+234142,int_stack+76692,10);
 /*--- compute (f0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+234142,int_stack+101892,int_stack+168442,10);
 /*--- compute (f0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+76692,int_stack+234142,int_stack+287782,10);
 /*--- compute (f0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+234142,int_stack+76692,int_stack+320542,10);
 /*--- compute (f0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+76692,int_stack+234142,int_stack+197842,10);
 /*--- compute (dp|nn) ---*/
 hrr1_build_dp(Libint->AB,int_stack+120252,int_stack+76692,int_stack+50556,4356);
 return int_stack+120252;}
