#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_fdmd(Libint_t*, prim_data*);

  /* Computes quartets of (fd|md) integrals */

REALTYPE *hrr_order_fdmd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][9] = int_stack + 0;
 Libint->vrr_classes[3][10] = int_stack + 550;
 Libint->vrr_classes[3][11] = int_stack + 1210;
 Libint->vrr_classes[4][9] = int_stack + 1990;
 Libint->vrr_classes[4][10] = int_stack + 2815;
 Libint->vrr_classes[4][11] = int_stack + 3805;
 Libint->vrr_classes[5][9] = int_stack + 4975;
 Libint->vrr_classes[5][10] = int_stack + 6130;
 Libint->vrr_classes[5][11] = int_stack + 7516;
 memset(int_stack,0,9154*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 9154;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_fdmd(Libint, Data);
   Data++;
 }
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+9154,int_stack+550,int_stack+0,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+10804,int_stack+1210,int_stack+550,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+12784,int_stack+10804,int_stack+9154,10);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+9154,int_stack+2815,int_stack+1990,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+16084,int_stack+3805,int_stack+2815,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+16084,int_stack+9154,15);
 /*--- compute (fp|md) ---*/
 hrr1_build_fp(Libint->AB,int_stack+16084,int_stack+0,int_stack+12784,330);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+9154,int_stack+6130,int_stack+4975,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+25984,int_stack+7516,int_stack+6130,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+30142,int_stack+25984,int_stack+9154,21);
 /*--- compute (gp|md) ---*/
 hrr1_build_gp(Libint->AB,int_stack+37072,int_stack+30142,int_stack+0,330);
 /*--- compute (fd|md) ---*/
 hrr1_build_fd(Libint->AB,int_stack+51922,int_stack+37072,int_stack+16084,330);
 return int_stack+51922;}
