#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_fflg(Libint_t*, prim_data*);

  /* Computes quartets of (ff|lg) integrals */

REALTYPE *hrr_order_fflg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][8] = int_stack + 0;
 Libint->vrr_classes[3][9] = int_stack + 450;
 Libint->vrr_classes[3][10] = int_stack + 1000;
 Libint->vrr_classes[3][11] = int_stack + 1660;
 Libint->vrr_classes[3][12] = int_stack + 2440;
 Libint->vrr_classes[4][8] = int_stack + 3350;
 Libint->vrr_classes[4][9] = int_stack + 4025;
 Libint->vrr_classes[4][10] = int_stack + 4850;
 Libint->vrr_classes[4][11] = int_stack + 5840;
 Libint->vrr_classes[4][12] = int_stack + 7010;
 Libint->vrr_classes[5][8] = int_stack + 8375;
 Libint->vrr_classes[5][9] = int_stack + 9320;
 Libint->vrr_classes[5][10] = int_stack + 10475;
 Libint->vrr_classes[5][11] = int_stack + 11861;
 Libint->vrr_classes[5][12] = int_stack + 13499;
 Libint->vrr_classes[6][8] = int_stack + 15410;
 Libint->vrr_classes[6][9] = int_stack + 16670;
 Libint->vrr_classes[6][10] = int_stack + 18210;
 Libint->vrr_classes[6][11] = int_stack + 20058;
 Libint->vrr_classes[6][12] = int_stack + 22242;
 memset(int_stack,0,24790*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 24790;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_fflg(Libint, Data);
   Data++;
 }
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+24790,int_stack+450,int_stack+0,10);
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+26140,int_stack+1000,int_stack+450,10);
 /*--- compute (f0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+27790,int_stack+26140,int_stack+24790,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+30490,int_stack+1660,int_stack+1000,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+32470,int_stack+30490,int_stack+26140,10);
 /*--- compute (f0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+35770,int_stack+32470,int_stack+27790,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+24790,int_stack+2440,int_stack+1660,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+40270,int_stack+24790,int_stack+30490,10);
 /*--- compute (f0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+24790,int_stack+40270,int_stack+32470,10);
 /*--- compute (f0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+40270,int_stack+24790,int_stack+35770,10);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+24790,int_stack+4025,int_stack+3350,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+26815,int_stack+4850,int_stack+4025,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+29290,int_stack+26815,int_stack+24790,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+33340,int_stack+5840,int_stack+4850,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+33340,int_stack+26815,15);
 /*--- compute (g0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+47020,int_stack+0,int_stack+29290,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+24790,int_stack+7010,int_stack+5840,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+53770,int_stack+24790,int_stack+33340,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+24790,int_stack+53770,int_stack+0,15);
 /*--- compute (g0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+53770,int_stack+24790,int_stack+47020,15);
 /*--- compute (fp|lg) ---*/
 hrr1_build_fp(Libint->AB,int_stack+63895,int_stack+53770,int_stack+40270,675);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+24790,int_stack+9320,int_stack+8375,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+27625,int_stack+10475,int_stack+9320,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+31090,int_stack+27625,int_stack+24790,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+36760,int_stack+11861,int_stack+10475,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+40918,int_stack+36760,int_stack+27625,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+40918,int_stack+31090,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+24790,int_stack+13499,int_stack+11861,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+84145,int_stack+24790,int_stack+36760,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+24790,int_stack+84145,int_stack+40918,21);
 /*--- compute (h0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+36340,int_stack+24790,int_stack+0,21);
 /*--- compute (gp|lg) ---*/
 hrr1_build_gp(Libint->AB,int_stack+84145,int_stack+36340,int_stack+53770,675);
 /*--- compute (fd|lg) ---*/
 hrr1_build_fd(Libint->AB,int_stack+114520,int_stack+84145,int_stack+63895,675);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+16670,int_stack+15410,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+3780,int_stack+18210,int_stack+16670,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+8400,int_stack+3780,int_stack+0,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+24790,int_stack+20058,int_stack+18210,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+50515,int_stack+24790,int_stack+3780,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+59755,int_stack+50515,int_stack+8400,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+22242,int_stack+20058,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+6552,int_stack+0,int_stack+24790,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+17640,int_stack+6552,int_stack+50515,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+155020,int_stack+17640,int_stack+59755,28);
 /*--- compute (hp|lg) ---*/
 hrr1_build_hp(Libint->AB,int_stack+173920,int_stack+155020,int_stack+36340,675);
 /*--- compute (gd|lg) ---*/
 hrr1_build_gd(Libint->AB,int_stack+0,int_stack+173920,int_stack+84145,675);
 /*--- compute (ff|lg) ---*/
 hrr1_build_ff(Libint->AB,int_stack+155020,int_stack+0,int_stack+114520,675);
 return int_stack+155020;}
