#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ffnp(Libint_t*, prim_data*);

  /* Computes quartets of (ff|np) integrals */

REALTYPE *hrr_order_ffnp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][10] = int_stack + 0;
 Libint->vrr_classes[3][11] = int_stack + 660;
 Libint->vrr_classes[4][10] = int_stack + 1440;
 Libint->vrr_classes[4][11] = int_stack + 2430;
 Libint->vrr_classes[5][10] = int_stack + 3600;
 Libint->vrr_classes[5][11] = int_stack + 4986;
 Libint->vrr_classes[6][10] = int_stack + 6624;
 Libint->vrr_classes[6][11] = int_stack + 8472;
 memset(int_stack,0,10656*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 10656;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ffnp(Libint, Data);
   Data++;
 }
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+10656,int_stack+660,int_stack+0,10);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+12636,int_stack+2430,int_stack+1440,15);
 /*--- compute (fp|np) ---*/
 hrr1_build_fp(Libint->AB,int_stack+15606,int_stack+12636,int_stack+10656,198);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+21546,int_stack+4986,int_stack+3600,21);
 /*--- compute (gp|np) ---*/
 hrr1_build_gp(Libint->AB,int_stack+25704,int_stack+21546,int_stack+12636,198);
 /*--- compute (fd|np) ---*/
 hrr1_build_fd(Libint->AB,int_stack+34614,int_stack+25704,int_stack+15606,198);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+10656,int_stack+8472,int_stack+6624,28);
 /*--- compute (hp|np) ---*/
 hrr1_build_hp(Libint->AB,int_stack+46494,int_stack+10656,int_stack+21546,198);
 /*--- compute (gd|np) ---*/
 hrr1_build_gd(Libint->AB,int_stack+0,int_stack+46494,int_stack+25704,198);
 /*--- compute (ff|np) ---*/
 hrr1_build_ff(Libint->AB,int_stack+46494,int_stack+0,int_stack+34614,198);
 return int_stack+46494;}
