#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_fpkd(Libint_t*, prim_data*);

  /* Computes quartets of (fp|kd) integrals */

REALTYPE *hrr_order_fpkd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][7] = int_stack + 0;
 Libint->vrr_classes[3][8] = int_stack + 360;
 Libint->vrr_classes[3][9] = int_stack + 810;
 Libint->vrr_classes[4][7] = int_stack + 1360;
 Libint->vrr_classes[4][8] = int_stack + 1900;
 Libint->vrr_classes[4][9] = int_stack + 2575;
 memset(int_stack,0,3400*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 3400;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_fpkd(Libint, Data);
   Data++;
 }
 /*--- compute (f0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+3400,int_stack+360,int_stack+0,10);
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+4480,int_stack+810,int_stack+360,10);
 /*--- compute (f0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+5830,int_stack+4480,int_stack+3400,10);
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+3400,int_stack+1900,int_stack+1360,15);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+7990,int_stack+2575,int_stack+1900,15);
 /*--- compute (g0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+0,int_stack+7990,int_stack+3400,15);
 /*--- compute (fp|kd) ---*/
 hrr1_build_fp(Libint->AB,int_stack+7990,int_stack+0,int_stack+5830,216);
 return int_stack+7990;}
