#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_fpnm(Libint_t*, prim_data*);

  /* Computes quartets of (fp|nm) integrals */

REALTYPE *hrr_order_fpnm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][10] = int_stack + 0;
 Libint->vrr_classes[3][11] = int_stack + 660;
 Libint->vrr_classes[3][12] = int_stack + 1440;
 Libint->vrr_classes[3][13] = int_stack + 2350;
 Libint->vrr_classes[3][14] = int_stack + 3400;
 Libint->vrr_classes[3][15] = int_stack + 4600;
 Libint->vrr_classes[3][16] = int_stack + 5960;
 Libint->vrr_classes[3][17] = int_stack + 7490;
 Libint->vrr_classes[3][18] = int_stack + 9200;
 Libint->vrr_classes[3][19] = int_stack + 11100;
 Libint->vrr_classes[4][10] = int_stack + 13200;
 Libint->vrr_classes[4][11] = int_stack + 14190;
 Libint->vrr_classes[4][12] = int_stack + 15360;
 Libint->vrr_classes[4][13] = int_stack + 16725;
 Libint->vrr_classes[4][14] = int_stack + 18300;
 Libint->vrr_classes[4][15] = int_stack + 20100;
 Libint->vrr_classes[4][16] = int_stack + 22140;
 Libint->vrr_classes[4][17] = int_stack + 24435;
 Libint->vrr_classes[4][18] = int_stack + 27000;
 Libint->vrr_classes[4][19] = int_stack + 29850;
 memset(int_stack,0,33000*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 33000;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_fpnm(Libint, Data);
   Data++;
 }
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+33000,int_stack+660,int_stack+0,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+34980,int_stack+1440,int_stack+660,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+37320,int_stack+34980,int_stack+33000,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+41280,int_stack+2350,int_stack+1440,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+44010,int_stack+41280,int_stack+34980,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+48690,int_stack+44010,int_stack+37320,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+33000,int_stack+3400,int_stack+2350,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+55290,int_stack+33000,int_stack+41280,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+36150,int_stack+55290,int_stack+44010,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+60750,int_stack+36150,int_stack+48690,10);
 /*--- compute (f0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+43950,int_stack+4600,int_stack+3400,10);
 /*--- compute (f0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+47550,int_stack+43950,int_stack+33000,10);
 /*--- compute (f0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+70650,int_stack+47550,int_stack+55290,10);
 /*--- compute (f0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+79750,int_stack+70650,int_stack+36150,10);
 /*--- compute (f0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+91450,int_stack+79750,int_stack+60750,10);
 /*--- compute (f0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+33000,int_stack+5960,int_stack+4600,10);
 /*--- compute (f0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+53850,int_stack+33000,int_stack+43950,10);
 /*--- compute (f0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+105310,int_stack+53850,int_stack+47550,10);
 /*--- compute (f0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+37080,int_stack+105310,int_stack+70650,10);
 /*--- compute (f0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+61050,int_stack+37080,int_stack+79750,10);
 /*--- compute (f0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+115810,int_stack+61050,int_stack+91450,10);
 /*--- compute (f0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+77430,int_stack+7490,int_stack+5960,10);
 /*--- compute (f0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+82020,int_stack+77430,int_stack+33000,10);
 /*--- compute (f0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+90180,int_stack+82020,int_stack+53850,10);
 /*--- compute (f0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+134290,int_stack+90180,int_stack+105310,10);
 /*--- compute (f0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+150040,int_stack+134290,int_stack+37080,10);
 /*--- compute (f0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+33000,int_stack+150040,int_stack+61050,10);
 /*--- compute (f0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+169150,int_stack+33000,int_stack+115810,10);
 /*--- compute (f0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+54840,int_stack+9200,int_stack+7490,10);
 /*--- compute (f0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+59970,int_stack+54840,int_stack+77430,10);
 /*--- compute (f0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+102180,int_stack+59970,int_stack+82020,10);
 /*--- compute (f0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+69150,int_stack+102180,int_stack+90180,10);
 /*--- compute (f0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+192910,int_stack+69150,int_stack+134290,10);
 /*--- compute (f0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+115780,int_stack+192910,int_stack+150040,10);
 /*--- compute (f0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+214960,int_stack+115780,int_stack+33000,10);
 /*--- compute (f0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+243040,int_stack+214960,int_stack+169150,10);
 /*--- compute (f0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+33000,int_stack+11100,int_stack+9200,10);
 /*--- compute (f0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+38700,int_stack+33000,int_stack+54840,10);
 /*--- compute (f0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+141260,int_stack+38700,int_stack+59970,10);
 /*--- compute (f0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+33000,int_stack+141260,int_stack+102180,10);
 /*--- compute (f0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+141260,int_stack+33000,int_stack+69150,10);
 /*--- compute (f0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+33000,int_stack+141260,int_stack+192910,10);
 /*--- compute (f0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+141260,int_stack+33000,int_stack+115780,10);
 /*--- compute (f0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+33000,int_stack+141260,int_stack+214960,10);
 /*--- compute (f0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+68100,int_stack+33000,int_stack+243040,10);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+33000,int_stack+14190,int_stack+13200,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+35970,int_stack+15360,int_stack+14190,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+39480,int_stack+35970,int_stack+33000,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+45420,int_stack+16725,int_stack+15360,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+49515,int_stack+45420,int_stack+35970,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+56535,int_stack+49515,int_stack+39480,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+33000,int_stack+18300,int_stack+16725,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+104400,int_stack+33000,int_stack+45420,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+37725,int_stack+104400,int_stack+49515,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+112590,int_stack+37725,int_stack+56535,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+49425,int_stack+20100,int_stack+18300,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+54825,int_stack+49425,int_stack+33000,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+127440,int_stack+54825,int_stack+104400,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+141090,int_stack+127440,int_stack+37725,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+158640,int_stack+141090,int_stack+112590,15);
 /*--- compute (g0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+104400,int_stack+22140,int_stack+20100,15);
 /*--- compute (g0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+110520,int_stack+104400,int_stack+49425,15);
 /*--- compute (g0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+33000,int_stack+110520,int_stack+54825,15);
 /*--- compute (g0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+179430,int_stack+33000,int_stack+127440,15);
 /*--- compute (g0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+199905,int_stack+179430,int_stack+141090,15);
 /*--- compute (g0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+121320,int_stack+199905,int_stack+158640,15);
 /*--- compute (g0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+149040,int_stack+24435,int_stack+22140,15);
 /*--- compute (g0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+155925,int_stack+149040,int_stack+104400,15);
 /*--- compute (g0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+48750,int_stack+155925,int_stack+110520,15);
 /*--- compute (g0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+224475,int_stack+48750,int_stack+33000,15);
 /*--- compute (g0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+248100,int_stack+224475,int_stack+179430,15);
 /*--- compute (g0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+276765,int_stack+248100,int_stack+199905,15);
 /*--- compute (g0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+168165,int_stack+276765,int_stack+121320,15);
 /*--- compute (g0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+33000,int_stack+27000,int_stack+24435,15);
 /*--- compute (g0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+104400,int_stack+33000,int_stack+149040,15);
 /*--- compute (g0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+118170,int_stack+104400,int_stack+155925,15);
 /*--- compute (g0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+0,int_stack+118170,int_stack+48750,15);
 /*--- compute (g0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+309525,int_stack+0,int_stack+224475,15);
 /*--- compute (g0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+203805,int_stack+309525,int_stack+248100,15);
 /*--- compute (g0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+342600,int_stack+203805,int_stack+276765,15);
 /*--- compute (g0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+242025,int_stack+342600,int_stack+168165,15);
 /*--- compute (g0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+40695,int_stack+29850,int_stack+27000,15);
 /*--- compute (g0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+49245,int_stack+40695,int_stack+33000,15);
 /*--- compute (g0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+286575,int_stack+49245,int_stack+104400,15);
 /*--- compute (g0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+27000,int_stack+286575,int_stack+118170,15);
 /*--- compute (g0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+104400,int_stack+27000,int_stack+0,15);
 /*--- compute (g0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+0,int_stack+104400,int_stack+309525,15);
 /*--- compute (g0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+104400,int_stack+0,int_stack+203805,15);
 /*--- compute (g0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+0,int_stack+104400,int_stack+342600,15);
 /*--- compute (g0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+104400,int_stack+0,int_stack+242025,15);
 /*--- compute (fp|nm) ---*/
 hrr1_build_fp(Libint->AB,int_stack+158850,int_stack+104400,int_stack+68100,3630);
 return int_stack+158850;}
