#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gdnh(Libint_t*, prim_data*);

  /* Computes quartets of (gd|nh) integrals */

REALTYPE *hrr_order_gdnh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][10] = int_stack + 0;
 Libint->vrr_classes[4][11] = int_stack + 990;
 Libint->vrr_classes[4][12] = int_stack + 2160;
 Libint->vrr_classes[4][13] = int_stack + 3525;
 Libint->vrr_classes[4][14] = int_stack + 5100;
 Libint->vrr_classes[4][15] = int_stack + 6900;
 Libint->vrr_classes[5][10] = int_stack + 8940;
 Libint->vrr_classes[5][11] = int_stack + 10326;
 Libint->vrr_classes[5][12] = int_stack + 11964;
 Libint->vrr_classes[5][13] = int_stack + 13875;
 Libint->vrr_classes[5][14] = int_stack + 16080;
 Libint->vrr_classes[5][15] = int_stack + 18600;
 Libint->vrr_classes[6][10] = int_stack + 21456;
 Libint->vrr_classes[6][11] = int_stack + 23304;
 Libint->vrr_classes[6][12] = int_stack + 25488;
 Libint->vrr_classes[6][13] = int_stack + 28036;
 Libint->vrr_classes[6][14] = int_stack + 30976;
 Libint->vrr_classes[6][15] = int_stack + 34336;
 memset(int_stack,0,38144*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 38144;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gdnh(Libint, Data);
   Data++;
 }
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+38144,int_stack+990,int_stack+0,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+41114,int_stack+2160,int_stack+990,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+44624,int_stack+41114,int_stack+38144,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+50564,int_stack+3525,int_stack+2160,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+54659,int_stack+50564,int_stack+41114,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+61679,int_stack+54659,int_stack+44624,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+38144,int_stack+5100,int_stack+3525,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+71579,int_stack+38144,int_stack+50564,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+42869,int_stack+71579,int_stack+54659,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+79769,int_stack+42869,int_stack+61679,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+54569,int_stack+6900,int_stack+5100,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+59969,int_stack+54569,int_stack+38144,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+94619,int_stack+59969,int_stack+71579,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+54569,int_stack+94619,int_stack+42869,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+94619,int_stack+54569,int_stack+79769,15);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+38144,int_stack+10326,int_stack+8940,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+42302,int_stack+11964,int_stack+10326,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+47216,int_stack+42302,int_stack+38144,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+55532,int_stack+13875,int_stack+11964,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+61265,int_stack+55532,int_stack+42302,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+71093,int_stack+61265,int_stack+47216,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+38144,int_stack+16080,int_stack+13875,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+0,int_stack+38144,int_stack+55532,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+44759,int_stack+0,int_stack+61265,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+115409,int_stack+44759,int_stack+71093,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+61139,int_stack+18600,int_stack+16080,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+68699,int_stack+61139,int_stack+38144,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+136199,int_stack+68699,int_stack+0,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+61139,int_stack+136199,int_stack+44759,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+136199,int_stack+61139,int_stack+115409,21);
 /*--- compute (gp|nh) ---*/
 hrr1_build_gp(Libint->AB,int_stack+165305,int_stack+136199,int_stack+94619,1386);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+23304,int_stack+21456,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+5544,int_stack+25488,int_stack+23304,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+12096,int_stack+5544,int_stack+0,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+38144,int_stack+28036,int_stack+25488,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+45788,int_stack+38144,int_stack+5544,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+58892,int_stack+45788,int_stack+12096,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+30976,int_stack+28036,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+8820,int_stack+0,int_stack+38144,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+77372,int_stack+8820,int_stack+45788,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+99212,int_stack+77372,int_stack+58892,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+38144,int_stack+34336,int_stack+30976,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+48224,int_stack+38144,int_stack+0,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+227675,int_stack+48224,int_stack+8820,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+227675,int_stack+77372,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+32760,int_stack+0,int_stack+99212,28);
 /*--- compute (hp|nh) ---*/
 hrr1_build_hp(Libint->AB,int_stack+227675,int_stack+32760,int_stack+136199,1386);
 /*--- compute (gd|nh) ---*/
 hrr1_build_gd(Libint->AB,int_stack+0,int_stack+227675,int_stack+165305,1386);
 return int_stack+0;}
