#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gdnm(Libint_t*, prim_data*);

  /* Computes quartets of (gd|nm) integrals */

REALTYPE *hrr_order_gdnm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][10] = int_stack + 0;
 Libint->vrr_classes[4][11] = int_stack + 990;
 Libint->vrr_classes[4][12] = int_stack + 2160;
 Libint->vrr_classes[4][13] = int_stack + 3525;
 Libint->vrr_classes[4][14] = int_stack + 5100;
 Libint->vrr_classes[4][15] = int_stack + 6900;
 Libint->vrr_classes[4][16] = int_stack + 8940;
 Libint->vrr_classes[4][17] = int_stack + 11235;
 Libint->vrr_classes[4][18] = int_stack + 13800;
 Libint->vrr_classes[4][19] = int_stack + 16650;
 Libint->vrr_classes[5][10] = int_stack + 19800;
 Libint->vrr_classes[5][11] = int_stack + 21186;
 Libint->vrr_classes[5][12] = int_stack + 22824;
 Libint->vrr_classes[5][13] = int_stack + 24735;
 Libint->vrr_classes[5][14] = int_stack + 26940;
 Libint->vrr_classes[5][15] = int_stack + 29460;
 Libint->vrr_classes[5][16] = int_stack + 32316;
 Libint->vrr_classes[5][17] = int_stack + 35529;
 Libint->vrr_classes[5][18] = int_stack + 39120;
 Libint->vrr_classes[5][19] = int_stack + 43110;
 Libint->vrr_classes[6][10] = int_stack + 47520;
 Libint->vrr_classes[6][11] = int_stack + 49368;
 Libint->vrr_classes[6][12] = int_stack + 51552;
 Libint->vrr_classes[6][13] = int_stack + 54100;
 Libint->vrr_classes[6][14] = int_stack + 57040;
 Libint->vrr_classes[6][15] = int_stack + 60400;
 Libint->vrr_classes[6][16] = int_stack + 64208;
 Libint->vrr_classes[6][17] = int_stack + 68492;
 Libint->vrr_classes[6][18] = int_stack + 73280;
 Libint->vrr_classes[6][19] = int_stack + 78600;
 memset(int_stack,0,84480*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 84480;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gdnm(Libint, Data);
   Data++;
 }
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+84480,int_stack+990,int_stack+0,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+87450,int_stack+2160,int_stack+990,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+90960,int_stack+87450,int_stack+84480,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+96900,int_stack+3525,int_stack+2160,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+100995,int_stack+96900,int_stack+87450,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+108015,int_stack+100995,int_stack+90960,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+84480,int_stack+5100,int_stack+3525,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+117915,int_stack+84480,int_stack+96900,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+89205,int_stack+117915,int_stack+100995,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+126105,int_stack+89205,int_stack+108015,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+100905,int_stack+6900,int_stack+5100,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+106305,int_stack+100905,int_stack+84480,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+140955,int_stack+106305,int_stack+117915,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+154605,int_stack+140955,int_stack+89205,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+172155,int_stack+154605,int_stack+126105,15);
 /*--- compute (g0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+84480,int_stack+8940,int_stack+6900,15);
 /*--- compute (g0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+115755,int_stack+84480,int_stack+100905,15);
 /*--- compute (g0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+192945,int_stack+115755,int_stack+106305,15);
 /*--- compute (g0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+90600,int_stack+192945,int_stack+140955,15);
 /*--- compute (g0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+126555,int_stack+90600,int_stack+154605,15);
 /*--- compute (g0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+208695,int_stack+126555,int_stack+172155,15);
 /*--- compute (g0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+151125,int_stack+11235,int_stack+8940,15);
 /*--- compute (g0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+158010,int_stack+151125,int_stack+84480,15);
 /*--- compute (g0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+170250,int_stack+158010,int_stack+115755,15);
 /*--- compute (g0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+236415,int_stack+170250,int_stack+192945,15);
 /*--- compute (g0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+260040,int_stack+236415,int_stack+90600,15);
 /*--- compute (g0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+84480,int_stack+260040,int_stack+126555,15);
 /*--- compute (g0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+288705,int_stack+84480,int_stack+208695,15);
 /*--- compute (g0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+117240,int_stack+13800,int_stack+11235,15);
 /*--- compute (g0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+124935,int_stack+117240,int_stack+151125,15);
 /*--- compute (g0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+188250,int_stack+124935,int_stack+158010,15);
 /*--- compute (g0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+138705,int_stack+188250,int_stack+170250,15);
 /*--- compute (g0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+324345,int_stack+138705,int_stack+236415,15);
 /*--- compute (g0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+208650,int_stack+324345,int_stack+260040,15);
 /*--- compute (g0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+357420,int_stack+208650,int_stack+84480,15);
 /*--- compute (g0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+399540,int_stack+357420,int_stack+288705,15);
 /*--- compute (g0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+84480,int_stack+16650,int_stack+13800,15);
 /*--- compute (g0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+93030,int_stack+84480,int_stack+117240,15);
 /*--- compute (g0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+246870,int_stack+93030,int_stack+124935,15);
 /*--- compute (g0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+84480,int_stack+246870,int_stack+188250,15);
 /*--- compute (g0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+246870,int_stack+84480,int_stack+138705,15);
 /*--- compute (g0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+84480,int_stack+246870,int_stack+324345,15);
 /*--- compute (g0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+246870,int_stack+84480,int_stack+208650,15);
 /*--- compute (g0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+84480,int_stack+246870,int_stack+357420,15);
 /*--- compute (g0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+137130,int_stack+84480,int_stack+399540,15);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+84480,int_stack+21186,int_stack+19800,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+88638,int_stack+22824,int_stack+21186,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+93552,int_stack+88638,int_stack+84480,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+101868,int_stack+24735,int_stack+22824,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+107601,int_stack+101868,int_stack+88638,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+117429,int_stack+107601,int_stack+93552,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+84480,int_stack+26940,int_stack+24735,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+191580,int_stack+84480,int_stack+101868,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+91095,int_stack+191580,int_stack+107601,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+203046,int_stack+91095,int_stack+117429,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+107475,int_stack+29460,int_stack+26940,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+115035,int_stack+107475,int_stack+84480,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+223836,int_stack+115035,int_stack+191580,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+242946,int_stack+223836,int_stack+91095,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+267516,int_stack+242946,int_stack+203046,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+191580,int_stack+32316,int_stack+29460,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+200148,int_stack+191580,int_stack+107475,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+84480,int_stack+200148,int_stack+115035,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+106530,int_stack+84480,int_stack+223836,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+296622,int_stack+106530,int_stack+242946,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+215268,int_stack+296622,int_stack+267516,21);
 /*--- compute (h0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+254076,int_stack+35529,int_stack+32316,21);
 /*--- compute (h0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+263715,int_stack+254076,int_stack+191580,21);
 /*--- compute (h0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+331020,int_stack+263715,int_stack+200148,21);
 /*--- compute (h0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+356220,int_stack+331020,int_stack+84480,21);
 /*--- compute (h0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+389295,int_stack+356220,int_stack+106530,21);
 /*--- compute (h0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+84480,int_stack+389295,int_stack+296622,21);
 /*--- compute (h0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+280851,int_stack+84480,int_stack+215268,21);
 /*--- compute (h0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+191580,int_stack+39120,int_stack+35529,21);
 /*--- compute (h0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+202353,int_stack+191580,int_stack+254076,21);
 /*--- compute (h0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+221631,int_stack+202353,int_stack+263715,21);
 /*--- compute (h0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+0,int_stack+221631,int_stack+331020,21);
 /*--- compute (h0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+429426,int_stack+0,int_stack+356220,21);
 /*--- compute (h0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+330747,int_stack+429426,int_stack+389295,21);
 /*--- compute (h0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+475731,int_stack+330747,int_stack+84480,21);
 /*--- compute (h0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+534699,int_stack+475731,int_stack+280851,21);
 /*--- compute (h0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+84480,int_stack+43110,int_stack+39120,21);
 /*--- compute (h0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+96450,int_stack+84480,int_stack+191580,21);
 /*--- compute (h0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+250191,int_stack+96450,int_stack+202353,21);
 /*--- compute (h0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+84480,int_stack+250191,int_stack+221631,21);
 /*--- compute (h0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+191580,int_stack+84480,int_stack+0,21);
 /*--- compute (h0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+244500,int_stack+191580,int_stack+429426,21);
 /*--- compute (h0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+384255,int_stack+244500,int_stack+330747,21);
 /*--- compute (h0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+191580,int_stack+384255,int_stack+475731,21);
 /*--- compute (h0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+265290,int_stack+191580,int_stack+534699,21);
 /*--- compute (gp|nm) ---*/
 hrr1_build_gp(Libint->AB,int_stack+341520,int_stack+265290,int_stack+137130,3630);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+504870,int_stack+49368,int_stack+47520,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+510414,int_stack+51552,int_stack+49368,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+516966,int_stack+510414,int_stack+504870,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+528054,int_stack+54100,int_stack+51552,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+535698,int_stack+528054,int_stack+510414,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+548802,int_stack+535698,int_stack+516966,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+504870,int_stack+57040,int_stack+54100,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+567282,int_stack+504870,int_stack+528054,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+513690,int_stack+567282,int_stack+535698,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+513690,int_stack+548802,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+535530,int_stack+60400,int_stack+57040,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+545610,int_stack+535530,int_stack+504870,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+27720,int_stack+545610,int_stack+567282,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+563250,int_stack+27720,int_stack+513690,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+84480,int_stack+563250,int_stack+0,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+64208,int_stack+60400,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+504870,int_stack+0,int_stack+535530,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+123288,int_stack+504870,int_stack+545610,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+525030,int_stack+123288,int_stack+27720,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+11424,int_stack+525030,int_stack+563250,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+152688,int_stack+11424,int_stack+84480,28);
 /*--- compute (i0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+84480,int_stack+68492,int_stack+64208,28);
 /*--- compute (i0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+97332,int_stack+84480,int_stack+0,28);
 /*--- compute (i0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+563250,int_stack+97332,int_stack+504870,28);
 /*--- compute (i0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+204432,int_stack+563250,int_stack+123288,28);
 /*--- compute (i0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+596850,int_stack+204432,int_stack+525030,28);
 /*--- compute (i0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+650358,int_stack+596850,int_stack+11424,28);
 /*--- compute (i0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+0,int_stack+650358,int_stack+152688,28);
 /*--- compute (i0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+504870,int_stack+73280,int_stack+68492,28);
 /*--- compute (i0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+519234,int_stack+504870,int_stack+84480,28);
 /*--- compute (i0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+120180,int_stack+519234,int_stack+97332,28);
 /*--- compute (i0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+711510,int_stack+120180,int_stack+563250,28);
 /*--- compute (i0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+761910,int_stack+711510,int_stack+204432,28);
 /*--- compute (i0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+158260,int_stack+761910,int_stack+596850,28);
 /*--- compute (i0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+544938,int_stack+158260,int_stack+650358,28);
 /*--- compute (i0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+623562,int_stack+544938,int_stack+0,28);
 /*--- compute (i0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+0,int_stack+78600,int_stack+73280,28);
 /*--- compute (i0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+15960,int_stack+0,int_stack+504870,28);
 /*--- compute (i0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+44688,int_stack+15960,int_stack+519234,28);
 /*--- compute (i0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+823650,int_stack+44688,int_stack+120180,28);
 /*--- compute (i0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+0,int_stack+823650,int_stack+711510,28);
 /*--- compute (i0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+70560,int_stack+0,int_stack+761910,28);
 /*--- compute (i0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+706722,int_stack+70560,int_stack+158260,28);
 /*--- compute (i0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+0,int_stack+706722,int_stack+544938,28);
 /*--- compute (i0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+706722,int_stack+0,int_stack+623562,28);
 /*--- compute (hp|nm) ---*/
 hrr1_build_hp(Libint->AB,int_stack+0,int_stack+706722,int_stack+265290,3630);
 /*--- compute (gd|nm) ---*/
 hrr1_build_gd(Libint->AB,int_stack+504870,int_stack+0,int_stack+341520,3630);
 return int_stack+504870;}
