#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ggkp(Libint_t*, prim_data*);

  /* Computes quartets of (gg|kp) integrals */

REALTYPE *hrr_order_ggkp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][7] = int_stack + 0;
 Libint->vrr_classes[4][8] = int_stack + 540;
 Libint->vrr_classes[5][7] = int_stack + 1215;
 Libint->vrr_classes[5][8] = int_stack + 1971;
 Libint->vrr_classes[6][7] = int_stack + 2916;
 Libint->vrr_classes[6][8] = int_stack + 3924;
 Libint->vrr_classes[7][7] = int_stack + 5184;
 Libint->vrr_classes[7][8] = int_stack + 6480;
 Libint->vrr_classes[8][7] = int_stack + 8100;
 Libint->vrr_classes[8][8] = int_stack + 9720;
 memset(int_stack,0,11745*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 11745;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ggkp(Libint, Data);
   Data++;
 }
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+11745,int_stack+540,int_stack+0,15);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+13365,int_stack+1971,int_stack+1215,21);
 /*--- compute (gp|kp) ---*/
 hrr1_build_gp(Libint->AB,int_stack+15633,int_stack+13365,int_stack+11745,108);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+20493,int_stack+3924,int_stack+2916,28);
 /*--- compute (hp|kp) ---*/
 hrr1_build_hp(Libint->AB,int_stack+23517,int_stack+20493,int_stack+13365,108);
 /*--- compute (gd|kp) ---*/
 hrr1_build_gd(Libint->AB,int_stack+30321,int_stack+23517,int_stack+15633,108);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+11745,int_stack+6480,int_stack+5184,36);
 /*--- compute (ip|kp) ---*/
 hrr1_build_ip(Libint->AB,int_stack+40041,int_stack+11745,int_stack+20493,108);
 /*--- compute (hd|kp) ---*/
 hrr1_build_hd(Libint->AB,int_stack+49113,int_stack+40041,int_stack+23517,108);
 /*--- compute (gf|kp) ---*/
 hrr1_build_gf(Libint->AB,int_stack+62721,int_stack+49113,int_stack+30321,108);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+15633,int_stack+9720,int_stack+8100,45);
 /*--- compute (kp|kp) ---*/
 hrr1_build_kp(Libint->AB,int_stack+20493,int_stack+15633,int_stack+11745,108);
 /*--- compute (id|kp) ---*/
 hrr1_build_id(Libint->AB,int_stack+0,int_stack+20493,int_stack+40041,108);
 /*--- compute (hf|kp) ---*/
 hrr1_build_hf(Libint->AB,int_stack+18144,int_stack+0,int_stack+49113,108);
 /*--- compute (gg|kp) ---*/
 hrr1_build_gg(Libint->AB,int_stack+78921,int_stack+18144,int_stack+62721,108);
 return int_stack+78921;}
