#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ggnm(Libint_t*, prim_data*);

  /* Computes quartets of (gg|nm) integrals */

REALTYPE *hrr_order_ggnm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][10] = int_stack + 0;
 Libint->vrr_classes[4][11] = int_stack + 990;
 Libint->vrr_classes[4][12] = int_stack + 2160;
 Libint->vrr_classes[4][13] = int_stack + 3525;
 Libint->vrr_classes[4][14] = int_stack + 5100;
 Libint->vrr_classes[4][15] = int_stack + 6900;
 Libint->vrr_classes[4][16] = int_stack + 8940;
 Libint->vrr_classes[4][17] = int_stack + 11235;
 Libint->vrr_classes[4][18] = int_stack + 13800;
 Libint->vrr_classes[4][19] = int_stack + 16650;
 Libint->vrr_classes[5][10] = int_stack + 19800;
 Libint->vrr_classes[5][11] = int_stack + 21186;
 Libint->vrr_classes[5][12] = int_stack + 22824;
 Libint->vrr_classes[5][13] = int_stack + 24735;
 Libint->vrr_classes[5][14] = int_stack + 26940;
 Libint->vrr_classes[5][15] = int_stack + 29460;
 Libint->vrr_classes[5][16] = int_stack + 32316;
 Libint->vrr_classes[5][17] = int_stack + 35529;
 Libint->vrr_classes[5][18] = int_stack + 39120;
 Libint->vrr_classes[5][19] = int_stack + 43110;
 Libint->vrr_classes[6][10] = int_stack + 47520;
 Libint->vrr_classes[6][11] = int_stack + 49368;
 Libint->vrr_classes[6][12] = int_stack + 51552;
 Libint->vrr_classes[6][13] = int_stack + 54100;
 Libint->vrr_classes[6][14] = int_stack + 57040;
 Libint->vrr_classes[6][15] = int_stack + 60400;
 Libint->vrr_classes[6][16] = int_stack + 64208;
 Libint->vrr_classes[6][17] = int_stack + 68492;
 Libint->vrr_classes[6][18] = int_stack + 73280;
 Libint->vrr_classes[6][19] = int_stack + 78600;
 Libint->vrr_classes[7][10] = int_stack + 84480;
 Libint->vrr_classes[7][11] = int_stack + 86856;
 Libint->vrr_classes[7][12] = int_stack + 89664;
 Libint->vrr_classes[7][13] = int_stack + 92940;
 Libint->vrr_classes[7][14] = int_stack + 96720;
 Libint->vrr_classes[7][15] = int_stack + 101040;
 Libint->vrr_classes[7][16] = int_stack + 105936;
 Libint->vrr_classes[7][17] = int_stack + 111444;
 Libint->vrr_classes[7][18] = int_stack + 117600;
 Libint->vrr_classes[7][19] = int_stack + 124440;
 Libint->vrr_classes[8][10] = int_stack + 132000;
 Libint->vrr_classes[8][11] = int_stack + 134970;
 Libint->vrr_classes[8][12] = int_stack + 138480;
 Libint->vrr_classes[8][13] = int_stack + 142575;
 Libint->vrr_classes[8][14] = int_stack + 147300;
 Libint->vrr_classes[8][15] = int_stack + 152700;
 Libint->vrr_classes[8][16] = int_stack + 158820;
 Libint->vrr_classes[8][17] = int_stack + 165705;
 Libint->vrr_classes[8][18] = int_stack + 173400;
 Libint->vrr_classes[8][19] = int_stack + 181950;
 memset(int_stack,0,191400*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 191400;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ggnm(Libint, Data);
   Data++;
 }
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+191400,int_stack+990,int_stack+0,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+194370,int_stack+2160,int_stack+990,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+197880,int_stack+194370,int_stack+191400,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+203820,int_stack+3525,int_stack+2160,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+207915,int_stack+203820,int_stack+194370,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+214935,int_stack+207915,int_stack+197880,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+191400,int_stack+5100,int_stack+3525,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+224835,int_stack+191400,int_stack+203820,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+196125,int_stack+224835,int_stack+207915,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+233025,int_stack+196125,int_stack+214935,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+207825,int_stack+6900,int_stack+5100,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+213225,int_stack+207825,int_stack+191400,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+247875,int_stack+213225,int_stack+224835,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+261525,int_stack+247875,int_stack+196125,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+279075,int_stack+261525,int_stack+233025,15);
 /*--- compute (g0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+191400,int_stack+8940,int_stack+6900,15);
 /*--- compute (g0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+222675,int_stack+191400,int_stack+207825,15);
 /*--- compute (g0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+299865,int_stack+222675,int_stack+213225,15);
 /*--- compute (g0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+197520,int_stack+299865,int_stack+247875,15);
 /*--- compute (g0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+233475,int_stack+197520,int_stack+261525,15);
 /*--- compute (g0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+315615,int_stack+233475,int_stack+279075,15);
 /*--- compute (g0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+258045,int_stack+11235,int_stack+8940,15);
 /*--- compute (g0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+264930,int_stack+258045,int_stack+191400,15);
 /*--- compute (g0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+277170,int_stack+264930,int_stack+222675,15);
 /*--- compute (g0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+343335,int_stack+277170,int_stack+299865,15);
 /*--- compute (g0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+366960,int_stack+343335,int_stack+197520,15);
 /*--- compute (g0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+191400,int_stack+366960,int_stack+233475,15);
 /*--- compute (g0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+395625,int_stack+191400,int_stack+315615,15);
 /*--- compute (g0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+224160,int_stack+13800,int_stack+11235,15);
 /*--- compute (g0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+231855,int_stack+224160,int_stack+258045,15);
 /*--- compute (g0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+295170,int_stack+231855,int_stack+264930,15);
 /*--- compute (g0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+245625,int_stack+295170,int_stack+277170,15);
 /*--- compute (g0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+431265,int_stack+245625,int_stack+343335,15);
 /*--- compute (g0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+315570,int_stack+431265,int_stack+366960,15);
 /*--- compute (g0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+464340,int_stack+315570,int_stack+191400,15);
 /*--- compute (g0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+506460,int_stack+464340,int_stack+395625,15);
 /*--- compute (g0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+191400,int_stack+16650,int_stack+13800,15);
 /*--- compute (g0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+199950,int_stack+191400,int_stack+224160,15);
 /*--- compute (g0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+353790,int_stack+199950,int_stack+231855,15);
 /*--- compute (g0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+191400,int_stack+353790,int_stack+295170,15);
 /*--- compute (g0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+353790,int_stack+191400,int_stack+245625,15);
 /*--- compute (g0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+191400,int_stack+353790,int_stack+431265,15);
 /*--- compute (g0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+353790,int_stack+191400,int_stack+315570,15);
 /*--- compute (g0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+191400,int_stack+353790,int_stack+464340,15);
 /*--- compute (g0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+244050,int_stack+191400,int_stack+506460,15);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+191400,int_stack+21186,int_stack+19800,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+195558,int_stack+22824,int_stack+21186,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+200472,int_stack+195558,int_stack+191400,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+208788,int_stack+24735,int_stack+22824,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+214521,int_stack+208788,int_stack+195558,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+224349,int_stack+214521,int_stack+200472,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+191400,int_stack+26940,int_stack+24735,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+298500,int_stack+191400,int_stack+208788,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+198015,int_stack+298500,int_stack+214521,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+309966,int_stack+198015,int_stack+224349,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+214395,int_stack+29460,int_stack+26940,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+221955,int_stack+214395,int_stack+191400,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+330756,int_stack+221955,int_stack+298500,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+349866,int_stack+330756,int_stack+198015,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+374436,int_stack+349866,int_stack+309966,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+298500,int_stack+32316,int_stack+29460,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+307068,int_stack+298500,int_stack+214395,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+191400,int_stack+307068,int_stack+221955,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+213450,int_stack+191400,int_stack+330756,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+403542,int_stack+213450,int_stack+349866,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+322188,int_stack+403542,int_stack+374436,21);
 /*--- compute (h0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+360996,int_stack+35529,int_stack+32316,21);
 /*--- compute (h0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+370635,int_stack+360996,int_stack+298500,21);
 /*--- compute (h0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+437940,int_stack+370635,int_stack+307068,21);
 /*--- compute (h0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+463140,int_stack+437940,int_stack+191400,21);
 /*--- compute (h0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+496215,int_stack+463140,int_stack+213450,21);
 /*--- compute (h0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+191400,int_stack+496215,int_stack+403542,21);
 /*--- compute (h0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+387771,int_stack+191400,int_stack+322188,21);
 /*--- compute (h0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+298500,int_stack+39120,int_stack+35529,21);
 /*--- compute (h0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+309273,int_stack+298500,int_stack+360996,21);
 /*--- compute (h0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+328551,int_stack+309273,int_stack+370635,21);
 /*--- compute (h0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+0,int_stack+328551,int_stack+437940,21);
 /*--- compute (h0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+536346,int_stack+0,int_stack+463140,21);
 /*--- compute (h0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+437667,int_stack+536346,int_stack+496215,21);
 /*--- compute (h0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+582651,int_stack+437667,int_stack+191400,21);
 /*--- compute (h0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+641619,int_stack+582651,int_stack+387771,21);
 /*--- compute (h0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+191400,int_stack+43110,int_stack+39120,21);
 /*--- compute (h0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+203370,int_stack+191400,int_stack+298500,21);
 /*--- compute (h0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+357111,int_stack+203370,int_stack+309273,21);
 /*--- compute (h0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+191400,int_stack+357111,int_stack+328551,21);
 /*--- compute (h0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+298500,int_stack+191400,int_stack+0,21);
 /*--- compute (h0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+351420,int_stack+298500,int_stack+536346,21);
 /*--- compute (h0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+491175,int_stack+351420,int_stack+437667,21);
 /*--- compute (h0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+298500,int_stack+491175,int_stack+582651,21);
 /*--- compute (h0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+372210,int_stack+298500,int_stack+641619,21);
 /*--- compute (gp|nm) ---*/
 hrr1_build_gp(Libint->AB,int_stack+448440,int_stack+372210,int_stack+244050,3630);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+611790,int_stack+49368,int_stack+47520,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+617334,int_stack+51552,int_stack+49368,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+623886,int_stack+617334,int_stack+611790,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+634974,int_stack+54100,int_stack+51552,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+642618,int_stack+634974,int_stack+617334,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+655722,int_stack+642618,int_stack+623886,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+611790,int_stack+57040,int_stack+54100,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+674202,int_stack+611790,int_stack+634974,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+620610,int_stack+674202,int_stack+642618,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+620610,int_stack+655722,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+642450,int_stack+60400,int_stack+57040,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+652530,int_stack+642450,int_stack+611790,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+27720,int_stack+652530,int_stack+674202,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+670170,int_stack+27720,int_stack+620610,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+191400,int_stack+670170,int_stack+0,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+64208,int_stack+60400,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+611790,int_stack+0,int_stack+642450,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+230208,int_stack+611790,int_stack+652530,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+631950,int_stack+230208,int_stack+27720,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+11424,int_stack+631950,int_stack+670170,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+259608,int_stack+11424,int_stack+191400,28);
 /*--- compute (i0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+191400,int_stack+68492,int_stack+64208,28);
 /*--- compute (i0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+204252,int_stack+191400,int_stack+0,28);
 /*--- compute (i0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+670170,int_stack+204252,int_stack+611790,28);
 /*--- compute (i0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+311352,int_stack+670170,int_stack+230208,28);
 /*--- compute (i0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+703770,int_stack+311352,int_stack+631950,28);
 /*--- compute (i0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+757278,int_stack+703770,int_stack+11424,28);
 /*--- compute (i0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+0,int_stack+757278,int_stack+259608,28);
 /*--- compute (i0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+611790,int_stack+73280,int_stack+68492,28);
 /*--- compute (i0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+626154,int_stack+611790,int_stack+191400,28);
 /*--- compute (i0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+227100,int_stack+626154,int_stack+204252,28);
 /*--- compute (i0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+818430,int_stack+227100,int_stack+670170,28);
 /*--- compute (i0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+868830,int_stack+818430,int_stack+311352,28);
 /*--- compute (i0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+265180,int_stack+868830,int_stack+703770,28);
 /*--- compute (i0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+651858,int_stack+265180,int_stack+757278,28);
 /*--- compute (i0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+730482,int_stack+651858,int_stack+0,28);
 /*--- compute (i0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+0,int_stack+78600,int_stack+73280,28);
 /*--- compute (i0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+15960,int_stack+0,int_stack+611790,28);
 /*--- compute (i0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+930570,int_stack+15960,int_stack+626154,28);
 /*--- compute (i0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+0,int_stack+930570,int_stack+227100,28);
 /*--- compute (i0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+191400,int_stack+0,int_stack+818430,28);
 /*--- compute (i0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+0,int_stack+191400,int_stack+868830,28);
 /*--- compute (i0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+813642,int_stack+0,int_stack+265180,28);
 /*--- compute (i0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+191400,int_stack+813642,int_stack+651858,28);
 /*--- compute (i0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+813642,int_stack+191400,int_stack+730482,28);
 /*--- compute (hp|nm) ---*/
 hrr1_build_hp(Libint->AB,int_stack+915282,int_stack+813642,int_stack+372210,3630);
 /*--- compute (gd|nm) ---*/
 hrr1_build_gd(Libint->AB,int_stack+1143972,int_stack+915282,int_stack+448440,3630);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+191400,int_stack+86856,int_stack+84480,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+198528,int_stack+89664,int_stack+86856,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+206952,int_stack+198528,int_stack+191400,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+221208,int_stack+92940,int_stack+89664,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+231036,int_stack+221208,int_stack+198528,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+247884,int_stack+231036,int_stack+206952,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+191400,int_stack+96720,int_stack+92940,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+271644,int_stack+191400,int_stack+221208,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+202740,int_stack+271644,int_stack+231036,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+291300,int_stack+202740,int_stack+247884,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+230820,int_stack+101040,int_stack+96720,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+243780,int_stack+230820,int_stack+191400,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+326940,int_stack+243780,int_stack+271644,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+359700,int_stack+326940,int_stack+202740,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+401820,int_stack+359700,int_stack+291300,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+191400,int_stack+105936,int_stack+101040,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+266460,int_stack+191400,int_stack+230820,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+451716,int_stack+266460,int_stack+243780,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+206088,int_stack+451716,int_stack+326940,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+292380,int_stack+206088,int_stack+359700,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+489516,int_stack+292380,int_stack+401820,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+351348,int_stack+111444,int_stack+105936,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+367872,int_stack+351348,int_stack+191400,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+397248,int_stack+367872,int_stack+266460,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+556044,int_stack+397248,int_stack+451716,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+612744,int_stack+556044,int_stack+206088,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+191400,int_stack+612744,int_stack+292380,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+681540,int_stack+191400,int_stack+489516,36);
 /*--- compute (k0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+270024,int_stack+117600,int_stack+111444,36);
 /*--- compute (k0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+288492,int_stack+270024,int_stack+351348,36);
 /*--- compute (k0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+440448,int_stack+288492,int_stack+367872,36);
 /*--- compute (k0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+321540,int_stack+440448,int_stack+397248,36);
 /*--- compute (k0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+0,int_stack+321540,int_stack+556044,36);
 /*--- compute (k0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+489408,int_stack+0,int_stack+612744,36);
 /*--- compute (k0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1470672,int_stack+489408,int_stack+191400,36);
 /*--- compute (k0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1571760,int_stack+1470672,int_stack+681540,36);
 /*--- compute (k0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+191400,int_stack+124440,int_stack+117600,36);
 /*--- compute (k0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+211920,int_stack+191400,int_stack+270024,36);
 /*--- compute (k0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+581136,int_stack+211920,int_stack+288492,36);
 /*--- compute (k0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+191400,int_stack+581136,int_stack+440448,36);
 /*--- compute (k0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+581136,int_stack+191400,int_stack+321540,36);
 /*--- compute (k0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+191400,int_stack+581136,int_stack+0,36);
 /*--- compute (k0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+0,int_stack+191400,int_stack+489408,36);
 /*--- compute (k0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+191400,int_stack+0,int_stack+1470672,36);
 /*--- compute (k0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+0,int_stack+191400,int_stack+1571760,36);
 /*--- compute (ip|nm) ---*/
 hrr1_build_ip(Libint->AB,int_stack+191400,int_stack+0,int_stack+813642,3630);
 /*--- compute (hd|nm) ---*/
 hrr1_build_hd(Libint->AB,int_stack+1470672,int_stack+191400,int_stack+915282,3630);
 /*--- compute (gf|nm) ---*/
 hrr1_build_gf(Libint->AB,int_stack+496320,int_stack+1470672,int_stack+1143972,3630);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1040820,int_stack+134970,int_stack+132000,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1049730,int_stack+138480,int_stack+134970,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1060260,int_stack+1049730,int_stack+1040820,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1078080,int_stack+142575,int_stack+138480,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1090365,int_stack+1078080,int_stack+1049730,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1111425,int_stack+1090365,int_stack+1060260,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1040820,int_stack+147300,int_stack+142575,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1141125,int_stack+1040820,int_stack+1078080,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1054995,int_stack+1141125,int_stack+1090365,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1165695,int_stack+1054995,int_stack+1111425,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1090095,int_stack+152700,int_stack+147300,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1106295,int_stack+1090095,int_stack+1040820,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1210245,int_stack+1106295,int_stack+1141125,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1251195,int_stack+1210245,int_stack+1054995,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1303845,int_stack+1251195,int_stack+1165695,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1040820,int_stack+158820,int_stack+152700,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1134645,int_stack+1040820,int_stack+1090095,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1366215,int_stack+1134645,int_stack+1106295,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1059180,int_stack+1366215,int_stack+1210245,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1167045,int_stack+1059180,int_stack+1251195,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1928052,int_stack+1167045,int_stack+1303845,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1240755,int_stack+165705,int_stack+158820,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1261410,int_stack+1240755,int_stack+1040820,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1298130,int_stack+1261410,int_stack+1134645,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2011212,int_stack+1298130,int_stack+1366215,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1352130,int_stack+2011212,int_stack+1059180,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1040820,int_stack+1352130,int_stack+1167045,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2082087,int_stack+1040820,int_stack+1928052,45);
 /*--- compute (l0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1928052,int_stack+173400,int_stack+165705,45);
 /*--- compute (l0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1951137,int_stack+1928052,int_stack+1240755,45);
 /*--- compute (l0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1139100,int_stack+1951137,int_stack+1261410,45);
 /*--- compute (l0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1200300,int_stack+1139100,int_stack+1298130,45);
 /*--- compute (l0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+2189007,int_stack+1200300,int_stack+2011212,45);
 /*--- compute (l0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2288232,int_stack+2189007,int_stack+1352130,45);
 /*--- compute (l0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1281300,int_stack+2288232,int_stack+1040820,45);
 /*--- compute (l0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2402892,int_stack+1281300,int_stack+2082087,45);
 /*--- compute (l0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+1040820,int_stack+181950,int_stack+173400,45);
 /*--- compute (l0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+1066470,int_stack+1040820,int_stack+1928052,45);
 /*--- compute (l0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1992447,int_stack+1066470,int_stack+1951137,45);
 /*--- compute (l0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+1040820,int_stack+1992447,int_stack+1139100,45);
 /*--- compute (l0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1928052,int_stack+1040820,int_stack+1200300,45);
 /*--- compute (l0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1040820,int_stack+1928052,int_stack+2189007,45);
 /*--- compute (l0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1928052,int_stack+1040820,int_stack+2288232,45);
 /*--- compute (l0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+1040820,int_stack+1928052,int_stack+1281300,45);
 /*--- compute (l0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1928052,int_stack+1040820,int_stack+2402892,45);
 /*--- compute (kp|nm) ---*/
 hrr1_build_kp(Libint->AB,int_stack+1040820,int_stack+1928052,int_stack+0,3630);
 /*--- compute (id|nm) ---*/
 hrr1_build_id(Libint->AB,int_stack+1928052,int_stack+1040820,int_stack+191400,3630);
 /*--- compute (hf|nm) ---*/
 hrr1_build_hf(Libint->AB,int_stack+2537892,int_stack+1928052,int_stack+1470672,3630);
 /*--- compute (gg|nm) ---*/
 hrr1_build_gg(Libint->AB,int_stack+1040820,int_stack+2537892,int_stack+496320,3630);
 return int_stack+1040820;}
