#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gpk0(Libint_t*, prim_data*);

  /* Computes quartets of (gp|k0) integrals */

REALTYPE *hrr_order_gpk0(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][7] = int_stack + 0;
 Libint->vrr_classes[5][7] = int_stack + 540;
 memset(int_stack,0,1296*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 1296;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gpk0(Libint, Data);
   Data++;
 }
 /*--- compute (gp|k0) ---*/
 hrr1_build_gp(Libint->AB,int_stack+1296,int_stack+540,int_stack+0,36);
 return int_stack+1296;}
