#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hdnl(Libint_t*, prim_data*);

  /* Computes quartets of (hd|nl) integrals */

REALTYPE *hrr_order_hdnl(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][10] = int_stack + 0;
 Libint->vrr_classes[5][11] = int_stack + 1386;
 Libint->vrr_classes[5][12] = int_stack + 3024;
 Libint->vrr_classes[5][13] = int_stack + 4935;
 Libint->vrr_classes[5][14] = int_stack + 7140;
 Libint->vrr_classes[5][15] = int_stack + 9660;
 Libint->vrr_classes[5][16] = int_stack + 12516;
 Libint->vrr_classes[5][17] = int_stack + 15729;
 Libint->vrr_classes[5][18] = int_stack + 19320;
 Libint->vrr_classes[6][10] = int_stack + 23310;
 Libint->vrr_classes[6][11] = int_stack + 25158;
 Libint->vrr_classes[6][12] = int_stack + 27342;
 Libint->vrr_classes[6][13] = int_stack + 29890;
 Libint->vrr_classes[6][14] = int_stack + 32830;
 Libint->vrr_classes[6][15] = int_stack + 36190;
 Libint->vrr_classes[6][16] = int_stack + 39998;
 Libint->vrr_classes[6][17] = int_stack + 44282;
 Libint->vrr_classes[6][18] = int_stack + 49070;
 Libint->vrr_classes[7][10] = int_stack + 54390;
 Libint->vrr_classes[7][11] = int_stack + 56766;
 Libint->vrr_classes[7][12] = int_stack + 59574;
 Libint->vrr_classes[7][13] = int_stack + 62850;
 Libint->vrr_classes[7][14] = int_stack + 66630;
 Libint->vrr_classes[7][15] = int_stack + 70950;
 Libint->vrr_classes[7][16] = int_stack + 75846;
 Libint->vrr_classes[7][17] = int_stack + 81354;
 Libint->vrr_classes[7][18] = int_stack + 87510;
 memset(int_stack,0,94350*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 94350;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hdnl(Libint, Data);
   Data++;
 }
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+94350,int_stack+1386,int_stack+0,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+98508,int_stack+3024,int_stack+1386,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+103422,int_stack+98508,int_stack+94350,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+111738,int_stack+4935,int_stack+3024,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+117471,int_stack+111738,int_stack+98508,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+127299,int_stack+117471,int_stack+103422,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+94350,int_stack+7140,int_stack+4935,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+141159,int_stack+94350,int_stack+111738,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+100965,int_stack+141159,int_stack+117471,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+152625,int_stack+100965,int_stack+127299,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+117345,int_stack+9660,int_stack+7140,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+124905,int_stack+117345,int_stack+94350,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+173415,int_stack+124905,int_stack+141159,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+192525,int_stack+173415,int_stack+100965,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+217095,int_stack+192525,int_stack+152625,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+94350,int_stack+12516,int_stack+9660,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+138135,int_stack+94350,int_stack+117345,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+246201,int_stack+138135,int_stack+124905,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+102918,int_stack+246201,int_stack+173415,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+153255,int_stack+102918,int_stack+192525,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+268251,int_stack+153255,int_stack+217095,21);
 /*--- compute (h0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+187653,int_stack+15729,int_stack+12516,21);
 /*--- compute (h0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+197292,int_stack+187653,int_stack+94350,21);
 /*--- compute (h0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+214428,int_stack+197292,int_stack+138135,21);
 /*--- compute (h0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+307059,int_stack+214428,int_stack+246201,21);
 /*--- compute (h0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+340134,int_stack+307059,int_stack+102918,21);
 /*--- compute (h0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+94350,int_stack+340134,int_stack+153255,21);
 /*--- compute (h0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+380265,int_stack+94350,int_stack+268251,21);
 /*--- compute (h0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+140214,int_stack+19320,int_stack+15729,21);
 /*--- compute (h0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+150987,int_stack+140214,int_stack+187653,21);
 /*--- compute (h0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+239628,int_stack+150987,int_stack+197292,21);
 /*--- compute (h0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+140214,int_stack+239628,int_stack+214428,21);
 /*--- compute (h0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+178014,int_stack+140214,int_stack+307059,21);
 /*--- compute (h0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+224319,int_stack+178014,int_stack+340134,21);
 /*--- compute (h0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+140214,int_stack+224319,int_stack+94350,21);
 /*--- compute (h0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+199182,int_stack+140214,int_stack+380265,21);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+94350,int_stack+25158,int_stack+23310,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+99894,int_stack+27342,int_stack+25158,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+106446,int_stack+99894,int_stack+94350,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+117534,int_stack+29890,int_stack+27342,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+125178,int_stack+117534,int_stack+99894,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+138282,int_stack+125178,int_stack+106446,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+94350,int_stack+32830,int_stack+29890,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+156762,int_stack+94350,int_stack+117534,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+103170,int_stack+156762,int_stack+125178,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+261552,int_stack+103170,int_stack+138282,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+125010,int_stack+36190,int_stack+32830,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+135090,int_stack+125010,int_stack+94350,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+172050,int_stack+135090,int_stack+156762,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+289272,int_stack+172050,int_stack+103170,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+322032,int_stack+289272,int_stack+261552,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+261552,int_stack+39998,int_stack+36190,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+94350,int_stack+261552,int_stack+125010,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+360840,int_stack+94350,int_stack+135090,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+114510,int_stack+360840,int_stack+172050,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+152730,int_stack+114510,int_stack+289272,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+390240,int_stack+152730,int_stack+322032,28);
 /*--- compute (i0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+272976,int_stack+44282,int_stack+39998,28);
 /*--- compute (i0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+285828,int_stack+272976,int_stack+261552,28);
 /*--- compute (i0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+308676,int_stack+285828,int_stack+94350,28);
 /*--- compute (i0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+0,int_stack+308676,int_stack+360840,28);
 /*--- compute (i0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+441984,int_stack+0,int_stack+114510,28);
 /*--- compute (i0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+495492,int_stack+441984,int_stack+152730,28);
 /*--- compute (i0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+94350,int_stack+495492,int_stack+390240,28);
 /*--- compute (i0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+160878,int_stack+49070,int_stack+44282,28);
 /*--- compute (i0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+342276,int_stack+160878,int_stack+272976,28);
 /*--- compute (i0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+160878,int_stack+342276,int_stack+285828,28);
 /*--- compute (i0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+342276,int_stack+160878,int_stack+308676,28);
 /*--- compute (i0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+261552,int_stack+342276,int_stack+0,28);
 /*--- compute (i0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+323292,int_stack+261552,int_stack+441984,28);
 /*--- compute (i0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+394636,int_stack+323292,int_stack+495492,28);
 /*--- compute (i0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+261552,int_stack+394636,int_stack+94350,28);
 /*--- compute (hp|nl) ---*/
 hrr1_build_hp(Libint->AB,int_stack+344712,int_stack+261552,int_stack+199182,2970);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+94350,int_stack+56766,int_stack+54390,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+101478,int_stack+59574,int_stack+56766,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+109902,int_stack+101478,int_stack+94350,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+124158,int_stack+62850,int_stack+59574,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+133986,int_stack+124158,int_stack+101478,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+150834,int_stack+133986,int_stack+109902,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+94350,int_stack+66630,int_stack+62850,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+174594,int_stack+94350,int_stack+124158,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+105690,int_stack+174594,int_stack+133986,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+194250,int_stack+105690,int_stack+150834,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+133770,int_stack+70950,int_stack+66630,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+146730,int_stack+133770,int_stack+94350,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+146730,int_stack+174594,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+531822,int_stack+0,int_stack+105690,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+573942,int_stack+531822,int_stack+194250,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+94350,int_stack+75846,int_stack+70950,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+169410,int_stack+94350,int_stack+133770,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+195330,int_stack+169410,int_stack+146730,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+109038,int_stack+195330,int_stack+0,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+0,int_stack+109038,int_stack+531822,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+623838,int_stack+0,int_stack+573942,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+531822,int_stack+81354,int_stack+75846,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+548346,int_stack+531822,int_stack+94350,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+577722,int_stack+548346,int_stack+169410,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+690366,int_stack+577722,int_stack+195330,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+158178,int_stack+690366,int_stack+109038,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+747066,int_stack+158178,int_stack+0,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+825690,int_stack+747066,int_stack+623838,36);
 /*--- compute (k0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+0,int_stack+87510,int_stack+81354,36);
 /*--- compute (k0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+18468,int_stack+0,int_stack+531822,36);
 /*--- compute (k0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+51516,int_stack+18468,int_stack+548346,36);
 /*--- compute (k0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+620922,int_stack+51516,int_stack+577722,36);
 /*--- compute (k0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+531822,int_stack+620922,int_stack+690366,36);
 /*--- compute (k0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+611202,int_stack+531822,int_stack+158178,36);
 /*--- compute (k0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+0,int_stack+611202,int_stack+747066,36);
 /*--- compute (k0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+531822,int_stack+0,int_stack+825690,36);
 /*--- compute (ip|nl) ---*/
 hrr1_build_ip(Libint->AB,int_stack+0,int_stack+531822,int_stack+261552,2970);
 /*--- compute (hd|nl) ---*/
 hrr1_build_hd(Libint->AB,int_stack+531822,int_stack+0,int_stack+344712,2970);
 return int_stack+531822;}
