#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hfkd(Libint_t*, prim_data*);

  /* Computes quartets of (hf|kd) integrals */

REALTYPE *hrr_order_hfkd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][7] = int_stack + 0;
 Libint->vrr_classes[5][8] = int_stack + 756;
 Libint->vrr_classes[5][9] = int_stack + 1701;
 Libint->vrr_classes[6][7] = int_stack + 2856;
 Libint->vrr_classes[6][8] = int_stack + 3864;
 Libint->vrr_classes[6][9] = int_stack + 5124;
 Libint->vrr_classes[7][7] = int_stack + 6664;
 Libint->vrr_classes[7][8] = int_stack + 7960;
 Libint->vrr_classes[7][9] = int_stack + 9580;
 Libint->vrr_classes[8][7] = int_stack + 11560;
 Libint->vrr_classes[8][8] = int_stack + 13180;
 Libint->vrr_classes[8][9] = int_stack + 15205;
 memset(int_stack,0,17680*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 17680;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hfkd(Libint, Data);
   Data++;
 }
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+17680,int_stack+756,int_stack+0,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+19948,int_stack+1701,int_stack+756,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+22783,int_stack+19948,int_stack+17680,21);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+17680,int_stack+3864,int_stack+2856,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+5124,int_stack+3864,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+27319,int_stack+0,int_stack+17680,28);
 /*--- compute (hp|kd) ---*/
 hrr1_build_hp(Libint->AB,int_stack+33367,int_stack+27319,int_stack+22783,216);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+17680,int_stack+7960,int_stack+6664,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+21568,int_stack+9580,int_stack+7960,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+0,int_stack+21568,int_stack+17680,36);
 /*--- compute (ip|kd) ---*/
 hrr1_build_ip(Libint->AB,int_stack+46975,int_stack+0,int_stack+27319,216);
 /*--- compute (hd|kd) ---*/
 hrr1_build_hd(Libint->AB,int_stack+65119,int_stack+46975,int_stack+33367,216);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+17680,int_stack+13180,int_stack+11560,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+22540,int_stack+15205,int_stack+13180,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+28615,int_stack+22540,int_stack+17680,45);
 /*--- compute (kp|kd) ---*/
 hrr1_build_kp(Libint->AB,int_stack+92335,int_stack+28615,int_stack+0,216);
 /*--- compute (id|kd) ---*/
 hrr1_build_id(Libint->AB,int_stack+0,int_stack+92335,int_stack+46975,216);
 /*--- compute (hf|kd) ---*/
 hrr1_build_hf(Libint->AB,int_stack+92335,int_stack+0,int_stack+65119,216);
 return int_stack+92335;}
