#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hfni(Libint_t*, prim_data*);

  /* Computes quartets of (hf|ni) integrals */

REALTYPE *hrr_order_hfni(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][10] = int_stack + 0;
 Libint->vrr_classes[5][11] = int_stack + 1386;
 Libint->vrr_classes[5][12] = int_stack + 3024;
 Libint->vrr_classes[5][13] = int_stack + 4935;
 Libint->vrr_classes[5][14] = int_stack + 7140;
 Libint->vrr_classes[5][15] = int_stack + 9660;
 Libint->vrr_classes[5][16] = int_stack + 12516;
 Libint->vrr_classes[6][10] = int_stack + 15729;
 Libint->vrr_classes[6][11] = int_stack + 17577;
 Libint->vrr_classes[6][12] = int_stack + 19761;
 Libint->vrr_classes[6][13] = int_stack + 22309;
 Libint->vrr_classes[6][14] = int_stack + 25249;
 Libint->vrr_classes[6][15] = int_stack + 28609;
 Libint->vrr_classes[6][16] = int_stack + 32417;
 Libint->vrr_classes[7][10] = int_stack + 36701;
 Libint->vrr_classes[7][11] = int_stack + 39077;
 Libint->vrr_classes[7][12] = int_stack + 41885;
 Libint->vrr_classes[7][13] = int_stack + 45161;
 Libint->vrr_classes[7][14] = int_stack + 48941;
 Libint->vrr_classes[7][15] = int_stack + 53261;
 Libint->vrr_classes[7][16] = int_stack + 58157;
 Libint->vrr_classes[8][10] = int_stack + 63665;
 Libint->vrr_classes[8][11] = int_stack + 66635;
 Libint->vrr_classes[8][12] = int_stack + 70145;
 Libint->vrr_classes[8][13] = int_stack + 74240;
 Libint->vrr_classes[8][14] = int_stack + 78965;
 Libint->vrr_classes[8][15] = int_stack + 84365;
 Libint->vrr_classes[8][16] = int_stack + 90485;
 memset(int_stack,0,97370*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 97370;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hfni(Libint, Data);
   Data++;
 }
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+97370,int_stack+1386,int_stack+0,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+101528,int_stack+3024,int_stack+1386,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+106442,int_stack+101528,int_stack+97370,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+114758,int_stack+4935,int_stack+3024,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+120491,int_stack+114758,int_stack+101528,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+130319,int_stack+120491,int_stack+106442,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+97370,int_stack+7140,int_stack+4935,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+144179,int_stack+97370,int_stack+114758,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+103985,int_stack+144179,int_stack+120491,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+155645,int_stack+103985,int_stack+130319,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+120365,int_stack+9660,int_stack+7140,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+127925,int_stack+120365,int_stack+97370,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+176435,int_stack+127925,int_stack+144179,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+195545,int_stack+176435,int_stack+103985,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+220115,int_stack+195545,int_stack+155645,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+97370,int_stack+12516,int_stack+9660,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+141155,int_stack+97370,int_stack+120365,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+97370,int_stack+141155,int_stack+127925,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+119420,int_stack+97370,int_stack+176435,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+148085,int_stack+119420,int_stack+195545,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+97370,int_stack+148085,int_stack+220115,21);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+136178,int_stack+17577,int_stack+15729,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+141722,int_stack+19761,int_stack+17577,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+148274,int_stack+141722,int_stack+136178,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+159362,int_stack+22309,int_stack+19761,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+167006,int_stack+159362,int_stack+141722,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+180110,int_stack+167006,int_stack+148274,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+136178,int_stack+25249,int_stack+22309,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+198590,int_stack+136178,int_stack+159362,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+144998,int_stack+198590,int_stack+167006,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+213878,int_stack+144998,int_stack+180110,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+166838,int_stack+28609,int_stack+25249,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+176918,int_stack+166838,int_stack+136178,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+176918,int_stack+198590,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+241598,int_stack+0,int_stack+144998,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+274358,int_stack+241598,int_stack+213878,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+136178,int_stack+32417,int_stack+28609,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+194558,int_stack+136178,int_stack+166838,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+136178,int_stack+194558,int_stack+176918,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+165578,int_stack+136178,int_stack+0,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+313166,int_stack+165578,int_stack+241598,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+136178,int_stack+313166,int_stack+274358,28);
 /*--- compute (hp|ni) ---*/
 hrr1_build_hp(Libint->AB,int_stack+187922,int_stack+136178,int_stack+97370,1848);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+97370,int_stack+39077,int_stack+36701,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+104498,int_stack+41885,int_stack+39077,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+112922,int_stack+104498,int_stack+97370,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+45161,int_stack+41885,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+9828,int_stack+0,int_stack+104498,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+304346,int_stack+9828,int_stack+112922,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+97370,int_stack+48941,int_stack+45161,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+108710,int_stack+97370,int_stack+0,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+328106,int_stack+108710,int_stack+9828,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+328106,int_stack+304346,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+304346,int_stack+53261,int_stack+48941,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+356186,int_stack+304346,int_stack+97370,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+378866,int_stack+356186,int_stack+108710,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+411626,int_stack+378866,int_stack+328106,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+453746,int_stack+411626,int_stack+0,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+58157,int_stack+53261,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+14688,int_stack+0,int_stack+304346,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+304346,int_stack+14688,int_stack+356186,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+304346,int_stack+378866,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+304346,int_stack+0,int_stack+411626,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+363314,int_stack+304346,int_stack+453746,36);
 /*--- compute (ip|ni) ---*/
 hrr1_build_ip(Libint->AB,int_stack+429842,int_stack+363314,int_stack+136178,1848);
 /*--- compute (hd|ni) ---*/
 hrr1_build_hd(Libint->AB,int_stack+585074,int_stack+429842,int_stack+187922,1848);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+66635,int_stack+63665,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+8910,int_stack+70145,int_stack+66635,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+19440,int_stack+8910,int_stack+0,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+37260,int_stack+74240,int_stack+70145,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+49545,int_stack+37260,int_stack+8910,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+97370,int_stack+49545,int_stack+19440,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+78965,int_stack+74240,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+127070,int_stack+0,int_stack+37260,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+14175,int_stack+127070,int_stack+49545,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+151640,int_stack+14175,int_stack+97370,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+97370,int_stack+84365,int_stack+78965,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+49275,int_stack+97370,int_stack+0,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+196190,int_stack+49275,int_stack+127070,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+237140,int_stack+196190,int_stack+14175,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+289790,int_stack+237140,int_stack+151640,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+90485,int_stack+84365,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+113570,int_stack+0,int_stack+97370,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+113570,int_stack+49275,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+47250,int_stack+0,int_stack+196190,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+108675,int_stack+47250,int_stack+237140,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+108675,int_stack+289790,45);
 /*--- compute (kp|ni) ---*/
 hrr1_build_kp(Libint->AB,int_stack+83160,int_stack+0,int_stack+363314,1848);
 /*--- compute (id|ni) ---*/
 hrr1_build_id(Libint->AB,int_stack+817922,int_stack+83160,int_stack+429842,1848);
 /*--- compute (hf|ni) ---*/
 hrr1_build_hf(Libint->AB,int_stack+0,int_stack+817922,int_stack+585074,1848);
 return int_stack+0;}
