#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hfnl(Libint_t*, prim_data*);

  /* Computes quartets of (hf|nl) integrals */

REALTYPE *hrr_order_hfnl(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][10] = int_stack + 0;
 Libint->vrr_classes[5][11] = int_stack + 1386;
 Libint->vrr_classes[5][12] = int_stack + 3024;
 Libint->vrr_classes[5][13] = int_stack + 4935;
 Libint->vrr_classes[5][14] = int_stack + 7140;
 Libint->vrr_classes[5][15] = int_stack + 9660;
 Libint->vrr_classes[5][16] = int_stack + 12516;
 Libint->vrr_classes[5][17] = int_stack + 15729;
 Libint->vrr_classes[5][18] = int_stack + 19320;
 Libint->vrr_classes[6][10] = int_stack + 23310;
 Libint->vrr_classes[6][11] = int_stack + 25158;
 Libint->vrr_classes[6][12] = int_stack + 27342;
 Libint->vrr_classes[6][13] = int_stack + 29890;
 Libint->vrr_classes[6][14] = int_stack + 32830;
 Libint->vrr_classes[6][15] = int_stack + 36190;
 Libint->vrr_classes[6][16] = int_stack + 39998;
 Libint->vrr_classes[6][17] = int_stack + 44282;
 Libint->vrr_classes[6][18] = int_stack + 49070;
 Libint->vrr_classes[7][10] = int_stack + 54390;
 Libint->vrr_classes[7][11] = int_stack + 56766;
 Libint->vrr_classes[7][12] = int_stack + 59574;
 Libint->vrr_classes[7][13] = int_stack + 62850;
 Libint->vrr_classes[7][14] = int_stack + 66630;
 Libint->vrr_classes[7][15] = int_stack + 70950;
 Libint->vrr_classes[7][16] = int_stack + 75846;
 Libint->vrr_classes[7][17] = int_stack + 81354;
 Libint->vrr_classes[7][18] = int_stack + 87510;
 Libint->vrr_classes[8][10] = int_stack + 94350;
 Libint->vrr_classes[8][11] = int_stack + 97320;
 Libint->vrr_classes[8][12] = int_stack + 100830;
 Libint->vrr_classes[8][13] = int_stack + 104925;
 Libint->vrr_classes[8][14] = int_stack + 109650;
 Libint->vrr_classes[8][15] = int_stack + 115050;
 Libint->vrr_classes[8][16] = int_stack + 121170;
 Libint->vrr_classes[8][17] = int_stack + 128055;
 Libint->vrr_classes[8][18] = int_stack + 135750;
 memset(int_stack,0,144300*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 144300;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hfnl(Libint, Data);
   Data++;
 }
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+144300,int_stack+1386,int_stack+0,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+148458,int_stack+3024,int_stack+1386,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+153372,int_stack+148458,int_stack+144300,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+161688,int_stack+4935,int_stack+3024,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+167421,int_stack+161688,int_stack+148458,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+177249,int_stack+167421,int_stack+153372,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+144300,int_stack+7140,int_stack+4935,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+191109,int_stack+144300,int_stack+161688,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+150915,int_stack+191109,int_stack+167421,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+202575,int_stack+150915,int_stack+177249,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+167295,int_stack+9660,int_stack+7140,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+174855,int_stack+167295,int_stack+144300,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+223365,int_stack+174855,int_stack+191109,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+242475,int_stack+223365,int_stack+150915,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+267045,int_stack+242475,int_stack+202575,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+144300,int_stack+12516,int_stack+9660,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+188085,int_stack+144300,int_stack+167295,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+296151,int_stack+188085,int_stack+174855,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+152868,int_stack+296151,int_stack+223365,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+203205,int_stack+152868,int_stack+242475,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+318201,int_stack+203205,int_stack+267045,21);
 /*--- compute (h0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+237603,int_stack+15729,int_stack+12516,21);
 /*--- compute (h0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+247242,int_stack+237603,int_stack+144300,21);
 /*--- compute (h0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+264378,int_stack+247242,int_stack+188085,21);
 /*--- compute (h0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+357009,int_stack+264378,int_stack+296151,21);
 /*--- compute (h0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+390084,int_stack+357009,int_stack+152868,21);
 /*--- compute (h0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+144300,int_stack+390084,int_stack+203205,21);
 /*--- compute (h0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+430215,int_stack+144300,int_stack+318201,21);
 /*--- compute (h0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+190164,int_stack+19320,int_stack+15729,21);
 /*--- compute (h0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+200937,int_stack+190164,int_stack+237603,21);
 /*--- compute (h0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+289578,int_stack+200937,int_stack+247242,21);
 /*--- compute (h0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+190164,int_stack+289578,int_stack+264378,21);
 /*--- compute (h0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+227964,int_stack+190164,int_stack+357009,21);
 /*--- compute (h0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+274269,int_stack+227964,int_stack+390084,21);
 /*--- compute (h0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+190164,int_stack+274269,int_stack+144300,21);
 /*--- compute (h0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+249132,int_stack+190164,int_stack+430215,21);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+144300,int_stack+25158,int_stack+23310,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+149844,int_stack+27342,int_stack+25158,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+156396,int_stack+149844,int_stack+144300,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+167484,int_stack+29890,int_stack+27342,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+175128,int_stack+167484,int_stack+149844,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+188232,int_stack+175128,int_stack+156396,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+144300,int_stack+32830,int_stack+29890,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+206712,int_stack+144300,int_stack+167484,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+153120,int_stack+206712,int_stack+175128,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+311502,int_stack+153120,int_stack+188232,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+174960,int_stack+36190,int_stack+32830,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+185040,int_stack+174960,int_stack+144300,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+222000,int_stack+185040,int_stack+206712,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+339222,int_stack+222000,int_stack+153120,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+371982,int_stack+339222,int_stack+311502,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+311502,int_stack+39998,int_stack+36190,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+144300,int_stack+311502,int_stack+174960,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+410790,int_stack+144300,int_stack+185040,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+164460,int_stack+410790,int_stack+222000,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+202680,int_stack+164460,int_stack+339222,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+440190,int_stack+202680,int_stack+371982,28);
 /*--- compute (i0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+322926,int_stack+44282,int_stack+39998,28);
 /*--- compute (i0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+335778,int_stack+322926,int_stack+311502,28);
 /*--- compute (i0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+358626,int_stack+335778,int_stack+144300,28);
 /*--- compute (i0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+0,int_stack+358626,int_stack+410790,28);
 /*--- compute (i0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+491934,int_stack+0,int_stack+164460,28);
 /*--- compute (i0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+545442,int_stack+491934,int_stack+202680,28);
 /*--- compute (i0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+144300,int_stack+545442,int_stack+440190,28);
 /*--- compute (i0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+210828,int_stack+49070,int_stack+44282,28);
 /*--- compute (i0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+392226,int_stack+210828,int_stack+322926,28);
 /*--- compute (i0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+210828,int_stack+392226,int_stack+335778,28);
 /*--- compute (i0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+392226,int_stack+210828,int_stack+358626,28);
 /*--- compute (i0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+311502,int_stack+392226,int_stack+0,28);
 /*--- compute (i0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+373242,int_stack+311502,int_stack+491934,28);
 /*--- compute (i0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+444586,int_stack+373242,int_stack+545442,28);
 /*--- compute (i0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+311502,int_stack+444586,int_stack+144300,28);
 /*--- compute (hp|nl) ---*/
 hrr1_build_hp(Libint->AB,int_stack+394662,int_stack+311502,int_stack+249132,2970);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+144300,int_stack+56766,int_stack+54390,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+151428,int_stack+59574,int_stack+56766,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+159852,int_stack+151428,int_stack+144300,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+174108,int_stack+62850,int_stack+59574,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+183936,int_stack+174108,int_stack+151428,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+200784,int_stack+183936,int_stack+159852,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+144300,int_stack+66630,int_stack+62850,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+224544,int_stack+144300,int_stack+174108,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+155640,int_stack+224544,int_stack+183936,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+244200,int_stack+155640,int_stack+200784,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+183720,int_stack+70950,int_stack+66630,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+196680,int_stack+183720,int_stack+144300,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+196680,int_stack+224544,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+581772,int_stack+0,int_stack+155640,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+623892,int_stack+581772,int_stack+244200,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+144300,int_stack+75846,int_stack+70950,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+219360,int_stack+144300,int_stack+183720,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+245280,int_stack+219360,int_stack+196680,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+158988,int_stack+245280,int_stack+0,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+0,int_stack+158988,int_stack+581772,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+673788,int_stack+0,int_stack+623892,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+581772,int_stack+81354,int_stack+75846,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+598296,int_stack+581772,int_stack+144300,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+627672,int_stack+598296,int_stack+219360,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+740316,int_stack+627672,int_stack+245280,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+208128,int_stack+740316,int_stack+158988,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+797016,int_stack+208128,int_stack+0,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+875640,int_stack+797016,int_stack+673788,36);
 /*--- compute (k0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+0,int_stack+87510,int_stack+81354,36);
 /*--- compute (k0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+18468,int_stack+0,int_stack+581772,36);
 /*--- compute (k0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+144300,int_stack+18468,int_stack+598296,36);
 /*--- compute (k0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+0,int_stack+144300,int_stack+627672,36);
 /*--- compute (k0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+581772,int_stack+0,int_stack+740316,36);
 /*--- compute (k0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+0,int_stack+581772,int_stack+208128,36);
 /*--- compute (k0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+581772,int_stack+0,int_stack+797016,36);
 /*--- compute (k0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+682860,int_stack+581772,int_stack+875640,36);
 /*--- compute (ip|nl) ---*/
 hrr1_build_ip(Libint->AB,int_stack+789780,int_stack+682860,int_stack+311502,2970);
 /*--- compute (hd|nl) ---*/
 hrr1_build_hd(Libint->AB,int_stack+1039260,int_stack+789780,int_stack+394662,2970);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+97320,int_stack+94350,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+8910,int_stack+100830,int_stack+97320,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+19440,int_stack+8910,int_stack+0,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+37260,int_stack+104925,int_stack+100830,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+49545,int_stack+37260,int_stack+8910,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+70605,int_stack+49545,int_stack+19440,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+109650,int_stack+104925,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+144300,int_stack+0,int_stack+37260,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+14175,int_stack+144300,int_stack+49545,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+168870,int_stack+14175,int_stack+70605,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+49275,int_stack+115050,int_stack+109650,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+65475,int_stack+49275,int_stack+0,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+213420,int_stack+65475,int_stack+144300,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+254370,int_stack+213420,int_stack+14175,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+307020,int_stack+254370,int_stack+168870,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+144300,int_stack+121170,int_stack+115050,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+162660,int_stack+144300,int_stack+49275,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+162660,int_stack+65475,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+47250,int_stack+0,int_stack+213420,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+369390,int_stack+47250,int_stack+254370,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+195060,int_stack+369390,int_stack+307020,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+278220,int_stack+128055,int_stack+121170,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+298875,int_stack+278220,int_stack+144300,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+443100,int_stack+298875,int_stack+162660,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+497100,int_stack+443100,int_stack+0,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+567975,int_stack+497100,int_stack+47250,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+0,int_stack+567975,int_stack+369390,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+335595,int_stack+0,int_stack+195060,45);
 /*--- compute (l0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+98280,int_stack+135750,int_stack+128055,45);
 /*--- compute (l0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+121365,int_stack+98280,int_stack+278220,45);
 /*--- compute (l0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+162675,int_stack+121365,int_stack+298875,45);
 /*--- compute (l0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+223875,int_stack+162675,int_stack+443100,45);
 /*--- compute (l0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+98280,int_stack+223875,int_stack+497100,45);
 /*--- compute (l0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+197505,int_stack+98280,int_stack+567975,45);
 /*--- compute (l0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+442515,int_stack+197505,int_stack+0,45);
 /*--- compute (l0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+0,int_stack+442515,int_stack+335595,45);
 /*--- compute (kp|nl) ---*/
 hrr1_build_kp(Libint->AB,int_stack+133650,int_stack+0,int_stack+682860,2970);
 /*--- compute (id|nl) ---*/
 hrr1_build_id(Libint->AB,int_stack+1413480,int_stack+133650,int_stack+789780,2970);
 /*--- compute (hf|nl) ---*/
 hrr1_build_hf(Libint->AB,int_stack+0,int_stack+1413480,int_stack+1039260,2970);
 return int_stack+0;}
