#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hglh(Libint_t*, prim_data*);

  /* Computes quartets of (hg|lh) integrals */

REALTYPE *hrr_order_hglh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][8] = int_stack + 0;
 Libint->vrr_classes[5][9] = int_stack + 945;
 Libint->vrr_classes[5][10] = int_stack + 2100;
 Libint->vrr_classes[5][11] = int_stack + 3486;
 Libint->vrr_classes[5][12] = int_stack + 5124;
 Libint->vrr_classes[5][13] = int_stack + 7035;
 Libint->vrr_classes[6][8] = int_stack + 9240;
 Libint->vrr_classes[6][9] = int_stack + 10500;
 Libint->vrr_classes[6][10] = int_stack + 12040;
 Libint->vrr_classes[6][11] = int_stack + 13888;
 Libint->vrr_classes[6][12] = int_stack + 16072;
 Libint->vrr_classes[6][13] = int_stack + 18620;
 Libint->vrr_classes[7][8] = int_stack + 21560;
 Libint->vrr_classes[7][9] = int_stack + 23180;
 Libint->vrr_classes[7][10] = int_stack + 25160;
 Libint->vrr_classes[7][11] = int_stack + 27536;
 Libint->vrr_classes[7][12] = int_stack + 30344;
 Libint->vrr_classes[7][13] = int_stack + 33620;
 Libint->vrr_classes[8][8] = int_stack + 37400;
 Libint->vrr_classes[8][9] = int_stack + 39425;
 Libint->vrr_classes[8][10] = int_stack + 41900;
 Libint->vrr_classes[8][11] = int_stack + 44870;
 Libint->vrr_classes[8][12] = int_stack + 48380;
 Libint->vrr_classes[8][13] = int_stack + 52475;
 Libint->vrr_classes[9][8] = int_stack + 57200;
 Libint->vrr_classes[9][9] = int_stack + 59675;
 Libint->vrr_classes[9][10] = int_stack + 62700;
 Libint->vrr_classes[9][11] = int_stack + 66330;
 Libint->vrr_classes[9][12] = int_stack + 70620;
 Libint->vrr_classes[9][13] = int_stack + 75625;
 memset(int_stack,0,81400*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 81400;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hglh(Libint, Data);
   Data++;
 }
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+81400,int_stack+945,int_stack+0,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+84235,int_stack+2100,int_stack+945,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+87700,int_stack+84235,int_stack+81400,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+93370,int_stack+3486,int_stack+2100,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+97528,int_stack+93370,int_stack+84235,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+104458,int_stack+97528,int_stack+87700,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+81400,int_stack+5124,int_stack+3486,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+113908,int_stack+81400,int_stack+93370,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+122224,int_stack+113908,int_stack+97528,21);
 /*--- compute (h0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+86314,int_stack+122224,int_stack+104458,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+100489,int_stack+7035,int_stack+5124,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+133774,int_stack+100489,int_stack+81400,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+143602,int_stack+133774,int_stack+113908,21);
 /*--- compute (h0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+100489,int_stack+143602,int_stack+122224,21);
 /*--- compute (h0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+117814,int_stack+100489,int_stack+86314,21);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+81400,int_stack+10500,int_stack+9240,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+85180,int_stack+12040,int_stack+10500,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+89800,int_stack+85180,int_stack+81400,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+97360,int_stack+13888,int_stack+12040,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+102904,int_stack+97360,int_stack+85180,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+137659,int_stack+102904,int_stack+89800,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+81400,int_stack+16072,int_stack+13888,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+81400,int_stack+97360,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+150259,int_stack+0,int_stack+102904,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+87952,int_stack+150259,int_stack+137659,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+137659,int_stack+18620,int_stack+16072,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+165659,int_stack+137659,int_stack+81400,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+178763,int_stack+165659,int_stack+0,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+197243,int_stack+178763,int_stack+150259,28);
 /*--- compute (i0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+137659,int_stack+197243,int_stack+87952,28);
 /*--- compute (hp|lh) ---*/
 hrr1_build_hp(Libint->AB,int_stack+164119,int_stack+137659,int_stack+117814,945);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+23180,int_stack+21560,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+4860,int_stack+25160,int_stack+23180,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+10800,int_stack+4860,int_stack+0,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+81400,int_stack+27536,int_stack+25160,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+88528,int_stack+81400,int_stack+4860,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+100408,int_stack+88528,int_stack+10800,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+30344,int_stack+27536,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+8424,int_stack+0,int_stack+81400,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+116608,int_stack+8424,int_stack+88528,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+223654,int_stack+116608,int_stack+100408,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+81400,int_stack+33620,int_stack+30344,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+91228,int_stack+81400,int_stack+0,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+247954,int_stack+91228,int_stack+8424,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+0,int_stack+247954,int_stack+116608,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+81400,int_stack+0,int_stack+223654,36);
 /*--- compute (ip|lh) ---*/
 hrr1_build_ip(Libint->AB,int_stack+223654,int_stack+81400,int_stack+137659,945);
 /*--- compute (hd|lh) ---*/
 hrr1_build_hd(Libint->AB,int_stack+303034,int_stack+223654,int_stack+164119,945);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+39425,int_stack+37400,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+6075,int_stack+41900,int_stack+39425,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+13500,int_stack+6075,int_stack+0,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+25650,int_stack+44870,int_stack+41900,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+115420,int_stack+25650,int_stack+6075,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+130270,int_stack+115420,int_stack+13500,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+48380,int_stack+44870,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+150520,int_stack+0,int_stack+25650,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+10530,int_stack+150520,int_stack+115420,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+168340,int_stack+10530,int_stack+130270,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+115420,int_stack+52475,int_stack+48380,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+127705,int_stack+115420,int_stack+0,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+422104,int_stack+127705,int_stack+150520,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+115420,int_stack+422104,int_stack+10530,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+0,int_stack+115420,int_stack+168340,45);
 /*--- compute (kp|lh) ---*/
 hrr1_build_kp(Libint->AB,int_stack+115420,int_stack+0,int_stack+81400,945);
 /*--- compute (id|lh) ---*/
 hrr1_build_id(Libint->AB,int_stack+422104,int_stack+115420,int_stack+223654,945);
 /*--- compute (hf|lh) ---*/
 hrr1_build_hf(Libint->AB,int_stack+580864,int_stack+422104,int_stack+303034,945);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+81400,int_stack+59675,int_stack+57200,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+88825,int_stack+62700,int_stack+59675,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+97900,int_stack+88825,int_stack+81400,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+217480,int_stack+66330,int_stack+62700,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+228370,int_stack+217480,int_stack+88825,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+246520,int_stack+228370,int_stack+97900,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+81400,int_stack+70620,int_stack+66330,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+271270,int_stack+81400,int_stack+217480,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+293050,int_stack+271270,int_stack+228370,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+323300,int_stack+293050,int_stack+246520,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+217480,int_stack+75625,int_stack+70620,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+232495,int_stack+217480,int_stack+81400,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+360425,int_stack+232495,int_stack+271270,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+217480,int_stack+360425,int_stack+293050,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+360425,int_stack+217480,int_stack+323300,55);
 /*--- compute (lp|lh) ---*/
 hrr1_build_lp(Libint->AB,int_stack+217480,int_stack+360425,int_stack+0,945);
 /*--- compute (kd|lh) ---*/
 hrr1_build_kd(Libint->AB,int_stack+779314,int_stack+217480,int_stack+115420,945);
 /*--- compute (if|lh) ---*/
 hrr1_build_if(Libint->AB,int_stack+0,int_stack+779314,int_stack+422104,945);
 /*--- compute (hg|lh) ---*/
 hrr1_build_hg(Libint->AB,int_stack+264600,int_stack+0,int_stack+580864,945);
 return int_stack+264600;}
