#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_idhf(Libint_t*, prim_data*);

  /* Computes quartets of (id|hf) integrals */

REALTYPE *hrr_order_idhf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][5] = int_stack + 0;
 Libint->vrr_classes[6][6] = int_stack + 588;
 Libint->vrr_classes[6][7] = int_stack + 1372;
 Libint->vrr_classes[6][8] = int_stack + 2380;
 Libint->vrr_classes[7][5] = int_stack + 3640;
 Libint->vrr_classes[7][6] = int_stack + 4396;
 Libint->vrr_classes[7][7] = int_stack + 5404;
 Libint->vrr_classes[7][8] = int_stack + 6700;
 Libint->vrr_classes[8][5] = int_stack + 8320;
 Libint->vrr_classes[8][6] = int_stack + 9265;
 Libint->vrr_classes[8][7] = int_stack + 10525;
 Libint->vrr_classes[8][8] = int_stack + 12145;
 memset(int_stack,0,14170*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 14170;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_idhf(Libint, Data);
   Data++;
 }
 /*--- compute (i0|hp) ---*/
 hrr3_build_hp(Libint->CD,int_stack+14170,int_stack+588,int_stack+0,28);
 /*--- compute (i0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+15934,int_stack+1372,int_stack+588,28);
 /*--- compute (i0|hd) ---*/
 hrr3_build_hd(Libint->CD,int_stack+18286,int_stack+15934,int_stack+14170,28);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+21814,int_stack+2380,int_stack+1372,28);
 /*--- compute (i0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+24838,int_stack+21814,int_stack+15934,28);
 /*--- compute (i0|hf) ---*/
 hrr3_build_hf(Libint->CD,int_stack+29542,int_stack+24838,int_stack+18286,28);
 /*--- compute (k0|hp) ---*/
 hrr3_build_hp(Libint->CD,int_stack+14170,int_stack+4396,int_stack+3640,36);
 /*--- compute (k0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+16438,int_stack+5404,int_stack+4396,36);
 /*--- compute (k0|hd) ---*/
 hrr3_build_hd(Libint->CD,int_stack+19462,int_stack+16438,int_stack+14170,36);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+23998,int_stack+6700,int_stack+5404,36);
 /*--- compute (k0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+0,int_stack+23998,int_stack+16438,36);
 /*--- compute (k0|hf) ---*/
 hrr3_build_hf(Libint->CD,int_stack+35422,int_stack+0,int_stack+19462,36);
 /*--- compute (ip|hf) ---*/
 hrr1_build_ip(Libint->AB,int_stack+42982,int_stack+35422,int_stack+29542,210);
 /*--- compute (l0|hp) ---*/
 hrr3_build_hp(Libint->CD,int_stack+0,int_stack+9265,int_stack+8320,45);
 /*--- compute (l0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+2835,int_stack+10525,int_stack+9265,45);
 /*--- compute (l0|hd) ---*/
 hrr3_build_hd(Libint->CD,int_stack+14170,int_stack+2835,int_stack+0,45);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+19840,int_stack+12145,int_stack+10525,45);
 /*--- compute (l0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+24700,int_stack+19840,int_stack+2835,45);
 /*--- compute (l0|hf) ---*/
 hrr3_build_hf(Libint->CD,int_stack+0,int_stack+24700,int_stack+14170,45);
 /*--- compute (kp|hf) ---*/
 hrr1_build_kp(Libint->AB,int_stack+9450,int_stack+0,int_stack+35422,210);
 /*--- compute (id|hf) ---*/
 hrr1_build_id(Libint->AB,int_stack+60622,int_stack+9450,int_stack+42982,210);
 return int_stack+60622;}
