#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_idm0(Libint_t*, prim_data*);

  /* Computes quartets of (id|m0) integrals */

REALTYPE *hrr_order_idm0(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][9] = int_stack + 0;
 Libint->vrr_classes[7][9] = int_stack + 1540;
 Libint->vrr_classes[8][9] = int_stack + 3520;
 memset(int_stack,0,5995*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 5995;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_idm0(Libint, Data);
   Data++;
 }
 /*--- compute (ip|m0) ---*/
 hrr1_build_ip(Libint->AB,int_stack+5995,int_stack+1540,int_stack+0,55);
 /*--- compute (kp|m0) ---*/
 hrr1_build_kp(Libint->AB,int_stack+10615,int_stack+3520,int_stack+1540,55);
 /*--- compute (id|m0) ---*/
 hrr1_build_id(Libint->AB,int_stack+16555,int_stack+10615,int_stack+5995,55);
 return int_stack+16555;}
