#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ifmg(Libint_t*, prim_data*);

  /* Computes quartets of (if|mg) integrals */

REALTYPE *hrr_order_ifmg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][9] = int_stack + 0;
 Libint->vrr_classes[6][10] = int_stack + 1540;
 Libint->vrr_classes[6][11] = int_stack + 3388;
 Libint->vrr_classes[6][12] = int_stack + 5572;
 Libint->vrr_classes[6][13] = int_stack + 8120;
 Libint->vrr_classes[7][9] = int_stack + 11060;
 Libint->vrr_classes[7][10] = int_stack + 13040;
 Libint->vrr_classes[7][11] = int_stack + 15416;
 Libint->vrr_classes[7][12] = int_stack + 18224;
 Libint->vrr_classes[7][13] = int_stack + 21500;
 Libint->vrr_classes[8][9] = int_stack + 25280;
 Libint->vrr_classes[8][10] = int_stack + 27755;
 Libint->vrr_classes[8][11] = int_stack + 30725;
 Libint->vrr_classes[8][12] = int_stack + 34235;
 Libint->vrr_classes[8][13] = int_stack + 38330;
 Libint->vrr_classes[9][9] = int_stack + 43055;
 Libint->vrr_classes[9][10] = int_stack + 46080;
 Libint->vrr_classes[9][11] = int_stack + 49710;
 Libint->vrr_classes[9][12] = int_stack + 54000;
 Libint->vrr_classes[9][13] = int_stack + 59005;
 memset(int_stack,0,64780*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 64780;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ifmg(Libint, Data);
   Data++;
 }
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+64780,int_stack+1540,int_stack+0,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+69400,int_stack+3388,int_stack+1540,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+74944,int_stack+69400,int_stack+64780,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+84184,int_stack+5572,int_stack+3388,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+90736,int_stack+84184,int_stack+69400,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+101824,int_stack+90736,int_stack+74944,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+64780,int_stack+8120,int_stack+5572,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+117224,int_stack+64780,int_stack+84184,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+64780,int_stack+117224,int_stack+90736,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+117224,int_stack+64780,int_stack+101824,28);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+64780,int_stack+13040,int_stack+11060,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+70720,int_stack+15416,int_stack+13040,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+77848,int_stack+70720,int_stack+64780,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+89728,int_stack+18224,int_stack+15416,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+98152,int_stack+89728,int_stack+70720,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+140324,int_stack+98152,int_stack+77848,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+64780,int_stack+21500,int_stack+18224,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+64780,int_stack+89728,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+64780,int_stack+0,int_stack+98152,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+160124,int_stack+64780,int_stack+140324,36);
 /*--- compute (ip|mg) ---*/
 hrr1_build_ip(Libint->AB,int_stack+189824,int_stack+160124,int_stack+117224,825);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+64780,int_stack+27755,int_stack+25280,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+72205,int_stack+30725,int_stack+27755,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+81115,int_stack+72205,int_stack+64780,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+95965,int_stack+34235,int_stack+30725,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+106495,int_stack+95965,int_stack+72205,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+124315,int_stack+106495,int_stack+81115,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+64780,int_stack+38330,int_stack+34235,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+64780,int_stack+95965,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+64780,int_stack+0,int_stack+106495,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+0,int_stack+64780,int_stack+124315,45);
 /*--- compute (kp|mg) ---*/
 hrr1_build_kp(Libint->AB,int_stack+64780,int_stack+0,int_stack+160124,825);
 /*--- compute (id|mg) ---*/
 hrr1_build_id(Libint->AB,int_stack+259124,int_stack+64780,int_stack+189824,825);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+153880,int_stack+46080,int_stack+43055,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+162955,int_stack+49710,int_stack+46080,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+173845,int_stack+162955,int_stack+153880,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+191995,int_stack+54000,int_stack+49710,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+204865,int_stack+191995,int_stack+162955,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+226645,int_stack+204865,int_stack+173845,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+153880,int_stack+59005,int_stack+54000,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+37125,int_stack+153880,int_stack+191995,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+153880,int_stack+37125,int_stack+204865,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+397724,int_stack+153880,int_stack+226645,55);
 /*--- compute (lp|mg) ---*/
 hrr1_build_lp(Libint->AB,int_stack+443099,int_stack+397724,int_stack+0,825);
 /*--- compute (kd|mg) ---*/
 hrr1_build_kd(Libint->AB,int_stack+554474,int_stack+443099,int_stack+64780,825);
 /*--- compute (if|mg) ---*/
 hrr1_build_if(Libint->AB,int_stack+0,int_stack+554474,int_stack+259124,825);
 return int_stack+0;}
