#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_iglk(Libint_t*, prim_data*);

  /* Computes quartets of (ig|lk) integrals */

REALTYPE *hrr_order_iglk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][8] = int_stack + 0;
 Libint->vrr_classes[6][9] = int_stack + 1260;
 Libint->vrr_classes[6][10] = int_stack + 2800;
 Libint->vrr_classes[6][11] = int_stack + 4648;
 Libint->vrr_classes[6][12] = int_stack + 6832;
 Libint->vrr_classes[6][13] = int_stack + 9380;
 Libint->vrr_classes[6][14] = int_stack + 12320;
 Libint->vrr_classes[6][15] = int_stack + 15680;
 Libint->vrr_classes[7][8] = int_stack + 19488;
 Libint->vrr_classes[7][9] = int_stack + 21108;
 Libint->vrr_classes[7][10] = int_stack + 23088;
 Libint->vrr_classes[7][11] = int_stack + 25464;
 Libint->vrr_classes[7][12] = int_stack + 28272;
 Libint->vrr_classes[7][13] = int_stack + 31548;
 Libint->vrr_classes[7][14] = int_stack + 35328;
 Libint->vrr_classes[7][15] = int_stack + 39648;
 Libint->vrr_classes[8][8] = int_stack + 44544;
 Libint->vrr_classes[8][9] = int_stack + 46569;
 Libint->vrr_classes[8][10] = int_stack + 49044;
 Libint->vrr_classes[8][11] = int_stack + 52014;
 Libint->vrr_classes[8][12] = int_stack + 55524;
 Libint->vrr_classes[8][13] = int_stack + 59619;
 Libint->vrr_classes[8][14] = int_stack + 64344;
 Libint->vrr_classes[8][15] = int_stack + 69744;
 Libint->vrr_classes[9][8] = int_stack + 75864;
 Libint->vrr_classes[9][9] = int_stack + 78339;
 Libint->vrr_classes[9][10] = int_stack + 81364;
 Libint->vrr_classes[9][11] = int_stack + 84994;
 Libint->vrr_classes[9][12] = int_stack + 89284;
 Libint->vrr_classes[9][13] = int_stack + 94289;
 Libint->vrr_classes[9][14] = int_stack + 100064;
 Libint->vrr_classes[9][15] = int_stack + 106664;
 Libint->vrr_classes[10][8] = int_stack + 114144;
 Libint->vrr_classes[10][9] = int_stack + 117114;
 Libint->vrr_classes[10][10] = int_stack + 120744;
 Libint->vrr_classes[10][11] = int_stack + 125100;
 Libint->vrr_classes[10][12] = int_stack + 130248;
 Libint->vrr_classes[10][13] = int_stack + 136254;
 Libint->vrr_classes[10][14] = int_stack + 143184;
 Libint->vrr_classes[10][15] = int_stack + 151104;
 memset(int_stack,0,160080*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 160080;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_iglk(Libint, Data);
   Data++;
 }
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+160080,int_stack+1260,int_stack+0,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+163860,int_stack+2800,int_stack+1260,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+168480,int_stack+163860,int_stack+160080,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+176040,int_stack+4648,int_stack+2800,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+181584,int_stack+176040,int_stack+163860,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+190824,int_stack+181584,int_stack+168480,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+160080,int_stack+6832,int_stack+4648,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+203424,int_stack+160080,int_stack+176040,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+214512,int_stack+203424,int_stack+181584,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+166632,int_stack+214512,int_stack+190824,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+185532,int_stack+9380,int_stack+6832,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+229912,int_stack+185532,int_stack+160080,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+243016,int_stack+229912,int_stack+203424,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+261496,int_stack+243016,int_stack+214512,28);
 /*--- compute (i0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+193176,int_stack+261496,int_stack+166632,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+160080,int_stack+12320,int_stack+9380,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+168900,int_stack+160080,int_stack+185532,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+284596,int_stack+168900,int_stack+229912,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+306436,int_stack+284596,int_stack+243016,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+219636,int_stack+306436,int_stack+261496,28);
 /*--- compute (i0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+334156,int_stack+219636,int_stack+193176,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+184188,int_stack+15680,int_stack+12320,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+194268,int_stack+184188,int_stack+160080,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+251976,int_stack+194268,int_stack+168900,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+160080,int_stack+251976,int_stack+284596,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+251976,int_stack+160080,int_stack+306436,28);
 /*--- compute (i0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+160080,int_stack+251976,int_stack+219636,28);
 /*--- compute (i0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+203200,int_stack+160080,int_stack+334156,28);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+160080,int_stack+21108,int_stack+19488,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+164940,int_stack+23088,int_stack+21108,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+170880,int_stack+164940,int_stack+160080,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+180600,int_stack+25464,int_stack+23088,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+187728,int_stack+180600,int_stack+164940,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+248560,int_stack+187728,int_stack+170880,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+160080,int_stack+28272,int_stack+25464,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+264760,int_stack+160080,int_stack+180600,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+279016,int_stack+264760,int_stack+187728,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+168504,int_stack+279016,int_stack+248560,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+248560,int_stack+31548,int_stack+28272,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+298816,int_stack+248560,int_stack+160080,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+315664,int_stack+298816,int_stack+264760,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+339424,int_stack+315664,int_stack+279016,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+258388,int_stack+339424,int_stack+168504,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+160080,int_stack+35328,int_stack+31548,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+171420,int_stack+160080,int_stack+248560,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+171420,int_stack+298816,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+369124,int_stack+0,int_stack+315664,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+292408,int_stack+369124,int_stack+339424,36);
 /*--- compute (k0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+404764,int_stack+292408,int_stack+258388,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+248560,int_stack+39648,int_stack+35328,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+261520,int_stack+248560,int_stack+160080,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+333988,int_stack+261520,int_stack+171420,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+160080,int_stack+333988,int_stack+0,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+450124,int_stack+160080,int_stack+369124,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+333988,int_stack+450124,int_stack+292408,36);
 /*--- compute (k0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+248560,int_stack+333988,int_stack+404764,36);
 /*--- compute (ip|lk) ---*/
 hrr1_build_ip(Libint->AB,int_stack+306880,int_stack+248560,int_stack+203200,1620);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+160080,int_stack+46569,int_stack+44544,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+166155,int_stack+49044,int_stack+46569,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+173580,int_stack+166155,int_stack+160080,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+185730,int_stack+52014,int_stack+49044,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+194640,int_stack+185730,int_stack+166155,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+209490,int_stack+194640,int_stack+173580,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+160080,int_stack+55524,int_stack+52014,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+229740,int_stack+160080,int_stack+185730,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+229740,int_stack+194640,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+170610,int_stack+0,int_stack+209490,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+200985,int_stack+59619,int_stack+55524,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+24750,int_stack+200985,int_stack+160080,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+442960,int_stack+24750,int_stack+229740,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+472660,int_stack+442960,int_stack+0,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+509785,int_stack+472660,int_stack+170610,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+64344,int_stack+59619,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+160080,int_stack+0,int_stack+200985,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+184650,int_stack+160080,int_stack+24750,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+14175,int_stack+184650,int_stack+442960,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+552310,int_stack+14175,int_stack+472660,45);
 /*--- compute (l0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+442960,int_stack+552310,int_stack+509785,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+499660,int_stack+69744,int_stack+64344,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+515860,int_stack+499660,int_stack+0,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+604285,int_stack+515860,int_stack+160080,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+499660,int_stack+604285,int_stack+184650,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+160080,int_stack+499660,int_stack+14175,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+160080,int_stack+552310,45);
 /*--- compute (l0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+160080,int_stack+0,int_stack+442960,45);
 /*--- compute (kp|lk) ---*/
 hrr1_build_kp(Libint->AB,int_stack+442960,int_stack+160080,int_stack+248560,1620);
 /*--- compute (id|lk) ---*/
 hrr1_build_id(Libint->AB,int_stack+617920,int_stack+442960,int_stack+306880,1620);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+78339,int_stack+75864,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+7425,int_stack+81364,int_stack+78339,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+16500,int_stack+7425,int_stack+0,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+31350,int_stack+84994,int_stack+81364,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+42240,int_stack+31350,int_stack+7425,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+232980,int_stack+42240,int_stack+16500,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+89284,int_stack+84994,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+60390,int_stack+0,int_stack+31350,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+257730,int_stack+60390,int_stack+42240,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+12870,int_stack+257730,int_stack+232980,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+232980,int_stack+94289,int_stack+89284,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+287980,int_stack+232980,int_stack+0,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+313720,int_stack+287980,int_stack+60390,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+350020,int_stack+313720,int_stack+257730,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+890080,int_stack+350020,int_stack+12870,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+100064,int_stack+94289,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+17325,int_stack+0,int_stack+232980,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+232980,int_stack+17325,int_stack+287980,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+942055,int_stack+232980,int_stack+313720,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+275880,int_stack+942055,int_stack+350020,55);
 /*--- compute (m0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+339405,int_stack+275880,int_stack+890080,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+890080,int_stack+106664,int_stack+100064,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+47355,int_stack+890080,int_stack+0,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+890080,int_stack+47355,int_stack+17325,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+890080,int_stack+232980,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+996505,int_stack+0,int_stack+942055,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+996505,int_stack+275880,55);
 /*--- compute (m0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+232980,int_stack+0,int_stack+339405,55);
 /*--- compute (lp|lk) ---*/
 hrr1_build_lp(Libint->AB,int_stack+890080,int_stack+232980,int_stack+160080,1620);
 /*--- compute (kd|lk) ---*/
 hrr1_build_kd(Libint->AB,int_stack+1108780,int_stack+890080,int_stack+442960,1620);
 /*--- compute (if|lk) ---*/
 hrr1_build_if(Libint->AB,int_stack+1458700,int_stack+1108780,int_stack+617920,1620);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+160080,int_stack+117114,int_stack+114144,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+168990,int_stack+120744,int_stack+117114,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+179880,int_stack+168990,int_stack+160080,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+197700,int_stack+125100,int_stack+120744,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+210768,int_stack+197700,int_stack+168990,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+210768,int_stack+179880,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+160080,int_stack+130248,int_stack+125100,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+29700,int_stack+160080,int_stack+197700,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+55836,int_stack+29700,int_stack+210768,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+175524,int_stack+55836,int_stack+0,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+136254,int_stack+130248,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+92136,int_stack+0,int_stack+160080,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+322080,int_stack+92136,int_stack+29700,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+365640,int_stack+322080,int_stack+55836,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+18018,int_stack+365640,int_stack+175524,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+160080,int_stack+143184,int_stack+136254,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+180870,int_stack+160080,int_stack+0,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+420090,int_stack+180870,int_stack+92136,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+471570,int_stack+420090,int_stack+322080,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+536910,int_stack+471570,int_stack+365640,66);
 /*--- compute (n0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+322080,int_stack+536910,int_stack+18018,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+151104,int_stack+143184,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+23760,int_stack+0,int_stack+160080,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+65340,int_stack+23760,int_stack+180870,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+125400,int_stack+65340,int_stack+420090,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+125400,int_stack+471570,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+91476,int_stack+0,int_stack+536910,66);
 /*--- compute (n0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+405240,int_stack+91476,int_stack+322080,66);
 /*--- compute (mp|lk) ---*/
 hrr1_build_mp(Libint->AB,int_stack+512160,int_stack+405240,int_stack+232980,1620);
 /*--- compute (ld|lk) ---*/
 hrr1_build_ld(Libint->AB,int_stack+0,int_stack+512160,int_stack+890080,1620);
 /*--- compute (kf|lk) ---*/
 hrr1_build_kf(Libint->AB,int_stack+437400,int_stack+0,int_stack+1108780,1620);
 /*--- compute (ig|lk) ---*/
 hrr1_build_ig(Libint->AB,int_stack+1912300,int_stack+437400,int_stack+1458700,1620);
 return int_stack+1912300;}
