#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_iinl(Libint_t*, prim_data*);

  /* Computes quartets of (ii|nl) integrals */

REALTYPE *hrr_order_iinl(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][10] = int_stack + 0;
 Libint->vrr_classes[6][11] = int_stack + 1848;
 Libint->vrr_classes[6][12] = int_stack + 4032;
 Libint->vrr_classes[6][13] = int_stack + 6580;
 Libint->vrr_classes[6][14] = int_stack + 9520;
 Libint->vrr_classes[6][15] = int_stack + 12880;
 Libint->vrr_classes[6][16] = int_stack + 16688;
 Libint->vrr_classes[6][17] = int_stack + 20972;
 Libint->vrr_classes[6][18] = int_stack + 25760;
 Libint->vrr_classes[7][10] = int_stack + 31080;
 Libint->vrr_classes[7][11] = int_stack + 33456;
 Libint->vrr_classes[7][12] = int_stack + 36264;
 Libint->vrr_classes[7][13] = int_stack + 39540;
 Libint->vrr_classes[7][14] = int_stack + 43320;
 Libint->vrr_classes[7][15] = int_stack + 47640;
 Libint->vrr_classes[7][16] = int_stack + 52536;
 Libint->vrr_classes[7][17] = int_stack + 58044;
 Libint->vrr_classes[7][18] = int_stack + 64200;
 Libint->vrr_classes[8][10] = int_stack + 71040;
 Libint->vrr_classes[8][11] = int_stack + 74010;
 Libint->vrr_classes[8][12] = int_stack + 77520;
 Libint->vrr_classes[8][13] = int_stack + 81615;
 Libint->vrr_classes[8][14] = int_stack + 86340;
 Libint->vrr_classes[8][15] = int_stack + 91740;
 Libint->vrr_classes[8][16] = int_stack + 97860;
 Libint->vrr_classes[8][17] = int_stack + 104745;
 Libint->vrr_classes[8][18] = int_stack + 112440;
 Libint->vrr_classes[9][10] = int_stack + 120990;
 Libint->vrr_classes[9][11] = int_stack + 124620;
 Libint->vrr_classes[9][12] = int_stack + 128910;
 Libint->vrr_classes[9][13] = int_stack + 133915;
 Libint->vrr_classes[9][14] = int_stack + 139690;
 Libint->vrr_classes[9][15] = int_stack + 146290;
 Libint->vrr_classes[9][16] = int_stack + 153770;
 Libint->vrr_classes[9][17] = int_stack + 162185;
 Libint->vrr_classes[9][18] = int_stack + 171590;
 Libint->vrr_classes[10][10] = int_stack + 182040;
 Libint->vrr_classes[10][11] = int_stack + 186396;
 Libint->vrr_classes[10][12] = int_stack + 191544;
 Libint->vrr_classes[10][13] = int_stack + 197550;
 Libint->vrr_classes[10][14] = int_stack + 204480;
 Libint->vrr_classes[10][15] = int_stack + 212400;
 Libint->vrr_classes[10][16] = int_stack + 221376;
 Libint->vrr_classes[10][17] = int_stack + 231474;
 Libint->vrr_classes[10][18] = int_stack + 242760;
 Libint->vrr_classes[11][10] = int_stack + 255300;
 Libint->vrr_classes[11][11] = int_stack + 260448;
 Libint->vrr_classes[11][12] = int_stack + 266532;
 Libint->vrr_classes[11][13] = int_stack + 273630;
 Libint->vrr_classes[11][14] = int_stack + 281820;
 Libint->vrr_classes[11][15] = int_stack + 291180;
 Libint->vrr_classes[11][16] = int_stack + 301788;
 Libint->vrr_classes[11][17] = int_stack + 313722;
 Libint->vrr_classes[11][18] = int_stack + 327060;
 Libint->vrr_classes[12][10] = int_stack + 341880;
 Libint->vrr_classes[12][11] = int_stack + 347886;
 Libint->vrr_classes[12][12] = int_stack + 354984;
 Libint->vrr_classes[12][13] = int_stack + 363265;
 Libint->vrr_classes[12][14] = int_stack + 372820;
 Libint->vrr_classes[12][15] = int_stack + 383740;
 Libint->vrr_classes[12][16] = int_stack + 396116;
 Libint->vrr_classes[12][17] = int_stack + 410039;
 Libint->vrr_classes[12][18] = int_stack + 425600;
 memset(int_stack,0,442890*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 442890;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_iinl(Libint, Data);
   Data++;
 }
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+442890,int_stack+1848,int_stack+0,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+448434,int_stack+4032,int_stack+1848,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+454986,int_stack+448434,int_stack+442890,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+466074,int_stack+6580,int_stack+4032,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+473718,int_stack+466074,int_stack+448434,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+486822,int_stack+473718,int_stack+454986,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+442890,int_stack+9520,int_stack+6580,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+505302,int_stack+442890,int_stack+466074,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+451710,int_stack+505302,int_stack+473718,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+520590,int_stack+451710,int_stack+486822,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+473550,int_stack+12880,int_stack+9520,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+483630,int_stack+473550,int_stack+442890,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+548310,int_stack+483630,int_stack+505302,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+573790,int_stack+548310,int_stack+451710,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+606550,int_stack+573790,int_stack+520590,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+442890,int_stack+16688,int_stack+12880,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+501270,int_stack+442890,int_stack+473550,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+645358,int_stack+501270,int_stack+483630,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+454314,int_stack+645358,int_stack+548310,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+521430,int_stack+454314,int_stack+573790,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+674758,int_stack+521430,int_stack+606550,28);
 /*--- compute (i0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+567294,int_stack+20972,int_stack+16688,28);
 /*--- compute (i0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+580146,int_stack+567294,int_stack+442890,28);
 /*--- compute (i0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+602994,int_stack+580146,int_stack+501270,28);
 /*--- compute (i0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+726502,int_stack+602994,int_stack+645358,28);
 /*--- compute (i0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+770602,int_stack+726502,int_stack+454314,28);
 /*--- compute (i0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+442890,int_stack+770602,int_stack+521430,28);
 /*--- compute (i0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+824110,int_stack+442890,int_stack+674758,28);
 /*--- compute (i0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+504042,int_stack+25760,int_stack+20972,28);
 /*--- compute (i0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+518406,int_stack+504042,int_stack+567294,28);
 /*--- compute (i0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+636594,int_stack+518406,int_stack+580146,28);
 /*--- compute (i0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+504042,int_stack+636594,int_stack+602994,28);
 /*--- compute (i0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+554442,int_stack+504042,int_stack+726502,28);
 /*--- compute (i0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+616182,int_stack+554442,int_stack+770602,28);
 /*--- compute (i0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+504042,int_stack+616182,int_stack+442890,28);
 /*--- compute (i0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+582666,int_stack+504042,int_stack+824110,28);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+442890,int_stack+33456,int_stack+31080,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+450018,int_stack+36264,int_stack+33456,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+458442,int_stack+450018,int_stack+442890,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+472698,int_stack+39540,int_stack+36264,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+482526,int_stack+472698,int_stack+450018,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+499374,int_stack+482526,int_stack+458442,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+442890,int_stack+43320,int_stack+39540,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+523134,int_stack+442890,int_stack+472698,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+454230,int_stack+523134,int_stack+482526,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+542790,int_stack+454230,int_stack+499374,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+482310,int_stack+47640,int_stack+43320,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+495270,int_stack+482310,int_stack+442890,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+665826,int_stack+495270,int_stack+523134,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+698586,int_stack+665826,int_stack+454230,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+740706,int_stack+698586,int_stack+542790,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+442890,int_stack+52536,int_stack+47640,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+517950,int_stack+442890,int_stack+482310,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+543870,int_stack+517950,int_stack+495270,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+457578,int_stack+543870,int_stack+665826,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+790602,int_stack+457578,int_stack+698586,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+665826,int_stack+790602,int_stack+740706,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+732354,int_stack+58044,int_stack+52536,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+748878,int_stack+732354,int_stack+442890,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+0,int_stack+748878,int_stack+517950,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+849570,int_stack+0,int_stack+543870,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+506718,int_stack+849570,int_stack+457578,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+906270,int_stack+506718,int_stack+790602,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+984894,int_stack+906270,int_stack+665826,36);
 /*--- compute (k0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+665826,int_stack+64200,int_stack+58044,36);
 /*--- compute (k0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+684294,int_stack+665826,int_stack+732354,36);
 /*--- compute (k0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+442890,int_stack+684294,int_stack+748878,36);
 /*--- compute (k0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+665826,int_stack+442890,int_stack+0,36);
 /*--- compute (k0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+730626,int_stack+665826,int_stack+849570,36);
 /*--- compute (k0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+810006,int_stack+730626,int_stack+506718,36);
 /*--- compute (k0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+665826,int_stack+810006,int_stack+906270,36);
 /*--- compute (k0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+766914,int_stack+665826,int_stack+984894,36);
 /*--- compute (ip|nl) ---*/
 hrr1_build_ip(Libint->AB,int_stack+873834,int_stack+766914,int_stack+582666,2970);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+74010,int_stack+71040,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+8910,int_stack+77520,int_stack+74010,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+19440,int_stack+8910,int_stack+0,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+37260,int_stack+81615,int_stack+77520,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+49545,int_stack+37260,int_stack+8910,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+442890,int_stack+49545,int_stack+19440,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+86340,int_stack+81615,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+472590,int_stack+0,int_stack+37260,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+14175,int_stack+472590,int_stack+49545,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+497160,int_stack+14175,int_stack+442890,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+442890,int_stack+91740,int_stack+86340,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+49275,int_stack+442890,int_stack+0,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+541710,int_stack+49275,int_stack+472590,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+582660,int_stack+541710,int_stack+14175,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+635310,int_stack+582660,int_stack+497160,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+97860,int_stack+91740,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+459090,int_stack+0,int_stack+442890,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+491490,int_stack+459090,int_stack+49275,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+18360,int_stack+491490,int_stack+541710,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1123314,int_stack+18360,int_stack+582660,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+538740,int_stack+1123314,int_stack+635310,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+621900,int_stack+104745,int_stack+97860,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+642555,int_stack+621900,int_stack+0,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+679275,int_stack+642555,int_stack+459090,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1197024,int_stack+679275,int_stack+491490,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+442890,int_stack+1197024,int_stack+18360,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+0,int_stack+442890,int_stack+1123314,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1267899,int_stack+0,int_stack+538740,45);
 /*--- compute (l0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1123314,int_stack+112440,int_stack+104745,45);
 /*--- compute (l0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1146399,int_stack+1123314,int_stack+621900,45);
 /*--- compute (l0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+528885,int_stack+1146399,int_stack+642555,45);
 /*--- compute (l0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+590085,int_stack+528885,int_stack+679275,45);
 /*--- compute (l0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1374819,int_stack+590085,int_stack+1197024,45);
 /*--- compute (l0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+528885,int_stack+1374819,int_stack+442890,45);
 /*--- compute (l0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1123314,int_stack+528885,int_stack+0,45);
 /*--- compute (l0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+442890,int_stack+1123314,int_stack+1267899,45);
 /*--- compute (kp|nl) ---*/
 hrr1_build_kp(Libint->AB,int_stack+1123314,int_stack+442890,int_stack+766914,2970);
 /*--- compute (id|nl) ---*/
 hrr1_build_id(Libint->AB,int_stack+1444074,int_stack+1123314,int_stack+873834,2970);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+124620,int_stack+120990,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+10890,int_stack+128910,int_stack+124620,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+23760,int_stack+10890,int_stack+0,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+45540,int_stack+133915,int_stack+128910,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+60555,int_stack+45540,int_stack+10890,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+86295,int_stack+60555,int_stack+23760,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+139690,int_stack+133915,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+576540,int_stack+0,int_stack+45540,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+17325,int_stack+576540,int_stack+60555,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+606570,int_stack+17325,int_stack+86295,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+60225,int_stack+146290,int_stack+139690,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+80025,int_stack+60225,int_stack+0,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+661020,int_stack+80025,int_stack+576540,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+711070,int_stack+661020,int_stack+17325,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+775420,int_stack+711070,int_stack+606570,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+576540,int_stack+153770,int_stack+146290,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+598980,int_stack+576540,int_stack+60225,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+598980,int_stack+80025,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+57750,int_stack+0,int_stack+661020,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+851650,int_stack+57750,int_stack+711070,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+638580,int_stack+851650,int_stack+775420,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+740220,int_stack+162185,int_stack+153770,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+765465,int_stack+740220,int_stack+576540,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+941740,int_stack+765465,int_stack+598980,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1007740,int_stack+941740,int_stack+0,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1943034,int_stack+1007740,int_stack+57750,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+0,int_stack+1943034,int_stack+851650,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+810345,int_stack+0,int_stack+638580,55);
 /*--- compute (m0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+120120,int_stack+171590,int_stack+162185,55);
 /*--- compute (m0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+576540,int_stack+120120,int_stack+740220,55);
 /*--- compute (m0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+627030,int_stack+576540,int_stack+765465,55);
 /*--- compute (m0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+701830,int_stack+627030,int_stack+941740,55);
 /*--- compute (m0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+576540,int_stack+701830,int_stack+1007740,55);
 /*--- compute (m0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+941025,int_stack+576540,int_stack+1943034,55);
 /*--- compute (m0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+576540,int_stack+941025,int_stack+0,55);
 /*--- compute (m0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+0,int_stack+576540,int_stack+810345,55);
 /*--- compute (lp|nl) ---*/
 hrr1_build_lp(Libint->AB,int_stack+576540,int_stack+0,int_stack+442890,2970);
 /*--- compute (kd|nl) ---*/
 hrr1_build_kd(Libint->AB,int_stack+1943034,int_stack+576540,int_stack+1123314,2970);
 /*--- compute (if|nl) ---*/
 hrr1_build_if(Libint->AB,int_stack+2584554,int_stack+1943034,int_stack+1444074,2970);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+442890,int_stack+186396,int_stack+182040,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+455958,int_stack+191544,int_stack+186396,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+471402,int_stack+455958,int_stack+442890,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+497538,int_stack+197550,int_stack+191544,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+515556,int_stack+497538,int_stack+455958,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+977490,int_stack+515556,int_stack+471402,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+442890,int_stack+204480,int_stack+197550,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1021050,int_stack+442890,int_stack+497538,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+463680,int_stack+1021050,int_stack+515556,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1057086,int_stack+463680,int_stack+977490,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+977490,int_stack+212400,int_stack+204480,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+515160,int_stack+977490,int_stack+442890,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1122426,int_stack+515160,int_stack+1021050,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1182486,int_stack+1122426,int_stack+463680,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1259706,int_stack+1182486,int_stack+1057086,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+442890,int_stack+221376,int_stack+212400,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1001250,int_stack+442890,int_stack+977490,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1048770,int_stack+1001250,int_stack+515160,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+469818,int_stack+1048770,int_stack+1122426,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1351182,int_stack+469818,int_stack+1182486,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1118070,int_stack+1351182,int_stack+1259706,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1240038,int_stack+231474,int_stack+221376,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1270332,int_stack+1240038,int_stack+442890,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1459290,int_stack+1270332,int_stack+1001250,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1538490,int_stack+1459290,int_stack+1048770,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+977490,int_stack+1538490,int_stack+469818,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1642440,int_stack+977490,int_stack+1351182,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+3416154,int_stack+1642440,int_stack+1118070,66);
 /*--- compute (n0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+442890,int_stack+242760,int_stack+231474,66);
 /*--- compute (n0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+476748,int_stack+442890,int_stack+1240038,66);
 /*--- compute (n0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1103616,int_stack+476748,int_stack+1270332,66);
 /*--- compute (n0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+442890,int_stack+1103616,int_stack+1459290,66);
 /*--- compute (n0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1103616,int_stack+442890,int_stack+1538490,66);
 /*--- compute (n0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1249146,int_stack+1103616,int_stack+977490,66);
 /*--- compute (n0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+977490,int_stack+1249146,int_stack+1642440,66);
 /*--- compute (n0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1162818,int_stack+977490,int_stack+3416154,66);
 /*--- compute (mp|nl) ---*/
 hrr1_build_mp(Libint->AB,int_stack+1358838,int_stack+1162818,int_stack+0,2970);
 /*--- compute (ld|nl) ---*/
 hrr1_build_ld(Libint->AB,int_stack+3416154,int_stack+1358838,int_stack+576540,2970);
 /*--- compute (kf|nl) ---*/
 hrr1_build_kf(Libint->AB,int_stack+4218054,int_stack+3416154,int_stack+1943034,2970);
 /*--- compute (ig|nl) ---*/
 hrr1_build_ig(Libint->AB,int_stack+5287254,int_stack+4218054,int_stack+2584554,2970);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+260448,int_stack+255300,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+15444,int_stack+266532,int_stack+260448,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+33696,int_stack+15444,int_stack+0,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+64584,int_stack+273630,int_stack+266532,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+85878,int_stack+64584,int_stack+15444,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+122382,int_stack+85878,int_stack+33696,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+281820,int_stack+273630,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+173862,int_stack+0,int_stack+64584,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+24570,int_stack+173862,int_stack+85878,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1848888,int_stack+24570,int_stack+122382,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+85410,int_stack+291180,int_stack+281820,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+113490,int_stack+85410,int_stack+0,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+216450,int_stack+113490,int_stack+173862,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1926108,int_stack+216450,int_stack+24570,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+2017368,int_stack+1926108,int_stack+1848888,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1848888,int_stack+301788,int_stack+291180,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+0,int_stack+1848888,int_stack+85410,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+2125476,int_stack+0,int_stack+113490,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+56160,int_stack+2125476,int_stack+216450,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+162630,int_stack+56160,int_stack+1926108,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2207376,int_stack+162630,int_stack+2017368,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1880712,int_stack+313722,int_stack+301788,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1916514,int_stack+1880712,int_stack+1848888,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1980162,int_stack+1916514,int_stack+0,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2351520,int_stack+1980162,int_stack+2125476,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+2474370,int_stack+2351520,int_stack+56160,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+2623428,int_stack+2474370,int_stack+162630,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+0,int_stack+2623428,int_stack+2207376,78);
 /*--- compute (o0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+185328,int_stack+327060,int_stack+313722,78);
 /*--- compute (o0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+225342,int_stack+185328,int_stack+1880712,78);
 /*--- compute (o0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+2073762,int_stack+225342,int_stack+1916514,78);
 /*--- compute (o0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+185328,int_stack+2073762,int_stack+1980162,78);
 /*--- compute (o0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1848888,int_stack+185328,int_stack+2351520,78);
 /*--- compute (o0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2020878,int_stack+1848888,int_stack+2474370,78);
 /*--- compute (o0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+2219622,int_stack+2020878,int_stack+2623428,78);
 /*--- compute (o0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1848888,int_stack+2219622,int_stack+0,78);
 /*--- compute (np|nl) ---*/
 hrr1_build_np(Libint->AB,int_stack+2080548,int_stack+1848888,int_stack+1162818,2970);
 /*--- compute (md|nl) ---*/
 hrr1_build_md(Libint->AB,int_stack+6534654,int_stack+2080548,int_stack+1358838,2970);
 /*--- compute (lf|nl) ---*/
 hrr1_build_lf(Libint->AB,int_stack+442890,int_stack+6534654,int_stack+3416154,2970);
 /*--- compute (kg|nl) ---*/
 hrr1_build_kg(Libint->AB,int_stack+7514754,int_stack+442890,int_stack+4218054,2970);
 /*--- compute (ih|nl) ---*/
 hrr1_build_ih(Libint->AB,int_stack+2668608,int_stack+7514754,int_stack+5287254,2970);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+347886,int_stack+341880,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+18018,int_stack+354984,int_stack+347886,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+39312,int_stack+18018,int_stack+0,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+75348,int_stack+363265,int_stack+354984,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+100191,int_stack+75348,int_stack+18018,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+142779,int_stack+100191,int_stack+39312,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+372820,int_stack+363265,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+202839,int_stack+0,int_stack+75348,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+28665,int_stack+202839,int_stack+100191,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+252525,int_stack+28665,int_stack+142779,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+99645,int_stack+383740,int_stack+372820,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+132405,int_stack+99645,int_stack+0,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+4414968,int_stack+132405,int_stack+202839,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+4497778,int_stack+4414968,int_stack+28665,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+4604248,int_stack+4497778,int_stack+252525,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+396116,int_stack+383740,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+189735,int_stack+0,int_stack+99645,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+255255,int_stack+189735,int_stack+132405,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+37128,int_stack+255255,int_stack+4414968,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+4730374,int_stack+37128,int_stack+4497778,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+4414968,int_stack+4730374,int_stack+4604248,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+4583136,int_stack+410039,int_stack+396116,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+4624905,int_stack+4583136,int_stack+0,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+4879432,int_stack+4624905,int_stack+189735,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+4988632,int_stack+4879432,int_stack+255255,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+161343,int_stack+4988632,int_stack+37128,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+5131957,int_stack+161343,int_stack+4730374,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+5330701,int_stack+5131957,int_stack+4414968,91);
 /*--- compute (q0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+4414968,int_stack+425600,int_stack+410039,91);
 /*--- compute (q0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+4461651,int_stack+4414968,int_stack+4583136,91);
 /*--- compute (q0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+0,int_stack+4461651,int_stack+4624905,91);
 /*--- compute (q0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+4414968,int_stack+0,int_stack+4879432,91);
 /*--- compute (q0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+4578768,int_stack+4414968,int_stack+4988632,91);
 /*--- compute (q0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+4779423,int_stack+4578768,int_stack+161343,91);
 /*--- compute (q0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+4414968,int_stack+4779423,int_stack+5131957,91);
 /*--- compute (q0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+4670496,int_stack+4414968,int_stack+5330701,91);
 /*--- compute (op|nl) ---*/
 hrr1_build_op(Libint->AB,int_stack+4940766,int_stack+4670496,int_stack+1848888,2970);
 /*--- compute (nd|nl) ---*/
 hrr1_build_nd(Libint->AB,int_stack+9118554,int_stack+4940766,int_stack+2080548,2970);
 /*--- compute (mf|nl) ---*/
 hrr1_build_mf(Libint->AB,int_stack+4414968,int_stack+9118554,int_stack+6534654,2970);
 /*--- compute (lg|nl) ---*/
 hrr1_build_lg(Libint->AB,int_stack+9118554,int_stack+4414968,int_stack+442890,2970);
 /*--- compute (kh|nl) ---*/
 hrr1_build_kh(Libint->AB,int_stack+4414968,int_stack+9118554,int_stack+7514754,2970);
 /*--- compute (ii|nl) ---*/
 hrr1_build_ii(Libint->AB,int_stack+6660288,int_stack+4414968,int_stack+2668608,2970);
 return int_stack+6660288;}
