#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_iphg(Libint_t*, prim_data*);

  /* Computes quartets of (ip|hg) integrals */

REALTYPE *hrr_order_iphg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][5] = int_stack + 0;
 Libint->vrr_classes[6][6] = int_stack + 588;
 Libint->vrr_classes[6][7] = int_stack + 1372;
 Libint->vrr_classes[6][8] = int_stack + 2380;
 Libint->vrr_classes[6][9] = int_stack + 3640;
 Libint->vrr_classes[7][5] = int_stack + 5180;
 Libint->vrr_classes[7][6] = int_stack + 5936;
 Libint->vrr_classes[7][7] = int_stack + 6944;
 Libint->vrr_classes[7][8] = int_stack + 8240;
 Libint->vrr_classes[7][9] = int_stack + 9860;
 memset(int_stack,0,11840*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 11840;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_iphg(Libint, Data);
   Data++;
 }
 /*--- compute (i0|hp) ---*/
 hrr3_build_hp(Libint->CD,int_stack+11840,int_stack+588,int_stack+0,28);
 /*--- compute (i0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+13604,int_stack+1372,int_stack+588,28);
 /*--- compute (i0|hd) ---*/
 hrr3_build_hd(Libint->CD,int_stack+15956,int_stack+13604,int_stack+11840,28);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+19484,int_stack+2380,int_stack+1372,28);
 /*--- compute (i0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+22508,int_stack+19484,int_stack+13604,28);
 /*--- compute (i0|hf) ---*/
 hrr3_build_hf(Libint->CD,int_stack+27212,int_stack+22508,int_stack+15956,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+11840,int_stack+3640,int_stack+2380,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+33092,int_stack+11840,int_stack+19484,28);
 /*--- compute (i0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+11840,int_stack+33092,int_stack+22508,28);
 /*--- compute (i0|hg) ---*/
 hrr3_build_hg(Libint->CD,int_stack+33092,int_stack+11840,int_stack+27212,28);
 /*--- compute (k0|hp) ---*/
 hrr3_build_hp(Libint->CD,int_stack+11840,int_stack+5936,int_stack+5180,36);
 /*--- compute (k0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+14108,int_stack+6944,int_stack+5936,36);
 /*--- compute (k0|hd) ---*/
 hrr3_build_hd(Libint->CD,int_stack+17132,int_stack+14108,int_stack+11840,36);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+21668,int_stack+8240,int_stack+6944,36);
 /*--- compute (k0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+25556,int_stack+21668,int_stack+14108,36);
 /*--- compute (k0|hf) ---*/
 hrr3_build_hf(Libint->CD,int_stack+0,int_stack+25556,int_stack+17132,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+11840,int_stack+9860,int_stack+8240,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+41912,int_stack+11840,int_stack+21668,36);
 /*--- compute (k0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+7560,int_stack+41912,int_stack+25556,36);
 /*--- compute (k0|hg) ---*/
 hrr3_build_hg(Libint->CD,int_stack+17640,int_stack+7560,int_stack+0,36);
 /*--- compute (ip|hg) ---*/
 hrr1_build_ip(Libint->AB,int_stack+41912,int_stack+17640,int_stack+33092,315);
 return int_stack+41912;}
