#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ipkp(Libint_t*, prim_data*);

  /* Computes quartets of (ip|kp) integrals */

REALTYPE *hrr_order_ipkp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][7] = int_stack + 0;
 Libint->vrr_classes[6][8] = int_stack + 1008;
 Libint->vrr_classes[7][7] = int_stack + 2268;
 Libint->vrr_classes[7][8] = int_stack + 3564;
 memset(int_stack,0,5184*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 5184;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ipkp(Libint, Data);
   Data++;
 }
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+5184,int_stack+1008,int_stack+0,28);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+8208,int_stack+3564,int_stack+2268,36);
 /*--- compute (ip|kp) ---*/
 hrr1_build_ip(Libint->AB,int_stack+12096,int_stack+8208,int_stack+5184,108);
 return int_stack+12096;}
