#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_iplf(Libint_t*, prim_data*);

  /* Computes quartets of (ip|lf) integrals */

REALTYPE *hrr_order_iplf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][8] = int_stack + 0;
 Libint->vrr_classes[6][9] = int_stack + 1260;
 Libint->vrr_classes[6][10] = int_stack + 2800;
 Libint->vrr_classes[6][11] = int_stack + 4648;
 Libint->vrr_classes[7][8] = int_stack + 6832;
 Libint->vrr_classes[7][9] = int_stack + 8452;
 Libint->vrr_classes[7][10] = int_stack + 10432;
 Libint->vrr_classes[7][11] = int_stack + 12808;
 memset(int_stack,0,15616*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 15616;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_iplf(Libint, Data);
   Data++;
 }
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+15616,int_stack+1260,int_stack+0,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+19396,int_stack+2800,int_stack+1260,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+24016,int_stack+19396,int_stack+15616,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+31576,int_stack+4648,int_stack+2800,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+37120,int_stack+31576,int_stack+19396,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+46360,int_stack+37120,int_stack+24016,28);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+15616,int_stack+8452,int_stack+6832,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+20476,int_stack+10432,int_stack+8452,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+26416,int_stack+20476,int_stack+15616,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+36136,int_stack+12808,int_stack+10432,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+36136,int_stack+20476,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+58960,int_stack+0,int_stack+26416,36);
 /*--- compute (ip|lf) ---*/
 hrr1_build_ip(Libint->AB,int_stack+0,int_stack+58960,int_stack+46360,450);
 return int_stack+0;}
