#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_iplp(Libint_t*, prim_data*);

  /* Computes quartets of (ip|lp) integrals */

REALTYPE *hrr_order_iplp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][8] = int_stack + 0;
 Libint->vrr_classes[6][9] = int_stack + 1260;
 Libint->vrr_classes[7][8] = int_stack + 2800;
 Libint->vrr_classes[7][9] = int_stack + 4420;
 memset(int_stack,0,6400*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 6400;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_iplp(Libint, Data);
   Data++;
 }
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+6400,int_stack+1260,int_stack+0,28);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+10180,int_stack+4420,int_stack+2800,36);
 /*--- compute (ip|lp) ---*/
 hrr1_build_ip(Libint->AB,int_stack+15040,int_stack+10180,int_stack+6400,135);
 return int_stack+15040;}
