#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kdkd(Libint_t*, prim_data*);

  /* Computes quartets of (kd|kd) integrals */

REALTYPE *hrr_order_kdkd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][7] = int_stack + 0;
 Libint->vrr_classes[7][8] = int_stack + 1296;
 Libint->vrr_classes[7][9] = int_stack + 2916;
 Libint->vrr_classes[8][7] = int_stack + 4896;
 Libint->vrr_classes[8][8] = int_stack + 6516;
 Libint->vrr_classes[8][9] = int_stack + 8541;
 Libint->vrr_classes[9][7] = int_stack + 11016;
 Libint->vrr_classes[9][8] = int_stack + 12996;
 Libint->vrr_classes[9][9] = int_stack + 15471;
 memset(int_stack,0,18496*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 18496;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kdkd(Libint, Data);
   Data++;
 }
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+18496,int_stack+1296,int_stack+0,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+22384,int_stack+2916,int_stack+1296,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+27244,int_stack+22384,int_stack+18496,36);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+18496,int_stack+6516,int_stack+4896,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+8541,int_stack+6516,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+35020,int_stack+0,int_stack+18496,45);
 /*--- compute (kp|kd) ---*/
 hrr1_build_kp(Libint->AB,int_stack+44740,int_stack+35020,int_stack+27244,216);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+18496,int_stack+12996,int_stack+11016,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+24436,int_stack+15471,int_stack+12996,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+0,int_stack+24436,int_stack+18496,55);
 /*--- compute (lp|kd) ---*/
 hrr1_build_lp(Libint->AB,int_stack+68068,int_stack+0,int_stack+35020,216);
 /*--- compute (kd|kd) ---*/
 hrr1_build_kd(Libint->AB,int_stack+97228,int_stack+68068,int_stack+44740,216);
 return int_stack+97228;}
