#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kfhh(Libint_t*, prim_data*);

  /* Computes quartets of (kf|hh) integrals */

REALTYPE *hrr_order_kfhh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][5] = int_stack + 0;
 Libint->vrr_classes[7][6] = int_stack + 756;
 Libint->vrr_classes[7][7] = int_stack + 1764;
 Libint->vrr_classes[7][8] = int_stack + 3060;
 Libint->vrr_classes[7][9] = int_stack + 4680;
 Libint->vrr_classes[7][10] = int_stack + 6660;
 Libint->vrr_classes[8][5] = int_stack + 9036;
 Libint->vrr_classes[8][6] = int_stack + 9981;
 Libint->vrr_classes[8][7] = int_stack + 11241;
 Libint->vrr_classes[8][8] = int_stack + 12861;
 Libint->vrr_classes[8][9] = int_stack + 14886;
 Libint->vrr_classes[8][10] = int_stack + 17361;
 Libint->vrr_classes[9][5] = int_stack + 20331;
 Libint->vrr_classes[9][6] = int_stack + 21486;
 Libint->vrr_classes[9][7] = int_stack + 23026;
 Libint->vrr_classes[9][8] = int_stack + 25006;
 Libint->vrr_classes[9][9] = int_stack + 27481;
 Libint->vrr_classes[9][10] = int_stack + 30506;
 Libint->vrr_classes[10][5] = int_stack + 34136;
 Libint->vrr_classes[10][6] = int_stack + 35522;
 Libint->vrr_classes[10][7] = int_stack + 37370;
 Libint->vrr_classes[10][8] = int_stack + 39746;
 Libint->vrr_classes[10][9] = int_stack + 42716;
 Libint->vrr_classes[10][10] = int_stack + 46346;
 memset(int_stack,0,50702*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 50702;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kfhh(Libint, Data);
   Data++;
 }
 /*--- compute (k0|hp) ---*/
 hrr3_build_hp(Libint->CD,int_stack+50702,int_stack+756,int_stack+0,36);
 /*--- compute (k0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+52970,int_stack+1764,int_stack+756,36);
 /*--- compute (k0|hd) ---*/
 hrr3_build_hd(Libint->CD,int_stack+55994,int_stack+52970,int_stack+50702,36);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+60530,int_stack+3060,int_stack+1764,36);
 /*--- compute (k0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+64418,int_stack+60530,int_stack+52970,36);
 /*--- compute (k0|hf) ---*/
 hrr3_build_hf(Libint->CD,int_stack+70466,int_stack+64418,int_stack+55994,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+50702,int_stack+4680,int_stack+3060,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+78026,int_stack+50702,int_stack+60530,36);
 /*--- compute (k0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+85802,int_stack+78026,int_stack+64418,36);
 /*--- compute (k0|hg) ---*/
 hrr3_build_hg(Libint->CD,int_stack+55562,int_stack+85802,int_stack+70466,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+66902,int_stack+6660,int_stack+4680,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+95882,int_stack+66902,int_stack+50702,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+105602,int_stack+95882,int_stack+78026,36);
 /*--- compute (k0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+66902,int_stack+105602,int_stack+85802,36);
 /*--- compute (k0|hh) ---*/
 hrr3_build_hh(Libint->CD,int_stack+82022,int_stack+66902,int_stack+55562,36);
 /*--- compute (l0|hp) ---*/
 hrr3_build_hp(Libint->CD,int_stack+50702,int_stack+9981,int_stack+9036,45);
 /*--- compute (l0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+53537,int_stack+11241,int_stack+9981,45);
 /*--- compute (l0|hd) ---*/
 hrr3_build_hd(Libint->CD,int_stack+57317,int_stack+53537,int_stack+50702,45);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+62987,int_stack+12861,int_stack+11241,45);
 /*--- compute (l0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+67847,int_stack+62987,int_stack+53537,45);
 /*--- compute (l0|hf) ---*/
 hrr3_build_hf(Libint->CD,int_stack+97898,int_stack+67847,int_stack+57317,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+50702,int_stack+14886,int_stack+12861,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+107348,int_stack+50702,int_stack+62987,45);
 /*--- compute (l0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+0,int_stack+107348,int_stack+67847,45);
 /*--- compute (l0|hg) ---*/
 hrr3_build_hg(Libint->CD,int_stack+56777,int_stack+0,int_stack+97898,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+97898,int_stack+17361,int_stack+14886,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+117068,int_stack+97898,int_stack+50702,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+129218,int_stack+117068,int_stack+107348,45);
 /*--- compute (l0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+97898,int_stack+129218,int_stack+0,45);
 /*--- compute (l0|hh) ---*/
 hrr3_build_hh(Libint->CD,int_stack+0,int_stack+97898,int_stack+56777,45);
 /*--- compute (kp|hh) ---*/
 hrr1_build_kp(Libint->AB,int_stack+97898,int_stack+0,int_stack+82022,441);
 /*--- compute (m0|hp) ---*/
 hrr3_build_hp(Libint->CD,int_stack+50702,int_stack+21486,int_stack+20331,55);
 /*--- compute (m0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+54167,int_stack+23026,int_stack+21486,55);
 /*--- compute (m0|hd) ---*/
 hrr3_build_hd(Libint->CD,int_stack+58787,int_stack+54167,int_stack+50702,55);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+65717,int_stack+25006,int_stack+23026,55);
 /*--- compute (m0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+71657,int_stack+65717,int_stack+54167,55);
 /*--- compute (m0|hf) ---*/
 hrr3_build_hf(Libint->CD,int_stack+80897,int_stack+71657,int_stack+58787,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+50702,int_stack+27481,int_stack+25006,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+145526,int_stack+50702,int_stack+65717,55);
 /*--- compute (m0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+157406,int_stack+145526,int_stack+71657,55);
 /*--- compute (m0|hg) ---*/
 hrr3_build_hg(Libint->CD,int_stack+58127,int_stack+157406,int_stack+80897,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+75452,int_stack+30506,int_stack+27481,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+172806,int_stack+75452,int_stack+50702,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+75452,int_stack+172806,int_stack+145526,55);
 /*--- compute (m0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+172806,int_stack+75452,int_stack+157406,55);
 /*--- compute (m0|hh) ---*/
 hrr3_build_hh(Libint->CD,int_stack+145526,int_stack+172806,int_stack+58127,55);
 /*--- compute (lp|hh) ---*/
 hrr1_build_lp(Libint->AB,int_stack+169781,int_stack+145526,int_stack+0,441);
 /*--- compute (kd|hh) ---*/
 hrr1_build_kd(Libint->AB,int_stack+229316,int_stack+169781,int_stack+97898,441);
 /*--- compute (n0|hp) ---*/
 hrr3_build_hp(Libint->CD,int_stack+0,int_stack+35522,int_stack+34136,66);
 /*--- compute (n0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+4158,int_stack+37370,int_stack+35522,66);
 /*--- compute (n0|hd) ---*/
 hrr3_build_hd(Libint->CD,int_stack+9702,int_stack+4158,int_stack+0,66);
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+18018,int_stack+39746,int_stack+37370,66);
 /*--- compute (n0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+25146,int_stack+18018,int_stack+4158,66);
 /*--- compute (n0|hf) ---*/
 hrr3_build_hf(Libint->CD,int_stack+50702,int_stack+25146,int_stack+9702,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+42716,int_stack+39746,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+64562,int_stack+0,int_stack+18018,66);
 /*--- compute (n0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+78818,int_stack+64562,int_stack+25146,66);
 /*--- compute (n0|hg) ---*/
 hrr3_build_hg(Libint->CD,int_stack+8910,int_stack+78818,int_stack+50702,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+50702,int_stack+46346,int_stack+42716,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+29700,int_stack+50702,int_stack+0,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+97298,int_stack+29700,int_stack+64562,66);
 /*--- compute (n0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+29700,int_stack+97298,int_stack+78818,66);
 /*--- compute (n0|hh) ---*/
 hrr3_build_hh(Libint->CD,int_stack+57420,int_stack+29700,int_stack+8910,66);
 /*--- compute (mp|hh) ---*/
 hrr1_build_mp(Libint->AB,int_stack+324572,int_stack+57420,int_stack+145526,441);
 /*--- compute (ld|hh) ---*/
 hrr1_build_ld(Libint->AB,int_stack+0,int_stack+324572,int_stack+169781,441);
 /*--- compute (kf|hh) ---*/
 hrr1_build_kf(Libint->AB,int_stack+324572,int_stack+0,int_stack+229316,441);
 return int_stack+324572;}
