#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kflg(Libint_t*, prim_data*);

  /* Computes quartets of (kf|lg) integrals */

REALTYPE *hrr_order_kflg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][8] = int_stack + 0;
 Libint->vrr_classes[7][9] = int_stack + 1620;
 Libint->vrr_classes[7][10] = int_stack + 3600;
 Libint->vrr_classes[7][11] = int_stack + 5976;
 Libint->vrr_classes[7][12] = int_stack + 8784;
 Libint->vrr_classes[8][8] = int_stack + 12060;
 Libint->vrr_classes[8][9] = int_stack + 14085;
 Libint->vrr_classes[8][10] = int_stack + 16560;
 Libint->vrr_classes[8][11] = int_stack + 19530;
 Libint->vrr_classes[8][12] = int_stack + 23040;
 Libint->vrr_classes[9][8] = int_stack + 27135;
 Libint->vrr_classes[9][9] = int_stack + 29610;
 Libint->vrr_classes[9][10] = int_stack + 32635;
 Libint->vrr_classes[9][11] = int_stack + 36265;
 Libint->vrr_classes[9][12] = int_stack + 40555;
 Libint->vrr_classes[10][8] = int_stack + 45560;
 Libint->vrr_classes[10][9] = int_stack + 48530;
 Libint->vrr_classes[10][10] = int_stack + 52160;
 Libint->vrr_classes[10][11] = int_stack + 56516;
 Libint->vrr_classes[10][12] = int_stack + 61664;
 memset(int_stack,0,67670*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 67670;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kflg(Libint, Data);
   Data++;
 }
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+67670,int_stack+1620,int_stack+0,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+72530,int_stack+3600,int_stack+1620,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+78470,int_stack+72530,int_stack+67670,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+88190,int_stack+5976,int_stack+3600,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+95318,int_stack+88190,int_stack+72530,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+107198,int_stack+95318,int_stack+78470,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+67670,int_stack+8784,int_stack+5976,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+123398,int_stack+67670,int_stack+88190,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+67670,int_stack+123398,int_stack+95318,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+123398,int_stack+67670,int_stack+107198,36);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+67670,int_stack+14085,int_stack+12060,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+73745,int_stack+16560,int_stack+14085,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+81170,int_stack+73745,int_stack+67670,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+93320,int_stack+19530,int_stack+16560,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+102230,int_stack+93320,int_stack+73745,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+147698,int_stack+102230,int_stack+81170,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+67670,int_stack+23040,int_stack+19530,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+67670,int_stack+93320,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+67670,int_stack+0,int_stack+102230,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+92420,int_stack+67670,int_stack+147698,45);
 /*--- compute (kp|lg) ---*/
 hrr1_build_kp(Libint->AB,int_stack+147698,int_stack+92420,int_stack+123398,675);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+67670,int_stack+29610,int_stack+27135,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+75095,int_stack+32635,int_stack+29610,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+0,int_stack+75095,int_stack+67670,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+14850,int_stack+36265,int_stack+32635,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+122795,int_stack+14850,int_stack+75095,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+67670,int_stack+122795,int_stack+0,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+40555,int_stack+36265,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+220598,int_stack+0,int_stack+14850,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+220598,int_stack+122795,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+220598,int_stack+0,int_stack+67670,55);
 /*--- compute (lp|lg) ---*/
 hrr1_build_lp(Libint->AB,int_stack+257723,int_stack+220598,int_stack+92420,675);
 /*--- compute (kd|lg) ---*/
 hrr1_build_kd(Libint->AB,int_stack+348848,int_stack+257723,int_stack+147698,675);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+67670,int_stack+48530,int_stack+45560,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+76580,int_stack+52160,int_stack+48530,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+87470,int_stack+76580,int_stack+67670,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+105290,int_stack+56516,int_stack+52160,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+118358,int_stack+105290,int_stack+76580,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+140138,int_stack+118358,int_stack+87470,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+67670,int_stack+61664,int_stack+56516,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+169838,int_stack+67670,int_stack+105290,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+169838,int_stack+118358,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+169838,int_stack+0,int_stack+140138,66);
 /*--- compute (mp|lg) ---*/
 hrr1_build_mp(Libint->AB,int_stack+0,int_stack+169838,int_stack+220598,675);
 /*--- compute (ld|lg) ---*/
 hrr1_build_ld(Libint->AB,int_stack+494648,int_stack+0,int_stack+257723,675);
 /*--- compute (kf|lg) ---*/
 hrr1_build_kf(Libint->AB,int_stack+0,int_stack+494648,int_stack+348848,675);
 return int_stack+0;}
