#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_khii(Libint_t*, prim_data*);

  /* Computes quartets of (kh|ii) integrals */

REALTYPE *hrr_order_khii(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][6] = int_stack + 0;
 Libint->vrr_classes[7][7] = int_stack + 1008;
 Libint->vrr_classes[7][8] = int_stack + 2304;
 Libint->vrr_classes[7][9] = int_stack + 3924;
 Libint->vrr_classes[7][10] = int_stack + 5904;
 Libint->vrr_classes[7][11] = int_stack + 8280;
 Libint->vrr_classes[7][12] = int_stack + 11088;
 Libint->vrr_classes[8][6] = int_stack + 14364;
 Libint->vrr_classes[8][7] = int_stack + 15624;
 Libint->vrr_classes[8][8] = int_stack + 17244;
 Libint->vrr_classes[8][9] = int_stack + 19269;
 Libint->vrr_classes[8][10] = int_stack + 21744;
 Libint->vrr_classes[8][11] = int_stack + 24714;
 Libint->vrr_classes[8][12] = int_stack + 28224;
 Libint->vrr_classes[9][6] = int_stack + 32319;
 Libint->vrr_classes[9][7] = int_stack + 33859;
 Libint->vrr_classes[9][8] = int_stack + 35839;
 Libint->vrr_classes[9][9] = int_stack + 38314;
 Libint->vrr_classes[9][10] = int_stack + 41339;
 Libint->vrr_classes[9][11] = int_stack + 44969;
 Libint->vrr_classes[9][12] = int_stack + 49259;
 Libint->vrr_classes[10][6] = int_stack + 54264;
 Libint->vrr_classes[10][7] = int_stack + 56112;
 Libint->vrr_classes[10][8] = int_stack + 58488;
 Libint->vrr_classes[10][9] = int_stack + 61458;
 Libint->vrr_classes[10][10] = int_stack + 65088;
 Libint->vrr_classes[10][11] = int_stack + 69444;
 Libint->vrr_classes[10][12] = int_stack + 74592;
 Libint->vrr_classes[11][6] = int_stack + 80598;
 Libint->vrr_classes[11][7] = int_stack + 82782;
 Libint->vrr_classes[11][8] = int_stack + 85590;
 Libint->vrr_classes[11][9] = int_stack + 89100;
 Libint->vrr_classes[11][10] = int_stack + 93390;
 Libint->vrr_classes[11][11] = int_stack + 98538;
 Libint->vrr_classes[11][12] = int_stack + 104622;
 Libint->vrr_classes[12][6] = int_stack + 111720;
 Libint->vrr_classes[12][7] = int_stack + 114268;
 Libint->vrr_classes[12][8] = int_stack + 117544;
 Libint->vrr_classes[12][9] = int_stack + 121639;
 Libint->vrr_classes[12][10] = int_stack + 126644;
 Libint->vrr_classes[12][11] = int_stack + 132650;
 Libint->vrr_classes[12][12] = int_stack + 139748;
 memset(int_stack,0,148029*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 148029;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_khii(Libint, Data);
   Data++;
 }
 /*--- compute (k0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+148029,int_stack+1008,int_stack+0,36);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+151053,int_stack+2304,int_stack+1008,36);
 /*--- compute (k0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+154941,int_stack+151053,int_stack+148029,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+160989,int_stack+3924,int_stack+2304,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+165849,int_stack+160989,int_stack+151053,36);
 /*--- compute (k0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+173625,int_stack+165849,int_stack+154941,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+148029,int_stack+5904,int_stack+3924,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+183705,int_stack+148029,int_stack+160989,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+193425,int_stack+183705,int_stack+165849,36);
 /*--- compute (k0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+153969,int_stack+193425,int_stack+173625,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+169089,int_stack+8280,int_stack+5904,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+206385,int_stack+169089,int_stack+148029,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+218265,int_stack+206385,int_stack+183705,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+234465,int_stack+218265,int_stack+193425,36);
 /*--- compute (k0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+176217,int_stack+234465,int_stack+153969,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+148029,int_stack+11088,int_stack+8280,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+148029,int_stack+169089,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+148029,int_stack+0,int_stack+206385,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+253905,int_stack+148029,int_stack+218265,36);
 /*--- compute (k0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+148029,int_stack+253905,int_stack+234465,36);
 /*--- compute (k0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+197385,int_stack+148029,int_stack+176217,36);
 /*--- compute (l0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+148029,int_stack+15624,int_stack+14364,45);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+151809,int_stack+17244,int_stack+15624,45);
 /*--- compute (l0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+156669,int_stack+151809,int_stack+148029,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+164229,int_stack+19269,int_stack+17244,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+170304,int_stack+164229,int_stack+151809,45);
 /*--- compute (l0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+180024,int_stack+170304,int_stack+156669,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+148029,int_stack+21744,int_stack+19269,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+0,int_stack+148029,int_stack+164229,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+225609,int_stack+0,int_stack+170304,45);
 /*--- compute (l0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+155454,int_stack+225609,int_stack+180024,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+174354,int_stack+24714,int_stack+21744,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+241809,int_stack+174354,int_stack+148029,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+256659,int_stack+241809,int_stack+0,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+0,int_stack+256659,int_stack+225609,45);
 /*--- compute (l0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+276909,int_stack+0,int_stack+155454,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+225609,int_stack+28224,int_stack+24714,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+148029,int_stack+225609,int_stack+174354,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+165849,int_stack+148029,int_stack+241809,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+225609,int_stack+165849,int_stack+256659,45);
 /*--- compute (l0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+148029,int_stack+225609,int_stack+0,45);
 /*--- compute (l0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+225609,int_stack+148029,int_stack+276909,45);
 /*--- compute (kp|ii) ---*/
 hrr1_build_kp(Libint->AB,int_stack+260889,int_stack+225609,int_stack+197385,784);
 /*--- compute (m0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+148029,int_stack+33859,int_stack+32319,55);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+152649,int_stack+35839,int_stack+33859,55);
 /*--- compute (m0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+158589,int_stack+152649,int_stack+148029,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+167829,int_stack+38314,int_stack+35839,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+175254,int_stack+167829,int_stack+152649,55);
 /*--- compute (m0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+187134,int_stack+175254,int_stack+158589,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+148029,int_stack+41339,int_stack+38314,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+202534,int_stack+148029,int_stack+167829,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+0,int_stack+202534,int_stack+175254,55);
 /*--- compute (m0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+157104,int_stack+0,int_stack+187134,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+180204,int_stack+44969,int_stack+41339,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+19800,int_stack+180204,int_stack+148029,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+345561,int_stack+19800,int_stack+202534,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+191094,int_stack+345561,int_stack+0,55);
 /*--- compute (m0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+370311,int_stack+191094,int_stack+157104,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+49259,int_stack+44969,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+148029,int_stack+0,int_stack+180204,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+402651,int_stack+148029,int_stack+19800,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+148029,int_stack+402651,int_stack+345561,55);
 /*--- compute (m0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+0,int_stack+148029,int_stack+191094,55);
 /*--- compute (m0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+148029,int_stack+0,int_stack+370311,55);
 /*--- compute (lp|ii) ---*/
 hrr1_build_lp(Libint->AB,int_stack+345561,int_stack+148029,int_stack+225609,784);
 /*--- compute (kd|ii) ---*/
 hrr1_build_kd(Libint->AB,int_stack+451401,int_stack+345561,int_stack+260889,784);
 /*--- compute (n0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+0,int_stack+56112,int_stack+54264,66);
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+5544,int_stack+58488,int_stack+56112,66);
 /*--- compute (n0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+12672,int_stack+5544,int_stack+0,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+23760,int_stack+61458,int_stack+58488,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+32670,int_stack+23760,int_stack+5544,66);
 /*--- compute (n0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+191149,int_stack+32670,int_stack+12672,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+65088,int_stack+61458,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+46926,int_stack+0,int_stack+23760,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+209629,int_stack+46926,int_stack+32670,66);
 /*--- compute (n0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+10890,int_stack+209629,int_stack+191149,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+191149,int_stack+69444,int_stack+65088,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+233389,int_stack+191149,int_stack+0,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+255169,int_stack+233389,int_stack+46926,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+284869,int_stack+255169,int_stack+209629,66);
 /*--- compute (n0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+620745,int_stack+284869,int_stack+10890,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+74592,int_stack+69444,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+15444,int_stack+0,int_stack+191149,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+191149,int_stack+15444,int_stack+233389,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+0,int_stack+191149,int_stack+255169,66);
 /*--- compute (n0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+191149,int_stack+0,int_stack+284869,66);
 /*--- compute (n0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+0,int_stack+191149,int_stack+620745,66);
 /*--- compute (mp|ii) ---*/
 hrr1_build_mp(Libint->AB,int_stack+191149,int_stack+0,int_stack+148029,784);
 /*--- compute (ld|ii) ---*/
 hrr1_build_ld(Libint->AB,int_stack+620745,int_stack+191149,int_stack+345561,784);
 /*--- compute (kf|ii) ---*/
 hrr1_build_kf(Libint->AB,int_stack+832425,int_stack+620745,int_stack+451401,784);
 /*--- compute (o0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+148029,int_stack+82782,int_stack+80598,78);
 /*--- compute (o0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+154581,int_stack+85590,int_stack+82782,78);
 /*--- compute (o0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+163005,int_stack+154581,int_stack+148029,78);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+176109,int_stack+89100,int_stack+85590,78);
 /*--- compute (o0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+320509,int_stack+176109,int_stack+154581,78);
 /*--- compute (o0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+337357,int_stack+320509,int_stack+163005,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+148029,int_stack+93390,int_stack+89100,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+359197,int_stack+148029,int_stack+176109,78);
 /*--- compute (o0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+160899,int_stack+359197,int_stack+320509,78);
 /*--- compute (o0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+380257,int_stack+160899,int_stack+337357,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+320509,int_stack+98538,int_stack+93390,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+413017,int_stack+320509,int_stack+148029,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+438757,int_stack+413017,int_stack+359197,78);
 /*--- compute (o0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+335953,int_stack+438757,int_stack+160899,78);
 /*--- compute (o0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+473857,int_stack+335953,int_stack+380257,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+148029,int_stack+104622,int_stack+98538,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+378073,int_stack+148029,int_stack+320509,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+148029,int_stack+378073,int_stack+413017,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+378073,int_stack+148029,int_stack+438757,78);
 /*--- compute (o0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+519721,int_stack+378073,int_stack+335953,78);
 /*--- compute (o0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+320509,int_stack+519721,int_stack+473857,78);
 /*--- compute (np|ii) ---*/
 hrr1_build_np(Libint->AB,int_stack+381661,int_stack+320509,int_stack+0,784);
 /*--- compute (md|ii) ---*/
 hrr1_build_md(Libint->AB,int_stack+1114665,int_stack+381661,int_stack+191149,784);
 /*--- compute (lf|ii) ---*/
 hrr1_build_lf(Libint->AB,int_stack+1373385,int_stack+1114665,int_stack+620745,784);
 /*--- compute (kg|ii) ---*/
 hrr1_build_kg(Libint->AB,int_stack+1726185,int_stack+1373385,int_stack+832425,784);
 /*--- compute (q0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+0,int_stack+114268,int_stack+111720,91);
 /*--- compute (q0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+7644,int_stack+117544,int_stack+114268,91);
 /*--- compute (q0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+17472,int_stack+7644,int_stack+0,91);
 /*--- compute (q0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+32760,int_stack+121639,int_stack+117544,91);
 /*--- compute (q0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+45045,int_stack+32760,int_stack+7644,91);
 /*--- compute (q0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+64701,int_stack+45045,int_stack+17472,91);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+126644,int_stack+121639,91);
 /*--- compute (q0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+90181,int_stack+0,int_stack+32760,91);
 /*--- compute (q0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+148029,int_stack+90181,int_stack+45045,91);
 /*--- compute (q0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+15015,int_stack+148029,int_stack+64701,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+53235,int_stack+132650,int_stack+126644,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+180789,int_stack+53235,int_stack+0,91);
 /*--- compute (q0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+210819,int_stack+180789,int_stack+90181,91);
 /*--- compute (q0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+71253,int_stack+210819,int_stack+148029,91);
 /*--- compute (q0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+251769,int_stack+71253,int_stack+15015,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+148029,int_stack+139748,int_stack+132650,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+148029,int_stack+53235,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+120393,int_stack+0,int_stack+180789,91);
 /*--- compute (q0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+0,int_stack+120393,int_stack+210819,91);
 /*--- compute (q0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+120393,int_stack+0,int_stack+71253,91);
 /*--- compute (q0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+0,int_stack+120393,int_stack+251769,91);
 /*--- compute (op|ii) ---*/
 hrr1_build_op(Libint->AB,int_stack+71344,int_stack+0,int_stack+320509,784);
 /*--- compute (nd|ii) ---*/
 hrr1_build_nd(Libint->AB,int_stack+536893,int_stack+71344,int_stack+381661,784);
 /*--- compute (mf|ii) ---*/
 hrr1_build_mf(Libint->AB,int_stack+0,int_stack+536893,int_stack+1114665,784);
 /*--- compute (lg|ii) ---*/
 hrr1_build_lg(Libint->AB,int_stack+431200,int_stack+0,int_stack+1373385,784);
 /*--- compute (kh|ii) ---*/
 hrr1_build_kh(Libint->AB,int_stack+960400,int_stack+431200,int_stack+1726185,784);
 return int_stack+960400;}
