#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kimk(Libint_t*, prim_data*);

  /* Computes quartets of (ki|mk) integrals */

REALTYPE *hrr_order_kimk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][9] = int_stack + 0;
 Libint->vrr_classes[7][10] = int_stack + 1980;
 Libint->vrr_classes[7][11] = int_stack + 4356;
 Libint->vrr_classes[7][12] = int_stack + 7164;
 Libint->vrr_classes[7][13] = int_stack + 10440;
 Libint->vrr_classes[7][14] = int_stack + 14220;
 Libint->vrr_classes[7][15] = int_stack + 18540;
 Libint->vrr_classes[7][16] = int_stack + 23436;
 Libint->vrr_classes[8][9] = int_stack + 28944;
 Libint->vrr_classes[8][10] = int_stack + 31419;
 Libint->vrr_classes[8][11] = int_stack + 34389;
 Libint->vrr_classes[8][12] = int_stack + 37899;
 Libint->vrr_classes[8][13] = int_stack + 41994;
 Libint->vrr_classes[8][14] = int_stack + 46719;
 Libint->vrr_classes[8][15] = int_stack + 52119;
 Libint->vrr_classes[8][16] = int_stack + 58239;
 Libint->vrr_classes[9][9] = int_stack + 65124;
 Libint->vrr_classes[9][10] = int_stack + 68149;
 Libint->vrr_classes[9][11] = int_stack + 71779;
 Libint->vrr_classes[9][12] = int_stack + 76069;
 Libint->vrr_classes[9][13] = int_stack + 81074;
 Libint->vrr_classes[9][14] = int_stack + 86849;
 Libint->vrr_classes[9][15] = int_stack + 93449;
 Libint->vrr_classes[9][16] = int_stack + 100929;
 Libint->vrr_classes[10][9] = int_stack + 109344;
 Libint->vrr_classes[10][10] = int_stack + 112974;
 Libint->vrr_classes[10][11] = int_stack + 117330;
 Libint->vrr_classes[10][12] = int_stack + 122478;
 Libint->vrr_classes[10][13] = int_stack + 128484;
 Libint->vrr_classes[10][14] = int_stack + 135414;
 Libint->vrr_classes[10][15] = int_stack + 143334;
 Libint->vrr_classes[10][16] = int_stack + 152310;
 Libint->vrr_classes[11][9] = int_stack + 162408;
 Libint->vrr_classes[11][10] = int_stack + 166698;
 Libint->vrr_classes[11][11] = int_stack + 171846;
 Libint->vrr_classes[11][12] = int_stack + 177930;
 Libint->vrr_classes[11][13] = int_stack + 185028;
 Libint->vrr_classes[11][14] = int_stack + 193218;
 Libint->vrr_classes[11][15] = int_stack + 202578;
 Libint->vrr_classes[11][16] = int_stack + 213186;
 Libint->vrr_classes[12][9] = int_stack + 225120;
 Libint->vrr_classes[12][10] = int_stack + 230125;
 Libint->vrr_classes[12][11] = int_stack + 236131;
 Libint->vrr_classes[12][12] = int_stack + 243229;
 Libint->vrr_classes[12][13] = int_stack + 251510;
 Libint->vrr_classes[12][14] = int_stack + 261065;
 Libint->vrr_classes[12][15] = int_stack + 271985;
 Libint->vrr_classes[12][16] = int_stack + 284361;
 Libint->vrr_classes[13][9] = int_stack + 298284;
 Libint->vrr_classes[13][10] = int_stack + 304059;
 Libint->vrr_classes[13][11] = int_stack + 310989;
 Libint->vrr_classes[13][12] = int_stack + 319179;
 Libint->vrr_classes[13][13] = int_stack + 328734;
 Libint->vrr_classes[13][14] = int_stack + 339759;
 Libint->vrr_classes[13][15] = int_stack + 352359;
 Libint->vrr_classes[13][16] = int_stack + 366639;
 memset(int_stack,0,382704*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 382704;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kimk(Libint, Data);
   Data++;
 }
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+382704,int_stack+1980,int_stack+0,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+388644,int_stack+4356,int_stack+1980,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+395772,int_stack+388644,int_stack+382704,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+407652,int_stack+7164,int_stack+4356,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+416076,int_stack+407652,int_stack+388644,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+430332,int_stack+416076,int_stack+395772,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+382704,int_stack+10440,int_stack+7164,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+450132,int_stack+382704,int_stack+407652,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+466980,int_stack+450132,int_stack+416076,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+392532,int_stack+466980,int_stack+430332,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+422232,int_stack+14220,int_stack+10440,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+490740,int_stack+422232,int_stack+382704,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+510396,int_stack+490740,int_stack+450132,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+538476,int_stack+510396,int_stack+466980,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+433572,int_stack+538476,int_stack+392532,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+382704,int_stack+18540,int_stack+14220,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+395664,int_stack+382704,int_stack+422232,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+574116,int_stack+395664,int_stack+490740,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+606876,int_stack+574116,int_stack+510396,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+475152,int_stack+606876,int_stack+538476,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+648996,int_stack+475152,int_stack+433572,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+418344,int_stack+23436,int_stack+18540,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+433032,int_stack+418344,int_stack+382704,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+525048,int_stack+433032,int_stack+395664,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+382704,int_stack+525048,int_stack+574116,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+525048,int_stack+382704,int_stack+606876,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+382704,int_stack+525048,int_stack+475152,36);
 /*--- compute (k0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+449232,int_stack+382704,int_stack+648996,36);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+382704,int_stack+31419,int_stack+28944,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+390129,int_stack+34389,int_stack+31419,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+399039,int_stack+390129,int_stack+382704,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+413889,int_stack+37899,int_stack+34389,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+424419,int_stack+413889,int_stack+390129,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+520512,int_stack+424419,int_stack+399039,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+382704,int_stack+41994,int_stack+37899,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+545262,int_stack+382704,int_stack+413889,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+566322,int_stack+545262,int_stack+424419,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+394989,int_stack+566322,int_stack+520512,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+520512,int_stack+46719,int_stack+41994,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+596022,int_stack+520512,int_stack+382704,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+620592,int_stack+596022,int_stack+545262,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+655692,int_stack+620592,int_stack+566322,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+534687,int_stack+655692,int_stack+394989,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+382704,int_stack+52119,int_stack+46719,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+398904,int_stack+382704,int_stack+520512,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+398904,int_stack+596022,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+700242,int_stack+0,int_stack+620592,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+586662,int_stack+700242,int_stack+655692,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+752892,int_stack+586662,int_stack+534687,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+520512,int_stack+58239,int_stack+52119,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+538872,int_stack+520512,int_stack+382704,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+649032,int_stack+538872,int_stack+398904,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+382704,int_stack+649032,int_stack+0,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+822192,int_stack+382704,int_stack+700242,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+649032,int_stack+822192,int_stack+586662,45);
 /*--- compute (l0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+520512,int_stack+649032,int_stack+752892,45);
 /*--- compute (kp|mk) ---*/
 hrr1_build_kp(Libint->AB,int_stack+609612,int_stack+520512,int_stack+449232,1980);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+382704,int_stack+68149,int_stack+65124,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+391779,int_stack+71779,int_stack+68149,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+402669,int_stack+391779,int_stack+382704,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+420819,int_stack+76069,int_stack+71779,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+433689,int_stack+420819,int_stack+391779,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+455469,int_stack+433689,int_stack+402669,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+382704,int_stack+81074,int_stack+76069,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+485719,int_stack+382704,int_stack+420819,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+485719,int_stack+433689,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+397719,int_stack+0,int_stack+455469,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+443094,int_stack+86849,int_stack+81074,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+36300,int_stack+443094,int_stack+382704,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+823452,int_stack+36300,int_stack+485719,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+460419,int_stack+823452,int_stack+0,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+866352,int_stack+460419,int_stack+397719,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+93449,int_stack+86849,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+382704,int_stack+0,int_stack+443094,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+929877,int_stack+382704,int_stack+36300,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+19800,int_stack+929877,int_stack+823452,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+979927,int_stack+19800,int_stack+460419,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+417354,int_stack+979927,int_stack+866352,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+823452,int_stack+100929,int_stack+93449,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+845892,int_stack+823452,int_stack+0,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1056157,int_stack+845892,int_stack+382704,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+823452,int_stack+1056157,int_stack+929877,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1056157,int_stack+823452,int_stack+19800,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+823452,int_stack+1056157,int_stack+979927,55);
 /*--- compute (m0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+925092,int_stack+823452,int_stack+417354,55);
 /*--- compute (lp|mk) ---*/
 hrr1_build_lp(Libint->AB,int_stack+1033992,int_stack+925092,int_stack+520512,1980);
 /*--- compute (kd|mk) ---*/
 hrr1_build_kd(Libint->AB,int_stack+1301292,int_stack+1033992,int_stack+609612,1980);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+382704,int_stack+112974,int_stack+109344,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+393594,int_stack+117330,int_stack+112974,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+406662,int_stack+393594,int_stack+382704,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+428442,int_stack+122478,int_stack+117330,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+443886,int_stack+428442,int_stack+393594,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+470022,int_stack+443886,int_stack+406662,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+382704,int_stack+128484,int_stack+122478,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+506322,int_stack+382704,int_stack+428442,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+537210,int_stack+506322,int_stack+443886,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+400722,int_stack+537210,int_stack+470022,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+455172,int_stack+135414,int_stack+128484,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+580770,int_stack+455172,int_stack+382704,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+616806,int_stack+580770,int_stack+506322,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+668286,int_stack+616806,int_stack+537210,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+475962,int_stack+668286,int_stack+400722,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+382704,int_stack+143334,int_stack+135414,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+406464,int_stack+382704,int_stack+455172,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+733626,int_stack+406464,int_stack+580770,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+793686,int_stack+733626,int_stack+616806,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+552192,int_stack+793686,int_stack+668286,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+552192,int_stack+475962,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+448044,int_stack+152310,int_stack+143334,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+474972,int_stack+448044,int_stack+382704,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+643668,int_stack+474972,int_stack+406464,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+382704,int_stack+643668,int_stack+733626,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+643668,int_stack+382704,int_stack+793686,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+382704,int_stack+643668,int_stack+552192,66);
 /*--- compute (n0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+504672,int_stack+382704,int_stack+0,66);
 /*--- compute (mp|mk) ---*/
 hrr1_build_mp(Libint->AB,int_stack+1728972,int_stack+504672,int_stack+925092,1980);
 /*--- compute (ld|mk) ---*/
 hrr1_build_ld(Libint->AB,int_stack+2055672,int_stack+1728972,int_stack+1033992,1980);
 /*--- compute (kf|mk) ---*/
 hrr1_build_kf(Libint->AB,int_stack+2590272,int_stack+2055672,int_stack+1301292,1980);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+166698,int_stack+162408,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+12870,int_stack+171846,int_stack+166698,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+28314,int_stack+12870,int_stack+0,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+54054,int_stack+177930,int_stack+171846,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+72306,int_stack+54054,int_stack+12870,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+103194,int_stack+72306,int_stack+28314,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+185028,int_stack+177930,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+146094,int_stack+0,int_stack+54054,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+382704,int_stack+146094,int_stack+72306,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+21294,int_stack+382704,int_stack+103194,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+85644,int_stack+193218,int_stack+185028,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+434184,int_stack+85644,int_stack+0,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+635352,int_stack+434184,int_stack+146094,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+110214,int_stack+635352,int_stack+382704,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+696192,int_stack+110214,int_stack+21294,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+382704,int_stack+202578,int_stack+193218,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+0,int_stack+382704,int_stack+85644,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+786282,int_stack+0,int_stack+434184,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+410784,int_stack+786282,int_stack+635352,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+857262,int_stack+410784,int_stack+110214,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+49140,int_stack+857262,int_stack+696192,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+635352,int_stack+213186,int_stack+202578,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+667176,int_stack+635352,int_stack+382704,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+965370,int_stack+667176,int_stack+0,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+635352,int_stack+965370,int_stack+786282,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+965370,int_stack+635352,int_stack+410784,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+635352,int_stack+965370,int_stack+857262,78);
 /*--- compute (o0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+779496,int_stack+635352,int_stack+49140,78);
 /*--- compute (np|mk) ---*/
 hrr1_build_np(Libint->AB,int_stack+933936,int_stack+779496,int_stack+504672,1980);
 /*--- compute (md|mk) ---*/
 hrr1_build_md(Libint->AB,int_stack+3303072,int_stack+933936,int_stack+1728972,1980);
 /*--- compute (lf|mk) ---*/
 hrr1_build_lf(Libint->AB,int_stack+3956472,int_stack+3303072,int_stack+2055672,1980);
 /*--- compute (kg|mk) ---*/
 hrr1_build_kg(Libint->AB,int_stack+1325976,int_stack+3956472,int_stack+2590272,1980);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+2395176,int_stack+230125,int_stack+225120,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+2410191,int_stack+236131,int_stack+230125,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+2428209,int_stack+2410191,int_stack+2395176,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+2458239,int_stack+243229,int_stack+236131,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+2479533,int_stack+2458239,int_stack+2410191,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+2515569,int_stack+2479533,int_stack+2428209,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+2395176,int_stack+251510,int_stack+243229,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+2565619,int_stack+2395176,int_stack+2458239,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+2608207,int_stack+2565619,int_stack+2479533,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+2420019,int_stack+2608207,int_stack+2515569,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+2495094,int_stack+261065,int_stack+251510,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+2668267,int_stack+2495094,int_stack+2395176,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+2717953,int_stack+2668267,int_stack+2565619,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+2788933,int_stack+2717953,int_stack+2608207,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+2523759,int_stack+2788933,int_stack+2420019,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+2395176,int_stack+271985,int_stack+261065,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+2427936,int_stack+2395176,int_stack+2495094,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+2879023,int_stack+2427936,int_stack+2668267,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+2961833,int_stack+2879023,int_stack+2717953,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+2628864,int_stack+2961833,int_stack+2788933,91);
 /*--- compute (q0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+3068303,int_stack+2628864,int_stack+2523759,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+2485266,int_stack+284361,int_stack+271985,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+2522394,int_stack+2485266,int_stack+2395176,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+2754990,int_stack+2522394,int_stack+2427936,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+2395176,int_stack+2754990,int_stack+2879023,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+2754990,int_stack+2395176,int_stack+2961833,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2395176,int_stack+2754990,int_stack+2628864,91);
 /*--- compute (q0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+2563344,int_stack+2395176,int_stack+3068303,91);
 /*--- compute (op|mk) ---*/
 hrr1_build_op(Libint->AB,int_stack+2743524,int_stack+2563344,int_stack+779496,1980);
 /*--- compute (nd|mk) ---*/
 hrr1_build_nd(Libint->AB,int_stack+4847472,int_stack+2743524,int_stack+933936,1980);
 /*--- compute (mf|mk) ---*/
 hrr1_build_mf(Libint->AB,int_stack+5631552,int_stack+4847472,int_stack+3303072,1980);
 /*--- compute (lg|mk) ---*/
 hrr1_build_lg(Libint->AB,int_stack+6720552,int_stack+5631552,int_stack+3956472,1980);
 /*--- compute (kh|mk) ---*/
 hrr1_build_kh(Libint->AB,int_stack+3206844,int_stack+6720552,int_stack+1325976,1980);
 /*--- compute (r0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+4703724,int_stack+304059,int_stack+298284,105);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+4721049,int_stack+310989,int_stack+304059,105);
 /*--- compute (r0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+4741839,int_stack+4721049,int_stack+4703724,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+4776489,int_stack+319179,int_stack+310989,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+4801059,int_stack+4776489,int_stack+4721049,105);
 /*--- compute (r0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+4801059,int_stack+4741839,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+4703724,int_stack+328734,int_stack+319179,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+57750,int_stack+4703724,int_stack+4776489,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+106890,int_stack+57750,int_stack+4801059,105);
 /*--- compute (r0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+4732389,int_stack+106890,int_stack+0,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+339759,int_stack+328734,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+176190,int_stack+0,int_stack+4703724,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+233520,int_stack+176190,int_stack+57750,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+382704,int_stack+233520,int_stack+106890,105);
 /*--- compute (r0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+33075,int_stack+382704,int_stack+4732389,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+4703724,int_stack+352359,int_stack+339759,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+4741524,int_stack+4703724,int_stack+0,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+486654,int_stack+4741524,int_stack+176190,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+582204,int_stack+486654,int_stack+233520,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+154350,int_stack+582204,int_stack+382704,105);
 /*--- compute (r0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+705054,int_stack+154350,int_stack+33075,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+382704,int_stack+366639,int_stack+352359,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+0,int_stack+382704,int_stack+4703724,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+299880,int_stack+0,int_stack+4741524,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+299880,int_stack+486654,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+299880,int_stack+0,int_stack+582204,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+471870,int_stack+299880,int_stack+154350,105);
 /*--- compute (r0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+0,int_stack+471870,int_stack+705054,105);
 /*--- compute (qp|mk) ---*/
 hrr1_build_qp(Libint->AB,int_stack+207900,int_stack+0,int_stack+2563344,1980);
 /*--- compute (od|mk) ---*/
 hrr1_build_od(Libint->AB,int_stack+748440,int_stack+207900,int_stack+2743524,1980);
 /*--- compute (nf|mk) ---*/
 hrr1_build_nf(Libint->AB,int_stack+1675080,int_stack+748440,int_stack+4847472,1980);
 /*--- compute (mg|mk) ---*/
 hrr1_build_mg(Libint->AB,int_stack+0,int_stack+1675080,int_stack+5631552,1980);
 /*--- compute (lh|mk) ---*/
 hrr1_build_lh(Libint->AB,int_stack+4703724,int_stack+0,int_stack+6720552,1980);
 /*--- compute (ki|mk) ---*/
 hrr1_build_ki(Libint->AB,int_stack+0,int_stack+4703724,int_stack+3206844,1980);
 return int_stack+0;}
