#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kimm(Libint_t*, prim_data*);

  /* Computes quartets of (ki|mm) integrals */

REALTYPE *hrr_order_kimm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][9] = int_stack + 0;
 Libint->vrr_classes[7][10] = int_stack + 1980;
 Libint->vrr_classes[7][11] = int_stack + 4356;
 Libint->vrr_classes[7][12] = int_stack + 7164;
 Libint->vrr_classes[7][13] = int_stack + 10440;
 Libint->vrr_classes[7][14] = int_stack + 14220;
 Libint->vrr_classes[7][15] = int_stack + 18540;
 Libint->vrr_classes[7][16] = int_stack + 23436;
 Libint->vrr_classes[7][17] = int_stack + 28944;
 Libint->vrr_classes[7][18] = int_stack + 35100;
 Libint->vrr_classes[8][9] = int_stack + 41940;
 Libint->vrr_classes[8][10] = int_stack + 44415;
 Libint->vrr_classes[8][11] = int_stack + 47385;
 Libint->vrr_classes[8][12] = int_stack + 50895;
 Libint->vrr_classes[8][13] = int_stack + 54990;
 Libint->vrr_classes[8][14] = int_stack + 59715;
 Libint->vrr_classes[8][15] = int_stack + 65115;
 Libint->vrr_classes[8][16] = int_stack + 71235;
 Libint->vrr_classes[8][17] = int_stack + 78120;
 Libint->vrr_classes[8][18] = int_stack + 85815;
 Libint->vrr_classes[9][9] = int_stack + 94365;
 Libint->vrr_classes[9][10] = int_stack + 97390;
 Libint->vrr_classes[9][11] = int_stack + 101020;
 Libint->vrr_classes[9][12] = int_stack + 105310;
 Libint->vrr_classes[9][13] = int_stack + 110315;
 Libint->vrr_classes[9][14] = int_stack + 116090;
 Libint->vrr_classes[9][15] = int_stack + 122690;
 Libint->vrr_classes[9][16] = int_stack + 130170;
 Libint->vrr_classes[9][17] = int_stack + 138585;
 Libint->vrr_classes[9][18] = int_stack + 147990;
 Libint->vrr_classes[10][9] = int_stack + 158440;
 Libint->vrr_classes[10][10] = int_stack + 162070;
 Libint->vrr_classes[10][11] = int_stack + 166426;
 Libint->vrr_classes[10][12] = int_stack + 171574;
 Libint->vrr_classes[10][13] = int_stack + 177580;
 Libint->vrr_classes[10][14] = int_stack + 184510;
 Libint->vrr_classes[10][15] = int_stack + 192430;
 Libint->vrr_classes[10][16] = int_stack + 201406;
 Libint->vrr_classes[10][17] = int_stack + 211504;
 Libint->vrr_classes[10][18] = int_stack + 222790;
 Libint->vrr_classes[11][9] = int_stack + 235330;
 Libint->vrr_classes[11][10] = int_stack + 239620;
 Libint->vrr_classes[11][11] = int_stack + 244768;
 Libint->vrr_classes[11][12] = int_stack + 250852;
 Libint->vrr_classes[11][13] = int_stack + 257950;
 Libint->vrr_classes[11][14] = int_stack + 266140;
 Libint->vrr_classes[11][15] = int_stack + 275500;
 Libint->vrr_classes[11][16] = int_stack + 286108;
 Libint->vrr_classes[11][17] = int_stack + 298042;
 Libint->vrr_classes[11][18] = int_stack + 311380;
 Libint->vrr_classes[12][9] = int_stack + 326200;
 Libint->vrr_classes[12][10] = int_stack + 331205;
 Libint->vrr_classes[12][11] = int_stack + 337211;
 Libint->vrr_classes[12][12] = int_stack + 344309;
 Libint->vrr_classes[12][13] = int_stack + 352590;
 Libint->vrr_classes[12][14] = int_stack + 362145;
 Libint->vrr_classes[12][15] = int_stack + 373065;
 Libint->vrr_classes[12][16] = int_stack + 385441;
 Libint->vrr_classes[12][17] = int_stack + 399364;
 Libint->vrr_classes[12][18] = int_stack + 414925;
 Libint->vrr_classes[13][9] = int_stack + 432215;
 Libint->vrr_classes[13][10] = int_stack + 437990;
 Libint->vrr_classes[13][11] = int_stack + 444920;
 Libint->vrr_classes[13][12] = int_stack + 453110;
 Libint->vrr_classes[13][13] = int_stack + 462665;
 Libint->vrr_classes[13][14] = int_stack + 473690;
 Libint->vrr_classes[13][15] = int_stack + 486290;
 Libint->vrr_classes[13][16] = int_stack + 500570;
 Libint->vrr_classes[13][17] = int_stack + 516635;
 Libint->vrr_classes[13][18] = int_stack + 534590;
 memset(int_stack,0,554540*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 554540;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kimm(Libint, Data);
   Data++;
 }
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+554540,int_stack+1980,int_stack+0,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+560480,int_stack+4356,int_stack+1980,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+567608,int_stack+560480,int_stack+554540,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+579488,int_stack+7164,int_stack+4356,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+587912,int_stack+579488,int_stack+560480,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+602168,int_stack+587912,int_stack+567608,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+554540,int_stack+10440,int_stack+7164,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+621968,int_stack+554540,int_stack+579488,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+638816,int_stack+621968,int_stack+587912,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+564368,int_stack+638816,int_stack+602168,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+594068,int_stack+14220,int_stack+10440,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+662576,int_stack+594068,int_stack+554540,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+682232,int_stack+662576,int_stack+621968,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+710312,int_stack+682232,int_stack+638816,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+605408,int_stack+710312,int_stack+564368,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+554540,int_stack+18540,int_stack+14220,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+567500,int_stack+554540,int_stack+594068,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+745952,int_stack+567500,int_stack+662576,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+778712,int_stack+745952,int_stack+682232,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+646988,int_stack+778712,int_stack+710312,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+820832,int_stack+646988,int_stack+605408,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+590180,int_stack+23436,int_stack+18540,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+604868,int_stack+590180,int_stack+554540,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+696884,int_stack+604868,int_stack+567500,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+876272,int_stack+696884,int_stack+745952,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+925412,int_stack+876272,int_stack+778712,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+734684,int_stack+925412,int_stack+646988,36);
 /*--- compute (k0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+984380,int_stack+734684,int_stack+820832,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+554540,int_stack+28944,int_stack+23436,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+630788,int_stack+554540,int_stack+590180,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+801212,int_stack+630788,int_stack+604868,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+571064,int_stack+801212,int_stack+696884,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+660164,int_stack+571064,int_stack+876272,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+844412,int_stack+660164,int_stack+925412,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1055660,int_stack+844412,int_stack+734684,36);
 /*--- compute (k0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+1141196,int_stack+1055660,int_stack+984380,36);
 /*--- compute (k0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+728960,int_stack+35100,int_stack+28944,36);
 /*--- compute (k0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+747428,int_stack+728960,int_stack+554540,36);
 /*--- compute (k0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+923036,int_stack+747428,int_stack+630788,36);
 /*--- compute (k0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+728960,int_stack+923036,int_stack+801212,36);
 /*--- compute (k0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+923036,int_stack+728960,int_stack+571064,36);
 /*--- compute (k0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+728960,int_stack+923036,int_stack+660164,36);
 /*--- compute (k0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+923036,int_stack+728960,int_stack+844412,36);
 /*--- compute (k0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+554540,int_stack+923036,int_stack+1055660,36);
 /*--- compute (k0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+661460,int_stack+554540,int_stack+1141196,36);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+554540,int_stack+44415,int_stack+41940,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+561965,int_stack+47385,int_stack+44415,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+570875,int_stack+561965,int_stack+554540,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+585725,int_stack+50895,int_stack+47385,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+596255,int_stack+585725,int_stack+561965,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+614075,int_stack+596255,int_stack+570875,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+554540,int_stack+54990,int_stack+50895,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+638825,int_stack+554540,int_stack+585725,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+770360,int_stack+638825,int_stack+596255,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+566825,int_stack+770360,int_stack+614075,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+603950,int_stack+59715,int_stack+54990,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+800060,int_stack+603950,int_stack+554540,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+824630,int_stack+800060,int_stack+638825,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+859730,int_stack+824630,int_stack+770360,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+904280,int_stack+859730,int_stack+566825,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+770360,int_stack+65115,int_stack+59715,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+554540,int_stack+770360,int_stack+603950,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+582890,int_stack+554540,int_stack+800060,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+956255,int_stack+582890,int_stack+824630,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+786560,int_stack+956255,int_stack+859730,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1008905,int_stack+786560,int_stack+904280,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+848930,int_stack+71235,int_stack+65115,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+867290,int_stack+848930,int_stack+770360,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+899690,int_stack+867290,int_stack+554540,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1078205,int_stack+899690,int_stack+582890,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+554540,int_stack+1078205,int_stack+956255,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1139630,int_stack+554540,int_stack+786560,45);
 /*--- compute (l0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1222790,int_stack+1139630,int_stack+1008905,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+628250,int_stack+78120,int_stack+71235,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+770360,int_stack+628250,int_stack+848930,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+807080,int_stack+770360,int_stack+867290,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+946940,int_stack+807080,int_stack+899690,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1311890,int_stack+946940,int_stack+1078205,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1017815,int_stack+1311890,int_stack+554540,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1397885,int_stack+1017815,int_stack+1139630,45);
 /*--- compute (l0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+1504805,int_stack+1397885,int_stack+1222790,45);
 /*--- compute (l0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+554540,int_stack+85815,int_stack+78120,45);
 /*--- compute (l0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+577625,int_stack+554540,int_stack+628250,45);
 /*--- compute (l0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+861080,int_stack+577625,int_stack+770360,45);
 /*--- compute (l0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+554540,int_stack+861080,int_stack+807080,45);
 /*--- compute (l0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+770360,int_stack+554540,int_stack+946940,45);
 /*--- compute (l0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+869585,int_stack+770360,int_stack+1311890,45);
 /*--- compute (l0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1116095,int_stack+869585,int_stack+1017815,45);
 /*--- compute (l0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+770360,int_stack+1116095,int_stack+1397885,45);
 /*--- compute (l0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+904010,int_stack+770360,int_stack+1504805,45);
 /*--- compute (kp|mm) ---*/
 hrr1_build_kp(Libint->AB,int_stack+1040135,int_stack+904010,int_stack+661460,3025);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+1366835,int_stack+97390,int_stack+94365,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1375910,int_stack+101020,int_stack+97390,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+1386800,int_stack+1375910,int_stack+1366835,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1404950,int_stack+105310,int_stack+101020,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1417820,int_stack+1404950,int_stack+1375910,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+1439600,int_stack+1417820,int_stack+1386800,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1366835,int_stack+110315,int_stack+105310,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1469850,int_stack+1366835,int_stack+1404950,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1495590,int_stack+1469850,int_stack+1417820,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+1381850,int_stack+1495590,int_stack+1439600,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1427225,int_stack+116090,int_stack+110315,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1531890,int_stack+1427225,int_stack+1366835,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1561920,int_stack+1531890,int_stack+1469850,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+554540,int_stack+1561920,int_stack+1495590,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1444550,int_stack+554540,int_stack+1381850,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1366835,int_stack+122690,int_stack+116090,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1386635,int_stack+1366835,int_stack+1427225,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+608990,int_stack+1386635,int_stack+1531890,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+659040,int_stack+608990,int_stack+1561920,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1508075,int_stack+659040,int_stack+554540,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+723390,int_stack+1508075,int_stack+1444550,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+554540,int_stack+130170,int_stack+122690,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1421285,int_stack+554540,int_stack+1366835,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+808090,int_stack+1421285,int_stack+1386635,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+808090,int_stack+608990,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1584305,int_stack+0,int_stack+659040,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+576980,int_stack+1584305,int_stack+1508075,55);
 /*--- compute (m0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1460885,int_stack+576980,int_stack+723390,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1366835,int_stack+138585,int_stack+130170,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+678620,int_stack+1366835,int_stack+554540,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+723500,int_stack+678620,int_stack+1421285,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1674395,int_stack+723500,int_stack+808090,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+789500,int_stack+1674395,int_stack+0,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+0,int_stack+789500,int_stack+1584305,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1761020,int_stack+0,int_stack+576980,55);
 /*--- compute (m0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+1891700,int_stack+1761020,int_stack+1460885,55);
 /*--- compute (m0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+554540,int_stack+147990,int_stack+138585,55);
 /*--- compute (m0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+582755,int_stack+554540,int_stack+1366835,55);
 /*--- compute (m0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1366835,int_stack+582755,int_stack+678620,55);
 /*--- compute (m0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1441635,int_stack+1366835,int_stack+723500,55);
 /*--- compute (m0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1540635,int_stack+1441635,int_stack+1674395,55);
 /*--- compute (m0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1366835,int_stack+1540635,int_stack+789500,55);
 /*--- compute (m0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1506975,int_stack+1366835,int_stack+0,55);
 /*--- compute (m0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+554540,int_stack+1506975,int_stack+1761020,55);
 /*--- compute (m0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+1366835,int_stack+554540,int_stack+1891700,55);
 /*--- compute (lp|mm) ---*/
 hrr1_build_lp(Libint->AB,int_stack+1533210,int_stack+1366835,int_stack+904010,3025);
 /*--- compute (kd|mm) ---*/
 hrr1_build_kd(Libint->AB,int_stack+1941585,int_stack+1533210,int_stack+1040135,3025);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+554540,int_stack+162070,int_stack+158440,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+565430,int_stack+166426,int_stack+162070,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+578498,int_stack+565430,int_stack+554540,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+600278,int_stack+171574,int_stack+166426,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+615722,int_stack+600278,int_stack+565430,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+641858,int_stack+615722,int_stack+578498,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+554540,int_stack+177580,int_stack+171574,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+678158,int_stack+554540,int_stack+600278,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+709046,int_stack+678158,int_stack+615722,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+572558,int_stack+709046,int_stack+641858,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+627008,int_stack+184510,int_stack+177580,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+752606,int_stack+627008,int_stack+554540,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+788642,int_stack+752606,int_stack+678158,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+840122,int_stack+788642,int_stack+709046,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+647798,int_stack+840122,int_stack+572558,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+554540,int_stack+192430,int_stack+184510,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+578300,int_stack+554540,int_stack+627008,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+905462,int_stack+578300,int_stack+752606,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+965522,int_stack+905462,int_stack+788642,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+724028,int_stack+965522,int_stack+840122,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1042742,int_stack+724028,int_stack+647798,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+619880,int_stack+201406,int_stack+192430,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+646808,int_stack+619880,int_stack+554540,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+815504,int_stack+646808,int_stack+578300,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1144382,int_stack+815504,int_stack+905462,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1234472,int_stack+1144382,int_stack+965522,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+884804,int_stack+1234472,int_stack+724028,66);
 /*--- compute (n0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+0,int_stack+884804,int_stack+1042742,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+554540,int_stack+211504,int_stack+201406,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+694328,int_stack+554540,int_stack+619880,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1006772,int_stack+694328,int_stack+646808,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+584834,int_stack+1006772,int_stack+815504,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+748184,int_stack+584834,int_stack+1144382,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1085972,int_stack+748184,int_stack+1234472,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2594985,int_stack+1085972,int_stack+884804,66);
 /*--- compute (n0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+2751801,int_stack+2594985,int_stack+0,66);
 /*--- compute (n0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+0,int_stack+222790,int_stack+211504,66);
 /*--- compute (n0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+33858,int_stack+0,int_stack+554540,66);
 /*--- compute (n0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+94446,int_stack+33858,int_stack+694328,66);
 /*--- compute (n0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+874310,int_stack+94446,int_stack+1006772,66);
 /*--- compute (n0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+0,int_stack+874310,int_stack+584834,66);
 /*--- compute (n0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+874310,int_stack+0,int_stack+748184,66);
 /*--- compute (n0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+0,int_stack+874310,int_stack+1085972,66);
 /*--- compute (n0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+554540,int_stack+0,int_stack+2594985,66);
 /*--- compute (n0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+0,int_stack+554540,int_stack+2751801,66);
 /*--- compute (mp|mm) ---*/
 hrr1_build_mp(Libint->AB,int_stack+554540,int_stack+0,int_stack+1366835,3025);
 /*--- compute (ld|mm) ---*/
 hrr1_build_ld(Libint->AB,int_stack+2594985,int_stack+554540,int_stack+1533210,3025);
 /*--- compute (kf|mm) ---*/
 hrr1_build_kf(Libint->AB,int_stack+3411735,int_stack+2594985,int_stack+1941585,3025);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+1053665,int_stack+239620,int_stack+235330,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1066535,int_stack+244768,int_stack+239620,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+1081979,int_stack+1066535,int_stack+1053665,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1107719,int_stack+250852,int_stack+244768,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1125971,int_stack+1107719,int_stack+1066535,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+1156859,int_stack+1125971,int_stack+1081979,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1053665,int_stack+257950,int_stack+250852,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1199759,int_stack+1053665,int_stack+1107719,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1236263,int_stack+1199759,int_stack+1125971,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+1074959,int_stack+1236263,int_stack+1156859,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1139309,int_stack+266140,int_stack+257950,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1287743,int_stack+1139309,int_stack+1053665,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1330331,int_stack+1287743,int_stack+1199759,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1391171,int_stack+1330331,int_stack+1236263,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1163879,int_stack+1391171,int_stack+1074959,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1053665,int_stack+275500,int_stack+266140,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1081745,int_stack+1053665,int_stack+1139309,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1468391,int_stack+1081745,int_stack+1287743,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1539371,int_stack+1468391,int_stack+1330331,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1253969,int_stack+1539371,int_stack+1391171,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1630631,int_stack+1253969,int_stack+1163879,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1130885,int_stack+286108,int_stack+275500,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1162709,int_stack+1130885,int_stack+1053665,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1362077,int_stack+1162709,int_stack+1081745,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1750751,int_stack+1362077,int_stack+1468391,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1857221,int_stack+1750751,int_stack+1539371,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1443977,int_stack+1857221,int_stack+1253969,78);
 /*--- compute (o0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1984985,int_stack+1443977,int_stack+1630631,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1053665,int_stack+298042,int_stack+286108,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1218869,int_stack+1053665,int_stack+1130885,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1588121,int_stack+1218869,int_stack+1162709,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1089467,int_stack+1588121,int_stack+1362077,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1282517,int_stack+1089467,int_stack+1750751,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1681721,int_stack+1282517,int_stack+1857221,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2139425,int_stack+1681721,int_stack+1443977,78);
 /*--- compute (o0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+2324753,int_stack+2139425,int_stack+1984985,78);
 /*--- compute (o0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1431575,int_stack+311380,int_stack+298042,78);
 /*--- compute (o0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1471589,int_stack+1431575,int_stack+1053665,78);
 /*--- compute (o0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1852073,int_stack+1471589,int_stack+1218869,78);
 /*--- compute (o0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1431575,int_stack+1852073,int_stack+1588121,78);
 /*--- compute (o0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1852073,int_stack+1431575,int_stack+1089467,78);
 /*--- compute (o0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1431575,int_stack+1852073,int_stack+1282517,78);
 /*--- compute (o0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1852073,int_stack+1431575,int_stack+1681721,78);
 /*--- compute (o0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1053665,int_stack+1852073,int_stack+2139425,78);
 /*--- compute (o0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+1285325,int_stack+1053665,int_stack+2324753,78);
 /*--- compute (np|mm) ---*/
 hrr1_build_np(Libint->AB,int_stack+1521275,int_stack+1285325,int_stack+0,3025);
 /*--- compute (md|mm) ---*/
 hrr1_build_md(Libint->AB,int_stack+4500735,int_stack+1521275,int_stack+554540,3025);
 /*--- compute (lf|mm) ---*/
 hrr1_build_lf(Libint->AB,int_stack+5498985,int_stack+4500735,int_stack+2594985,3025);
 /*--- compute (kg|mm) ---*/
 hrr1_build_kg(Libint->AB,int_stack+6860235,int_stack+5498985,int_stack+3411735,3025);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+554540,int_stack+331205,int_stack+326200,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+569555,int_stack+337211,int_stack+331205,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+587573,int_stack+569555,int_stack+554540,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+617603,int_stack+344309,int_stack+337211,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+638897,int_stack+617603,int_stack+569555,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+674933,int_stack+638897,int_stack+587573,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+554540,int_stack+352590,int_stack+344309,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+724983,int_stack+554540,int_stack+617603,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+767571,int_stack+724983,int_stack+638897,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+579383,int_stack+767571,int_stack+674933,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+654458,int_stack+362145,int_stack+352590,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+827631,int_stack+654458,int_stack+554540,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+877317,int_stack+827631,int_stack+724983,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+948297,int_stack+877317,int_stack+767571,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+683123,int_stack+948297,int_stack+579383,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+554540,int_stack+373065,int_stack+362145,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+587300,int_stack+554540,int_stack+654458,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1038387,int_stack+587300,int_stack+827631,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1121197,int_stack+1038387,int_stack+877317,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+788228,int_stack+1121197,int_stack+948297,91);
 /*--- compute (q0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+788228,int_stack+683123,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+644630,int_stack+385441,int_stack+373065,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+681758,int_stack+644630,int_stack+554540,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+914354,int_stack+681758,int_stack+587300,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+140140,int_stack+914354,int_stack+1038387,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+2120225,int_stack+140140,int_stack+1121197,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1009904,int_stack+2120225,int_stack+788228,91);
 /*--- compute (q0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+2269283,int_stack+1009904,int_stack+0,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+0,int_stack+399364,int_stack+385441,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+41769,int_stack+0,int_stack+644630,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+554540,int_stack+41769,int_stack+681758,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+663740,int_stack+554540,int_stack+914354,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+807065,int_stack+663740,int_stack+140140,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+116025,int_stack+807065,int_stack+2120225,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2449463,int_stack+116025,int_stack+1009904,91);
 /*--- compute (q0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+980966,int_stack+2449463,int_stack+2269283,91);
 /*--- compute (q0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+2120225,int_stack+414925,int_stack+399364,91);
 /*--- compute (q0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+2166908,int_stack+2120225,int_stack+0,91);
 /*--- compute (q0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+2250446,int_stack+2166908,int_stack+41769,91);
 /*--- compute (q0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+2665679,int_stack+2250446,int_stack+554540,91);
 /*--- compute (q0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+2120225,int_stack+2665679,int_stack+663740,91);
 /*--- compute (q0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2665679,int_stack+2120225,int_stack+807065,91);
 /*--- compute (q0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+2120225,int_stack+2665679,int_stack+116025,91);
 /*--- compute (q0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2665679,int_stack+2120225,int_stack+2449463,91);
 /*--- compute (q0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+2120225,int_stack+2665679,int_stack+980966,91);
 /*--- compute (op|mm) ---*/
 hrr1_build_op(Libint->AB,int_stack+2395500,int_stack+2120225,int_stack+1285325,3025);
 /*--- compute (nd|mm) ---*/
 hrr1_build_nd(Libint->AB,int_stack+3103350,int_stack+2395500,int_stack+1521275,3025);
 /*--- compute (mf|mm) ---*/
 hrr1_build_mf(Libint->AB,int_stack+8493735,int_stack+3103350,int_stack+4500735,3025);
 /*--- compute (lg|mm) ---*/
 hrr1_build_lg(Libint->AB,int_stack+10157485,int_stack+8493735,int_stack+5498985,3025);
 /*--- compute (kh|mm) ---*/
 hrr1_build_kh(Libint->AB,int_stack+4301250,int_stack+10157485,int_stack+6860235,3025);
 /*--- compute (r0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+6588150,int_stack+437990,int_stack+432215,105);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+6605475,int_stack+444920,int_stack+437990,105);
 /*--- compute (r0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+6626265,int_stack+6605475,int_stack+6588150,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+6660915,int_stack+453110,int_stack+444920,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+6685485,int_stack+6660915,int_stack+6605475,105);
 /*--- compute (r0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+6727065,int_stack+6685485,int_stack+6626265,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+6588150,int_stack+462665,int_stack+453110,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+6784815,int_stack+6588150,int_stack+6660915,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+6833955,int_stack+6784815,int_stack+6685485,105);
 /*--- compute (r0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+6616815,int_stack+6833955,int_stack+6727065,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+6703440,int_stack+473690,int_stack+462665,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+6903255,int_stack+6703440,int_stack+6588150,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+6960585,int_stack+6903255,int_stack+6784815,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+7042485,int_stack+6960585,int_stack+6833955,105);
 /*--- compute (r0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+6736515,int_stack+7042485,int_stack+6616815,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+6588150,int_stack+486290,int_stack+473690,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+6625950,int_stack+6588150,int_stack+6703440,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+7146435,int_stack+6625950,int_stack+6903255,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+7241985,int_stack+7146435,int_stack+6960585,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+6857790,int_stack+7241985,int_stack+7042485,105);
 /*--- compute (r0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+7364835,int_stack+6857790,int_stack+6736515,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+6692100,int_stack+500570,int_stack+486290,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+6734940,int_stack+6692100,int_stack+6588150,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+7003320,int_stack+6734940,int_stack+6625950,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+7526535,int_stack+7003320,int_stack+7146435,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+7669860,int_stack+7526535,int_stack+7241985,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+7113570,int_stack+7669860,int_stack+6857790,105);
 /*--- compute (r0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+7841850,int_stack+7113570,int_stack+7364835,105);
 /*--- compute (r0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+6588150,int_stack+516635,int_stack+500570,105);
 /*--- compute (r0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+6810540,int_stack+6588150,int_stack+6692100,105);
 /*--- compute (r0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+7307610,int_stack+6810540,int_stack+6734940,105);
 /*--- compute (r0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+6636345,int_stack+7307610,int_stack+7003320,105);
 /*--- compute (r0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+6896220,int_stack+6636345,int_stack+7526535,105);
 /*--- compute (r0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+7433610,int_stack+6896220,int_stack+7669860,105);
 /*--- compute (r0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+8049750,int_stack+7433610,int_stack+7113570,105);
 /*--- compute (r0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+554540,int_stack+8049750,int_stack+7841850,105);
 /*--- compute (r0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+7096875,int_stack+534590,int_stack+516635,105);
 /*--- compute (r0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+7150740,int_stack+7096875,int_stack+6588150,105);
 /*--- compute (r0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+7662930,int_stack+7150740,int_stack+6810540,105);
 /*--- compute (r0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+7096875,int_stack+7662930,int_stack+7307610,105);
 /*--- compute (r0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+7662930,int_stack+7096875,int_stack+6636345,105);
 /*--- compute (r0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+7096875,int_stack+7662930,int_stack+6896220,105);
 /*--- compute (r0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+7662930,int_stack+7096875,int_stack+7433610,105);
 /*--- compute (r0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+6588150,int_stack+7662930,int_stack+8049750,105);
 /*--- compute (r0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+6900000,int_stack+6588150,int_stack+554540,105);
 /*--- compute (qp|mm) ---*/
 hrr1_build_qp(Libint->AB,int_stack+7217625,int_stack+6900000,int_stack+2120225,3025);
 /*--- compute (od|mm) ---*/
 hrr1_build_od(Libint->AB,int_stack+0,int_stack+7217625,int_stack+2395500,3025);
 /*--- compute (nf|mm) ---*/
 hrr1_build_nf(Libint->AB,int_stack+12199360,int_stack+0,int_stack+3103350,3025);
 /*--- compute (mg|mm) ---*/
 hrr1_build_mg(Libint->AB,int_stack+0,int_stack+12199360,int_stack+8493735,3025);
 /*--- compute (lh|mm) ---*/
 hrr1_build_lh(Libint->AB,int_stack+6588150,int_stack+0,int_stack+10157485,3025);
 /*--- compute (ki|mm) ---*/
 hrr1_build_ki(Libint->AB,int_stack+0,int_stack+6588150,int_stack+4301250,3025);
 return int_stack+0;}
