#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ldnd(Libint_t*, prim_data*);

  /* Computes quartets of (ld|nd) integrals */

REALTYPE *hrr_order_ldnd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][10] = int_stack + 0;
 Libint->vrr_classes[8][11] = int_stack + 2970;
 Libint->vrr_classes[8][12] = int_stack + 6480;
 Libint->vrr_classes[9][10] = int_stack + 10575;
 Libint->vrr_classes[9][11] = int_stack + 14205;
 Libint->vrr_classes[9][12] = int_stack + 18495;
 Libint->vrr_classes[10][10] = int_stack + 23500;
 Libint->vrr_classes[10][11] = int_stack + 27856;
 Libint->vrr_classes[10][12] = int_stack + 33004;
 memset(int_stack,0,39010*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 39010;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ldnd(Libint, Data);
   Data++;
 }
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+39010,int_stack+2970,int_stack+0,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+47920,int_stack+6480,int_stack+2970,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+58450,int_stack+47920,int_stack+39010,45);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+39010,int_stack+14205,int_stack+10575,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+18495,int_stack+14205,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+76270,int_stack+0,int_stack+39010,55);
 /*--- compute (lp|nd) ---*/
 hrr1_build_lp(Libint->AB,int_stack+98050,int_stack+76270,int_stack+58450,396);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+39010,int_stack+27856,int_stack+23500,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+52078,int_stack+33004,int_stack+27856,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+52078,int_stack+39010,66);
 /*--- compute (mp|nd) ---*/
 hrr1_build_mp(Libint->AB,int_stack+151510,int_stack+0,int_stack+76270,396);
 /*--- compute (ld|nd) ---*/
 hrr1_build_ld(Libint->AB,int_stack+216850,int_stack+151510,int_stack+98050,396);
 return int_stack+216850;}
