#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_llmk(Libint_t*, prim_data*);

  /* Computes quartets of (ll|mk) integrals */

REALTYPE *hrr_order_llmk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][9] = int_stack + 0;
 Libint->vrr_classes[8][10] = int_stack + 2475;
 Libint->vrr_classes[8][11] = int_stack + 5445;
 Libint->vrr_classes[8][12] = int_stack + 8955;
 Libint->vrr_classes[8][13] = int_stack + 13050;
 Libint->vrr_classes[8][14] = int_stack + 17775;
 Libint->vrr_classes[8][15] = int_stack + 23175;
 Libint->vrr_classes[8][16] = int_stack + 29295;
 Libint->vrr_classes[9][9] = int_stack + 36180;
 Libint->vrr_classes[9][10] = int_stack + 39205;
 Libint->vrr_classes[9][11] = int_stack + 42835;
 Libint->vrr_classes[9][12] = int_stack + 47125;
 Libint->vrr_classes[9][13] = int_stack + 52130;
 Libint->vrr_classes[9][14] = int_stack + 57905;
 Libint->vrr_classes[9][15] = int_stack + 64505;
 Libint->vrr_classes[9][16] = int_stack + 71985;
 Libint->vrr_classes[10][9] = int_stack + 80400;
 Libint->vrr_classes[10][10] = int_stack + 84030;
 Libint->vrr_classes[10][11] = int_stack + 88386;
 Libint->vrr_classes[10][12] = int_stack + 93534;
 Libint->vrr_classes[10][13] = int_stack + 99540;
 Libint->vrr_classes[10][14] = int_stack + 106470;
 Libint->vrr_classes[10][15] = int_stack + 114390;
 Libint->vrr_classes[10][16] = int_stack + 123366;
 Libint->vrr_classes[11][9] = int_stack + 133464;
 Libint->vrr_classes[11][10] = int_stack + 137754;
 Libint->vrr_classes[11][11] = int_stack + 142902;
 Libint->vrr_classes[11][12] = int_stack + 148986;
 Libint->vrr_classes[11][13] = int_stack + 156084;
 Libint->vrr_classes[11][14] = int_stack + 164274;
 Libint->vrr_classes[11][15] = int_stack + 173634;
 Libint->vrr_classes[11][16] = int_stack + 184242;
 Libint->vrr_classes[12][9] = int_stack + 196176;
 Libint->vrr_classes[12][10] = int_stack + 201181;
 Libint->vrr_classes[12][11] = int_stack + 207187;
 Libint->vrr_classes[12][12] = int_stack + 214285;
 Libint->vrr_classes[12][13] = int_stack + 222566;
 Libint->vrr_classes[12][14] = int_stack + 232121;
 Libint->vrr_classes[12][15] = int_stack + 243041;
 Libint->vrr_classes[12][16] = int_stack + 255417;
 Libint->vrr_classes[13][9] = int_stack + 269340;
 Libint->vrr_classes[13][10] = int_stack + 275115;
 Libint->vrr_classes[13][11] = int_stack + 282045;
 Libint->vrr_classes[13][12] = int_stack + 290235;
 Libint->vrr_classes[13][13] = int_stack + 299790;
 Libint->vrr_classes[13][14] = int_stack + 310815;
 Libint->vrr_classes[13][15] = int_stack + 323415;
 Libint->vrr_classes[13][16] = int_stack + 337695;
 Libint->vrr_classes[14][9] = int_stack + 353760;
 Libint->vrr_classes[14][10] = int_stack + 360360;
 Libint->vrr_classes[14][11] = int_stack + 368280;
 Libint->vrr_classes[14][12] = int_stack + 377640;
 Libint->vrr_classes[14][13] = int_stack + 388560;
 Libint->vrr_classes[14][14] = int_stack + 401160;
 Libint->vrr_classes[14][15] = int_stack + 415560;
 Libint->vrr_classes[14][16] = int_stack + 431880;
 Libint->vrr_classes[15][9] = int_stack + 450240;
 Libint->vrr_classes[15][10] = int_stack + 457720;
 Libint->vrr_classes[15][11] = int_stack + 466696;
 Libint->vrr_classes[15][12] = int_stack + 477304;
 Libint->vrr_classes[15][13] = int_stack + 489680;
 Libint->vrr_classes[15][14] = int_stack + 503960;
 Libint->vrr_classes[15][15] = int_stack + 520280;
 Libint->vrr_classes[15][16] = int_stack + 538776;
 Libint->vrr_classes[16][9] = int_stack + 559584;
 Libint->vrr_classes[16][10] = int_stack + 567999;
 Libint->vrr_classes[16][11] = int_stack + 578097;
 Libint->vrr_classes[16][12] = int_stack + 590031;
 Libint->vrr_classes[16][13] = int_stack + 603954;
 Libint->vrr_classes[16][14] = int_stack + 620019;
 Libint->vrr_classes[16][15] = int_stack + 638379;
 Libint->vrr_classes[16][16] = int_stack + 659187;
 memset(int_stack,0,682596*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 682596;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_llmk(Libint, Data);
   Data++;
 }
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+682596,int_stack+2475,int_stack+0,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+690021,int_stack+5445,int_stack+2475,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+698931,int_stack+690021,int_stack+682596,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+713781,int_stack+8955,int_stack+5445,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+724311,int_stack+713781,int_stack+690021,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+742131,int_stack+724311,int_stack+698931,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+682596,int_stack+13050,int_stack+8955,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+766881,int_stack+682596,int_stack+713781,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+787941,int_stack+766881,int_stack+724311,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+694881,int_stack+787941,int_stack+742131,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+732006,int_stack+17775,int_stack+13050,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+817641,int_stack+732006,int_stack+682596,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+842211,int_stack+817641,int_stack+766881,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+877311,int_stack+842211,int_stack+787941,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+746181,int_stack+877311,int_stack+694881,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+682596,int_stack+23175,int_stack+17775,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+698796,int_stack+682596,int_stack+732006,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+921861,int_stack+698796,int_stack+817641,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+962811,int_stack+921861,int_stack+842211,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+798156,int_stack+962811,int_stack+877311,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1015461,int_stack+798156,int_stack+746181,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+727146,int_stack+29295,int_stack+23175,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+745506,int_stack+727146,int_stack+682596,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+860526,int_stack+745506,int_stack+698796,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+682596,int_stack+860526,int_stack+921861,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+860526,int_stack+682596,int_stack+962811,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+682596,int_stack+860526,int_stack+798156,45);
 /*--- compute (l0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+765756,int_stack+682596,int_stack+1015461,45);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+682596,int_stack+39205,int_stack+36180,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+691671,int_stack+42835,int_stack+39205,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+702561,int_stack+691671,int_stack+682596,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+720711,int_stack+47125,int_stack+42835,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+733581,int_stack+720711,int_stack+691671,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+854856,int_stack+733581,int_stack+702561,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+682596,int_stack+52130,int_stack+47125,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+885106,int_stack+682596,int_stack+720711,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+910846,int_stack+885106,int_stack+733581,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+697611,int_stack+910846,int_stack+854856,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+854856,int_stack+57905,int_stack+52130,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+947146,int_stack+854856,int_stack+682596,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+977176,int_stack+947146,int_stack+885106,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1020076,int_stack+977176,int_stack+910846,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+872181,int_stack+1020076,int_stack+697611,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+682596,int_stack+64505,int_stack+57905,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+702396,int_stack+682596,int_stack+854856,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+702396,int_stack+947146,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1074526,int_stack+0,int_stack+977176,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+935706,int_stack+1074526,int_stack+1020076,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1138876,int_stack+935706,int_stack+872181,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+854856,int_stack+71985,int_stack+64505,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+877296,int_stack+854856,int_stack+682596,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1011936,int_stack+877296,int_stack+702396,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+682596,int_stack+1011936,int_stack+0,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1223576,int_stack+682596,int_stack+1074526,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1011936,int_stack+1223576,int_stack+935706,55);
 /*--- compute (m0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+854856,int_stack+1011936,int_stack+1138876,55);
 /*--- compute (lp|mk) ---*/
 hrr1_build_lp(Libint->AB,int_stack+963756,int_stack+854856,int_stack+765756,1980);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+682596,int_stack+84030,int_stack+80400,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+693486,int_stack+88386,int_stack+84030,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+706554,int_stack+693486,int_stack+682596,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+728334,int_stack+93534,int_stack+88386,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+743778,int_stack+728334,int_stack+693486,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+769914,int_stack+743778,int_stack+706554,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+682596,int_stack+99540,int_stack+93534,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+806214,int_stack+682596,int_stack+728334,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+806214,int_stack+743778,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+700614,int_stack+0,int_stack+769914,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+755064,int_stack+106470,int_stack+99540,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+43560,int_stack+755064,int_stack+682596,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1231056,int_stack+43560,int_stack+806214,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+775854,int_stack+1231056,int_stack+0,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1282536,int_stack+775854,int_stack+700614,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+114390,int_stack+106470,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+682596,int_stack+0,int_stack+755064,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1358766,int_stack+682596,int_stack+43560,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+23760,int_stack+1358766,int_stack+1231056,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1418826,int_stack+23760,int_stack+775854,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+724176,int_stack+1418826,int_stack+1282536,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1231056,int_stack+123366,int_stack+114390,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1257984,int_stack+1231056,int_stack+0,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1510302,int_stack+1257984,int_stack+682596,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1231056,int_stack+1510302,int_stack+1358766,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1510302,int_stack+1231056,int_stack+23760,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1231056,int_stack+1510302,int_stack+1418826,66);
 /*--- compute (n0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1353024,int_stack+1231056,int_stack+724176,66);
 /*--- compute (mp|mk) ---*/
 hrr1_build_mp(Libint->AB,int_stack+1483704,int_stack+1353024,int_stack+854856,1980);
 /*--- compute (ld|mk) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1810404,int_stack+1483704,int_stack+963756,1980);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+682596,int_stack+137754,int_stack+133464,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+695466,int_stack+142902,int_stack+137754,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+710910,int_stack+695466,int_stack+682596,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+736650,int_stack+148986,int_stack+142902,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+754902,int_stack+736650,int_stack+695466,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+785790,int_stack+754902,int_stack+710910,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+682596,int_stack+156084,int_stack+148986,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+828690,int_stack+682596,int_stack+736650,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+865194,int_stack+828690,int_stack+754902,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+703890,int_stack+865194,int_stack+785790,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+768240,int_stack+164274,int_stack+156084,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+916674,int_stack+768240,int_stack+682596,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+959262,int_stack+916674,int_stack+828690,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1020102,int_stack+959262,int_stack+865194,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+792810,int_stack+1020102,int_stack+703890,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+682596,int_stack+173634,int_stack+164274,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+710676,int_stack+682596,int_stack+768240,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1097322,int_stack+710676,int_stack+916674,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1168302,int_stack+1097322,int_stack+959262,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+882900,int_stack+1168302,int_stack+1020102,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+882900,int_stack+792810,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+759816,int_stack+184242,int_stack+173634,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+791640,int_stack+759816,int_stack+682596,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+991008,int_stack+791640,int_stack+710676,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+682596,int_stack+991008,int_stack+1097322,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+991008,int_stack+682596,int_stack+1168302,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+682596,int_stack+991008,int_stack+882900,78);
 /*--- compute (o0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+826740,int_stack+682596,int_stack+0,78);
 /*--- compute (np|mk) ---*/
 hrr1_build_np(Libint->AB,int_stack+2345004,int_stack+826740,int_stack+1353024,1980);
 /*--- compute (md|mk) ---*/
 hrr1_build_md(Libint->AB,int_stack+2737044,int_stack+2345004,int_stack+1483704,1980);
 /*--- compute (lf|mk) ---*/
 hrr1_build_lf(Libint->AB,int_stack+3390444,int_stack+2737044,int_stack+1810404,1980);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+201181,int_stack+196176,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+15015,int_stack+207187,int_stack+201181,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+33033,int_stack+15015,int_stack+0,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+63063,int_stack+214285,int_stack+207187,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+84357,int_stack+63063,int_stack+15015,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+120393,int_stack+84357,int_stack+33033,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+222566,int_stack+214285,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+170443,int_stack+0,int_stack+63063,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+682596,int_stack+170443,int_stack+84357,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+24843,int_stack+682596,int_stack+120393,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+99918,int_stack+232121,int_stack+222566,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+742656,int_stack+99918,int_stack+0,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+981180,int_stack+742656,int_stack+170443,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+128583,int_stack+981180,int_stack+682596,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1052160,int_stack+128583,int_stack+24843,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+682596,int_stack+243041,int_stack+232121,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+0,int_stack+682596,int_stack+99918,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1157265,int_stack+0,int_stack+742656,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+715356,int_stack+1157265,int_stack+981180,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1240075,int_stack+715356,int_stack+128583,91);
 /*--- compute (q0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+57330,int_stack+1240075,int_stack+1052160,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+981180,int_stack+255417,int_stack+243041,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1018308,int_stack+981180,int_stack+682596,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1366201,int_stack+1018308,int_stack+0,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+981180,int_stack+1366201,int_stack+1157265,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1366201,int_stack+981180,int_stack+715356,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+981180,int_stack+1366201,int_stack+1240075,91);
 /*--- compute (q0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1149348,int_stack+981180,int_stack+57330,91);
 /*--- compute (op|mk) ---*/
 hrr1_build_op(Libint->AB,int_stack+1329528,int_stack+1149348,int_stack+826740,1980);
 /*--- compute (nd|mk) ---*/
 hrr1_build_nd(Libint->AB,int_stack+4281444,int_stack+1329528,int_stack+2345004,1980);
 /*--- compute (mf|mk) ---*/
 hrr1_build_mf(Libint->AB,int_stack+5065524,int_stack+4281444,int_stack+2737044,1980);
 /*--- compute (lg|mk) ---*/
 hrr1_build_lg(Libint->AB,int_stack+1792848,int_stack+5065524,int_stack+3390444,1980);
 /*--- compute (r0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+3129348,int_stack+275115,int_stack+269340,105);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+3146673,int_stack+282045,int_stack+275115,105);
 /*--- compute (r0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+3167463,int_stack+3146673,int_stack+3129348,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+3202113,int_stack+290235,int_stack+282045,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+3226683,int_stack+3202113,int_stack+3146673,105);
 /*--- compute (r0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+3268263,int_stack+3226683,int_stack+3167463,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+3129348,int_stack+299790,int_stack+290235,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+3326013,int_stack+3129348,int_stack+3202113,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+3375153,int_stack+3326013,int_stack+3226683,105);
 /*--- compute (r0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+3158013,int_stack+3375153,int_stack+3268263,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+3244638,int_stack+310815,int_stack+299790,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+3444453,int_stack+3244638,int_stack+3129348,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+3501783,int_stack+3444453,int_stack+3326013,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+3583683,int_stack+3501783,int_stack+3375153,105);
 /*--- compute (r0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+3277713,int_stack+3583683,int_stack+3158013,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+3129348,int_stack+323415,int_stack+310815,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+3167148,int_stack+3129348,int_stack+3244638,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+3687633,int_stack+3167148,int_stack+3444453,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+3783183,int_stack+3687633,int_stack+3501783,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+3398988,int_stack+3783183,int_stack+3583683,105);
 /*--- compute (r0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+3906033,int_stack+3398988,int_stack+3277713,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+3233298,int_stack+337695,int_stack+323415,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+3276138,int_stack+3233298,int_stack+3129348,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+3544518,int_stack+3276138,int_stack+3167148,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+3129348,int_stack+3544518,int_stack+3687633,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+3544518,int_stack+3129348,int_stack+3783183,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+3129348,int_stack+3544518,int_stack+3398988,105);
 /*--- compute (r0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+3323388,int_stack+3129348,int_stack+3906033,105);
 /*--- compute (qp|mk) ---*/
 hrr1_build_qp(Libint->AB,int_stack+3531288,int_stack+3323388,int_stack+1149348,1980);
 /*--- compute (od|mk) ---*/
 hrr1_build_od(Libint->AB,int_stack+6154524,int_stack+3531288,int_stack+1329528,1980);
 /*--- compute (nf|mk) ---*/
 hrr1_build_nf(Libint->AB,int_stack+7081164,int_stack+6154524,int_stack+4281444,1980);
 /*--- compute (mg|mk) ---*/
 hrr1_build_mg(Libint->AB,int_stack+8387964,int_stack+7081164,int_stack+5065524,1980);
 /*--- compute (lh|mk) ---*/
 hrr1_build_lh(Libint->AB,int_stack+4071828,int_stack+8387964,int_stack+1792848,1980);
 /*--- compute (t0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+5942928,int_stack+360360,int_stack+353760,120);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+5962728,int_stack+368280,int_stack+360360,120);
 /*--- compute (t0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+5986488,int_stack+5962728,int_stack+5942928,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+6026088,int_stack+377640,int_stack+368280,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+6054168,int_stack+6026088,int_stack+5962728,120);
 /*--- compute (t0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+6054168,int_stack+5986488,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+5942928,int_stack+388560,int_stack+377640,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+66000,int_stack+5942928,int_stack+6026088,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+122160,int_stack+66000,int_stack+6054168,120);
 /*--- compute (t0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+5975688,int_stack+122160,int_stack+0,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+401160,int_stack+388560,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+6074688,int_stack+0,int_stack+5942928,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+201360,int_stack+6074688,int_stack+66000,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+682596,int_stack+201360,int_stack+122160,120);
 /*--- compute (t0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+37800,int_stack+682596,int_stack+5975688,120);
 /*--- compute (t0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+5942928,int_stack+415560,int_stack+401160,120);
 /*--- compute (t0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+5986128,int_stack+5942928,int_stack+0,120);
 /*--- compute (t0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+294960,int_stack+5986128,int_stack+6074688,120);
 /*--- compute (t0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+801396,int_stack+294960,int_stack+201360,120);
 /*--- compute (t0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+941796,int_stack+801396,int_stack+682596,120);
 /*--- compute (t0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1108116,int_stack+941796,int_stack+37800,120);
 /*--- compute (t0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+682596,int_stack+431880,int_stack+415560,120);
 /*--- compute (t0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+0,int_stack+682596,int_stack+5942928,120);
 /*--- compute (t0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+86400,int_stack+0,int_stack+5986128,120);
 /*--- compute (t0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+5942928,int_stack+86400,int_stack+294960,120);
 /*--- compute (t0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+0,int_stack+5942928,int_stack+801396,120);
 /*--- compute (t0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+196560,int_stack+0,int_stack+941796,120);
 /*--- compute (t0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+682596,int_stack+196560,int_stack+1108116,120);
 /*--- compute (rp|mk) ---*/
 hrr1_build_rp(Libint->AB,int_stack+920196,int_stack+682596,int_stack+3323388,1980);
 /*--- compute (qd|mk) ---*/
 hrr1_build_qd(Libint->AB,int_stack+1543896,int_stack+920196,int_stack+3531288,1980);
 /*--- compute (of|mk) ---*/
 hrr1_build_of(Libint->AB,int_stack+10021464,int_stack+1543896,int_stack+6154524,1980);
 /*--- compute (ng|mk) ---*/
 hrr1_build_ng(Libint->AB,int_stack+11565864,int_stack+10021464,int_stack+7081164,1980);
 /*--- compute (mh|mk) ---*/
 hrr1_build_mh(Libint->AB,int_stack+5942928,int_stack+11565864,int_stack+8387964,1980);
 /*--- compute (li|mk) ---*/
 hrr1_build_li(Libint->AB,int_stack+13526064,int_stack+5942928,int_stack+4071828,1980);
 /*--- compute (u0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+457720,int_stack+450240,136);
 /*--- compute (u0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+22440,int_stack+466696,int_stack+457720,136);
 /*--- compute (u0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+49368,int_stack+22440,int_stack+0,136);
 /*--- compute (u0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+94248,int_stack+477304,int_stack+466696,136);
 /*--- compute (u0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+126072,int_stack+94248,int_stack+22440,136);
 /*--- compute (u0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+179928,int_stack+126072,int_stack+49368,136);
 /*--- compute (u0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+489680,int_stack+477304,136);
 /*--- compute (u0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+254728,int_stack+0,int_stack+94248,136);
 /*--- compute (u0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+318376,int_stack+254728,int_stack+126072,136);
 /*--- compute (u0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+37128,int_stack+318376,int_stack+179928,136);
 /*--- compute (u0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+149328,int_stack+503960,int_stack+489680,136);
 /*--- compute (u0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+408136,int_stack+149328,int_stack+0,136);
 /*--- compute (u0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+8229828,int_stack+408136,int_stack+254728,136);
 /*--- compute (u0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+8335908,int_stack+8229828,int_stack+318376,136);
 /*--- compute (u0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+192168,int_stack+8335908,int_stack+37128,136);
 /*--- compute (u0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+520280,int_stack+503960,136);
 /*--- compute (u0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+48960,int_stack+0,int_stack+149328,136);
 /*--- compute (u0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+8470548,int_stack+48960,int_stack+408136,136);
 /*--- compute (u0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+349248,int_stack+8470548,int_stack+8229828,136);
 /*--- compute (u0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+8594308,int_stack+349248,int_stack+8335908,136);
 /*--- compute (u0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+8229828,int_stack+8594308,int_stack+192168,136);
 /*--- compute (u0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+134640,int_stack+538776,int_stack+520280,136);
 /*--- compute (u0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+190128,int_stack+134640,int_stack+0,136);
 /*--- compute (u0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+8782804,int_stack+190128,int_stack+48960,136);
 /*--- compute (u0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+8782804,int_stack+8470548,136);
 /*--- compute (u0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+8782804,int_stack+0,int_stack+349248,136);
 /*--- compute (u0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+8782804,int_stack+8594308,136);
 /*--- compute (u0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+251328,int_stack+0,int_stack+8229828,136);
 /*--- compute (tp|mk) ---*/
 hrr1_build_tp(Libint->AB,int_stack+8229828,int_stack+251328,int_stack+682596,1980);
 /*--- compute (rd|mk) ---*/
 hrr1_build_rd(Libint->AB,int_stack+2624976,int_stack+8229828,int_stack+920196,1980);
 /*--- compute (qf|mk) ---*/
 hrr1_build_qf(Libint->AB,int_stack+3872376,int_stack+2624976,int_stack+1543896,1980);
 /*--- compute (og|mk) ---*/
 hrr1_build_og(Libint->AB,int_stack+16020864,int_stack+3872376,int_stack+10021464,1980);
 /*--- compute (nh|mk) ---*/
 hrr1_build_nh(Libint->AB,int_stack+18337464,int_stack+16020864,int_stack+11565864,1980);
 /*--- compute (mi|mk) ---*/
 hrr1_build_mi(Libint->AB,int_stack+8942628,int_stack+18337464,int_stack+5942928,1980);
 /*--- compute (lk|mk) ---*/
 hrr1_build_lk(Libint->AB,int_stack+21081744,int_stack+8942628,int_stack+13526064,1980);
 /*--- compute (v0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+682596,int_stack+567999,int_stack+559584,153);
 /*--- compute (v0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+707841,int_stack+578097,int_stack+567999,153);
 /*--- compute (v0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+738135,int_stack+707841,int_stack+682596,153);
 /*--- compute (v0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+788625,int_stack+590031,int_stack+578097,153);
 /*--- compute (v0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+824427,int_stack+788625,int_stack+707841,153);
 /*--- compute (v0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+885015,int_stack+824427,int_stack+738135,153);
 /*--- compute (v0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+682596,int_stack+603954,int_stack+590031,153);
 /*--- compute (v0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+969165,int_stack+682596,int_stack+788625,153);
 /*--- compute (v0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1040769,int_stack+969165,int_stack+824427,153);
 /*--- compute (v0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+724365,int_stack+1040769,int_stack+885015,153);
 /*--- compute (v0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+850590,int_stack+620019,int_stack+603954,153);
 /*--- compute (v0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1141749,int_stack+850590,int_stack+682596,153);
 /*--- compute (v0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1225287,int_stack+1141749,int_stack+969165,153);
 /*--- compute (v0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1344627,int_stack+1225287,int_stack+1040769,153);
 /*--- compute (v0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+898785,int_stack+1344627,int_stack+724365,153);
 /*--- compute (v0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+682596,int_stack+638379,int_stack+620019,153);
 /*--- compute (v0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+737676,int_stack+682596,int_stack+850590,153);
 /*--- compute (v0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1496097,int_stack+737676,int_stack+1141749,153);
 /*--- compute (v0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1635327,int_stack+1496097,int_stack+1225287,153);
 /*--- compute (v0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1075500,int_stack+1635327,int_stack+1344627,153);
 /*--- compute (v0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1814337,int_stack+1075500,int_stack+898785,153);
 /*--- compute (v0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+834066,int_stack+659187,int_stack+638379,153);
 /*--- compute (v0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+896490,int_stack+834066,int_stack+682596,153);
 /*--- compute (v0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1287558,int_stack+896490,int_stack+737676,153);
 /*--- compute (v0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+2049957,int_stack+1287558,int_stack+1496097,153);
 /*--- compute (v0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1287558,int_stack+2049957,int_stack+1635327,153);
 /*--- compute (v0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2049957,int_stack+1287558,int_stack+1075500,153);
 /*--- compute (v0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+11991828,int_stack+2049957,int_stack+1814337,153);
 /*--- compute (up|mk) ---*/
 hrr1_build_up(Libint->AB,int_stack+12294768,int_stack+11991828,int_stack+251328,1980);
 /*--- compute (td|mk) ---*/
 hrr1_build_td(Libint->AB,int_stack+13102608,int_stack+12294768,int_stack+8229828,1980);
 /*--- compute (rf|mk) ---*/
 hrr1_build_rf(Libint->AB,int_stack+0,int_stack+13102608,int_stack+2624976,1980);
 /*--- compute (qg|mk) ---*/
 hrr1_build_qg(Libint->AB,int_stack+11991828,int_stack+0,int_stack+3872376,1980);
 /*--- compute (oh|mk) ---*/
 hrr1_build_oh(Libint->AB,int_stack+0,int_stack+11991828,int_stack+16020864,1980);
 /*--- compute (ni|mk) ---*/
 hrr1_build_ni(Libint->AB,int_stack+11991828,int_stack+0,int_stack+18337464,1980);
 /*--- compute (mk|mk) ---*/
 hrr1_build_mk(Libint->AB,int_stack+0,int_stack+11991828,int_stack+8942628,1980);
 /*--- compute (ll|mk) ---*/
 hrr1_build_ll(Libint->AB,int_stack+3920400,int_stack+0,int_stack+21081744,1980);
 return int_stack+3920400;}
