#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mdmk(Libint_t*, prim_data*);

  /* Computes quartets of (md|mk) integrals */

REALTYPE *hrr_order_mdmk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][9] = int_stack + 0;
 Libint->vrr_classes[9][10] = int_stack + 3025;
 Libint->vrr_classes[9][11] = int_stack + 6655;
 Libint->vrr_classes[9][12] = int_stack + 10945;
 Libint->vrr_classes[9][13] = int_stack + 15950;
 Libint->vrr_classes[9][14] = int_stack + 21725;
 Libint->vrr_classes[9][15] = int_stack + 28325;
 Libint->vrr_classes[9][16] = int_stack + 35805;
 Libint->vrr_classes[10][9] = int_stack + 44220;
 Libint->vrr_classes[10][10] = int_stack + 47850;
 Libint->vrr_classes[10][11] = int_stack + 52206;
 Libint->vrr_classes[10][12] = int_stack + 57354;
 Libint->vrr_classes[10][13] = int_stack + 63360;
 Libint->vrr_classes[10][14] = int_stack + 70290;
 Libint->vrr_classes[10][15] = int_stack + 78210;
 Libint->vrr_classes[10][16] = int_stack + 87186;
 Libint->vrr_classes[11][9] = int_stack + 97284;
 Libint->vrr_classes[11][10] = int_stack + 101574;
 Libint->vrr_classes[11][11] = int_stack + 106722;
 Libint->vrr_classes[11][12] = int_stack + 112806;
 Libint->vrr_classes[11][13] = int_stack + 119904;
 Libint->vrr_classes[11][14] = int_stack + 128094;
 Libint->vrr_classes[11][15] = int_stack + 137454;
 Libint->vrr_classes[11][16] = int_stack + 148062;
 memset(int_stack,0,159996*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 159996;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mdmk(Libint, Data);
   Data++;
 }
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+159996,int_stack+3025,int_stack+0,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+169071,int_stack+6655,int_stack+3025,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+179961,int_stack+169071,int_stack+159996,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+198111,int_stack+10945,int_stack+6655,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+210981,int_stack+198111,int_stack+169071,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+232761,int_stack+210981,int_stack+179961,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+159996,int_stack+15950,int_stack+10945,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+263011,int_stack+159996,int_stack+198111,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+288751,int_stack+263011,int_stack+210981,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+175011,int_stack+288751,int_stack+232761,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+220386,int_stack+21725,int_stack+15950,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+325051,int_stack+220386,int_stack+159996,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+355081,int_stack+325051,int_stack+263011,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+397981,int_stack+355081,int_stack+288751,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+237711,int_stack+397981,int_stack+175011,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+159996,int_stack+28325,int_stack+21725,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+179796,int_stack+159996,int_stack+220386,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+452431,int_stack+179796,int_stack+325051,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+502481,int_stack+452431,int_stack+355081,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+301236,int_stack+502481,int_stack+397981,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+566831,int_stack+301236,int_stack+237711,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+214446,int_stack+35805,int_stack+28325,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+236886,int_stack+214446,int_stack+159996,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+377466,int_stack+236886,int_stack+179796,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+159996,int_stack+377466,int_stack+452431,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+377466,int_stack+159996,int_stack+502481,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+159996,int_stack+377466,int_stack+301236,55);
 /*--- compute (m0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+261636,int_stack+159996,int_stack+566831,55);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+159996,int_stack+47850,int_stack+44220,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+170886,int_stack+52206,int_stack+47850,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+183954,int_stack+170886,int_stack+159996,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+205734,int_stack+57354,int_stack+52206,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+221178,int_stack+205734,int_stack+170886,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+370536,int_stack+221178,int_stack+183954,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+159996,int_stack+63360,int_stack+57354,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+406836,int_stack+159996,int_stack+205734,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+437724,int_stack+406836,int_stack+221178,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+178014,int_stack+437724,int_stack+370536,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+370536,int_stack+70290,int_stack+63360,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+481284,int_stack+370536,int_stack+159996,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+517320,int_stack+481284,int_stack+406836,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+568800,int_stack+517320,int_stack+437724,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+391326,int_stack+568800,int_stack+178014,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+159996,int_stack+78210,int_stack+70290,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+183756,int_stack+159996,int_stack+370536,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+183756,int_stack+481284,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+634140,int_stack+0,int_stack+517320,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+467556,int_stack+634140,int_stack+568800,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+711360,int_stack+467556,int_stack+391326,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+370536,int_stack+87186,int_stack+78210,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+397464,int_stack+370536,int_stack+159996,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+559032,int_stack+397464,int_stack+183756,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+159996,int_stack+559032,int_stack+0,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+813000,int_stack+159996,int_stack+634140,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+559032,int_stack+813000,int_stack+467556,66);
 /*--- compute (n0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+370536,int_stack+559032,int_stack+711360,66);
 /*--- compute (mp|mk) ---*/
 hrr1_build_mp(Libint->AB,int_stack+501216,int_stack+370536,int_stack+261636,1980);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+159996,int_stack+101574,int_stack+97284,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+172866,int_stack+106722,int_stack+101574,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+188310,int_stack+172866,int_stack+159996,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+214050,int_stack+112806,int_stack+106722,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+232302,int_stack+214050,int_stack+172866,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+263190,int_stack+232302,int_stack+188310,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+159996,int_stack+119904,int_stack+112806,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+306090,int_stack+159996,int_stack+214050,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+306090,int_stack+232302,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+181290,int_stack+0,int_stack+263190,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+245640,int_stack+128094,int_stack+119904,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+51480,int_stack+245640,int_stack+159996,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+827916,int_stack+51480,int_stack+306090,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+270210,int_stack+827916,int_stack+0,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+888756,int_stack+270210,int_stack+181290,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+137454,int_stack+128094,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+159996,int_stack+0,int_stack+245640,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+978846,int_stack+159996,int_stack+51480,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+28080,int_stack+978846,int_stack+827916,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1049826,int_stack+28080,int_stack+270210,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+209136,int_stack+1049826,int_stack+888756,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+827916,int_stack+148062,int_stack+137454,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+859740,int_stack+827916,int_stack+0,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1157934,int_stack+859740,int_stack+159996,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+827916,int_stack+1157934,int_stack+978846,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1157934,int_stack+827916,int_stack+28080,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+827916,int_stack+1157934,int_stack+1049826,78);
 /*--- compute (o0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+972060,int_stack+827916,int_stack+209136,78);
 /*--- compute (np|mk) ---*/
 hrr1_build_np(Libint->AB,int_stack+1126500,int_stack+972060,int_stack+370536,1980);
 /*--- compute (md|mk) ---*/
 hrr1_build_md(Libint->AB,int_stack+1518540,int_stack+1126500,int_stack+501216,1980);
 return int_stack+1518540;}
