#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mgnh(Libint_t*, prim_data*);

  /* Computes quartets of (mg|nh) integrals */

REALTYPE *hrr_order_mgnh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][10] = int_stack + 0;
 Libint->vrr_classes[9][11] = int_stack + 3630;
 Libint->vrr_classes[9][12] = int_stack + 7920;
 Libint->vrr_classes[9][13] = int_stack + 12925;
 Libint->vrr_classes[9][14] = int_stack + 18700;
 Libint->vrr_classes[9][15] = int_stack + 25300;
 Libint->vrr_classes[10][10] = int_stack + 32780;
 Libint->vrr_classes[10][11] = int_stack + 37136;
 Libint->vrr_classes[10][12] = int_stack + 42284;
 Libint->vrr_classes[10][13] = int_stack + 48290;
 Libint->vrr_classes[10][14] = int_stack + 55220;
 Libint->vrr_classes[10][15] = int_stack + 63140;
 Libint->vrr_classes[11][10] = int_stack + 72116;
 Libint->vrr_classes[11][11] = int_stack + 77264;
 Libint->vrr_classes[11][12] = int_stack + 83348;
 Libint->vrr_classes[11][13] = int_stack + 90446;
 Libint->vrr_classes[11][14] = int_stack + 98636;
 Libint->vrr_classes[11][15] = int_stack + 107996;
 Libint->vrr_classes[12][10] = int_stack + 118604;
 Libint->vrr_classes[12][11] = int_stack + 124610;
 Libint->vrr_classes[12][12] = int_stack + 131708;
 Libint->vrr_classes[12][13] = int_stack + 139989;
 Libint->vrr_classes[12][14] = int_stack + 149544;
 Libint->vrr_classes[12][15] = int_stack + 160464;
 Libint->vrr_classes[13][10] = int_stack + 172840;
 Libint->vrr_classes[13][11] = int_stack + 179770;
 Libint->vrr_classes[13][12] = int_stack + 187960;
 Libint->vrr_classes[13][13] = int_stack + 197515;
 Libint->vrr_classes[13][14] = int_stack + 208540;
 Libint->vrr_classes[13][15] = int_stack + 221140;
 memset(int_stack,0,235420*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 235420;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mgnh(Libint, Data);
   Data++;
 }
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+235420,int_stack+3630,int_stack+0,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+246310,int_stack+7920,int_stack+3630,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+259180,int_stack+246310,int_stack+235420,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+280960,int_stack+12925,int_stack+7920,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+295975,int_stack+280960,int_stack+246310,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+321715,int_stack+295975,int_stack+259180,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+235420,int_stack+18700,int_stack+12925,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+358015,int_stack+235420,int_stack+280960,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+252745,int_stack+358015,int_stack+295975,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+388045,int_stack+252745,int_stack+321715,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+295645,int_stack+25300,int_stack+18700,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+315445,int_stack+295645,int_stack+235420,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+442495,int_stack+315445,int_stack+358015,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+295645,int_stack+442495,int_stack+252745,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+442495,int_stack+295645,int_stack+388045,55);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+235420,int_stack+37136,int_stack+32780,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+248488,int_stack+42284,int_stack+37136,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+263932,int_stack+248488,int_stack+235420,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+290068,int_stack+48290,int_stack+42284,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+308086,int_stack+290068,int_stack+248488,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+338974,int_stack+308086,int_stack+263932,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+235420,int_stack+55220,int_stack+48290,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+382534,int_stack+235420,int_stack+290068,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+256210,int_stack+382534,int_stack+308086,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+518725,int_stack+256210,int_stack+338974,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+307690,int_stack+63140,int_stack+55220,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+331450,int_stack+307690,int_stack+235420,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+331450,int_stack+382534,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+307690,int_stack+0,int_stack+256210,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+584065,int_stack+307690,int_stack+518725,66);
 /*--- compute (mp|nh) ---*/
 hrr1_build_mp(Libint->AB,int_stack+675541,int_stack+584065,int_stack+442495,1386);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+77264,int_stack+72116,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+15444,int_stack+83348,int_stack+77264,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+33696,int_stack+15444,int_stack+0,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+235420,int_stack+90446,int_stack+83348,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+256714,int_stack+235420,int_stack+15444,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+293218,int_stack+256714,int_stack+33696,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+98636,int_stack+90446,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+24570,int_stack+0,int_stack+235420,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+344698,int_stack+24570,int_stack+256714,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+405538,int_stack+344698,int_stack+293218,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+235420,int_stack+107996,int_stack+98636,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+263500,int_stack+235420,int_stack+0,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+482758,int_stack+263500,int_stack+24570,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+482758,int_stack+344698,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+235420,int_stack+0,int_stack+405538,78);
 /*--- compute (np|nh) ---*/
 hrr1_build_np(Libint->AB,int_stack+904231,int_stack+235420,int_stack+584065,1386);
 /*--- compute (md|nh) ---*/
 hrr1_build_md(Libint->AB,int_stack+1178659,int_stack+904231,int_stack+675541,1386);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+124610,int_stack+118604,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+18018,int_stack+131708,int_stack+124610,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+39312,int_stack+18018,int_stack+0,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+75348,int_stack+139989,int_stack+131708,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+343528,int_stack+75348,int_stack+18018,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+386116,int_stack+343528,int_stack+39312,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+149544,int_stack+139989,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+446176,int_stack+0,int_stack+75348,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+28665,int_stack+446176,int_stack+343528,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+495862,int_stack+28665,int_stack+386116,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+343528,int_stack+160464,int_stack+149544,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+376288,int_stack+343528,int_stack+0,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+585952,int_stack+376288,int_stack+446176,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+343528,int_stack+585952,int_stack+28665,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+585952,int_stack+343528,int_stack+495862,91);
 /*--- compute (op|nh) ---*/
 hrr1_build_op(Libint->AB,int_stack+1636039,int_stack+585952,int_stack+235420,1386);
 /*--- compute (nd|nh) ---*/
 hrr1_build_nd(Libint->AB,int_stack+1960363,int_stack+1636039,int_stack+904231,1386);
 /*--- compute (mf|nh) ---*/
 hrr1_build_mf(Libint->AB,int_stack+2509219,int_stack+1960363,int_stack+1178659,1386);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+235420,int_stack+179770,int_stack+172840,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+256210,int_stack+187960,int_stack+179770,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+280780,int_stack+256210,int_stack+235420,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+322360,int_stack+197515,int_stack+187960,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+351025,int_stack+322360,int_stack+256210,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+400165,int_stack+351025,int_stack+280780,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+235420,int_stack+208540,int_stack+197515,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+469465,int_stack+235420,int_stack+322360,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+268495,int_stack+469465,int_stack+351025,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+712078,int_stack+268495,int_stack+400165,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+350395,int_stack+221140,int_stack+208540,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+388195,int_stack+350395,int_stack+235420,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+816028,int_stack+388195,int_stack+469465,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+350395,int_stack+816028,int_stack+268495,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+816028,int_stack+350395,int_stack+712078,105);
 /*--- compute (qp|nh) ---*/
 hrr1_build_qp(Libint->AB,int_stack+961558,int_stack+816028,int_stack+585952,1386);
 /*--- compute (od|nh) ---*/
 hrr1_build_od(Libint->AB,int_stack+0,int_stack+961558,int_stack+1636039,1386);
 /*--- compute (nf|nh) ---*/
 hrr1_build_nf(Libint->AB,int_stack+648648,int_stack+0,int_stack+1960363,1386);
 /*--- compute (mg|nh) ---*/
 hrr1_build_mg(Libint->AB,int_stack+3271519,int_stack+648648,int_stack+2509219,1386);
 return int_stack+3271519;}
