#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_p0kd(Libint_t*, prim_data*);

  /* Computes quartets of (p0|kd) integrals */

REALTYPE *hrr_order_p0kd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[1][7] = int_stack + 0;
 Libint->vrr_classes[1][8] = int_stack + 108;
 Libint->vrr_classes[1][9] = int_stack + 243;
 memset(int_stack,0,408*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 408;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_p0kd(Libint, Data);
   Data++;
 }
 /*--- compute (p0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+408,int_stack+108,int_stack+0,3);
 /*--- compute (p0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+732,int_stack+243,int_stack+108,3);
 /*--- compute (p0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+1137,int_stack+732,int_stack+408,3);
 return int_stack+1137;}
