#include <stdio.h>
#include "libint.h"
#include "vrr_header.h"

  /* Computes quartets necessary to compute (dp|nk) integrals */

void vrr_order_dpnk(Libint_t * Libint, prim_data *Data)
{
 REALTYPE *vrr_stack = Libint->vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];
 _BUILD_00p0(Data,vrr_stack+0, Data->F+6, Data->F+7, NULL, NULL, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+5, Data->F+6, NULL, NULL, NULL);
 _BUILD_00p0(Data,vrr_stack+6, Data->F+7, Data->F+8, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+9, vrr_stack+0, vrr_stack+6, Data->F+6, Data->F+7, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+3, vrr_stack+0, Data->F+5, Data->F+6, NULL);
 _BUILD_00f0(Data,vrr_stack+21, vrr_stack+15, vrr_stack+9, vrr_stack+3, vrr_stack+0, NULL);
 _BUILD_00p0(Data,vrr_stack+31, Data->F+4, Data->F+5, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+34, vrr_stack+31, vrr_stack+3, Data->F+4, Data->F+5, NULL);
 _BUILD_00f0(Data,vrr_stack+40, vrr_stack+34, vrr_stack+15, vrr_stack+31, vrr_stack+3, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+8, Data->F+9, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+50, vrr_stack+6, vrr_stack+3, Data->F+7, Data->F+8, NULL);
 _BUILD_00f0(Data,vrr_stack+56, vrr_stack+9, vrr_stack+50, vrr_stack+0, vrr_stack+6, NULL);
 _BUILD_00g0(Data,vrr_stack+66, vrr_stack+21, vrr_stack+56, vrr_stack+15, vrr_stack+9, NULL);
 _BUILD_00g0(Data,vrr_stack+81, vrr_stack+40, vrr_stack+21, vrr_stack+34, vrr_stack+15, NULL);
 _BUILD_00h0(Data,vrr_stack+96, vrr_stack+81, vrr_stack+66, vrr_stack+40, vrr_stack+21, NULL);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+3, Data->F+4, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+0, vrr_stack+31, Data->F+3, Data->F+4, NULL);
 _BUILD_00f0(Data,vrr_stack+117, vrr_stack+15, vrr_stack+34, vrr_stack+0, vrr_stack+31, NULL);
 _BUILD_00g0(Data,vrr_stack+127, vrr_stack+117, vrr_stack+40, vrr_stack+15, vrr_stack+34, NULL);
 _BUILD_00h0(Data,vrr_stack+142, vrr_stack+127, vrr_stack+81, vrr_stack+117, vrr_stack+40, NULL);
 _BUILD_00p0(Data,vrr_stack+31, Data->F+9, Data->F+10, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+34, vrr_stack+3, vrr_stack+31, Data->F+8, Data->F+9, NULL);
 _BUILD_00f0(Data,vrr_stack+40, vrr_stack+50, vrr_stack+34, vrr_stack+6, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+163, vrr_stack+56, vrr_stack+40, vrr_stack+9, vrr_stack+50, NULL);
 _BUILD_00h0(Data,vrr_stack+178, vrr_stack+66, vrr_stack+163, vrr_stack+21, vrr_stack+56, NULL);
 _BUILD_00i0(Data,vrr_stack+199, vrr_stack+96, vrr_stack+178, vrr_stack+81, vrr_stack+66, NULL);
 _BUILD_00i0(Data,vrr_stack+227, vrr_stack+142, vrr_stack+96, vrr_stack+127, vrr_stack+81, NULL);
 _BUILD_00k0(Data,vrr_stack+255, vrr_stack+227, vrr_stack+199, vrr_stack+142, vrr_stack+96, NULL);
 _BUILD_00p0(Data,vrr_stack+81, Data->F+10, Data->F+11, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+84, vrr_stack+31, vrr_stack+81, Data->F+9, Data->F+10, NULL);
 _BUILD_00f0(Data,vrr_stack+21, vrr_stack+34, vrr_stack+84, vrr_stack+3, vrr_stack+31, NULL);
 _BUILD_00g0(Data,vrr_stack+291, vrr_stack+40, vrr_stack+21, vrr_stack+50, vrr_stack+34, NULL);
 _BUILD_00h0(Data,vrr_stack+306, vrr_stack+163, vrr_stack+291, vrr_stack+56, vrr_stack+40, NULL);
 _BUILD_00i0(Data,vrr_stack+327, vrr_stack+178, vrr_stack+306, vrr_stack+66, vrr_stack+163, NULL);
 _BUILD_00k0(Data,vrr_stack+355, vrr_stack+199, vrr_stack+327, vrr_stack+96, vrr_stack+178, NULL);
 _BUILD_00l0(Data,vrr_stack+391, vrr_stack+255, vrr_stack+355, vrr_stack+227, vrr_stack+199, NULL);
 _BUILD_00p0(Data,vrr_stack+50, Data->F+2, Data->F+3, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+53, vrr_stack+50, vrr_stack+0, Data->F+2, Data->F+3, NULL);
 _BUILD_00f0(Data,vrr_stack+59, vrr_stack+53, vrr_stack+15, vrr_stack+50, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+0, vrr_stack+59, vrr_stack+117, vrr_stack+53, vrr_stack+15, NULL);
 _BUILD_00h0(Data,vrr_stack+90, vrr_stack+0, vrr_stack+127, vrr_stack+59, vrr_stack+117, NULL);
 _BUILD_00i0(Data,vrr_stack+436, vrr_stack+90, vrr_stack+142, vrr_stack+0, vrr_stack+127, NULL);
 _BUILD_00k0(Data,vrr_stack+464, vrr_stack+436, vrr_stack+227, vrr_stack+90, vrr_stack+142, NULL);
 _BUILD_00l0(Data,vrr_stack+111, vrr_stack+464, vrr_stack+255, vrr_stack+436, vrr_stack+227, NULL);
 _BUILD_p0l0(Data,vrr_stack+500, vrr_stack+111, vrr_stack+391, NULL, NULL, vrr_stack+255);
 _BUILD_00m0(Data,vrr_stack+635, vrr_stack+111, vrr_stack+391, vrr_stack+464, vrr_stack+255, NULL);
 _BUILD_00p0(Data,vrr_stack+227, Data->F+1, Data->F+2, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+227, vrr_stack+50, Data->F+1, Data->F+2, NULL);
 _BUILD_00f0(Data,vrr_stack+230, vrr_stack+15, vrr_stack+53, vrr_stack+227, vrr_stack+50, NULL);
 _BUILD_00g0(Data,vrr_stack+240, vrr_stack+230, vrr_stack+59, vrr_stack+15, vrr_stack+53, NULL);
 _BUILD_00h0(Data,vrr_stack+690, vrr_stack+240, vrr_stack+0, vrr_stack+230, vrr_stack+59, NULL);
 _BUILD_00i0(Data,vrr_stack+50, vrr_stack+690, vrr_stack+90, vrr_stack+240, vrr_stack+0, NULL);
 _BUILD_00k0(Data,vrr_stack+711, vrr_stack+50, vrr_stack+436, vrr_stack+690, vrr_stack+90, NULL);
 _BUILD_00l0(Data,vrr_stack+747, vrr_stack+711, vrr_stack+464, vrr_stack+50, vrr_stack+436, NULL);
 _BUILD_00m0(Data,vrr_stack+792, vrr_stack+747, vrr_stack+111, vrr_stack+711, vrr_stack+464, NULL);
 _BUILD_00p0(Data,vrr_stack+78, Data->F+11, Data->F+12, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+436, vrr_stack+81, vrr_stack+78, Data->F+10, Data->F+11, NULL);
 _BUILD_00f0(Data,vrr_stack+442, vrr_stack+84, vrr_stack+436, vrr_stack+31, vrr_stack+81, NULL);
 _BUILD_00g0(Data,vrr_stack+0, vrr_stack+21, vrr_stack+442, vrr_stack+34, vrr_stack+84, NULL);
 _BUILD_00h0(Data,vrr_stack+90, vrr_stack+291, vrr_stack+0, vrr_stack+40, vrr_stack+21, NULL);
 _BUILD_00i0(Data,vrr_stack+452, vrr_stack+306, vrr_stack+90, vrr_stack+163, vrr_stack+291, NULL);
 _BUILD_00k0(Data,vrr_stack+847, vrr_stack+327, vrr_stack+452, vrr_stack+178, vrr_stack+306, NULL);
 _BUILD_00l0(Data,vrr_stack+883, vrr_stack+355, vrr_stack+847, vrr_stack+199, vrr_stack+327, NULL);
 _BUILD_00m0(Data,vrr_stack+156, vrr_stack+391, vrr_stack+883, vrr_stack+255, vrr_stack+355, NULL);
 _BUILD_p0m0(Data,vrr_stack+928, vrr_stack+635, vrr_stack+156, NULL, NULL, vrr_stack+391);
 _BUILD_p0m0(Data,vrr_stack+1093, vrr_stack+792, vrr_stack+635, NULL, NULL, vrr_stack+111);
 _BUILD_d0m0(Data,vrr_stack+1258, vrr_stack+1093, vrr_stack+928, vrr_stack+792, vrr_stack+635, vrr_stack+500);
 _BUILD_00n0(Data,vrr_stack+480, vrr_stack+635, vrr_stack+156, vrr_stack+111, vrr_stack+391, NULL);
 _BUILD_00n0(Data,vrr_stack+546, vrr_stack+792, vrr_stack+635, vrr_stack+747, vrr_stack+111, NULL);
 _BUILD_p0n0(Data,vrr_stack+1588, vrr_stack+546, vrr_stack+480, NULL, NULL, vrr_stack+635);
 _BUILD_00p0(Data,vrr_stack+111, Data->F+0, Data->F+1, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+114, vrr_stack+111, vrr_stack+227, Data->F+0, Data->F+1, NULL);
 _BUILD_00f0(Data,vrr_stack+120, vrr_stack+114, vrr_stack+15, vrr_stack+111, vrr_stack+227, NULL);
 _BUILD_00g0(Data,vrr_stack+130, vrr_stack+120, vrr_stack+230, vrr_stack+114, vrr_stack+15, NULL);
 _BUILD_00h0(Data,vrr_stack+255, vrr_stack+130, vrr_stack+240, vrr_stack+120, vrr_stack+230, NULL);
 _BUILD_00i0(Data,vrr_stack+211, vrr_stack+255, vrr_stack+690, vrr_stack+130, vrr_stack+240, NULL);
 _BUILD_00k0(Data,vrr_stack+111, vrr_stack+211, vrr_stack+50, vrr_stack+255, vrr_stack+690, NULL);
 _BUILD_00l0(Data,vrr_stack+239, vrr_stack+111, vrr_stack+711, vrr_stack+211, vrr_stack+50, NULL);
 _BUILD_00m0(Data,vrr_stack+1786, vrr_stack+239, vrr_stack+747, vrr_stack+111, vrr_stack+711, NULL);
 _BUILD_00n0(Data,vrr_stack+1841, vrr_stack+1786, vrr_stack+792, vrr_stack+239, vrr_stack+747, NULL);
 _BUILD_p0n0(Data,vrr_stack+1907, vrr_stack+1841, vrr_stack+546, NULL, NULL, vrr_stack+792);
 _BUILD_00p0(Data,vrr_stack+111, Data->F+12, Data->F+13, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+78, vrr_stack+111, Data->F+11, Data->F+12, NULL);
 _BUILD_00f0(Data,vrr_stack+114, vrr_stack+436, vrr_stack+15, vrr_stack+81, vrr_stack+78, NULL);
 _BUILD_00g0(Data,vrr_stack+124, vrr_stack+442, vrr_stack+114, vrr_stack+84, vrr_stack+436, NULL);
 _BUILD_00h0(Data,vrr_stack+211, vrr_stack+0, vrr_stack+124, vrr_stack+21, vrr_stack+442, NULL);
 _BUILD_00i0(Data,vrr_stack+21, vrr_stack+90, vrr_stack+211, vrr_stack+291, vrr_stack+0, NULL);
 _BUILD_00k0(Data,vrr_stack+232, vrr_stack+452, vrr_stack+21, vrr_stack+306, vrr_stack+90, NULL);
 _BUILD_00l0(Data,vrr_stack+268, vrr_stack+847, vrr_stack+232, vrr_stack+327, vrr_stack+452, NULL);
 _BUILD_00m0(Data,vrr_stack+690, vrr_stack+883, vrr_stack+268, vrr_stack+355, vrr_stack+847, NULL);
 _BUILD_00n0(Data,vrr_stack+313, vrr_stack+156, vrr_stack+690, vrr_stack+391, vrr_stack+883, NULL);
 _BUILD_p0n0(Data,vrr_stack+2105, vrr_stack+480, vrr_stack+313, NULL, NULL, vrr_stack+156);
 _BUILD_d0n0(Data,vrr_stack+2303, vrr_stack+1588, vrr_stack+2105, vrr_stack+546, vrr_stack+480, vrr_stack+928);
 _BUILD_d0n0(Data,vrr_stack+2699, vrr_stack+1907, vrr_stack+1588, vrr_stack+1841, vrr_stack+546, vrr_stack+1093);
   tmp = vrr_stack + 2699;
   target_ptr = Libint->vrr_classes[2][10];
   for(i=0;i<396;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00o0(Data,vrr_stack+928, vrr_stack+480, vrr_stack+313, vrr_stack+635, vrr_stack+156, NULL);
 _BUILD_00o0(Data,vrr_stack+1006, vrr_stack+546, vrr_stack+480, vrr_stack+792, vrr_stack+635, NULL);
 _BUILD_p0o0(Data,vrr_stack+3095, vrr_stack+1006, vrr_stack+928, NULL, NULL, vrr_stack+480);
 _BUILD_00o0(Data,vrr_stack+612, vrr_stack+1841, vrr_stack+546, vrr_stack+1786, vrr_stack+792, NULL);
 _BUILD_p0o0(Data,vrr_stack+3329, vrr_stack+612, vrr_stack+1006, NULL, NULL, vrr_stack+546);
 _BUILD_00p0(Data,vrr_stack+1786, Data->F+13, Data->F+14, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+1789, vrr_stack+111, vrr_stack+1786, Data->F+12, Data->F+13, NULL);
 _BUILD_00f0(Data,vrr_stack+1795, vrr_stack+15, vrr_stack+1789, vrr_stack+78, vrr_stack+111, NULL);
 _BUILD_00g0(Data,vrr_stack+1805, vrr_stack+114, vrr_stack+1795, vrr_stack+436, vrr_stack+15, NULL);
 _BUILD_00h0(Data,vrr_stack+1820, vrr_stack+124, vrr_stack+1805, vrr_stack+442, vrr_stack+114, NULL);
 _BUILD_00i0(Data,vrr_stack+1084, vrr_stack+211, vrr_stack+1820, vrr_stack+0, vrr_stack+124, NULL);
 _BUILD_00k0(Data,vrr_stack+1112, vrr_stack+21, vrr_stack+1084, vrr_stack+90, vrr_stack+211, NULL);
 _BUILD_00l0(Data,vrr_stack+1148, vrr_stack+232, vrr_stack+1112, vrr_stack+452, vrr_stack+21, NULL);
 _BUILD_00m0(Data,vrr_stack+1193, vrr_stack+268, vrr_stack+1148, vrr_stack+847, vrr_stack+232, NULL);
 _BUILD_00n0(Data,vrr_stack+379, vrr_stack+690, vrr_stack+1193, vrr_stack+883, vrr_stack+268, NULL);
 _BUILD_00o0(Data,vrr_stack+745, vrr_stack+313, vrr_stack+379, vrr_stack+156, vrr_stack+690, NULL);
 _BUILD_p0o0(Data,vrr_stack+3563, vrr_stack+928, vrr_stack+745, NULL, NULL, vrr_stack+313);
 _BUILD_d0o0(Data,vrr_stack+3797, vrr_stack+3095, vrr_stack+3563, vrr_stack+1006, vrr_stack+928, vrr_stack+2105);
 _BUILD_d0o0(Data,vrr_stack+4265, vrr_stack+3329, vrr_stack+3095, vrr_stack+612, vrr_stack+1006, vrr_stack+1588);
   tmp = vrr_stack + 4265;
   target_ptr = Libint->vrr_classes[2][11];
   for(i=0;i<468;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00q0(Data,vrr_stack+2105, vrr_stack+928, vrr_stack+745, vrr_stack+480, vrr_stack+313, NULL);
 _BUILD_00q0(Data,vrr_stack+2196, vrr_stack+1006, vrr_stack+928, vrr_stack+546, vrr_stack+480, NULL);
 _BUILD_p0q0(Data,vrr_stack+4733, vrr_stack+2196, vrr_stack+2105, NULL, NULL, vrr_stack+928);
 _BUILD_00q0(Data,vrr_stack+445, vrr_stack+612, vrr_stack+1006, vrr_stack+1841, vrr_stack+546, NULL);
 _BUILD_p0q0(Data,vrr_stack+5006, vrr_stack+445, vrr_stack+2196, NULL, NULL, vrr_stack+1006);
 _BUILD_00p0(Data,vrr_stack+1841, Data->F+14, Data->F+15, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+1844, vrr_stack+1786, vrr_stack+1841, Data->F+13, Data->F+14, NULL);
 _BUILD_00f0(Data,vrr_stack+1248, vrr_stack+1789, vrr_stack+1844, vrr_stack+111, vrr_stack+1786, NULL);
 _BUILD_00g0(Data,vrr_stack+0, vrr_stack+1795, vrr_stack+1248, vrr_stack+15, vrr_stack+1789, NULL);
 _BUILD_00h0(Data,vrr_stack+1850, vrr_stack+1805, vrr_stack+0, vrr_stack+114, vrr_stack+1795, NULL);
 _BUILD_00i0(Data,vrr_stack+1871, vrr_stack+1820, vrr_stack+1850, vrr_stack+124, vrr_stack+1805, NULL);
 _BUILD_00k0(Data,vrr_stack+49, vrr_stack+1084, vrr_stack+1871, vrr_stack+211, vrr_stack+1820, NULL);
 _BUILD_00l0(Data,vrr_stack+85, vrr_stack+1112, vrr_stack+49, vrr_stack+21, vrr_stack+1084, NULL);
 _BUILD_00m0(Data,vrr_stack+130, vrr_stack+1148, vrr_stack+85, vrr_stack+232, vrr_stack+1112, NULL);
 _BUILD_00n0(Data,vrr_stack+185, vrr_stack+1193, vrr_stack+130, vrr_stack+268, vrr_stack+1148, NULL);
 _BUILD_00o0(Data,vrr_stack+823, vrr_stack+379, vrr_stack+185, vrr_stack+690, vrr_stack+1193, NULL);
 _BUILD_00q0(Data,vrr_stack+5279, vrr_stack+745, vrr_stack+823, vrr_stack+313, vrr_stack+379, NULL);
 _BUILD_p0q0(Data,vrr_stack+5370, vrr_stack+2105, vrr_stack+5279, NULL, NULL, vrr_stack+745);
 _BUILD_d0q0(Data,vrr_stack+5643, vrr_stack+4733, vrr_stack+5370, vrr_stack+2196, vrr_stack+2105, vrr_stack+3563);
 _BUILD_d0q0(Data,vrr_stack+6189, vrr_stack+5006, vrr_stack+4733, vrr_stack+445, vrr_stack+2196, vrr_stack+3095);
   tmp = vrr_stack + 6189;
   target_ptr = Libint->vrr_classes[2][12];
   for(i=0;i<546;i++)
     target_ptr[i] += tmp[i];
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+3563, vrr_stack+2105, vrr_stack+5279, vrr_stack+928, vrr_stack+745, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+3668, vrr_stack+2196, vrr_stack+2105, vrr_stack+1006, vrr_stack+928, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+6735, vrr_stack+3668, vrr_stack+3563, NULL, NULL, vrr_stack+2105);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+901, vrr_stack+445, vrr_stack+2196, vrr_stack+612, vrr_stack+1006, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+7050, vrr_stack+901, vrr_stack+3668, NULL, NULL, vrr_stack+2196);
 _BUILD_00p0(Data,vrr_stack+1006, Data->F+15, Data->F+16, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+1009, vrr_stack+1841, vrr_stack+1006, Data->F+14, Data->F+15, NULL);
 _BUILD_00f0(Data,vrr_stack+1015, vrr_stack+1844, vrr_stack+1009, vrr_stack+1786, vrr_stack+1841, NULL);
 _BUILD_00g0(Data,vrr_stack+1025, vrr_stack+1248, vrr_stack+1015, vrr_stack+1789, vrr_stack+1844, NULL);
 _BUILD_00h0(Data,vrr_stack+1040, vrr_stack+0, vrr_stack+1025, vrr_stack+1795, vrr_stack+1248, NULL);
 _BUILD_00i0(Data,vrr_stack+15, vrr_stack+1850, vrr_stack+1040, vrr_stack+1805, vrr_stack+0, NULL);
 _BUILD_00k0(Data,vrr_stack+251, vrr_stack+1871, vrr_stack+15, vrr_stack+1820, vrr_stack+1850, NULL);
 _BUILD_00l0(Data,vrr_stack+1786, vrr_stack+49, vrr_stack+251, vrr_stack+1084, vrr_stack+1871, NULL);
 _BUILD_00m0(Data,vrr_stack+287, vrr_stack+85, vrr_stack+1786, vrr_stack+1112, vrr_stack+49, NULL);
 _BUILD_00n0(Data,vrr_stack+1061, vrr_stack+130, vrr_stack+287, vrr_stack+1148, vrr_stack+85, NULL);
 _BUILD_00o0(Data,vrr_stack+536, vrr_stack+185, vrr_stack+1061, vrr_stack+1193, vrr_stack+130, NULL);
 _BUILD_00q0(Data,vrr_stack+1127, vrr_stack+823, vrr_stack+536, vrr_stack+379, vrr_stack+185, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+614, vrr_stack+5279, vrr_stack+1127, vrr_stack+745, vrr_stack+823, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+7365, vrr_stack+3563, vrr_stack+614, NULL, NULL, vrr_stack+5279);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+7680, vrr_stack+6735, vrr_stack+7365, vrr_stack+3668, vrr_stack+3563, vrr_stack+5370);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+8310, vrr_stack+7050, vrr_stack+6735, vrr_stack+901, vrr_stack+3668, vrr_stack+4733);
   tmp = vrr_stack + 8310;
   target_ptr = Libint->vrr_classes[2][13];
   for(i=0;i<630;i++)
     target_ptr[i] += tmp[i];
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+5370, vrr_stack+3563, vrr_stack+614, vrr_stack+2105, vrr_stack+5279, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+5490, vrr_stack+3668, vrr_stack+3563, vrr_stack+2196, vrr_stack+2105, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+8940, vrr_stack+5490, vrr_stack+5370, NULL, NULL, vrr_stack+3563);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+9300, vrr_stack+901, vrr_stack+3668, vrr_stack+445, vrr_stack+2196, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+9420, vrr_stack+9300, vrr_stack+5490, NULL, NULL, vrr_stack+3668);
 _BUILD_00p0(Data,vrr_stack+2105, Data->F+16, Data->F+17, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+43, vrr_stack+1006, vrr_stack+2105, Data->F+15, Data->F+16, NULL);
 _BUILD_00f0(Data,vrr_stack+1831, vrr_stack+1009, vrr_stack+43, vrr_stack+1841, vrr_stack+1006, NULL);
 _BUILD_00g0(Data,vrr_stack+2108, vrr_stack+1015, vrr_stack+1831, vrr_stack+1844, vrr_stack+1009, NULL);
 _BUILD_00h0(Data,vrr_stack+2123, vrr_stack+1025, vrr_stack+2108, vrr_stack+1248, vrr_stack+1015, NULL);
 _BUILD_00i0(Data,vrr_stack+2144, vrr_stack+1040, vrr_stack+2123, vrr_stack+0, vrr_stack+1025, NULL);
 _BUILD_00k0(Data,vrr_stack+2172, vrr_stack+15, vrr_stack+2144, vrr_stack+1850, vrr_stack+1040, NULL);
 _BUILD_00l0(Data,vrr_stack+2208, vrr_stack+251, vrr_stack+2172, vrr_stack+1871, vrr_stack+15, NULL);
 _BUILD_00m0(Data,vrr_stack+1841, vrr_stack+1786, vrr_stack+2208, vrr_stack+49, vrr_stack+251, NULL);
 _BUILD_00n0(Data,vrr_stack+342, vrr_stack+287, vrr_stack+1841, vrr_stack+85, vrr_stack+1786, NULL);
 _BUILD_00o0(Data,vrr_stack+49, vrr_stack+1061, vrr_stack+342, vrr_stack+130, vrr_stack+287, NULL);
 _BUILD_00q0(Data,vrr_stack+408, vrr_stack+536, vrr_stack+49, vrr_stack+185, vrr_stack+1061, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+127, vrr_stack+1127, vrr_stack+408, vrr_stack+823, vrr_stack+536, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+719, vrr_stack+614, vrr_stack+127, vrr_stack+5279, vrr_stack+1127, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+9780, vrr_stack+5370, vrr_stack+719, NULL, NULL, vrr_stack+614);
 am[0] = 2;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+10140, vrr_stack+8940, vrr_stack+9780, vrr_stack+5490, vrr_stack+5370, vrr_stack+7365);
 am[0] = 2;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+10860, vrr_stack+9420, vrr_stack+8940, vrr_stack+9300, vrr_stack+5490, vrr_stack+6735);
   tmp = vrr_stack + 10860;
   target_ptr = Libint->vrr_classes[2][14];
   for(i=0;i<720;i++)
     target_ptr[i] += tmp[i];
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+7365, vrr_stack+5370, vrr_stack+719, vrr_stack+3563, vrr_stack+614, NULL);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+7501, vrr_stack+5490, vrr_stack+5370, vrr_stack+3668, vrr_stack+3563, NULL);
 am[0] = 1;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+11580, vrr_stack+7501, vrr_stack+7365, NULL, NULL, vrr_stack+5370);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+11988, vrr_stack+9300, vrr_stack+5490, vrr_stack+901, vrr_stack+3668, NULL);
 am[0] = 1;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+12124, vrr_stack+11988, vrr_stack+7501, NULL, NULL, vrr_stack+5490);
 _BUILD_00p0(Data,vrr_stack+3563, Data->F+17, Data->F+18, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+3566, vrr_stack+2105, vrr_stack+3563, Data->F+16, Data->F+17, NULL);
 _BUILD_00f0(Data,vrr_stack+3572, vrr_stack+43, vrr_stack+3566, vrr_stack+1006, vrr_stack+2105, NULL);
 _BUILD_00g0(Data,vrr_stack+0, vrr_stack+1831, vrr_stack+3572, vrr_stack+1009, vrr_stack+43, NULL);
 _BUILD_00h0(Data,vrr_stack+3582, vrr_stack+2108, vrr_stack+0, vrr_stack+1015, vrr_stack+1831, NULL);
 _BUILD_00i0(Data,vrr_stack+3603, vrr_stack+2123, vrr_stack+3582, vrr_stack+1025, vrr_stack+2108, NULL);
 _BUILD_00k0(Data,vrr_stack+3631, vrr_stack+2144, vrr_stack+3603, vrr_stack+1040, vrr_stack+2123, NULL);
 _BUILD_00l0(Data,vrr_stack+3667, vrr_stack+2172, vrr_stack+3631, vrr_stack+15, vrr_stack+2144, NULL);
 _BUILD_00m0(Data,vrr_stack+3712, vrr_stack+2208, vrr_stack+3667, vrr_stack+251, vrr_stack+2172, NULL);
 _BUILD_00n0(Data,vrr_stack+5279, vrr_stack+1841, vrr_stack+3712, vrr_stack+1786, vrr_stack+2208, NULL);
 _BUILD_00o0(Data,vrr_stack+839, vrr_stack+342, vrr_stack+5279, vrr_stack+287, vrr_stack+1841, NULL);
 _BUILD_00q0(Data,vrr_stack+232, vrr_stack+49, vrr_stack+839, vrr_stack+1061, vrr_stack+342, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+917, vrr_stack+408, vrr_stack+232, vrr_stack+536, vrr_stack+49, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+12532, vrr_stack+127, vrr_stack+917, vrr_stack+1127, vrr_stack+408, NULL);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+1022, vrr_stack+719, vrr_stack+12532, vrr_stack+614, vrr_stack+127, NULL);
 am[0] = 1;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+12652, vrr_stack+7365, vrr_stack+1022, NULL, NULL, vrr_stack+719);
 am[0] = 2;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+13060, vrr_stack+11580, vrr_stack+12652, vrr_stack+7501, vrr_stack+7365, vrr_stack+9780);
 am[0] = 2;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+13876, vrr_stack+12124, vrr_stack+11580, vrr_stack+11988, vrr_stack+7501, vrr_stack+8940);
   tmp = vrr_stack + 13876;
   target_ptr = Libint->vrr_classes[2][15];
   for(i=0;i<816;i++)
     target_ptr[i] += tmp[i];
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+9780, vrr_stack+7365, vrr_stack+1022, vrr_stack+5370, vrr_stack+719, NULL);
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+9933, vrr_stack+7501, vrr_stack+7365, vrr_stack+5490, vrr_stack+5370, NULL);
 am[0] = 1;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+14692, vrr_stack+9933, vrr_stack+9780, NULL, NULL, vrr_stack+7365);
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+499, vrr_stack+11988, vrr_stack+7501, vrr_stack+9300, vrr_stack+5490, NULL);
 am[0] = 1;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+15151, vrr_stack+499, vrr_stack+9933, NULL, NULL, vrr_stack+7501);
 _BUILD_00p0(Data,vrr_stack+9300, Data->F+18, Data->F+19, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+9303, vrr_stack+3563, vrr_stack+9300, Data->F+17, Data->F+18, NULL);
 _BUILD_00f0(Data,vrr_stack+9309, vrr_stack+3566, vrr_stack+9303, vrr_stack+2105, vrr_stack+3563, NULL);
 _BUILD_00g0(Data,vrr_stack+9319, vrr_stack+3572, vrr_stack+9309, vrr_stack+43, vrr_stack+3566, NULL);
 _BUILD_00h0(Data,vrr_stack+9334, vrr_stack+0, vrr_stack+9319, vrr_stack+1831, vrr_stack+3572, NULL);
 _BUILD_00i0(Data,vrr_stack+9355, vrr_stack+3582, vrr_stack+9334, vrr_stack+2108, vrr_stack+0, NULL);
 _BUILD_00k0(Data,vrr_stack+9383, vrr_stack+3603, vrr_stack+9355, vrr_stack+2123, vrr_stack+3582, NULL);
 _BUILD_00l0(Data,vrr_stack+10086, vrr_stack+3631, vrr_stack+9383, vrr_stack+2144, vrr_stack+3603, NULL);
 _BUILD_00m0(Data,vrr_stack+1786, vrr_stack+3667, vrr_stack+10086, vrr_stack+2172, vrr_stack+3631, NULL);
 _BUILD_00n0(Data,vrr_stack+2105, vrr_stack+3712, vrr_stack+1786, vrr_stack+2208, vrr_stack+3667, NULL);
 _BUILD_00o0(Data,vrr_stack+2171, vrr_stack+5279, vrr_stack+2105, vrr_stack+1841, vrr_stack+3712, NULL);
 _BUILD_00q0(Data,vrr_stack+5345, vrr_stack+839, vrr_stack+2171, vrr_stack+342, vrr_stack+5279, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+5436, vrr_stack+232, vrr_stack+5345, vrr_stack+49, vrr_stack+839, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+15610, vrr_stack+917, vrr_stack+5436, vrr_stack+408, vrr_stack+232, NULL);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+323, vrr_stack+12532, vrr_stack+15610, vrr_stack+127, vrr_stack+917, NULL);
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+15, vrr_stack+1022, vrr_stack+323, vrr_stack+719, vrr_stack+12532, NULL);
 am[0] = 1;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+15730, vrr_stack+9780, vrr_stack+15, NULL, NULL, vrr_stack+1022);
 am[0] = 2;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+16189, vrr_stack+14692, vrr_stack+15730, vrr_stack+9933, vrr_stack+9780, vrr_stack+12652);
 am[0] = 2;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+17107, vrr_stack+15151, vrr_stack+14692, vrr_stack+499, vrr_stack+9933, vrr_stack+11580);
   tmp = vrr_stack + 17107;
   target_ptr = Libint->vrr_classes[2][16];
   for(i=0;i<918;i++)
     target_ptr[i] += tmp[i];
 am[0] = 0;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+12652, vrr_stack+9780, vrr_stack+15, vrr_stack+7365, vrr_stack+1022, NULL);
 am[0] = 0;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+12823, vrr_stack+9933, vrr_stack+9780, vrr_stack+7501, vrr_stack+7365, NULL);
 am[0] = 1;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+18025, vrr_stack+12823, vrr_stack+12652, NULL, NULL, vrr_stack+9780);
 am[0] = 0;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+652, vrr_stack+499, vrr_stack+9933, vrr_stack+11988, vrr_stack+7501, NULL);
 am[0] = 1;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+18538, vrr_stack+652, vrr_stack+12823, NULL, NULL, vrr_stack+9933);
 _BUILD_00p0(Data,vrr_stack+11988, Data->F+19, Data->F+20, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+11991, vrr_stack+9300, vrr_stack+11988, Data->F+18, Data->F+19, NULL);
 _BUILD_00f0(Data,vrr_stack+11997, vrr_stack+9303, vrr_stack+11991, vrr_stack+3563, vrr_stack+9300, NULL);
 _BUILD_00g0(Data,vrr_stack+12007, vrr_stack+9309, vrr_stack+11997, vrr_stack+3566, vrr_stack+9303, NULL);
 _BUILD_00h0(Data,vrr_stack+12022, vrr_stack+9319, vrr_stack+12007, vrr_stack+3572, vrr_stack+9309, NULL);
 _BUILD_00i0(Data,vrr_stack+11988, vrr_stack+9334, vrr_stack+12022, vrr_stack+0, vrr_stack+9319, NULL);
 _BUILD_00k0(Data,vrr_stack+12016, vrr_stack+9355, vrr_stack+11988, vrr_stack+3582, vrr_stack+9334, NULL);
 _BUILD_00l0(Data,vrr_stack+9300, vrr_stack+9383, vrr_stack+12016, vrr_stack+3603, vrr_stack+9355, NULL);
 _BUILD_00m0(Data,vrr_stack+11988, vrr_stack+10086, vrr_stack+9300, vrr_stack+3631, vrr_stack+9383, NULL);
 _BUILD_00n0(Data,vrr_stack+12994, vrr_stack+1786, vrr_stack+11988, vrr_stack+3667, vrr_stack+10086, NULL);
 _BUILD_00o0(Data,vrr_stack+11988, vrr_stack+2105, vrr_stack+12994, vrr_stack+3712, vrr_stack+1786, NULL);
 _BUILD_00q0(Data,vrr_stack+1786, vrr_stack+2171, vrr_stack+11988, vrr_stack+5279, vrr_stack+2105, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+11988, vrr_stack+5345, vrr_stack+1786, vrr_stack+839, vrr_stack+2171, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+9300, vrr_stack+5436, vrr_stack+11988, vrr_stack+232, vrr_stack+5345, NULL);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+11988, vrr_stack+15610, vrr_stack+9300, vrr_stack+917, vrr_stack+5436, NULL);
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+2105, vrr_stack+323, vrr_stack+11988, vrr_stack+12532, vrr_stack+15610, NULL);
 am[0] = 0;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+5279, vrr_stack+15, vrr_stack+2105, vrr_stack+1022, vrr_stack+323, NULL);
 am[0] = 1;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+19051, vrr_stack+12652, vrr_stack+5279, NULL, NULL, vrr_stack+15);
 am[0] = 2;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+19564, vrr_stack+18025, vrr_stack+19051, vrr_stack+12823, vrr_stack+12652, vrr_stack+15730);
 am[0] = 2;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+20590, vrr_stack+18538, vrr_stack+18025, vrr_stack+652, vrr_stack+12823, vrr_stack+14692);
   tmp = vrr_stack + 20590;
   target_ptr = Libint->vrr_classes[2][17];
   for(i=0;i<1026;i++)
     target_ptr[i] += tmp[i];
 _BUILD_f0n0(Data,vrr_stack+0, vrr_stack+2699, vrr_stack+2303, vrr_stack+1907, vrr_stack+1588, vrr_stack+1258);
   tmp = vrr_stack + 0;
   target_ptr = Libint->vrr_classes[3][10];
   for(i=0;i<660;i++)
     target_ptr[i] += tmp[i];
 _BUILD_f0o0(Data,vrr_stack+660, vrr_stack+4265, vrr_stack+3797, vrr_stack+3329, vrr_stack+3095, vrr_stack+2303);
   tmp = vrr_stack + 660;
   target_ptr = Libint->vrr_classes[3][11];
   for(i=0;i<780;i++)
     target_ptr[i] += tmp[i];
 _BUILD_f0q0(Data,vrr_stack+1440, vrr_stack+6189, vrr_stack+5643, vrr_stack+5006, vrr_stack+4733, vrr_stack+3797);
   tmp = vrr_stack + 1440;
   target_ptr = Libint->vrr_classes[3][12];
   for(i=0;i<910;i++)
     target_ptr[i] += tmp[i];
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+2350, vrr_stack+8310, vrr_stack+7680, vrr_stack+7050, vrr_stack+6735, vrr_stack+5643);
   tmp = vrr_stack + 2350;
   target_ptr = Libint->vrr_classes[3][13];
   for(i=0;i<1050;i++)
     target_ptr[i] += tmp[i];
 am[0] = 3;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+3400, vrr_stack+10860, vrr_stack+10140, vrr_stack+9420, vrr_stack+8940, vrr_stack+7680);
   tmp = vrr_stack + 3400;
   target_ptr = Libint->vrr_classes[3][14];
   for(i=0;i<1200;i++)
     target_ptr[i] += tmp[i];
 am[0] = 3;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+4600, vrr_stack+13876, vrr_stack+13060, vrr_stack+12124, vrr_stack+11580, vrr_stack+10140);
   tmp = vrr_stack + 4600;
   target_ptr = Libint->vrr_classes[3][15];
   for(i=0;i<1360;i++)
     target_ptr[i] += tmp[i];
 am[0] = 3;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+5960, vrr_stack+17107, vrr_stack+16189, vrr_stack+15151, vrr_stack+14692, vrr_stack+13060);
   tmp = vrr_stack + 5960;
   target_ptr = Libint->vrr_classes[3][16];
   for(i=0;i<1530;i++)
     target_ptr[i] += tmp[i];
 am[0] = 3;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+7490, vrr_stack+20590, vrr_stack+19564, vrr_stack+18538, vrr_stack+18025, vrr_stack+16189);
   tmp = vrr_stack + 7490;
   target_ptr = Libint->vrr_classes[3][17];
   for(i=0;i<1710;i++)
     target_ptr[i] += tmp[i];

}

