#include <stdio.h>
#include "libint.h"
#include "vrr_header.h"

  /* Computes quartets necessary to compute (fp|ki) integrals */

void vrr_order_fpki(Libint_t * Libint, prim_data *Data)
{
 REALTYPE *vrr_stack = Libint->vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];
 _BUILD_00p0(Data,vrr_stack+0, Data->F+5, Data->F+6, NULL, NULL, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+4, Data->F+5, NULL, NULL, NULL);
 _BUILD_00p0(Data,vrr_stack+6, Data->F+6, Data->F+7, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+9, vrr_stack+0, vrr_stack+6, Data->F+5, Data->F+6, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+3, vrr_stack+0, Data->F+4, Data->F+5, NULL);
 _BUILD_00f0(Data,vrr_stack+21, vrr_stack+15, vrr_stack+9, vrr_stack+3, vrr_stack+0, NULL);
 _BUILD_00p0(Data,vrr_stack+31, Data->F+7, Data->F+8, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+34, vrr_stack+6, vrr_stack+31, Data->F+6, Data->F+7, NULL);
 _BUILD_00f0(Data,vrr_stack+40, vrr_stack+9, vrr_stack+34, vrr_stack+0, vrr_stack+6, NULL);
 _BUILD_00g0(Data,vrr_stack+50, vrr_stack+21, vrr_stack+40, vrr_stack+15, vrr_stack+9, NULL);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+3, Data->F+4, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+65, vrr_stack+0, vrr_stack+3, Data->F+3, Data->F+4, NULL);
 _BUILD_00f0(Data,vrr_stack+71, vrr_stack+65, vrr_stack+15, vrr_stack+0, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+81, vrr_stack+71, vrr_stack+21, vrr_stack+65, vrr_stack+15, NULL);
 _BUILD_p0g0(Data,vrr_stack+96, vrr_stack+81, vrr_stack+50, NULL, NULL, vrr_stack+21);
 _BUILD_00h0(Data,vrr_stack+141, vrr_stack+81, vrr_stack+50, vrr_stack+71, vrr_stack+21, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+2, Data->F+3, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+3, vrr_stack+0, Data->F+2, Data->F+3, NULL);
 _BUILD_00f0(Data,vrr_stack+162, vrr_stack+15, vrr_stack+65, vrr_stack+3, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+172, vrr_stack+162, vrr_stack+71, vrr_stack+15, vrr_stack+65, NULL);
 _BUILD_00h0(Data,vrr_stack+187, vrr_stack+172, vrr_stack+81, vrr_stack+162, vrr_stack+71, NULL);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+8, Data->F+9, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+65, vrr_stack+31, vrr_stack+0, Data->F+7, Data->F+8, NULL);
 _BUILD_00f0(Data,vrr_stack+71, vrr_stack+34, vrr_stack+65, vrr_stack+6, vrr_stack+31, NULL);
 _BUILD_00g0(Data,vrr_stack+208, vrr_stack+40, vrr_stack+71, vrr_stack+9, vrr_stack+34, NULL);
 _BUILD_00h0(Data,vrr_stack+223, vrr_stack+50, vrr_stack+208, vrr_stack+21, vrr_stack+40, NULL);
 _BUILD_p0h0(Data,vrr_stack+244, vrr_stack+141, vrr_stack+223, NULL, NULL, vrr_stack+50);
 _BUILD_p0h0(Data,vrr_stack+307, vrr_stack+187, vrr_stack+141, NULL, NULL, vrr_stack+81);
 _BUILD_d0h0(Data,vrr_stack+370, vrr_stack+307, vrr_stack+244, vrr_stack+187, vrr_stack+141, vrr_stack+96);
 _BUILD_00i0(Data,vrr_stack+96, vrr_stack+141, vrr_stack+223, vrr_stack+81, vrr_stack+50, NULL);
 _BUILD_00i0(Data,vrr_stack+496, vrr_stack+187, vrr_stack+141, vrr_stack+172, vrr_stack+81, NULL);
 _BUILD_p0i0(Data,vrr_stack+524, vrr_stack+496, vrr_stack+96, NULL, NULL, vrr_stack+141);
 _BUILD_00p0(Data,vrr_stack+81, Data->F+1, Data->F+2, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+84, vrr_stack+81, vrr_stack+3, Data->F+1, Data->F+2, NULL);
 _BUILD_00f0(Data,vrr_stack+21, vrr_stack+84, vrr_stack+15, vrr_stack+81, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+124, vrr_stack+21, vrr_stack+162, vrr_stack+84, vrr_stack+15, NULL);
 _BUILD_00h0(Data,vrr_stack+608, vrr_stack+124, vrr_stack+172, vrr_stack+21, vrr_stack+162, NULL);
 _BUILD_00i0(Data,vrr_stack+629, vrr_stack+608, vrr_stack+187, vrr_stack+124, vrr_stack+172, NULL);
 _BUILD_p0i0(Data,vrr_stack+657, vrr_stack+629, vrr_stack+496, NULL, NULL, vrr_stack+187);
 _BUILD_00p0(Data,vrr_stack+162, Data->F+9, Data->F+10, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+90, vrr_stack+0, vrr_stack+162, Data->F+8, Data->F+9, NULL);
 _BUILD_00f0(Data,vrr_stack+165, vrr_stack+65, vrr_stack+90, vrr_stack+31, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+3, vrr_stack+71, vrr_stack+165, vrr_stack+34, vrr_stack+65, NULL);
 _BUILD_00h0(Data,vrr_stack+741, vrr_stack+208, vrr_stack+3, vrr_stack+40, vrr_stack+71, NULL);
 _BUILD_00i0(Data,vrr_stack+762, vrr_stack+223, vrr_stack+741, vrr_stack+50, vrr_stack+208, NULL);
 _BUILD_p0i0(Data,vrr_stack+790, vrr_stack+96, vrr_stack+762, NULL, NULL, vrr_stack+223);
 _BUILD_d0i0(Data,vrr_stack+874, vrr_stack+524, vrr_stack+790, vrr_stack+496, vrr_stack+96, vrr_stack+244);
 _BUILD_d0i0(Data,vrr_stack+1042, vrr_stack+657, vrr_stack+524, vrr_stack+629, vrr_stack+496, vrr_stack+307);
 _BUILD_f0i0(Data,vrr_stack+1210, vrr_stack+1042, vrr_stack+874, vrr_stack+657, vrr_stack+524, vrr_stack+370);
 _BUILD_00k0(Data,vrr_stack+244, vrr_stack+496, vrr_stack+96, vrr_stack+187, vrr_stack+141, NULL);
 _BUILD_00k0(Data,vrr_stack+280, vrr_stack+629, vrr_stack+496, vrr_stack+608, vrr_stack+187, NULL);
 _BUILD_00k0(Data,vrr_stack+316, vrr_stack+96, vrr_stack+762, vrr_stack+141, vrr_stack+223, NULL);
 _BUILD_p0k0(Data,vrr_stack+352, vrr_stack+244, vrr_stack+316, NULL, NULL, vrr_stack+96);
 _BUILD_p0k0(Data,vrr_stack+1490, vrr_stack+280, vrr_stack+244, NULL, NULL, vrr_stack+496);
 _BUILD_d0k0(Data,vrr_stack+1598, vrr_stack+1490, vrr_stack+352, vrr_stack+280, vrr_stack+244, vrr_stack+524);
 _BUILD_00p0(Data,vrr_stack+18, Data->F+0, Data->F+1, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+524, vrr_stack+18, vrr_stack+81, Data->F+0, Data->F+1, NULL);
 _BUILD_00f0(Data,vrr_stack+530, vrr_stack+524, vrr_stack+84, vrr_stack+18, vrr_stack+81, NULL);
 _BUILD_00g0(Data,vrr_stack+540, vrr_stack+530, vrr_stack+21, vrr_stack+524, vrr_stack+84, NULL);
 _BUILD_00h0(Data,vrr_stack+555, vrr_stack+540, vrr_stack+124, vrr_stack+530, vrr_stack+21, NULL);
 _BUILD_00i0(Data,vrr_stack+18, vrr_stack+555, vrr_stack+608, vrr_stack+540, vrr_stack+124, NULL);
 _BUILD_00k0(Data,vrr_stack+460, vrr_stack+18, vrr_stack+629, vrr_stack+555, vrr_stack+608, NULL);
 _BUILD_p0k0(Data,vrr_stack+1814, vrr_stack+460, vrr_stack+280, NULL, NULL, vrr_stack+629);
 _BUILD_d0k0(Data,vrr_stack+1922, vrr_stack+1814, vrr_stack+1490, vrr_stack+460, vrr_stack+280, vrr_stack+657);
 _BUILD_00p0(Data,vrr_stack+657, Data->F+10, Data->F+11, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+660, vrr_stack+162, vrr_stack+657, Data->F+9, Data->F+10, NULL);
 _BUILD_00f0(Data,vrr_stack+666, vrr_stack+90, vrr_stack+660, vrr_stack+0, vrr_stack+162, NULL);
 _BUILD_00g0(Data,vrr_stack+676, vrr_stack+165, vrr_stack+666, vrr_stack+65, vrr_stack+90, NULL);
 _BUILD_00h0(Data,vrr_stack+691, vrr_stack+3, vrr_stack+676, vrr_stack+71, vrr_stack+165, NULL);
 _BUILD_00i0(Data,vrr_stack+712, vrr_stack+741, vrr_stack+691, vrr_stack+208, vrr_stack+3, NULL);
 _BUILD_00k0(Data,vrr_stack+124, vrr_stack+762, vrr_stack+712, vrr_stack+223, vrr_stack+741, NULL);
 _BUILD_p0k0(Data,vrr_stack+2138, vrr_stack+316, vrr_stack+124, NULL, NULL, vrr_stack+762);
 _BUILD_d0k0(Data,vrr_stack+2246, vrr_stack+352, vrr_stack+2138, vrr_stack+244, vrr_stack+316, vrr_stack+790);
 _BUILD_f0k0(Data,vrr_stack+2462, vrr_stack+1598, vrr_stack+2246, vrr_stack+1490, vrr_stack+352, vrr_stack+874);
 _BUILD_f0k0(Data,vrr_stack+2822, vrr_stack+1922, vrr_stack+1598, vrr_stack+1814, vrr_stack+1490, vrr_stack+1042);
   tmp = vrr_stack + 2822;
   target_ptr = Libint->vrr_classes[3][7];
   for(i=0;i<360;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00l0(Data,vrr_stack+1814, vrr_stack+244, vrr_stack+316, vrr_stack+496, vrr_stack+96, NULL);
 _BUILD_00l0(Data,vrr_stack+1859, vrr_stack+280, vrr_stack+244, vrr_stack+629, vrr_stack+496, NULL);
 _BUILD_00l0(Data,vrr_stack+496, vrr_stack+316, vrr_stack+124, vrr_stack+96, vrr_stack+762, NULL);
 _BUILD_p0l0(Data,vrr_stack+790, vrr_stack+1814, vrr_stack+496, NULL, NULL, vrr_stack+316);
 _BUILD_p0l0(Data,vrr_stack+925, vrr_stack+1859, vrr_stack+1814, NULL, NULL, vrr_stack+244);
 _BUILD_d0l0(Data,vrr_stack+3182, vrr_stack+925, vrr_stack+790, vrr_stack+1859, vrr_stack+1814, vrr_stack+352);
 _BUILD_00l0(Data,vrr_stack+352, vrr_stack+460, vrr_stack+280, vrr_stack+18, vrr_stack+629, NULL);
 _BUILD_p0l0(Data,vrr_stack+1060, vrr_stack+352, vrr_stack+1859, NULL, NULL, vrr_stack+280);
 _BUILD_d0l0(Data,vrr_stack+3452, vrr_stack+1060, vrr_stack+925, vrr_stack+352, vrr_stack+1859, vrr_stack+1490);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+11, Data->F+12, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+1490, vrr_stack+657, vrr_stack+0, Data->F+10, Data->F+11, NULL);
 _BUILD_00f0(Data,vrr_stack+1496, vrr_stack+660, vrr_stack+1490, vrr_stack+162, vrr_stack+657, NULL);
 _BUILD_00g0(Data,vrr_stack+1195, vrr_stack+666, vrr_stack+1496, vrr_stack+90, vrr_stack+660, NULL);
 _BUILD_00h0(Data,vrr_stack+1506, vrr_stack+676, vrr_stack+1195, vrr_stack+165, vrr_stack+666, NULL);
 _BUILD_00i0(Data,vrr_stack+1527, vrr_stack+691, vrr_stack+1506, vrr_stack+3, vrr_stack+676, NULL);
 _BUILD_00k0(Data,vrr_stack+3, vrr_stack+712, vrr_stack+1527, vrr_stack+741, vrr_stack+691, NULL);
 _BUILD_00l0(Data,vrr_stack+39, vrr_stack+124, vrr_stack+3, vrr_stack+762, vrr_stack+712, NULL);
 _BUILD_p0l0(Data,vrr_stack+3722, vrr_stack+496, vrr_stack+39, NULL, NULL, vrr_stack+124);
 _BUILD_d0l0(Data,vrr_stack+3857, vrr_stack+790, vrr_stack+3722, vrr_stack+1814, vrr_stack+496, vrr_stack+2138);
 _BUILD_f0l0(Data,vrr_stack+4127, vrr_stack+3182, vrr_stack+3857, vrr_stack+925, vrr_stack+790, vrr_stack+2246);
 _BUILD_f0l0(Data,vrr_stack+4577, vrr_stack+3452, vrr_stack+3182, vrr_stack+1060, vrr_stack+925, vrr_stack+1598);
   tmp = vrr_stack + 4577;
   target_ptr = Libint->vrr_classes[3][8];
   for(i=0;i<450;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00m0(Data,vrr_stack+1060, vrr_stack+1814, vrr_stack+496, vrr_stack+244, vrr_stack+316, NULL);
 _BUILD_00m0(Data,vrr_stack+1115, vrr_stack+1859, vrr_stack+1814, vrr_stack+280, vrr_stack+244, NULL);
 _BUILD_00m0(Data,vrr_stack+2138, vrr_stack+496, vrr_stack+39, vrr_stack+316, vrr_stack+124, NULL);
 _BUILD_p0m0(Data,vrr_stack+2193, vrr_stack+1060, vrr_stack+2138, NULL, NULL, vrr_stack+496);
 _BUILD_p0m0(Data,vrr_stack+5027, vrr_stack+1115, vrr_stack+1060, NULL, NULL, vrr_stack+1814);
 _BUILD_d0m0(Data,vrr_stack+5192, vrr_stack+5027, vrr_stack+2193, vrr_stack+1115, vrr_stack+1060, vrr_stack+790);
 _BUILD_00m0(Data,vrr_stack+2358, vrr_stack+352, vrr_stack+1859, vrr_stack+460, vrr_stack+280, NULL);
 _BUILD_p0m0(Data,vrr_stack+740, vrr_stack+2358, vrr_stack+1115, NULL, NULL, vrr_stack+1859);
 _BUILD_d0m0(Data,vrr_stack+5522, vrr_stack+740, vrr_stack+5027, vrr_stack+2358, vrr_stack+1115, vrr_stack+925);
 _BUILD_00p0(Data,vrr_stack+1170, Data->F+12, Data->F+13, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+1173, vrr_stack+0, vrr_stack+1170, Data->F+11, Data->F+12, NULL);
 _BUILD_00f0(Data,vrr_stack+1179, vrr_stack+1490, vrr_stack+1173, vrr_stack+657, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+2413, vrr_stack+1496, vrr_stack+1179, vrr_stack+660, vrr_stack+1490, NULL);
 _BUILD_00h0(Data,vrr_stack+2428, vrr_stack+1195, vrr_stack+2413, vrr_stack+666, vrr_stack+1496, NULL);
 _BUILD_00i0(Data,vrr_stack+84, vrr_stack+1506, vrr_stack+2428, vrr_stack+676, vrr_stack+1195, NULL);
 _BUILD_00k0(Data,vrr_stack+1555, vrr_stack+1527, vrr_stack+84, vrr_stack+691, vrr_stack+1506, NULL);
 _BUILD_00l0(Data,vrr_stack+397, vrr_stack+3, vrr_stack+1555, vrr_stack+712, vrr_stack+1527, NULL);
 _BUILD_00m0(Data,vrr_stack+541, vrr_stack+39, vrr_stack+397, vrr_stack+124, vrr_stack+3, NULL);
 _BUILD_p0m0(Data,vrr_stack+112, vrr_stack+2138, vrr_stack+541, NULL, NULL, vrr_stack+39);
 _BUILD_d0m0(Data,vrr_stack+5852, vrr_stack+2193, vrr_stack+112, vrr_stack+1060, vrr_stack+2138, vrr_stack+3722);
 _BUILD_f0m0(Data,vrr_stack+6182, vrr_stack+5192, vrr_stack+5852, vrr_stack+5027, vrr_stack+2193, vrr_stack+3857);
 _BUILD_f0m0(Data,vrr_stack+6732, vrr_stack+5522, vrr_stack+5192, vrr_stack+740, vrr_stack+5027, vrr_stack+3182);
   tmp = vrr_stack + 6732;
   target_ptr = Libint->vrr_classes[3][9];
   for(i=0;i<550;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00n0(Data,vrr_stack+3722, vrr_stack+1060, vrr_stack+2138, vrr_stack+1814, vrr_stack+496, NULL);
 _BUILD_00n0(Data,vrr_stack+3788, vrr_stack+1115, vrr_stack+1060, vrr_stack+1859, vrr_stack+1814, NULL);
 _BUILD_00n0(Data,vrr_stack+3854, vrr_stack+2138, vrr_stack+541, vrr_stack+496, vrr_stack+39, NULL);
 _BUILD_p0n0(Data,vrr_stack+3920, vrr_stack+3722, vrr_stack+3854, NULL, NULL, vrr_stack+2138);
 _BUILD_p0n0(Data,vrr_stack+596, vrr_stack+3788, vrr_stack+3722, NULL, NULL, vrr_stack+1060);
 _BUILD_d0n0(Data,vrr_stack+7282, vrr_stack+596, vrr_stack+3920, vrr_stack+3788, vrr_stack+3722, vrr_stack+2193);
 _BUILD_00n0(Data,vrr_stack+2193, vrr_stack+2358, vrr_stack+1115, vrr_stack+352, vrr_stack+1859, NULL);
 _BUILD_p0n0(Data,vrr_stack+794, vrr_stack+2193, vrr_stack+3788, NULL, NULL, vrr_stack+1115);
 _BUILD_d0n0(Data,vrr_stack+7678, vrr_stack+794, vrr_stack+596, vrr_stack+2193, vrr_stack+3788, vrr_stack+5027);
 _BUILD_00p0(Data,vrr_stack+5027, Data->F+13, Data->F+14, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+1189, vrr_stack+1170, vrr_stack+5027, Data->F+12, Data->F+13, NULL);
 _BUILD_00f0(Data,vrr_stack+5030, vrr_stack+1173, vrr_stack+1189, vrr_stack+0, vrr_stack+1170, NULL);
 _BUILD_00g0(Data,vrr_stack+5040, vrr_stack+1179, vrr_stack+5030, vrr_stack+1490, vrr_stack+1173, NULL);
 _BUILD_00h0(Data,vrr_stack+5055, vrr_stack+2413, vrr_stack+5040, vrr_stack+1496, vrr_stack+1179, NULL);
 _BUILD_00i0(Data,vrr_stack+5076, vrr_stack+2428, vrr_stack+5055, vrr_stack+1195, vrr_stack+2413, NULL);
 _BUILD_00k0(Data,vrr_stack+5104, vrr_stack+84, vrr_stack+5076, vrr_stack+1506, vrr_stack+2428, NULL);
 _BUILD_00l0(Data,vrr_stack+5140, vrr_stack+1555, vrr_stack+5104, vrr_stack+1527, vrr_stack+84, NULL);
 _BUILD_00m0(Data,vrr_stack+1490, vrr_stack+397, vrr_stack+5140, vrr_stack+3, vrr_stack+1555, NULL);
 _BUILD_00n0(Data,vrr_stack+2259, vrr_stack+541, vrr_stack+1490, vrr_stack+39, vrr_stack+397, NULL);
 _BUILD_p0n0(Data,vrr_stack+8074, vrr_stack+3854, vrr_stack+2259, NULL, NULL, vrr_stack+541);
 _BUILD_d0n0(Data,vrr_stack+8272, vrr_stack+3920, vrr_stack+8074, vrr_stack+3722, vrr_stack+3854, vrr_stack+112);
 _BUILD_f0n0(Data,vrr_stack+8668, vrr_stack+7282, vrr_stack+8272, vrr_stack+596, vrr_stack+3920, vrr_stack+5852);
 _BUILD_f0n0(Data,vrr_stack+9328, vrr_stack+7678, vrr_stack+7282, vrr_stack+794, vrr_stack+596, vrr_stack+5192);
   tmp = vrr_stack + 9328;
   target_ptr = Libint->vrr_classes[3][10];
   for(i=0;i<660;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00o0(Data,vrr_stack+794, vrr_stack+3722, vrr_stack+3854, vrr_stack+1060, vrr_stack+2138, NULL);
 _BUILD_00o0(Data,vrr_stack+872, vrr_stack+3788, vrr_stack+3722, vrr_stack+1115, vrr_stack+1060, NULL);
 _BUILD_00o0(Data,vrr_stack+950, vrr_stack+3854, vrr_stack+2259, vrr_stack+2138, vrr_stack+541, NULL);
 _BUILD_p0o0(Data,vrr_stack+5852, vrr_stack+794, vrr_stack+950, NULL, NULL, vrr_stack+3854);
 _BUILD_p0o0(Data,vrr_stack+112, vrr_stack+872, vrr_stack+794, NULL, NULL, vrr_stack+3722);
 _BUILD_d0o0(Data,vrr_stack+9988, vrr_stack+112, vrr_stack+5852, vrr_stack+872, vrr_stack+794, vrr_stack+3920);
 _BUILD_00o0(Data,vrr_stack+3920, vrr_stack+2193, vrr_stack+3788, vrr_stack+2358, vrr_stack+1115, NULL);
 _BUILD_p0o0(Data,vrr_stack+10456, vrr_stack+3920, vrr_stack+872, NULL, NULL, vrr_stack+3788);
 _BUILD_d0o0(Data,vrr_stack+10690, vrr_stack+10456, vrr_stack+112, vrr_stack+3920, vrr_stack+872, vrr_stack+596);
 _BUILD_00p0(Data,vrr_stack+596, Data->F+14, Data->F+15, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+599, vrr_stack+5027, vrr_stack+596, Data->F+13, Data->F+14, NULL);
 _BUILD_00f0(Data,vrr_stack+1545, vrr_stack+1189, vrr_stack+599, vrr_stack+1170, vrr_stack+5027, NULL);
 _BUILD_00g0(Data,vrr_stack+1195, vrr_stack+5030, vrr_stack+1545, vrr_stack+1173, vrr_stack+1189, NULL);
 _BUILD_00h0(Data,vrr_stack+605, vrr_stack+5040, vrr_stack+1195, vrr_stack+1179, vrr_stack+5030, NULL);
 _BUILD_00i0(Data,vrr_stack+626, vrr_stack+5055, vrr_stack+605, vrr_stack+2413, vrr_stack+5040, NULL);
 _BUILD_00k0(Data,vrr_stack+654, vrr_stack+5076, vrr_stack+626, vrr_stack+2428, vrr_stack+5055, NULL);
 _BUILD_00l0(Data,vrr_stack+690, vrr_stack+5104, vrr_stack+654, vrr_stack+84, vrr_stack+5076, NULL);
 _BUILD_00m0(Data,vrr_stack+2138, vrr_stack+5140, vrr_stack+690, vrr_stack+1555, vrr_stack+5104, NULL);
 _BUILD_00n0(Data,vrr_stack+3998, vrr_stack+1490, vrr_stack+2138, vrr_stack+397, vrr_stack+5140, NULL);
 _BUILD_00o0(Data,vrr_stack+1028, vrr_stack+2259, vrr_stack+3998, vrr_stack+541, vrr_stack+1490, NULL);
 _BUILD_p0o0(Data,vrr_stack+346, vrr_stack+950, vrr_stack+1028, NULL, NULL, vrr_stack+2259);
 _BUILD_d0o0(Data,vrr_stack+11158, vrr_stack+5852, vrr_stack+346, vrr_stack+794, vrr_stack+950, vrr_stack+8074);
 _BUILD_f0o0(Data,vrr_stack+11626, vrr_stack+9988, vrr_stack+11158, vrr_stack+112, vrr_stack+5852, vrr_stack+8272);
 _BUILD_f0o0(Data,vrr_stack+12406, vrr_stack+10690, vrr_stack+9988, vrr_stack+10456, vrr_stack+112, vrr_stack+7282);
   tmp = vrr_stack + 12406;
   target_ptr = Libint->vrr_classes[3][11];
   for(i=0;i<780;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00q0(Data,vrr_stack+10456, vrr_stack+794, vrr_stack+950, vrr_stack+3722, vrr_stack+3854, NULL);
 _BUILD_00q0(Data,vrr_stack+10547, vrr_stack+872, vrr_stack+794, vrr_stack+3788, vrr_stack+3722, NULL);
 _BUILD_00q0(Data,vrr_stack+8074, vrr_stack+950, vrr_stack+1028, vrr_stack+3854, vrr_stack+2259, NULL);
 _BUILD_p0q0(Data,vrr_stack+8165, vrr_stack+10456, vrr_stack+8074, NULL, NULL, vrr_stack+950);
 _BUILD_p0q0(Data,vrr_stack+13186, vrr_stack+10547, vrr_stack+10456, NULL, NULL, vrr_stack+794);
 _BUILD_d0q0(Data,vrr_stack+13459, vrr_stack+13186, vrr_stack+8165, vrr_stack+10547, vrr_stack+10456, vrr_stack+5852);
 _BUILD_00q0(Data,vrr_stack+5852, vrr_stack+3920, vrr_stack+872, vrr_stack+2193, vrr_stack+3788, NULL);
 _BUILD_p0q0(Data,vrr_stack+14005, vrr_stack+5852, vrr_stack+10547, NULL, NULL, vrr_stack+872);
 _BUILD_d0q0(Data,vrr_stack+14278, vrr_stack+14005, vrr_stack+13186, vrr_stack+5852, vrr_stack+10547, vrr_stack+112);
 _BUILD_00p0(Data,vrr_stack+2193, Data->F+15, Data->F+16, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+2196, vrr_stack+596, vrr_stack+2193, Data->F+14, Data->F+15, NULL);
 _BUILD_00f0(Data,vrr_stack+2202, vrr_stack+599, vrr_stack+2196, vrr_stack+5027, vrr_stack+596, NULL);
 _BUILD_00g0(Data,vrr_stack+2212, vrr_stack+1545, vrr_stack+2202, vrr_stack+1189, vrr_stack+599, NULL);
 _BUILD_00h0(Data,vrr_stack+2227, vrr_stack+1195, vrr_stack+2212, vrr_stack+5030, vrr_stack+1545, NULL);
 _BUILD_00i0(Data,vrr_stack+5943, vrr_stack+605, vrr_stack+2227, vrr_stack+5040, vrr_stack+1195, NULL);
 _BUILD_00k0(Data,vrr_stack+5971, vrr_stack+626, vrr_stack+5943, vrr_stack+5055, vrr_stack+605, NULL);
 _BUILD_00l0(Data,vrr_stack+5027, vrr_stack+654, vrr_stack+5971, vrr_stack+5076, vrr_stack+626, NULL);
 _BUILD_00m0(Data,vrr_stack+6007, vrr_stack+690, vrr_stack+5027, vrr_stack+5104, vrr_stack+654, NULL);
 _BUILD_00n0(Data,vrr_stack+5072, vrr_stack+2138, vrr_stack+6007, vrr_stack+5140, vrr_stack+690, NULL);
 _BUILD_00o0(Data,vrr_stack+6062, vrr_stack+3998, vrr_stack+5072, vrr_stack+1490, vrr_stack+2138, NULL);
 _BUILD_00q0(Data,vrr_stack+3722, vrr_stack+1028, vrr_stack+6062, vrr_stack+2259, vrr_stack+3998, NULL);
 _BUILD_p0q0(Data,vrr_stack+0, vrr_stack+8074, vrr_stack+3722, NULL, NULL, vrr_stack+1028);
 _BUILD_d0q0(Data,vrr_stack+14824, vrr_stack+8165, vrr_stack+0, vrr_stack+10456, vrr_stack+8074, vrr_stack+346);
 _BUILD_f0q0(Data,vrr_stack+15370, vrr_stack+13459, vrr_stack+14824, vrr_stack+13186, vrr_stack+8165, vrr_stack+11158);
 _BUILD_f0q0(Data,vrr_stack+16280, vrr_stack+14278, vrr_stack+13459, vrr_stack+14005, vrr_stack+13186, vrr_stack+9988);
   tmp = vrr_stack + 16280;
   target_ptr = Libint->vrr_classes[3][12];
   for(i=0;i<910;i++)
     target_ptr[i] += tmp[i];
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+14005, vrr_stack+10456, vrr_stack+8074, vrr_stack+794, vrr_stack+950, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+14110, vrr_stack+10547, vrr_stack+10456, vrr_stack+872, vrr_stack+794, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+11158, vrr_stack+8074, vrr_stack+3722, vrr_stack+950, vrr_stack+1028, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+11263, vrr_stack+14005, vrr_stack+11158, NULL, NULL, vrr_stack+8074);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+273, vrr_stack+14110, vrr_stack+14005, NULL, NULL, vrr_stack+10456);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+17190, vrr_stack+273, vrr_stack+11263, vrr_stack+14110, vrr_stack+14005, vrr_stack+8165);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+8074, vrr_stack+5852, vrr_stack+10547, vrr_stack+3920, vrr_stack+872, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+8179, vrr_stack+8074, vrr_stack+14110, NULL, NULL, vrr_stack+10547);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+17820, vrr_stack+8179, vrr_stack+273, vrr_stack+8074, vrr_stack+14110, vrr_stack+13186);
 _BUILD_00p0(Data,vrr_stack+13186, Data->F+16, Data->F+17, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+13189, vrr_stack+2193, vrr_stack+13186, Data->F+15, Data->F+16, NULL);
 _BUILD_00f0(Data,vrr_stack+13195, vrr_stack+2196, vrr_stack+13189, vrr_stack+596, vrr_stack+2193, NULL);
 _BUILD_00g0(Data,vrr_stack+13205, vrr_stack+2202, vrr_stack+13195, vrr_stack+599, vrr_stack+2196, NULL);
 _BUILD_00h0(Data,vrr_stack+13220, vrr_stack+2212, vrr_stack+13205, vrr_stack+1545, vrr_stack+2202, NULL);
 _BUILD_00i0(Data,vrr_stack+13186, vrr_stack+2227, vrr_stack+13220, vrr_stack+1195, vrr_stack+2212, NULL);
 _BUILD_00k0(Data,vrr_stack+13214, vrr_stack+5943, vrr_stack+13186, vrr_stack+605, vrr_stack+2227, NULL);
 _BUILD_00l0(Data,vrr_stack+2193, vrr_stack+5971, vrr_stack+13214, vrr_stack+626, vrr_stack+5943, NULL);
 _BUILD_00m0(Data,vrr_stack+13186, vrr_stack+5027, vrr_stack+2193, vrr_stack+654, vrr_stack+5971, NULL);
 _BUILD_00n0(Data,vrr_stack+2193, vrr_stack+6007, vrr_stack+13186, vrr_stack+690, vrr_stack+5027, NULL);
 _BUILD_00o0(Data,vrr_stack+13186, vrr_stack+5072, vrr_stack+2193, vrr_stack+2138, vrr_stack+6007, NULL);
 _BUILD_00q0(Data,vrr_stack+2138, vrr_stack+6062, vrr_stack+13186, vrr_stack+3998, vrr_stack+5072, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+8074, vrr_stack+3722, vrr_stack+2138, vrr_stack+1028, vrr_stack+6062, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+2138, vrr_stack+11158, vrr_stack+8074, NULL, NULL, vrr_stack+3722);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+18450, vrr_stack+11263, vrr_stack+2138, vrr_stack+14005, vrr_stack+11158, vrr_stack+0);
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+19080, vrr_stack+17190, vrr_stack+18450, vrr_stack+273, vrr_stack+11263, vrr_stack+14824);
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+20130, vrr_stack+17820, vrr_stack+17190, vrr_stack+8179, vrr_stack+273, vrr_stack+13459);
   tmp = vrr_stack + 20130;
   target_ptr = Libint->vrr_classes[3][13];
   for(i=0;i<1050;i++)
     target_ptr[i] += tmp[i];
 _BUILD_g0k0(Data,vrr_stack+14824, vrr_stack+2822, vrr_stack+2462, vrr_stack+1922, vrr_stack+1598, vrr_stack+1210);
   tmp = vrr_stack + 14824;
   target_ptr = Libint->vrr_classes[4][7];
   for(i=0;i<540;i++)
     target_ptr[i] += tmp[i];
 _BUILD_g0l0(Data,vrr_stack+0, vrr_stack+4577, vrr_stack+4127, vrr_stack+3452, vrr_stack+3182, vrr_stack+2462);
   tmp = vrr_stack + 0;
   target_ptr = Libint->vrr_classes[4][8];
   for(i=0;i<675;i++)
     target_ptr[i] += tmp[i];
 _BUILD_g0m0(Data,vrr_stack+675, vrr_stack+6732, vrr_stack+6182, vrr_stack+5522, vrr_stack+5192, vrr_stack+4127);
   tmp = vrr_stack + 675;
   target_ptr = Libint->vrr_classes[4][9];
   for(i=0;i<825;i++)
     target_ptr[i] += tmp[i];
 _BUILD_g0n0(Data,vrr_stack+1500, vrr_stack+9328, vrr_stack+8668, vrr_stack+7678, vrr_stack+7282, vrr_stack+6182);
   tmp = vrr_stack + 1500;
   target_ptr = Libint->vrr_classes[4][10];
   for(i=0;i<990;i++)
     target_ptr[i] += tmp[i];
 _BUILD_g0o0(Data,vrr_stack+2490, vrr_stack+12406, vrr_stack+11626, vrr_stack+10690, vrr_stack+9988, vrr_stack+8668);
   tmp = vrr_stack + 2490;
   target_ptr = Libint->vrr_classes[4][11];
   for(i=0;i<1170;i++)
     target_ptr[i] += tmp[i];
 _BUILD_g0q0(Data,vrr_stack+3660, vrr_stack+16280, vrr_stack+15370, vrr_stack+14278, vrr_stack+13459, vrr_stack+11626);
   tmp = vrr_stack + 3660;
   target_ptr = Libint->vrr_classes[4][12];
   for(i=0;i<1365;i++)
     target_ptr[i] += tmp[i];
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+5025, vrr_stack+20130, vrr_stack+19080, vrr_stack+17820, vrr_stack+17190, vrr_stack+15370);
   tmp = vrr_stack + 5025;
   target_ptr = Libint->vrr_classes[4][13];
   for(i=0;i<1575;i++)
     target_ptr[i] += tmp[i];

}

