#include <stdio.h>
#include "libint.h"
#include "vrr_header.h"

  /* Computes quartets necessary to compute (pp|nd) integrals */

void vrr_order_ppnd(Libint_t * Libint, prim_data *Data)
{
 REALTYPE *vrr_stack = Libint->vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];
 _BUILD_00p0(Data,vrr_stack+0, Data->F+6, Data->F+7, NULL, NULL, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+5, Data->F+6, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+6, vrr_stack+3, vrr_stack+0, Data->F+5, Data->F+6, NULL);
 _BUILD_00p0(Data,vrr_stack+12, Data->F+4, Data->F+5, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+12, vrr_stack+3, Data->F+4, Data->F+5, NULL);
 _BUILD_00p0(Data,vrr_stack+21, Data->F+7, Data->F+8, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+24, vrr_stack+0, vrr_stack+21, Data->F+6, Data->F+7, NULL);
 _BUILD_00f0(Data,vrr_stack+30, vrr_stack+6, vrr_stack+24, vrr_stack+3, vrr_stack+0, NULL);
 _BUILD_00f0(Data,vrr_stack+40, vrr_stack+15, vrr_stack+6, vrr_stack+12, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+50, vrr_stack+40, vrr_stack+30, vrr_stack+15, vrr_stack+6, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+3, Data->F+4, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+65, vrr_stack+3, vrr_stack+12, Data->F+3, Data->F+4, NULL);
 _BUILD_00f0(Data,vrr_stack+71, vrr_stack+65, vrr_stack+15, vrr_stack+3, vrr_stack+12, NULL);
 _BUILD_00g0(Data,vrr_stack+81, vrr_stack+71, vrr_stack+40, vrr_stack+65, vrr_stack+15, NULL);
 _BUILD_00p0(Data,vrr_stack+12, Data->F+8, Data->F+9, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+21, vrr_stack+12, Data->F+7, Data->F+8, NULL);
 _BUILD_00f0(Data,vrr_stack+96, vrr_stack+24, vrr_stack+15, vrr_stack+0, vrr_stack+21, NULL);
 _BUILD_00g0(Data,vrr_stack+106, vrr_stack+30, vrr_stack+96, vrr_stack+6, vrr_stack+24, NULL);
 _BUILD_00h0(Data,vrr_stack+121, vrr_stack+50, vrr_stack+106, vrr_stack+40, vrr_stack+30, NULL);
 _BUILD_00h0(Data,vrr_stack+142, vrr_stack+81, vrr_stack+50, vrr_stack+71, vrr_stack+40, NULL);
 _BUILD_00i0(Data,vrr_stack+163, vrr_stack+142, vrr_stack+121, vrr_stack+81, vrr_stack+50, NULL);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+2, Data->F+3, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+6, vrr_stack+0, vrr_stack+3, Data->F+2, Data->F+3, NULL);
 _BUILD_00f0(Data,vrr_stack+40, vrr_stack+6, vrr_stack+65, vrr_stack+0, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+191, vrr_stack+40, vrr_stack+71, vrr_stack+6, vrr_stack+65, NULL);
 _BUILD_00h0(Data,vrr_stack+206, vrr_stack+191, vrr_stack+81, vrr_stack+40, vrr_stack+71, NULL);
 _BUILD_00i0(Data,vrr_stack+227, vrr_stack+206, vrr_stack+142, vrr_stack+191, vrr_stack+81, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+9, Data->F+10, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+65, vrr_stack+12, vrr_stack+3, Data->F+8, Data->F+9, NULL);
 _BUILD_00f0(Data,vrr_stack+71, vrr_stack+15, vrr_stack+65, vrr_stack+21, vrr_stack+12, NULL);
 _BUILD_00g0(Data,vrr_stack+81, vrr_stack+96, vrr_stack+71, vrr_stack+24, vrr_stack+15, NULL);
 _BUILD_00h0(Data,vrr_stack+255, vrr_stack+106, vrr_stack+81, vrr_stack+30, vrr_stack+96, NULL);
 _BUILD_00i0(Data,vrr_stack+276, vrr_stack+121, vrr_stack+255, vrr_stack+50, vrr_stack+106, NULL);
 _BUILD_00k0(Data,vrr_stack+304, vrr_stack+163, vrr_stack+276, vrr_stack+142, vrr_stack+121, NULL);
 _BUILD_00k0(Data,vrr_stack+340, vrr_stack+227, vrr_stack+163, vrr_stack+206, vrr_stack+142, NULL);
 _BUILD_00l0(Data,vrr_stack+376, vrr_stack+340, vrr_stack+304, vrr_stack+227, vrr_stack+163, NULL);
 _BUILD_00p0(Data,vrr_stack+142, Data->F+10, Data->F+11, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+145, vrr_stack+3, vrr_stack+142, Data->F+9, Data->F+10, NULL);
 _BUILD_00f0(Data,vrr_stack+151, vrr_stack+65, vrr_stack+145, vrr_stack+12, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+50, vrr_stack+71, vrr_stack+151, vrr_stack+15, vrr_stack+65, NULL);
 _BUILD_00h0(Data,vrr_stack+12, vrr_stack+81, vrr_stack+50, vrr_stack+96, vrr_stack+71, NULL);
 _BUILD_00i0(Data,vrr_stack+421, vrr_stack+255, vrr_stack+12, vrr_stack+106, vrr_stack+81, NULL);
 _BUILD_00k0(Data,vrr_stack+449, vrr_stack+276, vrr_stack+421, vrr_stack+121, vrr_stack+255, NULL);
 _BUILD_00l0(Data,vrr_stack+96, vrr_stack+304, vrr_stack+449, vrr_stack+163, vrr_stack+276, NULL);
 _BUILD_00m0(Data,vrr_stack+485, vrr_stack+376, vrr_stack+96, vrr_stack+340, vrr_stack+304, NULL);
 _BUILD_00p0(Data,vrr_stack+33, Data->F+1, Data->F+2, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+161, vrr_stack+33, vrr_stack+0, Data->F+1, Data->F+2, NULL);
 _BUILD_00f0(Data,vrr_stack+167, vrr_stack+161, vrr_stack+6, vrr_stack+33, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+540, vrr_stack+167, vrr_stack+40, vrr_stack+161, vrr_stack+6, NULL);
 _BUILD_00h0(Data,vrr_stack+555, vrr_stack+540, vrr_stack+191, vrr_stack+167, vrr_stack+40, NULL);
 _BUILD_00i0(Data,vrr_stack+576, vrr_stack+555, vrr_stack+206, vrr_stack+540, vrr_stack+191, NULL);
 _BUILD_00k0(Data,vrr_stack+604, vrr_stack+576, vrr_stack+227, vrr_stack+555, vrr_stack+206, NULL);
 _BUILD_00l0(Data,vrr_stack+177, vrr_stack+604, vrr_stack+340, vrr_stack+576, vrr_stack+227, NULL);
 _BUILD_00m0(Data,vrr_stack+640, vrr_stack+177, vrr_stack+376, vrr_stack+604, vrr_stack+340, NULL);
 _BUILD_p0m0(Data,vrr_stack+695, vrr_stack+640, vrr_stack+485, NULL, NULL, vrr_stack+376);
 _BUILD_00n0(Data,vrr_stack+860, vrr_stack+640, vrr_stack+485, vrr_stack+177, vrr_stack+376, NULL);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+0, Data->F+1, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+6, vrr_stack+0, vrr_stack+33, Data->F+0, Data->F+1, NULL);
 _BUILD_00f0(Data,vrr_stack+340, vrr_stack+6, vrr_stack+161, vrr_stack+0, vrr_stack+33, NULL);
 _BUILD_00g0(Data,vrr_stack+33, vrr_stack+340, vrr_stack+167, vrr_stack+6, vrr_stack+161, NULL);
 _BUILD_00h0(Data,vrr_stack+350, vrr_stack+33, vrr_stack+540, vrr_stack+340, vrr_stack+167, NULL);
 _BUILD_00i0(Data,vrr_stack+222, vrr_stack+350, vrr_stack+555, vrr_stack+33, vrr_stack+540, NULL);
 _BUILD_00k0(Data,vrr_stack+926, vrr_stack+222, vrr_stack+576, vrr_stack+350, vrr_stack+555, NULL);
 _BUILD_00l0(Data,vrr_stack+962, vrr_stack+926, vrr_stack+604, vrr_stack+222, vrr_stack+576, NULL);
 _BUILD_00m0(Data,vrr_stack+540, vrr_stack+962, vrr_stack+177, vrr_stack+926, vrr_stack+604, NULL);
 _BUILD_00n0(Data,vrr_stack+1007, vrr_stack+540, vrr_stack+640, vrr_stack+962, vrr_stack+177, NULL);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+11, Data->F+12, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+6, vrr_stack+142, vrr_stack+0, Data->F+10, Data->F+11, NULL);
 _BUILD_00f0(Data,vrr_stack+926, vrr_stack+145, vrr_stack+6, vrr_stack+3, vrr_stack+142, NULL);
 _BUILD_00g0(Data,vrr_stack+936, vrr_stack+151, vrr_stack+926, vrr_stack+65, vrr_stack+145, NULL);
 _BUILD_00h0(Data,vrr_stack+951, vrr_stack+50, vrr_stack+936, vrr_stack+71, vrr_stack+151, NULL);
 _BUILD_00i0(Data,vrr_stack+972, vrr_stack+12, vrr_stack+951, vrr_stack+81, vrr_stack+50, NULL);
 _BUILD_00k0(Data,vrr_stack+340, vrr_stack+421, vrr_stack+972, vrr_stack+255, vrr_stack+12, NULL);
 _BUILD_00l0(Data,vrr_stack+595, vrr_stack+449, vrr_stack+340, vrr_stack+276, vrr_stack+421, NULL);
 _BUILD_00m0(Data,vrr_stack+161, vrr_stack+96, vrr_stack+595, vrr_stack+304, vrr_stack+449, NULL);
 _BUILD_00n0(Data,vrr_stack+216, vrr_stack+485, vrr_stack+161, vrr_stack+376, vrr_stack+96, NULL);
 _BUILD_p0n0(Data,vrr_stack+1073, vrr_stack+860, vrr_stack+216, NULL, NULL, vrr_stack+485);
 _BUILD_p0n0(Data,vrr_stack+1271, vrr_stack+1007, vrr_stack+860, NULL, NULL, vrr_stack+640);
   tmp = vrr_stack + 1271;
   target_ptr = Libint->vrr_classes[1][10];
   for(i=0;i<198;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00o0(Data,vrr_stack+1469, vrr_stack+860, vrr_stack+216, vrr_stack+640, vrr_stack+485, NULL);
 _BUILD_00o0(Data,vrr_stack+1547, vrr_stack+1007, vrr_stack+860, vrr_stack+540, vrr_stack+640, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+12, Data->F+13, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+640, vrr_stack+0, vrr_stack+3, Data->F+11, Data->F+12, NULL);
 _BUILD_00f0(Data,vrr_stack+646, vrr_stack+6, vrr_stack+640, vrr_stack+142, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+656, vrr_stack+926, vrr_stack+646, vrr_stack+145, vrr_stack+6, NULL);
 _BUILD_00h0(Data,vrr_stack+671, vrr_stack+936, vrr_stack+656, vrr_stack+151, vrr_stack+926, NULL);
 _BUILD_00i0(Data,vrr_stack+540, vrr_stack+951, vrr_stack+671, vrr_stack+50, vrr_stack+936, NULL);
 _BUILD_00k0(Data,vrr_stack+376, vrr_stack+972, vrr_stack+540, vrr_stack+12, vrr_stack+951, NULL);
 _BUILD_00l0(Data,vrr_stack+12, vrr_stack+340, vrr_stack+376, vrr_stack+421, vrr_stack+972, NULL);
 _BUILD_00m0(Data,vrr_stack+282, vrr_stack+595, vrr_stack+12, vrr_stack+449, vrr_stack+340, NULL);
 _BUILD_00n0(Data,vrr_stack+412, vrr_stack+161, vrr_stack+282, vrr_stack+96, vrr_stack+595, NULL);
 _BUILD_00o0(Data,vrr_stack+57, vrr_stack+216, vrr_stack+412, vrr_stack+485, vrr_stack+161, NULL);
 _BUILD_p0o0(Data,vrr_stack+1625, vrr_stack+1469, vrr_stack+57, NULL, NULL, vrr_stack+216);
 _BUILD_p0o0(Data,vrr_stack+1859, vrr_stack+1547, vrr_stack+1469, NULL, NULL, vrr_stack+860);
   tmp = vrr_stack + 1859;
   target_ptr = Libint->vrr_classes[1][11];
   for(i=0;i<234;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00q0(Data,vrr_stack+2093, vrr_stack+1469, vrr_stack+57, vrr_stack+860, vrr_stack+216, NULL);
 _BUILD_00q0(Data,vrr_stack+2184, vrr_stack+1547, vrr_stack+1469, vrr_stack+1007, vrr_stack+860, NULL);
 _BUILD_00p0(Data,vrr_stack+692, Data->F+13, Data->F+14, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+135, vrr_stack+3, vrr_stack+692, Data->F+12, Data->F+13, NULL);
 _BUILD_00f0(Data,vrr_stack+141, vrr_stack+640, vrr_stack+135, vrr_stack+0, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+568, vrr_stack+646, vrr_stack+141, vrr_stack+6, vrr_stack+640, NULL);
 _BUILD_00h0(Data,vrr_stack+135, vrr_stack+656, vrr_stack+568, vrr_stack+926, vrr_stack+646, NULL);
 _BUILD_00i0(Data,vrr_stack+478, vrr_stack+671, vrr_stack+135, vrr_stack+936, vrr_stack+656, NULL);
 _BUILD_00k0(Data,vrr_stack+2275, vrr_stack+540, vrr_stack+478, vrr_stack+951, vrr_stack+671, NULL);
 _BUILD_00l0(Data,vrr_stack+478, vrr_stack+376, vrr_stack+2275, vrr_stack+972, vrr_stack+540, NULL);
 _BUILD_00m0(Data,vrr_stack+640, vrr_stack+12, vrr_stack+478, vrr_stack+340, vrr_stack+376, NULL);
 _BUILD_00n0(Data,vrr_stack+478, vrr_stack+282, vrr_stack+640, vrr_stack+595, vrr_stack+12, NULL);
 _BUILD_00o0(Data,vrr_stack+544, vrr_stack+412, vrr_stack+478, vrr_stack+161, vrr_stack+282, NULL);
 _BUILD_00q0(Data,vrr_stack+282, vrr_stack+57, vrr_stack+544, vrr_stack+216, vrr_stack+412, NULL);
 _BUILD_p0q0(Data,vrr_stack+373, vrr_stack+2093, vrr_stack+282, NULL, NULL, vrr_stack+57);
 _BUILD_p0q0(Data,vrr_stack+2275, vrr_stack+2184, vrr_stack+2093, NULL, NULL, vrr_stack+1469);
   tmp = vrr_stack + 2275;
   target_ptr = Libint->vrr_classes[1][12];
   for(i=0;i<273;i++)
     target_ptr[i] += tmp[i];
 _BUILD_d0n0(Data,vrr_stack+2548, vrr_stack+1271, vrr_stack+1073, vrr_stack+1007, vrr_stack+860, vrr_stack+695);
   tmp = vrr_stack + 2548;
   target_ptr = Libint->vrr_classes[2][10];
   for(i=0;i<396;i++)
     target_ptr[i] += tmp[i];
 _BUILD_d0o0(Data,vrr_stack+2944, vrr_stack+1859, vrr_stack+1625, vrr_stack+1547, vrr_stack+1469, vrr_stack+1073);
   tmp = vrr_stack + 2944;
   target_ptr = Libint->vrr_classes[2][11];
   for(i=0;i<468;i++)
     target_ptr[i] += tmp[i];
 _BUILD_d0q0(Data,vrr_stack+646, vrr_stack+2275, vrr_stack+373, vrr_stack+2184, vrr_stack+2093, vrr_stack+1625);
   tmp = vrr_stack + 646;
   target_ptr = Libint->vrr_classes[2][12];
   for(i=0;i<546;i++)
     target_ptr[i] += tmp[i];

}

