  /* These machine-generated functions compute a quartet of (0s|[r12,T2]|fs) integrals */

#include <libint/libint.h>
#include "libr12.h"

void _t2_build_00f0(prim_data *Data, contr_data *ShellData, REALTYPE *vp, const REALTYPE *I0, const REALTYPE *I1, const REALTYPE *I2, const REALTYPE *I3, const REALTYPE *I4)
{
  REALTYPE U0, U10, U11, U12;
  REALTYPE AC0, AC1, AC2;
  REALTYPE onezdon;
  REALTYPE twozdon;
  REALTYPE threezdon;
  AC0 = ShellData->AC[0];
  AC1 = ShellData->AC[1];
  AC2 = ShellData->AC[2];
  onezdon = 1.0*(Data->twozeta_d*Data->oo2n);
  twozdon = 2.0*(Data->twozeta_d*Data->oo2n);
  threezdon = 3.0*(Data->twozeta_d*Data->oo2n);
  U10 = ShellData->CD[0]*(Data->twozeta_c*Data->twozeta_d*Data->oo2n);
  U11 = ShellData->CD[1]*(Data->twozeta_c*Data->twozeta_d*Data->oo2n);
  U12 = ShellData->CD[2]*(Data->twozeta_c*Data->twozeta_d*Data->oo2n);
  U0  = (Data->twozeta_c - Data->twozeta_d*(Data->twozeta_c*ShellData->CDdotCA + 4.000000))*Data->oo2n;

*(vp++) = U0*I0[0]
          - U10*(I1[0] - I2[0])
          - U11*(I1[1] - I2[10])
          - U12*(I1[2] - I2[20])
          + (threezdon)*(I3[0] + AC0*I4[0]);
*(vp++) = U0*I0[1]
          - U10*(I1[1] - I2[1])
          - U11*(I1[3] - I2[11])
          - U12*(I1[4] - I2[21])
          + (twozdon)*(I3[1] + AC0*I4[1])
          + (onezdon)*(I3[6] + AC1*I4[0]);
*(vp++) = U0*I0[2]
          - U10*(I1[2] - I2[2])
          - U11*(I1[4] - I2[12])
          - U12*(I1[5] - I2[22])
          + (twozdon)*(I3[2] + AC0*I4[2])
          + (onezdon)*(I3[12] + AC2*I4[0]);
*(vp++) = U0*I0[3]
          - U10*(I1[3] - I2[3])
          - U11*(I1[6] - I2[13])
          - U12*(I1[7] - I2[23])
          + (onezdon)*(I3[3] + AC0*I4[3])
          + (twozdon)*(I3[7] + AC1*I4[1]);
*(vp++) = U0*I0[4]
          - U10*(I1[4] - I2[4])
          - U11*(I1[7] - I2[14])
          - U12*(I1[8] - I2[24])
          + (onezdon)*(I3[4] + AC0*I4[4])
          + (onezdon)*(I3[8] + AC1*I4[2])
          + (onezdon)*(I3[13] + AC2*I4[1]);
*(vp++) = U0*I0[5]
          - U10*(I1[5] - I2[5])
          - U11*(I1[8] - I2[15])
          - U12*(I1[9] - I2[25])
          + (onezdon)*(I3[5] + AC0*I4[5])
          + (twozdon)*(I3[14] + AC2*I4[2]);
*(vp++) = U0*I0[6]
          - U10*(I1[6] - I2[6])
          - U11*(I1[10] - I2[16])
          - U12*(I1[11] - I2[26])
          + (threezdon)*(I3[9] + AC1*I4[3]);
*(vp++) = U0*I0[7]
          - U10*(I1[7] - I2[7])
          - U11*(I1[11] - I2[17])
          - U12*(I1[12] - I2[27])
          + (twozdon)*(I3[10] + AC1*I4[4])
          + (onezdon)*(I3[15] + AC2*I4[3]);
*(vp++) = U0*I0[8]
          - U10*(I1[8] - I2[8])
          - U11*(I1[12] - I2[18])
          - U12*(I1[13] - I2[28])
          + (onezdon)*(I3[11] + AC1*I4[5])
          + (twozdon)*(I3[16] + AC2*I4[4]);
*(vp++) = U0*I0[9]
          - U10*(I1[9] - I2[9])
          - U11*(I1[13] - I2[19])
          - U12*(I1[14] - I2[29])
          + (threezdon)*(I3[17] + AC2*I4[5]);

}
